/******/ var __webpack_modules__ = ({

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_OBJECT.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CMCD_OBJECT.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMCD_OBJECT: function() { return /* binding */ CMCD_OBJECT; }
/* harmony export */ });
/**
 * CMCD object header name.
 *
 * @group CMCD
 *
 * @beta
 */
const CMCD_OBJECT = 'CMCD-Object';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_PARAM.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CMCD_PARAM.js ***!
  \*************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMCD_PARAM: function() { return /* binding */ CMCD_PARAM; }
/* harmony export */ });
/**
 * CMCD parameter name.
 *
 * @group CMCD
 *
 * @beta
 */
const CMCD_PARAM = 'CMCD';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_REQUEST.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CMCD_REQUEST.js ***!
  \***************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMCD_REQUEST: function() { return /* binding */ CMCD_REQUEST; }
/* harmony export */ });
/**
 * CMCD request header name.
 *
 * @group CMCD
 *
 * @beta
 */
const CMCD_REQUEST = 'CMCD-Request';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_SESSION.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CMCD_SESSION.js ***!
  \***************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMCD_SESSION: function() { return /* binding */ CMCD_SESSION; }
/* harmony export */ });
/**
 * CMCD session header name.
 *
 * @group CMCD
 *
 * @beta
 */
const CMCD_SESSION = 'CMCD-Session';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_STATUS.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CMCD_STATUS.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMCD_STATUS: function() { return /* binding */ CMCD_STATUS; }
/* harmony export */ });
/**
 * CMCD status header name.
 *
 * @group CMCD
 *
 * @beta
 */
const CMCD_STATUS = 'CMCD-Status';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdFormatters.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CmcdFormatters.js ***!
  \*****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmcdFormatters: function() { return /* binding */ CmcdFormatters; }
/* harmony export */ });
/* harmony import */ var _utils_urlToRelativePath_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/urlToRelativePath.js */ "./node_modules/@svta/common-media-library/dist/utils/urlToRelativePath.js");

const toRounded = value => Math.round(value);
const toUrlSafe = (value, options) => {
  if (options === null || options === void 0 ? void 0 : options.baseUrl) {
    value = (0,_utils_urlToRelativePath_js__WEBPACK_IMPORTED_MODULE_0__.urlToRelativePath)(value, options.baseUrl);
  }
  return encodeURIComponent(value);
};
const toHundred = value => toRounded(value / 100) * 100;
/**
 * The default formatters for CMCD values.
 *
 * @group CMCD
 *
 * @beta
 */
const CmcdFormatters = {
  /**
   * Bitrate (kbps) rounded integer
   */
  br: toRounded,
  /**
   * Duration (milliseconds) rounded integer
   */
  d: toRounded,
  /**
   * Buffer Length (milliseconds) rounded nearest 100ms
   */
  bl: toHundred,
  /**
   * Deadline (milliseconds) rounded nearest 100ms
   */
  dl: toHundred,
  /**
   * Measured Throughput (kbps) rounded nearest 100kbps
   */
  mtp: toHundred,
  /**
   * Next Object Request URL encoded
   */
  nor: toUrlSafe,
  /**
   * Requested maximum throughput (kbps) rounded nearest 100kbps
   */
  rtp: toHundred,
  /**
   * Top Bitrate (kbps) rounded integer
   */
  tb: toRounded
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderField.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderField.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmcdHeaderField: function() { return /* binding */ CmcdHeaderField; }
/* harmony export */ });
/* harmony import */ var _CMCD_OBJECT_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CMCD_OBJECT.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_OBJECT.js");
/* harmony import */ var _CMCD_REQUEST_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./CMCD_REQUEST.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_REQUEST.js");
/* harmony import */ var _CMCD_SESSION_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./CMCD_SESSION.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_SESSION.js");
/* harmony import */ var _CMCD_STATUS_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./CMCD_STATUS.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_STATUS.js");




/**
 * CMCD header fields.
 *
 * @group CMCD
 *
 * @enum
 *
 * @beta
 */
const CmcdHeaderField = {
  /**
   * keys whose values vary with the object being requested.
   */
  OBJECT: _CMCD_OBJECT_js__WEBPACK_IMPORTED_MODULE_0__.CMCD_OBJECT,
  /**
   * keys whose values vary with each request.
   */
  REQUEST: _CMCD_REQUEST_js__WEBPACK_IMPORTED_MODULE_1__.CMCD_REQUEST,
  /**
   * keys whose values are expected to be invariant over the life of the session.
   */
  SESSION: _CMCD_SESSION_js__WEBPACK_IMPORTED_MODULE_2__.CMCD_SESSION,
  /**
   * keys whose values do not vary with every request or object.
   */
  STATUS: _CMCD_STATUS_js__WEBPACK_IMPORTED_MODULE_3__.CMCD_STATUS
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderMap.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderMap.js ***!
  \****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmcdHeaderMap: function() { return /* binding */ CmcdHeaderMap; }
/* harmony export */ });
/* harmony import */ var _CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CmcdHeaderField.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderField.js");

/**
 * The map of CMCD header fields to official CMCD keys.
 *
 * @internal
 *
 * @group CMCD
 */
const CmcdHeaderMap = {
  [_CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__.CmcdHeaderField.OBJECT]: ['br', 'd', 'ot', 'tb'],
  [_CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__.CmcdHeaderField.REQUEST]: ['bl', 'dl', 'mtp', 'nor', 'nrr', 'su'],
  [_CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__.CmcdHeaderField.SESSION]: ['cid', 'pr', 'sf', 'sid', 'st', 'v'],
  [_CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__.CmcdHeaderField.STATUS]: ['bs', 'rtp']
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdObjectType.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CmcdObjectType.js ***!
  \*****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmcdObjectType: function() { return /* binding */ CmcdObjectType; }
/* harmony export */ });
/* harmony import */ var _cta_CmObjectType_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../cta/CmObjectType.js */ "./node_modules/@svta/common-media-library/dist/cta/CmObjectType.js");

/**
 * Common Media Client Data Object Type
 *
 * @group CMCD
 *
 * @beta
 *
 * @enum
 */
const CmcdObjectType = _cta_CmObjectType_js__WEBPACK_IMPORTED_MODULE_0__.CmObjectType;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdStreamType.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CmcdStreamType.js ***!
  \*****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmcdStreamType: function() { return /* binding */ CmcdStreamType; }
/* harmony export */ });
/* harmony import */ var _cta_CmStreamType_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../cta/CmStreamType.js */ "./node_modules/@svta/common-media-library/dist/cta/CmStreamType.js");

/**
 * Common Media Client Data Stream Type
 *
 * @group CMCD
 *
 * @enum
 *
 * @beta
 */
const CmcdStreamType = _cta_CmStreamType_js__WEBPACK_IMPORTED_MODULE_0__.CmStreamType;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdStreamingFormat.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/CmcdStreamingFormat.js ***!
  \**********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmcdStreamingFormat: function() { return /* binding */ CmcdStreamingFormat; }
/* harmony export */ });
/* harmony import */ var _cta_CmStreamingFormat_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../cta/CmStreamingFormat.js */ "./node_modules/@svta/common-media-library/dist/cta/CmStreamingFormat.js");

/**
 * Common Media Client Data Streaming Format
 *
 * @group CMCD
 *
 * @enum
 *
 * @beta
 */
const CmcdStreamingFormat = _cta_CmStreamingFormat_js__WEBPACK_IMPORTED_MODULE_0__.CmStreamingFormat;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/encodeCmcd.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/encodeCmcd.js ***!
  \*************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   encodeCmcd: function() { return /* binding */ encodeCmcd; }
/* harmony export */ });
/* harmony import */ var _structuredfield_encodeSfDict_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../structuredfield/encodeSfDict.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/encodeSfDict.js");
/* harmony import */ var _utils_processCmcd_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./utils/processCmcd.js */ "./node_modules/@svta/common-media-library/dist/cmcd/utils/processCmcd.js");


/**
 * Encode a CMCD object to a string.
 *
 * @param cmcd - The CMCD object to encode.
 * @param options - Options for encoding.
 *
 * @returns The encoded CMCD string.
 *
 * @group CMCD
 *
 * @beta
 */
function encodeCmcd(cmcd) {
  let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  if (!cmcd) {
    return '';
  }
  return (0,_structuredfield_encodeSfDict_js__WEBPACK_IMPORTED_MODULE_0__.encodeSfDict)((0,_utils_processCmcd_js__WEBPACK_IMPORTED_MODULE_1__.processCmcd)(cmcd, options), Object.assign({
    whitespace: false
  }, options));
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/toCmcdHeaders.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/toCmcdHeaders.js ***!
  \****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   toCmcdHeaders: function() { return /* binding */ toCmcdHeaders; }
/* harmony export */ });
/* harmony import */ var _CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CmcdHeaderField.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderField.js");
/* harmony import */ var _CmcdHeaderMap_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./CmcdHeaderMap.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderMap.js");
/* harmony import */ var _encodeCmcd_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./encodeCmcd.js */ "./node_modules/@svta/common-media-library/dist/cmcd/encodeCmcd.js");



/**
 * Convert a CMCD data object to request headers
 *
 * @param cmcd - The CMCD data object to convert.
 * @param options - Options for encoding the CMCD object.
 *
 * @returns The CMCD header shards.
 *
 * @group CMCD
 *
 * @beta
 */
function toCmcdHeaders(cmcd) {
  let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  const result = {};
  if (!cmcd) {
    return result;
  }
  const entries = Object.entries(cmcd);
  const headerMap = Object.entries(_CmcdHeaderMap_js__WEBPACK_IMPORTED_MODULE_1__.CmcdHeaderMap).concat(Object.entries((options === null || options === void 0 ? void 0 : options.customHeaderMap) || {}));
  const shards = entries.reduce((acc, entry) => {
    var _a, _b;
    const [key, value] = entry;
    const field = ((_a = headerMap.find(entry => entry[1].includes(key))) === null || _a === void 0 ? void 0 : _a[0]) || _CmcdHeaderField_js__WEBPACK_IMPORTED_MODULE_0__.CmcdHeaderField.REQUEST;
    (_b = acc[field]) !== null && _b !== void 0 ? _b : acc[field] = {};
    acc[field][key] = value;
    return acc;
  }, {});
  return Object.entries(shards).reduce((acc, _ref) => {
    let [field, value] = _ref;
    acc[field] = (0,_encodeCmcd_js__WEBPACK_IMPORTED_MODULE_2__.encodeCmcd)(value, options);
    return acc;
  }, result);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmcd/utils/processCmcd.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmcd/utils/processCmcd.js ***!
  \********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   processCmcd: function() { return /* binding */ processCmcd; }
/* harmony export */ });
/* harmony import */ var _cta_utils_isTokenField_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../cta/utils/isTokenField.js */ "./node_modules/@svta/common-media-library/dist/cta/utils/isTokenField.js");
/* harmony import */ var _cta_utils_isValid_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../cta/utils/isValid.js */ "./node_modules/@svta/common-media-library/dist/cta/utils/isValid.js");
/* harmony import */ var _structuredfield_SfToken_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../structuredfield/SfToken.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfToken.js");
/* harmony import */ var _CmcdFormatters_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../CmcdFormatters.js */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdFormatters.js");




/**
 * Internal CMCD processing function.
 *
 * @param obj - The CMCD object to process.
 * @param map - The mapping function to use.
 * @param options - Options for encoding.
 *
 * @internal
 *
 * @group CMCD
 */
function processCmcd(obj, options) {
  const results = {};
  if (obj == null || typeof obj !== 'object') {
    return results;
  }
  const keys = Object.keys(obj).sort();
  const formatters = Object.assign({}, _CmcdFormatters_js__WEBPACK_IMPORTED_MODULE_3__.CmcdFormatters, options === null || options === void 0 ? void 0 : options.formatters);
  const filter = options === null || options === void 0 ? void 0 : options.filter;
  keys.forEach(key => {
    if (filter === null || filter === void 0 ? void 0 : filter(key)) {
      return;
    }
    let value = obj[key];
    const formatter = formatters[key];
    if (formatter) {
      value = formatter(value, options);
    }
    // Version should only be reported if not equal to 1.
    if (key === 'v' && value === 1) {
      return;
    }
    // Playback rate should only be sent if not equal to 1.
    if (key == 'pr' && value === 1) {
      return;
    }
    // ignore invalid values
    if (!(0,_cta_utils_isValid_js__WEBPACK_IMPORTED_MODULE_1__.isValid)(value)) {
      return;
    }
    if ((0,_cta_utils_isTokenField_js__WEBPACK_IMPORTED_MODULE_0__.isTokenField)(key) && typeof value === 'string') {
      value = new _structuredfield_SfToken_js__WEBPACK_IMPORTED_MODULE_2__.SfToken(value);
    }
    results[key] = value;
  });
  return results;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmsd/CMSD_DYNAMIC.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmsd/CMSD_DYNAMIC.js ***!
  \***************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMSD_DYNAMIC: function() { return /* binding */ CMSD_DYNAMIC; }
/* harmony export */ });
/**
 * CMSD dynamic header name.
 *
 * @group CMSD
 *
 * @beta
 */
const CMSD_DYNAMIC = 'CMSD-Dynamic';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmsd/CMSD_STATIC.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmsd/CMSD_STATIC.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CMSD_STATIC: function() { return /* binding */ CMSD_STATIC; }
/* harmony export */ });
/**
 * CMSD static header name.
 *
 * @group CMSD
 *
 * @beta
 */
const CMSD_STATIC = 'CMSD-Static';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmsd/CmsdObjectType.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmsd/CmsdObjectType.js ***!
  \*****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmsdObjectType: function() { return /* binding */ CmsdObjectType; }
/* harmony export */ });
/* harmony import */ var _cta_CmObjectType_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../cta/CmObjectType.js */ "./node_modules/@svta/common-media-library/dist/cta/CmObjectType.js");

/**
 * Common Media Server Data Object Type
 *
 * @group CMSD
 *
 * @enum
 *
 * @beta
 */
const CmsdObjectType = _cta_CmObjectType_js__WEBPACK_IMPORTED_MODULE_0__.CmObjectType;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmsd/decodeCmsdDynamic.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmsd/decodeCmsdDynamic.js ***!
  \********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeCmsdDynamic: function() { return /* binding */ decodeCmsdDynamic; }
/* harmony export */ });
/* harmony import */ var _structuredfield_decodeSfList_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../structuredfield/decodeSfList.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/decodeSfList.js");

/**
 * Decode a CMSD dynamic string to an object.
 *
 * @param cmsd - The CMSD string to decode.
 *
 * @returns The decoded CMSD object.
 *
 * @group CMSD
 *
 * @beta
 */
function decodeCmsdDynamic(cmsd) {
  if (!cmsd) {
    return [];
  }
  const sfDict = (0,_structuredfield_decodeSfList_js__WEBPACK_IMPORTED_MODULE_0__.decodeSfList)(cmsd);
  return sfDict;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cmsd/decodeCmsdStatic.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cmsd/decodeCmsdStatic.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeCmsdStatic: function() { return /* binding */ decodeCmsdStatic; }
/* harmony export */ });
/* harmony import */ var _cta_utils_symbolToStr_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../cta/utils/symbolToStr.js */ "./node_modules/@svta/common-media-library/dist/cta/utils/symbolToStr.js");
/* harmony import */ var _structuredfield_decodeSfDict_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../structuredfield/decodeSfDict.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/decodeSfDict.js");


/**
 * Decode a CMSD Static dict string to an object.
 *
 * @param cmsd - The CMSD string to decode.
 *
 * @returns The decoded CMSD object.
 *
 * @group CMSD
 *
 * @beta
 */
function decodeCmsdStatic(cmsd) {
  if (!cmsd) {
    return {};
  }
  return Object.entries((0,_structuredfield_decodeSfDict_js__WEBPACK_IMPORTED_MODULE_1__.decodeSfDict)(cmsd)).reduce((acc, _ref) => {
    let [key, item] = _ref;
    const {
      value
    } = item;
    acc[key] = typeof value === 'symbol' ? (0,_cta_utils_symbolToStr_js__WEBPACK_IMPORTED_MODULE_0__.symbolToStr)(value) : value;
    return acc;
  }, {});
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionScreen.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/CaptionScreen.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CaptionScreen: function() { return /* binding */ CaptionScreen; }
/* harmony export */ });
/* harmony import */ var _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CaptionsLogger.js */ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionsLogger.js");
/* harmony import */ var _Row_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Row.js */ "./node_modules/@svta/common-media-library/dist/cta/608/Row.js");
/* harmony import */ var _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils/NR_ROWS.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/NR_ROWS.js");
/* harmony import */ var _VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./VerboseLevel.js */ "./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js");
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




/**
 * Keep a CTA-608 screen of 32x15 styled characters
 *
 * @group CTA-608
 * @beta
 */
class CaptionScreen {
  constructor() {
    let logger = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : new _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_0__.CaptionsLogger();
    this.rows = [];
    this.currRow = _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS - 1;
    this.nrRollUpRows = null;
    this.lastOutputScreen = null;
    for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
      this.rows.push(new _Row_js__WEBPACK_IMPORTED_MODULE_1__.Row(logger));
    }
    this.logger = logger;
  }
  reset() {
    for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
      this.rows[i].clear();
    }
    this.currRow = _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS - 1;
  }
  equals(other) {
    let equal = true;
    for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
      if (!this.rows[i].equals(other.rows[i])) {
        equal = false;
        break;
      }
    }
    return equal;
  }
  copy(other) {
    for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
      this.rows[i].copy(other.rows[i]);
    }
  }
  isEmpty() {
    let empty = true;
    for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
      if (!this.rows[i].isEmpty()) {
        empty = false;
        break;
      }
    }
    return empty;
  }
  backSpace() {
    const row = this.rows[this.currRow];
    row.backSpace();
  }
  clearToEndOfRow() {
    const row = this.rows[this.currRow];
    row.clearToEndOfRow();
  }
  /**
   * Insert a character (without styling) in the current row.
   */
  insertChar(char) {
    const row = this.rows[this.currRow];
    row.insertChar(char);
  }
  setPen(styles) {
    const row = this.rows[this.currRow];
    row.setPenStyles(styles);
  }
  moveCursor(relPos) {
    const row = this.rows[this.currRow];
    row.moveCursor(relPos);
  }
  setCursor(absPos) {
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.INFO, 'setCursor: ' + absPos);
    const row = this.rows[this.currRow];
    row.setCursor(absPos);
  }
  setPAC(pacData) {
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.INFO, () => 'pacData = ' + JSON.stringify(pacData));
    let newRow = pacData.row - 1;
    if (this.nrRollUpRows && newRow < this.nrRollUpRows - 1) {
      newRow = this.nrRollUpRows - 1;
    }
    // Make sure this only affects Roll-up Captions by checking this.nrRollUpRows
    if (this.nrRollUpRows && this.currRow !== newRow) {
      // clear all rows first
      for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
        this.rows[i].clear();
      }
      // Copy this.nrRollUpRows rows from lastOutputScreen and place it in the newRow location
      // topRowIndex - the start of rows to copy (inclusive index)
      const topRowIndex = this.currRow + 1 - this.nrRollUpRows;
      // We only copy if the last position was already shown.
      // We use the cueStartTime value to check this.
      const lastOutputScreen = this.lastOutputScreen;
      if (lastOutputScreen) {
        const prevLineTime = lastOutputScreen.rows[topRowIndex].cueStartTime;
        const time = this.logger.time;
        if (prevLineTime !== null && time !== null && prevLineTime < time) {
          for (let i = 0; i < this.nrRollUpRows; i++) {
            this.rows[newRow - this.nrRollUpRows + i + 1].copy(lastOutputScreen.rows[topRowIndex + i]);
          }
        }
      }
    }
    this.currRow = newRow;
    const row = this.rows[this.currRow];
    if (pacData.indent !== null) {
      const indent = pacData.indent;
      const prevPos = Math.max(indent - 1, 0);
      row.setCursor(pacData.indent);
      pacData.color = row.chars[prevPos].penState.foreground;
    }
    const styles = {
      foreground: pacData.color,
      underline: pacData.underline,
      italics: pacData.italics,
      background: 'black',
      flash: false
    };
    this.setPen(styles);
  }
  /**
   * Set background/extra foreground, but first do back_space, and then insert space (backwards compatibility).
   */
  setBkgData(bkgData) {
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.INFO, () => 'bkgData = ' + JSON.stringify(bkgData));
    this.backSpace();
    this.setPen(bkgData);
    this.insertChar(0x20); // Space
  }
  setRollUpRows(nrRows) {
    this.nrRollUpRows = nrRows;
  }
  rollUp() {
    if (this.nrRollUpRows === null) {
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.DEBUG, 'roll_up but nrRollUpRows not set yet');
      return; // Not properly setup
    }
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.TEXT, () => this.getDisplayText());
    const topRowIndex = this.currRow + 1 - this.nrRollUpRows;
    const topRow = this.rows.splice(topRowIndex, 1)[0];
    topRow.clear();
    this.rows.splice(this.currRow, 0, topRow);
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.INFO, 'Rolling up');
  }
  /**
   * Get all non-empty rows with as unicode text.
   */
  getDisplayText(asOneRow) {
    asOneRow = asOneRow || false;
    const displayText = [];
    let text = '';
    let rowNr = -1;
    for (let i = 0; i < _utils_NR_ROWS_js__WEBPACK_IMPORTED_MODULE_2__.NR_ROWS; i++) {
      const rowText = this.rows[i].getTextString();
      if (rowText) {
        rowNr = i + 1;
        if (asOneRow) {
          displayText.push('Row ' + rowNr + ": '" + rowText + "'");
        } else {
          displayText.push(rowText.trim());
        }
      }
    }
    if (displayText.length > 0) {
      if (asOneRow) {
        text = '[' + displayText.join(' | ') + ']';
      } else {
        text = displayText.join('\n');
      }
    }
    return text;
  }
  getTextAndFormat() {
    return this.rows;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionsLogger.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/CaptionsLogger.js ***!
  \********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CaptionsLogger: function() { return /* binding */ CaptionsLogger; }
/* harmony export */ });
/* harmony import */ var _VerboseLevel_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./VerboseLevel.js */ "./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js");
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * CaptionsLogger. To be removed in the future.
 *
 * @group CTA-608
 * @beta
 */
class CaptionsLogger {
  constructor() {
    this.time = null;
    this.verboseLevel = _VerboseLevel_js__WEBPACK_IMPORTED_MODULE_0__.VerboseLevel.ERROR;
  }
  log(severity, msg) {
    if (this.verboseLevel >= severity) {
      const m = typeof msg === 'function' ? msg() : msg;
      console.log(`${this.time} [${severity}] ${m}`);
    }
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/Cta608Channel.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/Cta608Channel.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Cta608Channel: function() { return /* binding */ Cta608Channel; }
/* harmony export */ });
/* harmony import */ var _CaptionScreen_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CaptionScreen.js */ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionScreen.js");
/* harmony import */ var _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./CaptionsLogger.js */ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionsLogger.js");
/* harmony import */ var _VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./VerboseLevel.js */ "./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js");
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * CTA-608 Channel
 *
 * @group CTA-608
 * @beta
 */
class Cta608Channel {
  constructor(channelNumber, outputFilter) {
    let logger = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : new _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_1__.CaptionsLogger();
    this.chNr = channelNumber;
    this.outputFilter = outputFilter;
    this.mode = null;
    this.displayedMemory = new _CaptionScreen_js__WEBPACK_IMPORTED_MODULE_0__.CaptionScreen(logger);
    this.nonDisplayedMemory = new _CaptionScreen_js__WEBPACK_IMPORTED_MODULE_0__.CaptionScreen(logger);
    this.lastOutputScreen = new _CaptionScreen_js__WEBPACK_IMPORTED_MODULE_0__.CaptionScreen(logger);
    this.writeScreen = this.displayedMemory;
    this.mode = null;
    this.cueStartTime = null; // Keeps track of where a cue started.
    this.logger = logger;
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'new Cea608Channel(' + this.chNr + ')');
  }
  reset() {
    var _a, _b;
    this.mode = null;
    this.displayedMemory.reset();
    this.nonDisplayedMemory.reset();
    this.lastOutputScreen.reset();
    (_b = (_a = this.outputFilter) === null || _a === void 0 ? void 0 : _a.reset) === null || _b === void 0 ? void 0 : _b.call(_a);
    this.writeScreen = this.displayedMemory;
    this.mode = null;
    this.cueStartTime = null;
  }
  setPAC(pacData) {
    this.writeScreen.setPAC(pacData);
  }
  setBkgData(bkgData) {
    this.writeScreen.setBkgData(bkgData);
  }
  setMode(newMode) {
    if (newMode === this.mode) {
      return;
    }
    this.mode = newMode;
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, () => 'MODE=' + newMode);
    if (this.mode === 'MODE_POP-ON') {
      this.writeScreen = this.nonDisplayedMemory;
    } else {
      this.writeScreen = this.displayedMemory;
      this.writeScreen.reset();
    }
    if (this.mode !== 'MODE_ROLL-UP') {
      this.displayedMemory.setRollUpRows(null);
      this.nonDisplayedMemory.setRollUpRows(null);
    }
    this.mode = newMode;
  }
  insertChars(chars) {
    for (let i = 0; i < chars.length; i++) {
      this.writeScreen.insertChar(chars[i]);
    }
    const screen = this.writeScreen === this.displayedMemory ? 'DISP' : 'NON_DISP';
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, () => screen + ': ' + this.writeScreen.getDisplayText(true));
    if (this.mode === 'MODE_PAINT-ON' || this.mode === 'MODE_ROLL-UP') {
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.TEXT, () => 'DISPLAYED: ' + this.displayedMemory.getDisplayText(true));
      this.outputDataUpdate();
    }
  }
  ccRCL() {
    // Resume Caption Loading (switch mode to Pop On)
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'RCL - Resume Caption Loading');
    this.setMode('MODE_POP-ON');
  }
  ccBS() {
    // BackSpace
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'BS - BackSpace');
    if (this.mode === 'MODE_TEXT') {
      return;
    }
    this.writeScreen.backSpace();
    if (this.writeScreen === this.displayedMemory) {
      this.outputDataUpdate();
    }
  }
  ccAOF() {
    // Reserved (formerly Alarm Off)
  }
  ccAON() {
    // Reserved (formerly Alarm On)
  }
  ccDER() {
    // Delete to End of Row
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'DER- Delete to End of Row');
    this.writeScreen.clearToEndOfRow();
    this.outputDataUpdate();
  }
  ccRU(nrRows) {
    // Roll-Up Captions-2,3,or 4 Rows
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'RU(' + nrRows + ') - Roll Up');
    this.writeScreen = this.displayedMemory;
    this.setMode('MODE_ROLL-UP');
    this.writeScreen.setRollUpRows(nrRows);
  }
  ccFON() {
    // Flash On
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'FON - Flash On');
    this.writeScreen.setPen({
      flash: true
    });
  }
  ccRDC() {
    // Resume Direct Captioning (switch mode to PaintOn)
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'RDC - Resume Direct Captioning');
    this.setMode('MODE_PAINT-ON');
  }
  ccTR() {
    // Text Restart in text mode (not supported, however)
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'TR');
    this.setMode('MODE_TEXT');
  }
  ccRTD() {
    // Resume Text Display in Text mode (not supported, however)
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'RTD');
    this.setMode('MODE_TEXT');
  }
  ccEDM() {
    // Erase Displayed Memory
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'EDM - Erase Displayed Memory');
    this.displayedMemory.reset();
    this.outputDataUpdate(true);
  }
  ccCR() {
    // Carriage Return
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'CR - Carriage Return');
    this.writeScreen.rollUp();
    this.outputDataUpdate(true);
  }
  ccENM() {
    // Erase Non-Displayed Memory
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'ENM - Erase Non-displayed Memory');
    this.nonDisplayedMemory.reset();
  }
  ccEOC() {
    // End of Caption (Flip Memories)
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'EOC - End Of Caption');
    if (this.mode === 'MODE_POP-ON') {
      const tmp = this.displayedMemory;
      this.displayedMemory = this.nonDisplayedMemory;
      this.nonDisplayedMemory = tmp;
      this.writeScreen = this.nonDisplayedMemory;
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.TEXT, () => 'DISP: ' + this.displayedMemory.getDisplayText());
    }
    this.outputDataUpdate(true);
  }
  ccTO(nrCols) {
    // Tab Offset 1,2, or 3 columns
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'TO(' + nrCols + ') - Tab Offset');
    this.writeScreen.moveCursor(nrCols);
  }
  ccMIDROW(secondByte) {
    // Parse MIDROW command
    const styles = {
      flash: false
    };
    styles.underline = secondByte % 2 === 1;
    styles.italics = secondByte >= 0x2e;
    if (!styles.italics) {
      const colorIndex = Math.floor(secondByte / 2) - 0x10;
      const colors = ['white', 'green', 'blue', 'cyan', 'red', 'yellow', 'magenta'];
      styles.foreground = colors[colorIndex];
    } else {
      styles.foreground = 'white';
    }
    this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, 'MIDROW: ' + JSON.stringify(styles));
    this.writeScreen.setPen(styles);
  }
  outputDataUpdate() {
    let dispatch = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    const time = this.logger.time;
    if (time === null) {
      return;
    }
    if (this.outputFilter) {
      if (this.cueStartTime === null && !this.displayedMemory.isEmpty()) {
        // Start of a new cue
        this.cueStartTime = time;
      } else {
        if (!this.displayedMemory.equals(this.lastOutputScreen)) {
          this.outputFilter.newCue(this.cueStartTime, time, this.lastOutputScreen);
          if (dispatch && this.outputFilter.dispatchCue) {
            this.outputFilter.dispatchCue();
          }
          this.cueStartTime = this.displayedMemory.isEmpty() ? null : time;
        }
      }
      this.lastOutputScreen.copy(this.displayedMemory);
    }
  }
  cueSplitAtTime(t) {
    if (this.outputFilter) {
      if (!this.displayedMemory.isEmpty()) {
        if (this.outputFilter.newCue) {
          this.outputFilter.newCue(this.cueStartTime, t, this.displayedMemory);
        }
        this.cueStartTime = t;
      }
    }
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/Cta608Parser.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/Cta608Parser.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Cta608Parser: function() { return /* binding */ Cta608Parser; }
/* harmony export */ });
/* harmony import */ var _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CaptionsLogger.js */ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionsLogger.js");
/* harmony import */ var _Cta608Channel_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Cta608Channel.js */ "./node_modules/@svta/common-media-library/dist/cta/608/Cta608Channel.js");
/* harmony import */ var _VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./VerboseLevel.js */ "./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js");
/* harmony import */ var _utils_backgroundColors_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./utils/backgroundColors.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/backgroundColors.js");
/* harmony import */ var _utils_createCmdHistory_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/createCmdHistory.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/createCmdHistory.js");
/* harmony import */ var _utils_getCharForByte_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./utils/getCharForByte.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/getCharForByte.js");
/* harmony import */ var _utils_hasCmdRepeated_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./utils/hasCmdRepeated.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/hasCmdRepeated.js");
/* harmony import */ var _utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./utils/numArrayToHexArray.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/numArrayToHexArray.js");
/* harmony import */ var _utils_rowsHighCh1_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./utils/rowsHighCh1.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsHighCh1.js");
/* harmony import */ var _utils_rowsHighCh2_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./utils/rowsHighCh2.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsHighCh2.js");
/* harmony import */ var _utils_rowsLowCh1_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./utils/rowsLowCh1.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsLowCh1.js");
/* harmony import */ var _utils_rowsLowCh2_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./utils/rowsLowCh2.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsLowCh2.js");
/* harmony import */ var _utils_setLastCmd_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./utils/setLastCmd.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/setLastCmd.js");
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */













/**
 * CEA-608 caption parser.
 *
 * @group CTA-608
 * @beta
 */
class Cta608Parser {
  constructor(field, out1, out2) {
    this.currentChannel = 0;
    this.cmdHistory = (0,_utils_createCmdHistory_js__WEBPACK_IMPORTED_MODULE_4__.createCmdHistory)();
    this.lastTime = null;
    const logger = this.logger = new _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_0__.CaptionsLogger();
    this.channels = [null, new _Cta608Channel_js__WEBPACK_IMPORTED_MODULE_1__.Cta608Channel(field, out1, logger), new _Cta608Channel_js__WEBPACK_IMPORTED_MODULE_1__.Cta608Channel(field + 1, out2, logger)];
  }
  /**
   * Add data for time t in forms of list of bytes (unsigned ints). The bytes are treated as pairs.
   *
   * @param time - The time in milliseconds
   * @param byteList - The list of bytes
   */
  addData(time, byteList) {
    this.lastTime = time;
    this.logger.time = time;
    for (let i = 0; i < byteList.length; i += 2) {
      const a = byteList[i] & 0x7f;
      const b = byteList[i + 1] & 0x7f;
      let cmdFound = false;
      let charsFound = null;
      if (this.lastTime !== null) {
        time = this.lastTime + 0.5 * i * 1001 / 30000;
        this.logger.time = time;
      }
      if (a === 0 && b === 0) {
        continue;
      } else {
        this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.DATA, () => '[' + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)([byteList[i], byteList[i + 1]]) + '] -> (' + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)([a, b]) + ')');
      }
      const cmdHistory = this.cmdHistory;
      const isControlCode = a >= 0x10 && a <= 0x1f;
      if (isControlCode) {
        // Skip redundant control codes
        if ((0,_utils_hasCmdRepeated_js__WEBPACK_IMPORTED_MODULE_6__.hasCmdRepeated)(a, b, cmdHistory)) {
          (0,_utils_setLastCmd_js__WEBPACK_IMPORTED_MODULE_12__.setLastCmd)(null, null, cmdHistory);
          this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.DEBUG, () => 'Repeated command (' + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)([a, b]) + ') is dropped');
          continue;
        }
        (0,_utils_setLastCmd_js__WEBPACK_IMPORTED_MODULE_12__.setLastCmd)(a, b, this.cmdHistory);
        cmdFound = this.parseCmd(a, b);
        if (!cmdFound) {
          cmdFound = this.parseMidrow(a, b);
        }
        if (!cmdFound) {
          cmdFound = this.parsePAC(a, b);
        }
        if (!cmdFound) {
          cmdFound = this.parseBackgroundAttributes(a, b);
        }
      } else {
        (0,_utils_setLastCmd_js__WEBPACK_IMPORTED_MODULE_12__.setLastCmd)(null, null, cmdHistory);
      }
      if (!cmdFound) {
        charsFound = this.parseChars(a, b);
        if (charsFound.length) {
          const currChNr = this.currentChannel;
          if (currChNr && currChNr > 0) {
            const channel = this.channels[currChNr];
            channel.insertChars(charsFound);
          } else {
            this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.WARNING, 'No channel found yet. TEXT-MODE?');
          }
        }
      }
      if (!cmdFound && !charsFound) {
        this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.WARNING, () => "Couldn't parse cleaned data " + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)([a, b]) + ' orig: ' + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)([byteList[i], byteList[i + 1]]));
      }
    }
  }
  /**
   * Parse Command.
   *
   * @param a - The first byte
   * @param b - The second byte
   * @returns True if a command was found
   */
  parseCmd(a, b) {
    const cond1 = (a === 0x14 || a === 0x1c || a === 0x15 || a === 0x1d) && b >= 0x20 && b <= 0x2f;
    const cond2 = (a === 0x17 || a === 0x1f) && b >= 0x21 && b <= 0x23;
    if (!(cond1 || cond2)) {
      return false;
    }
    const chNr = a === 0x14 || a === 0x15 || a === 0x17 ? 1 : 2;
    const channel = this.channels[chNr];
    if (a === 0x14 || a === 0x15 || a === 0x1c || a === 0x1d) {
      if (b === 0x20) {
        channel.ccRCL();
      } else if (b === 0x21) {
        channel.ccBS();
      } else if (b === 0x22) {
        channel.ccAOF();
      } else if (b === 0x23) {
        channel.ccAON();
      } else if (b === 0x24) {
        channel.ccDER();
      } else if (b === 0x25) {
        channel.ccRU(2);
      } else if (b === 0x26) {
        channel.ccRU(3);
      } else if (b === 0x27) {
        channel.ccRU(4);
      } else if (b === 0x28) {
        channel.ccFON();
      } else if (b === 0x29) {
        channel.ccRDC();
      } else if (b === 0x2a) {
        channel.ccTR();
      } else if (b === 0x2b) {
        channel.ccRTD();
      } else if (b === 0x2c) {
        channel.ccEDM();
      } else if (b === 0x2d) {
        channel.ccCR();
      } else if (b === 0x2e) {
        channel.ccENM();
      } else if (b === 0x2f) {
        channel.ccEOC();
      }
    } else {
      // a == 0x17 || a == 0x1F
      channel.ccTO(b - 0x20);
    }
    this.currentChannel = chNr;
    return true;
  }
  /**
   * Parse midrow styling command
   *
   * @param a - The first byte
   * @param b - The second byte
   * @returns `true` if midrow styling command was found
   */
  parseMidrow(a, b) {
    let chNr = 0;
    if ((a === 0x11 || a === 0x19) && b >= 0x20 && b <= 0x2f) {
      if (a === 0x11) {
        chNr = 1;
      } else {
        chNr = 2;
      }
      if (chNr !== this.currentChannel) {
        this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.ERROR, 'Mismatch channel in midrow parsing');
        return false;
      }
      const channel = this.channels[chNr];
      if (!channel) {
        return false;
      }
      channel.ccMIDROW(b);
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.DEBUG, () => 'MIDROW (' + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)([a, b]) + ')');
      return true;
    }
    return false;
  }
  /**
   * Parse Preable Access Codes (Table 53).
   *
   * @param a - The first byte
   * @param b - The second byte
   * @returns A Boolean that tells if PAC found
   */
  parsePAC(a, b) {
    let row;
    const case1 = (a >= 0x11 && a <= 0x17 || a >= 0x19 && a <= 0x1f) && b >= 0x40 && b <= 0x7f;
    const case2 = (a === 0x10 || a === 0x18) && b >= 0x40 && b <= 0x5f;
    if (!(case1 || case2)) {
      return false;
    }
    const chNr = a <= 0x17 ? 1 : 2;
    if (b >= 0x40 && b <= 0x5f) {
      row = chNr === 1 ? _utils_rowsLowCh1_js__WEBPACK_IMPORTED_MODULE_10__.rowsLowCh1[a] : _utils_rowsLowCh2_js__WEBPACK_IMPORTED_MODULE_11__.rowsLowCh2[a];
    } else {
      // 0x60 <= b <= 0x7F
      row = chNr === 1 ? _utils_rowsHighCh1_js__WEBPACK_IMPORTED_MODULE_8__.rowsHighCh1[a] : _utils_rowsHighCh2_js__WEBPACK_IMPORTED_MODULE_9__.rowsHighCh2[a];
    }
    const channel = this.channels[chNr];
    if (!channel) {
      return false;
    }
    channel.setPAC(this.interpretPAC(row, b));
    this.currentChannel = chNr;
    return true;
  }
  /**
   * Interpret the second byte of the pac, and return the information.
   *
   * @param row - The row number
   * @param byte - The second byte
   * @returns pacData with style parameters
   */
  interpretPAC(row, byte) {
    let pacIndex;
    const pacData = {
      color: null,
      italics: false,
      indent: null,
      underline: false,
      row: row
    };
    if (byte > 0x5f) {
      pacIndex = byte - 0x60;
    } else {
      pacIndex = byte - 0x40;
    }
    pacData.underline = (pacIndex & 1) === 1;
    if (pacIndex <= 0xd) {
      pacData.color = ['white', 'green', 'blue', 'cyan', 'red', 'yellow', 'magenta', 'white'][Math.floor(pacIndex / 2)];
    } else if (pacIndex <= 0xf) {
      pacData.italics = true;
      pacData.color = 'white';
    } else {
      pacData.indent = Math.floor((pacIndex - 0x10) / 2) * 4;
    }
    return pacData; // Note that row has zero offset. The spec uses 1.
  }
  /**
   * Parse characters.
   *
   * @param a - The first byte
   * @param b - The second byte
   * @returns An array with 1 to 2 codes corresponding to chars, if found. null otherwise.
   */
  parseChars(a, b) {
    let channelNr;
    let charCodes = [];
    let charCode1 = null;
    if (a >= 0x19) {
      channelNr = 2;
      charCode1 = a - 8;
    } else {
      channelNr = 1;
      charCode1 = a;
    }
    if (charCode1 >= 0x11 && charCode1 <= 0x13) {
      // Special character
      let oneCode;
      if (charCode1 === 0x11) {
        oneCode = b + 0x50;
      } else if (charCode1 === 0x12) {
        oneCode = b + 0x70;
      } else {
        oneCode = b + 0x90;
      }
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.INFO, () => "Special char '" + (0,_utils_getCharForByte_js__WEBPACK_IMPORTED_MODULE_5__.getCharForByte)(oneCode) + "' in channel " + channelNr);
      charCodes = [oneCode];
    } else if (a >= 0x20 && a <= 0x7f) {
      charCodes = b === 0 ? [a] : [a, b];
    }
    if (charCodes) {
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_2__.VerboseLevel.DEBUG, () => 'Char codes =  ' + (0,_utils_numArrayToHexArray_js__WEBPACK_IMPORTED_MODULE_7__.numArrayToHexArray)(charCodes).join(','));
    }
    return charCodes;
  }
  /**
   * Parse extended background attributes as well as new foreground color black.
   *
   * @param a - The first byte
   * @param b - The second byte
   * @returns True if background attributes are found
   */
  parseBackgroundAttributes(a, b) {
    const case1 = (a === 0x10 || a === 0x18) && b >= 0x20 && b <= 0x2f;
    const case2 = (a === 0x17 || a === 0x1f) && b >= 0x2d && b <= 0x2f;
    if (!(case1 || case2)) {
      return false;
    }
    let index;
    const bkgData = {};
    if (a === 0x10 || a === 0x18) {
      index = Math.floor((b - 0x20) / 2);
      bkgData.background = _utils_backgroundColors_js__WEBPACK_IMPORTED_MODULE_3__.backgroundColors[index];
      if (b % 2 === 1) {
        bkgData.background = bkgData.background + '_semi';
      }
    } else if (b === 0x2d) {
      bkgData.background = 'transparent';
    } else {
      bkgData.foreground = 'black';
      if (b === 0x2f) {
        bkgData.underline = true;
      }
    }
    const chNr = a <= 0x17 ? 1 : 2;
    const channel = this.channels[chNr];
    channel.setBkgData(bkgData);
    return true;
  }
  /**
   * Reset state of parser and its channels.
   */
  reset() {
    for (let i = 0; i < Object.keys(this.channels).length; i++) {
      const channel = this.channels[i];
      if (channel) {
        channel.reset();
      }
    }
    (0,_utils_setLastCmd_js__WEBPACK_IMPORTED_MODULE_12__.setLastCmd)(null, null, this.cmdHistory);
  }
  /**
   * Trigger the generation of a cue, and the start of a new one if displayScreens are not empty.
   */
  cueSplitAtTime(t) {
    for (let i = 0; i < this.channels.length; i++) {
      const channel = this.channels[i];
      if (channel) {
        channel.cueSplitAtTime(t);
      }
    }
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/PenState.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/PenState.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PenState: function() { return /* binding */ PenState; }
/* harmony export */ });
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * Pen state.
 *
 * @group CTA-608
 * @beta
 */
class PenState {
  constructor() {
    this.foreground = 'white';
    this.underline = false;
    this.italics = false;
    this.background = 'black';
    this.flash = false;
  }
  reset() {
    this.foreground = 'white';
    this.underline = false;
    this.italics = false;
    this.background = 'black';
    this.flash = false;
  }
  setStyles(styles) {
    const attribs = ['foreground', 'underline', 'italics', 'background', 'flash'];
    for (let i = 0; i < attribs.length; i++) {
      const style = attribs[i];
      if (Object.prototype.hasOwnProperty.call(styles, style)) {
        this[style] = styles[style];
      }
    }
  }
  isDefault() {
    return this.foreground === 'white' && !this.underline && !this.italics && this.background === 'black' && !this.flash;
  }
  equals(other) {
    return this.foreground === other.foreground && this.underline === other.underline && this.italics === other.italics && this.background === other.background && this.flash === other.flash;
  }
  copy(newPenState) {
    this.foreground = newPenState.foreground;
    this.underline = newPenState.underline;
    this.italics = newPenState.italics;
    this.background = newPenState.background;
    this.flash = newPenState.flash;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/Row.js":
/*!*********************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/Row.js ***!
  \*********************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Row: function() { return /* binding */ Row; }
/* harmony export */ });
/* harmony import */ var _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CaptionsLogger.js */ "./node_modules/@svta/common-media-library/dist/cta/608/CaptionsLogger.js");
/* harmony import */ var _PenState_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./PenState.js */ "./node_modules/@svta/common-media-library/dist/cta/608/PenState.js");
/* harmony import */ var _StyledUnicodeChar_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./StyledUnicodeChar.js */ "./node_modules/@svta/common-media-library/dist/cta/608/StyledUnicodeChar.js");
/* harmony import */ var _VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./VerboseLevel.js */ "./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js");
/* harmony import */ var _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/NR_COLS.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/NR_COLS.js");
/* harmony import */ var _utils_getCharForByte_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./utils/getCharForByte.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/getCharForByte.js");
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






/**
 * CTA-608 row consisting of NR_COLS instances of StyledUnicodeChar.
 *
 * @group CTA-608
 * @beta
 */
class Row {
  constructor() {
    let logger = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : new _CaptionsLogger_js__WEBPACK_IMPORTED_MODULE_0__.CaptionsLogger();
    this.chars = [];
    this.cueStartTime = null;
    this.pos = 0;
    this.currPenState = new _PenState_js__WEBPACK_IMPORTED_MODULE_1__.PenState();
    for (let i = 0; i < _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS; i++) {
      this.chars.push(new _StyledUnicodeChar_js__WEBPACK_IMPORTED_MODULE_2__.StyledUnicodeChar());
    }
    this.logger = logger;
  }
  equals(other) {
    for (let i = 0; i < _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS; i++) {
      if (!this.chars[i].equals(other.chars[i])) {
        return false;
      }
    }
    return true;
  }
  copy(other) {
    for (let i = 0; i < _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS; i++) {
      this.chars[i].copy(other.chars[i]);
    }
  }
  isEmpty() {
    let empty = true;
    for (let i = 0; i < _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS; i++) {
      if (!this.chars[i].isEmpty()) {
        empty = false;
        break;
      }
    }
    return empty;
  }
  /**
   *  Set the cursor to a valid column.
   */
  setCursor(absPos) {
    if (this.pos !== absPos) {
      this.pos = absPos;
    }
    if (this.pos < 0) {
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.DEBUG, 'Negative cursor position ' + this.pos);
      this.pos = 0;
    } else if (this.pos > _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS) {
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.DEBUG, 'Too large cursor position ' + this.pos);
      this.pos = _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS;
    }
  }
  /**
   * Move the cursor relative to current position.
   */
  moveCursor(relPos) {
    const newPos = this.pos + relPos;
    if (relPos > 1) {
      for (let i = this.pos + 1; i < newPos + 1; i++) {
        this.chars[i].setPenState(this.currPenState);
      }
    }
    this.setCursor(newPos);
  }
  /**
   * Backspace, move one step back and clear character.
   */
  backSpace() {
    this.moveCursor(-1);
    this.chars[this.pos].setChar(' ', this.currPenState);
  }
  insertChar(byte) {
    if (byte >= 0x90) {
      // Extended char
      this.backSpace();
    }
    const char = (0,_utils_getCharForByte_js__WEBPACK_IMPORTED_MODULE_5__.getCharForByte)(byte);
    if (this.pos >= _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS) {
      this.logger.log(_VerboseLevel_js__WEBPACK_IMPORTED_MODULE_3__.VerboseLevel.ERROR, () => 'Cannot insert ' + byte.toString(16) + ' (' + char + ') at position ' + this.pos + '. Skipping it!');
      return;
    }
    this.chars[this.pos].setChar(char, this.currPenState);
    this.moveCursor(1);
  }
  clearFromPos(startPos) {
    let i;
    for (i = startPos; i < _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS; i++) {
      this.chars[i].reset();
    }
  }
  clear() {
    this.clearFromPos(0);
    this.pos = 0;
    this.currPenState.reset();
  }
  clearToEndOfRow() {
    this.clearFromPos(this.pos);
  }
  getTextString() {
    const chars = [];
    let empty = true;
    for (let i = 0; i < _utils_NR_COLS_js__WEBPACK_IMPORTED_MODULE_4__.NR_COLS; i++) {
      const char = this.chars[i].uchar;
      if (char !== ' ') {
        empty = false;
      }
      chars.push(char);
    }
    if (empty) {
      return '';
    } else {
      return chars.join('');
    }
  }
  setPenStyles(styles) {
    this.currPenState.setStyles(styles);
    const currChar = this.chars[this.pos];
    currChar.setPenState(this.currPenState);
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/StyledUnicodeChar.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/StyledUnicodeChar.js ***!
  \***********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StyledUnicodeChar: function() { return /* binding */ StyledUnicodeChar; }
/* harmony export */ });
/* harmony import */ var _PenState_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./PenState.js */ "./node_modules/@svta/common-media-library/dist/cta/608/PenState.js");
/**
 *
 * This code was ported from the dash.js project at:
 *   https://github.com/Dash-Industry-Forum/dash.js/blob/development/externals/cea608-parser.js
 *   https://github.com/Dash-Industry-Forum/dash.js/commit/8269b26a761e0853bb21d78780ed945144ecdd4d#diff-71bc295a2d6b6b7093a1d3290d53a4b2
 *
 * The original copyright appears below:
 *
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2015-2016, DASH Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  2. Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Unicode character with styling and background.
 *
 * @group CTA-608
 * @beta
 */
class StyledUnicodeChar {
  constructor() {
    this.uchar = ' ';
    this.penState = new _PenState_js__WEBPACK_IMPORTED_MODULE_0__.PenState();
  }
  reset() {
    this.uchar = ' ';
    this.penState.reset();
  }
  setChar(uchar, newPenState) {
    this.uchar = uchar;
    this.penState.copy(newPenState);
  }
  setPenState(newPenState) {
    this.penState.copy(newPenState);
  }
  equals(other) {
    return this.uchar === other.uchar && this.penState.equals(other.penState);
  }
  copy(newChar) {
    this.uchar = newChar.uchar;
    this.penState.copy(newChar.penState);
  }
  isEmpty() {
    return this.uchar === ' ' && this.penState.isDefault();
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/VerboseLevel.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VerboseLevel: function() { return /* binding */ VerboseLevel; }
/* harmony export */ });
/**
 * Logging levels for the CTA-608 parser.
 *
 * @group CTA-608
 *
 * @enum
 *
 * @beta
 */
const VerboseLevel = {
  ERROR: 0,
  TEXT: 1,
  WARNING: 2,
  INFO: 2,
  DEBUG: 3,
  DATA: 3
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/extractCta608DataFromSample.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/extractCta608DataFromSample.js ***!
  \*********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   extractCta608DataFromSample: function() { return /* binding */ extractCta608DataFromSample; }
/* harmony export */ });
/* harmony import */ var _utils_seiHelpers_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils/seiHelpers.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/seiHelpers.js");

/**
 * Extracts CEA-608 data from a given sample.
 *
 * @param raw - The DataView with media data
 * @param startPos - The start position within the DataView
 * @param sampleSize - The size of the sample in bytes
 * @returns fieldData array containing field 1 and field 2 data arrays
 *
 * @group CTA-608
 * @beta
 */
function extractCta608DataFromSample(raw, startPos, sampleSize) {
  let nalSize = 0;
  let nalType = 0;
  const fieldData = [[], []];
  for (let cursor = startPos; cursor < startPos + sampleSize - 5; cursor++) {
    nalSize = raw.getUint32(cursor);
    nalType = raw.getUint8(cursor + 4) & 0x1F;
    // Make sure that we don't go out of bounds
    if (cursor + 5 + nalSize > startPos + sampleSize) {
      break;
    }
    // Only process Supplemental Enhancement Information (SEI) NAL units
    if ((0,_utils_seiHelpers_js__WEBPACK_IMPORTED_MODULE_0__.isSeiNalUnitType)(nalType)) {
      if (cursor + 5 + nalSize <= raw.byteLength) {
        const seiData = (0,_utils_seiHelpers_js__WEBPACK_IMPORTED_MODULE_0__.getSeiData)(raw, cursor + 5, cursor + 5 + nalSize);
        (0,_utils_seiHelpers_js__WEBPACK_IMPORTED_MODULE_0__.parseCta608DataFromSei)(seiData, fieldData);
      }
    }
    // Jump to the next NAL unit
    cursor += nalSize + 3;
  }
  return fieldData;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/NR_COLS.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/NR_COLS.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NR_COLS: function() { return /* binding */ NR_COLS; }
/* harmony export */ });
const NR_COLS = 100;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/NR_ROWS.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/NR_ROWS.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NR_ROWS: function() { return /* binding */ NR_ROWS; }
/* harmony export */ });
const NR_ROWS = 15;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/backgroundColors.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/backgroundColors.js ***!
  \****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   backgroundColors: function() { return /* binding */ backgroundColors; }
/* harmony export */ });
const backgroundColors = ['white', 'green', 'blue', 'cyan', 'red', 'yellow', 'magenta', 'black', 'transparent'];

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/createCmdHistory.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/createCmdHistory.js ***!
  \****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   createCmdHistory: function() { return /* binding */ createCmdHistory; }
/* harmony export */ });
function createCmdHistory() {
  return {
    a: null,
    b: null
  };
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/getCharForByte.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/getCharForByte.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getCharForByte: function() { return /* binding */ getCharForByte; }
/* harmony export */ });
/* harmony import */ var _specialCea608CharsCodes_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./specialCea608CharsCodes.js */ "./node_modules/@svta/common-media-library/dist/cta/608/utils/specialCea608CharsCodes.js");

const getCharForByte = function (byte) {
  return String.fromCharCode(_specialCea608CharsCodes_js__WEBPACK_IMPORTED_MODULE_0__.specialCea608CharsCodes[byte] || byte);
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/hasCmdRepeated.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/hasCmdRepeated.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   hasCmdRepeated: function() { return /* binding */ hasCmdRepeated; }
/* harmony export */ });
function hasCmdRepeated(a, b, cmdHistory) {
  return cmdHistory.a === a && cmdHistory.b === b;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/numArrayToHexArray.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/numArrayToHexArray.js ***!
  \******************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   numArrayToHexArray: function() { return /* binding */ numArrayToHexArray; }
/* harmony export */ });
const numArrayToHexArray = function (numArray) {
  const hexArray = [];
  for (let j = 0; j < numArray.length; j++) {
    hexArray.push(numArray[j].toString(16));
  }
  return hexArray;
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsHighCh1.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsHighCh1.js ***!
  \***********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   rowsHighCh1: function() { return /* binding */ rowsHighCh1; }
/* harmony export */ });
const rowsHighCh1 = {
  17: 2,
  18: 4,
  21: 6,
  22: 8,
  23: 10,
  19: 13,
  20: 15
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsHighCh2.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsHighCh2.js ***!
  \***********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   rowsHighCh2: function() { return /* binding */ rowsHighCh2; }
/* harmony export */ });
const rowsHighCh2 = {
  25: 2,
  26: 4,
  29: 6,
  30: 8,
  31: 10,
  27: 13,
  28: 15
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsLowCh1.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsLowCh1.js ***!
  \**********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   rowsLowCh1: function() { return /* binding */ rowsLowCh1; }
/* harmony export */ });
// Tables to look up row from PAC data
const rowsLowCh1 = {
  17: 1,
  18: 3,
  21: 5,
  22: 7,
  23: 9,
  16: 11,
  19: 12,
  20: 14
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsLowCh2.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/rowsLowCh2.js ***!
  \**********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   rowsLowCh2: function() { return /* binding */ rowsLowCh2; }
/* harmony export */ });
const rowsLowCh2 = {
  25: 1,
  26: 3,
  29: 5,
  30: 7,
  31: 9,
  24: 11,
  27: 12,
  28: 14
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/seiHelpers.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/seiHelpers.js ***!
  \**********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getSeiData: function() { return /* binding */ getSeiData; },
/* harmony export */   isCCType: function() { return /* binding */ isCCType; },
/* harmony export */   isCea608Sei: function() { return /* binding */ isCea608Sei; },
/* harmony export */   isNonEmptyCCData: function() { return /* binding */ isNonEmptyCCData; },
/* harmony export */   isSeiNalUnitType: function() { return /* binding */ isSeiNalUnitType; },
/* harmony export */   parseCta608DataFromSei: function() { return /* binding */ parseCta608DataFromSei; }
/* harmony export */ });
function getSeiData(raw, startPos, endPos) {
  const data = [];
  for (let cursor = startPos; cursor < endPos; cursor++) {
    if (cursor + 2 < endPos && raw.getUint8(cursor) === 0x00 && raw.getUint8(cursor + 1) === 0x00 && raw.getUint8(cursor + 2) === 0x03) {
      data.push(0x00);
      data.push(0x00);
      cursor += 2;
    } else {
      data.push(raw.getUint8(cursor));
    }
  }
  return new DataView(new Uint8Array(data).buffer);
}
function isCea608Sei(payloadType, payloadSize, sei, pos) {
  if (payloadType !== 4 || payloadSize < 8) {
    return false;
  }
  const countryCode = sei.getUint8(pos);
  if (countryCode !== 0xB5) {
    return false;
  }
  const providerCode = sei.getUint16(pos + 1);
  if (providerCode !== 0x0031) {
    return false;
  }
  const userIdentifier = sei.getUint32(pos + 3);
  if (userIdentifier !== 0x47413934) {
    return false;
  }
  const userDataTypeCode = sei.getUint8(pos + 7);
  if (userDataTypeCode !== 0x03) {
    return false;
  }
  return true;
}
function isCCType(type) {
  return type === 0 || type === 1;
}
function isNonEmptyCCData(ccData1, ccData2) {
  return (ccData1 & 0x7F) > 0 || (ccData2 & 0x7F) > 0;
}
function isSeiNalUnitType(unitType) {
  return unitType === 0x06;
}
function parseCta608DataFromSei(sei, fieldData) {
  let cursor = 0;
  while (cursor < sei.byteLength) {
    let payloadType = 0;
    let payloadSize = 0;
    let now;
    do {
      payloadType += now = sei.getUint8(cursor++);
    } while (now === 0xFF);
    do {
      payloadSize += now = sei.getUint8(cursor++);
    } while (now === 0xFF);
    if (isCea608Sei(payloadType, payloadSize, sei, cursor)) {
      const pos = cursor + 10;
      const ccCount = pos + (sei.getUint8(pos - 2) & 0x1F) * 3;
      for (let i = pos; i < ccCount; i += 3) {
        const byte = sei.getUint8(i);
        if (byte & 0x04) {
          const ccType = byte & 0x03;
          if (isCCType(ccType)) {
            const ccData1 = sei.getUint8(i + 1);
            const ccData2 = sei.getUint8(i + 2);
            if (isNonEmptyCCData(ccData1, ccData2)) {
              fieldData[ccType].push(ccData1, ccData2);
            }
          }
        }
      }
    }
    cursor += payloadSize;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/setLastCmd.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/setLastCmd.js ***!
  \**********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   setLastCmd: function() { return /* binding */ setLastCmd; }
/* harmony export */ });
function setLastCmd(a, b, cmdHistory) {
  cmdHistory.a = a;
  cmdHistory.b = b;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/608/utils/specialCea608CharsCodes.js":
/*!***********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/608/utils/specialCea608CharsCodes.js ***!
  \***********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   specialCea608CharsCodes: function() { return /* binding */ specialCea608CharsCodes; }
/* harmony export */ });
/**
 *  Exceptions from regular ASCII. CodePoints are mapped to UTF-16 codes
 */
const specialCea608CharsCodes = {
  42: 225,
  // lowercase a, acute accent
  92: 233,
  // lowercase e, acute accent
  94: 237,
  // lowercase i, acute accent
  95: 243,
  // lowercase o, acute accent
  96: 250,
  // lowercase u, acute accent
  123: 231,
  // lowercase c with cedilla
  124: 247,
  // division symbol
  125: 209,
  // uppercase N tilde
  126: 241,
  // lowercase n tilde
  127: 9608,
  // Full block
  // THIS BLOCK INCLUDES THE 16 EXTENDED (TWO-BYTE) LINE 21 CHARACTERS
  // THAT COME FROM HI BYTE=0x11 AND LOW BETWEEN 0x30 AND 0x3F
  // THIS MEANS THAT \x50 MUST BE ADDED TO THE VALUES
  128: 174,
  // Registered symbol (R)
  129: 176,
  // degree sign
  130: 189,
  // 1/2 symbolOutputFilter
  131: 191,
  // Inverted (open) question mark
  132: 8482,
  // Trademark symbol (TM)
  133: 162,
  // Cents symbol
  134: 163,
  // Pounds sterling
  135: 9834,
  // Music 8'th note
  136: 224,
  // lowercase a, grave accent
  137: 32,
  // transparent space (regular)
  138: 232,
  // lowercase e, grave accent
  139: 226,
  // lowercase a, circumflex accent
  140: 234,
  // lowercase e, circumflex accent
  141: 238,
  // lowercase i, circumflex accent
  142: 244,
  // lowercase o, circumflex accent
  143: 251,
  // lowercase u, circumflex accent
  // THIS BLOCK INCLUDES THE 32 EXTENDED (TWO-BYTE) LINE 21 CHARACTERS
  // THAT COME FROM HI BYTE=0x12 AND LOW BETWEEN 0x20 AND 0x3F
  144: 193,
  // capital letter A with acute
  145: 201,
  // capital letter E with acute
  146: 211,
  // capital letter O with acute
  147: 218,
  // capital letter U with acute
  148: 220,
  // capital letter U with diaresis
  149: 252,
  // lowercase letter U with diaeresis
  150: 8216,
  // opening single quote
  151: 161,
  // inverted exclamation mark
  152: 42,
  // asterisk
  153: 8217,
  // closing single quote
  154: 9473,
  // box drawings heavy horizontal
  155: 169,
  // copyright sign
  156: 8480,
  // Service mark
  157: 8226,
  // (round) bullet
  158: 8220,
  // Left double quotation mark
  159: 8221,
  // Right double quotation mark
  160: 192,
  // uppercase A, grave accent
  161: 194,
  // uppercase A, circumflex
  162: 199,
  // uppercase C with cedilla
  163: 200,
  // uppercase E, grave accent
  164: 202,
  // uppercase E, circumflex
  165: 203,
  // capital letter E with diaresis
  166: 235,
  // lowercase letter e with diaresis
  167: 206,
  // uppercase I, circumflex
  168: 207,
  // uppercase I, with diaresis
  169: 239,
  // lowercase i, with diaresis
  170: 212,
  // uppercase O, circumflex
  171: 217,
  // uppercase U, grave accent
  172: 249,
  // lowercase u, grave accent
  173: 219,
  // uppercase U, circumflex
  174: 171,
  // left-pointing double angle quotation mark
  175: 187,
  // right-pointing double angle quotation mark
  // THIS BLOCK INCLUDES THE 32 EXTENDED (TWO-BYTE) LINE 21 CHARACTERS
  // THAT COME FROM HI BYTE=0x13 AND LOW BETWEEN 0x20 AND 0x3F
  176: 195,
  // Uppercase A, tilde
  177: 227,
  // Lowercase a, tilde
  178: 205,
  // Uppercase I, acute accent
  179: 204,
  // Uppercase I, grave accent
  180: 236,
  // Lowercase i, grave accent
  181: 210,
  // Uppercase O, grave accent
  182: 242,
  // Lowercase o, grave accent
  183: 213,
  // Uppercase O, tilde
  184: 245,
  // Lowercase o, tilde
  185: 123,
  // Open curly brace
  186: 125,
  // Closing curly brace
  187: 92,
  // Backslash
  188: 94,
  // Caret
  189: 95,
  // Underscore
  190: 124,
  // Pipe (vertical line)
  191: 8764,
  // Tilde operator
  192: 196,
  // Uppercase A, umlaut
  193: 228,
  // Lowercase A, umlaut
  194: 214,
  // Uppercase O, umlaut
  195: 246,
  // Lowercase o, umlaut
  196: 223,
  // Esszett (sharp S)
  197: 165,
  // Yen symbolOutputFilter
  198: 164,
  // Generic currency sign
  199: 9475,
  // Box drawings heavy vertical
  200: 197,
  // Uppercase A, ring
  201: 229,
  // Lowercase A, ring
  202: 216,
  // Uppercase O, stroke
  203: 248,
  // Lowercase o, strok
  204: 9487,
  // Box drawings heavy down and right
  205: 9491,
  // Box drawings heavy down and left
  206: 9495,
  // Box drawings heavy up and right
  207: 9499 // Box drawings heavy up and left
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/CmObjectType.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/CmObjectType.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmObjectType: function() { return /* binding */ CmObjectType; }
/* harmony export */ });
/**
 * Common Media Object Type
 *
 * @internal
 */
const CmObjectType = {
  /**
   * text file, such as a manifest or playlist
   */
  MANIFEST: 'm',
  /**
   * audio only
   */
  AUDIO: 'a',
  /**
   * video only
   */
  VIDEO: 'v',
  /**
   * muxed audio and video
   */
  MUXED: 'av',
  /**
   * init segment
   */
  INIT: 'i',
  /**
   * caption or subtitle
   */
  CAPTION: 'c',
  /**
   * ISOBMFF timed text track
   */
  TIMED_TEXT: 'tt',
  /**
   * cryptographic key, license or certificate.
   */
  KEY: 'k',
  /**
   * other
   */
  OTHER: 'o'
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/CmStreamType.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/CmStreamType.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmStreamType: function() { return /* binding */ CmStreamType; }
/* harmony export */ });
/**
 * Common Media Stream Type
 *
 * @internal
 */
const CmStreamType = {
  /**
   *  All segments are available – e.g., VOD
   */
  VOD: 'v',
  /**
   * Segments become available over time – e.g., LIVE
   */
  LIVE: 'l'
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/CmStreamingFormat.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/CmStreamingFormat.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CmStreamingFormat: function() { return /* binding */ CmStreamingFormat; }
/* harmony export */ });
/**
 * Common Media Streaming Format
 *
 * @internal
 */
const CmStreamingFormat = {
  /**
   * MPEG DASH
   */
  DASH: 'd',
  /**
   * HTTP Live Streaming (HLS)
   */
  HLS: 'h',
  /**
   * Smooth Streaming
   */
  SMOOTH: 's',
  /**
   * Other
   */
  OTHER: 'o'
};

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/utils/isTokenField.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/utils/isTokenField.js ***!
  \********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isTokenField: function() { return /* binding */ isTokenField; }
/* harmony export */ });
/**
 * Checks if the given key is a token field.
 *
 * @param key - The key to check.
 *
 * @returns `true` if the key is a token field.
 *
 * @internal
 */
function isTokenField(key) {
  return key === 'ot' || key === 'sf' || key === 'st';
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/utils/isValid.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/utils/isValid.js ***!
  \***************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isValid: function() { return /* binding */ isValid; }
/* harmony export */ });
/**
 * Checks if the given value is valid
 *
 * @param value - The value to check.
 *
 * @returns `true` if the key is a value is valid.
 *
 * @internal
 */
function isValid(value) {
  if (typeof value === 'number') {
    return Number.isFinite(value);
  }
  return value != null && value !== '' && value !== false;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/cta/utils/symbolToStr.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/cta/utils/symbolToStr.js ***!
  \*******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   symbolToStr: function() { return /* binding */ symbolToStr; }
/* harmony export */ });
/**
 * Converts a symbol to a string.
 *
 * @param symbol - The symbol to convert.
 *
 * @returns The string representation of the symbol.
 *
 * @internal
 */
function symbolToStr(symbol) {
  return symbol.description || symbol.toString().slice(7, -1);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/dash/processUriTemplate.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/dash/processUriTemplate.js ***!
  \*********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   processUriTemplate: function() { return /* binding */ processUriTemplate; }
/* harmony export */ });
const TOKENS = /\$(RepresentationID|Number|SubNumber|Bandwidth|Time)?(?:%0([0-9]+)([diouxX]))?\$/g;
/**
 * Process a URI template used in `SegmentTemplate` nodes.
 *
 * @param uriTemplate - URI template to process.
 * @param representationId - Representation ID.
 * @param number - Number.
 * @param subNumber - Sub-number.
 * @param bandwidth - Bandwidth.
 * @param time - Time. Should be passed as a number unless the value is larger than `MAX_SAFE_INTEGER`, then it should be provided as a string. If the value is a string all format tags will be ignored.
 *
 * @returns Processed URI template.
 *
 * @group DASH
 * @beta
 *
 * @example
 * {@includeCode ../../test/dash/processUriTemplate.test.ts#example}
 */
function processUriTemplate(uriTemplate, representationId, number, subNumber, bandwidth, time) {
  const uri = uriTemplate.replace(TOKENS, (match, name, widthStr, format) => {
    let value;
    switch (name) {
      case undefined:
        // $$ case
        return '$';
      case 'RepresentationID':
        value = representationId;
        break;
      case 'Number':
        value = number;
        break;
      case 'SubNumber':
        value = subNumber;
        break;
      case 'Bandwidth':
        value = bandwidth;
        break;
      case 'Time':
        if (typeof time === 'string') {
          return time;
        }
        value = time ? Math.round(time) : time;
        break;
      default:
        value = null;
    }
    if (value == null) {
      return match;
    }
    let valueString;
    switch (format) {
      case undefined: // Happens if there is no format specifier.
      case 'd':
      case 'i':
      case 'u':
        valueString = value.toString();
        break;
      case 'o':
        valueString = value.toString(8);
        break;
      case 'x':
        valueString = value.toString(16);
        break;
      case 'X':
        valueString = value.toString(16).toUpperCase();
        break;
      default:
        valueString = value.toString();
        break;
    }
    const width = parseInt(widthStr, 10) || 1;
    return valueString.padStart(width, '0');
  });
  return uri;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/getId3Frames.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/getId3Frames.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getId3Frames: function() { return /* binding */ getId3Frames; }
/* harmony export */ });
/* harmony import */ var _util_decodeId3Frame_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./util/decodeId3Frame.js */ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3Frame.js");
/* harmony import */ var _util_getId3FrameData_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./util/getId3FrameData.js */ "./node_modules/@svta/common-media-library/dist/id3/util/getId3FrameData.js");
/* harmony import */ var _util_isId3Footer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./util/isId3Footer.js */ "./node_modules/@svta/common-media-library/dist/id3/util/isId3Footer.js");
/* harmony import */ var _util_isId3Header_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./util/isId3Header.js */ "./node_modules/@svta/common-media-library/dist/id3/util/isId3Header.js");
/* harmony import */ var _util_readId3Size_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./util/readId3Size.js */ "./node_modules/@svta/common-media-library/dist/id3/util/readId3Size.js");





const HEADER_FOOTER_SIZE = 10;
const FRAME_SIZE = 10;
/**
 * Returns an array of ID3 frames found in all the ID3 tags in the id3Data
 *
 * @param id3Data - The ID3 data containing one or more ID3 tags
 *
 * @returns Array of ID3 frame objects
 *
 * @group ID3
 *
 * @beta
 */
function getId3Frames(id3Data) {
  let offset = 0;
  const frames = [];
  while ((0,_util_isId3Header_js__WEBPACK_IMPORTED_MODULE_3__.isId3Header)(id3Data, offset)) {
    const size = (0,_util_readId3Size_js__WEBPACK_IMPORTED_MODULE_4__.readId3Size)(id3Data, offset + 6);
    if (id3Data[offset + 5] >> 6 & 1) {
      // skip extended header
      offset += HEADER_FOOTER_SIZE;
    }
    // skip past ID3 header
    offset += HEADER_FOOTER_SIZE;
    const end = offset + size;
    // loop through frames in the ID3 tag
    while (offset + FRAME_SIZE < end) {
      const frameData = (0,_util_getId3FrameData_js__WEBPACK_IMPORTED_MODULE_1__.getId3FrameData)(id3Data.subarray(offset));
      const frame = (0,_util_decodeId3Frame_js__WEBPACK_IMPORTED_MODULE_0__.decodeId3Frame)(frameData);
      if (frame) {
        frames.push(frame);
      }
      // skip frame header and frame data
      offset += frameData.size + HEADER_FOOTER_SIZE;
    }
    if ((0,_util_isId3Footer_js__WEBPACK_IMPORTED_MODULE_2__.isId3Footer)(id3Data, offset)) {
      offset += HEADER_FOOTER_SIZE;
    }
  }
  return frames;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3Frame.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/decodeId3Frame.js ***!
  \*********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeId3Frame: function() { return /* binding */ decodeId3Frame; }
/* harmony export */ });
/* harmony import */ var _decodeId3ImageFrame_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./decodeId3ImageFrame.js */ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3ImageFrame.js");
/* harmony import */ var _decodeId3PrivFrame_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./decodeId3PrivFrame.js */ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3PrivFrame.js");
/* harmony import */ var _decodeId3TextFrame_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./decodeId3TextFrame.js */ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3TextFrame.js");
/* harmony import */ var _decodeId3UrlFrame_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./decodeId3UrlFrame.js */ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3UrlFrame.js");




/**
 * Decode an ID3 frame.
 *
 * @param frame - the ID3 frame
 *
 * @returns The decoded ID3 frame
 *
 * @internal
 *
 * @group ID3
 */
function decodeId3Frame(frame) {
  if (frame.type === 'PRIV') {
    return (0,_decodeId3PrivFrame_js__WEBPACK_IMPORTED_MODULE_1__.decodeId3PrivFrame)(frame);
  } else if (frame.type[0] === 'W') {
    return (0,_decodeId3UrlFrame_js__WEBPACK_IMPORTED_MODULE_3__.decodeId3UrlFrame)(frame);
  } else if (frame.type === 'APIC') {
    return (0,_decodeId3ImageFrame_js__WEBPACK_IMPORTED_MODULE_0__.decodeId3ImageFrame)(frame);
  }
  return (0,_decodeId3TextFrame_js__WEBPACK_IMPORTED_MODULE_2__.decodeId3TextFrame)(frame);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3ImageFrame.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/decodeId3ImageFrame.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeId3ImageFrame: function() { return /* binding */ decodeId3ImageFrame; }
/* harmony export */ });
/* harmony import */ var _utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/utf8ArrayToStr.js */ "./node_modules/@svta/common-media-library/dist/utils/utf8ArrayToStr.js");
/* harmony import */ var _toArrayBuffer_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./toArrayBuffer.js */ "./node_modules/@svta/common-media-library/dist/id3/util/toArrayBuffer.js");
/* harmony import */ var _utf8_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utf8.js */ "./node_modules/@svta/common-media-library/dist/id3/util/utf8.js");



function decodeId3ImageFrame(frame) {
  const metadataFrame = {
    key: frame.type,
    description: '',
    data: '',
    mimeType: null,
    pictureType: null
  };
  const utf8Encoding = 0x03;
  if (frame.size < 2) {
    return undefined;
  }
  if (frame.data[0] !== utf8Encoding) {
    console.log('Ignore frame with unrecognized character ' + 'encoding');
    return undefined;
  }
  const mimeTypeEndIndex = frame.data.subarray(1).indexOf(0);
  if (mimeTypeEndIndex === -1) {
    return undefined;
  }
  const mimeType = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)((0,_utf8_js__WEBPACK_IMPORTED_MODULE_2__.toUint8)(frame.data, 1, mimeTypeEndIndex));
  const pictureType = frame.data[2 + mimeTypeEndIndex];
  const descriptionEndIndex = frame.data.subarray(3 + mimeTypeEndIndex).indexOf(0);
  if (descriptionEndIndex === -1) {
    return undefined;
  }
  const description = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)((0,_utf8_js__WEBPACK_IMPORTED_MODULE_2__.toUint8)(frame.data, 3 + mimeTypeEndIndex, descriptionEndIndex));
  let data;
  if (mimeType === '-->') {
    data = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)((0,_utf8_js__WEBPACK_IMPORTED_MODULE_2__.toUint8)(frame.data, 4 + mimeTypeEndIndex + descriptionEndIndex));
  } else {
    data = (0,_toArrayBuffer_js__WEBPACK_IMPORTED_MODULE_1__.toArrayBuffer)(frame.data.subarray(4 + mimeTypeEndIndex + descriptionEndIndex));
  }
  metadataFrame.mimeType = mimeType;
  metadataFrame.pictureType = pictureType;
  metadataFrame.description = description;
  metadataFrame.data = data;
  return metadataFrame;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3PrivFrame.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/decodeId3PrivFrame.js ***!
  \*************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeId3PrivFrame: function() { return /* binding */ decodeId3PrivFrame; }
/* harmony export */ });
/* harmony import */ var _utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/utf8ArrayToStr.js */ "./node_modules/@svta/common-media-library/dist/utils/utf8ArrayToStr.js");

/**
 * Decode an ID3 PRIV frame.
 *
 * @param frame - the ID3 PRIV frame
 *
 * @returns The decoded ID3 PRIV frame
 *
 * @internal
 *
 * @group ID3
 */
function decodeId3PrivFrame(frame) {
  /*
  Format: <text string>\0<binary data>
  */
  if (frame.size < 2) {
    return undefined;
  }
  const owner = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data, true);
  const privateData = new Uint8Array(frame.data.subarray(owner.length + 1));
  return {
    key: frame.type,
    info: owner,
    data: privateData.buffer
  };
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3TextFrame.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/decodeId3TextFrame.js ***!
  \*************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeId3TextFrame: function() { return /* binding */ decodeId3TextFrame; }
/* harmony export */ });
/* harmony import */ var _utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/utf8ArrayToStr.js */ "./node_modules/@svta/common-media-library/dist/utils/utf8ArrayToStr.js");

/**
 * Decodes an ID3 text frame
 *
 * @param frame - the ID3 text frame
 *
 * @returns The decoded ID3 text frame
 *
 * @internal
 *
 * @group ID3
 */
function decodeId3TextFrame(frame) {
  if (frame.size < 2) {
    return undefined;
  }
  if (frame.type === 'TXXX') {
    /*
    Format:
    [0]   = {Text Encoding}
    [1-?] = {Description}\0{Value}
    */
    let index = 1;
    const description = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data.subarray(index), true);
    index += description.length + 1;
    const value = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data.subarray(index));
    return {
      key: frame.type,
      info: description,
      data: value
    };
  }
  /*
  Format:
  [0]   = {Text Encoding}
  [1-?] = {Value}
  */
  const text = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data.subarray(1));
  return {
    key: frame.type,
    info: '',
    data: text
  };
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/decodeId3UrlFrame.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/decodeId3UrlFrame.js ***!
  \************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeId3UrlFrame: function() { return /* binding */ decodeId3UrlFrame; }
/* harmony export */ });
/* harmony import */ var _utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/utf8ArrayToStr.js */ "./node_modules/@svta/common-media-library/dist/utils/utf8ArrayToStr.js");

/**
 * Decode a URL frame
 *
 * @param frame - the ID3 URL frame
 *
 * @returns The decoded ID3 URL frame
 *
 * @internal
 *
 * @group ID3
 */
function decodeId3UrlFrame(frame) {
  if (frame.type === 'WXXX') {
    /*
    Format:
    [0]   = {Text Encoding}
    [1-?] = {Description}\0{URL}
    */
    if (frame.size < 2) {
      return undefined;
    }
    let index = 1;
    const description = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data.subarray(index), true);
    index += description.length + 1;
    const value = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data.subarray(index));
    return {
      key: frame.type,
      info: description,
      data: value
    };
  }
  /*
  Format:
  [0-?] = {URL}
  */
  const url = (0,_utils_utf8ArrayToStr_js__WEBPACK_IMPORTED_MODULE_0__.utf8ArrayToStr)(frame.data);
  return {
    key: frame.type,
    info: '',
    data: url
  };
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/getId3FrameData.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/getId3FrameData.js ***!
  \**********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getId3FrameData: function() { return /* binding */ getId3FrameData; }
/* harmony export */ });
/* harmony import */ var _readId3Size_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./readId3Size.js */ "./node_modules/@svta/common-media-library/dist/id3/util/readId3Size.js");

/**
 * Returns the data of an ID3 frame.
 *
 * @param data - The data to read from
 *
 * @returns The data of the ID3 frame
 *
 * @internal
 *
 * @group ID3
 */
function getId3FrameData(data) {
  /*
  Frame ID       $xx xx xx xx (four characters)
  Size           $xx xx xx xx
  Flags          $xx xx
  */
  const type = String.fromCharCode(data[0], data[1], data[2], data[3]);
  const size = (0,_readId3Size_js__WEBPACK_IMPORTED_MODULE_0__.readId3Size)(data, 4);
  // skip frame id, size, and flags
  const offset = 10;
  return {
    type,
    size,
    data: data.subarray(offset, offset + size)
  };
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/isId3Footer.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/isId3Footer.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isId3Footer: function() { return /* binding */ isId3Footer; }
/* harmony export */ });
/**
 * Returns true if an ID3 footer can be found at offset in data
 *
 * @param data - The data to search in
 * @param offset - The offset at which to start searching
 *
 * @returns `true` if an ID3 footer is found
 *
 * @internal
 *
 * @group ID3
 */
function isId3Footer(data, offset) {
  /*
   * The footer is a copy of the header, but with a different identifier
   */
  if (offset + 10 <= data.length) {
    // look for '3DI' identifier
    if (data[offset] === 0x33 && data[offset + 1] === 0x44 && data[offset + 2] === 0x49) {
      // check version is within range
      if (data[offset + 3] < 0xff && data[offset + 4] < 0xff) {
        // check size is within range
        if (data[offset + 6] < 0x80 && data[offset + 7] < 0x80 && data[offset + 8] < 0x80 && data[offset + 9] < 0x80) {
          return true;
        }
      }
    }
  }
  return false;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/isId3Header.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/isId3Header.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isId3Header: function() { return /* binding */ isId3Header; }
/* harmony export */ });
/**
 * Returns true if an ID3 header can be found at offset in data
 *
 * @param data - The data to search in
 * @param offset - The offset at which to start searching
 *
 * @returns `true` if an ID3 header is found
 *
 * @internal
 *
 * @group ID3
 */
function isId3Header(data, offset) {
  /*
   * http://id3.org/id3v2.3.0
   * [0]     = 'I'
   * [1]     = 'D'
   * [2]     = '3'
   * [3,4]   = {Version}
   * [5]     = {Flags}
   * [6-9]   = {ID3 Size}
   *
   * An ID3v2 tag can be detected with the following pattern:
   *  $49 44 33 yy yy xx zz zz zz zz
   * Where yy is less than $FF, xx is the 'flags' byte and zz is less than $80
   */
  if (offset + 10 <= data.length) {
    // look for 'ID3' identifier
    if (data[offset] === 0x49 && data[offset + 1] === 0x44 && data[offset + 2] === 0x33) {
      // check version is within range
      if (data[offset + 3] < 0xff && data[offset + 4] < 0xff) {
        // check size is within range
        if (data[offset + 6] < 0x80 && data[offset + 7] < 0x80 && data[offset + 8] < 0x80 && data[offset + 9] < 0x80) {
          return true;
        }
      }
    }
  }
  return false;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/readId3Size.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/readId3Size.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   readId3Size: function() { return /* binding */ readId3Size; }
/* harmony export */ });
/**
 * Read ID3 size
 *
 * @param data - The data to read from
 * @param offset - The offset at which to start reading
 *
 * @returns The size
 *
 * @internal
 *
 * @group ID3
 */
function readId3Size(data, offset) {
  let size = 0;
  size = (data[offset] & 0x7f) << 21;
  size |= (data[offset + 1] & 0x7f) << 14;
  size |= (data[offset + 2] & 0x7f) << 7;
  size |= data[offset + 3] & 0x7f;
  return size;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/toArrayBuffer.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/toArrayBuffer.js ***!
  \********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   toArrayBuffer: function() { return /* binding */ toArrayBuffer; }
/* harmony export */ });
function toArrayBuffer(view) {
  if (view instanceof ArrayBuffer) {
    return view;
  } else {
    if (view.byteOffset == 0 && view.byteLength == view.buffer.byteLength) {
      // This is a TypedArray over the whole buffer.
      return view.buffer;
    }
    // This is a 'view' on the buffer.  Create a new buffer that only contains
    // the data.  Note that since this isn't an ArrayBuffer, the 'new' call
    // will allocate a new buffer to hold the copy.
    return new Uint8Array(view).buffer;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/id3/util/utf8.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/id3/util/utf8.js ***!
  \***********************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   toUint8: function() { return /* binding */ toUint8; }
/* harmony export */ });
function toUint8(data) {
  let offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  let length = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : Infinity;
  return view(data, offset, length, Uint8Array);
}
function view(data, offset, length, Type) {
  const buffer = unsafeGetArrayBuffer(data);
  let bytesPerElement = 1;
  if ('BYTES_PER_ELEMENT' in Type) {
    bytesPerElement = Type.BYTES_PER_ELEMENT;
  }
  // Absolute end of the |data| view within |buffer|.
  const dataOffset = isArrayBufferView(data) ? data.byteOffset : 0;
  const dataEnd = (dataOffset + data.byteLength) / bytesPerElement;
  // Absolute start of the result within |buffer|.
  const rawStart = (dataOffset + offset) / bytesPerElement;
  const start = Math.floor(Math.max(0, Math.min(rawStart, dataEnd)));
  // Absolute end of the result within |buffer|.
  const end = Math.floor(Math.min(start + Math.max(length, 0), dataEnd));
  return new Type(buffer, start, end - start);
}
function unsafeGetArrayBuffer(view) {
  if (view instanceof ArrayBuffer) {
    return view;
  } else {
    return view.buffer;
  }
}
function isArrayBufferView(obj) {
  return obj && obj.buffer instanceof ArrayBuffer && obj.byteLength !== undefined && obj.byteOffset !== undefined;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js ***!
  \********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SfItem: function() { return /* binding */ SfItem; }
/* harmony export */ });
/**
 * Structured Field Item
 *
 * @group Structured Field
 *
 * @beta
 */
class SfItem {
  constructor(value, params) {
    if (Array.isArray(value)) {
      value = value.map(v => v instanceof SfItem ? v : new SfItem(v));
    }
    this.value = value;
    this.params = params;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/SfToken.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/SfToken.js ***!
  \*********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SfToken: function() { return /* binding */ SfToken; }
/* harmony export */ });
/**
 * A class to represent structured field tokens when `Symbol` is not available.
 *
 * @group Structured Field
 *
 * @beta
 */
class SfToken {
  constructor(description) {
    this.description = description;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/decodeSfDict.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/decodeSfDict.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeSfDict: function() { return /* binding */ decodeSfDict; }
/* harmony export */ });
/* harmony import */ var _parse_parseDict_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./parse/parseDict.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseDict.js");
/* harmony import */ var _parse_parseError_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./parse/parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _utils_DICT_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils/DICT.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DICT.js");



/**
 * Decode a structured field string into a structured field dictionary
 *
 * @param input - The structured field string to decode
 * @returns The structured field dictionary
 *
 * @group Structured Field
 *
 * @beta
 */
function decodeSfDict(input, options) {
  try {
    const {
      src,
      value
    } = (0,_parse_parseDict_js__WEBPACK_IMPORTED_MODULE_0__.parseDict)(input.trim(), options);
    if (src !== '') {
      throw (0,_parse_parseError_js__WEBPACK_IMPORTED_MODULE_1__.parseError)(src, _utils_DICT_js__WEBPACK_IMPORTED_MODULE_2__.DICT);
    }
    return value;
  } catch (cause) {
    throw (0,_parse_parseError_js__WEBPACK_IMPORTED_MODULE_1__.parseError)(input, _utils_DICT_js__WEBPACK_IMPORTED_MODULE_2__.DICT, cause);
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/decodeSfList.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/decodeSfList.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   decodeSfList: function() { return /* binding */ decodeSfList; }
/* harmony export */ });
/* harmony import */ var _parse_parseError_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./parse/parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _parse_parseList_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./parse/parseList.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseList.js");
/* harmony import */ var _utils_LIST_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils/LIST.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/LIST.js");



/**
 * Decode a structured field string into a structured field list
 *
 * @param input - The structured field string to decode
 * @returns The structured field list
 *
 * @group Structured Field
 *
 * @beta
 */
function decodeSfList(input, options) {
  try {
    const {
      src,
      value
    } = (0,_parse_parseList_js__WEBPACK_IMPORTED_MODULE_1__.parseList)(input.trim(), options);
    if (src !== '') {
      throw (0,_parse_parseError_js__WEBPACK_IMPORTED_MODULE_0__.parseError)(src, _utils_LIST_js__WEBPACK_IMPORTED_MODULE_2__.LIST);
    }
    return value;
  } catch (cause) {
    throw (0,_parse_parseError_js__WEBPACK_IMPORTED_MODULE_0__.parseError)(input, _utils_LIST_js__WEBPACK_IMPORTED_MODULE_2__.LIST, cause);
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/encodeSfDict.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/encodeSfDict.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   encodeSfDict: function() { return /* binding */ encodeSfDict; }
/* harmony export */ });
/* harmony import */ var _serialize_serializeDict_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./serialize/serializeDict.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDict.js");

/**
 * Encode an object into a structured field dictionary
 *
 * @param value - The structured field dictionary to encode
 * @param options - Encoding options
 *
 * @returns The structured field string
 *
 * @group Structured Field
 *
 * @beta
 */
function encodeSfDict(value, options) {
  return (0,_serialize_serializeDict_js__WEBPACK_IMPORTED_MODULE_0__.serializeDict)(value, options);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js ***!
  \*******************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parsedValue: function() { return /* binding */ parsedValue; }
/* harmony export */ });
function parsedValue(value, src) {
  return {
    value,
    src
  };
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBareItem.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBareItem.js ***!
  \*********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseBareItem: function() { return /* binding */ parseBareItem; }
/* harmony export */ });
/* harmony import */ var _utils_BARE_ITEM_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/BARE_ITEM.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BARE_ITEM.js");
/* harmony import */ var _parseBoolean_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./parseBoolean.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBoolean.js");
/* harmony import */ var _parseByteSequence_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseByteSequence.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseByteSequence.js");
/* harmony import */ var _parseDate_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseDate.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseDate.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _parseIntegerOrDecimal_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./parseIntegerOrDecimal.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseIntegerOrDecimal.js");
/* harmony import */ var _parseString_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./parseString.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseString.js");
/* harmony import */ var _parseToken_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./parseToken.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseToken.js");








// 4.2.3.1.  Parsing a Bare Item
//
// Given an ASCII string as input_string, return a bare Item.
// input_string is modified to remove the parsed value.
//
// 1.  If the first character of input_string is a "-" or a DIGIT,
//     return the result of running Parsing an Integer or Decimal
//     (Section 4.2.4) with input_string.
//
// 2.  If the first character of input_string is a DQUOTE, return the
//     result of running Parsing a String (Section 4.2.5) with
//     input_string.
//
// 3.  If the first character of input_string is ":", return the result
//     of running Parsing a Byte Sequence (Section 4.2.7) with
//     input_string.
//
// 4.  If the first character of input_string is "?", return the result
//     of running Parsing a Boolean (Section 4.2.8) with input_string.
//
// 5.  If the first character of input_string is an ALPHA or "*", return
//     the result of running Parsing a Token (Section 4.2.6) with
//     input_string.
//
// 6.  If the first character of input_string is "@", return the result
//     of running Parsing a Date (Section 4.2.9) with input_string.
//
// 7.  Otherwise, the item type is unrecognized; fail parsing.
function parseBareItem(src, options) {
  const first = src[0];
  if (first === `"`) {
    return (0,_parseString_js__WEBPACK_IMPORTED_MODULE_6__.parseString)(src);
  }
  if (/^[-0-9]/.test(first)) {
    return (0,_parseIntegerOrDecimal_js__WEBPACK_IMPORTED_MODULE_5__.parseIntegerOrDecimal)(src);
  }
  if (first === `?`) {
    return (0,_parseBoolean_js__WEBPACK_IMPORTED_MODULE_1__.parseBoolean)(src);
  }
  if (first === `:`) {
    return (0,_parseByteSequence_js__WEBPACK_IMPORTED_MODULE_2__.parseByteSequence)(src);
  }
  if (/^[a-zA-Z*]/.test(first)) {
    return (0,_parseToken_js__WEBPACK_IMPORTED_MODULE_7__.parseToken)(src, options);
  }
  if (first === `@`) {
    return (0,_parseDate_js__WEBPACK_IMPORTED_MODULE_3__.parseDate)(src);
  }
  throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_4__.parseError)(src, _utils_BARE_ITEM_js__WEBPACK_IMPORTED_MODULE_0__.BARE_ITEM);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBoolean.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBoolean.js ***!
  \********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseBoolean: function() { return /* binding */ parseBoolean; }
/* harmony export */ });
/* harmony import */ var _utils_BOOLEAN_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/BOOLEAN.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BOOLEAN.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");



// 4.2.8.  Parsing a Boolean
//
// Given an ASCII string as input_string, return a Boolean. input_string
// is modified to remove the parsed value.
//
// 1.  If the first character of input_string is not "?", fail parsing.
//
// 2.  Discard the first character of input_string.
//
// 3.  If the first character of input_string matches "1", discard the
//     first character, and return true.
//
// 4.  If the first character of input_string matches "0", discard the
//     first character, and return false.
//
// 5.  No value has matched; fail parsing.
function parseBoolean(src) {
  let i = 0;
  if (src[i] !== '?') {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_BOOLEAN_js__WEBPACK_IMPORTED_MODULE_0__.BOOLEAN);
  }
  i++;
  if (src[i] === '1') {
    return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(true, src.substring(++i));
  }
  if (src[i] === '0') {
    return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(false, src.substring(++i));
  }
  throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_BOOLEAN_js__WEBPACK_IMPORTED_MODULE_0__.BOOLEAN);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseByteSequence.js":
/*!*************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseByteSequence.js ***!
  \*************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseByteSequence: function() { return /* binding */ parseByteSequence; }
/* harmony export */ });
/* harmony import */ var _utils_base64decode_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/base64decode.js */ "./node_modules/@svta/common-media-library/dist/utils/base64decode.js");
/* harmony import */ var _utils_BYTES_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/BYTES.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BYTES.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");




// 4.2.7.  Parsing a Byte Sequence
//
// Given an ASCII string as input_string, return a Byte Sequence.
// input_string is modified to remove the parsed value.
//
// 1.  If the first character of input_string is not ":", fail parsing.
//
// 2.  Discard the first character of input_string.
//
// 3.  If there is not a ":" character before the end of input_string,
//     fail parsing.
//
// 4.  Let b64_content be the result of consuming content of
//     input_string up to but not including the first instance of the
//     character ":".
//
// 5.  Consume the ":" character at the beginning of input_string.
//
// 6.  If b64_content contains a character not included in ALPHA, DIGIT,
//     "+", "/" and "=", fail parsing.
//
// 7.  Let binary_content be the result of Base 64 Decoding [RFC4648]
//     b64_content, synthesizing padding if necessary (note the
//     requirements about recipient behavior below).
//
// 8.  Return binary_content.
//
// Because some implementations of base64 do not allow rejection of
// encoded data that is not properly "=" padded (see [RFC4648],
// Section 3.2), parsers SHOULD NOT fail when "=" padding is not
// present, unless they cannot be configured to do so.
//
// Because some implementations of base64 do not allow rejection of
// encoded data that has non-zero pad bits (see [RFC4648], Section 3.5),
// parsers SHOULD NOT fail when non-zero pad bits are present, unless
// they cannot be configured to do so.
//
// This specification does not relax the requirements in [RFC4648],
// Section 3.1 and 3.3; therefore, parsers MUST fail on characters
// outside the base64 alphabet, and on line feeds in encoded data.
function parseByteSequence(src) {
  if (src[0] !== ':') {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_BYTES_js__WEBPACK_IMPORTED_MODULE_1__.BYTES);
  }
  src = src.substring(1);
  if (src.includes(':') === false) {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_BYTES_js__WEBPACK_IMPORTED_MODULE_1__.BYTES);
  }
  const re = /(^.*?)(:)/g;
  const b64_content = re.exec(src)[1];
  src = src.substring(re.lastIndex);
  // pass b64_content char check step 6
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)((0,_utils_base64decode_js__WEBPACK_IMPORTED_MODULE_0__.base64decode)(b64_content), src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseDate.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseDate.js ***!
  \*****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseDate: function() { return /* binding */ parseDate; }
/* harmony export */ });
/* harmony import */ var _utils_DATE_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/DATE.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DATE.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _parseIntegerOrDecimal_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseIntegerOrDecimal.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseIntegerOrDecimal.js");




// 4.2.9.  Parsing a Date
//
// Given an ASCII string as input_string, return a Date. input_string is
// modified to remove the parsed value.
//
// 1.  If the first character of input_string is not "@", fail parsing.
//
// 2.  Discard the first character of input_string.
//
// 3.  Let output_date be the result of running Parsing an Integer or
//     Decimal (Section 4.2.4) with input_string.
//
// 4.  If output_date is a Decimal, fail parsing.
//
// 5.  Return output_date.
function parseDate(src) {
  let i = 0;
  if (src[i] !== '@') {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_DATE_js__WEBPACK_IMPORTED_MODULE_0__.DATE);
  }
  i++;
  const date = (0,_parseIntegerOrDecimal_js__WEBPACK_IMPORTED_MODULE_3__.parseIntegerOrDecimal)(src.substring(i));
  if (Number.isInteger(date.value) === false) {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_DATE_js__WEBPACK_IMPORTED_MODULE_0__.DATE);
  }
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(new Date(date.value * 1000), date.src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseDict.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseDict.js ***!
  \*****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseDict: function() { return /* binding */ parseDict; }
/* harmony export */ });
/* harmony import */ var _SfItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js");
/* harmony import */ var _utils_DICT_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/DICT.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DICT.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _parseItemOrInnerList_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./parseItemOrInnerList.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItemOrInnerList.js");
/* harmony import */ var _parseKey_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./parseKey.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseKey.js");
/* harmony import */ var _parseParameters_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./parseParameters.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseParameters.js");







// 4.2.2.  Parsing a Dictionary
//
// Given an ASCII string as input_string, return an ordered map whose
// values are (item_or_inner_list, parameters) tuples. input_string is
// modified to remove the parsed value.
//
// 1.  Let dictionary be an empty, ordered map.
//
// 2.  While input_string is not empty:
//
//     1.  Let this_key be the result of running Parsing a Key
//         (Section 4.2.3.3) with input_string.
//
//     2.  If the first character of input_string is "=":
//
//         1.  Consume the first character of input_string.
//
//         2.  Let member be the result of running Parsing an Item or
//             Inner List (Section 4.2.1.1) with input_string.
//
//     3.  Otherwise:
//
//         1.  Let value be Boolean true.
//
//         2.  Let parameters be the result of running Parsing
//             Parameters Section 4.2.3.2 with input_string.
//
//         3.  Let member be the tuple (value, parameters).
//
//     4.  Add name this_key with value member to dictionary.  If
//         dictionary already contains a name this_key (comparing
//         character-for-character), overwrite its value.
//
//     5.  Discard any leading OWS characters from input_string.
//
//     6.  If input_string is empty, return dictionary.
//
//     7.  Consume the first character of input_string; if it is not
//         ",", fail parsing.
//
//     8.  Discard any leading OWS characters from input_string.
//
//     9.  If input_string is empty, there is a trailing comma; fail
//         parsing.
//
// 3.  No structured data has been found; return dictionary (which is
//     empty).
//
// Note that when duplicate Dictionary keys are encountered, this has
// the effect of ignoring all but the last instance.
function parseDict(src, options) {
  const value = {};
  while (src.length > 0) {
    let member;
    const parsedKey = (0,_parseKey_js__WEBPACK_IMPORTED_MODULE_5__.parseKey)(src);
    const key = parsedKey.value;
    src = parsedKey.src;
    if (src[0] === '=') {
      const parsedItemOrInnerList = (0,_parseItemOrInnerList_js__WEBPACK_IMPORTED_MODULE_4__.parseItemOrInnerList)(src.substring(1), options);
      member = parsedItemOrInnerList.value;
      src = parsedItemOrInnerList.src;
    } else {
      const parsedParameters = (0,_parseParameters_js__WEBPACK_IMPORTED_MODULE_6__.parseParameters)(src, options);
      member = new _SfItem_js__WEBPACK_IMPORTED_MODULE_0__.SfItem(true, parsedParameters.value);
      src = parsedParameters.src;
    }
    value[key] = member;
    src = src.trim();
    if (src.length === 0) {
      return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)(value, src);
    }
    if (src[0] !== ',') {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_DICT_js__WEBPACK_IMPORTED_MODULE_1__.DICT);
    }
    src = src.substring(1).trim();
    if (src.length === 0 || src[0] === ',') {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_DICT_js__WEBPACK_IMPORTED_MODULE_1__.DICT);
    }
  }
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)(value, src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js ***!
  \******************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseError: function() { return /* binding */ parseError; }
/* harmony export */ });
/* harmony import */ var _utils_throwError_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/throwError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/throwError.js");

function parseError(src, type, cause) {
  return (0,_utils_throwError_js__WEBPACK_IMPORTED_MODULE_0__.throwError)('parse', src, type, cause);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseInnerList.js":
/*!**********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseInnerList.js ***!
  \**********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseInnerList: function() { return /* binding */ parseInnerList; }
/* harmony export */ });
/* harmony import */ var _SfItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js");
/* harmony import */ var _utils_INNER_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/INNER.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INNER.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _parseItem_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./parseItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItem.js");
/* harmony import */ var _parseParameters_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./parseParameters.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseParameters.js");






// 4.2.1.2.  Parsing an Inner List
//
// Given an ASCII string as input_string, return the tuple (inner_list,
// parameters), where inner_list is an array of (bare_item, parameters)
// tuples. input_string is modified to remove the parsed value.
//
// 1.  Consume the first character of input_string; if it is not "(",
//     fail parsing.
//
// 2.  Let inner_list be an empty array.
//
// 3.  While input_string is not empty:
//
//     1.  Discard any leading SP characters from input_string.
//
//     2.  If the first character of input_string is ")":
//
//         1.  Consume the first character of input_string.
//
//         2.  Let parameters be the result of running Parsing
//             Parameters (Section 4.2.3.2) with input_string.
//
//         3.  Return the tuple (inner_list, parameters).
//
//     3.  Let item be the result of running Parsing an Item
//         (Section 4.2.3) with input_string.
//
//     4.  Append item to inner_list.
//
//     5.  If the first character of input_string is not SP or ")", fail
//         parsing.
//
// 4.  The end of the inner list was not found; fail parsing.
function parseInnerList(src, options) {
  if (src[0] !== '(') {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_INNER_js__WEBPACK_IMPORTED_MODULE_1__.INNER);
  }
  src = src.substring(1);
  const innerList = [];
  while (src.length > 0) {
    src = src.trim();
    if (src[0] === ')') {
      src = src.substring(1);
      const parsedParameters = (0,_parseParameters_js__WEBPACK_IMPORTED_MODULE_5__.parseParameters)(src, options);
      return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)(new _SfItem_js__WEBPACK_IMPORTED_MODULE_0__.SfItem(innerList, parsedParameters.value), parsedParameters.src);
    }
    const parsedItem = (0,_parseItem_js__WEBPACK_IMPORTED_MODULE_4__.parseItem)(src, options);
    innerList.push(parsedItem.value);
    src = parsedItem.src;
    if (src[0] !== ' ' && src[0] !== ')') {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_INNER_js__WEBPACK_IMPORTED_MODULE_1__.INNER);
    }
  }
  throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_INNER_js__WEBPACK_IMPORTED_MODULE_1__.INNER);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseIntegerOrDecimal.js":
/*!*****************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseIntegerOrDecimal.js ***!
  \*****************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseIntegerOrDecimal: function() { return /* binding */ parseIntegerOrDecimal; }
/* harmony export */ });
/* harmony import */ var _utils_INTEGER_DECIMAL_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/INTEGER_DECIMAL.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER_DECIMAL.js");
/* harmony import */ var _utils_isInvalidInt_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/isInvalidInt.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/isInvalidInt.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");




// 4.2.4.  Parsing an Integer or Decimal
//
// Given an ASCII string as input_string, return an Integer or Decimal.
// input_string is modified to remove the parsed value.
//
// NOTE: This algorithm parses both Integers (Section 3.3.1) and
// Decimals (Section 3.3.2), and returns the corresponding structure.
//
// 1.   Let type be "integer".
//
// 2.   Let sign be 1.
//
// 3.   Let input_number be an empty string.
//
// 4.   If the first character of input_string is "-", consume it and
//      set sign to -1.
//
// 5.   If input_string is empty, there is an empty integer; fail
//      parsing.
//
// 6.   If the first character of input_string is not a DIGIT, fail
//      parsing.
//
// 7.   While input_string is not empty:
//
//      1.  Let char be the result of consuming the first character of
//          input_string.
//
//      2.  If char is a DIGIT, append it to input_number.
//
//      3.  Else, if type is "integer" and char is ".":
//
//          1.  If input_number contains more than 12 characters, fail
//              parsing.
//
//          2.  Otherwise, append char to input_number and set type to
//              "decimal".
//
//      4.  Otherwise, prepend char to input_string, and exit the loop.
//
//      5.  If type is "integer" and input_number contains more than 15
//          characters, fail parsing.
//
//      6.  If type is "decimal" and input_number contains more than 16
//          characters, fail parsing.
//
// 8.   If type is "integer":
//
//      1.  Parse input_number as an integer and let output_number be
//          the product of the result and sign.
//
//      2.  If output_number is outside the range -999,999,999,999,999
//          to 999,999,999,999,999 inclusive, fail parsing.
//
// 9.   Otherwise:
//
//      1.  If the final character of input_number is ".", fail parsing.
//
//      2.  If the number of characters after "." in input_number is
//          greater than three, fail parsing.
//
//      3.  Parse input_number as a decimal number and let output_number
//          be the product of the result and sign.
//
// 10.  Return output_number.
function parseIntegerOrDecimal(src) {
  const orig = src;
  let sign = 1;
  let num = '';
  let value;
  const i = 0;
  const error = (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(orig, _utils_INTEGER_DECIMAL_js__WEBPACK_IMPORTED_MODULE_0__.INTEGER_DECIMAL);
  if (src[i] === '-') {
    sign = -1;
    src = src.substring(1);
  }
  if (src.length <= 0) {
    throw error;
  }
  const re_integer = /^(\d+)?/g;
  const result_integer = re_integer.exec(src);
  if (result_integer[0].length === 0) {
    throw error;
  }
  num += result_integer[1];
  src = src.substring(re_integer.lastIndex);
  if (src[0] === '.') {
    // decimal
    if (num.length > 12) {
      throw error;
    }
    const re_decimal = /^(\.\d+)?/g;
    const result_decimal = re_decimal.exec(src);
    src = src.substring(re_decimal.lastIndex);
    // 9.2.  If the number of characters after "." in input_number is greater than three, fail parsing.
    if (result_decimal[0].length === 0 || result_decimal[1].length > 4) {
      throw error;
    }
    num += result_decimal[1];
    // 7.6.  If type is "decimal" and input_number contains more than 16 characters, fail parsing.
    if (num.length > 16) {
      throw error;
    }
    value = parseFloat(num) * sign;
  } else {
    // integer
    // 7.5.  If type is "integer" and input_number contains more than 15 characters, fail parsing.
    if (num.length > 15) {
      throw error;
    }
    value = parseInt(num) * sign;
    if ((0,_utils_isInvalidInt_js__WEBPACK_IMPORTED_MODULE_1__.isInvalidInt)(value)) {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(num, _utils_INTEGER_DECIMAL_js__WEBPACK_IMPORTED_MODULE_0__.INTEGER_DECIMAL);
    }
  }
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)(value, src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItem.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItem.js ***!
  \*****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseItem: function() { return /* binding */ parseItem; }
/* harmony export */ });
/* harmony import */ var _SfItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseBareItem_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseBareItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBareItem.js");
/* harmony import */ var _parseParameters_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseParameters.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseParameters.js");




// 4.2.3.  Parsing an Item
//
// Given an ASCII string as input_string, return a (bare_item,
// parameters) tuple. input_string is modified to remove the parsed
// value.
//
// 1.  Let bare_item be the result of running Parsing a Bare Item
//     (Section 4.2.3.1) with input_string.
//
// 2.  Let parameters be the result of running Parsing Parameters
//     (Section 4.2.3.2) with input_string.
//
// 3.  Return the tuple (bare_item, parameters).
function parseItem(src, options) {
  const parsedBareItem = (0,_parseBareItem_js__WEBPACK_IMPORTED_MODULE_2__.parseBareItem)(src, options);
  src = parsedBareItem.src;
  const parsedParameters = (0,_parseParameters_js__WEBPACK_IMPORTED_MODULE_3__.parseParameters)(src, options);
  src = parsedParameters.src;
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(new _SfItem_js__WEBPACK_IMPORTED_MODULE_0__.SfItem(parsedBareItem.value, parsedParameters.value), src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItemOrInnerList.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItemOrInnerList.js ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseItemOrInnerList: function() { return /* binding */ parseItemOrInnerList; }
/* harmony export */ });
/* harmony import */ var _parseInnerList_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./parseInnerList.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseInnerList.js");
/* harmony import */ var _parseItem_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./parseItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItem.js");


// 4.2.1.1.  Parsing an Item or Inner List
//
// Given an ASCII string as input_string, return the tuple
// (item_or_inner_list, parameters), where item_or_inner_list can be
// either a single bare item, or an array of (bare_item, parameters)
// tuples. input_string is modified to remove the parsed value.
//
// 1.  If the first character of input_string is "(", return the result
//     of running Parsing an Inner List (Section 4.2.1.2) with
//     input_string.
//
// 2.  Return the result of running Parsing an Item (Section 4.2.3) with
//     input_string.
function parseItemOrInnerList(src, options) {
  if (src[0] === '(') {
    return (0,_parseInnerList_js__WEBPACK_IMPORTED_MODULE_0__.parseInnerList)(src, options);
  }
  return (0,_parseItem_js__WEBPACK_IMPORTED_MODULE_1__.parseItem)(src, options);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseKey.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseKey.js ***!
  \****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseKey: function() { return /* binding */ parseKey; }
/* harmony export */ });
/* harmony import */ var _utils_KEY_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/KEY.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/KEY.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");



// 4.2.3.3.  Parsing a Key
//
// Given an ASCII string as input_string, return a key. input_string is
// modified to remove the parsed value.
//
// 1.  If the first character of input_string is not lcalpha or "*",
//     fail parsing.
//
// 2.  Let output_string be an empty string.
//
// 3.  While input_string is not empty:
//
//     1.  If the first character of input_string is not one of lcalpha,
//         DIGIT, "_", "-", ".", or "*", return output_string.
//
//     2.  Let char be the result of consuming the first character of
//         input_string.
//
//     3.  Append char to output_string.
//
// 4.  Return output_string.
function parseKey(src) {
  let i = 0;
  if (/^[a-z*]$/.test(src[i]) === false) {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_KEY_js__WEBPACK_IMPORTED_MODULE_0__.KEY);
  }
  let value = '';
  while (src.length > i) {
    if (/^[a-z0-9_\-.*]$/.test(src[i]) === false) {
      return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(value, src.substring(i));
    }
    value += src[i];
    i++;
  }
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(value, src.substring(i));
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseList.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseList.js ***!
  \*****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseList: function() { return /* binding */ parseList; }
/* harmony export */ });
/* harmony import */ var _utils_LIST_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/LIST.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/LIST.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");
/* harmony import */ var _parseItemOrInnerList_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseItemOrInnerList.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseItemOrInnerList.js");




// 4.2.1.  Parsing a List
//
// Given an ASCII string as input_string, return an array of
// (item_or_inner_list, parameters) tuples. input_string is modified to
// remove the parsed value.
//
// 1.  Let members be an empty array.
//
// 2.  While input_string is not empty:
//
//     1.  Append the result of running Parsing an Item or Inner List
//         (Section 4.2.1.1) with input_string to members.
//
//     2.  Discard any leading OWS characters from input_string.
//
//     3.  If input_string is empty, return members.
//
//     4.  Consume the first character of input_string; if it is not
//         ",", fail parsing.
//
//     5.  Discard any leading OWS characters from input_string.
//
//     6.  If input_string is empty, there is a trailing comma; fail
//         parsing.
//
// 3.  No structured data has been found; return members (which is
//     empty).
function parseList(src, options) {
  const value = [];
  while (src.length > 0) {
    const parsedItemOrInnerList = (0,_parseItemOrInnerList_js__WEBPACK_IMPORTED_MODULE_3__.parseItemOrInnerList)(src, options);
    value.push(parsedItemOrInnerList.value);
    src = parsedItemOrInnerList.src.trim();
    if (src.length === 0) {
      return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(value, src);
    }
    if (src[0] !== ',') {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_LIST_js__WEBPACK_IMPORTED_MODULE_0__.LIST);
    }
    src = src.substring(1).trim();
    if (src.length === 0 || src[0] === ',') {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_2__.parseError)(src, _utils_LIST_js__WEBPACK_IMPORTED_MODULE_0__.LIST);
    }
  }
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_1__.parsedValue)(value, src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseParameters.js":
/*!***********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseParameters.js ***!
  \***********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseParameters: function() { return /* binding */ parseParameters; }
/* harmony export */ });
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseBareItem_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./parseBareItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseBareItem.js");
/* harmony import */ var _parseKey_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./parseKey.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseKey.js");



// 4.2.3.2.  Parsing Parameters
//
// Given an ASCII string as input_string, return an ordered map whose
// values are bare Items. input_string is modified to remove the parsed
// value.
//
// 1.  Let parameters be an empty, ordered map.
//
// 2.  While input_string is not empty:
//
//     1.  If the first character of input_string is not ";", exit the
//         loop.
//
//     2.  Consume a ";" character from the beginning of input_string.
//
//     3.  Discard any leading SP characters from input_string.
//
//     4.  let param_name be the result of running Parsing a Key
//         (Section 4.2.3.3) with input_string.
//
//     5.  Let param_value be Boolean true.
//
//     6.  If the first character of input_string is "=":
//
//         1.  Consume the "=" character at the beginning of
//             input_string.
//
//         2.  Let param_value be the result of running Parsing a Bare
//             Item (Section 4.2.3.1) with input_string.
//
//     7.  Append key param_name with value param_value to parameters.
//         If parameters already contains a name param_name (comparing
//         character-for-character), overwrite its value.
//
// 3.  Return parameters.
//
// Note that when duplicate Parameter keys are encountered, this has the
// effect of ignoring all but the last instance.
function parseParameters(src, options) {
  let parameters = undefined;
  while (src.length > 0) {
    if (src[0] !== ';') {
      break;
    }
    src = src.substring(1).trim();
    const parsedKey = (0,_parseKey_js__WEBPACK_IMPORTED_MODULE_2__.parseKey)(src);
    const key = parsedKey.value;
    let value = true;
    src = parsedKey.src;
    if (src[0] === '=') {
      src = src.substring(1);
      const parsedBareItem = (0,_parseBareItem_js__WEBPACK_IMPORTED_MODULE_1__.parseBareItem)(src, options);
      value = parsedBareItem.value;
      src = parsedBareItem.src;
    }
    // initialize as object when params exists
    if (parameters == null) {
      parameters = {};
    }
    // override if param_name exists
    parameters[key] = value;
  }
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_0__.parsedValue)(parameters, src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseString.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseString.js ***!
  \*******************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseString: function() { return /* binding */ parseString; }
/* harmony export */ });
/* harmony import */ var _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/STRING.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING.js");
/* harmony import */ var _utils_STRING_REGEX_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/STRING_REGEX.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING_REGEX.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");




// 4.2.5.  Parsing a String
//
// Given an ASCII string as input_string, return an unquoted String.
// input_string is modified to remove the parsed value.
//
// 1.  Let output_string be an empty string.
//
// 2.  If the first character of input_string is not DQUOTE, fail
//     parsing.
//
// 3.  Discard the first character of input_string.
//
// 4.  While input_string is not empty:
//
//     1.  Let char be the result of consuming the first character of
//         input_string.
//
//     2.  If char is a backslash ("\"):
//
//         1.  If input_string is now empty, fail parsing.
//
//         2.  Let next_char be the result of consuming the first
//             character of input_string.
//
//         3.  If next_char is not DQUOTE or "\", fail parsing.
//
//         4.  Append next_char to output_string.
//
//     3.  Else, if char is DQUOTE, return output_string.
//
//     4.  Else, if char is in the range %x00-1f or %x7f (i.e., is not
//         in VCHAR or SP), fail parsing.
//
//     5.  Else, append char to output_string.
//
// 5.  Reached the end of input_string without finding a closing DQUOTE;
//     fail parsing.
function parseString(src) {
  let output = '';
  let i = 0;
  if (src[i] !== `"`) {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__.STRING);
  }
  i++;
  while (src.length > i) {
    if (src[i] === `\\`) {
      if (src.length <= i + 1) {
        throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__.STRING);
      }
      i++;
      if (src[i] !== `"` && src[i] !== `\\`) {
        throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__.STRING);
      }
      output += src[i];
    } else if (src[i] === `"`) {
      return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)(output, src.substring(++i));
    } else if (_utils_STRING_REGEX_js__WEBPACK_IMPORTED_MODULE_1__.STRING_REGEX.test(src[i])) {
      throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__.STRING);
    } else {
      output += src[i];
    }
    i++;
  }
  throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__.STRING);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseToken.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseToken.js ***!
  \******************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parseToken: function() { return /* binding */ parseToken; }
/* harmony export */ });
/* harmony import */ var _SfToken_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfToken.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfToken.js");
/* harmony import */ var _utils_TOKEN_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/TOKEN.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/TOKEN.js");
/* harmony import */ var _ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ParsedValue.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/ParsedValue.js");
/* harmony import */ var _parseError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/parse/parseError.js");




// 4.2.6.  Parsing a Token
//
// Given an ASCII string as input_string, return a Token. input_string
// is modified to remove the parsed value.
//
// 1.  If the first character of input_string is not ALPHA or "*", fail
//     parsing.
//
// 2.  Let output_string be an empty string.
//
// 3.  While input_string is not empty:
//
//     1.  If the first character of input_string is not in tchar, ":"
//         or "/", return output_string.
//
//     2.  Let char be the result of consuming the first character of
//         input_string.
//
//     3.  Append char to output_string.
//
// 4.  Return output_string.
function parseToken(src, options) {
  if (/^[a-zA-Z*]$/.test(src[0]) === false) {
    throw (0,_parseError_js__WEBPACK_IMPORTED_MODULE_3__.parseError)(src, _utils_TOKEN_js__WEBPACK_IMPORTED_MODULE_1__.TOKEN);
  }
  const re = /^([!#$%&'*+\-.^_`|~\w:/]+)/g;
  const value = re.exec(src)[1];
  src = src.substring(re.lastIndex);
  return (0,_ParsedValue_js__WEBPACK_IMPORTED_MODULE_2__.parsedValue)((options === null || options === void 0 ? void 0 : options.useSymbol) === false ? new _SfToken_js__WEBPACK_IMPORTED_MODULE_0__.SfToken(value) : Symbol.for(value), src);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBareItem.js":
/*!*****************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBareItem.js ***!
  \*****************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeBareItem: function() { return /* binding */ serializeBareItem; }
/* harmony export */ });
/* harmony import */ var _SfToken_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfToken.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfToken.js");
/* harmony import */ var _utils_BARE_ITEM_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/BARE_ITEM.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BARE_ITEM.js");
/* harmony import */ var _serializeBoolean_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeBoolean.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBoolean.js");
/* harmony import */ var _serializeByteSequence_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./serializeByteSequence.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeByteSequence.js");
/* harmony import */ var _serializeDate_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./serializeDate.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDate.js");
/* harmony import */ var _serializeDecimal_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./serializeDecimal.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDecimal.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");
/* harmony import */ var _serializeInteger_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./serializeInteger.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInteger.js");
/* harmony import */ var _serializeString_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./serializeString.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeString.js");
/* harmony import */ var _serializeToken_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./serializeToken.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeToken.js");










// 4.1.3.1.  Serializing a Bare Item
//
// Given an Item as input_item, return an ASCII string suitable for use
// in a HTTP field value.
//
// 1.  If input_item is an Integer, return the result of running
//     Serializing an Integer (Section 4.1.4) with input_item.
//
// 2.  If input_item is a Decimal, return the result of running
//     Serializing a Decimal (Section 4.1.5) with input_item.
//
// 3.  If input_item is a String, return the result of running
//     Serializing a String (Section 4.1.6) with input_item.
//
// 4.  If input_item is a Token, return the result of running
//     Serializing a Token (Section 4.1.7) with input_item.
//
// 5.  If input_item is a Boolean, return the result of running
//     Serializing a Boolean (Section 4.1.9) with input_item.
//
// 6.  If input_item is a Byte Sequence, return the result of running
//     Serializing a Byte Sequence (Section 4.1.8) with input_item.
//
// 7.  If input_item is a Date, return the result of running Serializing
//     a Date (Section 4.1.10) with input_item.
//
// 8.  Otherwise, fail serialization.
function serializeBareItem(value) {
  switch (typeof value) {
    case 'number':
      if (!Number.isFinite(value)) {
        throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_6__.serializeError)(value, _utils_BARE_ITEM_js__WEBPACK_IMPORTED_MODULE_1__.BARE_ITEM);
      }
      if (Number.isInteger(value)) {
        return (0,_serializeInteger_js__WEBPACK_IMPORTED_MODULE_7__.serializeInteger)(value);
      }
      return (0,_serializeDecimal_js__WEBPACK_IMPORTED_MODULE_5__.serializeDecimal)(value);
    case 'string':
      return (0,_serializeString_js__WEBPACK_IMPORTED_MODULE_8__.serializeString)(value);
    case 'symbol':
      return (0,_serializeToken_js__WEBPACK_IMPORTED_MODULE_9__.serializeToken)(value);
    case 'boolean':
      return (0,_serializeBoolean_js__WEBPACK_IMPORTED_MODULE_2__.serializeBoolean)(value);
    case 'object':
      if (value instanceof Date) {
        return (0,_serializeDate_js__WEBPACK_IMPORTED_MODULE_4__.serializeDate)(value);
      }
      if (value instanceof Uint8Array) {
        return (0,_serializeByteSequence_js__WEBPACK_IMPORTED_MODULE_3__.serializeByteSequence)(value);
      }
      if (value instanceof _SfToken_js__WEBPACK_IMPORTED_MODULE_0__.SfToken) {
        return (0,_serializeToken_js__WEBPACK_IMPORTED_MODULE_9__.serializeToken)(value);
      }
    default:
      // fail
      throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_6__.serializeError)(value, _utils_BARE_ITEM_js__WEBPACK_IMPORTED_MODULE_1__.BARE_ITEM);
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBoolean.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBoolean.js ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeBoolean: function() { return /* binding */ serializeBoolean; }
/* harmony export */ });
/* harmony import */ var _utils_BOOLEAN_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/BOOLEAN.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BOOLEAN.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");


// 4.1.9.  Serializing a Boolean
//
// Given a Boolean as input_boolean, return an ASCII string suitable for
// use in a HTTP field value.
//
// 1.  If input_boolean is not a boolean, fail serialization.
//
// 2.  Let output be an empty string.
//
// 3.  Append "?" to output.
//
// 4.  If input_boolean is true, append "1" to output.
//
// 5.  If input_boolean is false, append "0" to output.
//
// 6.  Return output.
function serializeBoolean(value) {
  if (typeof value !== 'boolean') {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_1__.serializeError)(value, _utils_BOOLEAN_js__WEBPACK_IMPORTED_MODULE_0__.BOOLEAN);
  }
  return value ? '?1' : '?0';
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeByteSequence.js":
/*!*********************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeByteSequence.js ***!
  \*********************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeByteSequence: function() { return /* binding */ serializeByteSequence; }
/* harmony export */ });
/* harmony import */ var _utils_base64encode_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/base64encode.js */ "./node_modules/@svta/common-media-library/dist/utils/base64encode.js");
/* harmony import */ var _utils_BYTES_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/BYTES.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BYTES.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");



// 4.1.8.  Serializing a Byte Sequence
//
// Given a Byte Sequence as input_bytes, return an ASCII string suitable
// for use in a HTTP field value.
//
// 1.  If input_bytes is not a sequence of bytes, fail serialization.
//
// 2.  Let output be an empty string.
//
// 3.  Append ":" to output.
//
// 4.  Append the result of base64-encoding input_bytes as per
//     [RFC4648], Section 4, taking account of the requirements below.
//
// 5.  Append ":" to output.
//
// 6.  Return output.
//
// The encoded data is required to be padded with "=", as per [RFC4648],
// Section 3.2.
//
// Likewise, encoded data SHOULD have pad bits set to zero, as per
// [RFC4648], Section 3.5, unless it is not possible to do so due to
// implementation constraints.
function serializeByteSequence(value) {
  if (ArrayBuffer.isView(value) === false) {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_2__.serializeError)(value, _utils_BYTES_js__WEBPACK_IMPORTED_MODULE_1__.BYTES);
  }
  return `:${(0,_utils_base64encode_js__WEBPACK_IMPORTED_MODULE_0__.base64encode)(value)}:`;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDate.js":
/*!*************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDate.js ***!
  \*************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeDate: function() { return /* binding */ serializeDate; }
/* harmony export */ });
/* harmony import */ var _serializeInteger_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./serializeInteger.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInteger.js");

// 4.1.10.  Serializing a Date
//
// Given a Date as input_integer, return an ASCII string suitable for
// use in an HTTP field value.
// 1.  Let output be "@".
// 2.  Append to output the result of running Serializing an Integer
//     with input_date (Section 4.1.4).
// 3.  Return output.
function serializeDate(value) {
  return `@${(0,_serializeInteger_js__WEBPACK_IMPORTED_MODULE_0__.serializeInteger)(value.getTime() / 1000)}`;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDecimal.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDecimal.js ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeDecimal: function() { return /* binding */ serializeDecimal; }
/* harmony export */ });
/* harmony import */ var _utils_roundToEven_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/roundToEven.js */ "./node_modules/@svta/common-media-library/dist/utils/roundToEven.js");
/* harmony import */ var _utils_DECIMAL_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/DECIMAL.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DECIMAL.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");



// 4.1.5.  Serializing a Decimal
//
// Given a decimal number as input_decimal, return an ASCII string
// suitable for use in a HTTP field value.
//
// 1.   If input_decimal is not a decimal number, fail serialization.
//
// 2.   If input_decimal has more than three significant digits to the
//      right of the decimal point, round it to three decimal places,
//      rounding the final digit to the nearest value, or to the even
//      value if it is equidistant.
//
// 3.   If input_decimal has more than 12 significant digits to the left
//      of the decimal point after rounding, fail serialization.
//
// 4.   Let output be an empty string.
//
// 5.   If input_decimal is less than (but not equal to) 0, append "-"
//      to output.
//
// 6.   Append input_decimal's integer component represented in base 10
//      (using only decimal digits) to output; if it is zero, append
//      "0".
//
// 7.   Append "." to output.
//
// 8.   If input_decimal's fractional component is zero, append "0" to
//      output.
//
// 9.   Otherwise, append the significant digits of input_decimal's
//      fractional component represented in base 10 (using only decimal
//      digits) to output.
//
// 10.  Return output.
function serializeDecimal(value) {
  const roundedValue = (0,_utils_roundToEven_js__WEBPACK_IMPORTED_MODULE_0__.roundToEven)(value, 3); // round to 3 decimal places
  if (Math.floor(Math.abs(roundedValue)).toString().length > 12) {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_2__.serializeError)(value, _utils_DECIMAL_js__WEBPACK_IMPORTED_MODULE_1__.DECIMAL);
  }
  const stringValue = roundedValue.toString();
  return stringValue.includes('.') ? stringValue : `${stringValue}.0`;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDict.js":
/*!*************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeDict.js ***!
  \*************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeDict: function() { return /* binding */ serializeDict; }
/* harmony export */ });
/* harmony import */ var _SfItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js");
/* harmony import */ var _utils_DICT_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/DICT.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DICT.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");
/* harmony import */ var _serializeInnerList_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./serializeInnerList.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInnerList.js");
/* harmony import */ var _serializeItem_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./serializeItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeItem.js");
/* harmony import */ var _serializeKey_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./serializeKey.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeKey.js");
/* harmony import */ var _serializeParams_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./serializeParams.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeParams.js");







// 4.1.2.  Serializing a Dictionary
//
// Given an ordered Dictionary as input_dictionary (each member having a
// member_name and a tuple value of (member_value, parameters)), return
// an ASCII string suitable for use in a HTTP field value.
//
// 1.  Let output be an empty string.
//
// 2.  For each member_name with a value of (member_value, parameters)
//     in input_dictionary:
//
//     1.  Append the result of running Serializing a Key
//         (Section 4.1.1.3) with member's member_name to output.
//
//     2.  If member_value is Boolean true:
//
//         1.  Append the result of running Serializing Parameters
//             (Section 4.1.1.2) with parameters to output.
//
//     3.  Otherwise:
//
//         1.  Append "=" to output.
//
//         2.  If member_value is an array, append the result of running
//             Serializing an Inner List (Section 4.1.1.1) with
//             (member_value, parameters) to output.
//
//         3.  Otherwise, append the result of running Serializing an
//             Item (Section 4.1.3) with (member_value, parameters) to
//             output.
//
//     4.  If more members remain in input_dictionary:
//
//         1.  Append "," to output.
//
//         2.  Append a single SP to output.
//
// 3.  Return output.
function serializeDict(dict) {
  let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
    whitespace: true
  };
  if (typeof dict !== 'object') {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_2__.serializeError)(dict, _utils_DICT_js__WEBPACK_IMPORTED_MODULE_1__.DICT);
  }
  const entries = dict instanceof Map ? dict.entries() : Object.entries(dict);
  const optionalWhiteSpace = (options === null || options === void 0 ? void 0 : options.whitespace) ? ' ' : '';
  return Array.from(entries).map(_ref => {
    let [key, item] = _ref;
    if (item instanceof _SfItem_js__WEBPACK_IMPORTED_MODULE_0__.SfItem === false) {
      item = new _SfItem_js__WEBPACK_IMPORTED_MODULE_0__.SfItem(item);
    }
    let output = (0,_serializeKey_js__WEBPACK_IMPORTED_MODULE_5__.serializeKey)(key);
    if (item.value === true) {
      output += (0,_serializeParams_js__WEBPACK_IMPORTED_MODULE_6__.serializeParams)(item.params);
    } else {
      output += '=';
      if (Array.isArray(item.value)) {
        output += (0,_serializeInnerList_js__WEBPACK_IMPORTED_MODULE_3__.serializeInnerList)(item);
      } else {
        output += (0,_serializeItem_js__WEBPACK_IMPORTED_MODULE_4__.serializeItem)(item);
      }
    }
    return output;
  }).join(`,${optionalWhiteSpace}`);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js":
/*!**************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js ***!
  \**************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeError: function() { return /* binding */ serializeError; }
/* harmony export */ });
/* harmony import */ var _utils_throwError_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/throwError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/throwError.js");

function serializeError(src, type, cause) {
  return (0,_utils_throwError_js__WEBPACK_IMPORTED_MODULE_0__.throwError)('serialize', src, type, cause);
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInnerList.js":
/*!******************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInnerList.js ***!
  \******************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeInnerList: function() { return /* binding */ serializeInnerList; }
/* harmony export */ });
/* harmony import */ var _serializeItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./serializeItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeItem.js");
/* harmony import */ var _serializeParams_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./serializeParams.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeParams.js");


// 4.1.1.1.  Serializing an Inner List
//
// Given an array of (member_value, parameters) tuples as inner_list,
// and parameters as list_parameters, return an ASCII string suitable
// for use in a HTTP field value.
//
// 1.  Let output be the string "(".
//
// 2.  For each (member_value, parameters) of inner_list:
//
//     1.  Append the result of running Serializing an Item
//         (Section 4.1.3) with (member_value, parameters) to output.
//
//     2.  If more values remain in inner_list, append a single SP to
//         output.
//
// 3.  Append ")" to output.
//
// 4.  Append the result of running Serializing Parameters
//     (Section 4.1.1.2) with list_parameters to output.
//
// 5.  Return output.
function serializeInnerList(value) {
  return `(${value.value.map(_serializeItem_js__WEBPACK_IMPORTED_MODULE_0__.serializeItem).join(' ')})${(0,_serializeParams_js__WEBPACK_IMPORTED_MODULE_1__.serializeParams)(value.params)}`;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInteger.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeInteger.js ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeInteger: function() { return /* binding */ serializeInteger; }
/* harmony export */ });
/* harmony import */ var _utils_INTEGER_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/INTEGER.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER.js");
/* harmony import */ var _utils_isInvalidInt_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/isInvalidInt.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/isInvalidInt.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");



// 4.1.4.  Serializing an Integer
//
// Given an Integer as input_integer, return an ASCII string suitable
// for use in a HTTP field value.
//
// 1.  If input_integer is not an integer in the range of
//     -999,999,999,999,999 to 999,999,999,999,999 inclusive, fail
//     serialization.
//
// 2.  Let output be an empty string.
//
// 3.  If input_integer is less than (but not equal to) 0, append "-" to
//     output.
//
// 4.  Append input_integer's numeric value represented in base 10 using
//     only decimal digits to output.
//
// 5.  Return output.
function serializeInteger(value) {
  if ((0,_utils_isInvalidInt_js__WEBPACK_IMPORTED_MODULE_1__.isInvalidInt)(value)) {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_2__.serializeError)(value, _utils_INTEGER_js__WEBPACK_IMPORTED_MODULE_0__.INTEGER);
  }
  return value.toString();
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeItem.js":
/*!*************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeItem.js ***!
  \*************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeItem: function() { return /* binding */ serializeItem; }
/* harmony export */ });
/* harmony import */ var _SfItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SfItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/SfItem.js");
/* harmony import */ var _serializeBareItem_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./serializeBareItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBareItem.js");
/* harmony import */ var _serializeParams_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeParams.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeParams.js");



// 4.1.3.  Serializing an Item
//
// Given an Item as bare_item and Parameters as item_parameters, return
// an ASCII string suitable for use in a HTTP field value.
//
// 1.  Let output be an empty string.
//
// 2.  Append the result of running Serializing a Bare Item
//     Section 4.1.3.1 with bare_item to output.
//
// 3.  Append the result of running Serializing Parameters
//     Section 4.1.1.2 with item_parameters to output.
//
// 4.  Return output.
function serializeItem(value) {
  if (value instanceof _SfItem_js__WEBPACK_IMPORTED_MODULE_0__.SfItem) {
    return `${(0,_serializeBareItem_js__WEBPACK_IMPORTED_MODULE_1__.serializeBareItem)(value.value)}${(0,_serializeParams_js__WEBPACK_IMPORTED_MODULE_2__.serializeParams)(value.params)}`;
  } else {
    return (0,_serializeBareItem_js__WEBPACK_IMPORTED_MODULE_1__.serializeBareItem)(value);
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeKey.js":
/*!************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeKey.js ***!
  \************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeKey: function() { return /* binding */ serializeKey; }
/* harmony export */ });
/* harmony import */ var _utils_KEY_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/KEY.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/KEY.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");


// 4.1.1.3.  Serializing a Key
//
// Given a key as input_key, return an ASCII string suitable for use in
// a HTTP field value.
//
// 1.  Convert input_key into a sequence of ASCII characters; if
//     conversion fails, fail serialization.
//
// 2.  If input_key contains characters not in lcalpha, DIGIT, "_", "-",
//     ".", or "*" fail serialization.
//
// 3.  If the first character of input_key is not lcalpha or "*", fail
//     serialization.
//
// 4.  Let output be an empty string.
//
// 5.  Append input_key to output.
//
// 6.  Return output.
function serializeKey(value) {
  if (/^[a-z*][a-z0-9\-_.*]*$/.test(value) === false) {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_1__.serializeError)(value, _utils_KEY_js__WEBPACK_IMPORTED_MODULE_0__.KEY);
  }
  return value;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeParams.js":
/*!***************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeParams.js ***!
  \***************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeParams: function() { return /* binding */ serializeParams; }
/* harmony export */ });
/* harmony import */ var _serializeBareItem_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./serializeBareItem.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeBareItem.js");
/* harmony import */ var _serializeKey_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./serializeKey.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeKey.js");


// 4.1.1.2.  Serializing Parameters
//
// Given an ordered Dictionary as input_parameters (each member having a
// param_name and a param_value), return an ASCII string suitable for
// use in a HTTP field value.
//
// 1.  Let output be an empty string.
//
// 2.  For each param_name with a value of param_value in
//     input_parameters:
//
//     1.  Append ";" to output.
//
//     2.  Append the result of running Serializing a Key
//         (Section 4.1.1.3) with param_name to output.
//
//     3.  If param_value is not Boolean true:
//
//         1.  Append "=" to output.
//
//         2.  Append the result of running Serializing a bare Item
//             (Section 4.1.3.1) with param_value to output.
//
// 3.  Return output.
function serializeParams(params) {
  if (params == null) {
    return '';
  }
  return Object.entries(params).map(_ref => {
    let [key, value] = _ref;
    if (value === true) {
      return `;${(0,_serializeKey_js__WEBPACK_IMPORTED_MODULE_1__.serializeKey)(key)}`; // omit true
    }
    return `;${(0,_serializeKey_js__WEBPACK_IMPORTED_MODULE_1__.serializeKey)(key)}=${(0,_serializeBareItem_js__WEBPACK_IMPORTED_MODULE_0__.serializeBareItem)(value)}`;
  }).join('');
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeString.js":
/*!***************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeString.js ***!
  \***************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeString: function() { return /* binding */ serializeString; }
/* harmony export */ });
/* harmony import */ var _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/STRING.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING.js");
/* harmony import */ var _utils_STRING_REGEX_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/STRING_REGEX.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING_REGEX.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");



// 4.1.6.  Serializing a String
//
// Given a String as input_string, return an ASCII string suitable for
// use in a HTTP field value.
//
// 1.  Convert input_string into a sequence of ASCII characters; if
//     conversion fails, fail serialization.
//
// 2.  If input_string contains characters in the range %x00-1f or %x7f
//     (i.e., not in VCHAR or SP), fail serialization.
//
// 3.  Let output be the string DQUOTE.
//
// 4.  For each character char in input_string:
//
//     1.  If char is "\" or DQUOTE:
//
//         1.  Append "\" to output.
//
//     2.  Append char to output.
//
// 5.  Append DQUOTE to output.
//
// 6.  Return output.
function serializeString(value) {
  if (_utils_STRING_REGEX_js__WEBPACK_IMPORTED_MODULE_1__.STRING_REGEX.test(value)) {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_2__.serializeError)(value, _utils_STRING_js__WEBPACK_IMPORTED_MODULE_0__.STRING);
  }
  return `"${value.replace(/\\/g, `\\\\`).replace(/"/g, `\\"`)}"`;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeToken.js":
/*!**************************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeToken.js ***!
  \**************************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   serializeToken: function() { return /* binding */ serializeToken; }
/* harmony export */ });
/* harmony import */ var _cta_utils_symbolToStr_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../cta/utils/symbolToStr.js */ "./node_modules/@svta/common-media-library/dist/cta/utils/symbolToStr.js");
/* harmony import */ var _utils_TOKEN_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/TOKEN.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/TOKEN.js");
/* harmony import */ var _serializeError_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./serializeError.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/serialize/serializeError.js");



function serializeToken(token) {
  const value = (0,_cta_utils_symbolToStr_js__WEBPACK_IMPORTED_MODULE_0__.symbolToStr)(token);
  if (/^([a-zA-Z*])([!#$%&'*+\-.^_`|~\w:/]*)$/.test(value) === false) {
    throw (0,_serializeError_js__WEBPACK_IMPORTED_MODULE_2__.serializeError)(value, _utils_TOKEN_js__WEBPACK_IMPORTED_MODULE_1__.TOKEN);
  }
  return value;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BARE_ITEM.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/BARE_ITEM.js ***!
  \*****************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BARE_ITEM: function() { return /* binding */ BARE_ITEM; }
/* harmony export */ });
const BARE_ITEM = 'Bare Item';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BOOLEAN.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/BOOLEAN.js ***!
  \***************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BOOLEAN: function() { return /* binding */ BOOLEAN; }
/* harmony export */ });
const BOOLEAN = 'Boolean';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/BYTES.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/BYTES.js ***!
  \*************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BYTES: function() { return /* binding */ BYTES; }
/* harmony export */ });
const BYTES = 'Byte Sequence';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DATE.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/DATE.js ***!
  \************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DATE: function() { return /* binding */ DATE; }
/* harmony export */ });
const DATE = 'Date';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DECIMAL.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/DECIMAL.js ***!
  \***************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DECIMAL: function() { return /* binding */ DECIMAL; }
/* harmony export */ });
const DECIMAL = 'Decimal';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DICT.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/DICT.js ***!
  \************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DICT: function() { return /* binding */ DICT; }
/* harmony export */ });
const DICT = 'Dict';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INNER.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/INNER.js ***!
  \*************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   INNER: function() { return /* binding */ INNER; }
/* harmony export */ });
const INNER = 'Inner List';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER.js ***!
  \***************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   INTEGER: function() { return /* binding */ INTEGER; }
/* harmony export */ });
const INTEGER = 'Integer';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER_DECIMAL.js":
/*!***********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER_DECIMAL.js ***!
  \***********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   INTEGER_DECIMAL: function() { return /* binding */ INTEGER_DECIMAL; }
/* harmony export */ });
/* harmony import */ var _DECIMAL_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./DECIMAL.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/DECIMAL.js");
/* harmony import */ var _INTEGER_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./INTEGER.js */ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/INTEGER.js");


const INTEGER_DECIMAL = `${_INTEGER_js__WEBPACK_IMPORTED_MODULE_1__.INTEGER} or ${_DECIMAL_js__WEBPACK_IMPORTED_MODULE_0__.DECIMAL}`;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/KEY.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/KEY.js ***!
  \***********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KEY: function() { return /* binding */ KEY; }
/* harmony export */ });
const KEY = 'Key';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/LIST.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/LIST.js ***!
  \************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LIST: function() { return /* binding */ LIST; }
/* harmony export */ });
const LIST = 'List';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING.js ***!
  \**************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   STRING: function() { return /* binding */ STRING; }
/* harmony export */ });
const STRING = 'String';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING_REGEX.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/STRING_REGEX.js ***!
  \********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   STRING_REGEX: function() { return /* binding */ STRING_REGEX; }
/* harmony export */ });
const STRING_REGEX = /[\x00-\x1f\x7f]+/;

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/TOKEN.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/TOKEN.js ***!
  \*************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TOKEN: function() { return /* binding */ TOKEN; }
/* harmony export */ });
const TOKEN = 'Token';

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/isInvalidInt.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/isInvalidInt.js ***!
  \********************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isInvalidInt: function() { return /* binding */ isInvalidInt; }
/* harmony export */ });
function isInvalidInt(value) {
  return value < -999999999999999 || 999999999999999 < value;
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/structuredfield/utils/throwError.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/structuredfield/utils/throwError.js ***!
  \******************************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   throwError: function() { return /* binding */ throwError; }
/* harmony export */ });
function format(value) {
  if (Array.isArray(value)) {
    return JSON.stringify(value);
  }
  if (value instanceof Map) {
    return 'Map{}';
  }
  if (value instanceof Set) {
    return 'Set{}';
  }
  if (typeof value === 'object') {
    return JSON.stringify(value);
  }
  return String(value);
}
function throwError(action, src, type, cause) {
  return new Error(`failed to ${action} "${format(src)}" as ${type}`, {
    cause
  });
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/utils/base64decode.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/utils/base64decode.js ***!
  \****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   base64decode: function() { return /* binding */ base64decode; }
/* harmony export */ });
/**
 * Decodes a base64 encoded string into binary data
 *
 * @param str - The base64 encoded string to decode
 * @returns The decoded binary data
 *
 * @group Utils
 *
 * @beta
 */
function base64decode(str) {
  return new Uint8Array([...atob(str)].map(a => a.charCodeAt(0)));
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/utils/base64encode.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/utils/base64encode.js ***!
  \****************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   base64encode: function() { return /* binding */ base64encode; }
/* harmony export */ });
/**
 * Encodes binary data to base64
 *
 * @param binary - The binary data to encode
 * @returns The base64 encoded string
 *
 * @group Utils
 *
 * @beta
 */
function base64encode(binary) {
  return btoa(String.fromCharCode(...binary));
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/utils/roundToEven.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/utils/roundToEven.js ***!
  \***************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   roundToEven: function() { return /* binding */ roundToEven; }
/* harmony export */ });
/**
 * This implements the rounding procedure described in step 2 of the "Serializing a Decimal" specification.
 * This rounding style is known as "even rounding", "banker's rounding", or "commercial rounding".
 *
 * @param value - The value to round
 * @param precision - The number of decimal places to round to
 * @returns The rounded value
 *
 * @group Utils
 *
 * @beta
 */
function roundToEven(value, precision) {
  if (value < 0) {
    return -roundToEven(-value, precision);
  }
  const decimalShift = Math.pow(10, precision);
  const isEquidistant = Math.abs(value * decimalShift % 1 - 0.5) < Number.EPSILON;
  if (isEquidistant) {
    // If the tail of the decimal place is 'equidistant' we round to the nearest even value
    const flooredValue = Math.floor(value * decimalShift);
    return (flooredValue % 2 === 0 ? flooredValue : flooredValue + 1) / decimalShift;
  } else {
    // Otherwise, proceed as normal
    return Math.round(value * decimalShift) / decimalShift;
  }
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/utils/urlToRelativePath.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/utils/urlToRelativePath.js ***!
  \*********************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   urlToRelativePath: function() { return /* binding */ urlToRelativePath; }
/* harmony export */ });
/**
 * Constructs a relative path from a URL.
 *
 * @param url - The destination URL
 * @param base - The base URL
 * @returns The relative path
 *
 * @group Utils
 *
 * @beta
 */
function urlToRelativePath(url, base) {
  const to = new URL(url);
  const from = new URL(base);
  if (to.origin !== from.origin) {
    return url;
  }
  const toPath = to.pathname.split('/').slice(1);
  const fromPath = from.pathname.split('/').slice(1, -1);
  // remove common parents
  while (toPath[0] === fromPath[0]) {
    toPath.shift();
    fromPath.shift();
  }
  // add back paths
  while (fromPath.length) {
    fromPath.shift();
    toPath.unshift('..');
  }
  return toPath.join('/');
}

/***/ }),

/***/ "./node_modules/@svta/common-media-library/dist/utils/utf8ArrayToStr.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@svta/common-media-library/dist/utils/utf8ArrayToStr.js ***!
  \******************************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   utf8ArrayToStr: function() { return /* binding */ utf8ArrayToStr; }
/* harmony export */ });
// http://stackoverflow.com/questions/8936984/uint8array-to-string-in-javascript/22373197
// http://www.onicos.com/staff/iz/amuse/javascript/expert/utf.txt
/* utf.js - UTF-8 <=> UTF-16 convertion
 *
 * Copyright (C) 1999 Masanao Izumo <iz@onicos.co.jp>
 * Version: 1.0
 * LastModified: Dec 25 1999
 * This library is free.  You can redistribute it and/or modify it.
 */
/**
 * Converts a UTF-8 array to a string.
 *
 * @param array - The UTF-8 array to convert
 *
 * @returns The string
 *
 * @group Utils
 *
 * @beta
 */
function utf8ArrayToStr(array) {
  let exitOnNull = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  if (typeof TextDecoder !== 'undefined') {
    const decoder = new TextDecoder('utf-8');
    const decoded = decoder.decode(array);
    if (exitOnNull) {
      // grab up to the first null
      const idx = decoded.indexOf('\0');
      return idx !== -1 ? decoded.substring(0, idx) : decoded;
    }
    // remove any null characters
    return decoded.replace(/\0/g, '');
  }
  const len = array.length;
  let c;
  let char2;
  let char3;
  let out = '';
  let i = 0;
  while (i < len) {
    c = array[i++];
    if (c === 0x00 && exitOnNull) {
      return out;
    } else if (c === 0x00 || c === 0x03) {
      // If the character is 3 (END_OF_TEXT) or 0 (NULL) then skip it
      continue;
    }
    switch (c >> 4) {
      case 0:
      case 1:
      case 2:
      case 3:
      case 4:
      case 5:
      case 6:
      case 7:
        // 0xxxxxxx
        out += String.fromCharCode(c);
        break;
      case 12:
      case 13:
        // 110x xxxx   10xx xxxx
        char2 = array[i++];
        out += String.fromCharCode((c & 0x1f) << 6 | char2 & 0x3f);
        break;
      case 14:
        // 1110 xxxx  10xx xxxx  10xx xxxx
        char2 = array[i++];
        char3 = array[i++];
        out += String.fromCharCode((c & 0x0f) << 12 | (char2 & 0x3f) << 6 | (char3 & 0x3f) << 0);
        break;
      default:
    }
  }
  return out;
}

/***/ }),

/***/ "./node_modules/base64-js/index.js":
/*!*****************************************!*\
  !*** ./node_modules/base64-js/index.js ***!
  \*****************************************/
/***/ (function(__unused_webpack_module, exports) {



exports.byteLength = byteLength;
exports.toByteArray = toByteArray;
exports.fromByteArray = fromByteArray;
var lookup = [];
var revLookup = [];
var Arr = typeof Uint8Array !== 'undefined' ? Uint8Array : Array;
var code = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
for (var i = 0, len = code.length; i < len; ++i) {
  lookup[i] = code[i];
  revLookup[code.charCodeAt(i)] = i;
}

// Support decoding URL-safe base64 strings, as Node.js does.
// See: https://en.wikipedia.org/wiki/Base64#URL_applications
revLookup['-'.charCodeAt(0)] = 62;
revLookup['_'.charCodeAt(0)] = 63;
function getLens(b64) {
  var len = b64.length;
  if (len % 4 > 0) {
    throw new Error('Invalid string. Length must be a multiple of 4');
  }

  // Trim off extra bytes after placeholder bytes are found
  // See: https://github.com/beatgammit/base64-js/issues/42
  var validLen = b64.indexOf('=');
  if (validLen === -1) validLen = len;
  var placeHoldersLen = validLen === len ? 0 : 4 - validLen % 4;
  return [validLen, placeHoldersLen];
}

// base64 is 4/3 + up to two characters of the original data
function byteLength(b64) {
  var lens = getLens(b64);
  var validLen = lens[0];
  var placeHoldersLen = lens[1];
  return (validLen + placeHoldersLen) * 3 / 4 - placeHoldersLen;
}
function _byteLength(b64, validLen, placeHoldersLen) {
  return (validLen + placeHoldersLen) * 3 / 4 - placeHoldersLen;
}
function toByteArray(b64) {
  var tmp;
  var lens = getLens(b64);
  var validLen = lens[0];
  var placeHoldersLen = lens[1];
  var arr = new Arr(_byteLength(b64, validLen, placeHoldersLen));
  var curByte = 0;

  // if there are placeholders, only get up to the last complete 4 chars
  var len = placeHoldersLen > 0 ? validLen - 4 : validLen;
  var i;
  for (i = 0; i < len; i += 4) {
    tmp = revLookup[b64.charCodeAt(i)] << 18 | revLookup[b64.charCodeAt(i + 1)] << 12 | revLookup[b64.charCodeAt(i + 2)] << 6 | revLookup[b64.charCodeAt(i + 3)];
    arr[curByte++] = tmp >> 16 & 0xFF;
    arr[curByte++] = tmp >> 8 & 0xFF;
    arr[curByte++] = tmp & 0xFF;
  }
  if (placeHoldersLen === 2) {
    tmp = revLookup[b64.charCodeAt(i)] << 2 | revLookup[b64.charCodeAt(i + 1)] >> 4;
    arr[curByte++] = tmp & 0xFF;
  }
  if (placeHoldersLen === 1) {
    tmp = revLookup[b64.charCodeAt(i)] << 10 | revLookup[b64.charCodeAt(i + 1)] << 4 | revLookup[b64.charCodeAt(i + 2)] >> 2;
    arr[curByte++] = tmp >> 8 & 0xFF;
    arr[curByte++] = tmp & 0xFF;
  }
  return arr;
}
function tripletToBase64(num) {
  return lookup[num >> 18 & 0x3F] + lookup[num >> 12 & 0x3F] + lookup[num >> 6 & 0x3F] + lookup[num & 0x3F];
}
function encodeChunk(uint8, start, end) {
  var tmp;
  var output = [];
  for (var i = start; i < end; i += 3) {
    tmp = (uint8[i] << 16 & 0xFF0000) + (uint8[i + 1] << 8 & 0xFF00) + (uint8[i + 2] & 0xFF);
    output.push(tripletToBase64(tmp));
  }
  return output.join('');
}
function fromByteArray(uint8) {
  var tmp;
  var len = uint8.length;
  var extraBytes = len % 3; // if we have 1 byte left, pad 2 bytes
  var parts = [];
  var maxChunkLength = 16383; // must be multiple of 3

  // go through the array every three bytes, we'll deal with trailing stuff later
  for (var i = 0, len2 = len - extraBytes; i < len2; i += maxChunkLength) {
    parts.push(encodeChunk(uint8, i, i + maxChunkLength > len2 ? len2 : i + maxChunkLength));
  }

  // pad the end with zeros, but make sure to not forget the extra bytes
  if (extraBytes === 1) {
    tmp = uint8[len - 1];
    parts.push(lookup[tmp >> 2] + lookup[tmp << 4 & 0x3F] + '==');
  } else if (extraBytes === 2) {
    tmp = (uint8[len - 2] << 8) + uint8[len - 1];
    parts.push(lookup[tmp >> 10] + lookup[tmp >> 4 & 0x3F] + lookup[tmp << 2 & 0x3F] + '=');
  }
  return parts.join('');
}

/***/ }),

/***/ "./node_modules/buffer/index.js":
/*!**************************************!*\
  !*** ./node_modules/buffer/index.js ***!
  \**************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
/* eslint-disable no-proto */



var base64 = __webpack_require__(/*! base64-js */ "./node_modules/base64-js/index.js");
var ieee754 = __webpack_require__(/*! ieee754 */ "./node_modules/ieee754/index.js");
var customInspectSymbol = typeof Symbol === 'function' && typeof Symbol['for'] === 'function' // eslint-disable-line dot-notation
? Symbol['for']('nodejs.util.inspect.custom') // eslint-disable-line dot-notation
: null;
exports.Buffer = Buffer;
exports.SlowBuffer = SlowBuffer;
exports.INSPECT_MAX_BYTES = 50;
var K_MAX_LENGTH = 0x7fffffff;
exports.kMaxLength = K_MAX_LENGTH;

/**
 * If `Buffer.TYPED_ARRAY_SUPPORT`:
 *   === true    Use Uint8Array implementation (fastest)
 *   === false   Print warning and recommend using `buffer` v4.x which has an Object
 *               implementation (most compatible, even IE6)
 *
 * Browsers that support typed arrays are IE 10+, Firefox 4+, Chrome 7+, Safari 5.1+,
 * Opera 11.6+, iOS 4.2+.
 *
 * We report that the browser does not support typed arrays if the are not subclassable
 * using __proto__. Firefox 4-29 lacks support for adding new properties to `Uint8Array`
 * (See: https://bugzilla.mozilla.org/show_bug.cgi?id=695438). IE 10 lacks support
 * for __proto__ and has a buggy typed array implementation.
 */
Buffer.TYPED_ARRAY_SUPPORT = typedArraySupport();
if (!Buffer.TYPED_ARRAY_SUPPORT && typeof console !== 'undefined' && typeof console.error === 'function') {
  console.error('This browser lacks typed array (Uint8Array) support which is required by ' + '`buffer` v5.x. Use `buffer` v4.x if you require old browser support.');
}
function typedArraySupport() {
  // Can typed array instances can be augmented?
  try {
    var arr = new Uint8Array(1);
    var proto = {
      foo: function () {
        return 42;
      }
    };
    Object.setPrototypeOf(proto, Uint8Array.prototype);
    Object.setPrototypeOf(arr, proto);
    return arr.foo() === 42;
  } catch (e) {
    return false;
  }
}
Object.defineProperty(Buffer.prototype, 'parent', {
  enumerable: true,
  get: function () {
    if (!Buffer.isBuffer(this)) return undefined;
    return this.buffer;
  }
});
Object.defineProperty(Buffer.prototype, 'offset', {
  enumerable: true,
  get: function () {
    if (!Buffer.isBuffer(this)) return undefined;
    return this.byteOffset;
  }
});
function createBuffer(length) {
  if (length > K_MAX_LENGTH) {
    throw new RangeError('The value "' + length + '" is invalid for option "size"');
  }
  // Return an augmented `Uint8Array` instance
  var buf = new Uint8Array(length);
  Object.setPrototypeOf(buf, Buffer.prototype);
  return buf;
}

/**
 * The Buffer constructor returns instances of `Uint8Array` that have their
 * prototype changed to `Buffer.prototype`. Furthermore, `Buffer` is a subclass of
 * `Uint8Array`, so the returned instances will have all the node `Buffer` methods
 * and the `Uint8Array` methods. Square bracket notation works as expected -- it
 * returns a single octet.
 *
 * The `Uint8Array` prototype remains unmodified.
 */

function Buffer(arg, encodingOrOffset, length) {
  // Common case.
  if (typeof arg === 'number') {
    if (typeof encodingOrOffset === 'string') {
      throw new TypeError('The "string" argument must be of type string. Received type number');
    }
    return allocUnsafe(arg);
  }
  return from(arg, encodingOrOffset, length);
}
Buffer.poolSize = 8192; // not used by this implementation

function from(value, encodingOrOffset, length) {
  if (typeof value === 'string') {
    return fromString(value, encodingOrOffset);
  }
  if (ArrayBuffer.isView(value)) {
    return fromArrayView(value);
  }
  if (value == null) {
    throw new TypeError('The first argument must be one of type string, Buffer, ArrayBuffer, Array, ' + 'or Array-like Object. Received type ' + typeof value);
  }
  if (isInstance(value, ArrayBuffer) || value && isInstance(value.buffer, ArrayBuffer)) {
    return fromArrayBuffer(value, encodingOrOffset, length);
  }
  if (typeof SharedArrayBuffer !== 'undefined' && (isInstance(value, SharedArrayBuffer) || value && isInstance(value.buffer, SharedArrayBuffer))) {
    return fromArrayBuffer(value, encodingOrOffset, length);
  }
  if (typeof value === 'number') {
    throw new TypeError('The "value" argument must not be of type number. Received type number');
  }
  var valueOf = value.valueOf && value.valueOf();
  if (valueOf != null && valueOf !== value) {
    return Buffer.from(valueOf, encodingOrOffset, length);
  }
  var b = fromObject(value);
  if (b) return b;
  if (typeof Symbol !== 'undefined' && Symbol.toPrimitive != null && typeof value[Symbol.toPrimitive] === 'function') {
    return Buffer.from(value[Symbol.toPrimitive]('string'), encodingOrOffset, length);
  }
  throw new TypeError('The first argument must be one of type string, Buffer, ArrayBuffer, Array, ' + 'or Array-like Object. Received type ' + typeof value);
}

/**
 * Functionally equivalent to Buffer(arg, encoding) but throws a TypeError
 * if value is a number.
 * Buffer.from(str[, encoding])
 * Buffer.from(array)
 * Buffer.from(buffer)
 * Buffer.from(arrayBuffer[, byteOffset[, length]])
 **/
Buffer.from = function (value, encodingOrOffset, length) {
  return from(value, encodingOrOffset, length);
};

// Note: Change prototype *after* Buffer.from is defined to workaround Chrome bug:
// https://github.com/feross/buffer/pull/148
Object.setPrototypeOf(Buffer.prototype, Uint8Array.prototype);
Object.setPrototypeOf(Buffer, Uint8Array);
function assertSize(size) {
  if (typeof size !== 'number') {
    throw new TypeError('"size" argument must be of type number');
  } else if (size < 0) {
    throw new RangeError('The value "' + size + '" is invalid for option "size"');
  }
}
function alloc(size, fill, encoding) {
  assertSize(size);
  if (size <= 0) {
    return createBuffer(size);
  }
  if (fill !== undefined) {
    // Only pay attention to encoding if it's a string. This
    // prevents accidentally sending in a number that would
    // be interpreted as a start offset.
    return typeof encoding === 'string' ? createBuffer(size).fill(fill, encoding) : createBuffer(size).fill(fill);
  }
  return createBuffer(size);
}

/**
 * Creates a new filled Buffer instance.
 * alloc(size[, fill[, encoding]])
 **/
Buffer.alloc = function (size, fill, encoding) {
  return alloc(size, fill, encoding);
};
function allocUnsafe(size) {
  assertSize(size);
  return createBuffer(size < 0 ? 0 : checked(size) | 0);
}

/**
 * Equivalent to Buffer(num), by default creates a non-zero-filled Buffer instance.
 * */
Buffer.allocUnsafe = function (size) {
  return allocUnsafe(size);
};
/**
 * Equivalent to SlowBuffer(num), by default creates a non-zero-filled Buffer instance.
 */
Buffer.allocUnsafeSlow = function (size) {
  return allocUnsafe(size);
};
function fromString(string, encoding) {
  if (typeof encoding !== 'string' || encoding === '') {
    encoding = 'utf8';
  }
  if (!Buffer.isEncoding(encoding)) {
    throw new TypeError('Unknown encoding: ' + encoding);
  }
  var length = byteLength(string, encoding) | 0;
  var buf = createBuffer(length);
  var actual = buf.write(string, encoding);
  if (actual !== length) {
    // Writing a hex string, for example, that contains invalid characters will
    // cause everything after the first invalid character to be ignored. (e.g.
    // 'abxxcd' will be treated as 'ab')
    buf = buf.slice(0, actual);
  }
  return buf;
}
function fromArrayLike(array) {
  var length = array.length < 0 ? 0 : checked(array.length) | 0;
  var buf = createBuffer(length);
  for (var i = 0; i < length; i += 1) {
    buf[i] = array[i] & 255;
  }
  return buf;
}
function fromArrayView(arrayView) {
  if (isInstance(arrayView, Uint8Array)) {
    var copy = new Uint8Array(arrayView);
    return fromArrayBuffer(copy.buffer, copy.byteOffset, copy.byteLength);
  }
  return fromArrayLike(arrayView);
}
function fromArrayBuffer(array, byteOffset, length) {
  if (byteOffset < 0 || array.byteLength < byteOffset) {
    throw new RangeError('"offset" is outside of buffer bounds');
  }
  if (array.byteLength < byteOffset + (length || 0)) {
    throw new RangeError('"length" is outside of buffer bounds');
  }
  var buf;
  if (byteOffset === undefined && length === undefined) {
    buf = new Uint8Array(array);
  } else if (length === undefined) {
    buf = new Uint8Array(array, byteOffset);
  } else {
    buf = new Uint8Array(array, byteOffset, length);
  }

  // Return an augmented `Uint8Array` instance
  Object.setPrototypeOf(buf, Buffer.prototype);
  return buf;
}
function fromObject(obj) {
  if (Buffer.isBuffer(obj)) {
    var len = checked(obj.length) | 0;
    var buf = createBuffer(len);
    if (buf.length === 0) {
      return buf;
    }
    obj.copy(buf, 0, 0, len);
    return buf;
  }
  if (obj.length !== undefined) {
    if (typeof obj.length !== 'number' || numberIsNaN(obj.length)) {
      return createBuffer(0);
    }
    return fromArrayLike(obj);
  }
  if (obj.type === 'Buffer' && Array.isArray(obj.data)) {
    return fromArrayLike(obj.data);
  }
}
function checked(length) {
  // Note: cannot use `length < K_MAX_LENGTH` here because that fails when
  // length is NaN (which is otherwise coerced to zero.)
  if (length >= K_MAX_LENGTH) {
    throw new RangeError('Attempt to allocate Buffer larger than maximum ' + 'size: 0x' + K_MAX_LENGTH.toString(16) + ' bytes');
  }
  return length | 0;
}
function SlowBuffer(length) {
  if (+length != length) {
    // eslint-disable-line eqeqeq
    length = 0;
  }
  return Buffer.alloc(+length);
}
Buffer.isBuffer = function isBuffer(b) {
  return b != null && b._isBuffer === true && b !== Buffer.prototype; // so Buffer.isBuffer(Buffer.prototype) will be false
};
Buffer.compare = function compare(a, b) {
  if (isInstance(a, Uint8Array)) a = Buffer.from(a, a.offset, a.byteLength);
  if (isInstance(b, Uint8Array)) b = Buffer.from(b, b.offset, b.byteLength);
  if (!Buffer.isBuffer(a) || !Buffer.isBuffer(b)) {
    throw new TypeError('The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array');
  }
  if (a === b) return 0;
  var x = a.length;
  var y = b.length;
  for (var i = 0, len = Math.min(x, y); i < len; ++i) {
    if (a[i] !== b[i]) {
      x = a[i];
      y = b[i];
      break;
    }
  }
  if (x < y) return -1;
  if (y < x) return 1;
  return 0;
};
Buffer.isEncoding = function isEncoding(encoding) {
  switch (String(encoding).toLowerCase()) {
    case 'hex':
    case 'utf8':
    case 'utf-8':
    case 'ascii':
    case 'latin1':
    case 'binary':
    case 'base64':
    case 'ucs2':
    case 'ucs-2':
    case 'utf16le':
    case 'utf-16le':
      return true;
    default:
      return false;
  }
};
Buffer.concat = function concat(list, length) {
  if (!Array.isArray(list)) {
    throw new TypeError('"list" argument must be an Array of Buffers');
  }
  if (list.length === 0) {
    return Buffer.alloc(0);
  }
  var i;
  if (length === undefined) {
    length = 0;
    for (i = 0; i < list.length; ++i) {
      length += list[i].length;
    }
  }
  var buffer = Buffer.allocUnsafe(length);
  var pos = 0;
  for (i = 0; i < list.length; ++i) {
    var buf = list[i];
    if (isInstance(buf, Uint8Array)) {
      if (pos + buf.length > buffer.length) {
        Buffer.from(buf).copy(buffer, pos);
      } else {
        Uint8Array.prototype.set.call(buffer, buf, pos);
      }
    } else if (!Buffer.isBuffer(buf)) {
      throw new TypeError('"list" argument must be an Array of Buffers');
    } else {
      buf.copy(buffer, pos);
    }
    pos += buf.length;
  }
  return buffer;
};
function byteLength(string, encoding) {
  if (Buffer.isBuffer(string)) {
    return string.length;
  }
  if (ArrayBuffer.isView(string) || isInstance(string, ArrayBuffer)) {
    return string.byteLength;
  }
  if (typeof string !== 'string') {
    throw new TypeError('The "string" argument must be one of type string, Buffer, or ArrayBuffer. ' + 'Received type ' + typeof string);
  }
  var len = string.length;
  var mustMatch = arguments.length > 2 && arguments[2] === true;
  if (!mustMatch && len === 0) return 0;

  // Use a for loop to avoid recursion
  var loweredCase = false;
  for (;;) {
    switch (encoding) {
      case 'ascii':
      case 'latin1':
      case 'binary':
        return len;
      case 'utf8':
      case 'utf-8':
        return utf8ToBytes(string).length;
      case 'ucs2':
      case 'ucs-2':
      case 'utf16le':
      case 'utf-16le':
        return len * 2;
      case 'hex':
        return len >>> 1;
      case 'base64':
        return base64ToBytes(string).length;
      default:
        if (loweredCase) {
          return mustMatch ? -1 : utf8ToBytes(string).length; // assume utf8
        }
        encoding = ('' + encoding).toLowerCase();
        loweredCase = true;
    }
  }
}
Buffer.byteLength = byteLength;
function slowToString(encoding, start, end) {
  var loweredCase = false;

  // No need to verify that "this.length <= MAX_UINT32" since it's a read-only
  // property of a typed array.

  // This behaves neither like String nor Uint8Array in that we set start/end
  // to their upper/lower bounds if the value passed is out of range.
  // undefined is handled specially as per ECMA-262 6th Edition,
  // Section 13.3.3.7 Runtime Semantics: KeyedBindingInitialization.
  if (start === undefined || start < 0) {
    start = 0;
  }
  // Return early if start > this.length. Done here to prevent potential uint32
  // coercion fail below.
  if (start > this.length) {
    return '';
  }
  if (end === undefined || end > this.length) {
    end = this.length;
  }
  if (end <= 0) {
    return '';
  }

  // Force coercion to uint32. This will also coerce falsey/NaN values to 0.
  end >>>= 0;
  start >>>= 0;
  if (end <= start) {
    return '';
  }
  if (!encoding) encoding = 'utf8';
  while (true) {
    switch (encoding) {
      case 'hex':
        return hexSlice(this, start, end);
      case 'utf8':
      case 'utf-8':
        return utf8Slice(this, start, end);
      case 'ascii':
        return asciiSlice(this, start, end);
      case 'latin1':
      case 'binary':
        return latin1Slice(this, start, end);
      case 'base64':
        return base64Slice(this, start, end);
      case 'ucs2':
      case 'ucs-2':
      case 'utf16le':
      case 'utf-16le':
        return utf16leSlice(this, start, end);
      default:
        if (loweredCase) throw new TypeError('Unknown encoding: ' + encoding);
        encoding = (encoding + '').toLowerCase();
        loweredCase = true;
    }
  }
}

// This property is used by `Buffer.isBuffer` (and the `is-buffer` npm package)
// to detect a Buffer instance. It's not possible to use `instanceof Buffer`
// reliably in a browserify context because there could be multiple different
// copies of the 'buffer' package in use. This method works even for Buffer
// instances that were created from another copy of the `buffer` package.
// See: https://github.com/feross/buffer/issues/154
Buffer.prototype._isBuffer = true;
function swap(b, n, m) {
  var i = b[n];
  b[n] = b[m];
  b[m] = i;
}
Buffer.prototype.swap16 = function swap16() {
  var len = this.length;
  if (len % 2 !== 0) {
    throw new RangeError('Buffer size must be a multiple of 16-bits');
  }
  for (var i = 0; i < len; i += 2) {
    swap(this, i, i + 1);
  }
  return this;
};
Buffer.prototype.swap32 = function swap32() {
  var len = this.length;
  if (len % 4 !== 0) {
    throw new RangeError('Buffer size must be a multiple of 32-bits');
  }
  for (var i = 0; i < len; i += 4) {
    swap(this, i, i + 3);
    swap(this, i + 1, i + 2);
  }
  return this;
};
Buffer.prototype.swap64 = function swap64() {
  var len = this.length;
  if (len % 8 !== 0) {
    throw new RangeError('Buffer size must be a multiple of 64-bits');
  }
  for (var i = 0; i < len; i += 8) {
    swap(this, i, i + 7);
    swap(this, i + 1, i + 6);
    swap(this, i + 2, i + 5);
    swap(this, i + 3, i + 4);
  }
  return this;
};
Buffer.prototype.toString = function toString() {
  var length = this.length;
  if (length === 0) return '';
  if (arguments.length === 0) return utf8Slice(this, 0, length);
  return slowToString.apply(this, arguments);
};
Buffer.prototype.toLocaleString = Buffer.prototype.toString;
Buffer.prototype.equals = function equals(b) {
  if (!Buffer.isBuffer(b)) throw new TypeError('Argument must be a Buffer');
  if (this === b) return true;
  return Buffer.compare(this, b) === 0;
};
Buffer.prototype.inspect = function inspect() {
  var str = '';
  var max = exports.INSPECT_MAX_BYTES;
  str = this.toString('hex', 0, max).replace(/(.{2})/g, '$1 ').trim();
  if (this.length > max) str += ' ... ';
  return '<Buffer ' + str + '>';
};
if (customInspectSymbol) {
  Buffer.prototype[customInspectSymbol] = Buffer.prototype.inspect;
}
Buffer.prototype.compare = function compare(target, start, end, thisStart, thisEnd) {
  if (isInstance(target, Uint8Array)) {
    target = Buffer.from(target, target.offset, target.byteLength);
  }
  if (!Buffer.isBuffer(target)) {
    throw new TypeError('The "target" argument must be one of type Buffer or Uint8Array. ' + 'Received type ' + typeof target);
  }
  if (start === undefined) {
    start = 0;
  }
  if (end === undefined) {
    end = target ? target.length : 0;
  }
  if (thisStart === undefined) {
    thisStart = 0;
  }
  if (thisEnd === undefined) {
    thisEnd = this.length;
  }
  if (start < 0 || end > target.length || thisStart < 0 || thisEnd > this.length) {
    throw new RangeError('out of range index');
  }
  if (thisStart >= thisEnd && start >= end) {
    return 0;
  }
  if (thisStart >= thisEnd) {
    return -1;
  }
  if (start >= end) {
    return 1;
  }
  start >>>= 0;
  end >>>= 0;
  thisStart >>>= 0;
  thisEnd >>>= 0;
  if (this === target) return 0;
  var x = thisEnd - thisStart;
  var y = end - start;
  var len = Math.min(x, y);
  var thisCopy = this.slice(thisStart, thisEnd);
  var targetCopy = target.slice(start, end);
  for (var i = 0; i < len; ++i) {
    if (thisCopy[i] !== targetCopy[i]) {
      x = thisCopy[i];
      y = targetCopy[i];
      break;
    }
  }
  if (x < y) return -1;
  if (y < x) return 1;
  return 0;
};

// Finds either the first index of `val` in `buffer` at offset >= `byteOffset`,
// OR the last index of `val` in `buffer` at offset <= `byteOffset`.
//
// Arguments:
// - buffer - a Buffer to search
// - val - a string, Buffer, or number
// - byteOffset - an index into `buffer`; will be clamped to an int32
// - encoding - an optional encoding, relevant is val is a string
// - dir - true for indexOf, false for lastIndexOf
function bidirectionalIndexOf(buffer, val, byteOffset, encoding, dir) {
  // Empty buffer means no match
  if (buffer.length === 0) return -1;

  // Normalize byteOffset
  if (typeof byteOffset === 'string') {
    encoding = byteOffset;
    byteOffset = 0;
  } else if (byteOffset > 0x7fffffff) {
    byteOffset = 0x7fffffff;
  } else if (byteOffset < -0x80000000) {
    byteOffset = -0x80000000;
  }
  byteOffset = +byteOffset; // Coerce to Number.
  if (numberIsNaN(byteOffset)) {
    // byteOffset: it it's undefined, null, NaN, "foo", etc, search whole buffer
    byteOffset = dir ? 0 : buffer.length - 1;
  }

  // Normalize byteOffset: negative offsets start from the end of the buffer
  if (byteOffset < 0) byteOffset = buffer.length + byteOffset;
  if (byteOffset >= buffer.length) {
    if (dir) return -1;else byteOffset = buffer.length - 1;
  } else if (byteOffset < 0) {
    if (dir) byteOffset = 0;else return -1;
  }

  // Normalize val
  if (typeof val === 'string') {
    val = Buffer.from(val, encoding);
  }

  // Finally, search either indexOf (if dir is true) or lastIndexOf
  if (Buffer.isBuffer(val)) {
    // Special case: looking for empty string/buffer always fails
    if (val.length === 0) {
      return -1;
    }
    return arrayIndexOf(buffer, val, byteOffset, encoding, dir);
  } else if (typeof val === 'number') {
    val = val & 0xFF; // Search for a byte value [0-255]
    if (typeof Uint8Array.prototype.indexOf === 'function') {
      if (dir) {
        return Uint8Array.prototype.indexOf.call(buffer, val, byteOffset);
      } else {
        return Uint8Array.prototype.lastIndexOf.call(buffer, val, byteOffset);
      }
    }
    return arrayIndexOf(buffer, [val], byteOffset, encoding, dir);
  }
  throw new TypeError('val must be string, number or Buffer');
}
function arrayIndexOf(arr, val, byteOffset, encoding, dir) {
  var indexSize = 1;
  var arrLength = arr.length;
  var valLength = val.length;
  if (encoding !== undefined) {
    encoding = String(encoding).toLowerCase();
    if (encoding === 'ucs2' || encoding === 'ucs-2' || encoding === 'utf16le' || encoding === 'utf-16le') {
      if (arr.length < 2 || val.length < 2) {
        return -1;
      }
      indexSize = 2;
      arrLength /= 2;
      valLength /= 2;
      byteOffset /= 2;
    }
  }
  function read(buf, i) {
    if (indexSize === 1) {
      return buf[i];
    } else {
      return buf.readUInt16BE(i * indexSize);
    }
  }
  var i;
  if (dir) {
    var foundIndex = -1;
    for (i = byteOffset; i < arrLength; i++) {
      if (read(arr, i) === read(val, foundIndex === -1 ? 0 : i - foundIndex)) {
        if (foundIndex === -1) foundIndex = i;
        if (i - foundIndex + 1 === valLength) return foundIndex * indexSize;
      } else {
        if (foundIndex !== -1) i -= i - foundIndex;
        foundIndex = -1;
      }
    }
  } else {
    if (byteOffset + valLength > arrLength) byteOffset = arrLength - valLength;
    for (i = byteOffset; i >= 0; i--) {
      var found = true;
      for (var j = 0; j < valLength; j++) {
        if (read(arr, i + j) !== read(val, j)) {
          found = false;
          break;
        }
      }
      if (found) return i;
    }
  }
  return -1;
}
Buffer.prototype.includes = function includes(val, byteOffset, encoding) {
  return this.indexOf(val, byteOffset, encoding) !== -1;
};
Buffer.prototype.indexOf = function indexOf(val, byteOffset, encoding) {
  return bidirectionalIndexOf(this, val, byteOffset, encoding, true);
};
Buffer.prototype.lastIndexOf = function lastIndexOf(val, byteOffset, encoding) {
  return bidirectionalIndexOf(this, val, byteOffset, encoding, false);
};
function hexWrite(buf, string, offset, length) {
  offset = Number(offset) || 0;
  var remaining = buf.length - offset;
  if (!length) {
    length = remaining;
  } else {
    length = Number(length);
    if (length > remaining) {
      length = remaining;
    }
  }
  var strLen = string.length;
  if (length > strLen / 2) {
    length = strLen / 2;
  }
  for (var i = 0; i < length; ++i) {
    var parsed = parseInt(string.substr(i * 2, 2), 16);
    if (numberIsNaN(parsed)) return i;
    buf[offset + i] = parsed;
  }
  return i;
}
function utf8Write(buf, string, offset, length) {
  return blitBuffer(utf8ToBytes(string, buf.length - offset), buf, offset, length);
}
function asciiWrite(buf, string, offset, length) {
  return blitBuffer(asciiToBytes(string), buf, offset, length);
}
function base64Write(buf, string, offset, length) {
  return blitBuffer(base64ToBytes(string), buf, offset, length);
}
function ucs2Write(buf, string, offset, length) {
  return blitBuffer(utf16leToBytes(string, buf.length - offset), buf, offset, length);
}
Buffer.prototype.write = function write(string, offset, length, encoding) {
  // Buffer#write(string)
  if (offset === undefined) {
    encoding = 'utf8';
    length = this.length;
    offset = 0;
    // Buffer#write(string, encoding)
  } else if (length === undefined && typeof offset === 'string') {
    encoding = offset;
    length = this.length;
    offset = 0;
    // Buffer#write(string, offset[, length][, encoding])
  } else if (isFinite(offset)) {
    offset = offset >>> 0;
    if (isFinite(length)) {
      length = length >>> 0;
      if (encoding === undefined) encoding = 'utf8';
    } else {
      encoding = length;
      length = undefined;
    }
  } else {
    throw new Error('Buffer.write(string, encoding, offset[, length]) is no longer supported');
  }
  var remaining = this.length - offset;
  if (length === undefined || length > remaining) length = remaining;
  if (string.length > 0 && (length < 0 || offset < 0) || offset > this.length) {
    throw new RangeError('Attempt to write outside buffer bounds');
  }
  if (!encoding) encoding = 'utf8';
  var loweredCase = false;
  for (;;) {
    switch (encoding) {
      case 'hex':
        return hexWrite(this, string, offset, length);
      case 'utf8':
      case 'utf-8':
        return utf8Write(this, string, offset, length);
      case 'ascii':
      case 'latin1':
      case 'binary':
        return asciiWrite(this, string, offset, length);
      case 'base64':
        // Warning: maxLength not taken into account in base64Write
        return base64Write(this, string, offset, length);
      case 'ucs2':
      case 'ucs-2':
      case 'utf16le':
      case 'utf-16le':
        return ucs2Write(this, string, offset, length);
      default:
        if (loweredCase) throw new TypeError('Unknown encoding: ' + encoding);
        encoding = ('' + encoding).toLowerCase();
        loweredCase = true;
    }
  }
};
Buffer.prototype.toJSON = function toJSON() {
  return {
    type: 'Buffer',
    data: Array.prototype.slice.call(this._arr || this, 0)
  };
};
function base64Slice(buf, start, end) {
  if (start === 0 && end === buf.length) {
    return base64.fromByteArray(buf);
  } else {
    return base64.fromByteArray(buf.slice(start, end));
  }
}
function utf8Slice(buf, start, end) {
  end = Math.min(buf.length, end);
  var res = [];
  var i = start;
  while (i < end) {
    var firstByte = buf[i];
    var codePoint = null;
    var bytesPerSequence = firstByte > 0xEF ? 4 : firstByte > 0xDF ? 3 : firstByte > 0xBF ? 2 : 1;
    if (i + bytesPerSequence <= end) {
      var secondByte, thirdByte, fourthByte, tempCodePoint;
      switch (bytesPerSequence) {
        case 1:
          if (firstByte < 0x80) {
            codePoint = firstByte;
          }
          break;
        case 2:
          secondByte = buf[i + 1];
          if ((secondByte & 0xC0) === 0x80) {
            tempCodePoint = (firstByte & 0x1F) << 0x6 | secondByte & 0x3F;
            if (tempCodePoint > 0x7F) {
              codePoint = tempCodePoint;
            }
          }
          break;
        case 3:
          secondByte = buf[i + 1];
          thirdByte = buf[i + 2];
          if ((secondByte & 0xC0) === 0x80 && (thirdByte & 0xC0) === 0x80) {
            tempCodePoint = (firstByte & 0xF) << 0xC | (secondByte & 0x3F) << 0x6 | thirdByte & 0x3F;
            if (tempCodePoint > 0x7FF && (tempCodePoint < 0xD800 || tempCodePoint > 0xDFFF)) {
              codePoint = tempCodePoint;
            }
          }
          break;
        case 4:
          secondByte = buf[i + 1];
          thirdByte = buf[i + 2];
          fourthByte = buf[i + 3];
          if ((secondByte & 0xC0) === 0x80 && (thirdByte & 0xC0) === 0x80 && (fourthByte & 0xC0) === 0x80) {
            tempCodePoint = (firstByte & 0xF) << 0x12 | (secondByte & 0x3F) << 0xC | (thirdByte & 0x3F) << 0x6 | fourthByte & 0x3F;
            if (tempCodePoint > 0xFFFF && tempCodePoint < 0x110000) {
              codePoint = tempCodePoint;
            }
          }
      }
    }
    if (codePoint === null) {
      // we did not generate a valid codePoint so insert a
      // replacement char (U+FFFD) and advance only 1 byte
      codePoint = 0xFFFD;
      bytesPerSequence = 1;
    } else if (codePoint > 0xFFFF) {
      // encode to utf16 (surrogate pair dance)
      codePoint -= 0x10000;
      res.push(codePoint >>> 10 & 0x3FF | 0xD800);
      codePoint = 0xDC00 | codePoint & 0x3FF;
    }
    res.push(codePoint);
    i += bytesPerSequence;
  }
  return decodeCodePointsArray(res);
}

// Based on http://stackoverflow.com/a/22747272/680742, the browser with
// the lowest limit is Chrome, with 0x10000 args.
// We go 1 magnitude less, for safety
var MAX_ARGUMENTS_LENGTH = 0x1000;
function decodeCodePointsArray(codePoints) {
  var len = codePoints.length;
  if (len <= MAX_ARGUMENTS_LENGTH) {
    return String.fromCharCode.apply(String, codePoints); // avoid extra slice()
  }

  // Decode in chunks to avoid "call stack size exceeded".
  var res = '';
  var i = 0;
  while (i < len) {
    res += String.fromCharCode.apply(String, codePoints.slice(i, i += MAX_ARGUMENTS_LENGTH));
  }
  return res;
}
function asciiSlice(buf, start, end) {
  var ret = '';
  end = Math.min(buf.length, end);
  for (var i = start; i < end; ++i) {
    ret += String.fromCharCode(buf[i] & 0x7F);
  }
  return ret;
}
function latin1Slice(buf, start, end) {
  var ret = '';
  end = Math.min(buf.length, end);
  for (var i = start; i < end; ++i) {
    ret += String.fromCharCode(buf[i]);
  }
  return ret;
}
function hexSlice(buf, start, end) {
  var len = buf.length;
  if (!start || start < 0) start = 0;
  if (!end || end < 0 || end > len) end = len;
  var out = '';
  for (var i = start; i < end; ++i) {
    out += hexSliceLookupTable[buf[i]];
  }
  return out;
}
function utf16leSlice(buf, start, end) {
  var bytes = buf.slice(start, end);
  var res = '';
  // If bytes.length is odd, the last 8 bits must be ignored (same as node.js)
  for (var i = 0; i < bytes.length - 1; i += 2) {
    res += String.fromCharCode(bytes[i] + bytes[i + 1] * 256);
  }
  return res;
}
Buffer.prototype.slice = function slice(start, end) {
  var len = this.length;
  start = ~~start;
  end = end === undefined ? len : ~~end;
  if (start < 0) {
    start += len;
    if (start < 0) start = 0;
  } else if (start > len) {
    start = len;
  }
  if (end < 0) {
    end += len;
    if (end < 0) end = 0;
  } else if (end > len) {
    end = len;
  }
  if (end < start) end = start;
  var newBuf = this.subarray(start, end);
  // Return an augmented `Uint8Array` instance
  Object.setPrototypeOf(newBuf, Buffer.prototype);
  return newBuf;
};

/*
 * Need to make sure that buffer isn't trying to write out of bounds.
 */
function checkOffset(offset, ext, length) {
  if (offset % 1 !== 0 || offset < 0) throw new RangeError('offset is not uint');
  if (offset + ext > length) throw new RangeError('Trying to access beyond buffer length');
}
Buffer.prototype.readUintLE = Buffer.prototype.readUIntLE = function readUIntLE(offset, byteLength, noAssert) {
  offset = offset >>> 0;
  byteLength = byteLength >>> 0;
  if (!noAssert) checkOffset(offset, byteLength, this.length);
  var val = this[offset];
  var mul = 1;
  var i = 0;
  while (++i < byteLength && (mul *= 0x100)) {
    val += this[offset + i] * mul;
  }
  return val;
};
Buffer.prototype.readUintBE = Buffer.prototype.readUIntBE = function readUIntBE(offset, byteLength, noAssert) {
  offset = offset >>> 0;
  byteLength = byteLength >>> 0;
  if (!noAssert) {
    checkOffset(offset, byteLength, this.length);
  }
  var val = this[offset + --byteLength];
  var mul = 1;
  while (byteLength > 0 && (mul *= 0x100)) {
    val += this[offset + --byteLength] * mul;
  }
  return val;
};
Buffer.prototype.readUint8 = Buffer.prototype.readUInt8 = function readUInt8(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 1, this.length);
  return this[offset];
};
Buffer.prototype.readUint16LE = Buffer.prototype.readUInt16LE = function readUInt16LE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 2, this.length);
  return this[offset] | this[offset + 1] << 8;
};
Buffer.prototype.readUint16BE = Buffer.prototype.readUInt16BE = function readUInt16BE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 2, this.length);
  return this[offset] << 8 | this[offset + 1];
};
Buffer.prototype.readUint32LE = Buffer.prototype.readUInt32LE = function readUInt32LE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 4, this.length);
  return (this[offset] | this[offset + 1] << 8 | this[offset + 2] << 16) + this[offset + 3] * 0x1000000;
};
Buffer.prototype.readUint32BE = Buffer.prototype.readUInt32BE = function readUInt32BE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 4, this.length);
  return this[offset] * 0x1000000 + (this[offset + 1] << 16 | this[offset + 2] << 8 | this[offset + 3]);
};
Buffer.prototype.readIntLE = function readIntLE(offset, byteLength, noAssert) {
  offset = offset >>> 0;
  byteLength = byteLength >>> 0;
  if (!noAssert) checkOffset(offset, byteLength, this.length);
  var val = this[offset];
  var mul = 1;
  var i = 0;
  while (++i < byteLength && (mul *= 0x100)) {
    val += this[offset + i] * mul;
  }
  mul *= 0x80;
  if (val >= mul) val -= Math.pow(2, 8 * byteLength);
  return val;
};
Buffer.prototype.readIntBE = function readIntBE(offset, byteLength, noAssert) {
  offset = offset >>> 0;
  byteLength = byteLength >>> 0;
  if (!noAssert) checkOffset(offset, byteLength, this.length);
  var i = byteLength;
  var mul = 1;
  var val = this[offset + --i];
  while (i > 0 && (mul *= 0x100)) {
    val += this[offset + --i] * mul;
  }
  mul *= 0x80;
  if (val >= mul) val -= Math.pow(2, 8 * byteLength);
  return val;
};
Buffer.prototype.readInt8 = function readInt8(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 1, this.length);
  if (!(this[offset] & 0x80)) return this[offset];
  return (0xff - this[offset] + 1) * -1;
};
Buffer.prototype.readInt16LE = function readInt16LE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 2, this.length);
  var val = this[offset] | this[offset + 1] << 8;
  return val & 0x8000 ? val | 0xFFFF0000 : val;
};
Buffer.prototype.readInt16BE = function readInt16BE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 2, this.length);
  var val = this[offset + 1] | this[offset] << 8;
  return val & 0x8000 ? val | 0xFFFF0000 : val;
};
Buffer.prototype.readInt32LE = function readInt32LE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 4, this.length);
  return this[offset] | this[offset + 1] << 8 | this[offset + 2] << 16 | this[offset + 3] << 24;
};
Buffer.prototype.readInt32BE = function readInt32BE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 4, this.length);
  return this[offset] << 24 | this[offset + 1] << 16 | this[offset + 2] << 8 | this[offset + 3];
};
Buffer.prototype.readFloatLE = function readFloatLE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 4, this.length);
  return ieee754.read(this, offset, true, 23, 4);
};
Buffer.prototype.readFloatBE = function readFloatBE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 4, this.length);
  return ieee754.read(this, offset, false, 23, 4);
};
Buffer.prototype.readDoubleLE = function readDoubleLE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 8, this.length);
  return ieee754.read(this, offset, true, 52, 8);
};
Buffer.prototype.readDoubleBE = function readDoubleBE(offset, noAssert) {
  offset = offset >>> 0;
  if (!noAssert) checkOffset(offset, 8, this.length);
  return ieee754.read(this, offset, false, 52, 8);
};
function checkInt(buf, value, offset, ext, max, min) {
  if (!Buffer.isBuffer(buf)) throw new TypeError('"buffer" argument must be a Buffer instance');
  if (value > max || value < min) throw new RangeError('"value" argument is out of bounds');
  if (offset + ext > buf.length) throw new RangeError('Index out of range');
}
Buffer.prototype.writeUintLE = Buffer.prototype.writeUIntLE = function writeUIntLE(value, offset, byteLength, noAssert) {
  value = +value;
  offset = offset >>> 0;
  byteLength = byteLength >>> 0;
  if (!noAssert) {
    var maxBytes = Math.pow(2, 8 * byteLength) - 1;
    checkInt(this, value, offset, byteLength, maxBytes, 0);
  }
  var mul = 1;
  var i = 0;
  this[offset] = value & 0xFF;
  while (++i < byteLength && (mul *= 0x100)) {
    this[offset + i] = value / mul & 0xFF;
  }
  return offset + byteLength;
};
Buffer.prototype.writeUintBE = Buffer.prototype.writeUIntBE = function writeUIntBE(value, offset, byteLength, noAssert) {
  value = +value;
  offset = offset >>> 0;
  byteLength = byteLength >>> 0;
  if (!noAssert) {
    var maxBytes = Math.pow(2, 8 * byteLength) - 1;
    checkInt(this, value, offset, byteLength, maxBytes, 0);
  }
  var i = byteLength - 1;
  var mul = 1;
  this[offset + i] = value & 0xFF;
  while (--i >= 0 && (mul *= 0x100)) {
    this[offset + i] = value / mul & 0xFF;
  }
  return offset + byteLength;
};
Buffer.prototype.writeUint8 = Buffer.prototype.writeUInt8 = function writeUInt8(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 1, 0xff, 0);
  this[offset] = value & 0xff;
  return offset + 1;
};
Buffer.prototype.writeUint16LE = Buffer.prototype.writeUInt16LE = function writeUInt16LE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 2, 0xffff, 0);
  this[offset] = value & 0xff;
  this[offset + 1] = value >>> 8;
  return offset + 2;
};
Buffer.prototype.writeUint16BE = Buffer.prototype.writeUInt16BE = function writeUInt16BE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 2, 0xffff, 0);
  this[offset] = value >>> 8;
  this[offset + 1] = value & 0xff;
  return offset + 2;
};
Buffer.prototype.writeUint32LE = Buffer.prototype.writeUInt32LE = function writeUInt32LE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 4, 0xffffffff, 0);
  this[offset + 3] = value >>> 24;
  this[offset + 2] = value >>> 16;
  this[offset + 1] = value >>> 8;
  this[offset] = value & 0xff;
  return offset + 4;
};
Buffer.prototype.writeUint32BE = Buffer.prototype.writeUInt32BE = function writeUInt32BE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 4, 0xffffffff, 0);
  this[offset] = value >>> 24;
  this[offset + 1] = value >>> 16;
  this[offset + 2] = value >>> 8;
  this[offset + 3] = value & 0xff;
  return offset + 4;
};
Buffer.prototype.writeIntLE = function writeIntLE(value, offset, byteLength, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) {
    var limit = Math.pow(2, 8 * byteLength - 1);
    checkInt(this, value, offset, byteLength, limit - 1, -limit);
  }
  var i = 0;
  var mul = 1;
  var sub = 0;
  this[offset] = value & 0xFF;
  while (++i < byteLength && (mul *= 0x100)) {
    if (value < 0 && sub === 0 && this[offset + i - 1] !== 0) {
      sub = 1;
    }
    this[offset + i] = (value / mul >> 0) - sub & 0xFF;
  }
  return offset + byteLength;
};
Buffer.prototype.writeIntBE = function writeIntBE(value, offset, byteLength, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) {
    var limit = Math.pow(2, 8 * byteLength - 1);
    checkInt(this, value, offset, byteLength, limit - 1, -limit);
  }
  var i = byteLength - 1;
  var mul = 1;
  var sub = 0;
  this[offset + i] = value & 0xFF;
  while (--i >= 0 && (mul *= 0x100)) {
    if (value < 0 && sub === 0 && this[offset + i + 1] !== 0) {
      sub = 1;
    }
    this[offset + i] = (value / mul >> 0) - sub & 0xFF;
  }
  return offset + byteLength;
};
Buffer.prototype.writeInt8 = function writeInt8(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 1, 0x7f, -0x80);
  if (value < 0) value = 0xff + value + 1;
  this[offset] = value & 0xff;
  return offset + 1;
};
Buffer.prototype.writeInt16LE = function writeInt16LE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 2, 0x7fff, -0x8000);
  this[offset] = value & 0xff;
  this[offset + 1] = value >>> 8;
  return offset + 2;
};
Buffer.prototype.writeInt16BE = function writeInt16BE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 2, 0x7fff, -0x8000);
  this[offset] = value >>> 8;
  this[offset + 1] = value & 0xff;
  return offset + 2;
};
Buffer.prototype.writeInt32LE = function writeInt32LE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 4, 0x7fffffff, -0x80000000);
  this[offset] = value & 0xff;
  this[offset + 1] = value >>> 8;
  this[offset + 2] = value >>> 16;
  this[offset + 3] = value >>> 24;
  return offset + 4;
};
Buffer.prototype.writeInt32BE = function writeInt32BE(value, offset, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) checkInt(this, value, offset, 4, 0x7fffffff, -0x80000000);
  if (value < 0) value = 0xffffffff + value + 1;
  this[offset] = value >>> 24;
  this[offset + 1] = value >>> 16;
  this[offset + 2] = value >>> 8;
  this[offset + 3] = value & 0xff;
  return offset + 4;
};
function checkIEEE754(buf, value, offset, ext, max, min) {
  if (offset + ext > buf.length) throw new RangeError('Index out of range');
  if (offset < 0) throw new RangeError('Index out of range');
}
function writeFloat(buf, value, offset, littleEndian, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) {
    checkIEEE754(buf, value, offset, 4, 3.4028234663852886e+38, -3.4028234663852886e+38);
  }
  ieee754.write(buf, value, offset, littleEndian, 23, 4);
  return offset + 4;
}
Buffer.prototype.writeFloatLE = function writeFloatLE(value, offset, noAssert) {
  return writeFloat(this, value, offset, true, noAssert);
};
Buffer.prototype.writeFloatBE = function writeFloatBE(value, offset, noAssert) {
  return writeFloat(this, value, offset, false, noAssert);
};
function writeDouble(buf, value, offset, littleEndian, noAssert) {
  value = +value;
  offset = offset >>> 0;
  if (!noAssert) {
    checkIEEE754(buf, value, offset, 8, 1.7976931348623157E+308, -1.7976931348623157E+308);
  }
  ieee754.write(buf, value, offset, littleEndian, 52, 8);
  return offset + 8;
}
Buffer.prototype.writeDoubleLE = function writeDoubleLE(value, offset, noAssert) {
  return writeDouble(this, value, offset, true, noAssert);
};
Buffer.prototype.writeDoubleBE = function writeDoubleBE(value, offset, noAssert) {
  return writeDouble(this, value, offset, false, noAssert);
};

// copy(targetBuffer, targetStart=0, sourceStart=0, sourceEnd=buffer.length)
Buffer.prototype.copy = function copy(target, targetStart, start, end) {
  if (!Buffer.isBuffer(target)) throw new TypeError('argument should be a Buffer');
  if (!start) start = 0;
  if (!end && end !== 0) end = this.length;
  if (targetStart >= target.length) targetStart = target.length;
  if (!targetStart) targetStart = 0;
  if (end > 0 && end < start) end = start;

  // Copy 0 bytes; we're done
  if (end === start) return 0;
  if (target.length === 0 || this.length === 0) return 0;

  // Fatal error conditions
  if (targetStart < 0) {
    throw new RangeError('targetStart out of bounds');
  }
  if (start < 0 || start >= this.length) throw new RangeError('Index out of range');
  if (end < 0) throw new RangeError('sourceEnd out of bounds');

  // Are we oob?
  if (end > this.length) end = this.length;
  if (target.length - targetStart < end - start) {
    end = target.length - targetStart + start;
  }
  var len = end - start;
  if (this === target && typeof Uint8Array.prototype.copyWithin === 'function') {
    // Use built-in when available, missing from IE11
    this.copyWithin(targetStart, start, end);
  } else {
    Uint8Array.prototype.set.call(target, this.subarray(start, end), targetStart);
  }
  return len;
};

// Usage:
//    buffer.fill(number[, offset[, end]])
//    buffer.fill(buffer[, offset[, end]])
//    buffer.fill(string[, offset[, end]][, encoding])
Buffer.prototype.fill = function fill(val, start, end, encoding) {
  // Handle string cases:
  if (typeof val === 'string') {
    if (typeof start === 'string') {
      encoding = start;
      start = 0;
      end = this.length;
    } else if (typeof end === 'string') {
      encoding = end;
      end = this.length;
    }
    if (encoding !== undefined && typeof encoding !== 'string') {
      throw new TypeError('encoding must be a string');
    }
    if (typeof encoding === 'string' && !Buffer.isEncoding(encoding)) {
      throw new TypeError('Unknown encoding: ' + encoding);
    }
    if (val.length === 1) {
      var code = val.charCodeAt(0);
      if (encoding === 'utf8' && code < 128 || encoding === 'latin1') {
        // Fast path: If `val` fits into a single byte, use that numeric value.
        val = code;
      }
    }
  } else if (typeof val === 'number') {
    val = val & 255;
  } else if (typeof val === 'boolean') {
    val = Number(val);
  }

  // Invalid ranges are not set to a default, so can range check early.
  if (start < 0 || this.length < start || this.length < end) {
    throw new RangeError('Out of range index');
  }
  if (end <= start) {
    return this;
  }
  start = start >>> 0;
  end = end === undefined ? this.length : end >>> 0;
  if (!val) val = 0;
  var i;
  if (typeof val === 'number') {
    for (i = start; i < end; ++i) {
      this[i] = val;
    }
  } else {
    var bytes = Buffer.isBuffer(val) ? val : Buffer.from(val, encoding);
    var len = bytes.length;
    if (len === 0) {
      throw new TypeError('The value "' + val + '" is invalid for argument "value"');
    }
    for (i = 0; i < end - start; ++i) {
      this[i + start] = bytes[i % len];
    }
  }
  return this;
};

// HELPER FUNCTIONS
// ================

var INVALID_BASE64_RE = /[^+/0-9A-Za-z-_]/g;
function base64clean(str) {
  // Node takes equal signs as end of the Base64 encoding
  str = str.split('=')[0];
  // Node strips out invalid characters like \n and \t from the string, base64-js does not
  str = str.trim().replace(INVALID_BASE64_RE, '');
  // Node converts strings with length < 2 to ''
  if (str.length < 2) return '';
  // Node allows for non-padded base64 strings (missing trailing ===), base64-js does not
  while (str.length % 4 !== 0) {
    str = str + '=';
  }
  return str;
}
function utf8ToBytes(string, units) {
  units = units || Infinity;
  var codePoint;
  var length = string.length;
  var leadSurrogate = null;
  var bytes = [];
  for (var i = 0; i < length; ++i) {
    codePoint = string.charCodeAt(i);

    // is surrogate component
    if (codePoint > 0xD7FF && codePoint < 0xE000) {
      // last char was a lead
      if (!leadSurrogate) {
        // no lead yet
        if (codePoint > 0xDBFF) {
          // unexpected trail
          if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
          continue;
        } else if (i + 1 === length) {
          // unpaired lead
          if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
          continue;
        }

        // valid lead
        leadSurrogate = codePoint;
        continue;
      }

      // 2 leads in a row
      if (codePoint < 0xDC00) {
        if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
        leadSurrogate = codePoint;
        continue;
      }

      // valid surrogate pair
      codePoint = (leadSurrogate - 0xD800 << 10 | codePoint - 0xDC00) + 0x10000;
    } else if (leadSurrogate) {
      // valid bmp char, but last char was a lead
      if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
    }
    leadSurrogate = null;

    // encode utf8
    if (codePoint < 0x80) {
      if ((units -= 1) < 0) break;
      bytes.push(codePoint);
    } else if (codePoint < 0x800) {
      if ((units -= 2) < 0) break;
      bytes.push(codePoint >> 0x6 | 0xC0, codePoint & 0x3F | 0x80);
    } else if (codePoint < 0x10000) {
      if ((units -= 3) < 0) break;
      bytes.push(codePoint >> 0xC | 0xE0, codePoint >> 0x6 & 0x3F | 0x80, codePoint & 0x3F | 0x80);
    } else if (codePoint < 0x110000) {
      if ((units -= 4) < 0) break;
      bytes.push(codePoint >> 0x12 | 0xF0, codePoint >> 0xC & 0x3F | 0x80, codePoint >> 0x6 & 0x3F | 0x80, codePoint & 0x3F | 0x80);
    } else {
      throw new Error('Invalid code point');
    }
  }
  return bytes;
}
function asciiToBytes(str) {
  var byteArray = [];
  for (var i = 0; i < str.length; ++i) {
    // Node's code seems to be doing this and not & 0x7F..
    byteArray.push(str.charCodeAt(i) & 0xFF);
  }
  return byteArray;
}
function utf16leToBytes(str, units) {
  var c, hi, lo;
  var byteArray = [];
  for (var i = 0; i < str.length; ++i) {
    if ((units -= 2) < 0) break;
    c = str.charCodeAt(i);
    hi = c >> 8;
    lo = c % 256;
    byteArray.push(lo);
    byteArray.push(hi);
  }
  return byteArray;
}
function base64ToBytes(str) {
  return base64.toByteArray(base64clean(str));
}
function blitBuffer(src, dst, offset, length) {
  for (var i = 0; i < length; ++i) {
    if (i + offset >= dst.length || i >= src.length) break;
    dst[i + offset] = src[i];
  }
  return i;
}

// ArrayBuffer or Uint8Array objects from other contexts (i.e. iframes) do not pass
// the `instanceof` check but they should be treated as of that type.
// See: https://github.com/feross/buffer/issues/166
function isInstance(obj, type) {
  return obj instanceof type || obj != null && obj.constructor != null && obj.constructor.name != null && obj.constructor.name === type.name;
}
function numberIsNaN(obj) {
  // For IE11 support
  return obj !== obj; // eslint-disable-line no-self-compare
}

// Create lookup table for `toString('hex')`
// See: https://github.com/feross/buffer/issues/219
var hexSliceLookupTable = function () {
  var alphabet = '0123456789abcdef';
  var table = new Array(256);
  for (var i = 0; i < 16; ++i) {
    var i16 = i * 16;
    for (var j = 0; j < 16; ++j) {
      table[i16 + j] = alphabet[i] + alphabet[j];
    }
  }
  return table;
}();

/***/ }),

/***/ "./node_modules/codem-isoboxer/dist/iso_boxer.js":
/*!*******************************************************!*\
  !*** ./node_modules/codem-isoboxer/dist/iso_boxer.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack_module, exports) {

/*! codem-isoboxer v0.3.10 https://github.com/madebyhiro/codem-isoboxer/blob/master/LICENSE.txt */
var ISOBoxer = {};
ISOBoxer.parseBuffer = function (arrayBuffer) {
  return new ISOFile(arrayBuffer).parse();
};
ISOBoxer.addBoxProcessor = function (type, parser) {
  if (typeof type !== 'string' || typeof parser !== 'function') {
    return;
  }
  ISOBox.prototype._boxProcessors[type] = parser;
};
ISOBoxer.createFile = function () {
  return new ISOFile();
};

// See ISOBoxer.append() for 'pos' parameter syntax
ISOBoxer.createBox = function (type, parent, pos) {
  var newBox = ISOBox.create(type);
  if (parent) {
    parent.append(newBox, pos);
  }
  return newBox;
};

// See ISOBoxer.append() for 'pos' parameter syntax
ISOBoxer.createFullBox = function (type, parent, pos) {
  var newBox = ISOBoxer.createBox(type, parent, pos);
  newBox.version = 0;
  newBox.flags = 0;
  return newBox;
};
ISOBoxer.Utils = {};
ISOBoxer.Utils.dataViewToString = function (dataView, encoding) {
  var impliedEncoding = encoding || 'utf-8';
  if (typeof TextDecoder !== 'undefined') {
    return new TextDecoder(impliedEncoding).decode(dataView);
  }
  var a = [];
  var i = 0;
  if (impliedEncoding === 'utf-8') {
    /* The following algorithm is essentially a rewrite of the UTF8.decode at
    http://bannister.us/weblog/2007/simple-base64-encodedecode-javascript/
    */

    while (i < dataView.byteLength) {
      var c = dataView.getUint8(i++);
      if (c < 0x80) {
        // 1-byte character (7 bits)
      } else if (c < 0xe0) {
        // 2-byte character (11 bits)
        c = (c & 0x1f) << 6;
        c |= dataView.getUint8(i++) & 0x3f;
      } else if (c < 0xf0) {
        // 3-byte character (16 bits)
        c = (c & 0xf) << 12;
        c |= (dataView.getUint8(i++) & 0x3f) << 6;
        c |= dataView.getUint8(i++) & 0x3f;
      } else {
        // 4-byte character (21 bits)
        c = (c & 0x7) << 18;
        c |= (dataView.getUint8(i++) & 0x3f) << 12;
        c |= (dataView.getUint8(i++) & 0x3f) << 6;
        c |= dataView.getUint8(i++) & 0x3f;
      }
      a.push(String.fromCharCode(c));
    }
  } else {
    // Just map byte-by-byte (probably wrong)
    while (i < dataView.byteLength) {
      a.push(String.fromCharCode(dataView.getUint8(i++)));
    }
  }
  return a.join('');
};
ISOBoxer.Utils.utf8ToByteArray = function (string) {
  // Only UTF-8 encoding is supported by TextEncoder
  var u, i;
  if (typeof TextEncoder !== 'undefined') {
    u = new TextEncoder().encode(string);
  } else {
    u = [];
    for (i = 0; i < string.length; ++i) {
      var c = string.charCodeAt(i);
      if (c < 0x80) {
        u.push(c);
      } else if (c < 0x800) {
        u.push(0xC0 | c >> 6);
        u.push(0x80 | 63 & c);
      } else if (c < 0x10000) {
        u.push(0xE0 | c >> 12);
        u.push(0x80 | 63 & c >> 6);
        u.push(0x80 | 63 & c);
      } else {
        u.push(0xF0 | c >> 18);
        u.push(0x80 | 63 & c >> 12);
        u.push(0x80 | 63 & c >> 6);
        u.push(0x80 | 63 & c);
      }
    }
  }
  return u;
};

// Method to append a box in the list of child boxes
// The 'pos' parameter can be either:
//   - (number) a position index at which to insert the new box
//   - (string) the type of the box after which to insert the new box
//   - (object) the box after which to insert the new box
ISOBoxer.Utils.appendBox = function (parent, box, pos) {
  box._offset = parent._cursor.offset;
  box._root = parent._root ? parent._root : parent;
  box._raw = parent._raw;
  box._parent = parent;
  if (pos === -1) {
    // The new box is a sub-box of the parent but not added in boxes array,
    // for example when the new box is set as an entry (see dref and stsd for example)
    return;
  }
  if (pos === undefined || pos === null) {
    parent.boxes.push(box);
    return;
  }
  var index = -1,
    type;
  if (typeof pos === "number") {
    index = pos;
  } else {
    if (typeof pos === "string") {
      type = pos;
    } else if (typeof pos === "object" && pos.type) {
      type = pos.type;
    } else {
      parent.boxes.push(box);
      return;
    }
    for (var i = 0; i < parent.boxes.length; i++) {
      if (type === parent.boxes[i].type) {
        index = i + 1;
        break;
      }
    }
  }
  parent.boxes.splice(index, 0, box);
};
if (true) {
  exports.parseBuffer = ISOBoxer.parseBuffer;
  exports.addBoxProcessor = ISOBoxer.addBoxProcessor;
  exports.createFile = ISOBoxer.createFile;
  exports.createBox = ISOBoxer.createBox;
  exports.createFullBox = ISOBoxer.createFullBox;
  exports.Utils = ISOBoxer.Utils;
}
ISOBoxer.Cursor = function (initialOffset) {
  this.offset = typeof initialOffset == 'undefined' ? 0 : initialOffset;
};
var ISOFile = function (arrayBuffer) {
  this._cursor = new ISOBoxer.Cursor();
  this.boxes = [];
  if (arrayBuffer) {
    this._raw = new DataView(arrayBuffer);
  }
};
ISOFile.prototype.fetch = function (type) {
  var result = this.fetchAll(type, true);
  return result.length ? result[0] : null;
};
ISOFile.prototype.fetchAll = function (type, returnEarly) {
  var result = [];
  ISOFile._sweep.call(this, type, result, returnEarly);
  return result;
};
ISOFile.prototype.parse = function () {
  this._cursor.offset = 0;
  this.boxes = [];
  while (this._cursor.offset < this._raw.byteLength) {
    var box = ISOBox.parse(this);

    // Box could not be parsed
    if (typeof box.type === 'undefined') break;
    this.boxes.push(box);
  }
  return this;
};
ISOFile._sweep = function (type, result, returnEarly) {
  if (this.type && this.type == type) result.push(this);
  for (var box in this.boxes) {
    if (result.length && returnEarly) return;
    ISOFile._sweep.call(this.boxes[box], type, result, returnEarly);
  }
};
ISOFile.prototype.write = function () {
  var length = 0,
    i;
  for (i = 0; i < this.boxes.length; i++) {
    length += this.boxes[i].getLength(false);
  }
  var bytes = new Uint8Array(length);
  this._rawo = new DataView(bytes.buffer);
  this.bytes = bytes;
  this._cursor.offset = 0;
  for (i = 0; i < this.boxes.length; i++) {
    this.boxes[i].write();
  }
  return bytes.buffer;
};
ISOFile.prototype.append = function (box, pos) {
  ISOBoxer.Utils.appendBox(this, box, pos);
};
var ISOBox = function () {
  this._cursor = new ISOBoxer.Cursor();
};
ISOBox.parse = function (parent) {
  var newBox = new ISOBox();
  newBox._offset = parent._cursor.offset;
  newBox._root = parent._root ? parent._root : parent;
  newBox._raw = parent._raw;
  newBox._parent = parent;
  newBox._parseBox();
  parent._cursor.offset = newBox._raw.byteOffset + newBox._raw.byteLength;
  return newBox;
};
ISOBox.create = function (type) {
  var newBox = new ISOBox();
  newBox.type = type;
  newBox.boxes = [];
  return newBox;
};
ISOBox.prototype._boxContainers = ['dinf', 'edts', 'mdia', 'meco', 'mfra', 'minf', 'moof', 'moov', 'mvex', 'stbl', 'strk', 'traf', 'trak', 'tref', 'udta', 'vttc', 'sinf', 'schi', 'encv', 'enca', 'meta', 'grpl', 'prsl'];
ISOBox.prototype._boxProcessors = {};

///////////////////////////////////////////////////////////////////////////////////////////////////
// Generic read/write functions

ISOBox.prototype._procField = function (name, type, size) {
  if (this._parsing) {
    this[name] = this._readField(type, size);
  } else {
    this._writeField(type, size, this[name]);
  }
};
ISOBox.prototype._procFieldArray = function (name, length, type, size) {
  var i;
  if (this._parsing) {
    this[name] = [];
    for (i = 0; i < length; i++) {
      this[name][i] = this._readField(type, size);
    }
  } else {
    for (i = 0; i < this[name].length; i++) {
      this._writeField(type, size, this[name][i]);
    }
  }
};
ISOBox.prototype._procFullBox = function () {
  this._procField('version', 'uint', 8);
  this._procField('flags', 'uint', 24);
};
ISOBox.prototype._procEntries = function (name, length, fn) {
  var i;
  if (this._parsing) {
    this[name] = [];
    for (i = 0; i < length; i++) {
      this[name].push({});
      fn.call(this, this[name][i]);
    }
  } else {
    for (i = 0; i < length; i++) {
      fn.call(this, this[name][i]);
    }
  }
};
ISOBox.prototype._procSubEntries = function (entry, name, length, fn) {
  var i;
  if (this._parsing) {
    entry[name] = [];
    for (i = 0; i < length; i++) {
      entry[name].push({});
      fn.call(this, entry[name][i]);
    }
  } else {
    for (i = 0; i < length; i++) {
      fn.call(this, entry[name][i]);
    }
  }
};
ISOBox.prototype._procEntryField = function (entry, name, type, size) {
  if (this._parsing) {
    entry[name] = this._readField(type, size);
  } else {
    this._writeField(type, size, entry[name]);
  }
};
ISOBox.prototype._procSubBoxes = function (name, length) {
  var i;
  if (this._parsing) {
    this[name] = [];
    for (i = 0; i < length; i++) {
      this[name].push(ISOBox.parse(this));
    }
  } else {
    for (i = 0; i < length; i++) {
      if (this._rawo) {
        this[name][i].write();
      } else {
        this.size += this[name][i].getLength();
      }
    }
  }
};

///////////////////////////////////////////////////////////////////////////////////////////////////
// Read/parse functions

ISOBox.prototype._readField = function (type, size) {
  switch (type) {
    case 'uint':
      return this._readUint(size);
    case 'int':
      return this._readInt(size);
    case 'template':
      return this._readTemplate(size);
    case 'string':
      return size === -1 ? this._readTerminatedString() : this._readString(size);
    case 'data':
      return this._readData(size);
    case 'utf8':
      return this._readUTF8String();
    case 'utf8string':
      return this._readUTF8TerminatedString();
    default:
      return -1;
  }
};
ISOBox.prototype._readInt = function (size) {
  var result = null,
    offset = this._cursor.offset - this._raw.byteOffset;
  switch (size) {
    case 8:
      result = this._raw.getInt8(offset);
      break;
    case 16:
      result = this._raw.getInt16(offset);
      break;
    case 32:
      result = this._raw.getInt32(offset);
      break;
    case 64:
      // Warning: JavaScript cannot handle 64-bit integers natively.
      // This will give unexpected results for integers >= 2^53
      var s1 = this._raw.getInt32(offset);
      var s2 = this._raw.getInt32(offset + 4);
      result = s1 * Math.pow(2, 32) + s2;
      break;
  }
  this._cursor.offset += size >> 3;
  return result;
};
ISOBox.prototype._readUint = function (size) {
  var result = null,
    offset = this._cursor.offset - this._raw.byteOffset,
    s1,
    s2;
  switch (size) {
    case 8:
      result = this._raw.getUint8(offset);
      break;
    case 16:
      result = this._raw.getUint16(offset);
      break;
    case 24:
      s1 = this._raw.getUint16(offset);
      s2 = this._raw.getUint8(offset + 2);
      result = (s1 << 8) + s2;
      break;
    case 32:
      result = this._raw.getUint32(offset);
      break;
    case 64:
      // Warning: JavaScript cannot handle 64-bit integers natively.
      // This will give unexpected results for integers >= 2^53
      s1 = this._raw.getUint32(offset);
      s2 = this._raw.getUint32(offset + 4);
      result = s1 * Math.pow(2, 32) + s2;
      break;
  }
  this._cursor.offset += size >> 3;
  return result;
};
ISOBox.prototype._readString = function (length) {
  var str = '';
  for (var c = 0; c < length; c++) {
    var char = this._readUint(8);
    str += String.fromCharCode(char);
  }
  return str;
};
ISOBox.prototype._readTemplate = function (size) {
  var pre = this._readUint(size / 2);
  var post = this._readUint(size / 2);
  return pre + post / Math.pow(2, size / 2);
};
ISOBox.prototype._readTerminatedString = function () {
  var str = '';
  while (this._cursor.offset - this._offset < this._raw.byteLength) {
    var char = this._readUint(8);
    if (char === 0) break;
    str += String.fromCharCode(char);
  }
  return str;
};
ISOBox.prototype._readData = function (size) {
  var length = size > 0 ? size : this._raw.byteLength - (this._cursor.offset - this._offset);
  if (length > 0) {
    var data = new Uint8Array(this._raw.buffer, this._cursor.offset, length);
    this._cursor.offset += length;
    return data;
  } else {
    return null;
  }
};
ISOBox.prototype._readUTF8String = function () {
  var length = this._raw.byteLength - (this._cursor.offset - this._offset);
  var data = null;
  if (length > 0) {
    data = new DataView(this._raw.buffer, this._cursor.offset, length);
    this._cursor.offset += length;
  }
  return data ? ISOBoxer.Utils.dataViewToString(data) : data;
};
ISOBox.prototype._readUTF8TerminatedString = function () {
  var length = this._raw.byteLength - (this._cursor.offset - this._offset);
  var data = null;
  if (length > 0) {
    data = new DataView(this._raw.buffer, this._cursor.offset, length);
    var l;
    for (l = 0; l < length; l++) if (data.getUint8(l) === 0) break;

    // remap the Dataview with the actual length
    data = new DataView(this._raw.buffer, this._cursor.offset, l);
    this._cursor.offset += Math.min(l + 1, length);
  }
  return data ? ISOBoxer.Utils.dataViewToString(data) : data;
};
ISOBox.prototype._parseBox = function () {
  this._parsing = true;
  this._cursor.offset = this._offset;

  // return immediately if there are not enough bytes to read the header
  if (this._offset + 8 > this._raw.buffer.byteLength) {
    this._root._incomplete = true;
    return;
  }
  this._procField('size', 'uint', 32);
  this._procField('type', 'string', 4);
  if (this.size === 1) {
    this._procField('largesize', 'uint', 64);
  }
  if (this.type === 'uuid') {
    this._procFieldArray('usertype', 16, 'uint', 8);
  }
  switch (this.size) {
    case 0:
      // Size zero indicates last box in the file. Consume remaining buffer.
      this._raw = new DataView(this._raw.buffer, this._offset);
      break;
    case 1:
      if (this._offset + this.size > this._raw.buffer.byteLength) {
        this._incomplete = true;
        this._root._incomplete = true;
      } else {
        this._raw = new DataView(this._raw.buffer, this._offset, this.largesize);
      }
      break;
    default:
      if (this._offset + this.size > this._raw.buffer.byteLength) {
        this._incomplete = true;
        this._root._incomplete = true;
      } else {
        this._raw = new DataView(this._raw.buffer, this._offset, this.size);
      }
  }

  // additional parsing
  if (!this._incomplete) {
    if (this._boxProcessors[this.type]) {
      this._boxProcessors[this.type].call(this);
    }
    if (this._boxContainers.indexOf(this.type) !== -1) {
      this._parseContainerBox();
    } else {
      // Unknown box => read and store box content
      this._data = this._readData();
    }
  }
};
ISOBox.prototype._parseFullBox = function () {
  this.version = this._readUint(8);
  this.flags = this._readUint(24);
};
ISOBox.prototype._parseContainerBox = function () {
  this.boxes = [];
  while (this._cursor.offset - this._raw.byteOffset < this._raw.byteLength) {
    this.boxes.push(ISOBox.parse(this));
  }
};

///////////////////////////////////////////////////////////////////////////////////////////////////
// Write functions

ISOBox.prototype.append = function (box, pos) {
  ISOBoxer.Utils.appendBox(this, box, pos);
};
ISOBox.prototype.getLength = function () {
  this._parsing = false;
  this._rawo = null;
  this.size = 0;
  this._procField('size', 'uint', 32);
  this._procField('type', 'string', 4);
  if (this.size === 1) {
    this._procField('largesize', 'uint', 64);
  }
  if (this.type === 'uuid') {
    this._procFieldArray('usertype', 16, 'uint', 8);
  }
  if (this._boxProcessors[this.type]) {
    this._boxProcessors[this.type].call(this);
  }
  if (this._boxContainers.indexOf(this.type) !== -1) {
    for (var i = 0; i < this.boxes.length; i++) {
      this.size += this.boxes[i].getLength();
    }
  }
  if (this._data) {
    this._writeData(this._data);
  }
  return this.size;
};
ISOBox.prototype.write = function () {
  this._parsing = false;
  this._cursor.offset = this._parent._cursor.offset;
  switch (this.size) {
    case 0:
      this._rawo = new DataView(this._parent._rawo.buffer, this._cursor.offset, this.parent._rawo.byteLength - this._cursor.offset);
      break;
    case 1:
      this._rawo = new DataView(this._parent._rawo.buffer, this._cursor.offset, this.largesize);
      break;
    default:
      this._rawo = new DataView(this._parent._rawo.buffer, this._cursor.offset, this.size);
  }
  this._procField('size', 'uint', 32);
  this._procField('type', 'string', 4);
  if (this.size === 1) {
    this._procField('largesize', 'uint', 64);
  }
  if (this.type === 'uuid') {
    this._procFieldArray('usertype', 16, 'uint', 8);
  }
  if (this._boxProcessors[this.type]) {
    this._boxProcessors[this.type].call(this);
  }
  if (this._boxContainers.indexOf(this.type) !== -1) {
    for (var i = 0; i < this.boxes.length; i++) {
      this.boxes[i].write();
    }
  }
  if (this._data) {
    this._writeData(this._data);
  }
  this._parent._cursor.offset += this.size;
  return this.size;
};
ISOBox.prototype._writeInt = function (size, value) {
  if (this._rawo) {
    var offset = this._cursor.offset - this._rawo.byteOffset;
    switch (size) {
      case 8:
        this._rawo.setInt8(offset, value);
        break;
      case 16:
        this._rawo.setInt16(offset, value);
        break;
      case 32:
        this._rawo.setInt32(offset, value);
        break;
      case 64:
        // Warning: JavaScript cannot handle 64-bit integers natively.
        // This will give unexpected results for integers >= 2^53
        var s1 = Math.floor(value / Math.pow(2, 32));
        var s2 = value - s1 * Math.pow(2, 32);
        this._rawo.setUint32(offset, s1);
        this._rawo.setUint32(offset + 4, s2);
        break;
    }
    this._cursor.offset += size >> 3;
  } else {
    this.size += size >> 3;
  }
};
ISOBox.prototype._writeUint = function (size, value) {
  if (this._rawo) {
    var offset = this._cursor.offset - this._rawo.byteOffset,
      s1,
      s2;
    switch (size) {
      case 8:
        this._rawo.setUint8(offset, value);
        break;
      case 16:
        this._rawo.setUint16(offset, value);
        break;
      case 24:
        s1 = (value & 0xFFFF00) >> 8;
        s2 = value & 0x0000FF;
        this._rawo.setUint16(offset, s1);
        this._rawo.setUint8(offset + 2, s2);
        break;
      case 32:
        this._rawo.setUint32(offset, value);
        break;
      case 64:
        // Warning: JavaScript cannot handle 64-bit integers natively.
        // This will give unexpected results for integers >= 2^53
        s1 = Math.floor(value / Math.pow(2, 32));
        s2 = value - s1 * Math.pow(2, 32);
        this._rawo.setUint32(offset, s1);
        this._rawo.setUint32(offset + 4, s2);
        break;
    }
    this._cursor.offset += size >> 3;
  } else {
    this.size += size >> 3;
  }
};
ISOBox.prototype._writeString = function (size, str) {
  for (var c = 0; c < size; c++) {
    this._writeUint(8, str.charCodeAt(c));
  }
};
ISOBox.prototype._writeTerminatedString = function (str) {
  if (str.length === 0) {
    return;
  }
  for (var c = 0; c < str.length; c++) {
    this._writeUint(8, str.charCodeAt(c));
  }
  this._writeUint(8, 0);
};
ISOBox.prototype._writeTemplate = function (size, value) {
  var pre = Math.floor(value);
  var post = (value - pre) * Math.pow(2, size / 2);
  this._writeUint(size / 2, pre);
  this._writeUint(size / 2, post);
};
ISOBox.prototype._writeData = function (data) {
  var i;
  //data to copy
  if (data) {
    if (this._rawo) {
      //Array and Uint8Array has also to be managed
      if (data instanceof Array) {
        var offset = this._cursor.offset - this._rawo.byteOffset;
        for (var i = 0; i < data.length; i++) {
          this._rawo.setInt8(offset + i, data[i]);
        }
        this._cursor.offset += data.length;
      }
      if (data instanceof Uint8Array) {
        this._root.bytes.set(data, this._cursor.offset);
        this._cursor.offset += data.length;
      }
    } else {
      //nothing to copy only size to compute
      this.size += data.length;
    }
  }
};
ISOBox.prototype._writeUTF8String = function (string) {
  var u = ISOBoxer.Utils.utf8ToByteArray(string);
  if (this._rawo) {
    var dataView = new DataView(this._rawo.buffer, this._cursor.offset, u.length);
    for (var i = 0; i < u.length; i++) {
      dataView.setUint8(i, u[i]);
    }
  } else {
    this.size += u.length;
  }
};
ISOBox.prototype._writeField = function (type, size, value) {
  switch (type) {
    case 'uint':
      this._writeUint(size, value);
      break;
    case 'int':
      this._writeInt(size, value);
      break;
    case 'template':
      this._writeTemplate(size, value);
      break;
    case 'string':
      if (size == -1) {
        this._writeTerminatedString(value);
      } else {
        this._writeString(size, value);
      }
      break;
    case 'data':
      this._writeData(value);
      break;
    case 'utf8':
      this._writeUTF8String(value);
      break;
    default:
      break;
  }
};

// ISO/IEC 14496-12:202x - 12.2.8 Audio rendering indication box
ISOBox.prototype._boxProcessors['ardi'] = function () {
  this._procFullBox();
  this._procField('audio_rendering_indication', 'uint', 8);
};

// ISO/IEC 14496-15:2014 - avc1/2/3/4, hev1, hvc1, encv
ISOBox.prototype._boxProcessors['avc1'] = ISOBox.prototype._boxProcessors['avc2'] = ISOBox.prototype._boxProcessors['avc3'] = ISOBox.prototype._boxProcessors['avc4'] = ISOBox.prototype._boxProcessors['hvc1'] = ISOBox.prototype._boxProcessors['hev1'] = ISOBox.prototype._boxProcessors['encv'] = function () {
  // SampleEntry fields
  this._procFieldArray('reserved1', 6, 'uint', 8);
  this._procField('data_reference_index', 'uint', 16);
  // VisualSampleEntry fields
  this._procField('pre_defined1', 'uint', 16);
  this._procField('reserved2', 'uint', 16);
  this._procFieldArray('pre_defined2', 3, 'uint', 32);
  this._procField('width', 'uint', 16);
  this._procField('height', 'uint', 16);
  this._procField('horizresolution', 'template', 32);
  this._procField('vertresolution', 'template', 32);
  this._procField('reserved3', 'uint', 32);
  this._procField('frame_count', 'uint', 16);
  this._procFieldArray('compressorname', 32, 'uint', 8);
  this._procField('depth', 'uint', 16);
  this._procField('pre_defined3', 'int', 16);
  // Codec-specific fields
  this._procField('config', 'data', -1);
};

// ISO/IEC 14496-12:2012 - 8.6.1.3 Composition Time To Sample Box
ISOBox.prototype._boxProcessors['ctts'] = function () {
  this._procFullBox();
  this._procField('entry_count', 'uint', 32);
  this._procEntries('entries', this.entry_count, function (entry) {
    this._procEntryField(entry, 'sample_count', 'uint', 32);
    this._procEntryField(entry, 'sample_offset', this.version === 1 ? 'int' : 'uint', 32);
  });
};

// ISO/IEC 14496-12:2012 - 8.7.2 Data Reference Box
ISOBox.prototype._boxProcessors['dref'] = function () {
  this._procFullBox();
  this._procField('entry_count', 'uint', 32);
  this._procSubBoxes('entries', this.entry_count);
};

// ISO/IEC 14496-12:202x - 8.4.6 Extended language tag
ISOBox.prototype._boxProcessors['elng'] = function () {
  this._procFullBox();
  this._procField('extended_language', 'utf8string');
};

// ISO/IEC 14496-12:2012 - 8.6.6 Edit List Box
ISOBox.prototype._boxProcessors['elst'] = function () {
  this._procFullBox();
  this._procField('entry_count', 'uint', 32);
  this._procEntries('entries', this.entry_count, function (entry) {
    this._procEntryField(entry, 'segment_duration', 'uint', this.version === 1 ? 64 : 32);
    this._procEntryField(entry, 'media_time', 'int', this.version === 1 ? 64 : 32);
    this._procEntryField(entry, 'media_rate_integer', 'int', 16);
    this._procEntryField(entry, 'media_rate_fraction', 'int', 16);
  });
};

// ISO/IEC 23009-1:2014 - 5.10.3.3 Event Message Box
ISOBox.prototype._boxProcessors['emsg'] = function () {
  this._procFullBox();
  if (this.version == 1) {
    this._procField('timescale', 'uint', 32);
    this._procField('presentation_time', 'uint', 64);
    this._procField('event_duration', 'uint', 32);
    this._procField('id', 'uint', 32);
    this._procField('scheme_id_uri', 'string', -1);
    this._procField('value', 'string', -1);
  } else {
    this._procField('scheme_id_uri', 'string', -1);
    this._procField('value', 'string', -1);
    this._procField('timescale', 'uint', 32);
    this._procField('presentation_time_delta', 'uint', 32);
    this._procField('event_duration', 'uint', 32);
    this._procField('id', 'uint', 32);
  }
  this._procField('message_data', 'data', -1);
};
// ISO/IEC 14496-12:2012 - 8.1.2 Free Space Box
ISOBox.prototype._boxProcessors['free'] = ISOBox.prototype._boxProcessors['skip'] = function () {
  this._procField('data', 'data', -1);
};

// ISO/IEC 14496-12:2012 - 8.12.2 Original Format Box
ISOBox.prototype._boxProcessors['frma'] = function () {
  this._procField('data_format', 'uint', 32);
};
// ISO/IEC 14496-12:2012 - 4.3 File Type Box / 8.16.2 Segment Type Box
ISOBox.prototype._boxProcessors['ftyp'] = ISOBox.prototype._boxProcessors['styp'] = function () {
  this._procField('major_brand', 'string', 4);
  this._procField('minor_version', 'uint', 32);
  var nbCompatibleBrands = -1;
  if (this._parsing) {
    nbCompatibleBrands = (this._raw.byteLength - (this._cursor.offset - this._raw.byteOffset)) / 4;
  }
  this._procFieldArray('compatible_brands', nbCompatibleBrands, 'string', 4);
};

// ISO/IEC 14496-12:2012 - 8.4.3 Handler Reference Box
ISOBox.prototype._boxProcessors['hdlr'] = function () {
  this._procFullBox();
  this._procField('pre_defined', 'uint', 32);
  this._procField('handler_type', 'string', 4);
  this._procFieldArray('reserved', 3, 'uint', 32);
  this._procField('name', 'string', -1);
};

// ISO/IEC 14496-12:2012 - 9.1.4.1 Identified media data box
ISOBox.prototype._boxProcessors['imda'] = function () {
  this._procField('imda_identifier', 'uint', 32);
  // until the end of the box
  this._procField('data', 'data', -1);
};

// ISO/IEC 14496-12:202x - 8.10.4 Track kind box
ISOBox.prototype._boxProcessors['kind'] = function () {
  this._procFullBox();
  this._procField('schemeURI', 'utf8string');
  this._procField('value', 'utf8string');
};

// ISO/IEC 14496-12:202x - 8.10.5 Label box
ISOBox.prototype._boxProcessors['labl'] = function () {
  this._procFullBox();
  this.is_group_label = (this.flags & 0x1) != 0;
  this._procField('label_id', 'uint', 16);
  this._procField('language', 'utf8string');
  this._procField('label', 'utf8string');
};

// ISO/IEC 14496-12:2012 - 8.1.1 Media Data Box
ISOBox.prototype._boxProcessors['mdat'] = function () {
  this._procField('data', 'data', -1);
};

// ISO/IEC 14496-12:2012 - 8.4.2 Media Header Box
ISOBox.prototype._boxProcessors['mdhd'] = function () {
  this._procFullBox();
  this._procField('creation_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('modification_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('timescale', 'uint', 32);
  this._procField('duration', 'uint', this.version == 1 ? 64 : 32);
  if (!this._parsing && typeof this.language === 'string') {
    // In case of writing and language has been set as a string, then convert it into char codes array
    this.language = this.language.charCodeAt(0) - 0x60 << 10 | this.language.charCodeAt(1) - 0x60 << 5 | this.language.charCodeAt(2) - 0x60;
  }
  this._procField('language', 'uint', 16);
  if (this._parsing) {
    this.language = String.fromCharCode((this.language >> 10 & 0x1F) + 0x60, (this.language >> 5 & 0x1F) + 0x60, (this.language & 0x1F) + 0x60);
  }
  this._procField('pre_defined', 'uint', 16);
};

// ISO/IEC 14496-12:2012 - 8.8.2 Movie Extends Header Box
ISOBox.prototype._boxProcessors['mehd'] = function () {
  this._procFullBox();
  this._procField('fragment_duration', 'uint', this.version == 1 ? 64 : 32);
};

// ISO/IEC 14496-12:202x - 8.11.1 Meta box
ISOBox.prototype._boxProcessors['meta'] = function () {
  this._procFullBox();

  /* rest of the boxes will be read by _parseContainerBox */
};

// ISO/IEC 14496-12:2012 - 8.8.5 Movie Fragment Header Box
ISOBox.prototype._boxProcessors['mfhd'] = function () {
  this._procFullBox();
  this._procField('sequence_number', 'uint', 32);
};

// ISO/IEC 14496-12:2012 - 8.8.11 Movie Fragment Random Access Box
ISOBox.prototype._boxProcessors['mfro'] = function () {
  this._procFullBox();
  this._procField('mfra_size', 'uint', 32); // Called mfra_size to distinguish from the normal "size" attribute of a box
};

// ISO/IEC 14496-12:2012 - 8.5.2.2 mp4a box (use AudioSampleEntry definition and naming)
ISOBox.prototype._boxProcessors['mp4a'] = ISOBox.prototype._boxProcessors['enca'] = function () {
  // SampleEntry fields
  this._procFieldArray('reserved1', 6, 'uint', 8);
  this._procField('data_reference_index', 'uint', 16);
  // AudioSampleEntry fields
  this._procFieldArray('reserved2', 2, 'uint', 32);
  this._procField('channelcount', 'uint', 16);
  this._procField('samplesize', 'uint', 16);
  this._procField('pre_defined', 'uint', 16);
  this._procField('reserved3', 'uint', 16);
  this._procField('samplerate', 'template', 32);
  // ESDescriptor fields
  this._procField('esds', 'data', -1);
};

// ISO/IEC 14496-12:2012 - 8.2.2 Movie Header Box
ISOBox.prototype._boxProcessors['mvhd'] = function () {
  this._procFullBox();
  this._procField('creation_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('modification_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('timescale', 'uint', 32);
  this._procField('duration', 'uint', this.version == 1 ? 64 : 32);
  this._procField('rate', 'template', 32);
  this._procField('volume', 'template', 16);
  this._procField('reserved1', 'uint', 16);
  this._procFieldArray('reserved2', 2, 'uint', 32);
  this._procFieldArray('matrix', 9, 'template', 32);
  this._procFieldArray('pre_defined', 6, 'uint', 32);
  this._procField('next_track_ID', 'uint', 32);
};

// ISO/IEC 14496-30:2014 - WebVTT Cue Payload Box.
ISOBox.prototype._boxProcessors['payl'] = function () {
  this._procField('cue_text', 'utf8');
};

// ISO/IEC 14496-12:2012 - 8.16.5 Producer Reference Time
ISOBox.prototype._boxProcessors['prft'] = function () {
  this._procFullBox();
  this._procField('reference_track_ID', 'uint', 32);
  this._procField('ntp_timestamp_sec', 'uint', 32);
  this._procField('ntp_timestamp_frac', 'uint', 32);
  this._procField('media_time', 'uint', this.version == 1 ? 64 : 32);
};

// ISO/IEC 14496-12:202x - 8.18.4.1 Preselection group box
ISOBox.prototype._boxProcessors['prsl'] = function () {
  this._procFullBox();
  this._procField('group_id', 'uint', 32);
  this._procField('num_entities_in_group', 'uint', 32);
  this._procEntries('entities', this.num_entities_in_group, function (entry) {
    this._procEntryField(entry, 'entity_id', 'uint', 32);
  });
  if (this.flags & 0x1000) this._procField('preselection_tag', 'utf8string');
  if (this.flags & 0x2000) this._procField('selection_priority', 'uint', 8);
  if (this.flags & 0x4000) this._procField('interleaving_tag', 'utf8string');

  /* rest of the boxes will be read by _parseContainerBox */
};

//ISO/IEC 23001-7:2011 - 8.1 Protection System Specific Header Box
ISOBox.prototype._boxProcessors['pssh'] = function () {
  this._procFullBox();
  this._procFieldArray('SystemID', 16, 'uint', 8);
  this._procField('DataSize', 'uint', 32);
  this._procFieldArray('Data', this.DataSize, 'uint', 8);
};
// ISO/IEC 14496-12:2012 - 8.12.5 Scheme Type Box
ISOBox.prototype._boxProcessors['schm'] = function () {
  this._procFullBox();
  this._procField('scheme_type', 'uint', 32);
  this._procField('scheme_version', 'uint', 32);
  if (this.flags & 0x000001) {
    this._procField('scheme_uri', 'string', -1);
  }
};
// ISO/IEC 14496-12:2012 - 8.6.4.1 sdtp box 
ISOBox.prototype._boxProcessors['sdtp'] = function () {
  this._procFullBox();
  var sample_count = -1;
  if (this._parsing) {
    sample_count = this._raw.byteLength - (this._cursor.offset - this._raw.byteOffset);
  }
  this._procFieldArray('sample_dependency_table', sample_count, 'uint', 8);
};

// ISO/IEC 14496-12:2012 - 8.16.3 Segment Index Box
ISOBox.prototype._boxProcessors['sidx'] = function () {
  this._procFullBox();
  this._procField('reference_ID', 'uint', 32);
  this._procField('timescale', 'uint', 32);
  this._procField('earliest_presentation_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('first_offset', 'uint', this.version == 1 ? 64 : 32);
  this._procField('reserved', 'uint', 16);
  this._procField('reference_count', 'uint', 16);
  this._procEntries('references', this.reference_count, function (entry) {
    if (!this._parsing) {
      entry.reference = (entry.reference_type & 0x00000001) << 31;
      entry.reference |= entry.referenced_size & 0x7FFFFFFF;
      entry.sap = (entry.starts_with_SAP & 0x00000001) << 31;
      entry.sap |= (entry.SAP_type & 0x00000003) << 28;
      entry.sap |= entry.SAP_delta_time & 0x0FFFFFFF;
    }
    this._procEntryField(entry, 'reference', 'uint', 32);
    this._procEntryField(entry, 'subsegment_duration', 'uint', 32);
    this._procEntryField(entry, 'sap', 'uint', 32);
    if (this._parsing) {
      entry.reference_type = entry.reference >> 31 & 0x00000001;
      entry.referenced_size = entry.reference & 0x7FFFFFFF;
      entry.starts_with_SAP = entry.sap >> 31 & 0x00000001;
      entry.SAP_type = entry.sap >> 28 & 0x00000007;
      entry.SAP_delta_time = entry.sap & 0x0FFFFFFF;
    }
  });
};

// ISO/IEC 14496-12:2012 - 8.4.5.3 Sound Media Header Box
ISOBox.prototype._boxProcessors['smhd'] = function () {
  this._procFullBox();
  this._procField('balance', 'uint', 16);
  this._procField('reserved', 'uint', 16);
};

// ISO/IEC 14496-12:2012 - 8.16.4 Subsegment Index Box
ISOBox.prototype._boxProcessors['ssix'] = function () {
  this._procFullBox();
  this._procField('subsegment_count', 'uint', 32);
  this._procEntries('subsegments', this.subsegment_count, function (subsegment) {
    this._procEntryField(subsegment, 'ranges_count', 'uint', 32);
    this._procSubEntries(subsegment, 'ranges', subsegment.ranges_count, function (range) {
      this._procEntryField(range, 'level', 'uint', 8);
      this._procEntryField(range, 'range_size', 'uint', 24);
    });
  });
};

// ISO/IEC 14496-12:2012 - 8.5.2 Sample Description Box
ISOBox.prototype._boxProcessors['stsd'] = function () {
  this._procFullBox();
  this._procField('entry_count', 'uint', 32);
  this._procSubBoxes('entries', this.entry_count);
};

// ISO/IEC 14496-30:2014 - WebVTT Cue Settings Box.
ISOBox.prototype._boxProcessors['sttg'] = function () {
  this._procField('settings', 'utf8');
};

// ISO/IEC 14496-12:2012 - 8.6.1.2 Decoding Time To Sample Box
ISOBox.prototype._boxProcessors['stts'] = function () {
  this._procFullBox();
  this._procField('entry_count', 'uint', 32);
  this._procEntries('entries', this.entry_count, function (entry) {
    this._procEntryField(entry, 'sample_count', 'uint', 32);
    this._procEntryField(entry, 'sample_delta', 'uint', 32);
  });
};

// ISO/IEC 14496-12:2015 - 8.7.7 Sub-Sample Information Box
ISOBox.prototype._boxProcessors['subs'] = function () {
  this._procFullBox();
  this._procField('entry_count', 'uint', 32);
  this._procEntries('entries', this.entry_count, function (entry) {
    this._procEntryField(entry, 'sample_delta', 'uint', 32);
    this._procEntryField(entry, 'subsample_count', 'uint', 16);
    this._procSubEntries(entry, 'subsamples', entry.subsample_count, function (subsample) {
      this._procEntryField(subsample, 'subsample_size', 'uint', this.version === 1 ? 32 : 16);
      this._procEntryField(subsample, 'subsample_priority', 'uint', 8);
      this._procEntryField(subsample, 'discardable', 'uint', 8);
      this._procEntryField(subsample, 'codec_specific_parameters', 'uint', 32);
    });
  });
};

//ISO/IEC 23001-7:2011 - 8.2 Track Encryption Box
ISOBox.prototype._boxProcessors['tenc'] = function () {
  this._procFullBox();
  this._procField('default_IsEncrypted', 'uint', 24);
  this._procField('default_IV_size', 'uint', 8);
  this._procFieldArray('default_KID', 16, 'uint', 8);
};

// ISO/IEC 14496-12:2012 - 8.8.12 Track Fragmnent Decode Time
ISOBox.prototype._boxProcessors['tfdt'] = function () {
  this._procFullBox();
  this._procField('baseMediaDecodeTime', 'uint', this.version == 1 ? 64 : 32);
};

// ISO/IEC 14496-12:2012 - 8.8.7 Track Fragment Header Box
ISOBox.prototype._boxProcessors['tfhd'] = function () {
  this._procFullBox();
  this._procField('track_ID', 'uint', 32);
  if (this.flags & 0x01) this._procField('base_data_offset', 'uint', 64);
  if (this.flags & 0x02) this._procField('sample_description_offset', 'uint', 32);
  if (this.flags & 0x08) this._procField('default_sample_duration', 'uint', 32);
  if (this.flags & 0x10) this._procField('default_sample_size', 'uint', 32);
  if (this.flags & 0x20) this._procField('default_sample_flags', 'uint', 32);
};

// ISO/IEC 14496-12:2012 - 8.8.10 Track Fragment Random Access Box
ISOBox.prototype._boxProcessors['tfra'] = function () {
  this._procFullBox();
  this._procField('track_ID', 'uint', 32);
  if (!this._parsing) {
    this.reserved = 0;
    this.reserved |= (this.length_size_of_traf_num & 0x00000030) << 4;
    this.reserved |= (this.length_size_of_trun_num & 0x0000000C) << 2;
    this.reserved |= this.length_size_of_sample_num & 0x00000003;
  }
  this._procField('reserved', 'uint', 32);
  if (this._parsing) {
    this.length_size_of_traf_num = (this.reserved & 0x00000030) >> 4;
    this.length_size_of_trun_num = (this.reserved & 0x0000000C) >> 2;
    this.length_size_of_sample_num = this.reserved & 0x00000003;
  }
  this._procField('number_of_entry', 'uint', 32);
  this._procEntries('entries', this.number_of_entry, function (entry) {
    this._procEntryField(entry, 'time', 'uint', this.version === 1 ? 64 : 32);
    this._procEntryField(entry, 'moof_offset', 'uint', this.version === 1 ? 64 : 32);
    this._procEntryField(entry, 'traf_number', 'uint', (this.length_size_of_traf_num + 1) * 8);
    this._procEntryField(entry, 'trun_number', 'uint', (this.length_size_of_trun_num + 1) * 8);
    this._procEntryField(entry, 'sample_number', 'uint', (this.length_size_of_sample_num + 1) * 8);
  });
};

// ISO/IEC 14496-12:2012 - 8.3.2 Track Header Box
ISOBox.prototype._boxProcessors['tkhd'] = function () {
  this._procFullBox();
  this._procField('creation_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('modification_time', 'uint', this.version == 1 ? 64 : 32);
  this._procField('track_ID', 'uint', 32);
  this._procField('reserved1', 'uint', 32);
  this._procField('duration', 'uint', this.version == 1 ? 64 : 32);
  this._procFieldArray('reserved2', 2, 'uint', 32);
  this._procField('layer', 'uint', 16);
  this._procField('alternate_group', 'uint', 16);
  this._procField('volume', 'template', 16);
  this._procField('reserved3', 'uint', 16);
  this._procFieldArray('matrix', 9, 'template', 32);
  this._procField('width', 'template', 32);
  this._procField('height', 'template', 32);
};

// ISO/IEC 14496-12:2012 - 8.8.3 Track Extends Box
ISOBox.prototype._boxProcessors['trex'] = function () {
  this._procFullBox();
  this._procField('track_ID', 'uint', 32);
  this._procField('default_sample_description_index', 'uint', 32);
  this._procField('default_sample_duration', 'uint', 32);
  this._procField('default_sample_size', 'uint', 32);
  this._procField('default_sample_flags', 'uint', 32);
};

// ISO/IEC 14496-12:2012 - 8.8.8 Track Run Box
// Note: the 'trun' box has a direct relation to the 'tfhd' box for defaults.
// These defaults are not set explicitly here, but are left to resolve for the user.
ISOBox.prototype._boxProcessors['trun'] = function () {
  this._procFullBox();
  this._procField('sample_count', 'uint', 32);
  if (this.flags & 0x1) this._procField('data_offset', 'int', 32);
  if (this.flags & 0x4) this._procField('first_sample_flags', 'uint', 32);
  this._procEntries('samples', this.sample_count, function (sample) {
    if (this.flags & 0x100) this._procEntryField(sample, 'sample_duration', 'uint', 32);
    if (this.flags & 0x200) this._procEntryField(sample, 'sample_size', 'uint', 32);
    if (this.flags & 0x400) this._procEntryField(sample, 'sample_flags', 'uint', 32);
    if (this.flags & 0x800) this._procEntryField(sample, 'sample_composition_time_offset', this.version === 1 ? 'int' : 'uint', 32);
  });
};

// ISO/IEC 14496-12:2012 - 8.7.2 Data Reference Box
ISOBox.prototype._boxProcessors['url '] = ISOBox.prototype._boxProcessors['urn '] = function () {
  this._procFullBox();
  if (this.type === 'urn ') {
    this._procField('name', 'string', -1);
  }
  this._procField('location', 'string', -1);
};

// ISO/IEC 14496-30:2014 - WebVTT Source Label Box
ISOBox.prototype._boxProcessors['vlab'] = function () {
  this._procField('source_label', 'utf8');
};

// ISO/IEC 14496-12:2012 - 8.4.5.2 Video Media Header Box
ISOBox.prototype._boxProcessors['vmhd'] = function () {
  this._procFullBox();
  this._procField('graphicsmode', 'uint', 16);
  this._procFieldArray('opcolor', 3, 'uint', 16);
};

// ISO/IEC 14496-30:2014 - WebVTT Configuration Box
ISOBox.prototype._boxProcessors['vttC'] = function () {
  this._procField('config', 'utf8');
};

// ISO/IEC 14496-30:2014 - WebVTT Empty Sample Box
ISOBox.prototype._boxProcessors['vtte'] = function () {
  // Nothing should happen here.
};

/***/ }),

/***/ "./node_modules/events/events.js":
/*!***************************************!*\
  !*** ./node_modules/events/events.js ***!
  \***************************************/
/***/ (function(module) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.



var R = typeof Reflect === 'object' ? Reflect : null;
var ReflectApply = R && typeof R.apply === 'function' ? R.apply : function ReflectApply(target, receiver, args) {
  return Function.prototype.apply.call(target, receiver, args);
};
var ReflectOwnKeys;
if (R && typeof R.ownKeys === 'function') {
  ReflectOwnKeys = R.ownKeys;
} else if (Object.getOwnPropertySymbols) {
  ReflectOwnKeys = function ReflectOwnKeys(target) {
    return Object.getOwnPropertyNames(target).concat(Object.getOwnPropertySymbols(target));
  };
} else {
  ReflectOwnKeys = function ReflectOwnKeys(target) {
    return Object.getOwnPropertyNames(target);
  };
}
function ProcessEmitWarning(warning) {
  if (console && console.warn) console.warn(warning);
}
var NumberIsNaN = Number.isNaN || function NumberIsNaN(value) {
  return value !== value;
};
function EventEmitter() {
  EventEmitter.init.call(this);
}
module.exports = EventEmitter;
module.exports.once = once;

// Backwards-compat with node 0.10.x
EventEmitter.EventEmitter = EventEmitter;
EventEmitter.prototype._events = undefined;
EventEmitter.prototype._eventsCount = 0;
EventEmitter.prototype._maxListeners = undefined;

// By default EventEmitters will print a warning if more than 10 listeners are
// added to it. This is a useful default which helps finding memory leaks.
var defaultMaxListeners = 10;
function checkListener(listener) {
  if (typeof listener !== 'function') {
    throw new TypeError('The "listener" argument must be of type Function. Received type ' + typeof listener);
  }
}
Object.defineProperty(EventEmitter, 'defaultMaxListeners', {
  enumerable: true,
  get: function () {
    return defaultMaxListeners;
  },
  set: function (arg) {
    if (typeof arg !== 'number' || arg < 0 || NumberIsNaN(arg)) {
      throw new RangeError('The value of "defaultMaxListeners" is out of range. It must be a non-negative number. Received ' + arg + '.');
    }
    defaultMaxListeners = arg;
  }
});
EventEmitter.init = function () {
  if (this._events === undefined || this._events === Object.getPrototypeOf(this)._events) {
    this._events = Object.create(null);
    this._eventsCount = 0;
  }
  this._maxListeners = this._maxListeners || undefined;
};

// Obviously not all Emitters should be limited to 10. This function allows
// that to be increased. Set to zero for unlimited.
EventEmitter.prototype.setMaxListeners = function setMaxListeners(n) {
  if (typeof n !== 'number' || n < 0 || NumberIsNaN(n)) {
    throw new RangeError('The value of "n" is out of range. It must be a non-negative number. Received ' + n + '.');
  }
  this._maxListeners = n;
  return this;
};
function _getMaxListeners(that) {
  if (that._maxListeners === undefined) return EventEmitter.defaultMaxListeners;
  return that._maxListeners;
}
EventEmitter.prototype.getMaxListeners = function getMaxListeners() {
  return _getMaxListeners(this);
};
EventEmitter.prototype.emit = function emit(type) {
  var args = [];
  for (var i = 1; i < arguments.length; i++) args.push(arguments[i]);
  var doError = type === 'error';
  var events = this._events;
  if (events !== undefined) doError = doError && events.error === undefined;else if (!doError) return false;

  // If there is no 'error' event listener then throw.
  if (doError) {
    var er;
    if (args.length > 0) er = args[0];
    if (er instanceof Error) {
      // Note: The comments on the `throw` lines are intentional, they show
      // up in Node's output if this results in an unhandled exception.
      throw er; // Unhandled 'error' event
    }
    // At least give some kind of context to the user
    var err = new Error('Unhandled error.' + (er ? ' (' + er.message + ')' : ''));
    err.context = er;
    throw err; // Unhandled 'error' event
  }
  var handler = events[type];
  if (handler === undefined) return false;
  if (typeof handler === 'function') {
    ReflectApply(handler, this, args);
  } else {
    var len = handler.length;
    var listeners = arrayClone(handler, len);
    for (var i = 0; i < len; ++i) ReflectApply(listeners[i], this, args);
  }
  return true;
};
function _addListener(target, type, listener, prepend) {
  var m;
  var events;
  var existing;
  checkListener(listener);
  events = target._events;
  if (events === undefined) {
    events = target._events = Object.create(null);
    target._eventsCount = 0;
  } else {
    // To avoid recursion in the case that type === "newListener"! Before
    // adding it to the listeners, first emit "newListener".
    if (events.newListener !== undefined) {
      target.emit('newListener', type, listener.listener ? listener.listener : listener);

      // Re-assign `events` because a newListener handler could have caused the
      // this._events to be assigned to a new object
      events = target._events;
    }
    existing = events[type];
  }
  if (existing === undefined) {
    // Optimize the case of one listener. Don't need the extra array object.
    existing = events[type] = listener;
    ++target._eventsCount;
  } else {
    if (typeof existing === 'function') {
      // Adding the second element, need to change to array.
      existing = events[type] = prepend ? [listener, existing] : [existing, listener];
      // If we've already got an array, just append.
    } else if (prepend) {
      existing.unshift(listener);
    } else {
      existing.push(listener);
    }

    // Check for listener leak
    m = _getMaxListeners(target);
    if (m > 0 && existing.length > m && !existing.warned) {
      existing.warned = true;
      // No error code for this since it is a Warning
      // eslint-disable-next-line no-restricted-syntax
      var w = new Error('Possible EventEmitter memory leak detected. ' + existing.length + ' ' + String(type) + ' listeners ' + 'added. Use emitter.setMaxListeners() to ' + 'increase limit');
      w.name = 'MaxListenersExceededWarning';
      w.emitter = target;
      w.type = type;
      w.count = existing.length;
      ProcessEmitWarning(w);
    }
  }
  return target;
}
EventEmitter.prototype.addListener = function addListener(type, listener) {
  return _addListener(this, type, listener, false);
};
EventEmitter.prototype.on = EventEmitter.prototype.addListener;
EventEmitter.prototype.prependListener = function prependListener(type, listener) {
  return _addListener(this, type, listener, true);
};
function onceWrapper() {
  if (!this.fired) {
    this.target.removeListener(this.type, this.wrapFn);
    this.fired = true;
    if (arguments.length === 0) return this.listener.call(this.target);
    return this.listener.apply(this.target, arguments);
  }
}
function _onceWrap(target, type, listener) {
  var state = {
    fired: false,
    wrapFn: undefined,
    target: target,
    type: type,
    listener: listener
  };
  var wrapped = onceWrapper.bind(state);
  wrapped.listener = listener;
  state.wrapFn = wrapped;
  return wrapped;
}
EventEmitter.prototype.once = function once(type, listener) {
  checkListener(listener);
  this.on(type, _onceWrap(this, type, listener));
  return this;
};
EventEmitter.prototype.prependOnceListener = function prependOnceListener(type, listener) {
  checkListener(listener);
  this.prependListener(type, _onceWrap(this, type, listener));
  return this;
};

// Emits a 'removeListener' event if and only if the listener was removed.
EventEmitter.prototype.removeListener = function removeListener(type, listener) {
  var list, events, position, i, originalListener;
  checkListener(listener);
  events = this._events;
  if (events === undefined) return this;
  list = events[type];
  if (list === undefined) return this;
  if (list === listener || list.listener === listener) {
    if (--this._eventsCount === 0) this._events = Object.create(null);else {
      delete events[type];
      if (events.removeListener) this.emit('removeListener', type, list.listener || listener);
    }
  } else if (typeof list !== 'function') {
    position = -1;
    for (i = list.length - 1; i >= 0; i--) {
      if (list[i] === listener || list[i].listener === listener) {
        originalListener = list[i].listener;
        position = i;
        break;
      }
    }
    if (position < 0) return this;
    if (position === 0) list.shift();else {
      spliceOne(list, position);
    }
    if (list.length === 1) events[type] = list[0];
    if (events.removeListener !== undefined) this.emit('removeListener', type, originalListener || listener);
  }
  return this;
};
EventEmitter.prototype.off = EventEmitter.prototype.removeListener;
EventEmitter.prototype.removeAllListeners = function removeAllListeners(type) {
  var listeners, events, i;
  events = this._events;
  if (events === undefined) return this;

  // not listening for removeListener, no need to emit
  if (events.removeListener === undefined) {
    if (arguments.length === 0) {
      this._events = Object.create(null);
      this._eventsCount = 0;
    } else if (events[type] !== undefined) {
      if (--this._eventsCount === 0) this._events = Object.create(null);else delete events[type];
    }
    return this;
  }

  // emit removeListener for all listeners on all events
  if (arguments.length === 0) {
    var keys = Object.keys(events);
    var key;
    for (i = 0; i < keys.length; ++i) {
      key = keys[i];
      if (key === 'removeListener') continue;
      this.removeAllListeners(key);
    }
    this.removeAllListeners('removeListener');
    this._events = Object.create(null);
    this._eventsCount = 0;
    return this;
  }
  listeners = events[type];
  if (typeof listeners === 'function') {
    this.removeListener(type, listeners);
  } else if (listeners !== undefined) {
    // LIFO order
    for (i = listeners.length - 1; i >= 0; i--) {
      this.removeListener(type, listeners[i]);
    }
  }
  return this;
};
function _listeners(target, type, unwrap) {
  var events = target._events;
  if (events === undefined) return [];
  var evlistener = events[type];
  if (evlistener === undefined) return [];
  if (typeof evlistener === 'function') return unwrap ? [evlistener.listener || evlistener] : [evlistener];
  return unwrap ? unwrapListeners(evlistener) : arrayClone(evlistener, evlistener.length);
}
EventEmitter.prototype.listeners = function listeners(type) {
  return _listeners(this, type, true);
};
EventEmitter.prototype.rawListeners = function rawListeners(type) {
  return _listeners(this, type, false);
};
EventEmitter.listenerCount = function (emitter, type) {
  if (typeof emitter.listenerCount === 'function') {
    return emitter.listenerCount(type);
  } else {
    return listenerCount.call(emitter, type);
  }
};
EventEmitter.prototype.listenerCount = listenerCount;
function listenerCount(type) {
  var events = this._events;
  if (events !== undefined) {
    var evlistener = events[type];
    if (typeof evlistener === 'function') {
      return 1;
    } else if (evlistener !== undefined) {
      return evlistener.length;
    }
  }
  return 0;
}
EventEmitter.prototype.eventNames = function eventNames() {
  return this._eventsCount > 0 ? ReflectOwnKeys(this._events) : [];
};
function arrayClone(arr, n) {
  var copy = new Array(n);
  for (var i = 0; i < n; ++i) copy[i] = arr[i];
  return copy;
}
function spliceOne(list, index) {
  for (; index + 1 < list.length; index++) list[index] = list[index + 1];
  list.pop();
}
function unwrapListeners(arr) {
  var ret = new Array(arr.length);
  for (var i = 0; i < ret.length; ++i) {
    ret[i] = arr[i].listener || arr[i];
  }
  return ret;
}
function once(emitter, name) {
  return new Promise(function (resolve, reject) {
    function errorListener(err) {
      emitter.removeListener(name, resolver);
      reject(err);
    }
    function resolver() {
      if (typeof emitter.removeListener === 'function') {
        emitter.removeListener('error', errorListener);
      }
      resolve([].slice.call(arguments));
    }
    ;
    eventTargetAgnosticAddListener(emitter, name, resolver, {
      once: true
    });
    if (name !== 'error') {
      addErrorHandlerIfEventEmitter(emitter, errorListener, {
        once: true
      });
    }
  });
}
function addErrorHandlerIfEventEmitter(emitter, handler, flags) {
  if (typeof emitter.on === 'function') {
    eventTargetAgnosticAddListener(emitter, 'error', handler, flags);
  }
}
function eventTargetAgnosticAddListener(emitter, name, listener, flags) {
  if (typeof emitter.on === 'function') {
    if (flags.once) {
      emitter.once(name, listener);
    } else {
      emitter.on(name, listener);
    }
  } else if (typeof emitter.addEventListener === 'function') {
    // EventTarget does not have `error` event semantics like Node
    // EventEmitters, we do not listen for `error` events here.
    emitter.addEventListener(name, function wrapListener(arg) {
      // IE does not have builtin `{ once: true }` support so we
      // have to do it manually.
      if (flags.once) {
        emitter.removeEventListener(name, wrapListener);
      }
      listener(arg);
    });
  } else {
    throw new TypeError('The "emitter" argument must be of type EventEmitter. Received type ' + typeof emitter);
  }
}

/***/ }),

/***/ "./node_modules/fast-deep-equal/index.js":
/*!***********************************************!*\
  !*** ./node_modules/fast-deep-equal/index.js ***!
  \***********************************************/
/***/ (function(module) {



// do not edit .js files directly - edit src/index.jst
module.exports = function equal(a, b) {
  if (a === b) return true;
  if (a && b && typeof a == 'object' && typeof b == 'object') {
    if (a.constructor !== b.constructor) return false;
    var length, i, keys;
    if (Array.isArray(a)) {
      length = a.length;
      if (length != b.length) return false;
      for (i = length; i-- !== 0;) if (!equal(a[i], b[i])) return false;
      return true;
    }
    if (a.constructor === RegExp) return a.source === b.source && a.flags === b.flags;
    if (a.valueOf !== Object.prototype.valueOf) return a.valueOf() === b.valueOf();
    if (a.toString !== Object.prototype.toString) return a.toString() === b.toString();
    keys = Object.keys(a);
    length = keys.length;
    if (length !== Object.keys(b).length) return false;
    for (i = length; i-- !== 0;) if (!Object.prototype.hasOwnProperty.call(b, keys[i])) return false;
    for (i = length; i-- !== 0;) {
      var key = keys[i];
      if (!equal(a[key], b[key])) return false;
    }
    return true;
  }

  // true if both NaN, false otherwise
  return a !== a && b !== b;
};

/***/ }),

/***/ "./node_modules/ieee754/index.js":
/*!***************************************!*\
  !*** ./node_modules/ieee754/index.js ***!
  \***************************************/
/***/ (function(__unused_webpack_module, exports) {

/*! ieee754. BSD-3-Clause License. Feross Aboukhadijeh <https://feross.org/opensource> */
exports.read = function (buffer, offset, isLE, mLen, nBytes) {
  var e, m;
  var eLen = nBytes * 8 - mLen - 1;
  var eMax = (1 << eLen) - 1;
  var eBias = eMax >> 1;
  var nBits = -7;
  var i = isLE ? nBytes - 1 : 0;
  var d = isLE ? -1 : 1;
  var s = buffer[offset + i];
  i += d;
  e = s & (1 << -nBits) - 1;
  s >>= -nBits;
  nBits += eLen;
  for (; nBits > 0; e = e * 256 + buffer[offset + i], i += d, nBits -= 8) {}
  m = e & (1 << -nBits) - 1;
  e >>= -nBits;
  nBits += mLen;
  for (; nBits > 0; m = m * 256 + buffer[offset + i], i += d, nBits -= 8) {}
  if (e === 0) {
    e = 1 - eBias;
  } else if (e === eMax) {
    return m ? NaN : (s ? -1 : 1) * Infinity;
  } else {
    m = m + Math.pow(2, mLen);
    e = e - eBias;
  }
  return (s ? -1 : 1) * m * Math.pow(2, e - mLen);
};
exports.write = function (buffer, value, offset, isLE, mLen, nBytes) {
  var e, m, c;
  var eLen = nBytes * 8 - mLen - 1;
  var eMax = (1 << eLen) - 1;
  var eBias = eMax >> 1;
  var rt = mLen === 23 ? Math.pow(2, -24) - Math.pow(2, -77) : 0;
  var i = isLE ? 0 : nBytes - 1;
  var d = isLE ? 1 : -1;
  var s = value < 0 || value === 0 && 1 / value < 0 ? 1 : 0;
  value = Math.abs(value);
  if (isNaN(value) || value === Infinity) {
    m = isNaN(value) ? 1 : 0;
    e = eMax;
  } else {
    e = Math.floor(Math.log(value) / Math.LN2);
    if (value * (c = Math.pow(2, -e)) < 1) {
      e--;
      c *= 2;
    }
    if (e + eBias >= 1) {
      value += rt / c;
    } else {
      value += rt * Math.pow(2, 1 - eBias);
    }
    if (value * c >= 2) {
      e++;
      c /= 2;
    }
    if (e + eBias >= eMax) {
      m = 0;
      e = eMax;
    } else if (e + eBias >= 1) {
      m = (value * c - 1) * Math.pow(2, mLen);
      e = e + eBias;
    } else {
      m = value * Math.pow(2, eBias - 1) * Math.pow(2, mLen);
      e = 0;
    }
  }
  for (; mLen >= 8; buffer[offset + i] = m & 0xff, i += d, m /= 256, mLen -= 8) {}
  e = e << mLen | m;
  eLen += mLen;
  for (; eLen > 0; buffer[offset + i] = e & 0xff, i += d, e /= 256, eLen -= 8) {}
  buffer[offset + i - d] |= s * 128;
};

/***/ }),

/***/ "./node_modules/imsc/node_modules/sax/lib/sax.js":
/*!*******************************************************!*\
  !*** ./node_modules/imsc/node_modules/sax/lib/sax.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

;
(function (sax) {
  // wrapper for non-node envs
  sax.parser = function (strict, opt) {
    return new SAXParser(strict, opt);
  };
  sax.SAXParser = SAXParser;
  sax.SAXStream = SAXStream;
  sax.createStream = createStream;

  // When we pass the MAX_BUFFER_LENGTH position, start checking for buffer overruns.
  // When we check, schedule the next check for MAX_BUFFER_LENGTH - (max(buffer lengths)),
  // since that's the earliest that a buffer overrun could occur.  This way, checks are
  // as rare as required, but as often as necessary to ensure never crossing this bound.
  // Furthermore, buffers are only tested at most once per write(), so passing a very
  // large string into write() might have undesirable effects, but this is manageable by
  // the caller, so it is assumed to be safe.  Thus, a call to write() may, in the extreme
  // edge case, result in creating at most one complete copy of the string passed in.
  // Set to Infinity to have unlimited buffers.
  sax.MAX_BUFFER_LENGTH = 64 * 1024;
  var buffers = ['comment', 'sgmlDecl', 'textNode', 'tagName', 'doctype', 'procInstName', 'procInstBody', 'entity', 'attribName', 'attribValue', 'cdata', 'script'];
  sax.EVENTS = ['text', 'processinginstruction', 'sgmldeclaration', 'doctype', 'comment', 'opentagstart', 'attribute', 'opentag', 'closetag', 'opencdata', 'cdata', 'closecdata', 'error', 'end', 'ready', 'script', 'opennamespace', 'closenamespace'];
  function SAXParser(strict, opt) {
    if (!(this instanceof SAXParser)) {
      return new SAXParser(strict, opt);
    }
    var parser = this;
    clearBuffers(parser);
    parser.q = parser.c = '';
    parser.bufferCheckPosition = sax.MAX_BUFFER_LENGTH;
    parser.opt = opt || {};
    parser.opt.lowercase = parser.opt.lowercase || parser.opt.lowercasetags;
    parser.looseCase = parser.opt.lowercase ? 'toLowerCase' : 'toUpperCase';
    parser.tags = [];
    parser.closed = parser.closedRoot = parser.sawRoot = false;
    parser.tag = parser.error = null;
    parser.strict = !!strict;
    parser.noscript = !!(strict || parser.opt.noscript);
    parser.state = S.BEGIN;
    parser.strictEntities = parser.opt.strictEntities;
    parser.ENTITIES = parser.strictEntities ? Object.create(sax.XML_ENTITIES) : Object.create(sax.ENTITIES);
    parser.attribList = [];

    // namespaces form a prototype chain.
    // it always points at the current tag,
    // which protos to its parent tag.
    if (parser.opt.xmlns) {
      parser.ns = Object.create(rootNS);
    }

    // mostly just for error reporting
    parser.trackPosition = parser.opt.position !== false;
    if (parser.trackPosition) {
      parser.position = parser.line = parser.column = 0;
    }
    emit(parser, 'onready');
  }
  if (!Object.create) {
    Object.create = function (o) {
      function F() {}
      F.prototype = o;
      var newf = new F();
      return newf;
    };
  }
  if (!Object.keys) {
    Object.keys = function (o) {
      var a = [];
      for (var i in o) if (o.hasOwnProperty(i)) a.push(i);
      return a;
    };
  }
  function checkBufferLength(parser) {
    var maxAllowed = Math.max(sax.MAX_BUFFER_LENGTH, 10);
    var maxActual = 0;
    for (var i = 0, l = buffers.length; i < l; i++) {
      var len = parser[buffers[i]].length;
      if (len > maxAllowed) {
        // Text/cdata nodes can get big, and since they're buffered,
        // we can get here under normal conditions.
        // Avoid issues by emitting the text node now,
        // so at least it won't get any bigger.
        switch (buffers[i]) {
          case 'textNode':
            closeText(parser);
            break;
          case 'cdata':
            emitNode(parser, 'oncdata', parser.cdata);
            parser.cdata = '';
            break;
          case 'script':
            emitNode(parser, 'onscript', parser.script);
            parser.script = '';
            break;
          default:
            error(parser, 'Max buffer length exceeded: ' + buffers[i]);
        }
      }
      maxActual = Math.max(maxActual, len);
    }
    // schedule the next check for the earliest possible buffer overrun.
    var m = sax.MAX_BUFFER_LENGTH - maxActual;
    parser.bufferCheckPosition = m + parser.position;
  }
  function clearBuffers(parser) {
    for (var i = 0, l = buffers.length; i < l; i++) {
      parser[buffers[i]] = '';
    }
  }
  function flushBuffers(parser) {
    closeText(parser);
    if (parser.cdata !== '') {
      emitNode(parser, 'oncdata', parser.cdata);
      parser.cdata = '';
    }
    if (parser.script !== '') {
      emitNode(parser, 'onscript', parser.script);
      parser.script = '';
    }
  }
  SAXParser.prototype = {
    end: function () {
      end(this);
    },
    write: write,
    resume: function () {
      this.error = null;
      return this;
    },
    close: function () {
      return this.write(null);
    },
    flush: function () {
      flushBuffers(this);
    }
  };
  var Stream;
  try {
    Stream = (__webpack_require__(/*! stream */ "./node_modules/stream-browserify/index.js").Stream);
  } catch (ex) {
    Stream = function () {};
  }
  var streamWraps = sax.EVENTS.filter(function (ev) {
    return ev !== 'error' && ev !== 'end';
  });
  function createStream(strict, opt) {
    return new SAXStream(strict, opt);
  }
  function SAXStream(strict, opt) {
    if (!(this instanceof SAXStream)) {
      return new SAXStream(strict, opt);
    }
    Stream.apply(this);
    this._parser = new SAXParser(strict, opt);
    this.writable = true;
    this.readable = true;
    var me = this;
    this._parser.onend = function () {
      me.emit('end');
    };
    this._parser.onerror = function (er) {
      me.emit('error', er);

      // if didn't throw, then means error was handled.
      // go ahead and clear error, so we can write again.
      me._parser.error = null;
    };
    this._decoder = null;
    streamWraps.forEach(function (ev) {
      Object.defineProperty(me, 'on' + ev, {
        get: function () {
          return me._parser['on' + ev];
        },
        set: function (h) {
          if (!h) {
            me.removeAllListeners(ev);
            me._parser['on' + ev] = h;
            return h;
          }
          me.on(ev, h);
        },
        enumerable: true,
        configurable: false
      });
    });
  }
  SAXStream.prototype = Object.create(Stream.prototype, {
    constructor: {
      value: SAXStream
    }
  });
  SAXStream.prototype.write = function (data) {
    if (typeof Buffer === 'function' && typeof Buffer.isBuffer === 'function' && Buffer.isBuffer(data)) {
      if (!this._decoder) {
        var SD = (__webpack_require__(/*! string_decoder */ "./node_modules/string_decoder/lib/string_decoder.js").StringDecoder);
        this._decoder = new SD('utf8');
      }
      data = this._decoder.write(data);
    }
    this._parser.write(data.toString());
    this.emit('data', data);
    return true;
  };
  SAXStream.prototype.end = function (chunk) {
    if (chunk && chunk.length) {
      this.write(chunk);
    }
    this._parser.end();
    return true;
  };
  SAXStream.prototype.on = function (ev, handler) {
    var me = this;
    if (!me._parser['on' + ev] && streamWraps.indexOf(ev) !== -1) {
      me._parser['on' + ev] = function () {
        var args = arguments.length === 1 ? [arguments[0]] : Array.apply(null, arguments);
        args.splice(0, 0, ev);
        me.emit.apply(me, args);
      };
    }
    return Stream.prototype.on.call(me, ev, handler);
  };

  // character classes and tokens
  var whitespace = '\r\n\t ';

  // this really needs to be replaced with character classes.
  // XML allows all manner of ridiculous numbers and digits.
  var number = '0124356789';
  var letter = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';

  // (Letter | "_" | ":")
  var quote = '\'"';
  var attribEnd = whitespace + '>';
  var CDATA = '[CDATA[';
  var DOCTYPE = 'DOCTYPE';
  var XML_NAMESPACE = 'http://www.w3.org/XML/1998/namespace';
  var XMLNS_NAMESPACE = 'http://www.w3.org/2000/xmlns/';
  var rootNS = {
    xml: XML_NAMESPACE,
    xmlns: XMLNS_NAMESPACE
  };

  // turn all the string character sets into character class objects.
  whitespace = charClass(whitespace);
  number = charClass(number);
  letter = charClass(letter);

  // http://www.w3.org/TR/REC-xml/#NT-NameStartChar
  // This implementation works on strings, a single character at a time
  // as such, it cannot ever support astral-plane characters (10000-EFFFF)
  // without a significant breaking change to either this  parser, or the
  // JavaScript language.  Implementation of an emoji-capable xml parser
  // is left as an exercise for the reader.
  var nameStart = /[:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]/;
  var nameBody = /[:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\u00B7\u0300-\u036F\u203F-\u2040\.\d-]/;
  var entityStart = /[#:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]/;
  var entityBody = /[#:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\u00B7\u0300-\u036F\u203F-\u2040\.\d-]/;
  quote = charClass(quote);
  attribEnd = charClass(attribEnd);
  function charClass(str) {
    return str.split('').reduce(function (s, c) {
      s[c] = true;
      return s;
    }, {});
  }
  function isRegExp(c) {
    return Object.prototype.toString.call(c) === '[object RegExp]';
  }
  function is(charclass, c) {
    return isRegExp(charclass) ? !!c.match(charclass) : charclass[c];
  }
  function not(charclass, c) {
    return !is(charclass, c);
  }
  var S = 0;
  sax.STATE = {
    BEGIN: S++,
    // leading byte order mark or whitespace
    BEGIN_WHITESPACE: S++,
    // leading whitespace
    TEXT: S++,
    // general stuff
    TEXT_ENTITY: S++,
    // &amp and such.
    OPEN_WAKA: S++,
    // <
    SGML_DECL: S++,
    // <!BLARG
    SGML_DECL_QUOTED: S++,
    // <!BLARG foo "bar
    DOCTYPE: S++,
    // <!DOCTYPE
    DOCTYPE_QUOTED: S++,
    // <!DOCTYPE "//blah
    DOCTYPE_DTD: S++,
    // <!DOCTYPE "//blah" [ ...
    DOCTYPE_DTD_QUOTED: S++,
    // <!DOCTYPE "//blah" [ "foo
    COMMENT_STARTING: S++,
    // <!-
    COMMENT: S++,
    // <!--
    COMMENT_ENDING: S++,
    // <!-- blah -
    COMMENT_ENDED: S++,
    // <!-- blah --
    CDATA: S++,
    // <![CDATA[ something
    CDATA_ENDING: S++,
    // ]
    CDATA_ENDING_2: S++,
    // ]]
    PROC_INST: S++,
    // <?hi
    PROC_INST_BODY: S++,
    // <?hi there
    PROC_INST_ENDING: S++,
    // <?hi "there" ?
    OPEN_TAG: S++,
    // <strong
    OPEN_TAG_SLASH: S++,
    // <strong /
    ATTRIB: S++,
    // <a
    ATTRIB_NAME: S++,
    // <a foo
    ATTRIB_NAME_SAW_WHITE: S++,
    // <a foo _
    ATTRIB_VALUE: S++,
    // <a foo=
    ATTRIB_VALUE_QUOTED: S++,
    // <a foo="bar
    ATTRIB_VALUE_CLOSED: S++,
    // <a foo="bar"
    ATTRIB_VALUE_UNQUOTED: S++,
    // <a foo=bar
    ATTRIB_VALUE_ENTITY_Q: S++,
    // <foo bar="&quot;"
    ATTRIB_VALUE_ENTITY_U: S++,
    // <foo bar=&quot
    CLOSE_TAG: S++,
    // </a
    CLOSE_TAG_SAW_WHITE: S++,
    // </a   >
    SCRIPT: S++,
    // <script> ...
    SCRIPT_ENDING: S++ // <script> ... <
  };
  sax.XML_ENTITIES = {
    'amp': '&',
    'gt': '>',
    'lt': '<',
    'quot': '"',
    'apos': "'"
  };
  sax.ENTITIES = {
    'amp': '&',
    'gt': '>',
    'lt': '<',
    'quot': '"',
    'apos': "'",
    'AElig': 198,
    'Aacute': 193,
    'Acirc': 194,
    'Agrave': 192,
    'Aring': 197,
    'Atilde': 195,
    'Auml': 196,
    'Ccedil': 199,
    'ETH': 208,
    'Eacute': 201,
    'Ecirc': 202,
    'Egrave': 200,
    'Euml': 203,
    'Iacute': 205,
    'Icirc': 206,
    'Igrave': 204,
    'Iuml': 207,
    'Ntilde': 209,
    'Oacute': 211,
    'Ocirc': 212,
    'Ograve': 210,
    'Oslash': 216,
    'Otilde': 213,
    'Ouml': 214,
    'THORN': 222,
    'Uacute': 218,
    'Ucirc': 219,
    'Ugrave': 217,
    'Uuml': 220,
    'Yacute': 221,
    'aacute': 225,
    'acirc': 226,
    'aelig': 230,
    'agrave': 224,
    'aring': 229,
    'atilde': 227,
    'auml': 228,
    'ccedil': 231,
    'eacute': 233,
    'ecirc': 234,
    'egrave': 232,
    'eth': 240,
    'euml': 235,
    'iacute': 237,
    'icirc': 238,
    'igrave': 236,
    'iuml': 239,
    'ntilde': 241,
    'oacute': 243,
    'ocirc': 244,
    'ograve': 242,
    'oslash': 248,
    'otilde': 245,
    'ouml': 246,
    'szlig': 223,
    'thorn': 254,
    'uacute': 250,
    'ucirc': 251,
    'ugrave': 249,
    'uuml': 252,
    'yacute': 253,
    'yuml': 255,
    'copy': 169,
    'reg': 174,
    'nbsp': 160,
    'iexcl': 161,
    'cent': 162,
    'pound': 163,
    'curren': 164,
    'yen': 165,
    'brvbar': 166,
    'sect': 167,
    'uml': 168,
    'ordf': 170,
    'laquo': 171,
    'not': 172,
    'shy': 173,
    'macr': 175,
    'deg': 176,
    'plusmn': 177,
    'sup1': 185,
    'sup2': 178,
    'sup3': 179,
    'acute': 180,
    'micro': 181,
    'para': 182,
    'middot': 183,
    'cedil': 184,
    'ordm': 186,
    'raquo': 187,
    'frac14': 188,
    'frac12': 189,
    'frac34': 190,
    'iquest': 191,
    'times': 215,
    'divide': 247,
    'OElig': 338,
    'oelig': 339,
    'Scaron': 352,
    'scaron': 353,
    'Yuml': 376,
    'fnof': 402,
    'circ': 710,
    'tilde': 732,
    'Alpha': 913,
    'Beta': 914,
    'Gamma': 915,
    'Delta': 916,
    'Epsilon': 917,
    'Zeta': 918,
    'Eta': 919,
    'Theta': 920,
    'Iota': 921,
    'Kappa': 922,
    'Lambda': 923,
    'Mu': 924,
    'Nu': 925,
    'Xi': 926,
    'Omicron': 927,
    'Pi': 928,
    'Rho': 929,
    'Sigma': 931,
    'Tau': 932,
    'Upsilon': 933,
    'Phi': 934,
    'Chi': 935,
    'Psi': 936,
    'Omega': 937,
    'alpha': 945,
    'beta': 946,
    'gamma': 947,
    'delta': 948,
    'epsilon': 949,
    'zeta': 950,
    'eta': 951,
    'theta': 952,
    'iota': 953,
    'kappa': 954,
    'lambda': 955,
    'mu': 956,
    'nu': 957,
    'xi': 958,
    'omicron': 959,
    'pi': 960,
    'rho': 961,
    'sigmaf': 962,
    'sigma': 963,
    'tau': 964,
    'upsilon': 965,
    'phi': 966,
    'chi': 967,
    'psi': 968,
    'omega': 969,
    'thetasym': 977,
    'upsih': 978,
    'piv': 982,
    'ensp': 8194,
    'emsp': 8195,
    'thinsp': 8201,
    'zwnj': 8204,
    'zwj': 8205,
    'lrm': 8206,
    'rlm': 8207,
    'ndash': 8211,
    'mdash': 8212,
    'lsquo': 8216,
    'rsquo': 8217,
    'sbquo': 8218,
    'ldquo': 8220,
    'rdquo': 8221,
    'bdquo': 8222,
    'dagger': 8224,
    'Dagger': 8225,
    'bull': 8226,
    'hellip': 8230,
    'permil': 8240,
    'prime': 8242,
    'Prime': 8243,
    'lsaquo': 8249,
    'rsaquo': 8250,
    'oline': 8254,
    'frasl': 8260,
    'euro': 8364,
    'image': 8465,
    'weierp': 8472,
    'real': 8476,
    'trade': 8482,
    'alefsym': 8501,
    'larr': 8592,
    'uarr': 8593,
    'rarr': 8594,
    'darr': 8595,
    'harr': 8596,
    'crarr': 8629,
    'lArr': 8656,
    'uArr': 8657,
    'rArr': 8658,
    'dArr': 8659,
    'hArr': 8660,
    'forall': 8704,
    'part': 8706,
    'exist': 8707,
    'empty': 8709,
    'nabla': 8711,
    'isin': 8712,
    'notin': 8713,
    'ni': 8715,
    'prod': 8719,
    'sum': 8721,
    'minus': 8722,
    'lowast': 8727,
    'radic': 8730,
    'prop': 8733,
    'infin': 8734,
    'ang': 8736,
    'and': 8743,
    'or': 8744,
    'cap': 8745,
    'cup': 8746,
    'int': 8747,
    'there4': 8756,
    'sim': 8764,
    'cong': 8773,
    'asymp': 8776,
    'ne': 8800,
    'equiv': 8801,
    'le': 8804,
    'ge': 8805,
    'sub': 8834,
    'sup': 8835,
    'nsub': 8836,
    'sube': 8838,
    'supe': 8839,
    'oplus': 8853,
    'otimes': 8855,
    'perp': 8869,
    'sdot': 8901,
    'lceil': 8968,
    'rceil': 8969,
    'lfloor': 8970,
    'rfloor': 8971,
    'lang': 9001,
    'rang': 9002,
    'loz': 9674,
    'spades': 9824,
    'clubs': 9827,
    'hearts': 9829,
    'diams': 9830
  };
  Object.keys(sax.ENTITIES).forEach(function (key) {
    var e = sax.ENTITIES[key];
    var s = typeof e === 'number' ? String.fromCharCode(e) : e;
    sax.ENTITIES[key] = s;
  });
  for (var s in sax.STATE) {
    sax.STATE[sax.STATE[s]] = s;
  }

  // shorthand
  S = sax.STATE;
  function emit(parser, event, data) {
    parser[event] && parser[event](data);
  }
  function emitNode(parser, nodeType, data) {
    if (parser.textNode) closeText(parser);
    emit(parser, nodeType, data);
  }
  function closeText(parser) {
    parser.textNode = textopts(parser.opt, parser.textNode);
    if (parser.textNode) emit(parser, 'ontext', parser.textNode);
    parser.textNode = '';
  }
  function textopts(opt, text) {
    if (opt.trim) text = text.trim();
    if (opt.normalize) text = text.replace(/\s+/g, ' ');
    return text;
  }
  function error(parser, er) {
    closeText(parser);
    if (parser.trackPosition) {
      er += '\nLine: ' + parser.line + '\nColumn: ' + parser.column + '\nChar: ' + parser.c;
    }
    er = new Error(er);
    parser.error = er;
    emit(parser, 'onerror', er);
    return parser;
  }
  function end(parser) {
    if (parser.sawRoot && !parser.closedRoot) strictFail(parser, 'Unclosed root tag');
    if (parser.state !== S.BEGIN && parser.state !== S.BEGIN_WHITESPACE && parser.state !== S.TEXT) {
      error(parser, 'Unexpected end');
    }
    closeText(parser);
    parser.c = '';
    parser.closed = true;
    emit(parser, 'onend');
    SAXParser.call(parser, parser.strict, parser.opt);
    return parser;
  }
  function strictFail(parser, message) {
    if (typeof parser !== 'object' || !(parser instanceof SAXParser)) {
      throw new Error('bad call to strictFail');
    }
    if (parser.strict) {
      error(parser, message);
    }
  }
  function newTag(parser) {
    if (!parser.strict) parser.tagName = parser.tagName[parser.looseCase]();
    var parent = parser.tags[parser.tags.length - 1] || parser;
    var tag = parser.tag = {
      name: parser.tagName,
      attributes: {}
    };

    // will be overridden if tag contails an xmlns="foo" or xmlns:foo="bar"
    if (parser.opt.xmlns) {
      tag.ns = parent.ns;
    }
    parser.attribList.length = 0;
    emitNode(parser, 'onopentagstart', tag);
  }
  function qname(name, attribute) {
    var i = name.indexOf(':');
    var qualName = i < 0 ? ['', name] : name.split(':');
    var prefix = qualName[0];
    var local = qualName[1];

    // <x "xmlns"="http://foo">
    if (attribute && name === 'xmlns') {
      prefix = 'xmlns';
      local = '';
    }
    return {
      prefix: prefix,
      local: local
    };
  }
  function attrib(parser) {
    if (!parser.strict) {
      parser.attribName = parser.attribName[parser.looseCase]();
    }
    if (parser.attribList.indexOf(parser.attribName) !== -1 || parser.tag.attributes.hasOwnProperty(parser.attribName)) {
      parser.attribName = parser.attribValue = '';
      return;
    }
    if (parser.opt.xmlns) {
      var qn = qname(parser.attribName, true);
      var prefix = qn.prefix;
      var local = qn.local;
      if (prefix === 'xmlns') {
        // namespace binding attribute. push the binding into scope
        if (local === 'xml' && parser.attribValue !== XML_NAMESPACE) {
          strictFail(parser, 'xml: prefix must be bound to ' + XML_NAMESPACE + '\n' + 'Actual: ' + parser.attribValue);
        } else if (local === 'xmlns' && parser.attribValue !== XMLNS_NAMESPACE) {
          strictFail(parser, 'xmlns: prefix must be bound to ' + XMLNS_NAMESPACE + '\n' + 'Actual: ' + parser.attribValue);
        } else {
          var tag = parser.tag;
          var parent = parser.tags[parser.tags.length - 1] || parser;
          if (tag.ns === parent.ns) {
            tag.ns = Object.create(parent.ns);
          }
          tag.ns[local] = parser.attribValue;
        }
      }

      // defer onattribute events until all attributes have been seen
      // so any new bindings can take effect. preserve attribute order
      // so deferred events can be emitted in document order
      parser.attribList.push([parser.attribName, parser.attribValue]);
    } else {
      // in non-xmlns mode, we can emit the event right away
      parser.tag.attributes[parser.attribName] = parser.attribValue;
      emitNode(parser, 'onattribute', {
        name: parser.attribName,
        value: parser.attribValue
      });
    }
    parser.attribName = parser.attribValue = '';
  }
  function openTag(parser, selfClosing) {
    if (parser.opt.xmlns) {
      // emit namespace binding events
      var tag = parser.tag;

      // add namespace info to tag
      var qn = qname(parser.tagName);
      tag.prefix = qn.prefix;
      tag.local = qn.local;
      tag.uri = tag.ns[qn.prefix] || '';
      if (tag.prefix && !tag.uri) {
        strictFail(parser, 'Unbound namespace prefix: ' + JSON.stringify(parser.tagName));
        tag.uri = qn.prefix;
      }
      var parent = parser.tags[parser.tags.length - 1] || parser;
      if (tag.ns && parent.ns !== tag.ns) {
        Object.keys(tag.ns).forEach(function (p) {
          emitNode(parser, 'onopennamespace', {
            prefix: p,
            uri: tag.ns[p]
          });
        });
      }

      // handle deferred onattribute events
      // Note: do not apply default ns to attributes:
      //   http://www.w3.org/TR/REC-xml-names/#defaulting
      for (var i = 0, l = parser.attribList.length; i < l; i++) {
        var nv = parser.attribList[i];
        var name = nv[0];
        var value = nv[1];
        var qualName = qname(name, true);
        var prefix = qualName.prefix;
        var local = qualName.local;
        var uri = prefix === '' ? '' : tag.ns[prefix] || '';
        var a = {
          name: name,
          value: value,
          prefix: prefix,
          local: local,
          uri: uri
        };

        // if there's any attributes with an undefined namespace,
        // then fail on them now.
        if (prefix && prefix !== 'xmlns' && !uri) {
          strictFail(parser, 'Unbound namespace prefix: ' + JSON.stringify(prefix));
          a.uri = prefix;
        }
        parser.tag.attributes[name] = a;
        emitNode(parser, 'onattribute', a);
      }
      parser.attribList.length = 0;
    }
    parser.tag.isSelfClosing = !!selfClosing;

    // process the tag
    parser.sawRoot = true;
    parser.tags.push(parser.tag);
    emitNode(parser, 'onopentag', parser.tag);
    if (!selfClosing) {
      // special case for <script> in non-strict mode.
      if (!parser.noscript && parser.tagName.toLowerCase() === 'script') {
        parser.state = S.SCRIPT;
      } else {
        parser.state = S.TEXT;
      }
      parser.tag = null;
      parser.tagName = '';
    }
    parser.attribName = parser.attribValue = '';
    parser.attribList.length = 0;
  }
  function closeTag(parser) {
    if (!parser.tagName) {
      strictFail(parser, 'Weird empty close tag.');
      parser.textNode += '</>';
      parser.state = S.TEXT;
      return;
    }
    if (parser.script) {
      if (parser.tagName !== 'script') {
        parser.script += '</' + parser.tagName + '>';
        parser.tagName = '';
        parser.state = S.SCRIPT;
        return;
      }
      emitNode(parser, 'onscript', parser.script);
      parser.script = '';
    }

    // first make sure that the closing tag actually exists.
    // <a><b></c></b></a> will close everything, otherwise.
    var t = parser.tags.length;
    var tagName = parser.tagName;
    if (!parser.strict) {
      tagName = tagName[parser.looseCase]();
    }
    var closeTo = tagName;
    while (t--) {
      var close = parser.tags[t];
      if (close.name !== closeTo) {
        // fail the first time in strict mode
        strictFail(parser, 'Unexpected close tag');
      } else {
        break;
      }
    }

    // didn't find it.  we already failed for strict, so just abort.
    if (t < 0) {
      strictFail(parser, 'Unmatched closing tag: ' + parser.tagName);
      parser.textNode += '</' + parser.tagName + '>';
      parser.state = S.TEXT;
      return;
    }
    parser.tagName = tagName;
    var s = parser.tags.length;
    while (s-- > t) {
      var tag = parser.tag = parser.tags.pop();
      parser.tagName = parser.tag.name;
      emitNode(parser, 'onclosetag', parser.tagName);
      var x = {};
      for (var i in tag.ns) {
        x[i] = tag.ns[i];
      }
      var parent = parser.tags[parser.tags.length - 1] || parser;
      if (parser.opt.xmlns && tag.ns !== parent.ns) {
        // remove namespace bindings introduced by tag
        Object.keys(tag.ns).forEach(function (p) {
          var n = tag.ns[p];
          emitNode(parser, 'onclosenamespace', {
            prefix: p,
            uri: n
          });
        });
      }
    }
    if (t === 0) parser.closedRoot = true;
    parser.tagName = parser.attribValue = parser.attribName = '';
    parser.attribList.length = 0;
    parser.state = S.TEXT;
  }
  function parseEntity(parser) {
    var entity = parser.entity;
    var entityLC = entity.toLowerCase();
    var num;
    var numStr = '';
    if (parser.ENTITIES[entity]) {
      return parser.ENTITIES[entity];
    }
    if (parser.ENTITIES[entityLC]) {
      return parser.ENTITIES[entityLC];
    }
    entity = entityLC;
    if (entity.charAt(0) === '#') {
      if (entity.charAt(1) === 'x') {
        entity = entity.slice(2);
        num = parseInt(entity, 16);
        numStr = num.toString(16);
      } else {
        entity = entity.slice(1);
        num = parseInt(entity, 10);
        numStr = num.toString(10);
      }
    }
    entity = entity.replace(/^0+/, '');
    if (numStr.toLowerCase() !== entity) {
      strictFail(parser, 'Invalid character entity');
      return '&' + parser.entity + ';';
    }
    return String.fromCodePoint(num);
  }
  function beginWhiteSpace(parser, c) {
    if (c === '<') {
      parser.state = S.OPEN_WAKA;
      parser.startTagPosition = parser.position;
    } else if (not(whitespace, c)) {
      // have to process this as a text node.
      // weird, but happens.
      strictFail(parser, 'Non-whitespace before first tag.');
      parser.textNode = c;
      parser.state = S.TEXT;
    }
  }
  function charAt(chunk, i) {
    var result = '';
    if (i < chunk.length) {
      result = chunk.charAt(i);
    }
    return result;
  }
  function write(chunk) {
    var parser = this;
    if (this.error) {
      throw this.error;
    }
    if (parser.closed) {
      return error(parser, 'Cannot write after close. Assign an onready handler.');
    }
    if (chunk === null) {
      return end(parser);
    }
    if (typeof chunk === 'object') {
      chunk = chunk.toString();
    }
    var i = 0;
    var c = '';
    while (true) {
      c = charAt(chunk, i++);
      parser.c = c;
      if (!c) {
        break;
      }
      if (parser.trackPosition) {
        parser.position++;
        if (c === '\n') {
          parser.line++;
          parser.column = 0;
        } else {
          parser.column++;
        }
      }
      switch (parser.state) {
        case S.BEGIN:
          parser.state = S.BEGIN_WHITESPACE;
          if (c === '\uFEFF') {
            continue;
          }
          beginWhiteSpace(parser, c);
          continue;
        case S.BEGIN_WHITESPACE:
          beginWhiteSpace(parser, c);
          continue;
        case S.TEXT:
          if (parser.sawRoot && !parser.closedRoot) {
            var starti = i - 1;
            while (c && c !== '<' && c !== '&') {
              c = charAt(chunk, i++);
              if (c && parser.trackPosition) {
                parser.position++;
                if (c === '\n') {
                  parser.line++;
                  parser.column = 0;
                } else {
                  parser.column++;
                }
              }
            }
            parser.textNode += chunk.substring(starti, i - 1);
          }
          if (c === '<' && !(parser.sawRoot && parser.closedRoot && !parser.strict)) {
            parser.state = S.OPEN_WAKA;
            parser.startTagPosition = parser.position;
          } else {
            if (not(whitespace, c) && (!parser.sawRoot || parser.closedRoot)) {
              strictFail(parser, 'Text data outside of root node.');
            }
            if (c === '&') {
              parser.state = S.TEXT_ENTITY;
            } else {
              parser.textNode += c;
            }
          }
          continue;
        case S.SCRIPT:
          // only non-strict
          if (c === '<') {
            parser.state = S.SCRIPT_ENDING;
          } else {
            parser.script += c;
          }
          continue;
        case S.SCRIPT_ENDING:
          if (c === '/') {
            parser.state = S.CLOSE_TAG;
          } else {
            parser.script += '<' + c;
            parser.state = S.SCRIPT;
          }
          continue;
        case S.OPEN_WAKA:
          // either a /, ?, !, or text is coming next.
          if (c === '!') {
            parser.state = S.SGML_DECL;
            parser.sgmlDecl = '';
          } else if (is(whitespace, c)) {
            // wait for it...
          } else if (is(nameStart, c)) {
            parser.state = S.OPEN_TAG;
            parser.tagName = c;
          } else if (c === '/') {
            parser.state = S.CLOSE_TAG;
            parser.tagName = '';
          } else if (c === '?') {
            parser.state = S.PROC_INST;
            parser.procInstName = parser.procInstBody = '';
          } else {
            strictFail(parser, 'Unencoded <');
            // if there was some whitespace, then add that in.
            if (parser.startTagPosition + 1 < parser.position) {
              var pad = parser.position - parser.startTagPosition;
              c = new Array(pad).join(' ') + c;
            }
            parser.textNode += '<' + c;
            parser.state = S.TEXT;
          }
          continue;
        case S.SGML_DECL:
          if ((parser.sgmlDecl + c).toUpperCase() === CDATA) {
            emitNode(parser, 'onopencdata');
            parser.state = S.CDATA;
            parser.sgmlDecl = '';
            parser.cdata = '';
          } else if (parser.sgmlDecl + c === '--') {
            parser.state = S.COMMENT;
            parser.comment = '';
            parser.sgmlDecl = '';
          } else if ((parser.sgmlDecl + c).toUpperCase() === DOCTYPE) {
            parser.state = S.DOCTYPE;
            if (parser.doctype || parser.sawRoot) {
              strictFail(parser, 'Inappropriately located doctype declaration');
            }
            parser.doctype = '';
            parser.sgmlDecl = '';
          } else if (c === '>') {
            emitNode(parser, 'onsgmldeclaration', parser.sgmlDecl);
            parser.sgmlDecl = '';
            parser.state = S.TEXT;
          } else if (is(quote, c)) {
            parser.state = S.SGML_DECL_QUOTED;
            parser.sgmlDecl += c;
          } else {
            parser.sgmlDecl += c;
          }
          continue;
        case S.SGML_DECL_QUOTED:
          if (c === parser.q) {
            parser.state = S.SGML_DECL;
            parser.q = '';
          }
          parser.sgmlDecl += c;
          continue;
        case S.DOCTYPE:
          if (c === '>') {
            parser.state = S.TEXT;
            emitNode(parser, 'ondoctype', parser.doctype);
            parser.doctype = true; // just remember that we saw it.
          } else {
            parser.doctype += c;
            if (c === '[') {
              parser.state = S.DOCTYPE_DTD;
            } else if (is(quote, c)) {
              parser.state = S.DOCTYPE_QUOTED;
              parser.q = c;
            }
          }
          continue;
        case S.DOCTYPE_QUOTED:
          parser.doctype += c;
          if (c === parser.q) {
            parser.q = '';
            parser.state = S.DOCTYPE;
          }
          continue;
        case S.DOCTYPE_DTD:
          parser.doctype += c;
          if (c === ']') {
            parser.state = S.DOCTYPE;
          } else if (is(quote, c)) {
            parser.state = S.DOCTYPE_DTD_QUOTED;
            parser.q = c;
          }
          continue;
        case S.DOCTYPE_DTD_QUOTED:
          parser.doctype += c;
          if (c === parser.q) {
            parser.state = S.DOCTYPE_DTD;
            parser.q = '';
          }
          continue;
        case S.COMMENT:
          if (c === '-') {
            parser.state = S.COMMENT_ENDING;
          } else {
            parser.comment += c;
          }
          continue;
        case S.COMMENT_ENDING:
          if (c === '-') {
            parser.state = S.COMMENT_ENDED;
            parser.comment = textopts(parser.opt, parser.comment);
            if (parser.comment) {
              emitNode(parser, 'oncomment', parser.comment);
            }
            parser.comment = '';
          } else {
            parser.comment += '-' + c;
            parser.state = S.COMMENT;
          }
          continue;
        case S.COMMENT_ENDED:
          if (c !== '>') {
            strictFail(parser, 'Malformed comment');
            // allow <!-- blah -- bloo --> in non-strict mode,
            // which is a comment of " blah -- bloo "
            parser.comment += '--' + c;
            parser.state = S.COMMENT;
          } else {
            parser.state = S.TEXT;
          }
          continue;
        case S.CDATA:
          if (c === ']') {
            parser.state = S.CDATA_ENDING;
          } else {
            parser.cdata += c;
          }
          continue;
        case S.CDATA_ENDING:
          if (c === ']') {
            parser.state = S.CDATA_ENDING_2;
          } else {
            parser.cdata += ']' + c;
            parser.state = S.CDATA;
          }
          continue;
        case S.CDATA_ENDING_2:
          if (c === '>') {
            if (parser.cdata) {
              emitNode(parser, 'oncdata', parser.cdata);
            }
            emitNode(parser, 'onclosecdata');
            parser.cdata = '';
            parser.state = S.TEXT;
          } else if (c === ']') {
            parser.cdata += ']';
          } else {
            parser.cdata += ']]' + c;
            parser.state = S.CDATA;
          }
          continue;
        case S.PROC_INST:
          if (c === '?') {
            parser.state = S.PROC_INST_ENDING;
          } else if (is(whitespace, c)) {
            parser.state = S.PROC_INST_BODY;
          } else {
            parser.procInstName += c;
          }
          continue;
        case S.PROC_INST_BODY:
          if (!parser.procInstBody && is(whitespace, c)) {
            continue;
          } else if (c === '?') {
            parser.state = S.PROC_INST_ENDING;
          } else {
            parser.procInstBody += c;
          }
          continue;
        case S.PROC_INST_ENDING:
          if (c === '>') {
            emitNode(parser, 'onprocessinginstruction', {
              name: parser.procInstName,
              body: parser.procInstBody
            });
            parser.procInstName = parser.procInstBody = '';
            parser.state = S.TEXT;
          } else {
            parser.procInstBody += '?' + c;
            parser.state = S.PROC_INST_BODY;
          }
          continue;
        case S.OPEN_TAG:
          if (is(nameBody, c)) {
            parser.tagName += c;
          } else {
            newTag(parser);
            if (c === '>') {
              openTag(parser);
            } else if (c === '/') {
              parser.state = S.OPEN_TAG_SLASH;
            } else {
              if (not(whitespace, c)) {
                strictFail(parser, 'Invalid character in tag name');
              }
              parser.state = S.ATTRIB;
            }
          }
          continue;
        case S.OPEN_TAG_SLASH:
          if (c === '>') {
            openTag(parser, true);
            closeTag(parser);
          } else {
            strictFail(parser, 'Forward-slash in opening tag not followed by >');
            parser.state = S.ATTRIB;
          }
          continue;
        case S.ATTRIB:
          // haven't read the attribute name yet.
          if (is(whitespace, c)) {
            continue;
          } else if (c === '>') {
            openTag(parser);
          } else if (c === '/') {
            parser.state = S.OPEN_TAG_SLASH;
          } else if (is(nameStart, c)) {
            parser.attribName = c;
            parser.attribValue = '';
            parser.state = S.ATTRIB_NAME;
          } else {
            strictFail(parser, 'Invalid attribute name');
          }
          continue;
        case S.ATTRIB_NAME:
          if (c === '=') {
            parser.state = S.ATTRIB_VALUE;
          } else if (c === '>') {
            strictFail(parser, 'Attribute without value');
            parser.attribValue = parser.attribName;
            attrib(parser);
            openTag(parser);
          } else if (is(whitespace, c)) {
            parser.state = S.ATTRIB_NAME_SAW_WHITE;
          } else if (is(nameBody, c)) {
            parser.attribName += c;
          } else {
            strictFail(parser, 'Invalid attribute name');
          }
          continue;
        case S.ATTRIB_NAME_SAW_WHITE:
          if (c === '=') {
            parser.state = S.ATTRIB_VALUE;
          } else if (is(whitespace, c)) {
            continue;
          } else {
            strictFail(parser, 'Attribute without value');
            parser.tag.attributes[parser.attribName] = '';
            parser.attribValue = '';
            emitNode(parser, 'onattribute', {
              name: parser.attribName,
              value: ''
            });
            parser.attribName = '';
            if (c === '>') {
              openTag(parser);
            } else if (is(nameStart, c)) {
              parser.attribName = c;
              parser.state = S.ATTRIB_NAME;
            } else {
              strictFail(parser, 'Invalid attribute name');
              parser.state = S.ATTRIB;
            }
          }
          continue;
        case S.ATTRIB_VALUE:
          if (is(whitespace, c)) {
            continue;
          } else if (is(quote, c)) {
            parser.q = c;
            parser.state = S.ATTRIB_VALUE_QUOTED;
          } else {
            strictFail(parser, 'Unquoted attribute value');
            parser.state = S.ATTRIB_VALUE_UNQUOTED;
            parser.attribValue = c;
          }
          continue;
        case S.ATTRIB_VALUE_QUOTED:
          if (c !== parser.q) {
            if (c === '&') {
              parser.state = S.ATTRIB_VALUE_ENTITY_Q;
            } else {
              parser.attribValue += c;
            }
            continue;
          }
          attrib(parser);
          parser.q = '';
          parser.state = S.ATTRIB_VALUE_CLOSED;
          continue;
        case S.ATTRIB_VALUE_CLOSED:
          if (is(whitespace, c)) {
            parser.state = S.ATTRIB;
          } else if (c === '>') {
            openTag(parser);
          } else if (c === '/') {
            parser.state = S.OPEN_TAG_SLASH;
          } else if (is(nameStart, c)) {
            strictFail(parser, 'No whitespace between attributes');
            parser.attribName = c;
            parser.attribValue = '';
            parser.state = S.ATTRIB_NAME;
          } else {
            strictFail(parser, 'Invalid attribute name');
          }
          continue;
        case S.ATTRIB_VALUE_UNQUOTED:
          if (not(attribEnd, c)) {
            if (c === '&') {
              parser.state = S.ATTRIB_VALUE_ENTITY_U;
            } else {
              parser.attribValue += c;
            }
            continue;
          }
          attrib(parser);
          if (c === '>') {
            openTag(parser);
          } else {
            parser.state = S.ATTRIB;
          }
          continue;
        case S.CLOSE_TAG:
          if (!parser.tagName) {
            if (is(whitespace, c)) {
              continue;
            } else if (not(nameStart, c)) {
              if (parser.script) {
                parser.script += '</' + c;
                parser.state = S.SCRIPT;
              } else {
                strictFail(parser, 'Invalid tagname in closing tag.');
              }
            } else {
              parser.tagName = c;
            }
          } else if (c === '>') {
            closeTag(parser);
          } else if (is(nameBody, c)) {
            parser.tagName += c;
          } else if (parser.script) {
            parser.script += '</' + parser.tagName;
            parser.tagName = '';
            parser.state = S.SCRIPT;
          } else {
            if (not(whitespace, c)) {
              strictFail(parser, 'Invalid tagname in closing tag');
            }
            parser.state = S.CLOSE_TAG_SAW_WHITE;
          }
          continue;
        case S.CLOSE_TAG_SAW_WHITE:
          if (is(whitespace, c)) {
            continue;
          }
          if (c === '>') {
            closeTag(parser);
          } else {
            strictFail(parser, 'Invalid characters in closing tag');
          }
          continue;
        case S.TEXT_ENTITY:
        case S.ATTRIB_VALUE_ENTITY_Q:
        case S.ATTRIB_VALUE_ENTITY_U:
          var returnState;
          var buffer;
          switch (parser.state) {
            case S.TEXT_ENTITY:
              returnState = S.TEXT;
              buffer = 'textNode';
              break;
            case S.ATTRIB_VALUE_ENTITY_Q:
              returnState = S.ATTRIB_VALUE_QUOTED;
              buffer = 'attribValue';
              break;
            case S.ATTRIB_VALUE_ENTITY_U:
              returnState = S.ATTRIB_VALUE_UNQUOTED;
              buffer = 'attribValue';
              break;
          }
          if (c === ';') {
            parser[buffer] += parseEntity(parser);
            parser.entity = '';
            parser.state = returnState;
          } else if (is(parser.entity.length ? entityBody : entityStart, c)) {
            parser.entity += c;
          } else {
            strictFail(parser, 'Invalid character in entity name');
            parser[buffer] += '&' + parser.entity + c;
            parser.entity = '';
            parser.state = returnState;
          }
          continue;
        default:
          throw new Error(parser, 'Unknown state: ' + parser.state);
      }
    } // while

    if (parser.position >= parser.bufferCheckPosition) {
      checkBufferLength(parser);
    }
    return parser;
  }

  /*! http://mths.be/fromcodepoint v0.1.0 by @mathias */
  if (!String.fromCodePoint) {
    (function () {
      var stringFromCharCode = String.fromCharCode;
      var floor = Math.floor;
      var fromCodePoint = function () {
        var MAX_SIZE = 0x4000;
        var codeUnits = [];
        var highSurrogate;
        var lowSurrogate;
        var index = -1;
        var length = arguments.length;
        if (!length) {
          return '';
        }
        var result = '';
        while (++index < length) {
          var codePoint = Number(arguments[index]);
          if (!isFinite(codePoint) ||
          // `NaN`, `+Infinity`, or `-Infinity`
          codePoint < 0 ||
          // not a valid Unicode code point
          codePoint > 0x10FFFF ||
          // not a valid Unicode code point
          floor(codePoint) !== codePoint // not an integer
          ) {
            throw RangeError('Invalid code point: ' + codePoint);
          }
          if (codePoint <= 0xFFFF) {
            // BMP code point
            codeUnits.push(codePoint);
          } else {
            // Astral code point; split in surrogate halves
            // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
            codePoint -= 0x10000;
            highSurrogate = (codePoint >> 10) + 0xD800;
            lowSurrogate = codePoint % 0x400 + 0xDC00;
            codeUnits.push(highSurrogate, lowSurrogate);
          }
          if (index + 1 === length || codeUnits.length > MAX_SIZE) {
            result += stringFromCharCode.apply(null, codeUnits);
            codeUnits.length = 0;
          }
        }
        return result;
      };
      if (Object.defineProperty) {
        Object.defineProperty(String, 'fromCodePoint', {
          value: fromCodePoint,
          configurable: true,
          writable: true
        });
      } else {
        String.fromCodePoint = fromCodePoint;
      }
    })();
  }
})( false ? 0 : exports);

/***/ }),

/***/ "./node_modules/imsc/src/main/js/doc.js":
/*!**********************************************!*\
  !*** ./node_modules/imsc/src/main/js/doc.js ***!
  \**********************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @module imscDoc
 */

;
(function (imscDoc, sax, imscNames, imscStyles, imscUtils) {
  /**
   * Allows a client to provide callbacks to handle children of the <metadata> element
   * @typedef {Object} MetadataHandler
   * @property {?OpenTagCallBack} onOpenTag
   * @property {?CloseTagCallBack} onCloseTag
   * @property {?TextCallBack} onText
   */

  /**
   * Called when the opening tag of an element node is encountered.
   * @callback OpenTagCallBack
   * @param {string} ns Namespace URI of the element
   * @param {string} name Local name of the element
   * @param {Object[]} attributes List of attributes, each consisting of a
   *                              `uri`, `name` and `value`
   */

  /**
   * Called when the closing tag of an element node is encountered.
   * @callback CloseTagCallBack
   */

  /**
   * Called when a text node is encountered.
   * @callback TextCallBack
   * @param {string} contents Contents of the text node
   */

  /**
   * Parses an IMSC1 document into an opaque in-memory representation that exposes
   * a single method <pre>getMediaTimeEvents()</pre> that returns a list of time
   * offsets (in seconds) of the ISD, i.e. the points in time where the visual
   * representation of the document change. `metadataHandler` allows the caller to
   * be called back when nodes are present in <metadata> elements. 
   * 
   * @param {string} xmlstring XML document
   * @param {?module:imscUtils.ErrorHandler} errorHandler Error callback
   * @param {?MetadataHandler} metadataHandler Callback for <Metadata> elements
   * @returns {Object} Opaque in-memory representation of an IMSC1 document
   */

  imscDoc.fromXML = function (xmlstring, errorHandler, metadataHandler) {
    var p = sax.parser(true, {
      xmlns: true
    });
    var estack = [];
    var xmllangstack = [];
    var xmlspacestack = [];
    var metadata_depth = 0;
    var doc = null;
    p.onclosetag = function (node) {
      if (estack[0] instanceof Region) {
        /* merge referenced styles */

        if (doc.head !== null && doc.head.styling !== null) {
          mergeReferencedStyles(doc.head.styling, estack[0].styleRefs, estack[0].styleAttrs, errorHandler);
        }
        delete estack[0].styleRefs;
      } else if (estack[0] instanceof Styling) {
        /* flatten chained referential styling */

        for (var sid in estack[0].styles) {
          if (!estack[0].styles.hasOwnProperty(sid)) continue;
          mergeChainedStyles(estack[0], estack[0].styles[sid], errorHandler);
        }
      } else if (estack[0] instanceof P || estack[0] instanceof Span) {
        /* merge anonymous spans */

        if (estack[0].contents.length > 1) {
          var cs = [estack[0].contents[0]];
          var c;
          for (c = 1; c < estack[0].contents.length; c++) {
            if (estack[0].contents[c] instanceof AnonymousSpan && cs[cs.length - 1] instanceof AnonymousSpan) {
              cs[cs.length - 1].text += estack[0].contents[c].text;
            } else {
              cs.push(estack[0].contents[c]);
            }
          }
          estack[0].contents = cs;
        }

        // remove redundant nested anonymous spans (9.3.3(1)(c))

        if (estack[0] instanceof Span && estack[0].contents.length === 1 && estack[0].contents[0] instanceof AnonymousSpan) {
          estack[0].text = estack[0].contents[0].text;
          delete estack[0].contents;
        }
      } else if (estack[0] instanceof ForeignElement) {
        if (estack[0].node.uri === imscNames.ns_tt && estack[0].node.local === 'metadata') {
          /* leave the metadata element */

          metadata_depth--;
        } else if (metadata_depth > 0 && metadataHandler && 'onCloseTag' in metadataHandler) {
          /* end of child of metadata element */

          metadataHandler.onCloseTag();
        }
      }

      // TODO: delete stylerefs?

      // maintain the xml:space stack

      xmlspacestack.shift();

      // maintain the xml:lang stack

      xmllangstack.shift();

      // prepare for the next element

      estack.shift();
    };
    p.ontext = function (str) {
      if (estack[0] === undefined) {

        /* ignoring text outside of elements */
      } else if (estack[0] instanceof Span || estack[0] instanceof P) {
        /* ignore children text nodes in ruby container spans */

        if (estack[0] instanceof Span) {
          var ruby = estack[0].styleAttrs[imscStyles.byName.ruby.qname];
          if (ruby === 'container' || ruby === 'textContainer' || ruby === 'baseContainer') {
            return;
          }
        }

        /* create an anonymous span */

        var s = new AnonymousSpan();
        s.initFromText(doc, estack[0], str, xmllangstack[0], xmlspacestack[0], errorHandler);
        estack[0].contents.push(s);
      } else if (estack[0] instanceof ForeignElement && metadata_depth > 0 && metadataHandler && 'onText' in metadataHandler) {
        /* text node within a child of metadata element */

        metadataHandler.onText(str);
      }
    };
    p.onopentag = function (node) {
      // maintain the xml:space stack

      var xmlspace = node.attributes["xml:space"];
      if (xmlspace) {
        xmlspacestack.unshift(xmlspace.value);
      } else {
        if (xmlspacestack.length === 0) {
          xmlspacestack.unshift("default");
        } else {
          xmlspacestack.unshift(xmlspacestack[0]);
        }
      }

      /* maintain the xml:lang stack */

      var xmllang = node.attributes["xml:lang"];
      if (xmllang) {
        xmllangstack.unshift(xmllang.value);
      } else {
        if (xmllangstack.length === 0) {
          xmllangstack.unshift("");
        } else {
          xmllangstack.unshift(xmllangstack[0]);
        }
      }

      /* process the element */

      if (node.uri === imscNames.ns_tt) {
        if (node.local === 'tt') {
          if (doc !== null) {
            reportFatal(errorHandler, "Two <tt> elements at (" + this.line + "," + this.column + ")");
          }
          doc = new TT();
          doc.initFromNode(node, xmllangstack[0], errorHandler);
          estack.unshift(doc);
        } else if (node.local === 'head') {
          if (!(estack[0] instanceof TT)) {
            reportFatal(errorHandler, "Parent of <head> element is not <tt> at (" + this.line + "," + this.column + ")");
          }
          estack.unshift(doc.head);
        } else if (node.local === 'styling') {
          if (!(estack[0] instanceof Head)) {
            reportFatal(errorHandler, "Parent of <styling> element is not <head> at (" + this.line + "," + this.column + ")");
          }
          estack.unshift(doc.head.styling);
        } else if (node.local === 'style') {
          var s;
          if (estack[0] instanceof Styling) {
            s = new Style();
            s.initFromNode(node, errorHandler);

            /* ignore <style> element missing @id */

            if (!s.id) {
              reportError(errorHandler, "<style> element missing @id attribute");
            } else {
              doc.head.styling.styles[s.id] = s;
            }
            estack.unshift(s);
          } else if (estack[0] instanceof Region) {
            /* nested styles can be merged with specified styles
             * immediately, with lower priority
             * (see 8.4.4.2(3) at TTML1 )
             */

            s = new Style();
            s.initFromNode(node, errorHandler);
            mergeStylesIfNotPresent(s.styleAttrs, estack[0].styleAttrs);
            estack.unshift(s);
          } else {
            reportFatal(errorHandler, "Parent of <style> element is not <styling> or <region> at (" + this.line + "," + this.column + ")");
          }
        } else if (node.local === 'initial') {
          var ini;
          if (estack[0] instanceof Styling) {
            ini = new Initial();
            ini.initFromNode(node, errorHandler);
            for (var qn in ini.styleAttrs) {
              if (!ini.styleAttrs.hasOwnProperty(qn)) continue;
              doc.head.styling.initials[qn] = ini.styleAttrs[qn];
            }
            estack.unshift(ini);
          } else {
            reportFatal(errorHandler, "Parent of <initial> element is not <styling> at (" + this.line + "," + this.column + ")");
          }
        } else if (node.local === 'layout') {
          if (!(estack[0] instanceof Head)) {
            reportFatal(errorHandler, "Parent of <layout> element is not <head> at " + this.line + "," + this.column + ")");
          }
          estack.unshift(doc.head.layout);
        } else if (node.local === 'region') {
          if (!(estack[0] instanceof Layout)) {
            reportFatal(errorHandler, "Parent of <region> element is not <layout> at " + this.line + "," + this.column + ")");
          }
          var r = new Region();
          r.initFromNode(doc, node, xmllangstack[0], errorHandler);
          if (!r.id || r.id in doc.head.layout.regions) {
            reportError(errorHandler, "Ignoring <region> with duplicate or missing @id at " + this.line + "," + this.column + ")");
          } else {
            doc.head.layout.regions[r.id] = r;
          }
          estack.unshift(r);
        } else if (node.local === 'body') {
          if (!(estack[0] instanceof TT)) {
            reportFatal(errorHandler, "Parent of <body> element is not <tt> at " + this.line + "," + this.column + ")");
          }
          if (doc.body !== null) {
            reportFatal(errorHandler, "Second <body> element at " + this.line + "," + this.column + ")");
          }
          var b = new Body();
          b.initFromNode(doc, node, xmllangstack[0], errorHandler);
          doc.body = b;
          estack.unshift(b);
        } else if (node.local === 'div') {
          if (!(estack[0] instanceof Div || estack[0] instanceof Body)) {
            reportFatal(errorHandler, "Parent of <div> element is not <body> or <div> at " + this.line + "," + this.column + ")");
          }
          var d = new Div();
          d.initFromNode(doc, estack[0], node, xmllangstack[0], errorHandler);

          /* transform smpte:backgroundImage to TTML2 image element */

          var bi = d.styleAttrs[imscStyles.byName.backgroundImage.qname];
          if (bi) {
            d.contents.push(new Image(bi));
            delete d.styleAttrs[imscStyles.byName.backgroundImage.qname];
          }
          estack[0].contents.push(d);
          estack.unshift(d);
        } else if (node.local === 'image') {
          if (!(estack[0] instanceof Div)) {
            reportFatal(errorHandler, "Parent of <image> element is not <div> at " + this.line + "," + this.column + ")");
          }
          var img = new Image();
          img.initFromNode(doc, estack[0], node, xmllangstack[0], errorHandler);
          estack[0].contents.push(img);
          estack.unshift(img);
        } else if (node.local === 'p') {
          if (!(estack[0] instanceof Div)) {
            reportFatal(errorHandler, "Parent of <p> element is not <div> at " + this.line + "," + this.column + ")");
          }
          var p = new P();
          p.initFromNode(doc, estack[0], node, xmllangstack[0], errorHandler);
          estack[0].contents.push(p);
          estack.unshift(p);
        } else if (node.local === 'span') {
          if (!(estack[0] instanceof Span || estack[0] instanceof P)) {
            reportFatal(errorHandler, "Parent of <span> element is not <span> or <p> at " + this.line + "," + this.column + ")");
          }
          var ns = new Span();
          ns.initFromNode(doc, estack[0], node, xmllangstack[0], xmlspacestack[0], errorHandler);
          estack[0].contents.push(ns);
          estack.unshift(ns);
        } else if (node.local === 'br') {
          if (!(estack[0] instanceof Span || estack[0] instanceof P)) {
            reportFatal(errorHandler, "Parent of <br> element is not <span> or <p> at " + this.line + "," + this.column + ")");
          }
          var nb = new Br();
          nb.initFromNode(doc, estack[0], node, xmllangstack[0], errorHandler);
          estack[0].contents.push(nb);
          estack.unshift(nb);
        } else if (node.local === 'set') {
          if (!(estack[0] instanceof Span || estack[0] instanceof P || estack[0] instanceof Div || estack[0] instanceof Body || estack[0] instanceof Region || estack[0] instanceof Br)) {
            reportFatal(errorHandler, "Parent of <set> element is not a content element or a region at " + this.line + "," + this.column + ")");
          }
          var st = new Set();
          st.initFromNode(doc, estack[0], node, errorHandler);
          estack[0].sets.push(st);
          estack.unshift(st);
        } else {
          /* element in the TT namespace, but not a content element */

          estack.unshift(new ForeignElement(node));
        }
      } else {
        /* ignore elements not in the TTML namespace unless in metadata element */

        estack.unshift(new ForeignElement(node));
      }

      /* handle metadata callbacks */

      if (estack[0] instanceof ForeignElement) {
        if (node.uri === imscNames.ns_tt && node.local === 'metadata') {
          /* enter the metadata element */

          metadata_depth++;
        } else if (metadata_depth > 0 && metadataHandler && 'onOpenTag' in metadataHandler) {
          /* start of child of metadata element */

          var attrs = [];
          for (var a in node.attributes) {
            attrs[node.attributes[a].uri + " " + node.attributes[a].local] = {
              uri: node.attributes[a].uri,
              local: node.attributes[a].local,
              value: node.attributes[a].value
            };
          }
          metadataHandler.onOpenTag(node.uri, node.local, attrs);
        }
      }
    };

    // parse the document

    p.write(xmlstring).close();

    // all referential styling has been flatten, so delete styles

    delete doc.head.styling.styles;

    // create default region if no regions specified

    var hasRegions = false;

    /* AFAIK the only way to determine whether an object has members */

    for (var i in doc.head.layout.regions) {
      if (doc.head.layout.regions.hasOwnProperty(i)) {
        hasRegions = true;
        break;
      }
    }
    if (!hasRegions) {
      /* create default region */

      var dr = Region.prototype.createDefaultRegion(doc.lang);
      doc.head.layout.regions[dr.id] = dr;
    }

    /* resolve desired timing for regions */

    for (var region_i in doc.head.layout.regions) {
      if (!doc.head.layout.regions.hasOwnProperty(region_i)) continue;
      resolveTiming(doc, doc.head.layout.regions[region_i], null, null);
    }

    /* resolve desired timing for content elements */

    if (doc.body) {
      resolveTiming(doc, doc.body, null, null);
    }

    /* remove undefined spans in ruby containers */

    if (doc.body) {
      cleanRubyContainers(doc.body);
    }
    return doc;
  };
  function cleanRubyContainers(element) {
    if (!('contents' in element)) return;
    var rubyval = 'styleAttrs' in element ? element.styleAttrs[imscStyles.byName.ruby.qname] : null;
    var isrubycontainer = element.kind === 'span' && (rubyval === "container" || rubyval === "textContainer" || rubyval === "baseContainer");
    for (var i = element.contents.length - 1; i >= 0; i--) {
      if (isrubycontainer && !('styleAttrs' in element.contents[i] && imscStyles.byName.ruby.qname in element.contents[i].styleAttrs)) {
        /* prune undefined <span> in ruby containers */

        delete element.contents[i];
      } else {
        cleanRubyContainers(element.contents[i]);
      }
    }
  }
  function resolveTiming(doc, element, prev_sibling, parent) {
    /* are we in a seq container? */

    var isinseq = parent && parent.timeContainer === "seq";

    /* determine implicit begin */

    var implicit_begin = 0; /* default */

    if (parent) {
      if (isinseq && prev_sibling) {
        /*
         * if seq time container, offset from the previous sibling end
         */

        implicit_begin = prev_sibling.end;
      } else {
        implicit_begin = parent.begin;
      }
    }

    /* compute desired begin */

    element.begin = element.explicit_begin ? element.explicit_begin + implicit_begin : implicit_begin;

    /* determine implicit end */

    var implicit_end = element.begin;
    var s = null;
    if ("sets" in element) {
      for (var set_i = 0; set_i < element.sets.length; set_i++) {
        resolveTiming(doc, element.sets[set_i], s, element);
        if (element.timeContainer === "seq") {
          implicit_end = element.sets[set_i].end;
        } else {
          implicit_end = Math.max(implicit_end, element.sets[set_i].end);
        }
        s = element.sets[set_i];
      }
    }
    if (!('contents' in element)) {
      /* anonymous spans and regions and <set> and <br>s and spans with only children text nodes */

      if (isinseq) {
        /* in seq container, implicit duration is zero */

        implicit_end = element.begin;
      } else {
        /* in par container, implicit duration is indefinite */

        implicit_end = Number.POSITIVE_INFINITY;
      }
    } else if ("contents" in element) {
      for (var content_i = 0; content_i < element.contents.length; content_i++) {
        resolveTiming(doc, element.contents[content_i], s, element);
        if (element.timeContainer === "seq") {
          implicit_end = element.contents[content_i].end;
        } else {
          implicit_end = Math.max(implicit_end, element.contents[content_i].end);
        }
        s = element.contents[content_i];
      }
    }

    /* determine desired end */
    /* it is never made really clear in SMIL that the explicit end is offset by the implicit begin */

    if (element.explicit_end !== null && element.explicit_dur !== null) {
      element.end = Math.min(element.begin + element.explicit_dur, implicit_begin + element.explicit_end);
    } else if (element.explicit_end === null && element.explicit_dur !== null) {
      element.end = element.begin + element.explicit_dur;
    } else if (element.explicit_end !== null && element.explicit_dur === null) {
      element.end = implicit_begin + element.explicit_end;
    } else {
      element.end = implicit_end;
    }
    delete element.explicit_begin;
    delete element.explicit_dur;
    delete element.explicit_end;
    doc._registerEvent(element);
  }
  function ForeignElement(node) {
    this.node = node;
  }
  function TT() {
    this.events = [];
    this.head = new Head();
    this.body = null;
  }
  TT.prototype.initFromNode = function (node, xmllang, errorHandler) {
    /* compute cell resolution */

    var cr = extractCellResolution(node, errorHandler);
    this.cellLength = {
      'h': new imscUtils.ComputedLength(0, 1 / cr.h),
      'w': new imscUtils.ComputedLength(1 / cr.w, 0)
    };

    /* extract frame rate and tick rate */

    var frtr = extractFrameAndTickRate(node, errorHandler);
    this.effectiveFrameRate = frtr.effectiveFrameRate;
    this.tickRate = frtr.tickRate;

    /* extract aspect ratio */

    this.aspectRatio = extractAspectRatio(node, errorHandler);

    /* check timebase */

    var attr = findAttribute(node, imscNames.ns_ttp, "timeBase");
    if (attr !== null && attr !== "media") {
      reportFatal(errorHandler, "Unsupported time base");
    }

    /* retrieve extent */

    var e = extractExtent(node, errorHandler);
    if (e === null) {
      this.pxLength = {
        'h': null,
        'w': null
      };
    } else {
      if (e.h.unit !== "px" || e.w.unit !== "px") {
        reportFatal(errorHandler, "Extent on TT must be in px or absent");
      }
      this.pxLength = {
        'h': new imscUtils.ComputedLength(0, 1 / e.h.value),
        'w': new imscUtils.ComputedLength(1 / e.w.value, 0)
      };
    }

    /** set root container dimensions to (1, 1) arbitrarily
      * the root container is mapped to actual dimensions at rendering
    **/

    this.dimensions = {
      'h': new imscUtils.ComputedLength(0, 1),
      'w': new imscUtils.ComputedLength(1, 0)
    };

    /* xml:lang */

    this.lang = xmllang;
  };

  /* register a temporal events */
  TT.prototype._registerEvent = function (elem) {
    /* skip if begin is not < then end */

    if (elem.end <= elem.begin) return;

    /* index the begin time of the event */

    var b_i = indexOf(this.events, elem.begin);
    if (!b_i.found) {
      this.events.splice(b_i.index, 0, elem.begin);
    }

    /* index the end time of the event */

    if (elem.end !== Number.POSITIVE_INFINITY) {
      var e_i = indexOf(this.events, elem.end);
      if (!e_i.found) {
        this.events.splice(e_i.index, 0, elem.end);
      }
    }
  };

  /*
   * Retrieves the range of ISD times covered by the document
   * 
   * @returns {Array} Array of two elements: min_begin_time and max_begin_time
   * 
   */
  TT.prototype.getMediaTimeRange = function () {
    return [this.events[0], this.events[this.events.length - 1]];
  };

  /*
   * Returns list of ISD begin times  
   * 
   * @returns {Array}
   */
  TT.prototype.getMediaTimeEvents = function () {
    return this.events;
  };

  /*
   * Represents a TTML Head element
   */

  function Head() {
    this.styling = new Styling();
    this.layout = new Layout();
  }

  /*
   * Represents a TTML Styling element
   */

  function Styling() {
    this.styles = {};
    this.initials = {};
  }

  /*
   * Represents a TTML Style element
   */

  function Style() {
    this.id = null;
    this.styleAttrs = null;
    this.styleRefs = null;
  }
  Style.prototype.initFromNode = function (node, errorHandler) {
    this.id = elementGetXMLID(node);
    this.styleAttrs = elementGetStyles(node, errorHandler);
    this.styleRefs = elementGetStyleRefs(node);
  };

  /*
   * Represents a TTML initial element
   */

  function Initial() {
    this.styleAttrs = null;
  }
  Initial.prototype.initFromNode = function (node, errorHandler) {
    this.styleAttrs = {};
    for (var i in node.attributes) {
      if (node.attributes[i].uri === imscNames.ns_itts || node.attributes[i].uri === imscNames.ns_ebutts || node.attributes[i].uri === imscNames.ns_tts) {
        var qname = node.attributes[i].uri + " " + node.attributes[i].local;
        this.styleAttrs[qname] = node.attributes[i].value;
      }
    }
  };

  /*
   * Represents a TTML Layout element
   * 
   */

  function Layout() {
    this.regions = {};
  }

  /*
   * Represents a TTML image element
   */

  function Image(src, type) {
    ContentElement.call(this, 'image');
    this.src = src;
    this.type = type;
  }
  Image.prototype.initFromNode = function (doc, parent, node, xmllang, errorHandler) {
    this.src = 'src' in node.attributes ? node.attributes.src.value : null;
    if (!this.src) {
      reportError(errorHandler, "Invalid image@src attribute");
    }
    this.type = 'type' in node.attributes ? node.attributes.type.value : null;
    if (!this.type) {
      reportError(errorHandler, "Invalid image@type attribute");
    }
    StyledElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    AnimatedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    LayoutElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    this.lang = xmllang;
  };

  /*
   * TTML element utility functions
   * 
   */

  function ContentElement(kind) {
    this.kind = kind;
  }
  function IdentifiedElement(id) {
    this.id = id;
  }
  IdentifiedElement.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    this.id = elementGetXMLID(node);
  };
  function LayoutElement(id) {
    this.regionID = id;
  }
  LayoutElement.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    this.regionID = elementGetRegionID(node);
  };
  function StyledElement(styleAttrs) {
    this.styleAttrs = styleAttrs;
  }
  StyledElement.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    this.styleAttrs = elementGetStyles(node, errorHandler);
    if (doc.head !== null && doc.head.styling !== null) {
      mergeReferencedStyles(doc.head.styling, elementGetStyleRefs(node), this.styleAttrs, errorHandler);
    }
  };
  function AnimatedElement(sets) {
    this.sets = sets;
  }
  AnimatedElement.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    this.sets = [];
  };
  function ContainerElement(contents) {
    this.contents = contents;
  }
  ContainerElement.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    this.contents = [];
  };
  function TimedElement(explicit_begin, explicit_end, explicit_dur) {
    this.explicit_begin = explicit_begin;
    this.explicit_end = explicit_end;
    this.explicit_dur = explicit_dur;
  }
  TimedElement.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    var t = processTiming(doc, parent, node, errorHandler);
    this.explicit_begin = t.explicit_begin;
    this.explicit_end = t.explicit_end;
    this.explicit_dur = t.explicit_dur;
    this.timeContainer = elementGetTimeContainer(node, errorHandler);
  };

  /*
   * Represents a TTML body element
   */

  function Body() {
    ContentElement.call(this, 'body');
  }
  Body.prototype.initFromNode = function (doc, node, xmllang, errorHandler) {
    StyledElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    AnimatedElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    LayoutElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    ContainerElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    this.lang = xmllang;
  };

  /*
   * Represents a TTML div element
   */

  function Div() {
    ContentElement.call(this, 'div');
  }
  Div.prototype.initFromNode = function (doc, parent, node, xmllang, errorHandler) {
    StyledElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    AnimatedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    LayoutElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    ContainerElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    this.lang = xmllang;
  };

  /*
   * Represents a TTML p element
   */

  function P() {
    ContentElement.call(this, 'p');
  }
  P.prototype.initFromNode = function (doc, parent, node, xmllang, errorHandler) {
    StyledElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    AnimatedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    LayoutElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    ContainerElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    this.lang = xmllang;
  };

  /*
   * Represents a TTML span element
   */

  function Span() {
    ContentElement.call(this, 'span');
  }
  Span.prototype.initFromNode = function (doc, parent, node, xmllang, xmlspace, errorHandler) {
    StyledElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    AnimatedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    LayoutElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    ContainerElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    this.space = xmlspace;
    this.lang = xmllang;
  };

  /*
   * Represents a TTML anonymous span element
   */

  function AnonymousSpan() {
    ContentElement.call(this, 'span');
  }
  AnonymousSpan.prototype.initFromText = function (doc, parent, text, xmllang, xmlspace, errorHandler) {
    TimedElement.prototype.initFromNode.call(this, doc, parent, null, errorHandler);
    this.text = text;
    this.space = xmlspace;
    this.lang = xmllang;
  };

  /*
   * Represents a TTML br element
   */

  function Br() {
    ContentElement.call(this, 'br');
  }
  Br.prototype.initFromNode = function (doc, parent, node, xmllang, errorHandler) {
    LayoutElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    this.lang = xmllang;
  };

  /*
   * Represents a TTML Region element
   * 
   */

  function Region() {}
  Region.prototype.createDefaultRegion = function (xmllang) {
    var r = new Region();
    IdentifiedElement.call(r, '');
    StyledElement.call(r, {});
    AnimatedElement.call(r, []);
    TimedElement.call(r, 0, Number.POSITIVE_INFINITY, null);
    this.lang = xmllang;
    return r;
  };
  Region.prototype.initFromNode = function (doc, node, xmllang, errorHandler) {
    IdentifiedElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    TimedElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);
    AnimatedElement.prototype.initFromNode.call(this, doc, null, node, errorHandler);

    /* add specified styles */

    this.styleAttrs = elementGetStyles(node, errorHandler);

    /* remember referential styles for merging after nested styling is processed*/

    this.styleRefs = elementGetStyleRefs(node);

    /* xml:lang */

    this.lang = xmllang;
  };

  /*
   * Represents a TTML Set element
   * 
   */

  function Set() {}
  Set.prototype.initFromNode = function (doc, parent, node, errorHandler) {
    TimedElement.prototype.initFromNode.call(this, doc, parent, node, errorHandler);
    var styles = elementGetStyles(node, errorHandler);
    this.qname = null;
    this.value = null;
    for (var qname in styles) {
      if (!styles.hasOwnProperty(qname)) continue;
      if (this.qname) {
        reportError(errorHandler, "More than one style specified on set");
        break;
      }
      this.qname = qname;
      this.value = styles[qname];
    }
  };

  /*
   * Utility functions
   * 
   */

  function elementGetXMLID(node) {
    return node && 'xml:id' in node.attributes ? node.attributes['xml:id'].value || null : null;
  }
  function elementGetRegionID(node) {
    return node && 'region' in node.attributes ? node.attributes.region.value : '';
  }
  function elementGetTimeContainer(node, errorHandler) {
    var tc = node && 'timeContainer' in node.attributes ? node.attributes.timeContainer.value : null;
    if (!tc || tc === "par") {
      return "par";
    } else if (tc === "seq") {
      return "seq";
    } else {
      reportError(errorHandler, "Illegal value of timeContainer (assuming 'par')");
      return "par";
    }
  }
  function elementGetStyleRefs(node) {
    return node && 'style' in node.attributes ? node.attributes.style.value.split(" ") : [];
  }
  function elementGetStyles(node, errorHandler) {
    var s = {};
    if (node !== null) {
      for (var i in node.attributes) {
        var qname = node.attributes[i].uri + " " + node.attributes[i].local;
        var sa = imscStyles.byQName[qname];
        if (sa !== undefined) {
          var val = sa.parse(node.attributes[i].value);
          if (val !== null) {
            s[qname] = val;

            /* TODO: consider refactoring errorHandler into parse and compute routines */

            if (sa === imscStyles.byName.zIndex) {
              reportWarning(errorHandler, "zIndex attribute present but not used by IMSC1 since regions do not overlap");
            }
          } else {
            reportError(errorHandler, "Cannot parse styling attribute " + qname + " --> " + node.attributes[i].value);
          }
        }
      }
    }
    return s;
  }
  function findAttribute(node, ns, name) {
    for (var i in node.attributes) {
      if (node.attributes[i].uri === ns && node.attributes[i].local === name) {
        return node.attributes[i].value;
      }
    }
    return null;
  }
  function extractAspectRatio(node, errorHandler) {
    var ar = findAttribute(node, imscNames.ns_ittp, "aspectRatio");
    if (ar === null) {
      ar = findAttribute(node, imscNames.ns_ttp, "displayAspectRatio");
    }
    var rslt = null;
    if (ar !== null) {
      var ASPECT_RATIO_RE = /(\d+)\s+(\d+)/;
      var m = ASPECT_RATIO_RE.exec(ar);
      if (m !== null) {
        var w = parseInt(m[1]);
        var h = parseInt(m[2]);
        if (w !== 0 && h !== 0) {
          rslt = w / h;
        } else {
          reportError(errorHandler, "Illegal aspectRatio values (ignoring)");
        }
      } else {
        reportError(errorHandler, "Malformed aspectRatio attribute (ignoring)");
      }
    }
    return rslt;
  }

  /*
   * Returns the cellResolution attribute from a node
   * 
   */
  function extractCellResolution(node, errorHandler) {
    var cr = findAttribute(node, imscNames.ns_ttp, "cellResolution");

    // initial value

    var h = 15;
    var w = 32;
    if (cr !== null) {
      var CELL_RESOLUTION_RE = /(\d+) (\d+)/;
      var m = CELL_RESOLUTION_RE.exec(cr);
      if (m !== null) {
        w = parseInt(m[1]);
        h = parseInt(m[2]);
      } else {
        reportWarning(errorHandler, "Malformed cellResolution value (using initial value instead)");
      }
    }
    return {
      'w': w,
      'h': h
    };
  }
  function extractFrameAndTickRate(node, errorHandler) {
    // subFrameRate is ignored per IMSC1 specification

    // extract frame rate

    var fps_attr = findAttribute(node, imscNames.ns_ttp, "frameRate");

    // initial value

    var fps = 30;

    // match variable

    var m;
    if (fps_attr !== null) {
      var FRAME_RATE_RE = /(\d+)/;
      m = FRAME_RATE_RE.exec(fps_attr);
      if (m !== null) {
        fps = parseInt(m[1]);
      } else {
        reportWarning(errorHandler, "Malformed frame rate attribute (using initial value instead)");
      }
    }

    // extract frame rate multiplier

    var frm_attr = findAttribute(node, imscNames.ns_ttp, "frameRateMultiplier");

    // initial value

    var frm = 1;
    if (frm_attr !== null) {
      var FRAME_RATE_MULT_RE = /(\d+) (\d+)/;
      m = FRAME_RATE_MULT_RE.exec(frm_attr);
      if (m !== null) {
        frm = parseInt(m[1]) / parseInt(m[2]);
      } else {
        reportWarning(errorHandler, "Malformed frame rate multiplier attribute (using initial value instead)");
      }
    }
    var efps = frm * fps;

    // extract tick rate

    var tr = 1;
    var trattr = findAttribute(node, imscNames.ns_ttp, "tickRate");
    if (trattr === null) {
      if (fps_attr !== null) tr = efps;
    } else {
      var TICK_RATE_RE = /(\d+)/;
      m = TICK_RATE_RE.exec(trattr);
      if (m !== null) {
        tr = parseInt(m[1]);
      } else {
        reportWarning(errorHandler, "Malformed tick rate attribute (using initial value instead)");
      }
    }
    return {
      effectiveFrameRate: efps,
      tickRate: tr
    };
  }
  function extractExtent(node, errorHandler) {
    var attr = findAttribute(node, imscNames.ns_tts, "extent");
    if (attr === null) return null;
    var s = attr.split(" ");
    if (s.length !== 2) {
      reportWarning(errorHandler, "Malformed extent (ignoring)");
      return null;
    }
    var w = imscUtils.parseLength(s[0]);
    var h = imscUtils.parseLength(s[1]);
    if (!h || !w) {
      reportWarning(errorHandler, "Malformed extent values (ignoring)");
      return null;
    }
    return {
      'h': h,
      'w': w
    };
  }
  function parseTimeExpression(tickRate, effectiveFrameRate, str) {
    var CLOCK_TIME_FRACTION_RE = /^(\d{2,}):(\d\d):(\d\d(?:\.\d+)?)$/;
    var CLOCK_TIME_FRAMES_RE = /^(\d{2,}):(\d\d):(\d\d)\:(\d{2,})$/;
    var OFFSET_FRAME_RE = /^(\d+(?:\.\d+)?)f$/;
    var OFFSET_TICK_RE = /^(\d+(?:\.\d+)?)t$/;
    var OFFSET_MS_RE = /^(\d+(?:\.\d+)?)ms$/;
    var OFFSET_S_RE = /^(\d+(?:\.\d+)?)s$/;
    var OFFSET_H_RE = /^(\d+(?:\.\d+)?)h$/;
    var OFFSET_M_RE = /^(\d+(?:\.\d+)?)m$/;
    var m;
    var r = null;
    if ((m = OFFSET_FRAME_RE.exec(str)) !== null) {
      if (effectiveFrameRate !== null) {
        r = parseFloat(m[1]) / effectiveFrameRate;
      }
    } else if ((m = OFFSET_TICK_RE.exec(str)) !== null) {
      if (tickRate !== null) {
        r = parseFloat(m[1]) / tickRate;
      }
    } else if ((m = OFFSET_MS_RE.exec(str)) !== null) {
      r = parseFloat(m[1]) / 1000.0;
    } else if ((m = OFFSET_S_RE.exec(str)) !== null) {
      r = parseFloat(m[1]);
    } else if ((m = OFFSET_H_RE.exec(str)) !== null) {
      r = parseFloat(m[1]) * 3600.0;
    } else if ((m = OFFSET_M_RE.exec(str)) !== null) {
      r = parseFloat(m[1]) * 60.0;
    } else if ((m = CLOCK_TIME_FRACTION_RE.exec(str)) !== null) {
      r = parseInt(m[1]) * 3600 + parseInt(m[2]) * 60 + parseFloat(m[3]);
    } else if ((m = CLOCK_TIME_FRAMES_RE.exec(str)) !== null) {
      /* this assumes that HH:MM:SS is a clock-time-with-fraction */

      if (effectiveFrameRate !== null) {
        r = parseInt(m[1]) * 3600 + parseInt(m[2]) * 60 + parseInt(m[3]) + (m[4] === null ? 0 : parseInt(m[4]) / effectiveFrameRate);
      }
    }
    return r;
  }
  function processTiming(doc, parent, node, errorHandler) {
    /* determine explicit begin */

    var explicit_begin = null;
    if (node && 'begin' in node.attributes) {
      explicit_begin = parseTimeExpression(doc.tickRate, doc.effectiveFrameRate, node.attributes.begin.value);
      if (explicit_begin === null) {
        reportWarning(errorHandler, "Malformed begin value " + node.attributes.begin.value + " (using 0)");
      }
    }

    /* determine explicit duration */

    var explicit_dur = null;
    if (node && 'dur' in node.attributes) {
      explicit_dur = parseTimeExpression(doc.tickRate, doc.effectiveFrameRate, node.attributes.dur.value);
      if (explicit_dur === null) {
        reportWarning(errorHandler, "Malformed dur value " + node.attributes.dur.value + " (ignoring)");
      }
    }

    /* determine explicit end */

    var explicit_end = null;
    if (node && 'end' in node.attributes) {
      explicit_end = parseTimeExpression(doc.tickRate, doc.effectiveFrameRate, node.attributes.end.value);
      if (explicit_end === null) {
        reportWarning(errorHandler, "Malformed end value (ignoring)");
      }
    }
    return {
      explicit_begin: explicit_begin,
      explicit_end: explicit_end,
      explicit_dur: explicit_dur
    };
  }
  function mergeChainedStyles(styling, style, errorHandler) {
    while (style.styleRefs.length > 0) {
      var sref = style.styleRefs.pop();
      if (!(sref in styling.styles)) {
        reportError(errorHandler, "Non-existant style id referenced");
        continue;
      }
      mergeChainedStyles(styling, styling.styles[sref], errorHandler);
      mergeStylesIfNotPresent(styling.styles[sref].styleAttrs, style.styleAttrs);
    }
  }
  function mergeReferencedStyles(styling, stylerefs, styleattrs, errorHandler) {
    for (var i = stylerefs.length - 1; i >= 0; i--) {
      var sref = stylerefs[i];
      if (!(sref in styling.styles)) {
        reportError(errorHandler, "Non-existant style id referenced");
        continue;
      }
      mergeStylesIfNotPresent(styling.styles[sref].styleAttrs, styleattrs);
    }
  }
  function mergeStylesIfNotPresent(from_styles, into_styles) {
    for (var sname in from_styles) {
      if (!from_styles.hasOwnProperty(sname)) continue;
      if (sname in into_styles) continue;
      into_styles[sname] = from_styles[sname];
    }
  }

  /* TODO: validate style format at parsing */

  /*
   * ERROR HANDLING UTILITY FUNCTIONS
   * 
   */

  function reportInfo(errorHandler, msg) {
    if (errorHandler && errorHandler.info && errorHandler.info(msg)) throw msg;
  }
  function reportWarning(errorHandler, msg) {
    if (errorHandler && errorHandler.warn && errorHandler.warn(msg)) throw msg;
  }
  function reportError(errorHandler, msg) {
    if (errorHandler && errorHandler.error && errorHandler.error(msg)) throw msg;
  }
  function reportFatal(errorHandler, msg) {
    if (errorHandler && errorHandler.fatal) errorHandler.fatal(msg);
    throw msg;
  }

  /*
   * Binary search utility function
   * 
   * @typedef {Object} BinarySearchResult
   * @property {boolean} found Was an exact match found?
   * @property {number} index Position of the exact match or insert position
   * 
   * @returns {BinarySearchResult}
   */

  function indexOf(arr, searchval) {
    var min = 0;
    var max = arr.length - 1;
    var cur;
    while (min <= max) {
      cur = Math.floor((min + max) / 2);
      var curval = arr[cur];
      if (curval < searchval) {
        min = cur + 1;
      } else if (curval > searchval) {
        max = cur - 1;
      } else {
        return {
          found: true,
          index: cur
        };
      }
    }
    return {
      found: false,
      index: min
    };
  }
})( false ? 0 : exports, typeof sax === 'undefined' ? __webpack_require__(/*! sax */ "./node_modules/imsc/node_modules/sax/lib/sax.js") : sax, typeof imscNames === 'undefined' ? __webpack_require__(/*! ./names */ "./node_modules/imsc/src/main/js/names.js") : imscNames, typeof imscStyles === 'undefined' ? __webpack_require__(/*! ./styles */ "./node_modules/imsc/src/main/js/styles.js") : imscStyles, typeof imscUtils === 'undefined' ? __webpack_require__(/*! ./utils */ "./node_modules/imsc/src/main/js/utils.js") : imscUtils);

/***/ }),

/***/ "./node_modules/imsc/src/main/js/html.js":
/*!***********************************************!*\
  !*** ./node_modules/imsc/src/main/js/html.js ***!
  \***********************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @module imscHTML
 */

var browserIsFirefox = /firefox/i.test(navigator.userAgent);
;
(function (imscHTML, imscNames, imscStyles) {
  /**
   * Function that maps <pre>smpte:background</pre> URIs to URLs resolving to image resource
   * @callback IMGResolver
   * @param {string} <pre>smpte:background</pre> URI
   * @return {string} PNG resource URL
   */

  /**
   * Renders an ISD object (returned by <pre>generateISD()</pre>) into a 
   * parent element, that must be attached to the DOM. The ISD will be rendered
   * into a child <pre>div</pre>
   * with heigh and width equal to the clientHeight and clientWidth of the element,
   * unless explicitly specified otherwise by the caller. Images URIs specified 
   * by <pre>smpte:background</pre> attributes are mapped to image resource URLs
   * by an <pre>imgResolver</pre> function. The latter takes the value of <code>smpte:background</code>
   * attribute and an <code>img</code> DOM element as input, and is expected to
   * set the <code>src</code> attribute of the <code>img</code> to the absolute URI of the image.
   * <pre>displayForcedOnlyMode</pre> sets the (boolean)
   * value of the IMSC1 displayForcedOnlyMode parameter. The function returns
   * an opaque object that should passed in <code>previousISDState</code> when this function
   * is called for the next ISD, otherwise <code>previousISDState</code> should be set to 
   * <code>null</code>.
   * 
   * @param {Object} isd ISD to be rendered
   * @param {Object} element Element into which the ISD is rendered
   * @param {?IMGResolver} imgResolver Resolve <pre>smpte:background</pre> URIs into URLs.
   * @param {?number} eheight Height (in pixel) of the child <div>div</div> or null 
   *                  to use clientHeight of the parent element
   * @param {?number} ewidth Width (in pixel) of the child <div>div</div> or null
   *                  to use clientWidth of the parent element
   * @param {?boolean} displayForcedOnlyMode Value of the IMSC1 displayForcedOnlyMode parameter,
   *                   or false if null         
   * @param {?module:imscUtils.ErrorHandler} errorHandler Error callback
   * @param {Object} previousISDState State saved during processing of the previous ISD, or null if initial call
   * @param {?boolean} enableRollUp Enables roll-up animations (see CEA 708)
   * @return {Object} ISD state to be provided when this funtion is called for the next ISD
   */

  imscHTML.render = function (isd, element, imgResolver, eheight, ewidth, displayForcedOnlyMode, errorHandler, previousISDState, enableRollUp) {
    /* maintain aspect ratio if specified */

    var height = eheight || element.clientHeight;
    var width = ewidth || element.clientWidth;
    if (isd.aspectRatio !== null) {
      var twidth = height * isd.aspectRatio;
      if (twidth > width) {
        height = Math.round(width / isd.aspectRatio);
      } else {
        width = twidth;
      }
    }
    var rootcontainer = document.createElement("div");
    rootcontainer.style.position = "relative";
    rootcontainer.style.width = width + "px";
    rootcontainer.style.height = height + "px";
    rootcontainer.style.margin = "auto";
    rootcontainer.style.top = 0;
    rootcontainer.style.bottom = 0;
    rootcontainer.style.left = 0;
    rootcontainer.style.right = 0;
    rootcontainer.style.zIndex = 0;
    var context = {
      h: height,
      w: width,
      regionH: null,
      regionW: null,
      imgResolver: imgResolver,
      displayForcedOnlyMode: displayForcedOnlyMode || false,
      isd: isd,
      errorHandler: errorHandler,
      previousISDState: previousISDState,
      enableRollUp: enableRollUp || false,
      currentISDState: {},
      flg: null,
      /* current fillLineGap value if active, null otherwise */
      lp: null,
      /* current linePadding value if active, null otherwise */
      mra: null,
      /* current multiRowAlign value if active, null otherwise */
      ipd: null,
      /* inline progression direction (lr, rl, tb) */
      bpd: null,
      /* block progression direction (lr, rl, tb) */
      ruby: null,
      /* is ruby present in a <p> */
      textEmphasis: null,
      /* is textEmphasis present in a <p> */
      rubyReserve: null /* is rubyReserve applicable to a <p> */
    };
    element.appendChild(rootcontainer);
    if ("contents" in isd) {
      for (var i = 0; i < isd.contents.length; i++) {
        processElement(context, rootcontainer, isd.contents[i], isd);
      }
    }
    return context.currentISDState;
  };
  function processElement(context, dom_parent, isd_element, isd_parent) {
    var e;
    if (isd_element.kind === 'region') {
      e = document.createElement("div");
      e.style.position = "absolute";
    } else if (isd_element.kind === 'body') {
      e = document.createElement("div");
    } else if (isd_element.kind === 'div') {
      e = document.createElement("div");
    } else if (isd_element.kind === 'image') {
      e = document.createElement("img");
      if (context.imgResolver !== null && isd_element.src !== null) {
        var uri = context.imgResolver(isd_element.src, e);
        if (uri) e.src = uri;
        e.height = context.regionH;
        e.width = context.regionW;
      }
    } else if (isd_element.kind === 'p') {
      e = document.createElement("p");
    } else if (isd_element.kind === 'span') {
      if (isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "container") {
        e = document.createElement("ruby");
        context.ruby = true;
      } else if (isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "base") {
        e = document.createElement("span"); // rb element is deprecated in HTML
      } else if (isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "text") {
        e = document.createElement("rt");
      } else if (isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "baseContainer") {
        e = document.createElement("rbc");
      } else if (isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "textContainer") {
        e = document.createElement("rtc");
      } else if (isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "delimiter") {
        /* ignore rp */

        return;
      } else {
        e = document.createElement("span");
      }

      //e.textContent = isd_element.text;
    } else if (isd_element.kind === 'br') {
      e = document.createElement("br");
    }
    if (!e) {
      reportError(context.errorHandler, "Error processing ISD element kind: " + isd_element.kind);
      return;
    }

    /* set language */

    if (isd_element.lang) {
      if (isd_element.kind === 'region' || isd_element.lang !== isd_parent.lang) {
        e.lang = isd_element.lang;
      }
    }

    /* add to parent */

    dom_parent.appendChild(e);

    /* override UA default margin */
    /* TODO: should apply to <p> only */

    e.style.margin = "0";

    /* determine ipd and bpd */

    if (isd_element.kind === "region") {
      var wdir = isd_element.styleAttrs[imscStyles.byName.writingMode.qname];
      if (wdir === "lrtb" || wdir === "lr") {
        context.ipd = "lr";
        context.bpd = "tb";
      } else if (wdir === "rltb" || wdir === "rl") {
        context.ipd = "rl";
        context.bpd = "tb";
      } else if (wdir === "tblr") {
        context.ipd = "tb";
        context.bpd = "lr";
      } else if (wdir === "tbrl" || wdir === "tb") {
        context.ipd = "tb";
        context.bpd = "rl";
      }
    } else if (isd_element.kind === "p" && context.bpd === "tb") {
      var pdir = isd_element.styleAttrs[imscStyles.byName.direction.qname];
      context.ipd = pdir === "ltr" ? "lr" : "rl";
    }

    /* tranform TTML styles to CSS styles */

    for (var i = 0; i < STYLING_MAP_DEFS.length; i++) {
      var sm = STYLING_MAP_DEFS[i];
      var attr = isd_element.styleAttrs[sm.qname];
      if (attr !== undefined && sm.map !== null) {
        sm.map(context, e, isd_element, attr);
      }
    }
    var proc_e = e;

    /* do we have linePadding ? */

    var lp = isd_element.styleAttrs[imscStyles.byName.linePadding.qname];
    if (lp && !lp.isZero()) {
      var plength = lp.toUsedLength(context.w, context.h);
      if (plength > 0) {
        /* apply padding to the <p> so that line padding does not cause line wraps */

        var padmeasure = Math.ceil(plength) + "px";
        if (context.bpd === "tb") {
          proc_e.style.paddingLeft = padmeasure;
          proc_e.style.paddingRight = padmeasure;
        } else {
          proc_e.style.paddingTop = padmeasure;
          proc_e.style.paddingBottom = padmeasure;
        }
        context.lp = lp;
      }
    }

    // do we have multiRowAlign?

    var mra = isd_element.styleAttrs[imscStyles.byName.multiRowAlign.qname];
    if (mra && mra !== "auto") {
      /* create inline block to handle multirowAlign */

      var s = document.createElement("span");
      s.style.display = "inline-block";
      s.style.textAlign = mra;
      e.appendChild(s);
      proc_e = s;
      context.mra = mra;
    }

    /* do we have rubyReserve? */

    var rr = isd_element.styleAttrs[imscStyles.byName.rubyReserve.qname];
    if (rr && rr[0] !== "none") {
      context.rubyReserve = rr;
    }

    /* remember we are filling line gaps */

    if (isd_element.styleAttrs[imscStyles.byName.fillLineGap.qname]) {
      context.flg = true;
    }
    if (isd_element.kind === "span" && isd_element.text) {
      var te = isd_element.styleAttrs[imscStyles.byName.textEmphasis.qname];
      if (te && te.style !== "none") {
        context.textEmphasis = true;
      }
      if (imscStyles.byName.textCombine.qname in isd_element.styleAttrs && isd_element.styleAttrs[imscStyles.byName.textCombine.qname] === "all") {
        /* ignore tate-chu-yoku since line break cannot happen within */
        e.textContent = isd_element.text;
        e._isd_element = isd_element;
        if (te) {
          applyTextEmphasis(context, e, isd_element, te);
        }
        ;
      } else {
        // wrap characters in spans to find the line wrap locations

        var cbuf = '';
        for (var j = 0; j < isd_element.text.length; j++) {
          cbuf += isd_element.text.charAt(j);
          var cc = isd_element.text.charCodeAt(j);
          if (cc < 0xD800 || cc > 0xDBFF || j === isd_element.text.length - 1) {
            /* wrap the character(s) in a span unless it is a high surrogate */

            var span = document.createElement("span");
            span.textContent = cbuf;

            /* apply textEmphasis */

            if (te) {
              applyTextEmphasis(context, span, isd_element, te);
            }
            ;
            e.appendChild(span);
            cbuf = '';

            //For the sake of merging these back together, record what isd element generated it.
            span._isd_element = isd_element;
          }
        }
      }
    }

    /* process the children of the ISD element */

    if ("contents" in isd_element) {
      for (var k = 0; k < isd_element.contents.length; k++) {
        processElement(context, proc_e, isd_element.contents[k], isd_element);
      }
    }

    /* list of lines */

    var linelist = [];

    /* paragraph processing */
    /* TODO: linePadding only supported for horizontal scripts */

    if (isd_element.kind === "p") {
      constructLineList(context, proc_e, linelist, null);

      /* apply rubyReserve */

      if (context.rubyReserve) {
        applyRubyReserve(linelist, context);
        context.rubyReserve = null;
      }

      /* apply tts:rubyPosition="outside" */

      if (context.ruby || context.rubyReserve) {
        applyRubyPosition(linelist, context);
        context.ruby = null;
      }

      /* apply text emphasis "outside" position */

      if (context.textEmphasis) {
        applyTextEmphasisOutside(linelist, context);
        context.textEmphasis = null;
      }

      /* insert line breaks for multirowalign */

      if (context.mra) {
        applyMultiRowAlign(linelist);
        context.mra = null;
      }

      /* add linepadding */

      if (context.lp) {
        applyLinePadding(linelist, context.lp.toUsedLength(context.w, context.h), context);
        context.lp = null;
      }
      mergeSpans(linelist, context); // The earlier we can do this the less processing there will be.

      /* fill line gaps linepadding */

      if (context.flg) {
        var par_edges = rect2edges(proc_e.getBoundingClientRect(), context);
        applyFillLineGap(linelist, par_edges.before, par_edges.after, context, proc_e);
        context.flg = null;
      }
    }

    /* region processing */

    if (isd_element.kind === "region") {
      /* perform roll up if needed */
      if (context.bpd === "tb" && context.enableRollUp && isd_element.contents.length > 0 && isd_element.styleAttrs[imscStyles.byName.displayAlign.qname] === 'after') {
        /* build line list */
        constructLineList(context, proc_e, linelist, null);

        /* horrible hack, perhaps default region id should be underscore everywhere? */

        var rid = isd_element.id === '' ? '_' : isd_element.id;
        var rb = new RegionPBuffer(rid, linelist);
        context.currentISDState[rb.id] = rb;
        if (context.previousISDState && rb.id in context.previousISDState && context.previousISDState[rb.id].plist.length > 0 && rb.plist.length > 1 && rb.plist[rb.plist.length - 2].text === context.previousISDState[rb.id].plist[context.previousISDState[rb.id].plist.length - 1].text) {
          var body_elem = e.firstElementChild;
          var h = rb.plist[rb.plist.length - 1].after - rb.plist[rb.plist.length - 1].before;
          body_elem.style.bottom = "-" + h + "px";
          body_elem.style.transition = "transform 0.4s";
          body_elem.style.position = "relative";
          body_elem.style.transform = "translateY(-" + h + "px)";
        }
      }
    }
  }
  function mergeSpans(lineList, context) {
    for (var i = 0; i < lineList.length; i++) {
      var line = lineList[i];
      for (var j = 1; j < line.elements.length;) {
        var previous = line.elements[j - 1];
        var span = line.elements[j];
        if (spanMerge(previous.node, span.node, context)) {
          //removed from DOM by spanMerge(), remove from the list too.
          line.elements.splice(j, 1);
          continue;
        } else {
          j++;
        }
      }
    }

    // Copy backgroundColor to each span so that fillLineGap will apply padding to elements with the right background
    var thisNode, ancestorBackgroundColor;
    var clearTheseBackgrounds = [];
    for (var l = 0; l < lineList.length; l++) {
      for (var el = 0; el < lineList[l].elements.length; el++) {
        thisNode = lineList[l].elements[el].node;
        ancestorBackgroundColor = getSpanAncestorColor(thisNode, clearTheseBackgrounds, false);
        if (ancestorBackgroundColor) {
          thisNode.style.backgroundColor = ancestorBackgroundColor;
        }
      }
    }
    for (var bi = 0; bi < clearTheseBackgrounds.length; bi++) {
      clearTheseBackgrounds[bi].style.backgroundColor = "";
    }
  }
  function getSpanAncestorColor(element, ancestorList, isAncestor) {
    if (element.style.backgroundColor) {
      if (isAncestor && !ancestorList.includes(element)) {
        ancestorList.push(element);
      }
      return element.style.backgroundColor;
    } else {
      if (element.parentElement.nodeName === "SPAN" || element.parentElement.nodeName === "RUBY" || element.parentElement.nodeName === "RBC" || element.parentElement.nodeName === "RTC" || element.parentElement.nodeName === "RT") {
        return getSpanAncestorColor(element.parentElement, ancestorList, true);
      }
    }
    return undefined;
  }
  function spanMerge(first, second, context) {
    if (first.tagName === "SPAN" && second.tagName === "SPAN" && first._isd_element === second._isd_element) {
      if (!first._isd_element) {
        /* we should never get here since every span should have a source ISD element */
        reportError(context.errorHandler, "Internal error: HTML span is not linked to a source element; cannot merge spans.");
        return false;
      }
      first.textContent += second.textContent;
      for (var i = 0; i < second.style.length; i++) {
        var styleName = second.style[i];
        if (styleName.indexOf("border") >= 0 || styleName.indexOf("padding") >= 0 || styleName.indexOf("margin") >= 0) {
          first.style[styleName] = second.style[styleName];
        }
      }
      second.parentElement.removeChild(second);
      return true;
    }
    return false;
  }
  function applyLinePadding(lineList, lp, context) {
    if (lineList === null) return;
    for (var i = 0; i < lineList.length; i++) {
      var l = lineList[i].elements.length;
      var pospadpxlen = Math.ceil(lp) + "px";
      var negpadpxlen = "-" + Math.ceil(lp) + "px";
      if (l !== 0) {
        var se = lineList[i].elements[lineList[i].start_elem];
        var ee = lineList[i].elements[lineList[i].end_elem];
        if (se === ee) {
          // Check to see if there's any background at all
          var elementBoundingRect = se.node.getBoundingClientRect();
          if (elementBoundingRect.width == 0 || elementBoundingRect.height == 0) {
            // There's no background on this line, move on.
            continue;
          }
        }

        // Start element
        if (context.ipd === "lr") {
          se.node.style.marginLeft = negpadpxlen;
          se.node.style.paddingLeft = pospadpxlen;
        } else if (context.ipd === "rl") {
          se.node.style.paddingRight = pospadpxlen;
          se.node.style.marginRight = negpadpxlen;
        } else if (context.ipd === "tb") {
          se.node.style.paddingTop = pospadpxlen;
          se.node.style.marginTop = negpadpxlen;
        }

        // End element
        if (context.ipd === "lr") {
          // Firefox has a problem with line-breaking when a negative margin is applied.
          // The positioning will be wrong but don't apply when on firefox.
          // https://bugzilla.mozilla.org/show_bug.cgi?id=1502610
          if (!browserIsFirefox) {
            ee.node.style.marginRight = negpadpxlen;
          }
          ee.node.style.paddingRight = pospadpxlen;
        } else if (context.ipd === "rl") {
          ee.node.style.paddingLeft = pospadpxlen;
          if (!browserIsFirefox) {
            ee.node.style.marginLeft = negpadpxlen;
          }
        } else if (context.ipd === "tb") {
          ee.node.style.paddingBottom = pospadpxlen;
          ee.node.style.marginBottom = negpadpxlen;
        }
      }
    }
  }
  function applyMultiRowAlign(lineList) {
    /* apply an explicit br to all but the last line */

    for (var i = 0; i < lineList.length - 1; i++) {
      var l = lineList[i].elements.length;
      if (l !== 0 && lineList[i].br === false) {
        var br = document.createElement("br");
        var lastnode = lineList[i].elements[l - 1].node;
        lastnode.parentElement.insertBefore(br, lastnode.nextSibling);
      }
    }
  }
  function applyTextEmphasisOutside(lineList, context) {
    /* supports "outside" only */

    for (var i = 0; i < lineList.length; i++) {
      for (var j = 0; j < lineList[i].te.length; j++) {
        /* skip if position already set */

        if (lineList[i].te[j].style[TEXTEMPHASISPOSITION_PROP] && lineList[i].te[j].style[TEXTEMPHASISPOSITION_PROP] !== "none") continue;
        var pos;
        if (context.bpd === "tb") {
          pos = i === 0 ? "left over" : "left under";
        } else {
          if (context.bpd === "rl") {
            pos = i === 0 ? "right under" : "left under";
          } else {
            pos = i === 0 ? "left under" : "right under";
          }
        }
        lineList[i].te[j].style[TEXTEMPHASISPOSITION_PROP] = pos;
      }
    }
  }
  function applyRubyPosition(lineList, context) {
    for (var i = 0; i < lineList.length; i++) {
      for (var j = 0; j < lineList[i].rbc.length; j++) {
        /* skip if ruby-position already set */

        if (lineList[i].rbc[j].style[RUBYPOSITION_PROP]) continue;
        var pos;
        if (RUBYPOSITION_ISWK) {
          /* WebKit exception */

          pos = i === 0 ? "before" : "after";
        } else if (context.bpd === "tb") {
          pos = i === 0 ? "over" : "under";
        } else {
          if (context.bpd === "rl") {
            pos = i === 0 ? "over" : "under";
          } else {
            pos = i === 0 ? "under" : "over";
          }
        }
        lineList[i].rbc[j].style[RUBYPOSITION_PROP] = pos;
      }
    }
  }
  function applyRubyReserve(lineList, context) {
    for (var i = 0; i < lineList.length; i++) {
      var ruby = document.createElement("ruby");
      var rb = document.createElement("span"); // rb element is deprecated in HTML
      rb.textContent = "\u200B";
      ruby.appendChild(rb);
      var rt1;
      var rt2;
      var fs = context.rubyReserve[1].toUsedLength(context.w, context.h) + "px";
      if (context.rubyReserve[0] === "both" || context.rubyReserve[0] === "outside" && lineList.length == 1) {
        rt1 = document.createElement("rtc");
        rt1.style[RUBYPOSITION_PROP] = RUBYPOSITION_ISWK ? "after" : "under";
        rt1.textContent = "\u200B";
        rt1.style.fontSize = fs;
        rt2 = document.createElement("rtc");
        rt2.style[RUBYPOSITION_PROP] = RUBYPOSITION_ISWK ? "before" : "over";
        rt2.textContent = "\u200B";
        rt2.style.fontSize = fs;
        ruby.appendChild(rt1);
        ruby.appendChild(rt2);
      } else {
        rt1 = document.createElement("rtc");
        rt1.textContent = "\u200B";
        rt1.style.fontSize = fs;
        var pos;
        if (context.rubyReserve[0] === "after" || context.rubyReserve[0] === "outside" && i > 0) {
          pos = RUBYPOSITION_ISWK ? "after" : context.bpd === "tb" || context.bpd === "rl" ? "under" : "over";
        } else {
          pos = RUBYPOSITION_ISWK ? "before" : context.bpd === "tb" || context.bpd === "rl" ? "over" : "under";
        }
        rt1.style[RUBYPOSITION_PROP] = pos;
        ruby.appendChild(rt1);
      }

      /* add in front of the first ruby element of the line, if it exists */

      var sib = null;
      for (var j = 0; j < lineList[i].rbc.length; j++) {
        if (lineList[i].rbc[j].localName === 'ruby') {
          sib = lineList[i].rbc[j];

          /* copy specified style properties from the sibling ruby container */

          for (var k = 0; k < sib.style.length; k++) {
            ruby.style.setProperty(sib.style.item(k), sib.style.getPropertyValue(sib.style.item(k)));
          }
          break;
        }
      }

      /* otherwise add before first span */

      sib = sib || lineList[i].elements[0].node;
      sib.parentElement.insertBefore(ruby, sib);
    }
  }
  function applyFillLineGap(lineList, par_before, par_after, context, element) {
    /* positive for BPD = lr and tb, negative for BPD = rl */
    var s = Math.sign(par_after - par_before);
    for (var i = 0; i <= lineList.length; i++) {
      /* compute frontier between lines */

      var frontier;
      if (i === 0) {
        frontier = Math.round(par_before);
      } else if (i === lineList.length) {
        frontier = Math.round(par_after);
      } else {
        frontier = Math.round((lineList[i - 1].after + lineList[i].before) / 2);
      }
      var padding;
      var l, thisNode;

      /* before line */
      if (i > 0) {
        if (lineList[i - 1]) {
          for (l = 0; l < lineList[i - 1].elements.length; l++) {
            thisNode = lineList[i - 1].elements[l];
            padding = s * (frontier - thisNode.after) + "px";
            if (context.bpd === "lr") {
              thisNode.node.style.paddingRight = padding;
            } else if (context.bpd === "rl") {
              thisNode.node.style.paddingLeft = padding;
            } else if (context.bpd === "tb") {
              thisNode.node.style.paddingBottom = padding;
            }
          }
        }
      }

      /* after line */
      if (i < lineList.length) {
        for (l = 0; l < lineList[i].elements.length; l++) {
          thisNode = lineList[i].elements[l];
          padding = s * (thisNode.before - frontier) + "px";
          if (context.bpd === "lr") {
            thisNode.node.style.paddingLeft = padding;
          } else if (context.bpd === "rl") {
            thisNode.node.style.paddingRight = padding;
          } else if (context.bpd === "tb") {
            thisNode.node.style.paddingTop = padding;
          }
        }
      }
    }
  }
  function RegionPBuffer(id, lineList) {
    this.id = id;
    this.plist = lineList;
  }
  function rect2edges(rect, context) {
    var edges = {
      before: null,
      after: null,
      start: null,
      end: null
    };
    if (context.bpd === "tb") {
      edges.before = rect.top;
      edges.after = rect.bottom;
      if (context.ipd === "lr") {
        edges.start = rect.left;
        edges.end = rect.right;
      } else {
        edges.start = rect.right;
        edges.end = rect.left;
      }
    } else if (context.bpd === "lr") {
      edges.before = rect.left;
      edges.after = rect.right;
      edges.start = rect.top;
      edges.end = rect.bottom;
    } else if (context.bpd === "rl") {
      edges.before = rect.right;
      edges.after = rect.left;
      edges.start = rect.top;
      edges.end = rect.bottom;
    }
    return edges;
  }
  function constructLineList(context, element, llist, bgcolor) {
    if (element.localName === "rt" || element.localName === "rtc") {
      /* skip ruby annotations */

      return;
    }
    var curbgcolor = element.style.backgroundColor || bgcolor;
    if (element.childElementCount === 0) {
      if (element.localName === 'span' || element.localName === 'rb') {
        var r = element.getBoundingClientRect();
        var edges = rect2edges(r, context);
        if (llist.length === 0 || !isSameLine(edges.before, edges.after, llist[llist.length - 1].before, llist[llist.length - 1].after)) {
          llist.push({
            before: edges.before,
            after: edges.after,
            start: edges.start,
            end: edges.end,
            start_elem: 0,
            end_elem: 0,
            elements: [],
            rbc: [],
            te: [],
            text: "",
            br: false
          });
        } else {
          /* positive for BPD = lr and tb, negative for BPD = rl */
          var bpd_dir = Math.sign(edges.after - edges.before);

          /* positive for IPD = lr and tb, negative for IPD = rl */
          var ipd_dir = Math.sign(edges.end - edges.start);

          /* check if the line height has increased */

          if (bpd_dir * (edges.before - llist[llist.length - 1].before) < 0) {
            llist[llist.length - 1].before = edges.before;
          }
          if (bpd_dir * (edges.after - llist[llist.length - 1].after) > 0) {
            llist[llist.length - 1].after = edges.after;
          }
          if (ipd_dir * (edges.start - llist[llist.length - 1].start) < 0) {
            llist[llist.length - 1].start = edges.start;
            llist[llist.length - 1].start_elem = llist[llist.length - 1].elements.length;
          }
          if (ipd_dir * (edges.end - llist[llist.length - 1].end) > 0) {
            llist[llist.length - 1].end = edges.end;
            llist[llist.length - 1].end_elem = llist[llist.length - 1].elements.length;
          }
        }
        llist[llist.length - 1].text += element.textContent;
        llist[llist.length - 1].elements.push({
          node: element,
          bgcolor: curbgcolor,
          before: edges.before,
          after: edges.after
        });
      } else if (element.localName === 'br' && llist.length !== 0) {
        llist[llist.length - 1].br = true;
      }
    } else {
      var child = element.firstChild;
      while (child) {
        if (child.nodeType === Node.ELEMENT_NODE) {
          constructLineList(context, child, llist, curbgcolor);
          if (child.localName === 'ruby' || child.localName === 'rtc') {
            /* remember non-empty ruby and rtc elements so that tts:rubyPosition can be applied */

            if (llist.length > 0) {
              llist[llist.length - 1].rbc.push(child);
            }
          } else if (child.localName === 'span' && child.style[TEXTEMPHASISSTYLE_PROP] && child.style[TEXTEMPHASISSTYLE_PROP] !== "none") {
            /* remember non-empty span elements with textEmphasis */

            if (llist.length > 0) {
              llist[llist.length - 1].te.push(child);
            }
          }
        }
        child = child.nextSibling;
      }
    }
  }
  function isSameLine(before1, after1, before2, after2) {
    return after1 < after2 && before1 > before2 || after2 <= after1 && before2 >= before1;
  }
  function applyTextEmphasis(context, dom_element, isd_element, attr) {
    /* ignore color (not used in IMSC 1.1) */

    if (attr.style === "none") {
      /* text-emphasis is not inherited and the default is none, so nothing to do */

      return;
    } else if (attr.style === "auto") {
      dom_element.style[TEXTEMPHASISSTYLE_PROP] = "filled";
    } else {
      dom_element.style[TEXTEMPHASISSTYLE_PROP] = attr.style + " " + attr.symbol;
    }

    /* ignore "outside" position (set in postprocessing) */

    if (attr.position === "before" || attr.position === "after") {
      var pos;
      if (context.bpd === "tb") {
        pos = attr.position === "before" ? "left over" : "left under";
      } else {
        if (context.bpd === "rl") {
          pos = attr.position === "before" ? "right under" : "left under";
        } else {
          pos = attr.position === "before" ? "left under" : "right under";
        }
      }
      dom_element.style[TEXTEMPHASISPOSITION_PROP] = pos;
    }
  }
  function HTMLStylingMapDefinition(qName, mapFunc) {
    this.qname = qName;
    this.map = mapFunc;
  }
  var STYLING_MAP_DEFS = [new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling backgroundColor", function (context, dom_element, isd_element, attr) {
    /* skip if transparent */
    if (attr[3] === 0) return;
    dom_element.style.backgroundColor = "rgba(" + attr[0].toString() + "," + attr[1].toString() + "," + attr[2].toString() + "," + (attr[3] / 255).toString() + ")";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling color", function (context, dom_element, isd_element, attr) {
    dom_element.style.color = "rgba(" + attr[0].toString() + "," + attr[1].toString() + "," + attr[2].toString() + "," + (attr[3] / 255).toString() + ")";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling direction", function (context, dom_element, isd_element, attr) {
    dom_element.style.direction = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling display", function (context, dom_element, isd_element, attr) {}), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling displayAlign", function (context, dom_element, isd_element, attr) {
    /* see https://css-tricks.com/snippets/css/a-guide-to-flexbox/ */

    /* TODO: is this affected by writing direction? */

    dom_element.style.display = "flex";
    dom_element.style.flexDirection = "column";
    if (attr === "before") {
      dom_element.style.justifyContent = "flex-start";
    } else if (attr === "center") {
      dom_element.style.justifyContent = "center";
    } else if (attr === "after") {
      dom_element.style.justifyContent = "flex-end";
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling extent", function (context, dom_element, isd_element, attr) {
    /* TODO: this is super ugly */

    context.regionH = attr.h.toUsedLength(context.w, context.h);
    context.regionW = attr.w.toUsedLength(context.w, context.h);

    /* 
     * CSS height/width are measured against the content rectangle,
     * whereas TTML height/width include padding
     */

    var hdelta = 0;
    var wdelta = 0;
    var p = isd_element.styleAttrs["http://www.w3.org/ns/ttml#styling padding"];
    if (!p) {

      /* error */
    } else {
      hdelta = p[0].toUsedLength(context.w, context.h) + p[2].toUsedLength(context.w, context.h);
      wdelta = p[1].toUsedLength(context.w, context.h) + p[3].toUsedLength(context.w, context.h);
    }
    dom_element.style.height = context.regionH - hdelta + "px";
    dom_element.style.width = context.regionW - wdelta + "px";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling fontFamily", function (context, dom_element, isd_element, attr) {
    var rslt = [];

    /* per IMSC1 */

    for (var i = 0; i < attr.length; i++) {
      attr[i] = attr[i].trim();
      if (attr[i] === "monospaceSerif") {
        rslt.push("Courier New");
        rslt.push('"Liberation Mono"');
        rslt.push("Courier");
        rslt.push("monospace");
      } else if (attr[i] === "proportionalSansSerif") {
        rslt.push("Arial");
        rslt.push("Helvetica");
        rslt.push('"Liberation Sans"');
        rslt.push("sans-serif");
      } else if (attr[i] === "monospace") {
        rslt.push("monospace");
      } else if (attr[i] === "sansSerif") {
        rslt.push("sans-serif");
      } else if (attr[i] === "serif") {
        rslt.push("serif");
      } else if (attr[i] === "monospaceSansSerif") {
        rslt.push("Consolas");
        rslt.push("monospace");
      } else if (attr[i] === "proportionalSerif") {
        rslt.push("serif");
      } else {
        rslt.push(attr[i]);
      }
    }

    // prune later duplicates we may have inserted 
    if (rslt.length > 0) {
      var unique = [rslt[0]];
      for (var fi = 1; fi < rslt.length; fi++) {
        if (unique.indexOf(rslt[fi]) == -1) {
          unique.push(rslt[fi]);
        }
      }
      rslt = unique;
    }
    dom_element.style.fontFamily = rslt.join(",");
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling shear", function (context, dom_element, isd_element, attr) {
    /* return immediately if tts:shear is 0% since CSS transforms are not inherited*/

    if (attr === 0) return;
    var angle = attr * -0.9;

    /* context.bpd is needed since writing mode is not inherited and sets the inline progression */

    if (context.bpd === "tb") {
      dom_element.style.transform = "skewX(" + angle + "deg)";
    } else {
      dom_element.style.transform = "skewY(" + angle + "deg)";
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling fontSize", function (context, dom_element, isd_element, attr) {
    dom_element.style.fontSize = attr.toUsedLength(context.w, context.h) + "px";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling fontStyle", function (context, dom_element, isd_element, attr) {
    dom_element.style.fontStyle = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling fontWeight", function (context, dom_element, isd_element, attr) {
    dom_element.style.fontWeight = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling lineHeight", function (context, dom_element, isd_element, attr) {
    if (attr === "normal") {
      dom_element.style.lineHeight = "normal";
    } else {
      dom_element.style.lineHeight = attr.toUsedLength(context.w, context.h) + "px";
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling opacity", function (context, dom_element, isd_element, attr) {
    dom_element.style.opacity = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling origin", function (context, dom_element, isd_element, attr) {
    dom_element.style.top = attr.h.toUsedLength(context.w, context.h) + "px";
    dom_element.style.left = attr.w.toUsedLength(context.w, context.h) + "px";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling overflow", function (context, dom_element, isd_element, attr) {
    dom_element.style.overflow = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling padding", function (context, dom_element, isd_element, attr) {
    /* attr: top,left,bottom,right*/

    /* style: top right bottom left*/

    var rslt = [];
    rslt[0] = attr[0].toUsedLength(context.w, context.h) + "px";
    rslt[1] = attr[3].toUsedLength(context.w, context.h) + "px";
    rslt[2] = attr[2].toUsedLength(context.w, context.h) + "px";
    rslt[3] = attr[1].toUsedLength(context.w, context.h) + "px";
    dom_element.style.padding = rslt.join(" ");
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling position", function (context, dom_element, isd_element, attr) {
    dom_element.style.top = attr.h.toUsedLength(context.w, context.h) + "px";
    dom_element.style.left = attr.w.toUsedLength(context.w, context.h) + "px";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling rubyAlign", function (context, dom_element, isd_element, attr) {
    dom_element.style.rubyAlign = attr === "spaceAround" ? "space-around" : "center";
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling rubyPosition", function (context, dom_element, isd_element, attr) {
    /* skip if "outside", which is handled by applyRubyPosition() */

    if (attr === "before" || attr === "after") {
      var pos;
      if (RUBYPOSITION_ISWK) {
        /* WebKit exception */

        pos = attr;
      } else if (context.bpd === "tb") {
        pos = attr === "before" ? "over" : "under";
      } else {
        if (context.bpd === "rl") {
          pos = attr === "before" ? "over" : "under";
        } else {
          pos = attr === "before" ? "under" : "over";
        }
      }

      /* apply position to the parent dom_element, i.e. ruby or rtc */

      dom_element.parentElement.style[RUBYPOSITION_PROP] = pos;
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling showBackground", null), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling textAlign", function (context, dom_element, isd_element, attr) {
    var ta;

    /* handle UAs that do not understand start or end */

    if (attr === "start") {
      ta = context.ipd === "rl" ? "right" : "left";
    } else if (attr === "end") {
      ta = context.ipd === "rl" ? "left" : "right";
    } else {
      ta = attr;
    }
    dom_element.style.textAlign = ta;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling textDecoration", function (context, dom_element, isd_element, attr) {
    dom_element.style.textDecoration = attr.join(" ").replace("lineThrough", "line-through");
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling textOutline", function (context, dom_element, isd_element, attr) {

    /* defer to tts:textShadow */
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling textShadow", function (context, dom_element, isd_element, attr) {
    var txto = isd_element.styleAttrs[imscStyles.byName.textOutline.qname];
    if (attr === "none" && txto === "none") {
      dom_element.style.textShadow = "";
    } else {
      var s = [];
      if (txto !== "none") {
        /* emulate text outline */

        var to_color = "rgba(" + txto.color[0].toString() + "," + txto.color[1].toString() + "," + txto.color[2].toString() + "," + (txto.color[3] / 255).toString() + ")";
        s.push("1px 1px 1px " + to_color);
        s.push("-1px 1px 1px " + to_color);
        s.push("1px -1px 1px " + to_color);
        s.push("-1px -1px 1px " + to_color);
      }

      /* add text shadow */

      if (attr !== "none") {
        for (var i = 0; i < attr.length; i++) {
          s.push(attr[i].x_off.toUsedLength(context.w, context.h) + "px " + attr[i].y_off.toUsedLength(context.w, context.h) + "px " + attr[i].b_radius.toUsedLength(context.w, context.h) + "px " + "rgba(" + attr[i].color[0].toString() + "," + attr[i].color[1].toString() + "," + attr[i].color[2].toString() + "," + (attr[i].color[3] / 255).toString() + ")");
        }
      }
      dom_element.style.textShadow = s.join(",");
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling textCombine", function (context, dom_element, isd_element, attr) {
    dom_element.style.textCombineUpright = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling textEmphasis", function (context, dom_element, isd_element, attr) {

    /* applied as part of HTML document construction */
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling unicodeBidi", function (context, dom_element, isd_element, attr) {
    var ub;
    if (attr === 'bidiOverride') {
      ub = "bidi-override";
    } else {
      ub = attr;
    }
    dom_element.style.unicodeBidi = ub;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling visibility", function (context, dom_element, isd_element, attr) {
    dom_element.style.visibility = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling wrapOption", function (context, dom_element, isd_element, attr) {
    if (attr === "wrap") {
      if (isd_element.space === "preserve") {
        dom_element.style.whiteSpace = "pre-wrap";
      } else {
        dom_element.style.whiteSpace = "normal";
      }
    } else {
      if (isd_element.space === "preserve") {
        dom_element.style.whiteSpace = "pre";
      } else {
        dom_element.style.whiteSpace = "noWrap";
      }
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling writingMode", function (context, dom_element, isd_element, attr) {
    var wm;
    if (attr === "lrtb" || attr === "lr") {
      dom_element.style.writingMode = "horizontal-tb";
    } else if (attr === "rltb" || attr === "rl") {
      dom_element.style.writingMode = "horizontal-tb";
    } else if (attr === "tblr") {
      dom_element.style.writingMode = "vertical-lr";
    } else if (attr === "tbrl" || attr === "tb") {
      dom_element.style.writingMode = "vertical-rl";
    }
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml#styling zIndex", function (context, dom_element, isd_element, attr) {
    dom_element.style.zIndex = attr;
  }), new HTMLStylingMapDefinition("http://www.w3.org/ns/ttml/profile/imsc1#styling forcedDisplay", function (context, dom_element, isd_element, attr) {
    if (context.displayForcedOnlyMode && attr === false) {
      dom_element.style.visibility = "hidden";
    }
  })];
  var STYLMAP_BY_QNAME = {};
  for (var i = 0; i < STYLING_MAP_DEFS.length; i++) {
    STYLMAP_BY_QNAME[STYLING_MAP_DEFS[i].qname] = STYLING_MAP_DEFS[i];
  }

  /* CSS property names */

  var RUBYPOSITION_ISWK = "webkitRubyPosition" in window.getComputedStyle(document.documentElement);
  var RUBYPOSITION_PROP = RUBYPOSITION_ISWK ? "webkitRubyPosition" : "rubyPosition";
  var TEXTEMPHASISSTYLE_PROP = "webkitTextEmphasisStyle" in window.getComputedStyle(document.documentElement) ? "webkitTextEmphasisStyle" : "textEmphasisStyle";
  var TEXTEMPHASISPOSITION_PROP = "webkitTextEmphasisPosition" in window.getComputedStyle(document.documentElement) ? "webkitTextEmphasisPosition" : "textEmphasisPosition";

  /* error utilities */

  function reportError(errorHandler, msg) {
    if (errorHandler && errorHandler.error && errorHandler.error(msg)) throw msg;
  }
})( false ? 0 : exports, typeof imscNames === 'undefined' ? __webpack_require__(/*! ./names */ "./node_modules/imsc/src/main/js/names.js") : imscNames, typeof imscStyles === 'undefined' ? __webpack_require__(/*! ./styles */ "./node_modules/imsc/src/main/js/styles.js") : imscStyles, typeof imscUtils === 'undefined' ? __webpack_require__(/*! ./utils */ "./node_modules/imsc/src/main/js/utils.js") : imscUtils);

/***/ }),

/***/ "./node_modules/imsc/src/main/js/isd.js":
/*!**********************************************!*\
  !*** ./node_modules/imsc/src/main/js/isd.js ***!
  \**********************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @module imscISD
 */

;
(function (imscISD, imscNames, imscStyles, imscUtils) {
  // wrapper for non-node envs

  /** 
   * Creates a canonical representation of an IMSC1 document returned by <pre>imscDoc.fromXML()</pre>
   * at a given absolute offset in seconds. This offset does not have to be one of the values returned
   * by <pre>getMediaTimeEvents()</pre>.
   * 
   * @param {Object} tt IMSC1 document
   * @param {number} offset Absolute offset (in seconds)
   * @param {?module:imscUtils.ErrorHandler} errorHandler Error callback
   * @returns {Object} Opaque in-memory representation of an ISD
   */

  imscISD.generateISD = function (tt, offset, errorHandler) {
    /* TODO check for tt and offset validity */

    /* create the ISD object from the IMSC1 doc */

    var isd = new ISD(tt);

    /* context */

    var context = {

      /*rubyfs: []*/ /* font size of the nearest textContainer or container */
    };

    /* Filter body contents - Only process what we need within the offset and discard regions not applicable to the content */
    var body = {};
    var activeRegions = {};

    /* gather any regions that might have showBackground="always" and show a background */
    var initialShowBackground = tt.head.styling.initials[imscStyles.byName.showBackground.qname];
    var initialbackgroundColor = tt.head.styling.initials[imscStyles.byName.backgroundColor.qname];
    for (var layout_child in tt.head.layout.regions) {
      if (tt.head.layout.regions.hasOwnProperty(layout_child)) {
        var region = tt.head.layout.regions[layout_child];
        var showBackground = region.styleAttrs[imscStyles.byName.showBackground.qname] || initialShowBackground;
        var backgroundColor = region.styleAttrs[imscStyles.byName.backgroundColor.qname] || initialbackgroundColor;
        activeRegions[region.id] = (showBackground === 'always' || showBackground === undefined) && backgroundColor !== undefined && !(offset < region.begin || offset >= region.end);
      }
    }

    /* If the body specifies a region, catch it, since no filtered content will */
    /* likely specify the region. */
    if (tt.body && tt.body.regionID) {
      activeRegions[tt.body.regionID] = true;
    }
    function filter(offset, element) {
      function offsetFilter(element) {
        return !(offset < element.begin || offset >= element.end);
      }
      if (element.contents) {
        var clone = {};
        for (var prop in element) {
          if (element.hasOwnProperty(prop)) {
            clone[prop] = element[prop];
          }
        }
        clone.contents = [];
        element.contents.filter(offsetFilter).forEach(function (el) {
          var filteredElement = filter(offset, el);
          if (filteredElement.regionID) {
            activeRegions[filteredElement.regionID] = true;
          }
          if (filteredElement !== null) {
            clone.contents.push(filteredElement);
          }
        });
        return clone;
      } else {
        return element;
      }
    }
    if (tt.body !== null) {
      body = filter(offset, tt.body);
    } else {
      body = null;
    }

    /* rewritten TTML will always have a default - this covers it. because the region is defaulted to "" */
    if (activeRegions[""] !== undefined) {
      activeRegions[""] = true;
    }

    /* process regions */
    for (var regionID in activeRegions) {
      if (activeRegions[regionID]) {
        /* post-order traversal of the body tree per [construct intermediate document] */

        var c = isdProcessContentElement(tt, offset, tt.head.layout.regions[regionID], body, null, '', tt.head.layout.regions[regionID], errorHandler, context);
        if (c !== null) {
          /* add the region to the ISD */

          isd.contents.push(c.element);
        }
      }
    }
    return isd;
  };

  /* set of styles not applicable to ruby container spans */

  var _rcs_na_styles = [imscStyles.byName.color.qname, imscStyles.byName.textCombine.qname, imscStyles.byName.textDecoration.qname, imscStyles.byName.textEmphasis.qname, imscStyles.byName.textOutline.qname, imscStyles.byName.textShadow.qname];
  function isdProcessContentElement(doc, offset, region, body, parent, inherited_region_id, elem, errorHandler, context) {
    /* prune if temporally inactive */

    if (offset < elem.begin || offset >= elem.end) {
      return null;
    }

    /* 
     * set the associated region as specified by the regionID attribute, or the 
     * inherited associated region otherwise
     */

    var associated_region_id = 'regionID' in elem && elem.regionID !== '' ? elem.regionID : inherited_region_id;

    /* prune the element if either:
     * - the element is not terminal and the associated region is neither the default
     *   region nor the parent region (this allows children to be associated with a 
     *   region later on)
     * - the element is terminal and the associated region is not the parent region
     */

    /* TODO: improve detection of terminal elements since <region> has no contents */

    if (parent !== null /* are we in the region element */ && associated_region_id !== region.id && (!('contents' in elem) || 'contents' in elem && elem.contents.length === 0 || associated_region_id !== '')) return null;

    /* create an ISD element, including applying specified styles */

    var isd_element = new ISDContentElement(elem);

    /* apply set (animation) styling */

    if ("sets" in elem) {
      for (var i = 0; i < elem.sets.length; i++) {
        if (offset < elem.sets[i].begin || offset >= elem.sets[i].end) continue;
        isd_element.styleAttrs[elem.sets[i].qname] = elem.sets[i].value;
      }
    }

    /* 
     * keep track of specified styling attributes so that we
     * can compute them later
     */

    var spec_attr = {};
    for (var qname in isd_element.styleAttrs) {
      if (!isd_element.styleAttrs.hasOwnProperty(qname)) continue;
      spec_attr[qname] = true;

      /* special rule for tts:writingMode (section 7.29.1 of XSL)
       * direction is set consistently with writingMode only
       * if writingMode sets inline-direction to LTR or RTL  
       */

      if (isd_element.kind === 'region' && qname === imscStyles.byName.writingMode.qname && !(imscStyles.byName.direction.qname in isd_element.styleAttrs)) {
        var wm = isd_element.styleAttrs[qname];
        if (wm === "lrtb" || wm === "lr") {
          isd_element.styleAttrs[imscStyles.byName.direction.qname] = "ltr";
        } else if (wm === "rltb" || wm === "rl") {
          isd_element.styleAttrs[imscStyles.byName.direction.qname] = "rtl";
        }
      }
    }

    /* inherited styling */

    if (parent !== null) {
      for (var j = 0; j < imscStyles.all.length; j++) {
        var sa = imscStyles.all[j];

        /* textDecoration has special inheritance rules */

        if (sa.qname === imscStyles.byName.textDecoration.qname) {
          /* handle both textDecoration inheritance and specification */

          var ps = parent.styleAttrs[sa.qname];
          var es = isd_element.styleAttrs[sa.qname];
          var outs = [];
          if (es === undefined) {
            outs = ps;
          } else if (es.indexOf("none") === -1) {
            if (es.indexOf("noUnderline") === -1 && ps.indexOf("underline") !== -1 || es.indexOf("underline") !== -1) {
              outs.push("underline");
            }
            if (es.indexOf("noLineThrough") === -1 && ps.indexOf("lineThrough") !== -1 || es.indexOf("lineThrough") !== -1) {
              outs.push("lineThrough");
            }
            if (es.indexOf("noOverline") === -1 && ps.indexOf("overline") !== -1 || es.indexOf("overline") !== -1) {
              outs.push("overline");
            }
          } else {
            outs.push("none");
          }
          isd_element.styleAttrs[sa.qname] = outs;
        } else if (sa.qname === imscStyles.byName.fontSize.qname && !(sa.qname in isd_element.styleAttrs) && isd_element.kind === 'span' && isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "textContainer") {
          /* special inheritance rule for ruby text container font size */

          var ruby_fs = parent.styleAttrs[imscStyles.byName.fontSize.qname];
          isd_element.styleAttrs[sa.qname] = new imscUtils.ComputedLength(0.5 * ruby_fs.rw, 0.5 * ruby_fs.rh);
        } else if (sa.qname === imscStyles.byName.fontSize.qname && !(sa.qname in isd_element.styleAttrs) && isd_element.kind === 'span' && isd_element.styleAttrs[imscStyles.byName.ruby.qname] === "text") {
          /* special inheritance rule for ruby text font size */

          var parent_fs = parent.styleAttrs[imscStyles.byName.fontSize.qname];
          if (parent.styleAttrs[imscStyles.byName.ruby.qname] === "textContainer") {
            isd_element.styleAttrs[sa.qname] = parent_fs;
          } else {
            isd_element.styleAttrs[sa.qname] = new imscUtils.ComputedLength(0.5 * parent_fs.rw, 0.5 * parent_fs.rh);
          }
        } else if (sa.inherit && sa.qname in parent.styleAttrs && !(sa.qname in isd_element.styleAttrs)) {
          isd_element.styleAttrs[sa.qname] = parent.styleAttrs[sa.qname];
        }
      }
    }

    /* initial value styling */

    for (var k = 0; k < imscStyles.all.length; k++) {
      var ivs = imscStyles.all[k];

      /* skip if value is already specified */

      if (ivs.qname in isd_element.styleAttrs) continue;

      /* skip tts:position if tts:origin is specified */

      if (ivs.qname === imscStyles.byName.position.qname && imscStyles.byName.origin.qname in isd_element.styleAttrs) continue;

      /* skip tts:origin if tts:position is specified */

      if (ivs.qname === imscStyles.byName.origin.qname && imscStyles.byName.position.qname in isd_element.styleAttrs) continue;

      /* determine initial value */

      var iv = doc.head.styling.initials[ivs.qname] || ivs.initial;
      if (iv === null) {
        /* skip processing if no initial value defined */

        continue;
      }

      /* apply initial value to elements other than region only if non-inherited */

      if (isd_element.kind === 'region' || ivs.inherit === false && iv !== null) {
        var piv = ivs.parse(iv);
        if (piv !== null) {
          isd_element.styleAttrs[ivs.qname] = piv;

          /* keep track of the style as specified */

          spec_attr[ivs.qname] = true;
        } else {
          reportError(errorHandler, "Invalid initial value for '" + ivs.qname + "' on element '" + isd_element.kind);
        }
      }
    }

    /* compute styles (only for non-inherited styles) */
    /* TODO: get rid of spec_attr */

    for (var z = 0; z < imscStyles.all.length; z++) {
      var cs = imscStyles.all[z];
      if (!(cs.qname in spec_attr)) continue;
      if (cs.compute !== null) {
        var cstyle = cs.compute(/*doc, parent, element, attr, context*/
        doc, parent, isd_element, isd_element.styleAttrs[cs.qname], context);
        if (cstyle !== null) {
          isd_element.styleAttrs[cs.qname] = cstyle;
        } else {
          /* if the style cannot be computed, replace it by its initial value */

          isd_element.styleAttrs[cs.qname] = cs.compute(/*doc, parent, element, attr, context*/
          doc, parent, isd_element, cs.parse(cs.initial), context);
          reportError(errorHandler, "Style '" + cs.qname + "' on element '" + isd_element.kind + "' cannot be computed");
        }
      }
    }

    /* prune if tts:display is none */

    if (isd_element.styleAttrs[imscStyles.byName.display.qname] === "none") return null;

    /* process contents of the element */

    var contents = null;
    if (parent === null) {
      /* we are processing the region */

      if (body === null) {
        /* if there is no body, still process the region but with empty content */

        contents = [];
      } else {
        /*use the body element as contents */

        contents = [body];
      }
    } else if ('contents' in elem) {
      contents = elem.contents;
    }
    for (var x = 0; contents !== null && x < contents.length; x++) {
      var c = isdProcessContentElement(doc, offset, region, body, isd_element, associated_region_id, contents[x], errorHandler, context);

      /* 
       * keep child element only if they are non-null and their region match 
       * the region of this element
       */

      if (c !== null) {
        isd_element.contents.push(c.element);
      }
    }

    /* remove styles that are not applicable */

    for (var qnameb in isd_element.styleAttrs) {
      if (!isd_element.styleAttrs.hasOwnProperty(qnameb)) continue;

      /* true if not applicable */

      var na = false;

      /* special applicability of certain style properties to ruby container spans */
      /* TODO: in the future ruby elements should be translated to elements instead of kept as spans */

      if (isd_element.kind === 'span') {
        var rsp = isd_element.styleAttrs[imscStyles.byName.ruby.qname];
        na = (rsp === 'container' || rsp === 'textContainer' || rsp === 'baseContainer') && _rcs_na_styles.indexOf(qnameb) !== -1;
        if (!na) {
          na = rsp !== 'container' && qnameb === imscStyles.byName.rubyAlign.qname;
        }
        if (!na) {
          na = !(rsp === 'textContainer' || rsp === 'text') && qnameb === imscStyles.byName.rubyPosition.qname;
        }
      }

      /* normal applicability */

      if (!na) {
        var da = imscStyles.byQName[qnameb];
        if ("applies" in da) {
          na = da.applies.indexOf(isd_element.kind) === -1;
        }
      }
      if (na) {
        delete isd_element.styleAttrs[qnameb];
      }
    }

    /* trim whitespace around explicit line breaks */

    var ruby = isd_element.styleAttrs[imscStyles.byName.ruby.qname];
    if (isd_element.kind === 'p' || isd_element.kind === 'span' && (ruby === "textContainer" || ruby === "text")) {
      var elist = [];
      constructSpanList(isd_element, elist);
      collapseLWSP(elist);
      pruneEmptySpans(isd_element);
    }

    /* keep element if:
     * * contains a background image
     * * <br/>
     * * if there are children
     * * if it is an image
     * * if <span> and has text
     * * if region and showBackground = always
     */

    if (isd_element.kind === 'div' && imscStyles.byName.backgroundImage.qname in isd_element.styleAttrs || isd_element.kind === 'br' || isd_element.kind === 'image' || 'contents' in isd_element && isd_element.contents.length > 0 || isd_element.kind === 'span' && isd_element.text !== null || isd_element.kind === 'region' && isd_element.styleAttrs[imscStyles.byName.showBackground.qname] === 'always') {
      return {
        region_id: associated_region_id,
        element: isd_element
      };
    }
    return null;
  }
  function collapseLWSP(elist) {
    function isPrevCharLWSP(prev_element) {
      return prev_element.kind === 'br' || /[\r\n\t ]$/.test(prev_element.text);
    }
    function isNextCharLWSP(next_element) {
      return next_element.kind === 'br' || next_element.space === "preserve" && /^[\r\n]/.test(next_element.text);
    }

    /* collapse spaces and remove leading LWSPs */

    var element;
    for (var i = 0; i < elist.length;) {
      element = elist[i];
      if (element.kind === "br" || element.space === "preserve") {
        i++;
        continue;
      }
      var trimmed_text = element.text.replace(/[\t\r\n ]+/g, ' ');
      if (/^[ ]/.test(trimmed_text)) {
        if (i === 0 || isPrevCharLWSP(elist[i - 1])) {
          trimmed_text = trimmed_text.substring(1);
        }
      }
      element.text = trimmed_text;
      if (trimmed_text.length === 0) {
        elist.splice(i, 1);
      } else {
        i++;
      }
    }

    /* remove trailing LWSPs */

    for (i = 0; i < elist.length; i++) {
      element = elist[i];
      if (element.kind === "br" || element.space === "preserve") {
        i++;
        continue;
      }
      if (/[ ]$/.test(element.text)) {
        if (i === elist.length - 1 || isNextCharLWSP(elist[i + 1])) {
          element.text = element.text.slice(0, -1);
        }
      }
    }
  }
  function constructSpanList(element, elist) {
    if (!("contents" in element)) {
      return;
    }
    for (var i = 0; i < element.contents.length; i++) {
      var child = element.contents[i];
      var ruby = child.styleAttrs[imscStyles.byName.ruby.qname];
      if (child.kind === 'span' && (ruby === "textContainer" || ruby === "text")) {
        /* skip ruby text and text containers, which are handled on their own */

        continue;
      } else if ('contents' in child) {
        constructSpanList(child, elist);
      } else if (child.kind === 'span' && child.text.length !== 0 || child.kind === 'br') {
        /* skip empty spans */

        elist.push(child);
      }
    }
  }
  function pruneEmptySpans(element) {
    if (element.kind === 'br') {
      return false;
    } else if ('text' in element) {
      return element.text.length === 0;
    } else if ('contents' in element) {
      var i = element.contents.length;
      while (i--) {
        if (pruneEmptySpans(element.contents[i])) {
          element.contents.splice(i, 1);
        }
      }
      return element.contents.length === 0;
    }
  }
  function ISD(tt) {
    this.contents = [];
    this.aspectRatio = tt.aspectRatio;
    this.lang = tt.lang;
  }
  function ISDContentElement(ttelem) {
    /* assume the element is a region if it does not have a kind */

    this.kind = ttelem.kind || 'region';

    /* copy lang */

    this.lang = ttelem.lang;

    /* copy id */

    if (ttelem.id) {
      this.id = ttelem.id;
    }

    /* deep copy of style attributes */
    this.styleAttrs = {};
    for (var sname in ttelem.styleAttrs) {
      if (!ttelem.styleAttrs.hasOwnProperty(sname)) continue;
      this.styleAttrs[sname] = ttelem.styleAttrs[sname];
    }

    /* copy src and type if image */

    if ('src' in ttelem) {
      this.src = ttelem.src;
    }
    if ('type' in ttelem) {
      this.type = ttelem.type;
    }

    /* TODO: clean this! 
     * TODO: ISDElement and document element should be better tied together */

    if ('text' in ttelem) {
      this.text = ttelem.text;
    } else if (this.kind === 'region' || 'contents' in ttelem) {
      this.contents = [];
    }
    if ('space' in ttelem) {
      this.space = ttelem.space;
    }
  }

  /*
   * ERROR HANDLING UTILITY FUNCTIONS
   * 
   */

  function reportInfo(errorHandler, msg) {
    if (errorHandler && errorHandler.info && errorHandler.info(msg)) throw msg;
  }
  function reportWarning(errorHandler, msg) {
    if (errorHandler && errorHandler.warn && errorHandler.warn(msg)) throw msg;
  }
  function reportError(errorHandler, msg) {
    if (errorHandler && errorHandler.error && errorHandler.error(msg)) throw msg;
  }
  function reportFatal(errorHandler, msg) {
    if (errorHandler && errorHandler.fatal) errorHandler.fatal(msg);
    throw msg;
  }
})( false ? 0 : exports, typeof imscNames === 'undefined' ? __webpack_require__(/*! ./names */ "./node_modules/imsc/src/main/js/names.js") : imscNames, typeof imscStyles === 'undefined' ? __webpack_require__(/*! ./styles */ "./node_modules/imsc/src/main/js/styles.js") : imscStyles, typeof imscUtils === 'undefined' ? __webpack_require__(/*! ./utils */ "./node_modules/imsc/src/main/js/utils.js") : imscUtils);

/***/ }),

/***/ "./node_modules/imsc/src/main/js/main.js":
/*!***********************************************!*\
  !*** ./node_modules/imsc/src/main/js/main.js ***!
  \***********************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

exports.generateISD = __webpack_require__(/*! ./isd */ "./node_modules/imsc/src/main/js/isd.js").generateISD;
exports.fromXML = __webpack_require__(/*! ./doc */ "./node_modules/imsc/src/main/js/doc.js").fromXML;
exports.renderHTML = __webpack_require__(/*! ./html */ "./node_modules/imsc/src/main/js/html.js").render;

/***/ }),

/***/ "./node_modules/imsc/src/main/js/names.js":
/*!************************************************!*\
  !*** ./node_modules/imsc/src/main/js/names.js ***!
  \************************************************/
/***/ (function(__unused_webpack_module, exports) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @module imscNames
 */

;
(function (imscNames) {
  // wrapper for non-node envs

  imscNames.ns_tt = "http://www.w3.org/ns/ttml";
  imscNames.ns_tts = "http://www.w3.org/ns/ttml#styling";
  imscNames.ns_ttp = "http://www.w3.org/ns/ttml#parameter";
  imscNames.ns_xml = "http://www.w3.org/XML/1998/namespace";
  imscNames.ns_itts = "http://www.w3.org/ns/ttml/profile/imsc1#styling";
  imscNames.ns_ittp = "http://www.w3.org/ns/ttml/profile/imsc1#parameter";
  imscNames.ns_smpte = "http://www.smpte-ra.org/schemas/2052-1/2010/smpte-tt";
  imscNames.ns_ebutts = "urn:ebu:tt:style";
})( false ? 0 : exports);

/***/ }),

/***/ "./node_modules/imsc/src/main/js/styles.js":
/*!*************************************************!*\
  !*** ./node_modules/imsc/src/main/js/styles.js ***!
  \*************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @module imscStyles
 */

;
(function (imscStyles, imscNames, imscUtils) {
  // wrapper for non-node envs

  function StylingAttributeDefinition(ns, name, initialValue, appliesTo, isInherit, isAnimatable, parseFunc, computeFunc) {
    this.name = name;
    this.ns = ns;
    this.qname = ns + " " + name;
    this.inherit = isInherit;
    this.animatable = isAnimatable;
    this.initial = initialValue;
    this.applies = appliesTo;
    this.parse = parseFunc;
    this.compute = computeFunc;
  }
  imscStyles.all = [new StylingAttributeDefinition(imscNames.ns_tts, "backgroundColor", "transparent", ['body', 'div', 'p', 'region', 'span'], false, true, imscUtils.parseColor, null), new StylingAttributeDefinition(imscNames.ns_tts, "color", "white", ['span'], true, true, imscUtils.parseColor, null), new StylingAttributeDefinition(imscNames.ns_tts, "direction", "ltr", ['p', 'span'], true, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "display", "auto", ['body', 'div', 'p', 'region', 'span'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "displayAlign", "before", ['region'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "extent", "auto", ['tt', 'region'], false, true, function (str) {
    if (str === "auto") {
      return str;
    } else {
      var s = str.split(" ");
      if (s.length !== 2) return null;
      var w = imscUtils.parseLength(s[0]);
      var h = imscUtils.parseLength(s[1]);
      if (!h || !w) return null;
      return {
        'h': h,
        'w': w
      };
    }
  }, function (doc, parent, element, attr, context) {
    var h;
    var w;
    if (attr === "auto") {
      h = new imscUtils.ComputedLength(0, 1);
    } else {
      h = imscUtils.toComputedLength(attr.h.value, attr.h.unit, null, doc.dimensions.h, null, doc.pxLength.h);
      if (h === null) {
        return null;
      }
    }
    if (attr === "auto") {
      w = new imscUtils.ComputedLength(1, 0);
    } else {
      w = imscUtils.toComputedLength(attr.w.value, attr.w.unit, null, doc.dimensions.w, null, doc.pxLength.w);
      if (w === null) {
        return null;
      }
    }
    return {
      'h': h,
      'w': w
    };
  }), new StylingAttributeDefinition(imscNames.ns_tts, "fontFamily", "default", ['span', 'p'], true, true, function (str) {
    var ffs = str.split(",");
    var rslt = [];
    for (var i = 0; i < ffs.length; i++) {
      ffs[i] = ffs[i].trim();
      if (ffs[i].charAt(0) !== "'" && ffs[i].charAt(0) !== '"') {
        if (ffs[i] === "default") {
          /* per IMSC1 */

          rslt.push("monospaceSerif");
        } else {
          rslt.push(ffs[i]);
        }
      } else {
        rslt.push(ffs[i]);
      }
    }
    return rslt;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "shear", "0%", ['p'], true, true, imscUtils.parseLength, function (doc, parent, element, attr) {
    var fs;
    if (attr.unit === "%") {
      fs = Math.abs(attr.value) > 100 ? Math.sign(attr.value) * 100 : attr.value;
    } else {
      return null;
    }
    return fs;
  }), new StylingAttributeDefinition(imscNames.ns_tts, "fontSize", "1c", ['span', 'p'], true, true, imscUtils.parseLength, function (doc, parent, element, attr, context) {
    var fs;
    fs = imscUtils.toComputedLength(attr.value, attr.unit, parent !== null ? parent.styleAttrs[imscStyles.byName.fontSize.qname] : doc.cellLength.h, parent !== null ? parent.styleAttrs[imscStyles.byName.fontSize.qname] : doc.cellLength.h, doc.cellLength.h, doc.pxLength.h);
    return fs;
  }), new StylingAttributeDefinition(imscNames.ns_tts, "fontStyle", "normal", ['span', 'p'], true, true, function (str) {
    /* TODO: handle font style */

    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "fontWeight", "normal", ['span', 'p'], true, true, function (str) {
    /* TODO: handle font weight */

    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "lineHeight", "normal", ['p'], true, true, function (str) {
    if (str === "normal") {
      return str;
    } else {
      return imscUtils.parseLength(str);
    }
  }, function (doc, parent, element, attr, context) {
    var lh;
    if (attr === "normal") {
      /* inherit normal per https://github.com/w3c/ttml1/issues/220 */

      lh = attr;
    } else {
      lh = imscUtils.toComputedLength(attr.value, attr.unit, element.styleAttrs[imscStyles.byName.fontSize.qname], element.styleAttrs[imscStyles.byName.fontSize.qname], doc.cellLength.h, doc.pxLength.h);
      if (lh === null) {
        return null;
      }
    }

    /* TODO: create a Length constructor */

    return lh;
  }), new StylingAttributeDefinition(imscNames.ns_tts, "opacity", 1.0, ['region'], false, true, parseFloat, null), new StylingAttributeDefinition(imscNames.ns_tts, "origin", "auto", ['region'], false, true, function (str) {
    if (str === "auto") {
      return str;
    } else {
      var s = str.split(" ");
      if (s.length !== 2) return null;
      var w = imscUtils.parseLength(s[0]);
      var h = imscUtils.parseLength(s[1]);
      if (!h || !w) return null;
      return {
        'h': h,
        'w': w
      };
    }
  }, function (doc, parent, element, attr, context) {
    var h;
    var w;
    if (attr === "auto") {
      h = new imscUtils.ComputedLength(0, 0);
    } else {
      h = imscUtils.toComputedLength(attr.h.value, attr.h.unit, null, doc.dimensions.h, null, doc.pxLength.h);
      if (h === null) {
        return null;
      }
    }
    if (attr === "auto") {
      w = new imscUtils.ComputedLength(0, 0);
    } else {
      w = imscUtils.toComputedLength(attr.w.value, attr.w.unit, null, doc.dimensions.w, null, doc.pxLength.w);
      if (w === null) {
        return null;
      }
    }
    return {
      'h': h,
      'w': w
    };
  }), new StylingAttributeDefinition(imscNames.ns_tts, "overflow", "hidden", ['region'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "padding", "0px", ['region'], false, true, function (str) {
    var s = str.split(" ");
    if (s.length > 4) return null;
    var r = [];
    for (var i = 0; i < s.length; i++) {
      var l = imscUtils.parseLength(s[i]);
      if (!l) return null;
      r.push(l);
    }
    return r;
  }, function (doc, parent, element, attr, context) {
    var padding;

    /* TODO: make sure we are in region */

    /*
     * expand padding shortcuts to 
     * [before, end, after, start]
     * 
     */

    if (attr.length === 1) {
      padding = [attr[0], attr[0], attr[0], attr[0]];
    } else if (attr.length === 2) {
      padding = [attr[0], attr[1], attr[0], attr[1]];
    } else if (attr.length === 3) {
      padding = [attr[0], attr[1], attr[2], attr[1]];
    } else if (attr.length === 4) {
      padding = [attr[0], attr[1], attr[2], attr[3]];
    } else {
      return null;
    }

    /* TODO: take into account tts:direction */

    /* 
     * transform [before, end, after, start] according to writingMode to 
     * [top,left,bottom,right]
     * 
     */

    var dir = element.styleAttrs[imscStyles.byName.writingMode.qname];
    if (dir === "lrtb" || dir === "lr") {
      padding = [padding[0], padding[3], padding[2], padding[1]];
    } else if (dir === "rltb" || dir === "rl") {
      padding = [padding[0], padding[1], padding[2], padding[3]];
    } else if (dir === "tblr") {
      padding = [padding[3], padding[0], padding[1], padding[2]];
    } else if (dir === "tbrl" || dir === "tb") {
      padding = [padding[3], padding[2], padding[1], padding[0]];
    } else {
      return null;
    }
    var out = [];
    for (var i = 0; i < padding.length; i++) {
      if (padding[i].value === 0) {
        out[i] = new imscUtils.ComputedLength(0, 0);
      } else {
        out[i] = imscUtils.toComputedLength(padding[i].value, padding[i].unit, element.styleAttrs[imscStyles.byName.fontSize.qname], i === 0 || i === 2 ? element.styleAttrs[imscStyles.byName.extent.qname].h : element.styleAttrs[imscStyles.byName.extent.qname].w, i === 0 || i === 2 ? doc.cellLength.h : doc.cellLength.w, i === 0 || i === 2 ? doc.pxLength.h : doc.pxLength.w);
        if (out[i] === null) return null;
      }
    }
    return out;
  }), new StylingAttributeDefinition(imscNames.ns_tts, "position", "top left", ['region'], false, true, function (str) {
    return imscUtils.parsePosition(str);
  }, function (doc, parent, element, attr) {
    var h;
    var w;
    h = imscUtils.toComputedLength(attr.v.offset.value, attr.v.offset.unit, null, new imscUtils.ComputedLength(-element.styleAttrs[imscStyles.byName.extent.qname].h.rw, doc.dimensions.h.rh - element.styleAttrs[imscStyles.byName.extent.qname].h.rh), null, doc.pxLength.h);
    if (h === null) return null;
    if (attr.v.edge === "bottom") {
      h = new imscUtils.ComputedLength(-h.rw - element.styleAttrs[imscStyles.byName.extent.qname].h.rw, doc.dimensions.h.rh - h.rh - element.styleAttrs[imscStyles.byName.extent.qname].h.rh);
    }
    w = imscUtils.toComputedLength(attr.h.offset.value, attr.h.offset.unit, null, new imscUtils.ComputedLength(doc.dimensions.w.rw - element.styleAttrs[imscStyles.byName.extent.qname].w.rw, -element.styleAttrs[imscStyles.byName.extent.qname].w.rh), null, doc.pxLength.w);
    if (h === null) return null;
    if (attr.h.edge === "right") {
      w = new imscUtils.ComputedLength(doc.dimensions.w.rw - w.rw - element.styleAttrs[imscStyles.byName.extent.qname].w.rw, -w.rh - element.styleAttrs[imscStyles.byName.extent.qname].w.rh);
    }
    return {
      'h': h,
      'w': w
    };
  }), new StylingAttributeDefinition(imscNames.ns_tts, "ruby", "none", ['span'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "rubyAlign", "center", ['span'], true, true, function (str) {
    if (!(str === "center" || str === "spaceAround")) {
      return null;
    }
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "rubyPosition", "outside", ['span'], true, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "rubyReserve", "none", ['p'], true, true, function (str) {
    var s = str.split(" ");
    var r = [null, null];
    if (s.length === 0 || s.length > 2) return null;
    if (s[0] === "none" || s[0] === "both" || s[0] === "after" || s[0] === "before" || s[0] === "outside") {
      r[0] = s[0];
    } else {
      return null;
    }
    if (s.length === 2 && s[0] !== "none") {
      var l = imscUtils.parseLength(s[1]);
      if (l) {
        r[1] = l;
      } else {
        return null;
      }
    }
    return r;
  }, function (doc, parent, element, attr, context) {
    if (attr[0] === "none") {
      return attr;
    }
    var fs = null;
    if (attr[1] === null) {
      fs = new imscUtils.ComputedLength(element.styleAttrs[imscStyles.byName.fontSize.qname].rw * 0.5, element.styleAttrs[imscStyles.byName.fontSize.qname].rh * 0.5);
    } else {
      fs = imscUtils.toComputedLength(attr[1].value, attr[1].unit, element.styleAttrs[imscStyles.byName.fontSize.qname], element.styleAttrs[imscStyles.byName.fontSize.qname], doc.cellLength.h, doc.pxLength.h);
    }
    if (fs === null) return null;
    return [attr[0], fs];
  }), new StylingAttributeDefinition(imscNames.ns_tts, "showBackground", "always", ['region'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "textAlign", "start", ['p'], true, true, function (str) {
    return str;
  }, function (doc, parent, element, attr, context) {
    /* Section 7.16.9 of XSL */

    if (attr === "left") {
      return "start";
    } else if (attr === "right") {
      return "end";
    } else {
      return attr;
    }
  }), new StylingAttributeDefinition(imscNames.ns_tts, "textCombine", "none", ['span'], true, true, function (str) {
    if (str === "none" || str === "all") {
      return str;
    }
    return null;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "textDecoration", "none", ['span'], true, true, function (str) {
    return str.split(" ");
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "textEmphasis", "none", ['span'], true, true, function (str) {
    var e = str.split(" ");
    var rslt = {
      style: null,
      symbol: null,
      color: null,
      position: null
    };
    for (var i = 0; i < e.length; i++) {
      if (e[i] === "none" || e[i] === "auto") {
        rslt.style = e[i];
      } else if (e[i] === "filled" || e[i] === "open") {
        rslt.style = e[i];
      } else if (e[i] === "circle" || e[i] === "dot" || e[i] === "sesame") {
        rslt.symbol = e[i];
      } else if (e[i] === "current") {
        rslt.color = e[i];
      } else if (e[i] === "outside" || e[i] === "before" || e[i] === "after") {
        rslt.position = e[i];
      } else {
        rslt.color = imscUtils.parseColor(e[i]);
        if (rslt.color === null) return null;
      }
    }
    if (rslt.style == null && rslt.symbol == null) {
      rslt.style = "auto";
    } else {
      rslt.symbol = rslt.symbol || "circle";
      rslt.style = rslt.style || "filled";
    }
    rslt.position = rslt.position || "outside";
    rslt.color = rslt.color || "current";
    return rslt;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "textOutline", "none", ['span'], true, true, function (str) {
    /*
     * returns {c: <color>?, thichness: <length>} | "none"
     * 
     */

    if (str === "none") {
      return str;
    } else {
      var r = {};
      var s = str.split(" ");
      if (s.length === 0 || s.length > 2) return null;
      var c = imscUtils.parseColor(s[0]);
      r.color = c;
      if (c !== null) s.shift();
      if (s.length !== 1) return null;
      var l = imscUtils.parseLength(s[0]);
      if (!l) return null;
      r.thickness = l;
      return r;
    }
  }, function (doc, parent, element, attr, context) {
    /*
     * returns {color: <color>, thickness: <norm length>}
     * 
     */

    if (attr === "none") return attr;
    var rslt = {};
    if (attr.color === null) {
      rslt.color = element.styleAttrs[imscStyles.byName.color.qname];
    } else {
      rslt.color = attr.color;
    }
    rslt.thickness = imscUtils.toComputedLength(attr.thickness.value, attr.thickness.unit, element.styleAttrs[imscStyles.byName.fontSize.qname], element.styleAttrs[imscStyles.byName.fontSize.qname], doc.cellLength.h, doc.pxLength.h);
    if (rslt.thickness === null) return null;
    return rslt;
  }), new StylingAttributeDefinition(imscNames.ns_tts, "textShadow", "none", ['span'], true, true, imscUtils.parseTextShadow, function (doc, parent, element, attr) {
    /*
     * returns [{x_off: <length>, y_off: <length>, b_radius: <length>, color: <color>}*] or "none"
     * 
     */

    if (attr === "none") return attr;
    var r = [];
    for (var i = 0; i < attr.length; i++) {
      var shadow = {};
      shadow.x_off = imscUtils.toComputedLength(attr[i][0].value, attr[i][0].unit, null, element.styleAttrs[imscStyles.byName.fontSize.qname], null, doc.pxLength.w);
      if (shadow.x_off === null) return null;
      shadow.y_off = imscUtils.toComputedLength(attr[i][1].value, attr[i][1].unit, null, element.styleAttrs[imscStyles.byName.fontSize.qname], null, doc.pxLength.h);
      if (shadow.y_off === null) return null;
      if (attr[i][2] === null) {
        shadow.b_radius = 0;
      } else {
        shadow.b_radius = imscUtils.toComputedLength(attr[i][2].value, attr[i][2].unit, null, element.styleAttrs[imscStyles.byName.fontSize.qname], null, doc.pxLength.h);
        if (shadow.b_radius === null) return null;
      }
      if (attr[i][3] === null) {
        shadow.color = element.styleAttrs[imscStyles.byName.color.qname];
      } else {
        shadow.color = attr[i][3];
      }
      r.push(shadow);
    }
    return r;
  }), new StylingAttributeDefinition(imscNames.ns_tts, "unicodeBidi", "normal", ['span', 'p'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "visibility", "visible", ['body', 'div', 'p', 'region', 'span'], true, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "wrapOption", "wrap", ['span'], true, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "writingMode", "lrtb", ['region'], false, true, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_tts, "zIndex", "auto", ['region'], false, true, function (str) {
    var rslt;
    if (str === 'auto') {
      rslt = str;
    } else {
      rslt = parseInt(str);
      if (isNaN(rslt)) {
        rslt = null;
      }
    }
    return rslt;
  }, null), new StylingAttributeDefinition(imscNames.ns_ebutts, "linePadding", "0c", ['p'], true, false, imscUtils.parseLength, function (doc, parent, element, attr, context) {
    return imscUtils.toComputedLength(attr.value, attr.unit, null, null, doc.cellLength.w, null);
  }), new StylingAttributeDefinition(imscNames.ns_ebutts, "multiRowAlign", "auto", ['p'], true, false, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_smpte, "backgroundImage", null, ['div'], false, false, function (str) {
    return str;
  }, null), new StylingAttributeDefinition(imscNames.ns_itts, "forcedDisplay", "false", ['body', 'div', 'p', 'region', 'span'], true, true, function (str) {
    return str === 'true' ? true : false;
  }, null), new StylingAttributeDefinition(imscNames.ns_itts, "fillLineGap", "false", ['p'], true, true, function (str) {
    return str === 'true' ? true : false;
  }, null)];

  /* TODO: allow null parse function */

  imscStyles.byQName = {};
  for (var i in imscStyles.all) {
    imscStyles.byQName[imscStyles.all[i].qname] = imscStyles.all[i];
  }
  imscStyles.byName = {};
  for (var j in imscStyles.all) {
    imscStyles.byName[imscStyles.all[j].name] = imscStyles.all[j];
  }
})( false ? 0 : exports, typeof imscNames === 'undefined' ? __webpack_require__(/*! ./names */ "./node_modules/imsc/src/main/js/names.js") : imscNames, typeof imscUtils === 'undefined' ? __webpack_require__(/*! ./utils */ "./node_modules/imsc/src/main/js/utils.js") : imscUtils);

/***/ }),

/***/ "./node_modules/imsc/src/main/js/utils.js":
/*!************************************************!*\
  !*** ./node_modules/imsc/src/main/js/utils.js ***!
  \************************************************/
/***/ (function(__unused_webpack_module, exports) {

/* 
 * Copyright (c) 2016, Pierre-Anthony Lemieux <pal@sandflow.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @module imscUtils
 */

;
(function (imscUtils) {
  // wrapper for non-node envs

  /* Documents the error handler interface */

  /**
   * @classdesc Generic interface for handling events. The interface exposes four
   * methods:
   * * <pre>info</pre>: unusual event that does not result in an inconsistent state
   * * <pre>warn</pre>: unexpected event that should not result in an inconsistent state
   * * <pre>error</pre>: unexpected event that may result in an inconsistent state
   * * <pre>fatal</pre>: unexpected event that results in an inconsistent state
   *   and termination of processing
   * Each method takes a single <pre>string</pre> describing the event as argument,
   * and returns a single <pre>boolean</pre>, which terminates processing if <pre>true</pre>.
   *
   * @name ErrorHandler
   * @class
   */

  /*
   * Parses a TTML color expression
   * 
   */

  var HEX_COLOR_RE = /#([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})?/;
  var DEC_COLOR_RE = /rgb\(\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*\)/;
  var DEC_COLORA_RE = /rgba\(\s*(\d+),\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*\)/;
  var NAMED_COLOR = {
    transparent: [0, 0, 0, 0],
    black: [0, 0, 0, 255],
    silver: [192, 192, 192, 255],
    gray: [128, 128, 128, 255],
    white: [255, 255, 255, 255],
    maroon: [128, 0, 0, 255],
    red: [255, 0, 0, 255],
    purple: [128, 0, 128, 255],
    fuchsia: [255, 0, 255, 255],
    magenta: [255, 0, 255, 255],
    green: [0, 128, 0, 255],
    lime: [0, 255, 0, 255],
    olive: [128, 128, 0, 255],
    yellow: [255, 255, 0, 255],
    navy: [0, 0, 128, 255],
    blue: [0, 0, 255, 255],
    teal: [0, 128, 128, 255],
    aqua: [0, 255, 255, 255],
    cyan: [0, 255, 255, 255]
  };
  imscUtils.parseColor = function (str) {
    var m;
    var r = null;
    var nc = NAMED_COLOR[str.toLowerCase()];
    if (nc !== undefined) {
      r = nc;
    } else if ((m = HEX_COLOR_RE.exec(str)) !== null) {
      r = [parseInt(m[1], 16), parseInt(m[2], 16), parseInt(m[3], 16), m[4] !== undefined ? parseInt(m[4], 16) : 255];
    } else if ((m = DEC_COLOR_RE.exec(str)) !== null) {
      r = [parseInt(m[1]), parseInt(m[2]), parseInt(m[3]), 255];
    } else if ((m = DEC_COLORA_RE.exec(str)) !== null) {
      r = [parseInt(m[1]), parseInt(m[2]), parseInt(m[3]), parseInt(m[4])];
    }
    return r;
  };
  var LENGTH_RE = /^((?:\+|\-)?\d*(?:\.\d+)?)(px|em|c|%|rh|rw)$/;
  imscUtils.parseLength = function (str) {
    var m;
    var r = null;
    if ((m = LENGTH_RE.exec(str)) !== null) {
      r = {
        value: parseFloat(m[1]),
        unit: m[2]
      };
    }
    return r;
  };
  imscUtils.parseTextShadow = function (str) {
    var shadows = str.match(/([^\(,\)]|\([^\)]+\))+/g);
    var r = [];
    for (var i = 0; i < shadows.length; i++) {
      var shadow = shadows[i].split(" ");
      if (shadow.length === 1 && shadow[0] === "none") {
        return "none";
      } else if (shadow.length > 1 && shadow.length < 5) {
        var out_shadow = [null, null, null, null];

        /* x offset */

        var l = imscUtils.parseLength(shadow.shift());
        if (l === null) return null;
        out_shadow[0] = l;

        /* y offset */

        l = imscUtils.parseLength(shadow.shift());
        if (l === null) return null;
        out_shadow[1] = l;

        /* is there a third component */

        if (shadow.length === 0) {
          r.push(out_shadow);
          continue;
        }
        l = imscUtils.parseLength(shadow[0]);
        if (l !== null) {
          out_shadow[2] = l;
          shadow.shift();
        }
        if (shadow.length === 0) {
          r.push(out_shadow);
          continue;
        }
        var c = imscUtils.parseColor(shadow[0]);
        if (c === null) return null;
        out_shadow[3] = c;
        r.push(out_shadow);
      }
    }
    return r;
  };
  imscUtils.parsePosition = function (str) {
    /* see https://www.w3.org/TR/ttml2/#style-value-position */

    var s = str.split(" ");
    var isKeyword = function (str) {
      return str === "center" || str === "left" || str === "top" || str === "bottom" || str === "right";
    };
    if (s.length > 4) {
      return null;
    }

    /* initial clean-up pass */

    for (var j = 0; j < s.length; j++) {
      if (!isKeyword(s[j])) {
        var l = imscUtils.parseLength(s[j]);
        if (l === null) return null;
        s[j] = l;
      }
    }

    /* position default */

    var pos = {
      h: {
        edge: "left",
        offset: {
          value: 50,
          unit: "%"
        }
      },
      v: {
        edge: "top",
        offset: {
          value: 50,
          unit: "%"
        }
      }
    };

    /* update position */

    for (var i = 0; i < s.length;) {
      /* extract the current component */

      var comp = s[i++];
      if (isKeyword(comp)) {
        /* we have a keyword */

        var offset = {
          value: 0,
          unit: "%"
        };

        /* peek at the next component */

        if (s.length !== 2 && i < s.length && !isKeyword(s[i])) {
          /* followed by an offset */

          offset = s[i++];
        }

        /* skip if center */

        if (comp === "right") {
          pos.h.edge = comp;
          pos.h.offset = offset;
        } else if (comp === "bottom") {
          pos.v.edge = comp;
          pos.v.offset = offset;
        } else if (comp === "left") {
          pos.h.offset = offset;
        } else if (comp === "top") {
          pos.v.offset = offset;
        }
      } else if (s.length === 1 || s.length === 2) {
        /* we have a bare value */

        if (i === 1) {
          /* assign it to left edge if first bare value */

          pos.h.offset = comp;
        } else {
          /* assign it to top edge if second bare value */

          pos.v.offset = comp;
        }
      } else {
        /* error condition */

        return null;
      }
    }
    return pos;
  };
  imscUtils.ComputedLength = function (rw, rh) {
    this.rw = rw;
    this.rh = rh;
  };
  imscUtils.ComputedLength.prototype.toUsedLength = function (width, height) {
    return width * this.rw + height * this.rh;
  };
  imscUtils.ComputedLength.prototype.isZero = function () {
    return this.rw === 0 && this.rh === 0;
  };

  /**
   * Computes a specified length to a root container relative length
   * 
   * @param {number} lengthVal Length value to be computed
   * @param {string} lengthUnit Units of the length value
   * @param {number} emScale length of 1em, or null if em is not allowed
   * @param {number} percentScale length to which , or null if perecentage is not allowed
   * @param {number} cellScale length of 1c, or null if c is not allowed
   * @param {number} pxScale length of 1px, or null if px is not allowed
   * @param {number} direction 0 if the length is computed in the horizontal direction, 1 if the length is computed in the vertical direction
   * @return {number} Computed length
   */
  imscUtils.toComputedLength = function (lengthVal, lengthUnit, emLength, percentLength, cellLength, pxLength) {
    if (lengthUnit === "%" && percentLength) {
      return new imscUtils.ComputedLength(percentLength.rw * lengthVal / 100, percentLength.rh * lengthVal / 100);
    } else if (lengthUnit === "em" && emLength) {
      return new imscUtils.ComputedLength(emLength.rw * lengthVal, emLength.rh * lengthVal);
    } else if (lengthUnit === "c" && cellLength) {
      return new imscUtils.ComputedLength(lengthVal * cellLength.rw, lengthVal * cellLength.rh);
    } else if (lengthUnit === "px" && pxLength) {
      return new imscUtils.ComputedLength(lengthVal * pxLength.rw, lengthVal * pxLength.rh);
    } else if (lengthUnit === "rh") {
      return new imscUtils.ComputedLength(0, lengthVal / 100);
    } else if (lengthUnit === "rw") {
      return new imscUtils.ComputedLength(lengthVal / 100, 0);
    } else {
      return null;
    }
  };
})( false ? 0 : exports);

/***/ }),

/***/ "./node_modules/inherits/inherits_browser.js":
/*!***************************************************!*\
  !*** ./node_modules/inherits/inherits_browser.js ***!
  \***************************************************/
/***/ (function(module) {

if (typeof Object.create === 'function') {
  // implementation from standard node.js 'util' module
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor;
      ctor.prototype = Object.create(superCtor.prototype, {
        constructor: {
          value: ctor,
          enumerable: false,
          writable: true,
          configurable: true
        }
      });
    }
  };
} else {
  // old school shim for old browsers
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor;
      var TempCtor = function () {};
      TempCtor.prototype = superCtor.prototype;
      ctor.prototype = new TempCtor();
      ctor.prototype.constructor = ctor;
    }
  };
}

/***/ }),

/***/ "./node_modules/path-browserify/index.js":
/*!***********************************************!*\
  !*** ./node_modules/path-browserify/index.js ***!
  \***********************************************/
/***/ (function(module) {

// 'path' module extracted from Node.js v8.11.1 (only the posix part)
// transplited with Babel

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.



function assertPath(path) {
  if (typeof path !== 'string') {
    throw new TypeError('Path must be a string. Received ' + JSON.stringify(path));
  }
}

// Resolves . and .. elements in a path with directory names
function normalizeStringPosix(path, allowAboveRoot) {
  var res = '';
  var lastSegmentLength = 0;
  var lastSlash = -1;
  var dots = 0;
  var code;
  for (var i = 0; i <= path.length; ++i) {
    if (i < path.length) code = path.charCodeAt(i);else if (code === 47 /*/*/) break;else code = 47 /*/*/;
    if (code === 47 /*/*/) {
      if (lastSlash === i - 1 || dots === 1) {
        // NOOP
      } else if (lastSlash !== i - 1 && dots === 2) {
        if (res.length < 2 || lastSegmentLength !== 2 || res.charCodeAt(res.length - 1) !== 46 /*.*/ || res.charCodeAt(res.length - 2) !== 46 /*.*/) {
          if (res.length > 2) {
            var lastSlashIndex = res.lastIndexOf('/');
            if (lastSlashIndex !== res.length - 1) {
              if (lastSlashIndex === -1) {
                res = '';
                lastSegmentLength = 0;
              } else {
                res = res.slice(0, lastSlashIndex);
                lastSegmentLength = res.length - 1 - res.lastIndexOf('/');
              }
              lastSlash = i;
              dots = 0;
              continue;
            }
          } else if (res.length === 2 || res.length === 1) {
            res = '';
            lastSegmentLength = 0;
            lastSlash = i;
            dots = 0;
            continue;
          }
        }
        if (allowAboveRoot) {
          if (res.length > 0) res += '/..';else res = '..';
          lastSegmentLength = 2;
        }
      } else {
        if (res.length > 0) res += '/' + path.slice(lastSlash + 1, i);else res = path.slice(lastSlash + 1, i);
        lastSegmentLength = i - lastSlash - 1;
      }
      lastSlash = i;
      dots = 0;
    } else if (code === 46 /*.*/ && dots !== -1) {
      ++dots;
    } else {
      dots = -1;
    }
  }
  return res;
}
function _format(sep, pathObject) {
  var dir = pathObject.dir || pathObject.root;
  var base = pathObject.base || (pathObject.name || '') + (pathObject.ext || '');
  if (!dir) {
    return base;
  }
  if (dir === pathObject.root) {
    return dir + base;
  }
  return dir + sep + base;
}
var posix = {
  // path.resolve([from ...], to)
  resolve: function resolve() {
    var resolvedPath = '';
    var resolvedAbsolute = false;
    var cwd;
    for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
      var path;
      if (i >= 0) path = arguments[i];else {
        if (cwd === undefined) cwd = process.cwd();
        path = cwd;
      }
      assertPath(path);

      // Skip empty entries
      if (path.length === 0) {
        continue;
      }
      resolvedPath = path + '/' + resolvedPath;
      resolvedAbsolute = path.charCodeAt(0) === 47 /*/*/;
    }

    // At this point the path should be resolved to a full absolute path, but
    // handle relative paths to be safe (might happen when process.cwd() fails)

    // Normalize the path
    resolvedPath = normalizeStringPosix(resolvedPath, !resolvedAbsolute);
    if (resolvedAbsolute) {
      if (resolvedPath.length > 0) return '/' + resolvedPath;else return '/';
    } else if (resolvedPath.length > 0) {
      return resolvedPath;
    } else {
      return '.';
    }
  },
  normalize: function normalize(path) {
    assertPath(path);
    if (path.length === 0) return '.';
    var isAbsolute = path.charCodeAt(0) === 47 /*/*/;
    var trailingSeparator = path.charCodeAt(path.length - 1) === 47 /*/*/;

    // Normalize the path
    path = normalizeStringPosix(path, !isAbsolute);
    if (path.length === 0 && !isAbsolute) path = '.';
    if (path.length > 0 && trailingSeparator) path += '/';
    if (isAbsolute) return '/' + path;
    return path;
  },
  isAbsolute: function isAbsolute(path) {
    assertPath(path);
    return path.length > 0 && path.charCodeAt(0) === 47 /*/*/;
  },
  join: function join() {
    if (arguments.length === 0) return '.';
    var joined;
    for (var i = 0; i < arguments.length; ++i) {
      var arg = arguments[i];
      assertPath(arg);
      if (arg.length > 0) {
        if (joined === undefined) joined = arg;else joined += '/' + arg;
      }
    }
    if (joined === undefined) return '.';
    return posix.normalize(joined);
  },
  relative: function relative(from, to) {
    assertPath(from);
    assertPath(to);
    if (from === to) return '';
    from = posix.resolve(from);
    to = posix.resolve(to);
    if (from === to) return '';

    // Trim any leading backslashes
    var fromStart = 1;
    for (; fromStart < from.length; ++fromStart) {
      if (from.charCodeAt(fromStart) !== 47 /*/*/) break;
    }
    var fromEnd = from.length;
    var fromLen = fromEnd - fromStart;

    // Trim any leading backslashes
    var toStart = 1;
    for (; toStart < to.length; ++toStart) {
      if (to.charCodeAt(toStart) !== 47 /*/*/) break;
    }
    var toEnd = to.length;
    var toLen = toEnd - toStart;

    // Compare paths to find the longest common path from root
    var length = fromLen < toLen ? fromLen : toLen;
    var lastCommonSep = -1;
    var i = 0;
    for (; i <= length; ++i) {
      if (i === length) {
        if (toLen > length) {
          if (to.charCodeAt(toStart + i) === 47 /*/*/) {
            // We get here if `from` is the exact base path for `to`.
            // For example: from='/foo/bar'; to='/foo/bar/baz'
            return to.slice(toStart + i + 1);
          } else if (i === 0) {
            // We get here if `from` is the root
            // For example: from='/'; to='/foo'
            return to.slice(toStart + i);
          }
        } else if (fromLen > length) {
          if (from.charCodeAt(fromStart + i) === 47 /*/*/) {
            // We get here if `to` is the exact base path for `from`.
            // For example: from='/foo/bar/baz'; to='/foo/bar'
            lastCommonSep = i;
          } else if (i === 0) {
            // We get here if `to` is the root.
            // For example: from='/foo'; to='/'
            lastCommonSep = 0;
          }
        }
        break;
      }
      var fromCode = from.charCodeAt(fromStart + i);
      var toCode = to.charCodeAt(toStart + i);
      if (fromCode !== toCode) break;else if (fromCode === 47 /*/*/) lastCommonSep = i;
    }
    var out = '';
    // Generate the relative path based on the path difference between `to`
    // and `from`
    for (i = fromStart + lastCommonSep + 1; i <= fromEnd; ++i) {
      if (i === fromEnd || from.charCodeAt(i) === 47 /*/*/) {
        if (out.length === 0) out += '..';else out += '/..';
      }
    }

    // Lastly, append the rest of the destination (`to`) path that comes after
    // the common path parts
    if (out.length > 0) return out + to.slice(toStart + lastCommonSep);else {
      toStart += lastCommonSep;
      if (to.charCodeAt(toStart) === 47 /*/*/) ++toStart;
      return to.slice(toStart);
    }
  },
  _makeLong: function _makeLong(path) {
    return path;
  },
  dirname: function dirname(path) {
    assertPath(path);
    if (path.length === 0) return '.';
    var code = path.charCodeAt(0);
    var hasRoot = code === 47 /*/*/;
    var end = -1;
    var matchedSlash = true;
    for (var i = path.length - 1; i >= 1; --i) {
      code = path.charCodeAt(i);
      if (code === 47 /*/*/) {
        if (!matchedSlash) {
          end = i;
          break;
        }
      } else {
        // We saw the first non-path separator
        matchedSlash = false;
      }
    }
    if (end === -1) return hasRoot ? '/' : '.';
    if (hasRoot && end === 1) return '//';
    return path.slice(0, end);
  },
  basename: function basename(path, ext) {
    if (ext !== undefined && typeof ext !== 'string') throw new TypeError('"ext" argument must be a string');
    assertPath(path);
    var start = 0;
    var end = -1;
    var matchedSlash = true;
    var i;
    if (ext !== undefined && ext.length > 0 && ext.length <= path.length) {
      if (ext.length === path.length && ext === path) return '';
      var extIdx = ext.length - 1;
      var firstNonSlashEnd = -1;
      for (i = path.length - 1; i >= 0; --i) {
        var code = path.charCodeAt(i);
        if (code === 47 /*/*/) {
          // If we reached a path separator that was not part of a set of path
          // separators at the end of the string, stop now
          if (!matchedSlash) {
            start = i + 1;
            break;
          }
        } else {
          if (firstNonSlashEnd === -1) {
            // We saw the first non-path separator, remember this index in case
            // we need it if the extension ends up not matching
            matchedSlash = false;
            firstNonSlashEnd = i + 1;
          }
          if (extIdx >= 0) {
            // Try to match the explicit extension
            if (code === ext.charCodeAt(extIdx)) {
              if (--extIdx === -1) {
                // We matched the extension, so mark this as the end of our path
                // component
                end = i;
              }
            } else {
              // Extension does not match, so our result is the entire path
              // component
              extIdx = -1;
              end = firstNonSlashEnd;
            }
          }
        }
      }
      if (start === end) end = firstNonSlashEnd;else if (end === -1) end = path.length;
      return path.slice(start, end);
    } else {
      for (i = path.length - 1; i >= 0; --i) {
        if (path.charCodeAt(i) === 47 /*/*/) {
          // If we reached a path separator that was not part of a set of path
          // separators at the end of the string, stop now
          if (!matchedSlash) {
            start = i + 1;
            break;
          }
        } else if (end === -1) {
          // We saw the first non-path separator, mark this as the end of our
          // path component
          matchedSlash = false;
          end = i + 1;
        }
      }
      if (end === -1) return '';
      return path.slice(start, end);
    }
  },
  extname: function extname(path) {
    assertPath(path);
    var startDot = -1;
    var startPart = 0;
    var end = -1;
    var matchedSlash = true;
    // Track the state of characters (if any) we see before our first dot and
    // after any path separator we find
    var preDotState = 0;
    for (var i = path.length - 1; i >= 0; --i) {
      var code = path.charCodeAt(i);
      if (code === 47 /*/*/) {
        // If we reached a path separator that was not part of a set of path
        // separators at the end of the string, stop now
        if (!matchedSlash) {
          startPart = i + 1;
          break;
        }
        continue;
      }
      if (end === -1) {
        // We saw the first non-path separator, mark this as the end of our
        // extension
        matchedSlash = false;
        end = i + 1;
      }
      if (code === 46 /*.*/) {
        // If this is our first dot, mark it as the start of our extension
        if (startDot === -1) startDot = i;else if (preDotState !== 1) preDotState = 1;
      } else if (startDot !== -1) {
        // We saw a non-dot and non-path separator before our dot, so we should
        // have a good chance at having a non-empty extension
        preDotState = -1;
      }
    }
    if (startDot === -1 || end === -1 ||
    // We saw a non-dot character immediately before the dot
    preDotState === 0 ||
    // The (right-most) trimmed path component is exactly '..'
    preDotState === 1 && startDot === end - 1 && startDot === startPart + 1) {
      return '';
    }
    return path.slice(startDot, end);
  },
  format: function format(pathObject) {
    if (pathObject === null || typeof pathObject !== 'object') {
      throw new TypeError('The "pathObject" argument must be of type Object. Received type ' + typeof pathObject);
    }
    return _format('/', pathObject);
  },
  parse: function parse(path) {
    assertPath(path);
    var ret = {
      root: '',
      dir: '',
      base: '',
      ext: '',
      name: ''
    };
    if (path.length === 0) return ret;
    var code = path.charCodeAt(0);
    var isAbsolute = code === 47 /*/*/;
    var start;
    if (isAbsolute) {
      ret.root = '/';
      start = 1;
    } else {
      start = 0;
    }
    var startDot = -1;
    var startPart = 0;
    var end = -1;
    var matchedSlash = true;
    var i = path.length - 1;

    // Track the state of characters (if any) we see before our first dot and
    // after any path separator we find
    var preDotState = 0;

    // Get non-dir info
    for (; i >= start; --i) {
      code = path.charCodeAt(i);
      if (code === 47 /*/*/) {
        // If we reached a path separator that was not part of a set of path
        // separators at the end of the string, stop now
        if (!matchedSlash) {
          startPart = i + 1;
          break;
        }
        continue;
      }
      if (end === -1) {
        // We saw the first non-path separator, mark this as the end of our
        // extension
        matchedSlash = false;
        end = i + 1;
      }
      if (code === 46 /*.*/) {
        // If this is our first dot, mark it as the start of our extension
        if (startDot === -1) startDot = i;else if (preDotState !== 1) preDotState = 1;
      } else if (startDot !== -1) {
        // We saw a non-dot and non-path separator before our dot, so we should
        // have a good chance at having a non-empty extension
        preDotState = -1;
      }
    }
    if (startDot === -1 || end === -1 ||
    // We saw a non-dot character immediately before the dot
    preDotState === 0 ||
    // The (right-most) trimmed path component is exactly '..'
    preDotState === 1 && startDot === end - 1 && startDot === startPart + 1) {
      if (end !== -1) {
        if (startPart === 0 && isAbsolute) ret.base = ret.name = path.slice(1, end);else ret.base = ret.name = path.slice(startPart, end);
      }
    } else {
      if (startPart === 0 && isAbsolute) {
        ret.name = path.slice(1, startDot);
        ret.base = path.slice(1, end);
      } else {
        ret.name = path.slice(startPart, startDot);
        ret.base = path.slice(startPart, end);
      }
      ret.ext = path.slice(startDot, end);
    }
    if (startPart > 0) ret.dir = path.slice(0, startPart - 1);else if (isAbsolute) ret.dir = '/';
    return ret;
  },
  sep: '/',
  delimiter: ':',
  win32: null,
  posix: null
};
posix.posix = posix;
module.exports = posix;

/***/ }),

/***/ "./node_modules/stream-browserify/index.js":
/*!*************************************************!*\
  !*** ./node_modules/stream-browserify/index.js ***!
  \*************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

module.exports = Stream;
var EE = (__webpack_require__(/*! events */ "./node_modules/events/events.js").EventEmitter);
var inherits = __webpack_require__(/*! inherits */ "./node_modules/inherits/inherits_browser.js");
inherits(Stream, EE);
Stream.Readable = __webpack_require__(/*! readable-stream/lib/_stream_readable.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_readable.js");
Stream.Writable = __webpack_require__(/*! readable-stream/lib/_stream_writable.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_writable.js");
Stream.Duplex = __webpack_require__(/*! readable-stream/lib/_stream_duplex.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js");
Stream.Transform = __webpack_require__(/*! readable-stream/lib/_stream_transform.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_transform.js");
Stream.PassThrough = __webpack_require__(/*! readable-stream/lib/_stream_passthrough.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_passthrough.js");
Stream.finished = __webpack_require__(/*! readable-stream/lib/internal/streams/end-of-stream.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/end-of-stream.js");
Stream.pipeline = __webpack_require__(/*! readable-stream/lib/internal/streams/pipeline.js */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/pipeline.js");

// Backwards-compat with node 0.4.x
Stream.Stream = Stream;

// old-style streams.  Note that the pipe method (the only relevant
// part of this class) is overridden in the Readable class.

function Stream() {
  EE.call(this);
}
Stream.prototype.pipe = function (dest, options) {
  var source = this;
  function ondata(chunk) {
    if (dest.writable) {
      if (false === dest.write(chunk) && source.pause) {
        source.pause();
      }
    }
  }
  source.on('data', ondata);
  function ondrain() {
    if (source.readable && source.resume) {
      source.resume();
    }
  }
  dest.on('drain', ondrain);

  // If the 'end' option is not supplied, dest.end() will be called when
  // source gets the 'end' or 'close' events.  Only dest.end() once.
  if (!dest._isStdio && (!options || options.end !== false)) {
    source.on('end', onend);
    source.on('close', onclose);
  }
  var didOnEnd = false;
  function onend() {
    if (didOnEnd) return;
    didOnEnd = true;
    dest.end();
  }
  function onclose() {
    if (didOnEnd) return;
    didOnEnd = true;
    if (typeof dest.destroy === 'function') dest.destroy();
  }

  // don't leave dangling pipes when there are errors.
  function onerror(er) {
    cleanup();
    if (EE.listenerCount(this, 'error') === 0) {
      throw er; // Unhandled stream error in pipe.
    }
  }
  source.on('error', onerror);
  dest.on('error', onerror);

  // remove all the event listeners that were added.
  function cleanup() {
    source.removeListener('data', ondata);
    dest.removeListener('drain', ondrain);
    source.removeListener('end', onend);
    source.removeListener('close', onclose);
    source.removeListener('error', onerror);
    dest.removeListener('error', onerror);
    source.removeListener('end', cleanup);
    source.removeListener('close', cleanup);
    dest.removeListener('close', cleanup);
  }
  source.on('end', cleanup);
  source.on('close', cleanup);
  dest.on('close', cleanup);
  dest.emit('pipe', source);

  // Allow for unix-like usage: A.pipe(B).pipe(C)
  return dest;
};

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js ***!
  \***************************************************************************************/
/***/ (function(module) {



function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}
var codes = {};
function createErrorType(code, message, Base) {
  if (!Base) {
    Base = Error;
  }
  function getMessage(arg1, arg2, arg3) {
    if (typeof message === 'string') {
      return message;
    } else {
      return message(arg1, arg2, arg3);
    }
  }
  var NodeError = /*#__PURE__*/
  function (_Base) {
    _inheritsLoose(NodeError, _Base);
    function NodeError(arg1, arg2, arg3) {
      return _Base.call(this, getMessage(arg1, arg2, arg3)) || this;
    }
    return NodeError;
  }(Base);
  NodeError.prototype.name = Base.name;
  NodeError.prototype.code = code;
  codes[code] = NodeError;
} // https://github.com/nodejs/node/blob/v10.8.0/lib/internal/errors.js

function oneOf(expected, thing) {
  if (Array.isArray(expected)) {
    var len = expected.length;
    expected = expected.map(function (i) {
      return String(i);
    });
    if (len > 2) {
      return "one of ".concat(thing, " ").concat(expected.slice(0, len - 1).join(', '), ", or ") + expected[len - 1];
    } else if (len === 2) {
      return "one of ".concat(thing, " ").concat(expected[0], " or ").concat(expected[1]);
    } else {
      return "of ".concat(thing, " ").concat(expected[0]);
    }
  } else {
    return "of ".concat(thing, " ").concat(String(expected));
  }
} // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/startsWith

function startsWith(str, search, pos) {
  return str.substr(!pos || pos < 0 ? 0 : +pos, search.length) === search;
} // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/endsWith

function endsWith(str, search, this_len) {
  if (this_len === undefined || this_len > str.length) {
    this_len = str.length;
  }
  return str.substring(this_len - search.length, this_len) === search;
} // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/includes

function includes(str, search, start) {
  if (typeof start !== 'number') {
    start = 0;
  }
  if (start + search.length > str.length) {
    return false;
  } else {
    return str.indexOf(search, start) !== -1;
  }
}
createErrorType('ERR_INVALID_OPT_VALUE', function (name, value) {
  return 'The value "' + value + '" is invalid for option "' + name + '"';
}, TypeError);
createErrorType('ERR_INVALID_ARG_TYPE', function (name, expected, actual) {
  // determiner: 'must be' or 'must not be'
  var determiner;
  if (typeof expected === 'string' && startsWith(expected, 'not ')) {
    determiner = 'must not be';
    expected = expected.replace(/^not /, '');
  } else {
    determiner = 'must be';
  }
  var msg;
  if (endsWith(name, ' argument')) {
    // For cases like 'first argument'
    msg = "The ".concat(name, " ").concat(determiner, " ").concat(oneOf(expected, 'type'));
  } else {
    var type = includes(name, '.') ? 'property' : 'argument';
    msg = "The \"".concat(name, "\" ").concat(type, " ").concat(determiner, " ").concat(oneOf(expected, 'type'));
  }
  msg += ". Received type ".concat(typeof actual);
  return msg;
}, TypeError);
createErrorType('ERR_STREAM_PUSH_AFTER_EOF', 'stream.push() after EOF');
createErrorType('ERR_METHOD_NOT_IMPLEMENTED', function (name) {
  return 'The ' + name + ' method is not implemented';
});
createErrorType('ERR_STREAM_PREMATURE_CLOSE', 'Premature close');
createErrorType('ERR_STREAM_DESTROYED', function (name) {
  return 'Cannot call ' + name + ' after a stream was destroyed';
});
createErrorType('ERR_MULTIPLE_CALLBACK', 'Callback called multiple times');
createErrorType('ERR_STREAM_CANNOT_PIPE', 'Cannot pipe, not readable');
createErrorType('ERR_STREAM_WRITE_AFTER_END', 'write after end');
createErrorType('ERR_STREAM_NULL_VALUES', 'May not write null values to stream', TypeError);
createErrorType('ERR_UNKNOWN_ENCODING', function (arg) {
  return 'Unknown encoding: ' + arg;
}, TypeError);
createErrorType('ERR_STREAM_UNSHIFT_AFTER_END_EVENT', 'stream.unshift() after end event');
module.exports.codes = codes;

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js ***!
  \*******************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

// a duplex stream is just a stream that is both readable and writable.
// Since JS doesn't have multiple prototypal inheritance, this class
// prototypally inherits from Readable, and then parasitically from
// Writable.



/*<replacement>*/
var objectKeys = Object.keys || function (obj) {
  var keys = [];
  for (var key in obj) keys.push(key);
  return keys;
};
/*</replacement>*/

module.exports = Duplex;
var Readable = __webpack_require__(/*! ./_stream_readable */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_readable.js");
var Writable = __webpack_require__(/*! ./_stream_writable */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_writable.js");
__webpack_require__(/*! inherits */ "./node_modules/inherits/inherits_browser.js")(Duplex, Readable);
{
  // Allow the keys array to be GC'ed.
  var keys = objectKeys(Writable.prototype);
  for (var v = 0; v < keys.length; v++) {
    var method = keys[v];
    if (!Duplex.prototype[method]) Duplex.prototype[method] = Writable.prototype[method];
  }
}
function Duplex(options) {
  if (!(this instanceof Duplex)) return new Duplex(options);
  Readable.call(this, options);
  Writable.call(this, options);
  this.allowHalfOpen = true;
  if (options) {
    if (options.readable === false) this.readable = false;
    if (options.writable === false) this.writable = false;
    if (options.allowHalfOpen === false) {
      this.allowHalfOpen = false;
      this.once('end', onend);
    }
  }
}
Object.defineProperty(Duplex.prototype, 'writableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.highWaterMark;
  }
});
Object.defineProperty(Duplex.prototype, 'writableBuffer', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState && this._writableState.getBuffer();
  }
});
Object.defineProperty(Duplex.prototype, 'writableLength', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.length;
  }
});

// the no-half-open enforcer
function onend() {
  // If the writable side ended, then we're ok.
  if (this._writableState.ended) return;

  // no more data can be written.
  // But allow more writes to happen in this tick.
  process.nextTick(onEndNT, this);
}
function onEndNT(self) {
  self.end();
}
Object.defineProperty(Duplex.prototype, 'destroyed', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    if (this._readableState === undefined || this._writableState === undefined) {
      return false;
    }
    return this._readableState.destroyed && this._writableState.destroyed;
  },
  set: function set(value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (this._readableState === undefined || this._writableState === undefined) {
      return;
    }

    // backward compatibility, the user is explicitly
    // managing destroyed
    this._readableState.destroyed = value;
    this._writableState.destroyed = value;
  }
});

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_passthrough.js":
/*!************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_passthrough.js ***!
  \************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

// a passthrough stream.
// basically just the most minimal sort of Transform stream.
// Every written chunk gets output as-is.



module.exports = PassThrough;
var Transform = __webpack_require__(/*! ./_stream_transform */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_transform.js");
__webpack_require__(/*! inherits */ "./node_modules/inherits/inherits_browser.js")(PassThrough, Transform);
function PassThrough(options) {
  if (!(this instanceof PassThrough)) return new PassThrough(options);
  Transform.call(this, options);
}
PassThrough.prototype._transform = function (chunk, encoding, cb) {
  cb(null, chunk);
};

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_readable.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_readable.js ***!
  \*********************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.



module.exports = Readable;

/*<replacement>*/
var Duplex;
/*</replacement>*/

Readable.ReadableState = ReadableState;

/*<replacement>*/
var EE = (__webpack_require__(/*! events */ "./node_modules/events/events.js").EventEmitter);
var EElistenerCount = function EElistenerCount(emitter, type) {
  return emitter.listeners(type).length;
};
/*</replacement>*/

/*<replacement>*/
var Stream = __webpack_require__(/*! ./internal/streams/stream */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/stream-browser.js");
/*</replacement>*/

var Buffer = (__webpack_require__(/*! buffer */ "./node_modules/buffer/index.js").Buffer);
var OurUint8Array = (typeof __webpack_require__.g !== 'undefined' ? __webpack_require__.g : typeof window !== 'undefined' ? window : typeof self !== 'undefined' ? self : {}).Uint8Array || function () {};
function _uint8ArrayToBuffer(chunk) {
  return Buffer.from(chunk);
}
function _isUint8Array(obj) {
  return Buffer.isBuffer(obj) || obj instanceof OurUint8Array;
}

/*<replacement>*/
var debugUtil = __webpack_require__(/*! util */ "?19e6");
var debug;
if (debugUtil && debugUtil.debuglog) {
  debug = debugUtil.debuglog('stream');
} else {
  debug = function debug() {};
}
/*</replacement>*/

var BufferList = __webpack_require__(/*! ./internal/streams/buffer_list */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/buffer_list.js");
var destroyImpl = __webpack_require__(/*! ./internal/streams/destroy */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/destroy.js");
var _require = __webpack_require__(/*! ./internal/streams/state */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/state.js"),
  getHighWaterMark = _require.getHighWaterMark;
var _require$codes = (__webpack_require__(/*! ../errors */ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js").codes),
  ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE,
  ERR_STREAM_PUSH_AFTER_EOF = _require$codes.ERR_STREAM_PUSH_AFTER_EOF,
  ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED,
  ERR_STREAM_UNSHIFT_AFTER_END_EVENT = _require$codes.ERR_STREAM_UNSHIFT_AFTER_END_EVENT;

// Lazy loaded to improve the startup performance.
var StringDecoder;
var createReadableStreamAsyncIterator;
var from;
__webpack_require__(/*! inherits */ "./node_modules/inherits/inherits_browser.js")(Readable, Stream);
var errorOrDestroy = destroyImpl.errorOrDestroy;
var kProxyEvents = ['error', 'close', 'destroy', 'pause', 'resume'];
function prependListener(emitter, event, fn) {
  // Sadly this is not cacheable as some libraries bundle their own
  // event emitter implementation with them.
  if (typeof emitter.prependListener === 'function') return emitter.prependListener(event, fn);

  // This is a hack to make sure that our error handler is attached before any
  // userland ones.  NEVER DO THIS. This is here only because this code needs
  // to continue to work with older versions of Node.js that do not include
  // the prependListener() method. The goal is to eventually remove this hack.
  if (!emitter._events || !emitter._events[event]) emitter.on(event, fn);else if (Array.isArray(emitter._events[event])) emitter._events[event].unshift(fn);else emitter._events[event] = [fn, emitter._events[event]];
}
function ReadableState(options, stream, isDuplex) {
  Duplex = Duplex || __webpack_require__(/*! ./_stream_duplex */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js");
  options = options || {};

  // Duplex streams are both readable and writable, but share
  // the same options object.
  // However, some cases require setting options to different
  // values for the readable and the writable sides of the duplex stream.
  // These options can be provided separately as readableXXX and writableXXX.
  if (typeof isDuplex !== 'boolean') isDuplex = stream instanceof Duplex;

  // object stream flag. Used to make read(n) ignore n and to
  // make all the buffer merging and length checks go away
  this.objectMode = !!options.objectMode;
  if (isDuplex) this.objectMode = this.objectMode || !!options.readableObjectMode;

  // the point at which it stops calling _read() to fill the buffer
  // Note: 0 is a valid value, means "don't call _read preemptively ever"
  this.highWaterMark = getHighWaterMark(this, options, 'readableHighWaterMark', isDuplex);

  // A linked list is used to store data chunks instead of an array because the
  // linked list can remove elements from the beginning faster than
  // array.shift()
  this.buffer = new BufferList();
  this.length = 0;
  this.pipes = null;
  this.pipesCount = 0;
  this.flowing = null;
  this.ended = false;
  this.endEmitted = false;
  this.reading = false;

  // a flag to be able to tell if the event 'readable'/'data' is emitted
  // immediately, or on a later tick.  We set this to true at first, because
  // any actions that shouldn't happen until "later" should generally also
  // not happen before the first read call.
  this.sync = true;

  // whenever we return null, then we set a flag to say
  // that we're awaiting a 'readable' event emission.
  this.needReadable = false;
  this.emittedReadable = false;
  this.readableListening = false;
  this.resumeScheduled = false;
  this.paused = true;

  // Should close be emitted on destroy. Defaults to true.
  this.emitClose = options.emitClose !== false;

  // Should .destroy() be called after 'end' (and potentially 'finish')
  this.autoDestroy = !!options.autoDestroy;

  // has it been destroyed
  this.destroyed = false;

  // Crypto is kind of old and crusty.  Historically, its default string
  // encoding is 'binary' so we have to make this configurable.
  // Everything else in the universe uses 'utf8', though.
  this.defaultEncoding = options.defaultEncoding || 'utf8';

  // the number of writers that are awaiting a drain event in .pipe()s
  this.awaitDrain = 0;

  // if true, a maybeReadMore has been scheduled
  this.readingMore = false;
  this.decoder = null;
  this.encoding = null;
  if (options.encoding) {
    if (!StringDecoder) StringDecoder = (__webpack_require__(/*! string_decoder/ */ "./node_modules/string_decoder/lib/string_decoder.js").StringDecoder);
    this.decoder = new StringDecoder(options.encoding);
    this.encoding = options.encoding;
  }
}
function Readable(options) {
  Duplex = Duplex || __webpack_require__(/*! ./_stream_duplex */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js");
  if (!(this instanceof Readable)) return new Readable(options);

  // Checking for a Stream.Duplex instance is faster here instead of inside
  // the ReadableState constructor, at least with V8 6.5
  var isDuplex = this instanceof Duplex;
  this._readableState = new ReadableState(options, this, isDuplex);

  // legacy
  this.readable = true;
  if (options) {
    if (typeof options.read === 'function') this._read = options.read;
    if (typeof options.destroy === 'function') this._destroy = options.destroy;
  }
  Stream.call(this);
}
Object.defineProperty(Readable.prototype, 'destroyed', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    if (this._readableState === undefined) {
      return false;
    }
    return this._readableState.destroyed;
  },
  set: function set(value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (!this._readableState) {
      return;
    }

    // backward compatibility, the user is explicitly
    // managing destroyed
    this._readableState.destroyed = value;
  }
});
Readable.prototype.destroy = destroyImpl.destroy;
Readable.prototype._undestroy = destroyImpl.undestroy;
Readable.prototype._destroy = function (err, cb) {
  cb(err);
};

// Manually shove something into the read() buffer.
// This returns true if the highWaterMark has not been hit yet,
// similar to how Writable.write() returns true if you should
// write() some more.
Readable.prototype.push = function (chunk, encoding) {
  var state = this._readableState;
  var skipChunkCheck;
  if (!state.objectMode) {
    if (typeof chunk === 'string') {
      encoding = encoding || state.defaultEncoding;
      if (encoding !== state.encoding) {
        chunk = Buffer.from(chunk, encoding);
        encoding = '';
      }
      skipChunkCheck = true;
    }
  } else {
    skipChunkCheck = true;
  }
  return readableAddChunk(this, chunk, encoding, false, skipChunkCheck);
};

// Unshift should *always* be something directly out of read()
Readable.prototype.unshift = function (chunk) {
  return readableAddChunk(this, chunk, null, true, false);
};
function readableAddChunk(stream, chunk, encoding, addToFront, skipChunkCheck) {
  debug('readableAddChunk', chunk);
  var state = stream._readableState;
  if (chunk === null) {
    state.reading = false;
    onEofChunk(stream, state);
  } else {
    var er;
    if (!skipChunkCheck) er = chunkInvalid(state, chunk);
    if (er) {
      errorOrDestroy(stream, er);
    } else if (state.objectMode || chunk && chunk.length > 0) {
      if (typeof chunk !== 'string' && !state.objectMode && Object.getPrototypeOf(chunk) !== Buffer.prototype) {
        chunk = _uint8ArrayToBuffer(chunk);
      }
      if (addToFront) {
        if (state.endEmitted) errorOrDestroy(stream, new ERR_STREAM_UNSHIFT_AFTER_END_EVENT());else addChunk(stream, state, chunk, true);
      } else if (state.ended) {
        errorOrDestroy(stream, new ERR_STREAM_PUSH_AFTER_EOF());
      } else if (state.destroyed) {
        return false;
      } else {
        state.reading = false;
        if (state.decoder && !encoding) {
          chunk = state.decoder.write(chunk);
          if (state.objectMode || chunk.length !== 0) addChunk(stream, state, chunk, false);else maybeReadMore(stream, state);
        } else {
          addChunk(stream, state, chunk, false);
        }
      }
    } else if (!addToFront) {
      state.reading = false;
      maybeReadMore(stream, state);
    }
  }

  // We can push more data if we are below the highWaterMark.
  // Also, if we have no data yet, we can stand some more bytes.
  // This is to work around cases where hwm=0, such as the repl.
  return !state.ended && (state.length < state.highWaterMark || state.length === 0);
}
function addChunk(stream, state, chunk, addToFront) {
  if (state.flowing && state.length === 0 && !state.sync) {
    state.awaitDrain = 0;
    stream.emit('data', chunk);
  } else {
    // update the buffer info.
    state.length += state.objectMode ? 1 : chunk.length;
    if (addToFront) state.buffer.unshift(chunk);else state.buffer.push(chunk);
    if (state.needReadable) emitReadable(stream);
  }
  maybeReadMore(stream, state);
}
function chunkInvalid(state, chunk) {
  var er;
  if (!_isUint8Array(chunk) && typeof chunk !== 'string' && chunk !== undefined && !state.objectMode) {
    er = new ERR_INVALID_ARG_TYPE('chunk', ['string', 'Buffer', 'Uint8Array'], chunk);
  }
  return er;
}
Readable.prototype.isPaused = function () {
  return this._readableState.flowing === false;
};

// backwards compatibility.
Readable.prototype.setEncoding = function (enc) {
  if (!StringDecoder) StringDecoder = (__webpack_require__(/*! string_decoder/ */ "./node_modules/string_decoder/lib/string_decoder.js").StringDecoder);
  var decoder = new StringDecoder(enc);
  this._readableState.decoder = decoder;
  // If setEncoding(null), decoder.encoding equals utf8
  this._readableState.encoding = this._readableState.decoder.encoding;

  // Iterate over current buffer to convert already stored Buffers:
  var p = this._readableState.buffer.head;
  var content = '';
  while (p !== null) {
    content += decoder.write(p.data);
    p = p.next;
  }
  this._readableState.buffer.clear();
  if (content !== '') this._readableState.buffer.push(content);
  this._readableState.length = content.length;
  return this;
};

// Don't raise the hwm > 1GB
var MAX_HWM = 0x40000000;
function computeNewHighWaterMark(n) {
  if (n >= MAX_HWM) {
    // TODO(ronag): Throw ERR_VALUE_OUT_OF_RANGE.
    n = MAX_HWM;
  } else {
    // Get the next highest power of 2 to prevent increasing hwm excessively in
    // tiny amounts
    n--;
    n |= n >>> 1;
    n |= n >>> 2;
    n |= n >>> 4;
    n |= n >>> 8;
    n |= n >>> 16;
    n++;
  }
  return n;
}

// This function is designed to be inlinable, so please take care when making
// changes to the function body.
function howMuchToRead(n, state) {
  if (n <= 0 || state.length === 0 && state.ended) return 0;
  if (state.objectMode) return 1;
  if (n !== n) {
    // Only flow one buffer at a time
    if (state.flowing && state.length) return state.buffer.head.data.length;else return state.length;
  }
  // If we're asking for more than the current hwm, then raise the hwm.
  if (n > state.highWaterMark) state.highWaterMark = computeNewHighWaterMark(n);
  if (n <= state.length) return n;
  // Don't have enough
  if (!state.ended) {
    state.needReadable = true;
    return 0;
  }
  return state.length;
}

// you can override either this method, or the async _read(n) below.
Readable.prototype.read = function (n) {
  debug('read', n);
  n = parseInt(n, 10);
  var state = this._readableState;
  var nOrig = n;
  if (n !== 0) state.emittedReadable = false;

  // if we're doing read(0) to trigger a readable event, but we
  // already have a bunch of data in the buffer, then just trigger
  // the 'readable' event and move on.
  if (n === 0 && state.needReadable && ((state.highWaterMark !== 0 ? state.length >= state.highWaterMark : state.length > 0) || state.ended)) {
    debug('read: emitReadable', state.length, state.ended);
    if (state.length === 0 && state.ended) endReadable(this);else emitReadable(this);
    return null;
  }
  n = howMuchToRead(n, state);

  // if we've ended, and we're now clear, then finish it up.
  if (n === 0 && state.ended) {
    if (state.length === 0) endReadable(this);
    return null;
  }

  // All the actual chunk generation logic needs to be
  // *below* the call to _read.  The reason is that in certain
  // synthetic stream cases, such as passthrough streams, _read
  // may be a completely synchronous operation which may change
  // the state of the read buffer, providing enough data when
  // before there was *not* enough.
  //
  // So, the steps are:
  // 1. Figure out what the state of things will be after we do
  // a read from the buffer.
  //
  // 2. If that resulting state will trigger a _read, then call _read.
  // Note that this may be asynchronous, or synchronous.  Yes, it is
  // deeply ugly to write APIs this way, but that still doesn't mean
  // that the Readable class should behave improperly, as streams are
  // designed to be sync/async agnostic.
  // Take note if the _read call is sync or async (ie, if the read call
  // has returned yet), so that we know whether or not it's safe to emit
  // 'readable' etc.
  //
  // 3. Actually pull the requested chunks out of the buffer and return.

  // if we need a readable event, then we need to do some reading.
  var doRead = state.needReadable;
  debug('need readable', doRead);

  // if we currently have less than the highWaterMark, then also read some
  if (state.length === 0 || state.length - n < state.highWaterMark) {
    doRead = true;
    debug('length less than watermark', doRead);
  }

  // however, if we've ended, then there's no point, and if we're already
  // reading, then it's unnecessary.
  if (state.ended || state.reading) {
    doRead = false;
    debug('reading or ended', doRead);
  } else if (doRead) {
    debug('do read');
    state.reading = true;
    state.sync = true;
    // if the length is currently zero, then we *need* a readable event.
    if (state.length === 0) state.needReadable = true;
    // call internal read method
    this._read(state.highWaterMark);
    state.sync = false;
    // If _read pushed data synchronously, then `reading` will be false,
    // and we need to re-evaluate how much data we can return to the user.
    if (!state.reading) n = howMuchToRead(nOrig, state);
  }
  var ret;
  if (n > 0) ret = fromList(n, state);else ret = null;
  if (ret === null) {
    state.needReadable = state.length <= state.highWaterMark;
    n = 0;
  } else {
    state.length -= n;
    state.awaitDrain = 0;
  }
  if (state.length === 0) {
    // If we have nothing in the buffer, then we want to know
    // as soon as we *do* get something into the buffer.
    if (!state.ended) state.needReadable = true;

    // If we tried to read() past the EOF, then emit end on the next tick.
    if (nOrig !== n && state.ended) endReadable(this);
  }
  if (ret !== null) this.emit('data', ret);
  return ret;
};
function onEofChunk(stream, state) {
  debug('onEofChunk');
  if (state.ended) return;
  if (state.decoder) {
    var chunk = state.decoder.end();
    if (chunk && chunk.length) {
      state.buffer.push(chunk);
      state.length += state.objectMode ? 1 : chunk.length;
    }
  }
  state.ended = true;
  if (state.sync) {
    // if we are sync, wait until next tick to emit the data.
    // Otherwise we risk emitting data in the flow()
    // the readable code triggers during a read() call
    emitReadable(stream);
  } else {
    // emit 'readable' now to make sure it gets picked up.
    state.needReadable = false;
    if (!state.emittedReadable) {
      state.emittedReadable = true;
      emitReadable_(stream);
    }
  }
}

// Don't emit readable right away in sync mode, because this can trigger
// another read() call => stack overflow.  This way, it might trigger
// a nextTick recursion warning, but that's not so bad.
function emitReadable(stream) {
  var state = stream._readableState;
  debug('emitReadable', state.needReadable, state.emittedReadable);
  state.needReadable = false;
  if (!state.emittedReadable) {
    debug('emitReadable', state.flowing);
    state.emittedReadable = true;
    process.nextTick(emitReadable_, stream);
  }
}
function emitReadable_(stream) {
  var state = stream._readableState;
  debug('emitReadable_', state.destroyed, state.length, state.ended);
  if (!state.destroyed && (state.length || state.ended)) {
    stream.emit('readable');
    state.emittedReadable = false;
  }

  // The stream needs another readable event if
  // 1. It is not flowing, as the flow mechanism will take
  //    care of it.
  // 2. It is not ended.
  // 3. It is below the highWaterMark, so we can schedule
  //    another readable later.
  state.needReadable = !state.flowing && !state.ended && state.length <= state.highWaterMark;
  flow(stream);
}

// at this point, the user has presumably seen the 'readable' event,
// and called read() to consume some data.  that may have triggered
// in turn another _read(n) call, in which case reading = true if
// it's in progress.
// However, if we're not ended, or reading, and the length < hwm,
// then go ahead and try to read some more preemptively.
function maybeReadMore(stream, state) {
  if (!state.readingMore) {
    state.readingMore = true;
    process.nextTick(maybeReadMore_, stream, state);
  }
}
function maybeReadMore_(stream, state) {
  // Attempt to read more data if we should.
  //
  // The conditions for reading more data are (one of):
  // - Not enough data buffered (state.length < state.highWaterMark). The loop
  //   is responsible for filling the buffer with enough data if such data
  //   is available. If highWaterMark is 0 and we are not in the flowing mode
  //   we should _not_ attempt to buffer any extra data. We'll get more data
  //   when the stream consumer calls read() instead.
  // - No data in the buffer, and the stream is in flowing mode. In this mode
  //   the loop below is responsible for ensuring read() is called. Failing to
  //   call read here would abort the flow and there's no other mechanism for
  //   continuing the flow if the stream consumer has just subscribed to the
  //   'data' event.
  //
  // In addition to the above conditions to keep reading data, the following
  // conditions prevent the data from being read:
  // - The stream has ended (state.ended).
  // - There is already a pending 'read' operation (state.reading). This is a
  //   case where the the stream has called the implementation defined _read()
  //   method, but they are processing the call asynchronously and have _not_
  //   called push() with new data. In this case we skip performing more
  //   read()s. The execution ends in this method again after the _read() ends
  //   up calling push() with more data.
  while (!state.reading && !state.ended && (state.length < state.highWaterMark || state.flowing && state.length === 0)) {
    var len = state.length;
    debug('maybeReadMore read 0');
    stream.read(0);
    if (len === state.length)
      // didn't get any data, stop spinning.
      break;
  }
  state.readingMore = false;
}

// abstract method.  to be overridden in specific implementation classes.
// call cb(er, data) where data is <= n in length.
// for virtual (non-string, non-buffer) streams, "length" is somewhat
// arbitrary, and perhaps not very meaningful.
Readable.prototype._read = function (n) {
  errorOrDestroy(this, new ERR_METHOD_NOT_IMPLEMENTED('_read()'));
};
Readable.prototype.pipe = function (dest, pipeOpts) {
  var src = this;
  var state = this._readableState;
  switch (state.pipesCount) {
    case 0:
      state.pipes = dest;
      break;
    case 1:
      state.pipes = [state.pipes, dest];
      break;
    default:
      state.pipes.push(dest);
      break;
  }
  state.pipesCount += 1;
  debug('pipe count=%d opts=%j', state.pipesCount, pipeOpts);
  var doEnd = (!pipeOpts || pipeOpts.end !== false) && dest !== process.stdout && dest !== process.stderr;
  var endFn = doEnd ? onend : unpipe;
  if (state.endEmitted) process.nextTick(endFn);else src.once('end', endFn);
  dest.on('unpipe', onunpipe);
  function onunpipe(readable, unpipeInfo) {
    debug('onunpipe');
    if (readable === src) {
      if (unpipeInfo && unpipeInfo.hasUnpiped === false) {
        unpipeInfo.hasUnpiped = true;
        cleanup();
      }
    }
  }
  function onend() {
    debug('onend');
    dest.end();
  }

  // when the dest drains, it reduces the awaitDrain counter
  // on the source.  This would be more elegant with a .once()
  // handler in flow(), but adding and removing repeatedly is
  // too slow.
  var ondrain = pipeOnDrain(src);
  dest.on('drain', ondrain);
  var cleanedUp = false;
  function cleanup() {
    debug('cleanup');
    // cleanup event handlers once the pipe is broken
    dest.removeListener('close', onclose);
    dest.removeListener('finish', onfinish);
    dest.removeListener('drain', ondrain);
    dest.removeListener('error', onerror);
    dest.removeListener('unpipe', onunpipe);
    src.removeListener('end', onend);
    src.removeListener('end', unpipe);
    src.removeListener('data', ondata);
    cleanedUp = true;

    // if the reader is waiting for a drain event from this
    // specific writer, then it would cause it to never start
    // flowing again.
    // So, if this is awaiting a drain, then we just call it now.
    // If we don't know, then assume that we are waiting for one.
    if (state.awaitDrain && (!dest._writableState || dest._writableState.needDrain)) ondrain();
  }
  src.on('data', ondata);
  function ondata(chunk) {
    debug('ondata');
    var ret = dest.write(chunk);
    debug('dest.write', ret);
    if (ret === false) {
      // If the user unpiped during `dest.write()`, it is possible
      // to get stuck in a permanently paused state if that write
      // also returned false.
      // => Check whether `dest` is still a piping destination.
      if ((state.pipesCount === 1 && state.pipes === dest || state.pipesCount > 1 && indexOf(state.pipes, dest) !== -1) && !cleanedUp) {
        debug('false write response, pause', state.awaitDrain);
        state.awaitDrain++;
      }
      src.pause();
    }
  }

  // if the dest has an error, then stop piping into it.
  // however, don't suppress the throwing behavior for this.
  function onerror(er) {
    debug('onerror', er);
    unpipe();
    dest.removeListener('error', onerror);
    if (EElistenerCount(dest, 'error') === 0) errorOrDestroy(dest, er);
  }

  // Make sure our error handler is attached before userland ones.
  prependListener(dest, 'error', onerror);

  // Both close and finish should trigger unpipe, but only once.
  function onclose() {
    dest.removeListener('finish', onfinish);
    unpipe();
  }
  dest.once('close', onclose);
  function onfinish() {
    debug('onfinish');
    dest.removeListener('close', onclose);
    unpipe();
  }
  dest.once('finish', onfinish);
  function unpipe() {
    debug('unpipe');
    src.unpipe(dest);
  }

  // tell the dest that it's being piped to
  dest.emit('pipe', src);

  // start the flow if it hasn't been started already.
  if (!state.flowing) {
    debug('pipe resume');
    src.resume();
  }
  return dest;
};
function pipeOnDrain(src) {
  return function pipeOnDrainFunctionResult() {
    var state = src._readableState;
    debug('pipeOnDrain', state.awaitDrain);
    if (state.awaitDrain) state.awaitDrain--;
    if (state.awaitDrain === 0 && EElistenerCount(src, 'data')) {
      state.flowing = true;
      flow(src);
    }
  };
}
Readable.prototype.unpipe = function (dest) {
  var state = this._readableState;
  var unpipeInfo = {
    hasUnpiped: false
  };

  // if we're not piping anywhere, then do nothing.
  if (state.pipesCount === 0) return this;

  // just one destination.  most common case.
  if (state.pipesCount === 1) {
    // passed in one, but it's not the right one.
    if (dest && dest !== state.pipes) return this;
    if (!dest) dest = state.pipes;

    // got a match.
    state.pipes = null;
    state.pipesCount = 0;
    state.flowing = false;
    if (dest) dest.emit('unpipe', this, unpipeInfo);
    return this;
  }

  // slow case. multiple pipe destinations.

  if (!dest) {
    // remove all.
    var dests = state.pipes;
    var len = state.pipesCount;
    state.pipes = null;
    state.pipesCount = 0;
    state.flowing = false;
    for (var i = 0; i < len; i++) dests[i].emit('unpipe', this, {
      hasUnpiped: false
    });
    return this;
  }

  // try to find the right one.
  var index = indexOf(state.pipes, dest);
  if (index === -1) return this;
  state.pipes.splice(index, 1);
  state.pipesCount -= 1;
  if (state.pipesCount === 1) state.pipes = state.pipes[0];
  dest.emit('unpipe', this, unpipeInfo);
  return this;
};

// set up data events if they are asked for
// Ensure readable listeners eventually get something
Readable.prototype.on = function (ev, fn) {
  var res = Stream.prototype.on.call(this, ev, fn);
  var state = this._readableState;
  if (ev === 'data') {
    // update readableListening so that resume() may be a no-op
    // a few lines down. This is needed to support once('readable').
    state.readableListening = this.listenerCount('readable') > 0;

    // Try start flowing on next tick if stream isn't explicitly paused
    if (state.flowing !== false) this.resume();
  } else if (ev === 'readable') {
    if (!state.endEmitted && !state.readableListening) {
      state.readableListening = state.needReadable = true;
      state.flowing = false;
      state.emittedReadable = false;
      debug('on readable', state.length, state.reading);
      if (state.length) {
        emitReadable(this);
      } else if (!state.reading) {
        process.nextTick(nReadingNextTick, this);
      }
    }
  }
  return res;
};
Readable.prototype.addListener = Readable.prototype.on;
Readable.prototype.removeListener = function (ev, fn) {
  var res = Stream.prototype.removeListener.call(this, ev, fn);
  if (ev === 'readable') {
    // We need to check if there is someone still listening to
    // readable and reset the state. However this needs to happen
    // after readable has been emitted but before I/O (nextTick) to
    // support once('readable', fn) cycles. This means that calling
    // resume within the same tick will have no
    // effect.
    process.nextTick(updateReadableListening, this);
  }
  return res;
};
Readable.prototype.removeAllListeners = function (ev) {
  var res = Stream.prototype.removeAllListeners.apply(this, arguments);
  if (ev === 'readable' || ev === undefined) {
    // We need to check if there is someone still listening to
    // readable and reset the state. However this needs to happen
    // after readable has been emitted but before I/O (nextTick) to
    // support once('readable', fn) cycles. This means that calling
    // resume within the same tick will have no
    // effect.
    process.nextTick(updateReadableListening, this);
  }
  return res;
};
function updateReadableListening(self) {
  var state = self._readableState;
  state.readableListening = self.listenerCount('readable') > 0;
  if (state.resumeScheduled && !state.paused) {
    // flowing needs to be set to true now, otherwise
    // the upcoming resume will not flow.
    state.flowing = true;

    // crude way to check if we should resume
  } else if (self.listenerCount('data') > 0) {
    self.resume();
  }
}
function nReadingNextTick(self) {
  debug('readable nexttick read 0');
  self.read(0);
}

// pause() and resume() are remnants of the legacy readable stream API
// If the user uses them, then switch into old mode.
Readable.prototype.resume = function () {
  var state = this._readableState;
  if (!state.flowing) {
    debug('resume');
    // we flow only if there is no one listening
    // for readable, but we still have to call
    // resume()
    state.flowing = !state.readableListening;
    resume(this, state);
  }
  state.paused = false;
  return this;
};
function resume(stream, state) {
  if (!state.resumeScheduled) {
    state.resumeScheduled = true;
    process.nextTick(resume_, stream, state);
  }
}
function resume_(stream, state) {
  debug('resume', state.reading);
  if (!state.reading) {
    stream.read(0);
  }
  state.resumeScheduled = false;
  stream.emit('resume');
  flow(stream);
  if (state.flowing && !state.reading) stream.read(0);
}
Readable.prototype.pause = function () {
  debug('call pause flowing=%j', this._readableState.flowing);
  if (this._readableState.flowing !== false) {
    debug('pause');
    this._readableState.flowing = false;
    this.emit('pause');
  }
  this._readableState.paused = true;
  return this;
};
function flow(stream) {
  var state = stream._readableState;
  debug('flow', state.flowing);
  while (state.flowing && stream.read() !== null);
}

// wrap an old-style stream as the async data source.
// This is *not* part of the readable stream interface.
// It is an ugly unfortunate mess of history.
Readable.prototype.wrap = function (stream) {
  var _this = this;
  var state = this._readableState;
  var paused = false;
  stream.on('end', function () {
    debug('wrapped end');
    if (state.decoder && !state.ended) {
      var chunk = state.decoder.end();
      if (chunk && chunk.length) _this.push(chunk);
    }
    _this.push(null);
  });
  stream.on('data', function (chunk) {
    debug('wrapped data');
    if (state.decoder) chunk = state.decoder.write(chunk);

    // don't skip over falsy values in objectMode
    if (state.objectMode && (chunk === null || chunk === undefined)) return;else if (!state.objectMode && (!chunk || !chunk.length)) return;
    var ret = _this.push(chunk);
    if (!ret) {
      paused = true;
      stream.pause();
    }
  });

  // proxy all the other methods.
  // important when wrapping filters and duplexes.
  for (var i in stream) {
    if (this[i] === undefined && typeof stream[i] === 'function') {
      this[i] = function methodWrap(method) {
        return function methodWrapReturnFunction() {
          return stream[method].apply(stream, arguments);
        };
      }(i);
    }
  }

  // proxy certain important events.
  for (var n = 0; n < kProxyEvents.length; n++) {
    stream.on(kProxyEvents[n], this.emit.bind(this, kProxyEvents[n]));
  }

  // when we try to consume some more bytes, simply unpause the
  // underlying stream.
  this._read = function (n) {
    debug('wrapped _read', n);
    if (paused) {
      paused = false;
      stream.resume();
    }
  };
  return this;
};
if (typeof Symbol === 'function') {
  Readable.prototype[Symbol.asyncIterator] = function () {
    if (createReadableStreamAsyncIterator === undefined) {
      createReadableStreamAsyncIterator = __webpack_require__(/*! ./internal/streams/async_iterator */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/async_iterator.js");
    }
    return createReadableStreamAsyncIterator(this);
  };
}
Object.defineProperty(Readable.prototype, 'readableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState.highWaterMark;
  }
});
Object.defineProperty(Readable.prototype, 'readableBuffer', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState && this._readableState.buffer;
  }
});
Object.defineProperty(Readable.prototype, 'readableFlowing', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState.flowing;
  },
  set: function set(state) {
    if (this._readableState) {
      this._readableState.flowing = state;
    }
  }
});

// exposed for testing purposes only.
Readable._fromList = fromList;
Object.defineProperty(Readable.prototype, 'readableLength', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState.length;
  }
});

// Pluck off n bytes from an array of buffers.
// Length is the combined lengths of all the buffers in the list.
// This function is designed to be inlinable, so please take care when making
// changes to the function body.
function fromList(n, state) {
  // nothing buffered
  if (state.length === 0) return null;
  var ret;
  if (state.objectMode) ret = state.buffer.shift();else if (!n || n >= state.length) {
    // read it all, truncate the list
    if (state.decoder) ret = state.buffer.join('');else if (state.buffer.length === 1) ret = state.buffer.first();else ret = state.buffer.concat(state.length);
    state.buffer.clear();
  } else {
    // read part of list
    ret = state.buffer.consume(n, state.decoder);
  }
  return ret;
}
function endReadable(stream) {
  var state = stream._readableState;
  debug('endReadable', state.endEmitted);
  if (!state.endEmitted) {
    state.ended = true;
    process.nextTick(endReadableNT, state, stream);
  }
}
function endReadableNT(state, stream) {
  debug('endReadableNT', state.endEmitted, state.length);

  // Check that we didn't get one last unshift.
  if (!state.endEmitted && state.length === 0) {
    state.endEmitted = true;
    stream.readable = false;
    stream.emit('end');
    if (state.autoDestroy) {
      // In case of duplex streams we need a way to detect
      // if the writable side is ready for autoDestroy as well
      var wState = stream._writableState;
      if (!wState || wState.autoDestroy && wState.finished) {
        stream.destroy();
      }
    }
  }
}
if (typeof Symbol === 'function') {
  Readable.from = function (iterable, opts) {
    if (from === undefined) {
      from = __webpack_require__(/*! ./internal/streams/from */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/from-browser.js");
    }
    return from(Readable, iterable, opts);
  };
}
function indexOf(xs, x) {
  for (var i = 0, l = xs.length; i < l; i++) {
    if (xs[i] === x) return i;
  }
  return -1;
}

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_transform.js":
/*!**********************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_transform.js ***!
  \**********************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

// a transform stream is a readable/writable stream where you do
// something with the data.  Sometimes it's called a "filter",
// but that's not a great name for it, since that implies a thing where
// some bits pass through, and others are simply ignored.  (That would
// be a valid example of a transform, of course.)
//
// While the output is causally related to the input, it's not a
// necessarily symmetric or synchronous transformation.  For example,
// a zlib stream might take multiple plain-text writes(), and then
// emit a single compressed chunk some time in the future.
//
// Here's how this works:
//
// The Transform stream has all the aspects of the readable and writable
// stream classes.  When you write(chunk), that calls _write(chunk,cb)
// internally, and returns false if there's a lot of pending writes
// buffered up.  When you call read(), that calls _read(n) until
// there's enough pending readable data buffered up.
//
// In a transform stream, the written data is placed in a buffer.  When
// _read(n) is called, it transforms the queued up data, calling the
// buffered _write cb's as it consumes chunks.  If consuming a single
// written chunk would result in multiple output chunks, then the first
// outputted bit calls the readcb, and subsequent chunks just go into
// the read buffer, and will cause it to emit 'readable' if necessary.
//
// This way, back-pressure is actually determined by the reading side,
// since _read has to be called to start processing a new chunk.  However,
// a pathological inflate type of transform can cause excessive buffering
// here.  For example, imagine a stream where every byte of input is
// interpreted as an integer from 0-255, and then results in that many
// bytes of output.  Writing the 4 bytes {ff,ff,ff,ff} would result in
// 1kb of data being output.  In this case, you could write a very small
// amount of input, and end up with a very large amount of output.  In
// such a pathological inflating mechanism, there'd be no way to tell
// the system to stop doing the transform.  A single 4MB write could
// cause the system to run out of memory.
//
// However, even in such a pathological case, only a single written chunk
// would be consumed, and then the rest would wait (un-transformed) until
// the results of the previous transformed chunk were consumed.



module.exports = Transform;
var _require$codes = (__webpack_require__(/*! ../errors */ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js").codes),
  ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED,
  ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK,
  ERR_TRANSFORM_ALREADY_TRANSFORMING = _require$codes.ERR_TRANSFORM_ALREADY_TRANSFORMING,
  ERR_TRANSFORM_WITH_LENGTH_0 = _require$codes.ERR_TRANSFORM_WITH_LENGTH_0;
var Duplex = __webpack_require__(/*! ./_stream_duplex */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js");
__webpack_require__(/*! inherits */ "./node_modules/inherits/inherits_browser.js")(Transform, Duplex);
function afterTransform(er, data) {
  var ts = this._transformState;
  ts.transforming = false;
  var cb = ts.writecb;
  if (cb === null) {
    return this.emit('error', new ERR_MULTIPLE_CALLBACK());
  }
  ts.writechunk = null;
  ts.writecb = null;
  if (data != null)
    // single equals check for both `null` and `undefined`
    this.push(data);
  cb(er);
  var rs = this._readableState;
  rs.reading = false;
  if (rs.needReadable || rs.length < rs.highWaterMark) {
    this._read(rs.highWaterMark);
  }
}
function Transform(options) {
  if (!(this instanceof Transform)) return new Transform(options);
  Duplex.call(this, options);
  this._transformState = {
    afterTransform: afterTransform.bind(this),
    needTransform: false,
    transforming: false,
    writecb: null,
    writechunk: null,
    writeencoding: null
  };

  // start out asking for a readable event once data is transformed.
  this._readableState.needReadable = true;

  // we have implemented the _read method, and done the other things
  // that Readable wants before the first _read call, so unset the
  // sync guard flag.
  this._readableState.sync = false;
  if (options) {
    if (typeof options.transform === 'function') this._transform = options.transform;
    if (typeof options.flush === 'function') this._flush = options.flush;
  }

  // When the writable side finishes, then flush out anything remaining.
  this.on('prefinish', prefinish);
}
function prefinish() {
  var _this = this;
  if (typeof this._flush === 'function' && !this._readableState.destroyed) {
    this._flush(function (er, data) {
      done(_this, er, data);
    });
  } else {
    done(this, null, null);
  }
}
Transform.prototype.push = function (chunk, encoding) {
  this._transformState.needTransform = false;
  return Duplex.prototype.push.call(this, chunk, encoding);
};

// This is the part where you do stuff!
// override this function in implementation classes.
// 'chunk' is an input chunk.
//
// Call `push(newChunk)` to pass along transformed output
// to the readable side.  You may call 'push' zero or more times.
//
// Call `cb(err)` when you are done with this chunk.  If you pass
// an error, then that'll put the hurt on the whole operation.  If you
// never call cb(), then you'll never get another chunk.
Transform.prototype._transform = function (chunk, encoding, cb) {
  cb(new ERR_METHOD_NOT_IMPLEMENTED('_transform()'));
};
Transform.prototype._write = function (chunk, encoding, cb) {
  var ts = this._transformState;
  ts.writecb = cb;
  ts.writechunk = chunk;
  ts.writeencoding = encoding;
  if (!ts.transforming) {
    var rs = this._readableState;
    if (ts.needTransform || rs.needReadable || rs.length < rs.highWaterMark) this._read(rs.highWaterMark);
  }
};

// Doesn't matter what the args are here.
// _transform does all the work.
// That we got here means that the readable side wants more data.
Transform.prototype._read = function (n) {
  var ts = this._transformState;
  if (ts.writechunk !== null && !ts.transforming) {
    ts.transforming = true;
    this._transform(ts.writechunk, ts.writeencoding, ts.afterTransform);
  } else {
    // mark that we need a transform, so that any data that comes in
    // will get processed, now that we've asked for it.
    ts.needTransform = true;
  }
};
Transform.prototype._destroy = function (err, cb) {
  Duplex.prototype._destroy.call(this, err, function (err2) {
    cb(err2);
  });
};
function done(stream, er, data) {
  if (er) return stream.emit('error', er);
  if (data != null)
    // single equals check for both `null` and `undefined`
    stream.push(data);

  // TODO(BridgeAR): Write a test for these two error cases
  // if there's nothing in the write buffer, then that means
  // that nothing more will ever be provided
  if (stream._writableState.length) throw new ERR_TRANSFORM_WITH_LENGTH_0();
  if (stream._transformState.transforming) throw new ERR_TRANSFORM_ALREADY_TRANSFORMING();
  return stream.push(null);
}

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_writable.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_writable.js ***!
  \*********************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

// A bit simpler than readable streams.
// Implement an async ._write(chunk, encoding, cb), and it'll handle all
// the drain event emission and buffering.



module.exports = Writable;

/* <replacement> */
function WriteReq(chunk, encoding, cb) {
  this.chunk = chunk;
  this.encoding = encoding;
  this.callback = cb;
  this.next = null;
}

// It seems a linked list but it is not
// there will be only 2 of these for each stream
function CorkedRequest(state) {
  var _this = this;
  this.next = null;
  this.entry = null;
  this.finish = function () {
    onCorkedFinish(_this, state);
  };
}
/* </replacement> */

/*<replacement>*/
var Duplex;
/*</replacement>*/

Writable.WritableState = WritableState;

/*<replacement>*/
var internalUtil = {
  deprecate: __webpack_require__(/*! util-deprecate */ "./node_modules/util-deprecate/browser.js")
};
/*</replacement>*/

/*<replacement>*/
var Stream = __webpack_require__(/*! ./internal/streams/stream */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/stream-browser.js");
/*</replacement>*/

var Buffer = (__webpack_require__(/*! buffer */ "./node_modules/buffer/index.js").Buffer);
var OurUint8Array = (typeof __webpack_require__.g !== 'undefined' ? __webpack_require__.g : typeof window !== 'undefined' ? window : typeof self !== 'undefined' ? self : {}).Uint8Array || function () {};
function _uint8ArrayToBuffer(chunk) {
  return Buffer.from(chunk);
}
function _isUint8Array(obj) {
  return Buffer.isBuffer(obj) || obj instanceof OurUint8Array;
}
var destroyImpl = __webpack_require__(/*! ./internal/streams/destroy */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/destroy.js");
var _require = __webpack_require__(/*! ./internal/streams/state */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/state.js"),
  getHighWaterMark = _require.getHighWaterMark;
var _require$codes = (__webpack_require__(/*! ../errors */ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js").codes),
  ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE,
  ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED,
  ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK,
  ERR_STREAM_CANNOT_PIPE = _require$codes.ERR_STREAM_CANNOT_PIPE,
  ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED,
  ERR_STREAM_NULL_VALUES = _require$codes.ERR_STREAM_NULL_VALUES,
  ERR_STREAM_WRITE_AFTER_END = _require$codes.ERR_STREAM_WRITE_AFTER_END,
  ERR_UNKNOWN_ENCODING = _require$codes.ERR_UNKNOWN_ENCODING;
var errorOrDestroy = destroyImpl.errorOrDestroy;
__webpack_require__(/*! inherits */ "./node_modules/inherits/inherits_browser.js")(Writable, Stream);
function nop() {}
function WritableState(options, stream, isDuplex) {
  Duplex = Duplex || __webpack_require__(/*! ./_stream_duplex */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js");
  options = options || {};

  // Duplex streams are both readable and writable, but share
  // the same options object.
  // However, some cases require setting options to different
  // values for the readable and the writable sides of the duplex stream,
  // e.g. options.readableObjectMode vs. options.writableObjectMode, etc.
  if (typeof isDuplex !== 'boolean') isDuplex = stream instanceof Duplex;

  // object stream flag to indicate whether or not this stream
  // contains buffers or objects.
  this.objectMode = !!options.objectMode;
  if (isDuplex) this.objectMode = this.objectMode || !!options.writableObjectMode;

  // the point at which write() starts returning false
  // Note: 0 is a valid value, means that we always return false if
  // the entire buffer is not flushed immediately on write()
  this.highWaterMark = getHighWaterMark(this, options, 'writableHighWaterMark', isDuplex);

  // if _final has been called
  this.finalCalled = false;

  // drain event flag.
  this.needDrain = false;
  // at the start of calling end()
  this.ending = false;
  // when end() has been called, and returned
  this.ended = false;
  // when 'finish' is emitted
  this.finished = false;

  // has it been destroyed
  this.destroyed = false;

  // should we decode strings into buffers before passing to _write?
  // this is here so that some node-core streams can optimize string
  // handling at a lower level.
  var noDecode = options.decodeStrings === false;
  this.decodeStrings = !noDecode;

  // Crypto is kind of old and crusty.  Historically, its default string
  // encoding is 'binary' so we have to make this configurable.
  // Everything else in the universe uses 'utf8', though.
  this.defaultEncoding = options.defaultEncoding || 'utf8';

  // not an actual buffer we keep track of, but a measurement
  // of how much we're waiting to get pushed to some underlying
  // socket or file.
  this.length = 0;

  // a flag to see when we're in the middle of a write.
  this.writing = false;

  // when true all writes will be buffered until .uncork() call
  this.corked = 0;

  // a flag to be able to tell if the onwrite cb is called immediately,
  // or on a later tick.  We set this to true at first, because any
  // actions that shouldn't happen until "later" should generally also
  // not happen before the first write call.
  this.sync = true;

  // a flag to know if we're processing previously buffered items, which
  // may call the _write() callback in the same tick, so that we don't
  // end up in an overlapped onwrite situation.
  this.bufferProcessing = false;

  // the callback that's passed to _write(chunk,cb)
  this.onwrite = function (er) {
    onwrite(stream, er);
  };

  // the callback that the user supplies to write(chunk,encoding,cb)
  this.writecb = null;

  // the amount that is being written when _write is called.
  this.writelen = 0;
  this.bufferedRequest = null;
  this.lastBufferedRequest = null;

  // number of pending user-supplied write callbacks
  // this must be 0 before 'finish' can be emitted
  this.pendingcb = 0;

  // emit prefinish if the only thing we're waiting for is _write cbs
  // This is relevant for synchronous Transform streams
  this.prefinished = false;

  // True if the error was already emitted and should not be thrown again
  this.errorEmitted = false;

  // Should close be emitted on destroy. Defaults to true.
  this.emitClose = options.emitClose !== false;

  // Should .destroy() be called after 'finish' (and potentially 'end')
  this.autoDestroy = !!options.autoDestroy;

  // count buffered requests
  this.bufferedRequestCount = 0;

  // allocate the first CorkedRequest, there is always
  // one allocated and free to use, and we maintain at most two
  this.corkedRequestsFree = new CorkedRequest(this);
}
WritableState.prototype.getBuffer = function getBuffer() {
  var current = this.bufferedRequest;
  var out = [];
  while (current) {
    out.push(current);
    current = current.next;
  }
  return out;
};
(function () {
  try {
    Object.defineProperty(WritableState.prototype, 'buffer', {
      get: internalUtil.deprecate(function writableStateBufferGetter() {
        return this.getBuffer();
      }, '_writableState.buffer is deprecated. Use _writableState.getBuffer ' + 'instead.', 'DEP0003')
    });
  } catch (_) {}
})();

// Test _writableState for inheritance to account for Duplex streams,
// whose prototype chain only points to Readable.
var realHasInstance;
if (typeof Symbol === 'function' && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] === 'function') {
  realHasInstance = Function.prototype[Symbol.hasInstance];
  Object.defineProperty(Writable, Symbol.hasInstance, {
    value: function value(object) {
      if (realHasInstance.call(this, object)) return true;
      if (this !== Writable) return false;
      return object && object._writableState instanceof WritableState;
    }
  });
} else {
  realHasInstance = function realHasInstance(object) {
    return object instanceof this;
  };
}
function Writable(options) {
  Duplex = Duplex || __webpack_require__(/*! ./_stream_duplex */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/_stream_duplex.js");

  // Writable ctor is applied to Duplexes, too.
  // `realHasInstance` is necessary because using plain `instanceof`
  // would return false, as no `_writableState` property is attached.

  // Trying to use the custom `instanceof` for Writable here will also break the
  // Node.js LazyTransform implementation, which has a non-trivial getter for
  // `_writableState` that would lead to infinite recursion.

  // Checking for a Stream.Duplex instance is faster here instead of inside
  // the WritableState constructor, at least with V8 6.5
  var isDuplex = this instanceof Duplex;
  if (!isDuplex && !realHasInstance.call(Writable, this)) return new Writable(options);
  this._writableState = new WritableState(options, this, isDuplex);

  // legacy.
  this.writable = true;
  if (options) {
    if (typeof options.write === 'function') this._write = options.write;
    if (typeof options.writev === 'function') this._writev = options.writev;
    if (typeof options.destroy === 'function') this._destroy = options.destroy;
    if (typeof options.final === 'function') this._final = options.final;
  }
  Stream.call(this);
}

// Otherwise people can pipe Writable streams, which is just wrong.
Writable.prototype.pipe = function () {
  errorOrDestroy(this, new ERR_STREAM_CANNOT_PIPE());
};
function writeAfterEnd(stream, cb) {
  var er = new ERR_STREAM_WRITE_AFTER_END();
  // TODO: defer error events consistently everywhere, not just the cb
  errorOrDestroy(stream, er);
  process.nextTick(cb, er);
}

// Checks that a user-supplied chunk is valid, especially for the particular
// mode the stream is in. Currently this means that `null` is never accepted
// and undefined/non-string values are only allowed in object mode.
function validChunk(stream, state, chunk, cb) {
  var er;
  if (chunk === null) {
    er = new ERR_STREAM_NULL_VALUES();
  } else if (typeof chunk !== 'string' && !state.objectMode) {
    er = new ERR_INVALID_ARG_TYPE('chunk', ['string', 'Buffer'], chunk);
  }
  if (er) {
    errorOrDestroy(stream, er);
    process.nextTick(cb, er);
    return false;
  }
  return true;
}
Writable.prototype.write = function (chunk, encoding, cb) {
  var state = this._writableState;
  var ret = false;
  var isBuf = !state.objectMode && _isUint8Array(chunk);
  if (isBuf && !Buffer.isBuffer(chunk)) {
    chunk = _uint8ArrayToBuffer(chunk);
  }
  if (typeof encoding === 'function') {
    cb = encoding;
    encoding = null;
  }
  if (isBuf) encoding = 'buffer';else if (!encoding) encoding = state.defaultEncoding;
  if (typeof cb !== 'function') cb = nop;
  if (state.ending) writeAfterEnd(this, cb);else if (isBuf || validChunk(this, state, chunk, cb)) {
    state.pendingcb++;
    ret = writeOrBuffer(this, state, isBuf, chunk, encoding, cb);
  }
  return ret;
};
Writable.prototype.cork = function () {
  this._writableState.corked++;
};
Writable.prototype.uncork = function () {
  var state = this._writableState;
  if (state.corked) {
    state.corked--;
    if (!state.writing && !state.corked && !state.bufferProcessing && state.bufferedRequest) clearBuffer(this, state);
  }
};
Writable.prototype.setDefaultEncoding = function setDefaultEncoding(encoding) {
  // node::ParseEncoding() requires lower case.
  if (typeof encoding === 'string') encoding = encoding.toLowerCase();
  if (!(['hex', 'utf8', 'utf-8', 'ascii', 'binary', 'base64', 'ucs2', 'ucs-2', 'utf16le', 'utf-16le', 'raw'].indexOf((encoding + '').toLowerCase()) > -1)) throw new ERR_UNKNOWN_ENCODING(encoding);
  this._writableState.defaultEncoding = encoding;
  return this;
};
Object.defineProperty(Writable.prototype, 'writableBuffer', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState && this._writableState.getBuffer();
  }
});
function decodeChunk(state, chunk, encoding) {
  if (!state.objectMode && state.decodeStrings !== false && typeof chunk === 'string') {
    chunk = Buffer.from(chunk, encoding);
  }
  return chunk;
}
Object.defineProperty(Writable.prototype, 'writableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.highWaterMark;
  }
});

// if we're already writing something, then just put this
// in the queue, and wait our turn.  Otherwise, call _write
// If we return false, then we need a drain event, so set that flag.
function writeOrBuffer(stream, state, isBuf, chunk, encoding, cb) {
  if (!isBuf) {
    var newChunk = decodeChunk(state, chunk, encoding);
    if (chunk !== newChunk) {
      isBuf = true;
      encoding = 'buffer';
      chunk = newChunk;
    }
  }
  var len = state.objectMode ? 1 : chunk.length;
  state.length += len;
  var ret = state.length < state.highWaterMark;
  // we must ensure that previous needDrain will not be reset to false.
  if (!ret) state.needDrain = true;
  if (state.writing || state.corked) {
    var last = state.lastBufferedRequest;
    state.lastBufferedRequest = {
      chunk: chunk,
      encoding: encoding,
      isBuf: isBuf,
      callback: cb,
      next: null
    };
    if (last) {
      last.next = state.lastBufferedRequest;
    } else {
      state.bufferedRequest = state.lastBufferedRequest;
    }
    state.bufferedRequestCount += 1;
  } else {
    doWrite(stream, state, false, len, chunk, encoding, cb);
  }
  return ret;
}
function doWrite(stream, state, writev, len, chunk, encoding, cb) {
  state.writelen = len;
  state.writecb = cb;
  state.writing = true;
  state.sync = true;
  if (state.destroyed) state.onwrite(new ERR_STREAM_DESTROYED('write'));else if (writev) stream._writev(chunk, state.onwrite);else stream._write(chunk, encoding, state.onwrite);
  state.sync = false;
}
function onwriteError(stream, state, sync, er, cb) {
  --state.pendingcb;
  if (sync) {
    // defer the callback if we are being called synchronously
    // to avoid piling up things on the stack
    process.nextTick(cb, er);
    // this can emit finish, and it will always happen
    // after error
    process.nextTick(finishMaybe, stream, state);
    stream._writableState.errorEmitted = true;
    errorOrDestroy(stream, er);
  } else {
    // the caller expect this to happen before if
    // it is async
    cb(er);
    stream._writableState.errorEmitted = true;
    errorOrDestroy(stream, er);
    // this can emit finish, but finish must
    // always follow error
    finishMaybe(stream, state);
  }
}
function onwriteStateUpdate(state) {
  state.writing = false;
  state.writecb = null;
  state.length -= state.writelen;
  state.writelen = 0;
}
function onwrite(stream, er) {
  var state = stream._writableState;
  var sync = state.sync;
  var cb = state.writecb;
  if (typeof cb !== 'function') throw new ERR_MULTIPLE_CALLBACK();
  onwriteStateUpdate(state);
  if (er) onwriteError(stream, state, sync, er, cb);else {
    // Check if we're actually ready to finish, but don't emit yet
    var finished = needFinish(state) || stream.destroyed;
    if (!finished && !state.corked && !state.bufferProcessing && state.bufferedRequest) {
      clearBuffer(stream, state);
    }
    if (sync) {
      process.nextTick(afterWrite, stream, state, finished, cb);
    } else {
      afterWrite(stream, state, finished, cb);
    }
  }
}
function afterWrite(stream, state, finished, cb) {
  if (!finished) onwriteDrain(stream, state);
  state.pendingcb--;
  cb();
  finishMaybe(stream, state);
}

// Must force callback to be called on nextTick, so that we don't
// emit 'drain' before the write() consumer gets the 'false' return
// value, and has a chance to attach a 'drain' listener.
function onwriteDrain(stream, state) {
  if (state.length === 0 && state.needDrain) {
    state.needDrain = false;
    stream.emit('drain');
  }
}

// if there's something in the buffer waiting, then process it
function clearBuffer(stream, state) {
  state.bufferProcessing = true;
  var entry = state.bufferedRequest;
  if (stream._writev && entry && entry.next) {
    // Fast case, write everything using _writev()
    var l = state.bufferedRequestCount;
    var buffer = new Array(l);
    var holder = state.corkedRequestsFree;
    holder.entry = entry;
    var count = 0;
    var allBuffers = true;
    while (entry) {
      buffer[count] = entry;
      if (!entry.isBuf) allBuffers = false;
      entry = entry.next;
      count += 1;
    }
    buffer.allBuffers = allBuffers;
    doWrite(stream, state, true, state.length, buffer, '', holder.finish);

    // doWrite is almost always async, defer these to save a bit of time
    // as the hot path ends with doWrite
    state.pendingcb++;
    state.lastBufferedRequest = null;
    if (holder.next) {
      state.corkedRequestsFree = holder.next;
      holder.next = null;
    } else {
      state.corkedRequestsFree = new CorkedRequest(state);
    }
    state.bufferedRequestCount = 0;
  } else {
    // Slow case, write chunks one-by-one
    while (entry) {
      var chunk = entry.chunk;
      var encoding = entry.encoding;
      var cb = entry.callback;
      var len = state.objectMode ? 1 : chunk.length;
      doWrite(stream, state, false, len, chunk, encoding, cb);
      entry = entry.next;
      state.bufferedRequestCount--;
      // if we didn't call the onwrite immediately, then
      // it means that we need to wait until it does.
      // also, that means that the chunk and cb are currently
      // being processed, so move the buffer counter past them.
      if (state.writing) {
        break;
      }
    }
    if (entry === null) state.lastBufferedRequest = null;
  }
  state.bufferedRequest = entry;
  state.bufferProcessing = false;
}
Writable.prototype._write = function (chunk, encoding, cb) {
  cb(new ERR_METHOD_NOT_IMPLEMENTED('_write()'));
};
Writable.prototype._writev = null;
Writable.prototype.end = function (chunk, encoding, cb) {
  var state = this._writableState;
  if (typeof chunk === 'function') {
    cb = chunk;
    chunk = null;
    encoding = null;
  } else if (typeof encoding === 'function') {
    cb = encoding;
    encoding = null;
  }
  if (chunk !== null && chunk !== undefined) this.write(chunk, encoding);

  // .end() fully uncorks
  if (state.corked) {
    state.corked = 1;
    this.uncork();
  }

  // ignore unnecessary end() calls.
  if (!state.ending) endWritable(this, state, cb);
  return this;
};
Object.defineProperty(Writable.prototype, 'writableLength', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.length;
  }
});
function needFinish(state) {
  return state.ending && state.length === 0 && state.bufferedRequest === null && !state.finished && !state.writing;
}
function callFinal(stream, state) {
  stream._final(function (err) {
    state.pendingcb--;
    if (err) {
      errorOrDestroy(stream, err);
    }
    state.prefinished = true;
    stream.emit('prefinish');
    finishMaybe(stream, state);
  });
}
function prefinish(stream, state) {
  if (!state.prefinished && !state.finalCalled) {
    if (typeof stream._final === 'function' && !state.destroyed) {
      state.pendingcb++;
      state.finalCalled = true;
      process.nextTick(callFinal, stream, state);
    } else {
      state.prefinished = true;
      stream.emit('prefinish');
    }
  }
}
function finishMaybe(stream, state) {
  var need = needFinish(state);
  if (need) {
    prefinish(stream, state);
    if (state.pendingcb === 0) {
      state.finished = true;
      stream.emit('finish');
      if (state.autoDestroy) {
        // In case of duplex streams we need a way to detect
        // if the readable side is ready for autoDestroy as well
        var rState = stream._readableState;
        if (!rState || rState.autoDestroy && rState.endEmitted) {
          stream.destroy();
        }
      }
    }
  }
  return need;
}
function endWritable(stream, state, cb) {
  state.ending = true;
  finishMaybe(stream, state);
  if (cb) {
    if (state.finished) process.nextTick(cb);else stream.once('finish', cb);
  }
  state.ended = true;
  stream.writable = false;
}
function onCorkedFinish(corkReq, state, err) {
  var entry = corkReq.entry;
  corkReq.entry = null;
  while (entry) {
    var cb = entry.callback;
    state.pendingcb--;
    cb(err);
    entry = entry.next;
  }

  // reuse the free corkReq.
  state.corkedRequestsFree.next = corkReq;
}
Object.defineProperty(Writable.prototype, 'destroyed', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    if (this._writableState === undefined) {
      return false;
    }
    return this._writableState.destroyed;
  },
  set: function set(value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (!this._writableState) {
      return;
    }

    // backward compatibility, the user is explicitly
    // managing destroyed
    this._writableState.destroyed = value;
  }
});
Writable.prototype.destroy = destroyImpl.destroy;
Writable.prototype._undestroy = destroyImpl.undestroy;
Writable.prototype._destroy = function (err, cb) {
  cb(err);
};

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/async_iterator.js":
/*!************************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/async_iterator.js ***!
  \************************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {



var _Object$setPrototypeO;
function _defineProperty(obj, key, value) {
  key = _toPropertyKey(key);
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function _toPropertyKey(arg) {
  var key = _toPrimitive(arg, "string");
  return typeof key === "symbol" ? key : String(key);
}
function _toPrimitive(input, hint) {
  if (typeof input !== "object" || input === null) return input;
  var prim = input[Symbol.toPrimitive];
  if (prim !== undefined) {
    var res = prim.call(input, hint || "default");
    if (typeof res !== "object") return res;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (hint === "string" ? String : Number)(input);
}
var finished = __webpack_require__(/*! ./end-of-stream */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/end-of-stream.js");
var kLastResolve = Symbol('lastResolve');
var kLastReject = Symbol('lastReject');
var kError = Symbol('error');
var kEnded = Symbol('ended');
var kLastPromise = Symbol('lastPromise');
var kHandlePromise = Symbol('handlePromise');
var kStream = Symbol('stream');
function createIterResult(value, done) {
  return {
    value: value,
    done: done
  };
}
function readAndResolve(iter) {
  var resolve = iter[kLastResolve];
  if (resolve !== null) {
    var data = iter[kStream].read();
    // we defer if data is null
    // we can be expecting either 'end' or
    // 'error'
    if (data !== null) {
      iter[kLastPromise] = null;
      iter[kLastResolve] = null;
      iter[kLastReject] = null;
      resolve(createIterResult(data, false));
    }
  }
}
function onReadable(iter) {
  // we wait for the next tick, because it might
  // emit an error with process.nextTick
  process.nextTick(readAndResolve, iter);
}
function wrapForNext(lastPromise, iter) {
  return function (resolve, reject) {
    lastPromise.then(function () {
      if (iter[kEnded]) {
        resolve(createIterResult(undefined, true));
        return;
      }
      iter[kHandlePromise](resolve, reject);
    }, reject);
  };
}
var AsyncIteratorPrototype = Object.getPrototypeOf(function () {});
var ReadableStreamAsyncIteratorPrototype = Object.setPrototypeOf((_Object$setPrototypeO = {
  get stream() {
    return this[kStream];
  },
  next: function next() {
    var _this = this;
    // if we have detected an error in the meanwhile
    // reject straight away
    var error = this[kError];
    if (error !== null) {
      return Promise.reject(error);
    }
    if (this[kEnded]) {
      return Promise.resolve(createIterResult(undefined, true));
    }
    if (this[kStream].destroyed) {
      // We need to defer via nextTick because if .destroy(err) is
      // called, the error will be emitted via nextTick, and
      // we cannot guarantee that there is no error lingering around
      // waiting to be emitted.
      return new Promise(function (resolve, reject) {
        process.nextTick(function () {
          if (_this[kError]) {
            reject(_this[kError]);
          } else {
            resolve(createIterResult(undefined, true));
          }
        });
      });
    }

    // if we have multiple next() calls
    // we will wait for the previous Promise to finish
    // this logic is optimized to support for await loops,
    // where next() is only called once at a time
    var lastPromise = this[kLastPromise];
    var promise;
    if (lastPromise) {
      promise = new Promise(wrapForNext(lastPromise, this));
    } else {
      // fast path needed to support multiple this.push()
      // without triggering the next() queue
      var data = this[kStream].read();
      if (data !== null) {
        return Promise.resolve(createIterResult(data, false));
      }
      promise = new Promise(this[kHandlePromise]);
    }
    this[kLastPromise] = promise;
    return promise;
  }
}, _defineProperty(_Object$setPrototypeO, Symbol.asyncIterator, function () {
  return this;
}), _defineProperty(_Object$setPrototypeO, "return", function _return() {
  var _this2 = this;
  // destroy(err, cb) is a private API
  // we can guarantee we have that here, because we control the
  // Readable class this is attached to
  return new Promise(function (resolve, reject) {
    _this2[kStream].destroy(null, function (err) {
      if (err) {
        reject(err);
        return;
      }
      resolve(createIterResult(undefined, true));
    });
  });
}), _Object$setPrototypeO), AsyncIteratorPrototype);
var createReadableStreamAsyncIterator = function createReadableStreamAsyncIterator(stream) {
  var _Object$create;
  var iterator = Object.create(ReadableStreamAsyncIteratorPrototype, (_Object$create = {}, _defineProperty(_Object$create, kStream, {
    value: stream,
    writable: true
  }), _defineProperty(_Object$create, kLastResolve, {
    value: null,
    writable: true
  }), _defineProperty(_Object$create, kLastReject, {
    value: null,
    writable: true
  }), _defineProperty(_Object$create, kError, {
    value: null,
    writable: true
  }), _defineProperty(_Object$create, kEnded, {
    value: stream._readableState.endEmitted,
    writable: true
  }), _defineProperty(_Object$create, kHandlePromise, {
    value: function value(resolve, reject) {
      var data = iterator[kStream].read();
      if (data) {
        iterator[kLastPromise] = null;
        iterator[kLastResolve] = null;
        iterator[kLastReject] = null;
        resolve(createIterResult(data, false));
      } else {
        iterator[kLastResolve] = resolve;
        iterator[kLastReject] = reject;
      }
    },
    writable: true
  }), _Object$create));
  iterator[kLastPromise] = null;
  finished(stream, function (err) {
    if (err && err.code !== 'ERR_STREAM_PREMATURE_CLOSE') {
      var reject = iterator[kLastReject];
      // reject if we are waiting for data in the Promise
      // returned by next() and store the error
      if (reject !== null) {
        iterator[kLastPromise] = null;
        iterator[kLastResolve] = null;
        iterator[kLastReject] = null;
        reject(err);
      }
      iterator[kError] = err;
      return;
    }
    var resolve = iterator[kLastResolve];
    if (resolve !== null) {
      iterator[kLastPromise] = null;
      iterator[kLastResolve] = null;
      iterator[kLastReject] = null;
      resolve(createIterResult(undefined, true));
    }
    iterator[kEnded] = true;
  });
  stream.on('readable', onReadable.bind(null, iterator));
  return iterator;
};
module.exports = createReadableStreamAsyncIterator;

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/buffer_list.js":
/*!*********************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/buffer_list.js ***!
  \*********************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {



function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    })), keys.push.apply(keys, symbols);
  }
  return keys;
}
function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
      _defineProperty(target, key, source[key]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    });
  }
  return target;
}
function _defineProperty(obj, key, value) {
  key = _toPropertyKey(key);
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor);
  }
}
function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  Object.defineProperty(Constructor, "prototype", {
    writable: false
  });
  return Constructor;
}
function _toPropertyKey(arg) {
  var key = _toPrimitive(arg, "string");
  return typeof key === "symbol" ? key : String(key);
}
function _toPrimitive(input, hint) {
  if (typeof input !== "object" || input === null) return input;
  var prim = input[Symbol.toPrimitive];
  if (prim !== undefined) {
    var res = prim.call(input, hint || "default");
    if (typeof res !== "object") return res;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (hint === "string" ? String : Number)(input);
}
var _require = __webpack_require__(/*! buffer */ "./node_modules/buffer/index.js"),
  Buffer = _require.Buffer;
var _require2 = __webpack_require__(/*! util */ "?3e83"),
  inspect = _require2.inspect;
var custom = inspect && inspect.custom || 'inspect';
function copyBuffer(src, target, offset) {
  Buffer.prototype.copy.call(src, target, offset);
}
module.exports = /*#__PURE__*/function () {
  function BufferList() {
    _classCallCheck(this, BufferList);
    this.head = null;
    this.tail = null;
    this.length = 0;
  }
  _createClass(BufferList, [{
    key: "push",
    value: function push(v) {
      var entry = {
        data: v,
        next: null
      };
      if (this.length > 0) this.tail.next = entry;else this.head = entry;
      this.tail = entry;
      ++this.length;
    }
  }, {
    key: "unshift",
    value: function unshift(v) {
      var entry = {
        data: v,
        next: this.head
      };
      if (this.length === 0) this.tail = entry;
      this.head = entry;
      ++this.length;
    }
  }, {
    key: "shift",
    value: function shift() {
      if (this.length === 0) return;
      var ret = this.head.data;
      if (this.length === 1) this.head = this.tail = null;else this.head = this.head.next;
      --this.length;
      return ret;
    }
  }, {
    key: "clear",
    value: function clear() {
      this.head = this.tail = null;
      this.length = 0;
    }
  }, {
    key: "join",
    value: function join(s) {
      if (this.length === 0) return '';
      var p = this.head;
      var ret = '' + p.data;
      while (p = p.next) ret += s + p.data;
      return ret;
    }
  }, {
    key: "concat",
    value: function concat(n) {
      if (this.length === 0) return Buffer.alloc(0);
      var ret = Buffer.allocUnsafe(n >>> 0);
      var p = this.head;
      var i = 0;
      while (p) {
        copyBuffer(p.data, ret, i);
        i += p.data.length;
        p = p.next;
      }
      return ret;
    }

    // Consumes a specified amount of bytes or characters from the buffered data.
  }, {
    key: "consume",
    value: function consume(n, hasStrings) {
      var ret;
      if (n < this.head.data.length) {
        // `slice` is the same for buffers and strings.
        ret = this.head.data.slice(0, n);
        this.head.data = this.head.data.slice(n);
      } else if (n === this.head.data.length) {
        // First chunk is a perfect match.
        ret = this.shift();
      } else {
        // Result spans more than one buffer.
        ret = hasStrings ? this._getString(n) : this._getBuffer(n);
      }
      return ret;
    }
  }, {
    key: "first",
    value: function first() {
      return this.head.data;
    }

    // Consumes a specified amount of characters from the buffered data.
  }, {
    key: "_getString",
    value: function _getString(n) {
      var p = this.head;
      var c = 1;
      var ret = p.data;
      n -= ret.length;
      while (p = p.next) {
        var str = p.data;
        var nb = n > str.length ? str.length : n;
        if (nb === str.length) ret += str;else ret += str.slice(0, n);
        n -= nb;
        if (n === 0) {
          if (nb === str.length) {
            ++c;
            if (p.next) this.head = p.next;else this.head = this.tail = null;
          } else {
            this.head = p;
            p.data = str.slice(nb);
          }
          break;
        }
        ++c;
      }
      this.length -= c;
      return ret;
    }

    // Consumes a specified amount of bytes from the buffered data.
  }, {
    key: "_getBuffer",
    value: function _getBuffer(n) {
      var ret = Buffer.allocUnsafe(n);
      var p = this.head;
      var c = 1;
      p.data.copy(ret);
      n -= p.data.length;
      while (p = p.next) {
        var buf = p.data;
        var nb = n > buf.length ? buf.length : n;
        buf.copy(ret, ret.length - n, 0, nb);
        n -= nb;
        if (n === 0) {
          if (nb === buf.length) {
            ++c;
            if (p.next) this.head = p.next;else this.head = this.tail = null;
          } else {
            this.head = p;
            p.data = buf.slice(nb);
          }
          break;
        }
        ++c;
      }
      this.length -= c;
      return ret;
    }

    // Make sure the linked list only shows the minimal necessary information.
  }, {
    key: custom,
    value: function value(_, options) {
      return inspect(this, _objectSpread(_objectSpread({}, options), {}, {
        // Only inspect one level.
        depth: 0,
        // It should not recurse.
        customInspect: false
      }));
    }
  }]);
  return BufferList;
}();

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/destroy.js":
/*!*****************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/destroy.js ***!
  \*****************************************************************************************************/
/***/ (function(module) {



// undocumented cb() API, needed for core, not for public API
function destroy(err, cb) {
  var _this = this;
  var readableDestroyed = this._readableState && this._readableState.destroyed;
  var writableDestroyed = this._writableState && this._writableState.destroyed;
  if (readableDestroyed || writableDestroyed) {
    if (cb) {
      cb(err);
    } else if (err) {
      if (!this._writableState) {
        process.nextTick(emitErrorNT, this, err);
      } else if (!this._writableState.errorEmitted) {
        this._writableState.errorEmitted = true;
        process.nextTick(emitErrorNT, this, err);
      }
    }
    return this;
  }

  // we set destroyed to true before firing error callbacks in order
  // to make it re-entrance safe in case destroy() is called within callbacks

  if (this._readableState) {
    this._readableState.destroyed = true;
  }

  // if this is a duplex stream mark the writable part as destroyed as well
  if (this._writableState) {
    this._writableState.destroyed = true;
  }
  this._destroy(err || null, function (err) {
    if (!cb && err) {
      if (!_this._writableState) {
        process.nextTick(emitErrorAndCloseNT, _this, err);
      } else if (!_this._writableState.errorEmitted) {
        _this._writableState.errorEmitted = true;
        process.nextTick(emitErrorAndCloseNT, _this, err);
      } else {
        process.nextTick(emitCloseNT, _this);
      }
    } else if (cb) {
      process.nextTick(emitCloseNT, _this);
      cb(err);
    } else {
      process.nextTick(emitCloseNT, _this);
    }
  });
  return this;
}
function emitErrorAndCloseNT(self, err) {
  emitErrorNT(self, err);
  emitCloseNT(self);
}
function emitCloseNT(self) {
  if (self._writableState && !self._writableState.emitClose) return;
  if (self._readableState && !self._readableState.emitClose) return;
  self.emit('close');
}
function undestroy() {
  if (this._readableState) {
    this._readableState.destroyed = false;
    this._readableState.reading = false;
    this._readableState.ended = false;
    this._readableState.endEmitted = false;
  }
  if (this._writableState) {
    this._writableState.destroyed = false;
    this._writableState.ended = false;
    this._writableState.ending = false;
    this._writableState.finalCalled = false;
    this._writableState.prefinished = false;
    this._writableState.finished = false;
    this._writableState.errorEmitted = false;
  }
}
function emitErrorNT(self, err) {
  self.emit('error', err);
}
function errorOrDestroy(stream, err) {
  // We have tests that rely on errors being emitted
  // in the same tick, so changing this is semver major.
  // For now when you opt-in to autoDestroy we allow
  // the error to be emitted nextTick. In a future
  // semver major update we should change the default to this.

  var rState = stream._readableState;
  var wState = stream._writableState;
  if (rState && rState.autoDestroy || wState && wState.autoDestroy) stream.destroy(err);else stream.emit('error', err);
}
module.exports = {
  destroy: destroy,
  undestroy: undestroy,
  errorOrDestroy: errorOrDestroy
};

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/end-of-stream.js":
/*!***********************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/end-of-stream.js ***!
  \***********************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Ported from https://github.com/mafintosh/end-of-stream with
// permission from the author, Mathias Buus (@mafintosh).



var ERR_STREAM_PREMATURE_CLOSE = (__webpack_require__(/*! ../../../errors */ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js").codes).ERR_STREAM_PREMATURE_CLOSE;
function once(callback) {
  var called = false;
  return function () {
    if (called) return;
    called = true;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    callback.apply(this, args);
  };
}
function noop() {}
function isRequest(stream) {
  return stream.setHeader && typeof stream.abort === 'function';
}
function eos(stream, opts, callback) {
  if (typeof opts === 'function') return eos(stream, null, opts);
  if (!opts) opts = {};
  callback = once(callback || noop);
  var readable = opts.readable || opts.readable !== false && stream.readable;
  var writable = opts.writable || opts.writable !== false && stream.writable;
  var onlegacyfinish = function onlegacyfinish() {
    if (!stream.writable) onfinish();
  };
  var writableEnded = stream._writableState && stream._writableState.finished;
  var onfinish = function onfinish() {
    writable = false;
    writableEnded = true;
    if (!readable) callback.call(stream);
  };
  var readableEnded = stream._readableState && stream._readableState.endEmitted;
  var onend = function onend() {
    readable = false;
    readableEnded = true;
    if (!writable) callback.call(stream);
  };
  var onerror = function onerror(err) {
    callback.call(stream, err);
  };
  var onclose = function onclose() {
    var err;
    if (readable && !readableEnded) {
      if (!stream._readableState || !stream._readableState.ended) err = new ERR_STREAM_PREMATURE_CLOSE();
      return callback.call(stream, err);
    }
    if (writable && !writableEnded) {
      if (!stream._writableState || !stream._writableState.ended) err = new ERR_STREAM_PREMATURE_CLOSE();
      return callback.call(stream, err);
    }
  };
  var onrequest = function onrequest() {
    stream.req.on('finish', onfinish);
  };
  if (isRequest(stream)) {
    stream.on('complete', onfinish);
    stream.on('abort', onclose);
    if (stream.req) onrequest();else stream.on('request', onrequest);
  } else if (writable && !stream._writableState) {
    // legacy streams
    stream.on('end', onlegacyfinish);
    stream.on('close', onlegacyfinish);
  }
  stream.on('end', onend);
  stream.on('finish', onfinish);
  if (opts.error !== false) stream.on('error', onerror);
  stream.on('close', onclose);
  return function () {
    stream.removeListener('complete', onfinish);
    stream.removeListener('abort', onclose);
    stream.removeListener('request', onrequest);
    if (stream.req) stream.req.removeListener('finish', onfinish);
    stream.removeListener('end', onlegacyfinish);
    stream.removeListener('close', onlegacyfinish);
    stream.removeListener('finish', onfinish);
    stream.removeListener('end', onend);
    stream.removeListener('error', onerror);
    stream.removeListener('close', onclose);
  };
}
module.exports = eos;

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/from-browser.js":
/*!**********************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/from-browser.js ***!
  \**********************************************************************************************************/
/***/ (function(module) {

module.exports = function () {
  throw new Error('Readable.from is not available in the browser');
};

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/pipeline.js":
/*!******************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/pipeline.js ***!
  \******************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Ported from https://github.com/mafintosh/pump with
// permission from the author, Mathias Buus (@mafintosh).



var eos;
function once(callback) {
  var called = false;
  return function () {
    if (called) return;
    called = true;
    callback.apply(void 0, arguments);
  };
}
var _require$codes = (__webpack_require__(/*! ../../../errors */ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js").codes),
  ERR_MISSING_ARGS = _require$codes.ERR_MISSING_ARGS,
  ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED;
function noop(err) {
  // Rethrow the error if it exists to avoid swallowing it
  if (err) throw err;
}
function isRequest(stream) {
  return stream.setHeader && typeof stream.abort === 'function';
}
function destroyer(stream, reading, writing, callback) {
  callback = once(callback);
  var closed = false;
  stream.on('close', function () {
    closed = true;
  });
  if (eos === undefined) eos = __webpack_require__(/*! ./end-of-stream */ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/end-of-stream.js");
  eos(stream, {
    readable: reading,
    writable: writing
  }, function (err) {
    if (err) return callback(err);
    closed = true;
    callback();
  });
  var destroyed = false;
  return function (err) {
    if (closed) return;
    if (destroyed) return;
    destroyed = true;

    // request.destroy just do .end - .abort is what we want
    if (isRequest(stream)) return stream.abort();
    if (typeof stream.destroy === 'function') return stream.destroy();
    callback(err || new ERR_STREAM_DESTROYED('pipe'));
  };
}
function call(fn) {
  fn();
}
function pipe(from, to) {
  return from.pipe(to);
}
function popCallback(streams) {
  if (!streams.length) return noop;
  if (typeof streams[streams.length - 1] !== 'function') return noop;
  return streams.pop();
}
function pipeline() {
  for (var _len = arguments.length, streams = new Array(_len), _key = 0; _key < _len; _key++) {
    streams[_key] = arguments[_key];
  }
  var callback = popCallback(streams);
  if (Array.isArray(streams[0])) streams = streams[0];
  if (streams.length < 2) {
    throw new ERR_MISSING_ARGS('streams');
  }
  var error;
  var destroys = streams.map(function (stream, i) {
    var reading = i < streams.length - 1;
    var writing = i > 0;
    return destroyer(stream, reading, writing, function (err) {
      if (!error) error = err;
      if (err) destroys.forEach(call);
      if (reading) return;
      destroys.forEach(call);
      callback(error);
    });
  });
  return streams.reduce(pipe);
}
module.exports = pipeline;

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/state.js":
/*!***************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/state.js ***!
  \***************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {



var ERR_INVALID_OPT_VALUE = (__webpack_require__(/*! ../../../errors */ "./node_modules/stream-browserify/node_modules/readable-stream/errors-browser.js").codes).ERR_INVALID_OPT_VALUE;
function highWaterMarkFrom(options, isDuplex, duplexKey) {
  return options.highWaterMark != null ? options.highWaterMark : isDuplex ? options[duplexKey] : null;
}
function getHighWaterMark(state, options, duplexKey, isDuplex) {
  var hwm = highWaterMarkFrom(options, isDuplex, duplexKey);
  if (hwm != null) {
    if (!(isFinite(hwm) && Math.floor(hwm) === hwm) || hwm < 0) {
      var name = isDuplex ? duplexKey : 'highWaterMark';
      throw new ERR_INVALID_OPT_VALUE(name, hwm);
    }
    return Math.floor(hwm);
  }

  // Default value
  return state.objectMode ? 16 : 16 * 1024;
}
module.exports = {
  getHighWaterMark: getHighWaterMark
};

/***/ }),

/***/ "./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/stream-browser.js":
/*!************************************************************************************************************!*\
  !*** ./node_modules/stream-browserify/node_modules/readable-stream/lib/internal/streams/stream-browser.js ***!
  \************************************************************************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

module.exports = __webpack_require__(/*! events */ "./node_modules/events/events.js").EventEmitter;

/***/ }),

/***/ "./node_modules/string_decoder/lib/string_decoder.js":
/*!***********************************************************!*\
  !*** ./node_modules/string_decoder/lib/string_decoder.js ***!
  \***********************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.



/*<replacement>*/
var Buffer = (__webpack_require__(/*! safe-buffer */ "./node_modules/string_decoder/node_modules/safe-buffer/index.js").Buffer);
/*</replacement>*/

var isEncoding = Buffer.isEncoding || function (encoding) {
  encoding = '' + encoding;
  switch (encoding && encoding.toLowerCase()) {
    case 'hex':
    case 'utf8':
    case 'utf-8':
    case 'ascii':
    case 'binary':
    case 'base64':
    case 'ucs2':
    case 'ucs-2':
    case 'utf16le':
    case 'utf-16le':
    case 'raw':
      return true;
    default:
      return false;
  }
};
function _normalizeEncoding(enc) {
  if (!enc) return 'utf8';
  var retried;
  while (true) {
    switch (enc) {
      case 'utf8':
      case 'utf-8':
        return 'utf8';
      case 'ucs2':
      case 'ucs-2':
      case 'utf16le':
      case 'utf-16le':
        return 'utf16le';
      case 'latin1':
      case 'binary':
        return 'latin1';
      case 'base64':
      case 'ascii':
      case 'hex':
        return enc;
      default:
        if (retried) return; // undefined
        enc = ('' + enc).toLowerCase();
        retried = true;
    }
  }
}
;

// Do not cache `Buffer.isEncoding` when checking encoding names as some
// modules monkey-patch it to support additional encodings
function normalizeEncoding(enc) {
  var nenc = _normalizeEncoding(enc);
  if (typeof nenc !== 'string' && (Buffer.isEncoding === isEncoding || !isEncoding(enc))) throw new Error('Unknown encoding: ' + enc);
  return nenc || enc;
}

// StringDecoder provides an interface for efficiently splitting a series of
// buffers into a series of JS strings without breaking apart multi-byte
// characters.
exports.StringDecoder = StringDecoder;
function StringDecoder(encoding) {
  this.encoding = normalizeEncoding(encoding);
  var nb;
  switch (this.encoding) {
    case 'utf16le':
      this.text = utf16Text;
      this.end = utf16End;
      nb = 4;
      break;
    case 'utf8':
      this.fillLast = utf8FillLast;
      nb = 4;
      break;
    case 'base64':
      this.text = base64Text;
      this.end = base64End;
      nb = 3;
      break;
    default:
      this.write = simpleWrite;
      this.end = simpleEnd;
      return;
  }
  this.lastNeed = 0;
  this.lastTotal = 0;
  this.lastChar = Buffer.allocUnsafe(nb);
}
StringDecoder.prototype.write = function (buf) {
  if (buf.length === 0) return '';
  var r;
  var i;
  if (this.lastNeed) {
    r = this.fillLast(buf);
    if (r === undefined) return '';
    i = this.lastNeed;
    this.lastNeed = 0;
  } else {
    i = 0;
  }
  if (i < buf.length) return r ? r + this.text(buf, i) : this.text(buf, i);
  return r || '';
};
StringDecoder.prototype.end = utf8End;

// Returns only complete characters in a Buffer
StringDecoder.prototype.text = utf8Text;

// Attempts to complete a partial non-UTF-8 character using bytes from a Buffer
StringDecoder.prototype.fillLast = function (buf) {
  if (this.lastNeed <= buf.length) {
    buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed);
    return this.lastChar.toString(this.encoding, 0, this.lastTotal);
  }
  buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, buf.length);
  this.lastNeed -= buf.length;
};

// Checks the type of a UTF-8 byte, whether it's ASCII, a leading byte, or a
// continuation byte. If an invalid byte is detected, -2 is returned.
function utf8CheckByte(byte) {
  if (byte <= 0x7F) return 0;else if (byte >> 5 === 0x06) return 2;else if (byte >> 4 === 0x0E) return 3;else if (byte >> 3 === 0x1E) return 4;
  return byte >> 6 === 0x02 ? -1 : -2;
}

// Checks at most 3 bytes at the end of a Buffer in order to detect an
// incomplete multi-byte UTF-8 character. The total number of bytes (2, 3, or 4)
// needed to complete the UTF-8 character (if applicable) are returned.
function utf8CheckIncomplete(self, buf, i) {
  var j = buf.length - 1;
  if (j < i) return 0;
  var nb = utf8CheckByte(buf[j]);
  if (nb >= 0) {
    if (nb > 0) self.lastNeed = nb - 1;
    return nb;
  }
  if (--j < i || nb === -2) return 0;
  nb = utf8CheckByte(buf[j]);
  if (nb >= 0) {
    if (nb > 0) self.lastNeed = nb - 2;
    return nb;
  }
  if (--j < i || nb === -2) return 0;
  nb = utf8CheckByte(buf[j]);
  if (nb >= 0) {
    if (nb > 0) {
      if (nb === 2) nb = 0;else self.lastNeed = nb - 3;
    }
    return nb;
  }
  return 0;
}

// Validates as many continuation bytes for a multi-byte UTF-8 character as
// needed or are available. If we see a non-continuation byte where we expect
// one, we "replace" the validated continuation bytes we've seen so far with
// a single UTF-8 replacement character ('\ufffd'), to match v8's UTF-8 decoding
// behavior. The continuation byte check is included three times in the case
// where all of the continuation bytes for a character exist in the same buffer.
// It is also done this way as a slight performance increase instead of using a
// loop.
function utf8CheckExtraBytes(self, buf, p) {
  if ((buf[0] & 0xC0) !== 0x80) {
    self.lastNeed = 0;
    return '\ufffd';
  }
  if (self.lastNeed > 1 && buf.length > 1) {
    if ((buf[1] & 0xC0) !== 0x80) {
      self.lastNeed = 1;
      return '\ufffd';
    }
    if (self.lastNeed > 2 && buf.length > 2) {
      if ((buf[2] & 0xC0) !== 0x80) {
        self.lastNeed = 2;
        return '\ufffd';
      }
    }
  }
}

// Attempts to complete a multi-byte UTF-8 character using bytes from a Buffer.
function utf8FillLast(buf) {
  var p = this.lastTotal - this.lastNeed;
  var r = utf8CheckExtraBytes(this, buf, p);
  if (r !== undefined) return r;
  if (this.lastNeed <= buf.length) {
    buf.copy(this.lastChar, p, 0, this.lastNeed);
    return this.lastChar.toString(this.encoding, 0, this.lastTotal);
  }
  buf.copy(this.lastChar, p, 0, buf.length);
  this.lastNeed -= buf.length;
}

// Returns all complete UTF-8 characters in a Buffer. If the Buffer ended on a
// partial character, the character's bytes are buffered until the required
// number of bytes are available.
function utf8Text(buf, i) {
  var total = utf8CheckIncomplete(this, buf, i);
  if (!this.lastNeed) return buf.toString('utf8', i);
  this.lastTotal = total;
  var end = buf.length - (total - this.lastNeed);
  buf.copy(this.lastChar, 0, end);
  return buf.toString('utf8', i, end);
}

// For UTF-8, a replacement character is added when ending on a partial
// character.
function utf8End(buf) {
  var r = buf && buf.length ? this.write(buf) : '';
  if (this.lastNeed) return r + '\ufffd';
  return r;
}

// UTF-16LE typically needs two bytes per character, but even if we have an even
// number of bytes available, we need to check if we end on a leading/high
// surrogate. In that case, we need to wait for the next two bytes in order to
// decode the last character properly.
function utf16Text(buf, i) {
  if ((buf.length - i) % 2 === 0) {
    var r = buf.toString('utf16le', i);
    if (r) {
      var c = r.charCodeAt(r.length - 1);
      if (c >= 0xD800 && c <= 0xDBFF) {
        this.lastNeed = 2;
        this.lastTotal = 4;
        this.lastChar[0] = buf[buf.length - 2];
        this.lastChar[1] = buf[buf.length - 1];
        return r.slice(0, -1);
      }
    }
    return r;
  }
  this.lastNeed = 1;
  this.lastTotal = 2;
  this.lastChar[0] = buf[buf.length - 1];
  return buf.toString('utf16le', i, buf.length - 1);
}

// For UTF-16LE we do not explicitly append special replacement characters if we
// end on a partial character, we simply let v8 handle that.
function utf16End(buf) {
  var r = buf && buf.length ? this.write(buf) : '';
  if (this.lastNeed) {
    var end = this.lastTotal - this.lastNeed;
    return r + this.lastChar.toString('utf16le', 0, end);
  }
  return r;
}
function base64Text(buf, i) {
  var n = (buf.length - i) % 3;
  if (n === 0) return buf.toString('base64', i);
  this.lastNeed = 3 - n;
  this.lastTotal = 3;
  if (n === 1) {
    this.lastChar[0] = buf[buf.length - 1];
  } else {
    this.lastChar[0] = buf[buf.length - 2];
    this.lastChar[1] = buf[buf.length - 1];
  }
  return buf.toString('base64', i, buf.length - n);
}
function base64End(buf) {
  var r = buf && buf.length ? this.write(buf) : '';
  if (this.lastNeed) return r + this.lastChar.toString('base64', 0, 3 - this.lastNeed);
  return r;
}

// Pass bytes on through for single-byte encodings (e.g. ascii, latin1, hex)
function simpleWrite(buf) {
  return buf.toString(this.encoding);
}
function simpleEnd(buf) {
  return buf && buf.length ? this.write(buf) : '';
}

/***/ }),

/***/ "./node_modules/string_decoder/node_modules/safe-buffer/index.js":
/*!***********************************************************************!*\
  !*** ./node_modules/string_decoder/node_modules/safe-buffer/index.js ***!
  \***********************************************************************/
/***/ (function(module, exports, __webpack_require__) {

/* eslint-disable node/no-deprecated-api */
var buffer = __webpack_require__(/*! buffer */ "./node_modules/buffer/index.js");
var Buffer = buffer.Buffer;

// alternative to using Object.keys for old browsers
function copyProps(src, dst) {
  for (var key in src) {
    dst[key] = src[key];
  }
}
if (Buffer.from && Buffer.alloc && Buffer.allocUnsafe && Buffer.allocUnsafeSlow) {
  module.exports = buffer;
} else {
  // Copy properties from require('buffer')
  copyProps(buffer, exports);
  exports.Buffer = SafeBuffer;
}
function SafeBuffer(arg, encodingOrOffset, length) {
  return Buffer(arg, encodingOrOffset, length);
}

// Copy static methods from Buffer
copyProps(Buffer, SafeBuffer);
SafeBuffer.from = function (arg, encodingOrOffset, length) {
  if (typeof arg === 'number') {
    throw new TypeError('Argument must not be a number');
  }
  return Buffer(arg, encodingOrOffset, length);
};
SafeBuffer.alloc = function (size, fill, encoding) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }
  var buf = Buffer(size);
  if (fill !== undefined) {
    if (typeof encoding === 'string') {
      buf.fill(fill, encoding);
    } else {
      buf.fill(fill);
    }
  } else {
    buf.fill(0);
  }
  return buf;
};
SafeBuffer.allocUnsafe = function (size) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }
  return Buffer(size);
};
SafeBuffer.allocUnsafeSlow = function (size) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }
  return buffer.SlowBuffer(size);
};

/***/ }),

/***/ "./node_modules/ua-parser-js/src/ua-parser.js":
/*!****************************************************!*\
  !*** ./node_modules/ua-parser-js/src/ua-parser.js ***!
  \****************************************************/
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_RESULT__;/////////////////////////////////////////////////////////////////////////////////
/* UAParser.js v1.0.38
   Copyright © 2012-2021 Faisal Salman <f@faisalman.com>
   MIT License */ /*
                  Detect Browser, Engine, OS, CPU, and Device type/model from User-Agent data.
                  Supports browser & node.js environment. 
                  Demo   : https://faisalman.github.io/ua-parser-js
                  Source : https://github.com/faisalman/ua-parser-js */
/////////////////////////////////////////////////////////////////////////////////

(function (window, undefined) {
  'use strict';

  //////////////
  // Constants
  /////////////
  var LIBVERSION = '1.0.38',
    EMPTY = '',
    UNKNOWN = '?',
    FUNC_TYPE = 'function',
    UNDEF_TYPE = 'undefined',
    OBJ_TYPE = 'object',
    STR_TYPE = 'string',
    MAJOR = 'major',
    MODEL = 'model',
    NAME = 'name',
    TYPE = 'type',
    VENDOR = 'vendor',
    VERSION = 'version',
    ARCHITECTURE = 'architecture',
    CONSOLE = 'console',
    MOBILE = 'mobile',
    TABLET = 'tablet',
    SMARTTV = 'smarttv',
    WEARABLE = 'wearable',
    EMBEDDED = 'embedded',
    UA_MAX_LENGTH = 500;
  var AMAZON = 'Amazon',
    APPLE = 'Apple',
    ASUS = 'ASUS',
    BLACKBERRY = 'BlackBerry',
    BROWSER = 'Browser',
    CHROME = 'Chrome',
    EDGE = 'Edge',
    FIREFOX = 'Firefox',
    GOOGLE = 'Google',
    HUAWEI = 'Huawei',
    LG = 'LG',
    MICROSOFT = 'Microsoft',
    MOTOROLA = 'Motorola',
    OPERA = 'Opera',
    SAMSUNG = 'Samsung',
    SHARP = 'Sharp',
    SONY = 'Sony',
    XIAOMI = 'Xiaomi',
    ZEBRA = 'Zebra',
    FACEBOOK = 'Facebook',
    CHROMIUM_OS = 'Chromium OS',
    MAC_OS = 'Mac OS';

  ///////////
  // Helper
  //////////

  var extend = function (regexes, extensions) {
      var mergedRegexes = {};
      for (var i in regexes) {
        if (extensions[i] && extensions[i].length % 2 === 0) {
          mergedRegexes[i] = extensions[i].concat(regexes[i]);
        } else {
          mergedRegexes[i] = regexes[i];
        }
      }
      return mergedRegexes;
    },
    enumerize = function (arr) {
      var enums = {};
      for (var i = 0; i < arr.length; i++) {
        enums[arr[i].toUpperCase()] = arr[i];
      }
      return enums;
    },
    has = function (str1, str2) {
      return typeof str1 === STR_TYPE ? lowerize(str2).indexOf(lowerize(str1)) !== -1 : false;
    },
    lowerize = function (str) {
      return str.toLowerCase();
    },
    majorize = function (version) {
      return typeof version === STR_TYPE ? version.replace(/[^\d\.]/g, EMPTY).split('.')[0] : undefined;
    },
    trim = function (str, len) {
      if (typeof str === STR_TYPE) {
        str = str.replace(/^\s\s*/, EMPTY);
        return typeof len === UNDEF_TYPE ? str : str.substring(0, UA_MAX_LENGTH);
      }
    };

  ///////////////
  // Map helper
  //////////////

  var rgxMapper = function (ua, arrays) {
      var i = 0,
        j,
        k,
        p,
        q,
        matches,
        match;

      // loop through all regexes maps
      while (i < arrays.length && !matches) {
        var regex = arrays[i],
          // even sequence (0,2,4,..)
          props = arrays[i + 1]; // odd sequence (1,3,5,..)
        j = k = 0;

        // try matching uastring with regexes
        while (j < regex.length && !matches) {
          if (!regex[j]) {
            break;
          }
          matches = regex[j++].exec(ua);
          if (!!matches) {
            for (p = 0; p < props.length; p++) {
              match = matches[++k];
              q = props[p];
              // check if given property is actually array
              if (typeof q === OBJ_TYPE && q.length > 0) {
                if (q.length === 2) {
                  if (typeof q[1] == FUNC_TYPE) {
                    // assign modified match
                    this[q[0]] = q[1].call(this, match);
                  } else {
                    // assign given value, ignore regex match
                    this[q[0]] = q[1];
                  }
                } else if (q.length === 3) {
                  // check whether function or regex
                  if (typeof q[1] === FUNC_TYPE && !(q[1].exec && q[1].test)) {
                    // call function (usually string mapper)
                    this[q[0]] = match ? q[1].call(this, match, q[2]) : undefined;
                  } else {
                    // sanitize match using given regex
                    this[q[0]] = match ? match.replace(q[1], q[2]) : undefined;
                  }
                } else if (q.length === 4) {
                  this[q[0]] = match ? q[3].call(this, match.replace(q[1], q[2])) : undefined;
                }
              } else {
                this[q] = match ? match : undefined;
              }
            }
          }
        }
        i += 2;
      }
    },
    strMapper = function (str, map) {
      for (var i in map) {
        // check if current value is array
        if (typeof map[i] === OBJ_TYPE && map[i].length > 0) {
          for (var j = 0; j < map[i].length; j++) {
            if (has(map[i][j], str)) {
              return i === UNKNOWN ? undefined : i;
            }
          }
        } else if (has(map[i], str)) {
          return i === UNKNOWN ? undefined : i;
        }
      }
      return str;
    };

  ///////////////
  // String map
  //////////////

  // Safari < 3.0
  var oldSafariMap = {
      '1.0': '/8',
      '1.2': '/1',
      '1.3': '/3',
      '2.0': '/412',
      '2.0.2': '/416',
      '2.0.3': '/417',
      '2.0.4': '/419',
      '?': '/'
    },
    windowsVersionMap = {
      'ME': '4.90',
      'NT 3.11': 'NT3.51',
      'NT 4.0': 'NT4.0',
      '2000': 'NT 5.0',
      'XP': ['NT 5.1', 'NT 5.2'],
      'Vista': 'NT 6.0',
      '7': 'NT 6.1',
      '8': 'NT 6.2',
      '8.1': 'NT 6.3',
      '10': ['NT 6.4', 'NT 10.0'],
      'RT': 'ARM'
    };

  //////////////
  // Regex map
  /////////////

  var regexes = {
    browser: [[/\b(?:crmo|crios)\/([\w\.]+)/i // Chrome for Android/iOS
    ], [VERSION, [NAME, 'Chrome']], [/edg(?:e|ios|a)?\/([\w\.]+)/i // Microsoft Edge
    ], [VERSION, [NAME, 'Edge']], [
    // Presto based
    /(opera mini)\/([-\w\.]+)/i,
    // Opera Mini
    /(opera [mobiletab]{3,6})\b.+version\/([-\w\.]+)/i,
    // Opera Mobi/Tablet
    /(opera)(?:.+version\/|[\/ ]+)([\w\.]+)/i // Opera
    ], [NAME, VERSION], [/opios[\/ ]+([\w\.]+)/i // Opera mini on iphone >= 8.0
    ], [VERSION, [NAME, OPERA + ' Mini']], [/\bop(?:rg)?x\/([\w\.]+)/i // Opera GX
    ], [VERSION, [NAME, OPERA + ' GX']], [/\bopr\/([\w\.]+)/i // Opera Webkit
    ], [VERSION, [NAME, OPERA]], [
    // Mixed
    /\bb[ai]*d(?:uhd|[ub]*[aekoprswx]{5,6})[\/ ]?([\w\.]+)/i // Baidu
    ], [VERSION, [NAME, 'Baidu']], [/(kindle)\/([\w\.]+)/i,
    // Kindle
    /(lunascape|maxthon|netfront|jasmine|blazer)[\/ ]?([\w\.]*)/i,
    // Lunascape/Maxthon/Netfront/Jasmine/Blazer
    // Trident based
    /(avant|iemobile|slim)\s?(?:browser)?[\/ ]?([\w\.]*)/i,
    // Avant/IEMobile/SlimBrowser
    /(?:ms|\()(ie) ([\w\.]+)/i,
    // Internet Explorer

    // Webkit/KHTML based                                               // Flock/RockMelt/Midori/Epiphany/Silk/Skyfire/Bolt/Iron/Iridium/PhantomJS/Bowser/QupZilla/Falkon
    /(flock|rockmelt|midori|epiphany|silk|skyfire|bolt|iron|vivaldi|iridium|phantomjs|bowser|quark|qupzilla|falkon|rekonq|puffin|brave|whale(?!.+naver)|qqbrowserlite|qq|duckduckgo)\/([-\w\.]+)/i,
    // Rekonq/Puffin/Brave/Whale/QQBrowserLite/QQ, aka ShouQ
    /(heytap|ovi)browser\/([\d\.]+)/i,
    // Heytap/Ovi
    /(weibo)__([\d\.]+)/i // Weibo
    ], [NAME, VERSION], [/\bddg\/([\w\.]+)/i // DuckDuckGo
    ], [VERSION, [NAME, 'DuckDuckGo']], [/(?:\buc? ?browser|(?:juc.+)ucweb)[\/ ]?([\w\.]+)/i // UCBrowser
    ], [VERSION, [NAME, 'UC' + BROWSER]], [/microm.+\bqbcore\/([\w\.]+)/i,
    // WeChat Desktop for Windows Built-in Browser
    /\bqbcore\/([\w\.]+).+microm/i, /micromessenger\/([\w\.]+)/i // WeChat
    ], [VERSION, [NAME, 'WeChat']], [/konqueror\/([\w\.]+)/i // Konqueror
    ], [VERSION, [NAME, 'Konqueror']], [/trident.+rv[: ]([\w\.]{1,9})\b.+like gecko/i // IE11
    ], [VERSION, [NAME, 'IE']], [/ya(?:search)?browser\/([\w\.]+)/i // Yandex
    ], [VERSION, [NAME, 'Yandex']], [/slbrowser\/([\w\.]+)/i // Smart Lenovo Browser
    ], [VERSION, [NAME, 'Smart Lenovo ' + BROWSER]], [/(avast|avg)\/([\w\.]+)/i // Avast/AVG Secure Browser
    ], [[NAME, /(.+)/, '$1 Secure ' + BROWSER], VERSION], [/\bfocus\/([\w\.]+)/i // Firefox Focus
    ], [VERSION, [NAME, FIREFOX + ' Focus']], [/\bopt\/([\w\.]+)/i // Opera Touch
    ], [VERSION, [NAME, OPERA + ' Touch']], [/coc_coc\w+\/([\w\.]+)/i // Coc Coc Browser
    ], [VERSION, [NAME, 'Coc Coc']], [/dolfin\/([\w\.]+)/i // Dolphin
    ], [VERSION, [NAME, 'Dolphin']], [/coast\/([\w\.]+)/i // Opera Coast
    ], [VERSION, [NAME, OPERA + ' Coast']], [/miuibrowser\/([\w\.]+)/i // MIUI Browser
    ], [VERSION, [NAME, 'MIUI ' + BROWSER]], [/fxios\/([-\w\.]+)/i // Firefox for iOS
    ], [VERSION, [NAME, FIREFOX]], [/\bqihu|(qi?ho?o?|360)browser/i // 360
    ], [[NAME, '360 ' + BROWSER]], [/(oculus|sailfish|huawei|vivo)browser\/([\w\.]+)/i], [[NAME, /(.+)/, '$1 ' + BROWSER], VERSION], [
    // Oculus/Sailfish/HuaweiBrowser/VivoBrowser
    /samsungbrowser\/([\w\.]+)/i // Samsung Internet
    ], [VERSION, [NAME, SAMSUNG + ' Internet']], [/(comodo_dragon)\/([\w\.]+)/i // Comodo Dragon
    ], [[NAME, /_/g, ' '], VERSION], [/metasr[\/ ]?([\d\.]+)/i // Sogou Explorer
    ], [VERSION, [NAME, 'Sogou Explorer']], [/(sogou)mo\w+\/([\d\.]+)/i // Sogou Mobile
    ], [[NAME, 'Sogou Mobile'], VERSION], [/(electron)\/([\w\.]+) safari/i,
    // Electron-based App
    /(tesla)(?: qtcarbrowser|\/(20\d\d\.[-\w\.]+))/i,
    // Tesla
    /m?(qqbrowser|2345Explorer)[\/ ]?([\w\.]+)/i // QQBrowser/2345 Browser
    ], [NAME, VERSION], [/(lbbrowser)/i,
    // LieBao Browser
    /\[(linkedin)app\]/i // LinkedIn App for iOS & Android
    ], [NAME], [
    // WebView
    /((?:fban\/fbios|fb_iab\/fb4a)(?!.+fbav)|;fbav\/([\w\.]+);)/i // Facebook App for iOS & Android
    ], [[NAME, FACEBOOK], VERSION], [/(Klarna)\/([\w\.]+)/i,
    // Klarna Shopping Browser for iOS & Android
    /(kakao(?:talk|story))[\/ ]([\w\.]+)/i,
    // Kakao App
    /(naver)\(.*?(\d+\.[\w\.]+).*\)/i,
    // Naver InApp
    /safari (line)\/([\w\.]+)/i,
    // Line App for iOS
    /\b(line)\/([\w\.]+)\/iab/i,
    // Line App for Android
    /(alipay)client\/([\w\.]+)/i,
    // Alipay
    /(twitter)(?:and| f.+e\/([\w\.]+))/i,
    // Twitter
    /(chromium|instagram|snapchat)[\/ ]([-\w\.]+)/i // Chromium/Instagram/Snapchat
    ], [NAME, VERSION], [/\bgsa\/([\w\.]+) .*safari\//i // Google Search Appliance on iOS
    ], [VERSION, [NAME, 'GSA']], [/musical_ly(?:.+app_?version\/|_)([\w\.]+)/i // TikTok
    ], [VERSION, [NAME, 'TikTok']], [/headlesschrome(?:\/([\w\.]+)| )/i // Chrome Headless
    ], [VERSION, [NAME, CHROME + ' Headless']], [/ wv\).+(chrome)\/([\w\.]+)/i // Chrome WebView
    ], [[NAME, CHROME + ' WebView'], VERSION], [/droid.+ version\/([\w\.]+)\b.+(?:mobile safari|safari)/i // Android Browser
    ], [VERSION, [NAME, 'Android ' + BROWSER]], [/(chrome|omniweb|arora|[tizenoka]{5} ?browser)\/v?([\w\.]+)/i // Chrome/OmniWeb/Arora/Tizen/Nokia
    ], [NAME, VERSION], [/version\/([\w\.\,]+) .*mobile\/\w+ (safari)/i // Mobile Safari
    ], [VERSION, [NAME, 'Mobile Safari']], [/version\/([\w(\.|\,)]+) .*(mobile ?safari|safari)/i // Safari & Safari Mobile
    ], [VERSION, NAME], [/webkit.+?(mobile ?safari|safari)(\/[\w\.]+)/i // Safari < 3.0
    ], [NAME, [VERSION, strMapper, oldSafariMap]], [/(webkit|khtml)\/([\w\.]+)/i], [NAME, VERSION], [
    // Gecko based
    /(navigator|netscape\d?)\/([-\w\.]+)/i // Netscape
    ], [[NAME, 'Netscape'], VERSION], [/mobile vr; rv:([\w\.]+)\).+firefox/i // Firefox Reality
    ], [VERSION, [NAME, FIREFOX + ' Reality']], [/ekiohf.+(flow)\/([\w\.]+)/i,
    // Flow
    /(swiftfox)/i,
    // Swiftfox
    /(icedragon|iceweasel|camino|chimera|fennec|maemo browser|minimo|conkeror|klar)[\/ ]?([\w\.\+]+)/i,
    // IceDragon/Iceweasel/Camino/Chimera/Fennec/Maemo/Minimo/Conkeror/Klar
    /(seamonkey|k-meleon|icecat|iceape|firebird|phoenix|palemoon|basilisk|waterfox)\/([-\w\.]+)$/i,
    // Firefox/SeaMonkey/K-Meleon/IceCat/IceApe/Firebird/Phoenix
    /(firefox)\/([\w\.]+)/i,
    // Other Firefox-based
    /(mozilla)\/([\w\.]+) .+rv\:.+gecko\/\d+/i,
    // Mozilla

    // Other
    /(polaris|lynx|dillo|icab|doris|amaya|w3m|netsurf|sleipnir|obigo|mosaic|(?:go|ice|up)[\. ]?browser)[-\/ ]?v?([\w\.]+)/i,
    // Polaris/Lynx/Dillo/iCab/Doris/Amaya/w3m/NetSurf/Sleipnir/Obigo/Mosaic/Go/ICE/UP.Browser
    /(links) \(([\w\.]+)/i,
    // Links
    /panasonic;(viera)/i // Panasonic Viera
    ], [NAME, VERSION], [/(cobalt)\/([\w\.]+)/i // Cobalt
    ], [NAME, [VERSION, /master.|lts./, ""]]],
    cpu: [[/(?:(amd|x(?:(?:86|64)[-_])?|wow|win)64)[;\)]/i // AMD64 (x64)
    ], [[ARCHITECTURE, 'amd64']], [/(ia32(?=;))/i // IA32 (quicktime)
    ], [[ARCHITECTURE, lowerize]], [/((?:i[346]|x)86)[;\)]/i // IA32 (x86)
    ], [[ARCHITECTURE, 'ia32']], [/\b(aarch64|arm(v?8e?l?|_?64))\b/i // ARM64
    ], [[ARCHITECTURE, 'arm64']], [/\b(arm(?:v[67])?ht?n?[fl]p?)\b/i // ARMHF
    ], [[ARCHITECTURE, 'armhf']], [
    // PocketPC mistakenly identified as PowerPC
    /windows (ce|mobile); ppc;/i], [[ARCHITECTURE, 'arm']], [/((?:ppc|powerpc)(?:64)?)(?: mac|;|\))/i // PowerPC
    ], [[ARCHITECTURE, /ower/, EMPTY, lowerize]], [/(sun4\w)[;\)]/i // SPARC
    ], [[ARCHITECTURE, 'sparc']], [/((?:avr32|ia64(?=;))|68k(?=\))|\barm(?=v(?:[1-7]|[5-7]1)l?|;|eabi)|(?=atmel )avr|(?:irix|mips|sparc)(?:64)?\b|pa-risc)/i
    // IA64, 68K, ARM/64, AVR/32, IRIX/64, MIPS/64, SPARC/64, PA-RISC
    ], [[ARCHITECTURE, lowerize]]],
    device: [[
    //////////////////////////
    // MOBILES & TABLETS
    /////////////////////////

    // Samsung
    /\b(sch-i[89]0\d|shw-m380s|sm-[ptx]\w{2,4}|gt-[pn]\d{2,4}|sgh-t8[56]9|nexus 10)/i], [MODEL, [VENDOR, SAMSUNG], [TYPE, TABLET]], [/\b((?:s[cgp]h|gt|sm)-\w+|sc[g-]?[\d]+a?|galaxy nexus)/i, /samsung[- ]([-\w]+)/i, /sec-(sgh\w+)/i], [MODEL, [VENDOR, SAMSUNG], [TYPE, MOBILE]], [
    // Apple
    /(?:\/|\()(ip(?:hone|od)[\w, ]*)(?:\/|;)/i // iPod/iPhone
    ], [MODEL, [VENDOR, APPLE], [TYPE, MOBILE]], [/\((ipad);[-\w\),; ]+apple/i,
    // iPad
    /applecoremedia\/[\w\.]+ \((ipad)/i, /\b(ipad)\d\d?,\d\d?[;\]].+ios/i], [MODEL, [VENDOR, APPLE], [TYPE, TABLET]], [/(macintosh);/i], [MODEL, [VENDOR, APPLE]], [
    // Sharp
    /\b(sh-?[altvz]?\d\d[a-ekm]?)/i], [MODEL, [VENDOR, SHARP], [TYPE, MOBILE]], [
    // Huawei
    /\b((?:ag[rs][23]?|bah2?|sht?|btv)-a?[lw]\d{2})\b(?!.+d\/s)/i], [MODEL, [VENDOR, HUAWEI], [TYPE, TABLET]], [/(?:huawei|honor)([-\w ]+)[;\)]/i, /\b(nexus 6p|\w{2,4}e?-[atu]?[ln][\dx][012359c][adn]?)\b(?!.+d\/s)/i], [MODEL, [VENDOR, HUAWEI], [TYPE, MOBILE]], [
    // Xiaomi
    /\b(poco[\w ]+|m2\d{3}j\d\d[a-z]{2})(?: bui|\))/i,
    // Xiaomi POCO
    /\b; (\w+) build\/hm\1/i,
    // Xiaomi Hongmi 'numeric' models
    /\b(hm[-_ ]?note?[_ ]?(?:\d\w)?) bui/i,
    // Xiaomi Hongmi
    /\b(redmi[\-_ ]?(?:note|k)?[\w_ ]+)(?: bui|\))/i,
    // Xiaomi Redmi
    /oid[^\)]+; (m?[12][0-389][01]\w{3,6}[c-y])( bui|; wv|\))/i,
    // Xiaomi Redmi 'numeric' models
    /\b(mi[-_ ]?(?:a\d|one|one[_ ]plus|note lte|max|cc)?[_ ]?(?:\d?\w?)[_ ]?(?:plus|se|lite)?)(?: bui|\))/i // Xiaomi Mi
    ], [[MODEL, /_/g, ' '], [VENDOR, XIAOMI], [TYPE, MOBILE]], [/oid[^\)]+; (2\d{4}(283|rpbf)[cgl])( bui|\))/i,
    // Redmi Pad
    /\b(mi[-_ ]?(?:pad)(?:[\w_ ]+))(?: bui|\))/i // Mi Pad tablets
    ], [[MODEL, /_/g, ' '], [VENDOR, XIAOMI], [TYPE, TABLET]], [
    // OPPO
    /; (\w+) bui.+ oppo/i, /\b(cph[12]\d{3}|p(?:af|c[al]|d\w|e[ar])[mt]\d0|x9007|a101op)\b/i], [MODEL, [VENDOR, 'OPPO'], [TYPE, MOBILE]], [/\b(opd2\d{3}a?) bui/i], [MODEL, [VENDOR, 'OPPO'], [TYPE, TABLET]], [
    // Vivo
    /vivo (\w+)(?: bui|\))/i, /\b(v[12]\d{3}\w?[at])(?: bui|;)/i], [MODEL, [VENDOR, 'Vivo'], [TYPE, MOBILE]], [
    // Realme
    /\b(rmx[1-3]\d{3})(?: bui|;|\))/i], [MODEL, [VENDOR, 'Realme'], [TYPE, MOBILE]], [
    // Motorola
    /\b(milestone|droid(?:[2-4x]| (?:bionic|x2|pro|razr))?:?( 4g)?)\b[\w ]+build\//i, /\bmot(?:orola)?[- ](\w*)/i, /((?:moto[\w\(\) ]+|xt\d{3,4}|nexus 6)(?= bui|\)))/i], [MODEL, [VENDOR, MOTOROLA], [TYPE, MOBILE]], [/\b(mz60\d|xoom[2 ]{0,2}) build\//i], [MODEL, [VENDOR, MOTOROLA], [TYPE, TABLET]], [
    // LG
    /((?=lg)?[vl]k\-?\d{3}) bui| 3\.[-\w; ]{10}lg?-([06cv9]{3,4})/i], [MODEL, [VENDOR, LG], [TYPE, TABLET]], [/(lm(?:-?f100[nv]?|-[\w\.]+)(?= bui|\))|nexus [45])/i, /\blg[-e;\/ ]+((?!browser|netcast|android tv)\w+)/i, /\blg-?([\d\w]+) bui/i], [MODEL, [VENDOR, LG], [TYPE, MOBILE]], [
    // Lenovo
    /(ideatab[-\w ]+)/i, /lenovo ?(s[56]000[-\w]+|tab(?:[\w ]+)|yt[-\d\w]{6}|tb[-\d\w]{6})/i], [MODEL, [VENDOR, 'Lenovo'], [TYPE, TABLET]], [
    // Nokia
    /(?:maemo|nokia).*(n900|lumia \d+)/i, /nokia[-_ ]?([-\w\.]*)/i], [[MODEL, /_/g, ' '], [VENDOR, 'Nokia'], [TYPE, MOBILE]], [
    // Google
    /(pixel c)\b/i // Google Pixel C
    ], [MODEL, [VENDOR, GOOGLE], [TYPE, TABLET]], [/droid.+; (pixel[\daxl ]{0,6})(?: bui|\))/i // Google Pixel
    ], [MODEL, [VENDOR, GOOGLE], [TYPE, MOBILE]], [
    // Sony
    /droid.+ (a?\d[0-2]{2}so|[c-g]\d{4}|so[-gl]\w+|xq-a\w[4-7][12])(?= bui|\).+chrome\/(?![1-6]{0,1}\d\.))/i], [MODEL, [VENDOR, SONY], [TYPE, MOBILE]], [/sony tablet [ps]/i, /\b(?:sony)?sgp\w+(?: bui|\))/i], [[MODEL, 'Xperia Tablet'], [VENDOR, SONY], [TYPE, TABLET]], [
    // OnePlus
    / (kb2005|in20[12]5|be20[12][59])\b/i, /(?:one)?(?:plus)? (a\d0\d\d)(?: b|\))/i], [MODEL, [VENDOR, 'OnePlus'], [TYPE, MOBILE]], [
    // Amazon
    /(alexa)webm/i, /(kf[a-z]{2}wi|aeo[c-r]{2})( bui|\))/i,
    // Kindle Fire without Silk / Echo Show
    /(kf[a-z]+)( bui|\)).+silk\//i // Kindle Fire HD
    ], [MODEL, [VENDOR, AMAZON], [TYPE, TABLET]], [/((?:sd|kf)[0349hijorstuw]+)( bui|\)).+silk\//i // Fire Phone
    ], [[MODEL, /(.+)/g, 'Fire Phone $1'], [VENDOR, AMAZON], [TYPE, MOBILE]], [
    // BlackBerry
    /(playbook);[-\w\),; ]+(rim)/i // BlackBerry PlayBook
    ], [MODEL, VENDOR, [TYPE, TABLET]], [/\b((?:bb[a-f]|st[hv])100-\d)/i, /\(bb10; (\w+)/i // BlackBerry 10
    ], [MODEL, [VENDOR, BLACKBERRY], [TYPE, MOBILE]], [
    // Asus
    /(?:\b|asus_)(transfo[prime ]{4,10} \w+|eeepc|slider \w+|nexus 7|padfone|p00[cj])/i], [MODEL, [VENDOR, ASUS], [TYPE, TABLET]], [/ (z[bes]6[027][012][km][ls]|zenfone \d\w?)\b/i], [MODEL, [VENDOR, ASUS], [TYPE, MOBILE]], [
    // HTC
    /(nexus 9)/i // HTC Nexus 9
    ], [MODEL, [VENDOR, 'HTC'], [TYPE, TABLET]], [/(htc)[-;_ ]{1,2}([\w ]+(?=\)| bui)|\w+)/i,
    // HTC

    // ZTE
    /(zte)[- ]([\w ]+?)(?: bui|\/|\))/i, /(alcatel|geeksphone|nexian|panasonic(?!(?:;|\.))|sony(?!-bra))[-_ ]?([-\w]*)/i // Alcatel/GeeksPhone/Nexian/Panasonic/Sony
    ], [VENDOR, [MODEL, /_/g, ' '], [TYPE, MOBILE]], [
    // Acer
    /droid.+; ([ab][1-7]-?[0178a]\d\d?)/i], [MODEL, [VENDOR, 'Acer'], [TYPE, TABLET]], [
    // Meizu
    /droid.+; (m[1-5] note) bui/i, /\bmz-([-\w]{2,})/i], [MODEL, [VENDOR, 'Meizu'], [TYPE, MOBILE]], [
    // Ulefone
    /; ((?:power )?armor(?:[\w ]{0,8}))(?: bui|\))/i], [MODEL, [VENDOR, 'Ulefone'], [TYPE, MOBILE]], [
    // MIXED
    /(blackberry|benq|palm(?=\-)|sonyericsson|acer|asus|dell|meizu|motorola|polytron|infinix|tecno)[-_ ]?([-\w]*)/i,
    // BlackBerry/BenQ/Palm/Sony-Ericsson/Acer/Asus/Dell/Meizu/Motorola/Polytron
    /(hp) ([\w ]+\w)/i,
    // HP iPAQ
    /(asus)-?(\w+)/i,
    // Asus
    /(microsoft); (lumia[\w ]+)/i,
    // Microsoft Lumia
    /(lenovo)[-_ ]?([-\w]+)/i,
    // Lenovo
    /(jolla)/i,
    // Jolla
    /(oppo) ?([\w ]+) bui/i // OPPO
    ], [VENDOR, MODEL, [TYPE, MOBILE]], [/(kobo)\s(ereader|touch)/i,
    // Kobo
    /(archos) (gamepad2?)/i,
    // Archos
    /(hp).+(touchpad(?!.+tablet)|tablet)/i,
    // HP TouchPad
    /(kindle)\/([\w\.]+)/i,
    // Kindle
    /(nook)[\w ]+build\/(\w+)/i,
    // Nook
    /(dell) (strea[kpr\d ]*[\dko])/i,
    // Dell Streak
    /(le[- ]+pan)[- ]+(\w{1,9}) bui/i,
    // Le Pan Tablets
    /(trinity)[- ]*(t\d{3}) bui/i,
    // Trinity Tablets
    /(gigaset)[- ]+(q\w{1,9}) bui/i,
    // Gigaset Tablets
    /(vodafone) ([\w ]+)(?:\)| bui)/i // Vodafone
    ], [VENDOR, MODEL, [TYPE, TABLET]], [/(surface duo)/i // Surface Duo
    ], [MODEL, [VENDOR, MICROSOFT], [TYPE, TABLET]], [/droid [\d\.]+; (fp\du?)(?: b|\))/i // Fairphone
    ], [MODEL, [VENDOR, 'Fairphone'], [TYPE, MOBILE]], [/(u304aa)/i // AT&T
    ], [MODEL, [VENDOR, 'AT&T'], [TYPE, MOBILE]], [/\bsie-(\w*)/i // Siemens
    ], [MODEL, [VENDOR, 'Siemens'], [TYPE, MOBILE]], [/\b(rct\w+) b/i // RCA Tablets
    ], [MODEL, [VENDOR, 'RCA'], [TYPE, TABLET]], [/\b(venue[\d ]{2,7}) b/i // Dell Venue Tablets
    ], [MODEL, [VENDOR, 'Dell'], [TYPE, TABLET]], [/\b(q(?:mv|ta)\w+) b/i // Verizon Tablet
    ], [MODEL, [VENDOR, 'Verizon'], [TYPE, TABLET]], [/\b(?:barnes[& ]+noble |bn[rt])([\w\+ ]*) b/i // Barnes & Noble Tablet
    ], [MODEL, [VENDOR, 'Barnes & Noble'], [TYPE, TABLET]], [/\b(tm\d{3}\w+) b/i], [MODEL, [VENDOR, 'NuVision'], [TYPE, TABLET]], [/\b(k88) b/i // ZTE K Series Tablet
    ], [MODEL, [VENDOR, 'ZTE'], [TYPE, TABLET]], [/\b(nx\d{3}j) b/i // ZTE Nubia
    ], [MODEL, [VENDOR, 'ZTE'], [TYPE, MOBILE]], [/\b(gen\d{3}) b.+49h/i // Swiss GEN Mobile
    ], [MODEL, [VENDOR, 'Swiss'], [TYPE, MOBILE]], [/\b(zur\d{3}) b/i // Swiss ZUR Tablet
    ], [MODEL, [VENDOR, 'Swiss'], [TYPE, TABLET]], [/\b((zeki)?tb.*\b) b/i // Zeki Tablets
    ], [MODEL, [VENDOR, 'Zeki'], [TYPE, TABLET]], [/\b([yr]\d{2}) b/i, /\b(dragon[- ]+touch |dt)(\w{5}) b/i // Dragon Touch Tablet
    ], [[VENDOR, 'Dragon Touch'], MODEL, [TYPE, TABLET]], [/\b(ns-?\w{0,9}) b/i // Insignia Tablets
    ], [MODEL, [VENDOR, 'Insignia'], [TYPE, TABLET]], [/\b((nxa|next)-?\w{0,9}) b/i // NextBook Tablets
    ], [MODEL, [VENDOR, 'NextBook'], [TYPE, TABLET]], [/\b(xtreme\_)?(v(1[045]|2[015]|[3469]0|7[05])) b/i // Voice Xtreme Phones
    ], [[VENDOR, 'Voice'], MODEL, [TYPE, MOBILE]], [/\b(lvtel\-)?(v1[12]) b/i // LvTel Phones
    ], [[VENDOR, 'LvTel'], MODEL, [TYPE, MOBILE]], [/\b(ph-1) /i // Essential PH-1
    ], [MODEL, [VENDOR, 'Essential'], [TYPE, MOBILE]], [/\b(v(100md|700na|7011|917g).*\b) b/i // Envizen Tablets
    ], [MODEL, [VENDOR, 'Envizen'], [TYPE, TABLET]], [/\b(trio[-\w\. ]+) b/i // MachSpeed Tablets
    ], [MODEL, [VENDOR, 'MachSpeed'], [TYPE, TABLET]], [/\btu_(1491) b/i // Rotor Tablets
    ], [MODEL, [VENDOR, 'Rotor'], [TYPE, TABLET]], [/(shield[\w ]+) b/i // Nvidia Shield Tablets
    ], [MODEL, [VENDOR, 'Nvidia'], [TYPE, TABLET]], [/(sprint) (\w+)/i // Sprint Phones
    ], [VENDOR, MODEL, [TYPE, MOBILE]], [/(kin\.[onetw]{3})/i // Microsoft Kin
    ], [[MODEL, /\./g, ' '], [VENDOR, MICROSOFT], [TYPE, MOBILE]], [/droid.+; (cc6666?|et5[16]|mc[239][23]x?|vc8[03]x?)\)/i // Zebra
    ], [MODEL, [VENDOR, ZEBRA], [TYPE, TABLET]], [/droid.+; (ec30|ps20|tc[2-8]\d[kx])\)/i], [MODEL, [VENDOR, ZEBRA], [TYPE, MOBILE]], [
    ///////////////////
    // SMARTTVS
    ///////////////////

    /smart-tv.+(samsung)/i // Samsung
    ], [VENDOR, [TYPE, SMARTTV]], [/hbbtv.+maple;(\d+)/i], [[MODEL, /^/, 'SmartTV'], [VENDOR, SAMSUNG], [TYPE, SMARTTV]], [/(nux; netcast.+smarttv|lg (netcast\.tv-201\d|android tv))/i // LG SmartTV
    ], [[VENDOR, LG], [TYPE, SMARTTV]], [/(apple) ?tv/i // Apple TV
    ], [VENDOR, [MODEL, APPLE + ' TV'], [TYPE, SMARTTV]], [/crkey/i // Google Chromecast
    ], [[MODEL, CHROME + 'cast'], [VENDOR, GOOGLE], [TYPE, SMARTTV]], [/droid.+aft(\w+)( bui|\))/i // Fire TV
    ], [MODEL, [VENDOR, AMAZON], [TYPE, SMARTTV]], [/\(dtv[\);].+(aquos)/i, /(aquos-tv[\w ]+)\)/i // Sharp
    ], [MODEL, [VENDOR, SHARP], [TYPE, SMARTTV]], [/(bravia[\w ]+)( bui|\))/i // Sony
    ], [MODEL, [VENDOR, SONY], [TYPE, SMARTTV]], [/(mitv-\w{5}) bui/i // Xiaomi
    ], [MODEL, [VENDOR, XIAOMI], [TYPE, SMARTTV]], [/Hbbtv.*(technisat) (.*);/i // TechniSAT
    ], [VENDOR, MODEL, [TYPE, SMARTTV]], [/\b(roku)[\dx]*[\)\/]((?:dvp-)?[\d\.]*)/i,
    // Roku
    /hbbtv\/\d+\.\d+\.\d+ +\([\w\+ ]*; *([\w\d][^;]*);([^;]*)/i // HbbTV devices
    ], [[VENDOR, trim], [MODEL, trim], [TYPE, SMARTTV]], [/\b(android tv|smart[- ]?tv|opera tv|tv; rv:)\b/i // SmartTV from Unidentified Vendors
    ], [[TYPE, SMARTTV]], [
    ///////////////////
    // CONSOLES
    ///////////////////

    /(ouya)/i,
    // Ouya
    /(nintendo) ([wids3utch]+)/i // Nintendo
    ], [VENDOR, MODEL, [TYPE, CONSOLE]], [/droid.+; (shield) bui/i // Nvidia
    ], [MODEL, [VENDOR, 'Nvidia'], [TYPE, CONSOLE]], [/(playstation [345portablevi]+)/i // Playstation
    ], [MODEL, [VENDOR, SONY], [TYPE, CONSOLE]], [/\b(xbox(?: one)?(?!; xbox))[\); ]/i // Microsoft Xbox
    ], [MODEL, [VENDOR, MICROSOFT], [TYPE, CONSOLE]], [
    ///////////////////
    // WEARABLES
    ///////////////////

    /((pebble))app/i // Pebble
    ], [VENDOR, MODEL, [TYPE, WEARABLE]], [/(watch)(?: ?os[,\/]|\d,\d\/)[\d\.]+/i // Apple Watch
    ], [MODEL, [VENDOR, APPLE], [TYPE, WEARABLE]], [/droid.+; (glass) \d/i // Google Glass
    ], [MODEL, [VENDOR, GOOGLE], [TYPE, WEARABLE]], [/droid.+; (wt63?0{2,3})\)/i], [MODEL, [VENDOR, ZEBRA], [TYPE, WEARABLE]], [/(quest( \d| pro)?)/i // Oculus Quest
    ], [MODEL, [VENDOR, FACEBOOK], [TYPE, WEARABLE]], [
    ///////////////////
    // EMBEDDED
    ///////////////////

    /(tesla)(?: qtcarbrowser|\/[-\w\.]+)/i // Tesla
    ], [VENDOR, [TYPE, EMBEDDED]], [/(aeobc)\b/i // Echo Dot
    ], [MODEL, [VENDOR, AMAZON], [TYPE, EMBEDDED]], [
    ////////////////////
    // MIXED (GENERIC)
    ///////////////////

    /droid .+?; ([^;]+?)(?: bui|; wv\)|\) applew).+? mobile safari/i // Android Phones from Unidentified Vendors
    ], [MODEL, [TYPE, MOBILE]], [/droid .+?; ([^;]+?)(?: bui|\) applew).+?(?! mobile) safari/i // Android Tablets from Unidentified Vendors
    ], [MODEL, [TYPE, TABLET]], [/\b((tablet|tab)[;\/]|focus\/\d(?!.+mobile))/i // Unidentifiable Tablet
    ], [[TYPE, TABLET]], [/(phone|mobile(?:[;\/]| [ \w\/\.]*safari)|pda(?=.+windows ce))/i // Unidentifiable Mobile
    ], [[TYPE, MOBILE]], [/(android[-\w\. ]{0,9});.+buil/i // Generic Android Device
    ], [MODEL, [VENDOR, 'Generic']]],
    engine: [[/windows.+ edge\/([\w\.]+)/i // EdgeHTML
    ], [VERSION, [NAME, EDGE + 'HTML']], [/webkit\/537\.36.+chrome\/(?!27)([\w\.]+)/i // Blink
    ], [VERSION, [NAME, 'Blink']], [/(presto)\/([\w\.]+)/i,
    // Presto
    /(webkit|trident|netfront|netsurf|amaya|lynx|w3m|goanna)\/([\w\.]+)/i,
    // WebKit/Trident/NetFront/NetSurf/Amaya/Lynx/w3m/Goanna
    /ekioh(flow)\/([\w\.]+)/i,
    // Flow
    /(khtml|tasman|links)[\/ ]\(?([\w\.]+)/i,
    // KHTML/Tasman/Links
    /(icab)[\/ ]([23]\.[\d\.]+)/i,
    // iCab
    /\b(libweb)/i], [NAME, VERSION], [/rv\:([\w\.]{1,9})\b.+(gecko)/i // Gecko
    ], [VERSION, NAME]],
    os: [[
    // Windows
    /microsoft (windows) (vista|xp)/i // Windows (iTunes)
    ], [NAME, VERSION], [/(windows (?:phone(?: os)?|mobile))[\/ ]?([\d\.\w ]*)/i // Windows Phone
    ], [NAME, [VERSION, strMapper, windowsVersionMap]], [/windows nt 6\.2; (arm)/i,
    // Windows RT
    /windows[\/ ]?([ntce\d\. ]+\w)(?!.+xbox)/i, /(?:win(?=3|9|n)|win 9x )([nt\d\.]+)/i], [[VERSION, strMapper, windowsVersionMap], [NAME, 'Windows']], [
    // iOS/macOS
    /ip[honead]{2,4}\b(?:.*os ([\w]+) like mac|; opera)/i,
    // iOS
    /(?:ios;fbsv\/|iphone.+ios[\/ ])([\d\.]+)/i, /cfnetwork\/.+darwin/i], [[VERSION, /_/g, '.'], [NAME, 'iOS']], [/(mac os x) ?([\w\. ]*)/i, /(macintosh|mac_powerpc\b)(?!.+haiku)/i // Mac OS
    ], [[NAME, MAC_OS], [VERSION, /_/g, '.']], [
    // Mobile OSes
    /droid ([\w\.]+)\b.+(android[- ]x86|harmonyos)/i // Android-x86/HarmonyOS
    ], [VERSION, NAME], [
    // Android/WebOS/QNX/Bada/RIM/Maemo/MeeGo/Sailfish OS
    /(android|webos|qnx|bada|rim tablet os|maemo|meego|sailfish)[-\/ ]?([\w\.]*)/i, /(blackberry)\w*\/([\w\.]*)/i,
    // Blackberry
    /(tizen|kaios)[\/ ]([\w\.]+)/i,
    // Tizen/KaiOS
    /\((series40);/i // Series 40
    ], [NAME, VERSION], [/\(bb(10);/i // BlackBerry 10
    ], [VERSION, [NAME, BLACKBERRY]], [/(?:symbian ?os|symbos|s60(?=;)|series60)[-\/ ]?([\w\.]*)/i // Symbian
    ], [VERSION, [NAME, 'Symbian']], [/mozilla\/[\d\.]+ \((?:mobile|tablet|tv|mobile; [\w ]+); rv:.+ gecko\/([\w\.]+)/i // Firefox OS
    ], [VERSION, [NAME, FIREFOX + ' OS']], [/web0s;.+rt(tv)/i, /\b(?:hp)?wos(?:browser)?\/([\w\.]+)/i // WebOS
    ], [VERSION, [NAME, 'webOS']], [/watch(?: ?os[,\/]|\d,\d\/)([\d\.]+)/i // watchOS
    ], [VERSION, [NAME, 'watchOS']], [
    // Google Chromecast
    /crkey\/([\d\.]+)/i // Google Chromecast
    ], [VERSION, [NAME, CHROME + 'cast']], [/(cros) [\w]+(?:\)| ([\w\.]+)\b)/i // Chromium OS
    ], [[NAME, CHROMIUM_OS], VERSION], [
    // Smart TVs
    /panasonic;(viera)/i,
    // Panasonic Viera
    /(netrange)mmh/i,
    // Netrange
    /(nettv)\/(\d+\.[\w\.]+)/i,
    // NetTV

    // Console
    /(nintendo|playstation) ([wids345portablevuch]+)/i,
    // Nintendo/Playstation
    /(xbox); +xbox ([^\);]+)/i,
    // Microsoft Xbox (360, One, X, S, Series X, Series S)

    // Other
    /\b(joli|palm)\b ?(?:os)?\/?([\w\.]*)/i,
    // Joli/Palm
    /(mint)[\/\(\) ]?(\w*)/i,
    // Mint
    /(mageia|vectorlinux)[; ]/i,
    // Mageia/VectorLinux
    /([kxln]?ubuntu|debian|suse|opensuse|gentoo|arch(?= linux)|slackware|fedora|mandriva|centos|pclinuxos|red ?hat|zenwalk|linpus|raspbian|plan 9|minix|risc os|contiki|deepin|manjaro|elementary os|sabayon|linspire)(?: gnu\/linux)?(?: enterprise)?(?:[- ]linux)?(?:-gnu)?[-\/ ]?(?!chrom|package)([-\w\.]*)/i,
    // Ubuntu/Debian/SUSE/Gentoo/Arch/Slackware/Fedora/Mandriva/CentOS/PCLinuxOS/RedHat/Zenwalk/Linpus/Raspbian/Plan9/Minix/RISCOS/Contiki/Deepin/Manjaro/elementary/Sabayon/Linspire
    /(hurd|linux) ?([\w\.]*)/i,
    // Hurd/Linux
    /(gnu) ?([\w\.]*)/i,
    // GNU
    /\b([-frentopcghs]{0,5}bsd|dragonfly)[\/ ]?(?!amd|[ix346]{1,2}86)([\w\.]*)/i,
    // FreeBSD/NetBSD/OpenBSD/PC-BSD/GhostBSD/DragonFly
    /(haiku) (\w+)/i // Haiku
    ], [NAME, VERSION], [/(sunos) ?([\w\.\d]*)/i // Solaris
    ], [[NAME, 'Solaris'], VERSION], [/((?:open)?solaris)[-\/ ]?([\w\.]*)/i,
    // Solaris
    /(aix) ((\d)(?=\.|\)| )[\w\.])*/i,
    // AIX
    /\b(beos|os\/2|amigaos|morphos|openvms|fuchsia|hp-ux|serenityos)/i,
    // BeOS/OS2/AmigaOS/MorphOS/OpenVMS/Fuchsia/HP-UX/SerenityOS
    /(unix) ?([\w\.]*)/i // UNIX
    ], [NAME, VERSION]]
  };

  /////////////////
  // Constructor
  ////////////////

  var UAParser = function (ua, extensions) {
    if (typeof ua === OBJ_TYPE) {
      extensions = ua;
      ua = undefined;
    }
    if (!(this instanceof UAParser)) {
      return new UAParser(ua, extensions).getResult();
    }
    var _navigator = typeof window !== UNDEF_TYPE && window.navigator ? window.navigator : undefined;
    var _ua = ua || (_navigator && _navigator.userAgent ? _navigator.userAgent : EMPTY);
    var _uach = _navigator && _navigator.userAgentData ? _navigator.userAgentData : undefined;
    var _rgxmap = extensions ? extend(regexes, extensions) : regexes;
    var _isSelfNav = _navigator && _navigator.userAgent == _ua;
    this.getBrowser = function () {
      var _browser = {};
      _browser[NAME] = undefined;
      _browser[VERSION] = undefined;
      rgxMapper.call(_browser, _ua, _rgxmap.browser);
      _browser[MAJOR] = majorize(_browser[VERSION]);
      // Brave-specific detection
      if (_isSelfNav && _navigator && _navigator.brave && typeof _navigator.brave.isBrave == FUNC_TYPE) {
        _browser[NAME] = 'Brave';
      }
      return _browser;
    };
    this.getCPU = function () {
      var _cpu = {};
      _cpu[ARCHITECTURE] = undefined;
      rgxMapper.call(_cpu, _ua, _rgxmap.cpu);
      return _cpu;
    };
    this.getDevice = function () {
      var _device = {};
      _device[VENDOR] = undefined;
      _device[MODEL] = undefined;
      _device[TYPE] = undefined;
      rgxMapper.call(_device, _ua, _rgxmap.device);
      if (_isSelfNav && !_device[TYPE] && _uach && _uach.mobile) {
        _device[TYPE] = MOBILE;
      }
      // iPadOS-specific detection: identified as Mac, but has some iOS-only properties
      if (_isSelfNav && _device[MODEL] == 'Macintosh' && _navigator && typeof _navigator.standalone !== UNDEF_TYPE && _navigator.maxTouchPoints && _navigator.maxTouchPoints > 2) {
        _device[MODEL] = 'iPad';
        _device[TYPE] = TABLET;
      }
      return _device;
    };
    this.getEngine = function () {
      var _engine = {};
      _engine[NAME] = undefined;
      _engine[VERSION] = undefined;
      rgxMapper.call(_engine, _ua, _rgxmap.engine);
      return _engine;
    };
    this.getOS = function () {
      var _os = {};
      _os[NAME] = undefined;
      _os[VERSION] = undefined;
      rgxMapper.call(_os, _ua, _rgxmap.os);
      if (_isSelfNav && !_os[NAME] && _uach && _uach.platform && _uach.platform != 'Unknown') {
        _os[NAME] = _uach.platform.replace(/chrome os/i, CHROMIUM_OS).replace(/macos/i, MAC_OS); // backward compatibility
      }
      return _os;
    };
    this.getResult = function () {
      return {
        ua: this.getUA(),
        browser: this.getBrowser(),
        engine: this.getEngine(),
        os: this.getOS(),
        device: this.getDevice(),
        cpu: this.getCPU()
      };
    };
    this.getUA = function () {
      return _ua;
    };
    this.setUA = function (ua) {
      _ua = typeof ua === STR_TYPE && ua.length > UA_MAX_LENGTH ? trim(ua, UA_MAX_LENGTH) : ua;
      return this;
    };
    this.setUA(_ua);
    return this;
  };
  UAParser.VERSION = LIBVERSION;
  UAParser.BROWSER = enumerize([NAME, VERSION, MAJOR]);
  UAParser.CPU = enumerize([ARCHITECTURE]);
  UAParser.DEVICE = enumerize([MODEL, VENDOR, TYPE, CONSOLE, MOBILE, SMARTTV, TABLET, WEARABLE, EMBEDDED]);
  UAParser.ENGINE = UAParser.OS = enumerize([NAME, VERSION]);

  ///////////
  // Export
  //////////

  // check js environment
  if (typeof exports !== UNDEF_TYPE) {
    // nodejs env
    if ("object" !== UNDEF_TYPE && module.exports) {
      exports = module.exports = UAParser;
    }
    exports.UAParser = UAParser;
  } else {
    // requirejs env (optional)
    if ("function" === FUNC_TYPE && __webpack_require__.amdO) {
      !(__WEBPACK_AMD_DEFINE_RESULT__ = (function () {
        return UAParser;
      }).call(exports, __webpack_require__, exports, module),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
    } else if (typeof window !== UNDEF_TYPE) {
      // browser env
      window.UAParser = UAParser;
    }
  }

  // jQuery/Zepto specific (optional)
  // Note:
  //   In AMD env the global scope should be kept clean, but jQuery is an exception.
  //   jQuery always exports to global scope, unless jQuery.noConflict(true) is used,
  //   and we should catch that.
  var $ = typeof window !== UNDEF_TYPE && (window.jQuery || window.Zepto);
  if ($ && !$.ua) {
    var parser = new UAParser();
    $.ua = parser.getResult();
    $.ua.get = function () {
      return parser.getUA();
    };
    $.ua.set = function (ua) {
      parser.setUA(ua);
      var result = parser.getResult();
      for (var prop in result) {
        $.ua[prop] = result[prop];
      }
    };
  }
})(typeof window === 'object' ? window : this);

/***/ }),

/***/ "./node_modules/util-deprecate/browser.js":
/*!************************************************!*\
  !*** ./node_modules/util-deprecate/browser.js ***!
  \************************************************/
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

/**
 * Module exports.
 */

module.exports = deprecate;

/**
 * Mark that a method should not be used.
 * Returns a modified function which warns once by default.
 *
 * If `localStorage.noDeprecation = true` is set, then it is a no-op.
 *
 * If `localStorage.throwDeprecation = true` is set, then deprecated functions
 * will throw an Error when invoked.
 *
 * If `localStorage.traceDeprecation = true` is set, then deprecated functions
 * will invoke `console.trace()` instead of `console.error()`.
 *
 * @param {Function} fn - the function to deprecate
 * @param {String} msg - the string to print to the console when `fn` is invoked
 * @returns {Function} a new "deprecated" version of `fn`
 * @api public
 */

function deprecate(fn, msg) {
  if (config('noDeprecation')) {
    return fn;
  }
  var warned = false;
  function deprecated() {
    if (!warned) {
      if (config('throwDeprecation')) {
        throw new Error(msg);
      } else if (config('traceDeprecation')) {
        console.trace(msg);
      } else {
        console.warn(msg);
      }
      warned = true;
    }
    return fn.apply(this, arguments);
  }
  return deprecated;
}

/**
 * Checks `localStorage` for boolean values for the given `name`.
 *
 * @param {String} name
 * @returns {Boolean}
 * @api private
 */

function config(name) {
  // accessing global.localStorage can trigger a DOMException in sandboxed iframes
  try {
    if (!__webpack_require__.g.localStorage) return false;
  } catch (_) {
    return false;
  }
  var val = __webpack_require__.g.localStorage[name];
  if (null == val) return false;
  return String(val).toLowerCase() === 'true';
}

/***/ }),

/***/ "?3e83":
/*!**********************!*\
  !*** util (ignored) ***!
  \**********************/
/***/ (function() {

/* (ignored) */

/***/ }),

/***/ "?19e6":
/*!**********************!*\
  !*** util (ignored) ***!
  \**********************/
/***/ (function() {

/* (ignored) */

/***/ }),

/***/ "./externals/base64.js":
/*!*****************************!*\
  !*** ./externals/base64.js ***!
  \*****************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* $Date: 2007-06-12 18:02:31 $ */

// from: http://bannister.us/weblog/2007/06/09/simple-base64-encodedecode-javascript/
// Handles encode/decode of ASCII and Unicode strings.

var UTF8 = {};
UTF8.encode = function (s) {
  var u = [];
  for (var i = 0; i < s.length; ++i) {
    var c = s.charCodeAt(i);
    if (c < 0x80) {
      u.push(c);
    } else if (c < 0x800) {
      u.push(0xC0 | c >> 6);
      u.push(0x80 | 63 & c);
    } else if (c < 0x10000) {
      u.push(0xE0 | c >> 12);
      u.push(0x80 | 63 & c >> 6);
      u.push(0x80 | 63 & c);
    } else {
      u.push(0xF0 | c >> 18);
      u.push(0x80 | 63 & c >> 12);
      u.push(0x80 | 63 & c >> 6);
      u.push(0x80 | 63 & c);
    }
  }
  return u;
};
UTF8.decode = function (u) {
  var a = [];
  var i = 0;
  while (i < u.length) {
    var v = u[i++];
    if (v < 0x80) {
      // no need to mask byte
    } else if (v < 0xE0) {
      v = (31 & v) << 6;
      v |= 63 & u[i++];
    } else if (v < 0xF0) {
      v = (15 & v) << 12;
      v |= (63 & u[i++]) << 6;
      v |= 63 & u[i++];
    } else {
      v = (7 & v) << 18;
      v |= (63 & u[i++]) << 12;
      v |= (63 & u[i++]) << 6;
      v |= 63 & u[i++];
    }
    a.push(String.fromCharCode(v));
  }
  return a.join('');
};
var BASE64 = {};
(function (T) {
  var encodeArray = function (u) {
    var i = 0;
    var a = [];
    var n = 0 | u.length / 3;
    while (0 < n--) {
      var v = (u[i] << 16) + (u[i + 1] << 8) + u[i + 2];
      i += 3;
      a.push(T.charAt(63 & v >> 18));
      a.push(T.charAt(63 & v >> 12));
      a.push(T.charAt(63 & v >> 6));
      a.push(T.charAt(63 & v));
    }
    if (2 == u.length - i) {
      var v = (u[i] << 16) + (u[i + 1] << 8);
      a.push(T.charAt(63 & v >> 18));
      a.push(T.charAt(63 & v >> 12));
      a.push(T.charAt(63 & v >> 6));
      a.push('=');
    } else if (1 == u.length - i) {
      var v = u[i] << 16;
      a.push(T.charAt(63 & v >> 18));
      a.push(T.charAt(63 & v >> 12));
      a.push('==');
    }
    return a.join('');
  };
  var R = function () {
    var a = [];
    for (var i = 0; i < T.length; ++i) {
      a[T.charCodeAt(i)] = i;
    }
    a['='.charCodeAt(0)] = 0;
    return a;
  }();
  var decodeArray = function (s) {
    var i = 0;
    var u = [];
    var n = 0 | s.length / 4;
    while (0 < n--) {
      var v = (R[s.charCodeAt(i)] << 18) + (R[s.charCodeAt(i + 1)] << 12) + (R[s.charCodeAt(i + 2)] << 6) + R[s.charCodeAt(i + 3)];
      u.push(255 & v >> 16);
      u.push(255 & v >> 8);
      u.push(255 & v);
      i += 4;
    }
    if (u) {
      if ('=' == s.charAt(i - 2)) {
        u.pop();
        u.pop();
      } else if ('=' == s.charAt(i - 1)) {
        u.pop();
      }
    }
    return u;
  };
  var ASCII = {};
  ASCII.encode = function (s) {
    var u = [];
    for (var i = 0; i < s.length; ++i) {
      u.push(s.charCodeAt(i));
    }
    return u;
  };
  ASCII.decode = function (u) {
    for (var i = 0; i < s.length; ++i) {
      a[i] = String.fromCharCode(a[i]);
    }
    return a.join('');
  };
  BASE64.decodeArray = function (s) {
    var u = decodeArray(s);
    return new Uint8Array(u);
  };
  BASE64.encodeASCII = function (s) {
    var u = ASCII.encode(s);
    return encodeArray(u);
  };
  BASE64.decodeASCII = function (s) {
    var a = decodeArray(s);
    return ASCII.decode(a);
  };
  BASE64.encode = function (s) {
    var u = UTF8.encode(s);
    return encodeArray(u);
  };
  BASE64.decode = function (s) {
    var u = decodeArray(s);
    return UTF8.decode(u);
  };
})("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/");

/*The following polyfills are not used in dash.js but have caused multiplayer integration issues.
 Therefore commenting them out.
if (undefined === btoa) {
    var btoa = BASE64.encode;
}
if (undefined === atob) {
    var atob = BASE64.decode;
}
*/

if (typeof exports !== 'undefined') {
  exports.decode = BASE64.decode;
  exports.decodeArray = BASE64.decodeArray;
  exports.encode = BASE64.encode;
  exports.encodeASCII = BASE64.encodeASCII;
}
/* harmony default export */ __webpack_exports__["default"] = (BASE64);

/***/ }),

/***/ "./externals/tXml.js":
/*!***************************!*\
  !*** ./externals/tXml.js ***!
  \***************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   XML_ENTITIES: function() { return /* binding */ XML_ENTITIES; },
/* harmony export */   filter: function() { return /* binding */ filter; },
/* harmony export */   getElementById: function() { return /* binding */ getElementById; },
/* harmony export */   getElementsByClassName: function() { return /* binding */ getElementsByClassName; },
/* harmony export */   parse: function() { return /* binding */ parse; },
/* harmony export */   simplify: function() { return /* binding */ simplify; },
/* harmony export */   simplifyLostLess: function() { return /* binding */ simplifyLostLess; },
/* harmony export */   stringify: function() { return /* binding */ stringify; },
/* harmony export */   toContentString: function() { return /* binding */ toContentString; },
/* harmony export */   translateEntitiesAndCharacterReferences: function() { return /* binding */ translateEntitiesAndCharacterReferences; }
/* harmony export */ });
// ==ClosureCompiler==
// @output_file_name default.js
// @compilation_level SIMPLE_OPTIMIZATIONS
// ==/ClosureCompiler==
// module.exports = {
//     parse: parse,
//     simplify: simplify,
//     simplifyLostLess: simplifyLostLess,
//     filter: filter,
//     stringify: stringify,
//     toContentString: toContentString,
//     getElementById: getElementById,
//     getElementsByClassName: getElementsByClassName,
//     transformStream: transformStream,
// };

/**
 * @author: Tobias Nickel
 * @created: 06.04.2015
 * I needed a small xmlparser chat can be used in a worker.
 */

/**
 * @typedef tNode
 * @property {string} tagName
 * @property {object} attributes
 * @property {(tNode|string)[]} children
 **/

/**
 * @typedef TParseOptions
 * @property {number} [pos]
 * @property {string[]} [noChildNodes]
 * @property {boolean} [setPos]
 * @property {boolean} [keepComments]
 * @property {boolean} [keepWhitespace]
 * @property {boolean} [simplify]
 * @property {(a: tNode, b: tNode) => boolean} [filter]
 */

/**
 * Predefined general entities used in XML
 * See https://www.w3.org/TR/xml/#sec-predefined-ent
 */
const XML_ENTITIES = {
  '&amp;': '&',
  '&gt;': '>',
  '&lt;': '<',
  '&quot;': '"',
  '&apos;': "'"
};

/**
 * Translates XML predefined entities and character references to their respective characters.
 * @param {Object} entitiesList
 * @param {String} str
 * @returns {String}
 */
function translateEntitiesAndCharacterReferences(entitiesList, str) {
  const entitySplit = str.split(/(&[#a-zA-Z0-9]+;)/);
  if (entitySplit.length <= 1) {
    // No entities. Skip the rest of the function.
    return str;
  }
  for (let i = 1; i < entitySplit.length; i += 2) {
    const reference = entitySplit[i];

    /*
     * Check if it is a character reference of the form
     * /&#[0-9]+;/ - Encoded in decimal, or
     * /&#x[0-9a-fA-F]+;/ - Encoded in hexadecimal
     * See https://www.w3.org/TR/xml/#sec-references
     */
    if (reference.charAt(1) === '#') {
      let code;
      if (reference.charAt(2) === 'x') {
        // Hexadecimal
        code = parseInt(reference.substring(3, reference.length - 1), 16);
      } else {
        // Decimal
        code = parseInt(reference.substring(2, reference.length - 1), 10);
      }

      // Translate into string according to ISO/IEC 10646
      if (!isNaN(code) && code >= 0 && code <= 0x10FFFF) {
        entitySplit[i] = String.fromCodePoint(code);
      }
    }
    /*
     * Translate entity references using a dictionary.
     */else if (entitiesList.hasOwnProperty(reference)) {
      entitySplit[i] = entitiesList[reference];
    }
  }
  return entitySplit.join('');
}
;

/**
 * parseXML / html into a DOM Object. with no validation and some failur tolerance
 * @param {string} S your XML to parse
 * @param {TParseOptions} [options]  all other options:
 * @return {(tNode | string)[]}
 */
function parse(S, options) {
  "txml";

  options = options || {};
  var pos = options.pos || 0;
  var keepComments = !!options.keepComments;
  var keepWhitespace = !!options.keepWhitespace;
  // dash.js - BEGIN
  // Attributes matchers to post-process attributes (for ex to transform from xs:duration format to number of seconds)
  var attrMatchers = options.attrMatchers || [];
  // List od node names that must be stored as array within their parent
  var nodesAsArray = options.nodesAsArray || [];
  // dash.js - END

  var openBracket = "<";
  var openBracketCC = "<".charCodeAt(0);
  var closeBracket = ">";
  var closeBracketCC = ">".charCodeAt(0);
  var minusCC = "-".charCodeAt(0);
  var slashCC = "/".charCodeAt(0);
  var exclamationCC = '!'.charCodeAt(0);
  var singleQuoteCC = "'".charCodeAt(0);
  var doubleQuoteCC = '"'.charCodeAt(0);
  var openCornerBracketCC = '['.charCodeAt(0);
  var closeCornerBracketCC = ']'.charCodeAt(0);

  /**
   * parsing a list of entries
   */
  function parseChildren(tagName, parent) {
    var children = [];
    while (S[pos]) {
      if (S.charCodeAt(pos) == openBracketCC) {
        if (S.charCodeAt(pos + 1) === slashCC) {
          var closeStart = pos + 2;
          pos = S.indexOf(closeBracket, pos);
          var closeTag = S.substring(closeStart, pos);
          if (closeTag.indexOf(tagName) == -1) {
            var parsedText = S.substring(0, pos).split('\n');
            throw new Error('Unexpected close tag\nLine: ' + (parsedText.length - 1) + '\nColumn: ' + (parsedText[parsedText.length - 1].length + 1) + '\nChar: ' + S[pos]);
          }
          if (pos + 1) pos += 1;
          return children;
        } else if (S.charCodeAt(pos + 1) === exclamationCC) {
          if (S.charCodeAt(pos + 2) == minusCC) {
            //comment support
            const startCommentPos = pos;
            while (pos !== -1 && !(S.charCodeAt(pos) === closeBracketCC && S.charCodeAt(pos - 1) == minusCC && S.charCodeAt(pos - 2) == minusCC && pos != -1)) {
              pos = S.indexOf(closeBracket, pos + 1);
            }
            if (pos === -1) {
              pos = S.length;
            }
            if (keepComments) {
              children.push(S.substring(startCommentPos, pos + 1));
            }
          } else if (S.charCodeAt(pos + 2) === openCornerBracketCC && S.charCodeAt(pos + 8) === openCornerBracketCC && S.substr(pos + 3, 5).toLowerCase() === 'cdata') {
            // cdata
            var cdataEndIndex = S.indexOf(']]>', pos);
            if (cdataEndIndex == -1) {
              children.push(S.substr(pos + 9));
              pos = S.length;
            } else {
              children.push(S.substring(pos + 9, cdataEndIndex));
              pos = cdataEndIndex + 3;
            }
            continue;
          } else {
            // doctypesupport
            const startDoctype = pos + 1;
            pos += 2;
            var encapsuled = false;
            while ((S.charCodeAt(pos) !== closeBracketCC || encapsuled === true) && S[pos]) {
              if (S.charCodeAt(pos) === openCornerBracketCC) {
                encapsuled = true;
              } else if (encapsuled === true && S.charCodeAt(pos) === closeCornerBracketCC) {
                encapsuled = false;
              }
              pos++;
            }
            children.push(S.substring(startDoctype, pos));
          }
          pos++;
          continue;
        }
        var node = parseNode();
        children.push(node);
        if (node.tagName[0] === '?') {
          children.push(...node.children);
          node.children = [];
        }

        // dash.js - BEGIN
        // Transform/process on the fly child nodes to add them to their parent as an array or an object
        if (parent) {
          let tagName = node.tagName;
          if (nodesAsArray.indexOf(tagName) !== -1) {
            if (!parent[tagName]) {
              parent[tagName] = [];
            }
            parent[tagName].push(node);
          } else {
            parent[tagName] = node;
          }
        }
        // dash.js - END
      } else {
        var text = parseText();
        if (!keepWhitespace) {
          text = text.trim();
        }
        // dash.js - BEGIN
        // Transform/process on the fly text values to add them to their parent as its "_text" property
        if (parent) {
          parent.__text = text;
        } else {
          children.push(text);
        }
        // dash.js - END
        pos++;
      }
    }
    return children;
  }

  // dash.js - BEGIN
  // Add function processAttr() used to process node attributes on the fly when parsing nodes (see parseNode()))
  function processAttr(tagName, attrName, value) {
    // Specific use case for SegmentTimeline <S> tag
    if (tagName === 'S') {
      return parseInt(value);
    }
    let attrValue = translateEntitiesAndCharacterReferences(XML_ENTITIES, value);
    attrMatchers.forEach(matcher => {
      if (matcher.test(tagName, attrName, value)) {
        attrValue = matcher.converter(value);
      }
    });
    return attrValue;
  }
  // dash.js - END

  /**
   *    returns the text outside of texts until the first '<'
   */
  function parseText() {
    var start = pos;
    pos = S.indexOf(openBracket, pos) - 1;
    if (pos === -2) pos = S.length;
    return translateEntitiesAndCharacterReferences(XML_ENTITIES, S.slice(start, pos + 1));
  }
  /**
   *    returns text until the first nonAlphabetic letter
   */
  var nameSpacer = '\r\n\t>/= ';
  function parseName() {
    var start = pos;
    while (nameSpacer.indexOf(S[pos]) === -1 && S[pos]) {
      pos++;
    }
    return S.slice(start, pos);
  }
  /**
   *    is parsing a node, including tagName, Attributes and its children,
   * to parse children it uses the parseChildren again, that makes the parsing recursive
   */
  var NoChildNodes = options.noChildNodes || ['img', 'br', 'input', 'meta', 'link', 'hr'];
  function parseNode() {
    pos++;
    const tagName = parseName();
    // dash.js - BEGIN
    // Set attributes as node properties which names are the attributes names
    // For child nodes, see parseChildren() function where children are added as object properties
    // const attributes = {};
    let children = [];
    let node = {
      tagName: tagName
    };

    // Support tag namespace
    let p = node.tagName.indexOf(':');
    if (p !== -1) {
      node.__prefix = node.tagName.substr(0, p);
      node.tagName = node.tagName.substr(p + 1);
    }
    // dash.js - END

    // parsing attributes
    while (S.charCodeAt(pos) !== closeBracketCC && S[pos]) {
      var c = S.charCodeAt(pos);
      if (c > 64 && c < 91 || c > 96 && c < 123) {
        //if('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'.indexOf(S[pos])!==-1 ){
        var name = parseName();
        // search beginning of the string
        var code = S.charCodeAt(pos);
        while (code && code !== singleQuoteCC && code !== doubleQuoteCC && !(code > 64 && code < 91 || code > 96 && code < 123) && code !== closeBracketCC) {
          pos++;
          code = S.charCodeAt(pos);
        }
        if (code === singleQuoteCC || code === doubleQuoteCC) {
          var value = parseString();
          if (pos === -1) {
            return node;
          }
        } else {
          value = null;
          pos--;
        }
        // dash.js - BEGIN
        // Process attributes and add them as node properties which names are the attributes names
        value = processAttr(node.tagName, name, value);
        node[name] = value;
        // dash.js - END
      }
      pos++;
    }
    // optional parsing of children
    if (S.charCodeAt(pos - 1) !== slashCC) {
      if (tagName == "script") {
        var start = pos + 1;
        pos = S.indexOf('</script>', pos);
        children = [S.slice(start, pos)];
        pos += 9;
      } else if (tagName == "style") {
        var start = pos + 1;
        pos = S.indexOf('</style>', pos);
        children = [S.slice(start, pos)];
        pos += 8;
      } else if (NoChildNodes.indexOf(tagName) === -1) {
        pos++;
        // dash.js - BEGIN
        // Add parent to parseChildren()
        children = parseChildren(tagName, node);
        // dash.js - END
      } else {
        pos++;
      }
    } else {
      pos++;
    }
    // dash.js - BEGIN
    node.__children = children;
    return node;
    // dash.js - END
  }

  /**
   *    is parsing a string, that starts with a char and with the same usually  ' or "
   */

  function parseString() {
    var startChar = S[pos];
    var startpos = pos + 1;
    pos = S.indexOf(startChar, startpos);
    return S.slice(startpos, pos);
  }

  /**
   *
   */
  function findElements() {
    var r = new RegExp('\\s' + options.attrName + '\\s*=[\'"]' + options.attrValue + '[\'"]').exec(S);
    if (r) {
      return r.index;
    } else {
      return -1;
    }
  }
  var out = null;
  if (options.attrValue !== undefined) {
    options.attrName = options.attrName || 'id';
    var out = [];
    while ((pos = findElements()) !== -1) {
      pos = S.lastIndexOf('<', pos);
      if (pos !== -1) {
        out.push(parseNode());
      }
      S = S.substr(pos);
      pos = 0;
    }
  } else if (options.parseNode) {
    out = parseNode();
  } else {
    out = parseChildren('');
  }
  if (options.filter) {
    out = filter(out, options.filter);
  }
  if (options.simplify) {
    return simplify(Array.isArray(out) ? out : [out]);
  }
  if (options.setPos) {
    out.pos = pos;
  }
  return out;
}

/**
 * transform the DomObject to an object that is like the object of PHP`s simple_xmp_load_*() methods.
 * this format helps you to write that is more likely to keep your program working, even if there a small changes in the XML schema.
 * be aware, that it is not possible to reproduce the original xml from a simplified version, because the order of elements is not saved.
 * therefore your program will be more flexible and easier to read.
 *
 * @param {tNode[]} children the childrenList
 */
function simplify(children) {
  var out = {};
  if (!children.length) {
    return '';
  }
  if (children.length === 1 && typeof children[0] == 'string') {
    return children[0];
  }
  // map each object
  children.forEach(function (child) {
    if (typeof child !== 'object') {
      return;
    }
    if (!out[child.tagName]) out[child.tagName] = [];
    var kids = simplify(child.children);
    out[child.tagName].push(kids);
    if (Object.keys(child.attributes).length && typeof kids !== 'string') {
      kids._attributes = child.attributes;
    }
  });
  for (var i in out) {
    if (out[i].length == 1) {
      out[i] = out[i][0];
    }
  }
  return out;
}
;

/**
 * similar to simplify, but lost less
 *
 * @param {tNode[]} children the childrenList
 */
function simplifyLostLess(children) {
  let parentAttributes = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var out = {};
  if (!children.length) {
    return out;
  }
  if (children.length === 1 && typeof children[0] == 'string') {
    return Object.keys(parentAttributes).length ? {
      _attributes: parentAttributes,
      value: children[0]
    } : children[0];
  }
  // map each object
  children.forEach(function (child) {
    if (typeof child !== 'object') {
      return;
    }
    if (!out[child.tagName]) out[child.tagName] = [];
    var kids = simplifyLostLess(child.children || [], child.attributes);
    out[child.tagName].push(kids);
    if (Object.keys(child.attributes).length) {
      kids._attributes = child.attributes;
    }
  });
  return out;
}
;

/**
 * behaves the same way as Array.filter, if the filter method return true, the element is in the resultList
 * @params children{Array} the children of a node
 * @param f{function} the filter method
 */
function filter(children, f) {
  let dept = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
  let path = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '';
  var out = [];
  children.forEach(function (child, i) {
    if (typeof child === 'object' && f(child, i, dept, path)) out.push(child);
    if (child.children) {
      var kids = filter(child.children, f, dept + 1, (path ? path + '.' : '') + i + '.' + child.tagName);
      out = out.concat(kids);
    }
  });
  return out;
}
;

/**
 * stringify a previously parsed string object.
 * this is useful,
 *  1. to remove whitespace
 * 2. to recreate xml data, with some changed data.
 * @param {tNode} O the object to Stringify
 */
function stringify(O) {
  var out = '';
  function writeChildren(O) {
    if (O) {
      for (var i = 0; i < O.length; i++) {
        if (typeof O[i] == 'string') {
          out += O[i].trim();
        } else {
          writeNode(O[i]);
        }
      }
    }
  }
  function writeNode(N) {
    out += "<" + N.tagName;
    for (var i in N.attributes) {
      if (N.attributes[i] === null) {
        out += ' ' + i;
      } else if (N.attributes[i].indexOf('"') === -1) {
        out += ' ' + i + '="' + N.attributes[i].trim() + '"';
      } else {
        out += ' ' + i + "='" + N.attributes[i].trim() + "'";
      }
    }
    if (N.tagName[0] === '?') {
      out += '?>';
      return;
    }
    out += '>';
    writeChildren(N.children);
    out += '</' + N.tagName + '>';
  }
  writeChildren(O);
  return out;
}
;

/**
 * use this method to read the text content, of some node.
 * It is great if you have mixed content like:
 * this text has some <b>big</b> text and a <a href=''>link</a>
 * @return {string}
 */
function toContentString(tDom) {
  if (Array.isArray(tDom)) {
    var out = '';
    tDom.forEach(function (e) {
      out += ' ' + toContentString(e);
      out = out.trim();
    });
    return out;
  } else if (typeof tDom === 'object') {
    return toContentString(tDom.children);
  } else {
    return ' ' + tDom;
  }
}
;
function getElementById(S, id, simplified) {
  var out = parse(S, {
    attrValue: id
  });
  return simplified ? tXml.simplify(out) : out[0];
}
;
function getElementsByClassName(S, classname, simplified) {
  const out = parse(S, {
    attrName: 'class',
    attrValue: '[a-zA-Z0-9- ]*' + classname + '[a-zA-Z0-9- ]*'
  });
  return simplified ? tXml.simplify(out) : out;
}
;

/***/ }),

/***/ "./node_modules/bcp-47-match/index.js":
/*!********************************************!*\
  !*** ./node_modules/bcp-47-match/index.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   basicFilter: function() { return /* binding */ basicFilter; },
/* harmony export */   extendedFilter: function() { return /* binding */ extendedFilter; },
/* harmony export */   lookup: function() { return /* binding */ lookup; }
/* harmony export */ });
/**
 * See <https://tools.ietf.org/html/rfc4647#section-3.1>
 * for more info on the algorithms.
 */

/**
 * @typedef {string} Tag
 *   BCP-47 tag.
 * @typedef {Array<Tag>} Tags
 *   List of BCP-47 tags.
 * @typedef {string} Range
 *   RFC 4647 range.
 * @typedef {Array<Range>} Ranges
 *   List of RFC 4647 range.
 *
 * @callback Check
 *   An internal check.
 * @param {Tag} tag
 *   BCP-47 tag.
 * @param {Range} range
 *   RFC 4647 range.
 * @returns {boolean}
 *   Whether the range matches the tag.
 *
 * @typedef {FilterOrLookup<true>} Filter
 *   Filter: yields all tags that match a range.
 * @typedef {FilterOrLookup<false>} Lookup
 *   Lookup: yields the best tag that matches a range.
 */

/**
 * @template {boolean} IsFilter
 *   Whether to filter or perform a lookup.
 * @callback FilterOrLookup
 *   A check.
 * @param {Tag|Tags} tags
 *   One or more BCP-47 tags.
 * @param {Range|Ranges|undefined} [ranges='*']
 *   One or more RFC 4647 ranges.
 * @returns {IsFilter extends true ? Tags : Tag|undefined}
 *   Result.
 */

/**
 * Factory to perform a filter or a lookup.
 *
 * This factory creates a function that accepts a list of tags and a list of
 * ranges, and contains logic to exit early for lookups.
 * `check` just has to deal with one tag and one range.
 * This match function iterates over ranges, and for each range,
 * iterates over tags.
 * That way, earlier ranges matching any tag have precedence over later ranges.
 *
 * @template {boolean} IsFilter
 * @param {Check} check
 *   A check.
 * @param {IsFilter} filter
 *   Whether to filter or perform a lookup.
 * @returns {FilterOrLookup<IsFilter>}
 *   Filter or lookup.
 */
function factory(check, filter) {
  /**
   * @param {Tag|Tags} tags
   *   One or more BCP-47 tags.
   * @param {Range|Ranges|undefined} [ranges='*']
   *   One or more RFC 4647 ranges.
   * @returns {IsFilter extends true ? Tags : Tag|undefined}
   *   Result.
   */
  return function (tags, ranges) {
    let left = cast(tags, 'tag');
    const right = cast(ranges === null || ranges === undefined ? '*' : ranges, 'range');
    /** @type {Tags} */
    const matches = [];
    let rightIndex = -1;
    while (++rightIndex < right.length) {
      const range = right[rightIndex].toLowerCase();

      // Ignore wildcards in lookup mode.
      if (!filter && range === '*') continue;
      let leftIndex = -1;
      /** @type {Tags} */
      const next = [];
      while (++leftIndex < left.length) {
        if (check(left[leftIndex].toLowerCase(), range)) {
          // Exit if this is a lookup and we have a match.
          if (!filter) {
            return /** @type {IsFilter extends true ? Tags : Tag|undefined} */left[leftIndex];
          }
          matches.push(left[leftIndex]);
        } else {
          next.push(left[leftIndex]);
        }
      }
      left = next;
    }

    // If this is a filter, return the list.  If it’s a lookup, we didn’t find
    // a match, so return `undefined`.
    return /** @type {IsFilter extends true ? Tags : Tag|undefined} */filter ? matches : undefined;
  };
}

/**
 * Basic Filtering (Section 3.3.1) matches a language priority list consisting
 * of basic language ranges (Section 2.1) to sets of language tags.
 *
 * @param {Tag|Tags} tags
 *   One or more BCP-47 tags.
 * @param {Range|Ranges|undefined} [ranges='*']
 *   One or more RFC 4647 ranges.
 * @returns {Tags}
 *   List of BCP-47 tags.
 */
const basicFilter = factory(function (tag, range) {
  return range === '*' || tag === range || tag.includes(range + '-');
}, true);

/**
 * Extended Filtering (Section 3.3.2) matches a language priority list
 * consisting of extended language ranges (Section 2.2) to sets of language
 * tags.
 *
 * @param {Tag|Tags} tags
 *   One or more BCP-47 tags.
 * @param {Range|Ranges|undefined} [ranges='*']
 *   One or more RFC 4647 ranges.
 * @returns {Tags}
 *   List of BCP-47 tags.
 */
const extendedFilter = factory(function (tag, range) {
  // 3.3.2.1
  const left = tag.split('-');
  const right = range.split('-');
  let leftIndex = 0;
  let rightIndex = 0;

  // 3.3.2.2
  if (right[rightIndex] !== '*' && left[leftIndex] !== right[rightIndex]) {
    return false;
  }
  leftIndex++;
  rightIndex++;

  // 3.3.2.3
  while (rightIndex < right.length) {
    // 3.3.2.3.A
    if (right[rightIndex] === '*') {
      rightIndex++;
      continue;
    }

    // 3.3.2.3.B
    if (!left[leftIndex]) return false;

    // 3.3.2.3.C
    if (left[leftIndex] === right[rightIndex]) {
      leftIndex++;
      rightIndex++;
      continue;
    }

    // 3.3.2.3.D
    if (left[leftIndex].length === 1) return false;

    // 3.3.2.3.E
    leftIndex++;
  }

  // 3.3.2.4
  return true;
}, true);

/**
 * Lookup (Section 3.4) matches a language priority list consisting of basic
 * language ranges to sets of language tags to find the one exact language tag
 * that best matches the range.
 *
 * @param {Tag|Tags} tags
 *   One or more BCP-47 tags.
 * @param {Range|Ranges|undefined} [ranges='*']
 *   One or more RFC 4647 ranges.
 * @returns {Tag|undefined}
 *   BCP-47 tag.
 */
const lookup = factory(function (tag, range) {
  let right = range;

  /* eslint-disable-next-line no-constant-condition */
  while (true) {
    if (right === '*' || tag === right) return true;
    let index = right.lastIndexOf('-');
    if (index < 0) return false;
    if (right.charAt(index - 2) === '-') index -= 2;
    right = right.slice(0, index);
  }
}, false);

/**
 * Validate tags or ranges, and cast them to arrays.
 *
 * @param {string|Array<string>} values
 * @param {string} name
 * @returns {Array<string>}
 */
function cast(values, name) {
  const value = values && typeof values === 'string' ? [values] : values;
  if (!value || typeof value !== 'object' || !('length' in value)) {
    throw new Error('Invalid ' + name + ' `' + value + '`, expected non-empty string');
  }
  return value;
}

/***/ }),

/***/ "./node_modules/bcp-47-normalize/lib/fields.js":
/*!*****************************************************!*\
  !*** ./node_modules/bcp-47-normalize/lib/fields.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fields: function() { return /* binding */ fields; }
/* harmony export */ });
/**
 * @typedef {'script'|'region'|'variants'} Field
 *
 * @typedef AddOrRemove
 * @property {Field} field
 * @property {string} value
 *
 * @typedef Change
 * @property {AddOrRemove} from
 * @property {AddOrRemove} to
 */

/**
 * @type {Array<Change>}
 */
const fields = [{
  from: {
    field: 'script',
    value: 'qaai'
  },
  to: {
    field: 'script',
    value: 'zinh'
  }
}, {
  from: {
    field: 'region',
    value: 'bu'
  },
  to: {
    field: 'region',
    value: 'mm'
  }
}, {
  from: {
    field: 'region',
    value: 'ct'
  },
  to: {
    field: 'region',
    value: 'ki'
  }
}, {
  from: {
    field: 'region',
    value: 'dd'
  },
  to: {
    field: 'region',
    value: 'de'
  }
}, {
  from: {
    field: 'region',
    value: 'dy'
  },
  to: {
    field: 'region',
    value: 'bj'
  }
}, {
  from: {
    field: 'region',
    value: 'fx'
  },
  to: {
    field: 'region',
    value: 'fr'
  }
}, {
  from: {
    field: 'region',
    value: 'hv'
  },
  to: {
    field: 'region',
    value: 'bf'
  }
}, {
  from: {
    field: 'region',
    value: 'jt'
  },
  to: {
    field: 'region',
    value: 'um'
  }
}, {
  from: {
    field: 'region',
    value: 'mi'
  },
  to: {
    field: 'region',
    value: 'um'
  }
}, {
  from: {
    field: 'region',
    value: 'nh'
  },
  to: {
    field: 'region',
    value: 'vu'
  }
}, {
  from: {
    field: 'region',
    value: 'nq'
  },
  to: {
    field: 'region',
    value: 'aq'
  }
}, {
  from: {
    field: 'region',
    value: 'pu'
  },
  to: {
    field: 'region',
    value: 'um'
  }
}, {
  from: {
    field: 'region',
    value: 'pz'
  },
  to: {
    field: 'region',
    value: 'pa'
  }
}, {
  from: {
    field: 'region',
    value: 'qu'
  },
  to: {
    field: 'region',
    value: 'eu'
  }
}, {
  from: {
    field: 'region',
    value: 'rh'
  },
  to: {
    field: 'region',
    value: 'zw'
  }
}, {
  from: {
    field: 'region',
    value: 'tp'
  },
  to: {
    field: 'region',
    value: 'tl'
  }
}, {
  from: {
    field: 'region',
    value: 'uk'
  },
  to: {
    field: 'region',
    value: 'gb'
  }
}, {
  from: {
    field: 'region',
    value: 'vd'
  },
  to: {
    field: 'region',
    value: 'vn'
  }
}, {
  from: {
    field: 'region',
    value: 'wk'
  },
  to: {
    field: 'region',
    value: 'um'
  }
}, {
  from: {
    field: 'region',
    value: 'yd'
  },
  to: {
    field: 'region',
    value: 'ye'
  }
}, {
  from: {
    field: 'region',
    value: 'zr'
  },
  to: {
    field: 'region',
    value: 'cd'
  }
}, {
  from: {
    field: 'region',
    value: '230'
  },
  to: {
    field: 'region',
    value: 'et'
  }
}, {
  from: {
    field: 'region',
    value: '280'
  },
  to: {
    field: 'region',
    value: 'de'
  }
}, {
  from: {
    field: 'region',
    value: '736'
  },
  to: {
    field: 'region',
    value: 'sd'
  }
}, {
  from: {
    field: 'region',
    value: '886'
  },
  to: {
    field: 'region',
    value: 'ye'
  }
}, {
  from: {
    field: 'region',
    value: '958'
  },
  to: {
    field: 'region',
    value: 'aa'
  }
}, {
  from: {
    field: 'region',
    value: '020'
  },
  to: {
    field: 'region',
    value: 'ad'
  }
}, {
  from: {
    field: 'region',
    value: '784'
  },
  to: {
    field: 'region',
    value: 'ae'
  }
}, {
  from: {
    field: 'region',
    value: '004'
  },
  to: {
    field: 'region',
    value: 'af'
  }
}, {
  from: {
    field: 'region',
    value: '028'
  },
  to: {
    field: 'region',
    value: 'ag'
  }
}, {
  from: {
    field: 'region',
    value: '660'
  },
  to: {
    field: 'region',
    value: 'ai'
  }
}, {
  from: {
    field: 'region',
    value: '008'
  },
  to: {
    field: 'region',
    value: 'al'
  }
}, {
  from: {
    field: 'region',
    value: '051'
  },
  to: {
    field: 'region',
    value: 'am'
  }
}, {
  from: {
    field: 'region',
    value: '024'
  },
  to: {
    field: 'region',
    value: 'ao'
  }
}, {
  from: {
    field: 'region',
    value: '010'
  },
  to: {
    field: 'region',
    value: 'aq'
  }
}, {
  from: {
    field: 'region',
    value: '032'
  },
  to: {
    field: 'region',
    value: 'ar'
  }
}, {
  from: {
    field: 'region',
    value: '016'
  },
  to: {
    field: 'region',
    value: 'as'
  }
}, {
  from: {
    field: 'region',
    value: '040'
  },
  to: {
    field: 'region',
    value: 'at'
  }
}, {
  from: {
    field: 'region',
    value: '036'
  },
  to: {
    field: 'region',
    value: 'au'
  }
}, {
  from: {
    field: 'region',
    value: '533'
  },
  to: {
    field: 'region',
    value: 'aw'
  }
}, {
  from: {
    field: 'region',
    value: '248'
  },
  to: {
    field: 'region',
    value: 'ax'
  }
}, {
  from: {
    field: 'region',
    value: '031'
  },
  to: {
    field: 'region',
    value: 'az'
  }
}, {
  from: {
    field: 'region',
    value: '070'
  },
  to: {
    field: 'region',
    value: 'ba'
  }
}, {
  from: {
    field: 'region',
    value: '052'
  },
  to: {
    field: 'region',
    value: 'bb'
  }
}, {
  from: {
    field: 'region',
    value: '050'
  },
  to: {
    field: 'region',
    value: 'bd'
  }
}, {
  from: {
    field: 'region',
    value: '056'
  },
  to: {
    field: 'region',
    value: 'be'
  }
}, {
  from: {
    field: 'region',
    value: '854'
  },
  to: {
    field: 'region',
    value: 'bf'
  }
}, {
  from: {
    field: 'region',
    value: '100'
  },
  to: {
    field: 'region',
    value: 'bg'
  }
}, {
  from: {
    field: 'region',
    value: '048'
  },
  to: {
    field: 'region',
    value: 'bh'
  }
}, {
  from: {
    field: 'region',
    value: '108'
  },
  to: {
    field: 'region',
    value: 'bi'
  }
}, {
  from: {
    field: 'region',
    value: '204'
  },
  to: {
    field: 'region',
    value: 'bj'
  }
}, {
  from: {
    field: 'region',
    value: '652'
  },
  to: {
    field: 'region',
    value: 'bl'
  }
}, {
  from: {
    field: 'region',
    value: '060'
  },
  to: {
    field: 'region',
    value: 'bm'
  }
}, {
  from: {
    field: 'region',
    value: '096'
  },
  to: {
    field: 'region',
    value: 'bn'
  }
}, {
  from: {
    field: 'region',
    value: '068'
  },
  to: {
    field: 'region',
    value: 'bo'
  }
}, {
  from: {
    field: 'region',
    value: '535'
  },
  to: {
    field: 'region',
    value: 'bq'
  }
}, {
  from: {
    field: 'region',
    value: '076'
  },
  to: {
    field: 'region',
    value: 'br'
  }
}, {
  from: {
    field: 'region',
    value: '044'
  },
  to: {
    field: 'region',
    value: 'bs'
  }
}, {
  from: {
    field: 'region',
    value: '064'
  },
  to: {
    field: 'region',
    value: 'bt'
  }
}, {
  from: {
    field: 'region',
    value: '104'
  },
  to: {
    field: 'region',
    value: 'mm'
  }
}, {
  from: {
    field: 'region',
    value: '074'
  },
  to: {
    field: 'region',
    value: 'bv'
  }
}, {
  from: {
    field: 'region',
    value: '072'
  },
  to: {
    field: 'region',
    value: 'bw'
  }
}, {
  from: {
    field: 'region',
    value: '112'
  },
  to: {
    field: 'region',
    value: 'by'
  }
}, {
  from: {
    field: 'region',
    value: '084'
  },
  to: {
    field: 'region',
    value: 'bz'
  }
}, {
  from: {
    field: 'region',
    value: '124'
  },
  to: {
    field: 'region',
    value: 'ca'
  }
}, {
  from: {
    field: 'region',
    value: '166'
  },
  to: {
    field: 'region',
    value: 'cc'
  }
}, {
  from: {
    field: 'region',
    value: '180'
  },
  to: {
    field: 'region',
    value: 'cd'
  }
}, {
  from: {
    field: 'region',
    value: '140'
  },
  to: {
    field: 'region',
    value: 'cf'
  }
}, {
  from: {
    field: 'region',
    value: '178'
  },
  to: {
    field: 'region',
    value: 'cg'
  }
}, {
  from: {
    field: 'region',
    value: '756'
  },
  to: {
    field: 'region',
    value: 'ch'
  }
}, {
  from: {
    field: 'region',
    value: '384'
  },
  to: {
    field: 'region',
    value: 'ci'
  }
}, {
  from: {
    field: 'region',
    value: '184'
  },
  to: {
    field: 'region',
    value: 'ck'
  }
}, {
  from: {
    field: 'region',
    value: '152'
  },
  to: {
    field: 'region',
    value: 'cl'
  }
}, {
  from: {
    field: 'region',
    value: '120'
  },
  to: {
    field: 'region',
    value: 'cm'
  }
}, {
  from: {
    field: 'region',
    value: '156'
  },
  to: {
    field: 'region',
    value: 'cn'
  }
}, {
  from: {
    field: 'region',
    value: '170'
  },
  to: {
    field: 'region',
    value: 'co'
  }
}, {
  from: {
    field: 'region',
    value: '188'
  },
  to: {
    field: 'region',
    value: 'cr'
  }
}, {
  from: {
    field: 'region',
    value: '192'
  },
  to: {
    field: 'region',
    value: 'cu'
  }
}, {
  from: {
    field: 'region',
    value: '132'
  },
  to: {
    field: 'region',
    value: 'cv'
  }
}, {
  from: {
    field: 'region',
    value: '531'
  },
  to: {
    field: 'region',
    value: 'cw'
  }
}, {
  from: {
    field: 'region',
    value: '162'
  },
  to: {
    field: 'region',
    value: 'cx'
  }
}, {
  from: {
    field: 'region',
    value: '196'
  },
  to: {
    field: 'region',
    value: 'cy'
  }
}, {
  from: {
    field: 'region',
    value: '203'
  },
  to: {
    field: 'region',
    value: 'cz'
  }
}, {
  from: {
    field: 'region',
    value: '278'
  },
  to: {
    field: 'region',
    value: 'de'
  }
}, {
  from: {
    field: 'region',
    value: '276'
  },
  to: {
    field: 'region',
    value: 'de'
  }
}, {
  from: {
    field: 'region',
    value: '262'
  },
  to: {
    field: 'region',
    value: 'dj'
  }
}, {
  from: {
    field: 'region',
    value: '208'
  },
  to: {
    field: 'region',
    value: 'dk'
  }
}, {
  from: {
    field: 'region',
    value: '212'
  },
  to: {
    field: 'region',
    value: 'dm'
  }
}, {
  from: {
    field: 'region',
    value: '214'
  },
  to: {
    field: 'region',
    value: 'do'
  }
}, {
  from: {
    field: 'region',
    value: '012'
  },
  to: {
    field: 'region',
    value: 'dz'
  }
}, {
  from: {
    field: 'region',
    value: '218'
  },
  to: {
    field: 'region',
    value: 'ec'
  }
}, {
  from: {
    field: 'region',
    value: '233'
  },
  to: {
    field: 'region',
    value: 'ee'
  }
}, {
  from: {
    field: 'region',
    value: '818'
  },
  to: {
    field: 'region',
    value: 'eg'
  }
}, {
  from: {
    field: 'region',
    value: '732'
  },
  to: {
    field: 'region',
    value: 'eh'
  }
}, {
  from: {
    field: 'region',
    value: '232'
  },
  to: {
    field: 'region',
    value: 'er'
  }
}, {
  from: {
    field: 'region',
    value: '724'
  },
  to: {
    field: 'region',
    value: 'es'
  }
}, {
  from: {
    field: 'region',
    value: '231'
  },
  to: {
    field: 'region',
    value: 'et'
  }
}, {
  from: {
    field: 'region',
    value: '246'
  },
  to: {
    field: 'region',
    value: 'fi'
  }
}, {
  from: {
    field: 'region',
    value: '242'
  },
  to: {
    field: 'region',
    value: 'fj'
  }
}, {
  from: {
    field: 'region',
    value: '238'
  },
  to: {
    field: 'region',
    value: 'fk'
  }
}, {
  from: {
    field: 'region',
    value: '583'
  },
  to: {
    field: 'region',
    value: 'fm'
  }
}, {
  from: {
    field: 'region',
    value: '234'
  },
  to: {
    field: 'region',
    value: 'fo'
  }
}, {
  from: {
    field: 'region',
    value: '250'
  },
  to: {
    field: 'region',
    value: 'fr'
  }
}, {
  from: {
    field: 'region',
    value: '249'
  },
  to: {
    field: 'region',
    value: 'fr'
  }
}, {
  from: {
    field: 'region',
    value: '266'
  },
  to: {
    field: 'region',
    value: 'ga'
  }
}, {
  from: {
    field: 'region',
    value: '826'
  },
  to: {
    field: 'region',
    value: 'gb'
  }
}, {
  from: {
    field: 'region',
    value: '308'
  },
  to: {
    field: 'region',
    value: 'gd'
  }
}, {
  from: {
    field: 'region',
    value: '268'
  },
  to: {
    field: 'region',
    value: 'ge'
  }
}, {
  from: {
    field: 'region',
    value: '254'
  },
  to: {
    field: 'region',
    value: 'gf'
  }
}, {
  from: {
    field: 'region',
    value: '831'
  },
  to: {
    field: 'region',
    value: 'gg'
  }
}, {
  from: {
    field: 'region',
    value: '288'
  },
  to: {
    field: 'region',
    value: 'gh'
  }
}, {
  from: {
    field: 'region',
    value: '292'
  },
  to: {
    field: 'region',
    value: 'gi'
  }
}, {
  from: {
    field: 'region',
    value: '304'
  },
  to: {
    field: 'region',
    value: 'gl'
  }
}, {
  from: {
    field: 'region',
    value: '270'
  },
  to: {
    field: 'region',
    value: 'gm'
  }
}, {
  from: {
    field: 'region',
    value: '324'
  },
  to: {
    field: 'region',
    value: 'gn'
  }
}, {
  from: {
    field: 'region',
    value: '312'
  },
  to: {
    field: 'region',
    value: 'gp'
  }
}, {
  from: {
    field: 'region',
    value: '226'
  },
  to: {
    field: 'region',
    value: 'gq'
  }
}, {
  from: {
    field: 'region',
    value: '300'
  },
  to: {
    field: 'region',
    value: 'gr'
  }
}, {
  from: {
    field: 'region',
    value: '239'
  },
  to: {
    field: 'region',
    value: 'gs'
  }
}, {
  from: {
    field: 'region',
    value: '320'
  },
  to: {
    field: 'region',
    value: 'gt'
  }
}, {
  from: {
    field: 'region',
    value: '316'
  },
  to: {
    field: 'region',
    value: 'gu'
  }
}, {
  from: {
    field: 'region',
    value: '624'
  },
  to: {
    field: 'region',
    value: 'gw'
  }
}, {
  from: {
    field: 'region',
    value: '328'
  },
  to: {
    field: 'region',
    value: 'gy'
  }
}, {
  from: {
    field: 'region',
    value: '344'
  },
  to: {
    field: 'region',
    value: 'hk'
  }
}, {
  from: {
    field: 'region',
    value: '334'
  },
  to: {
    field: 'region',
    value: 'hm'
  }
}, {
  from: {
    field: 'region',
    value: '340'
  },
  to: {
    field: 'region',
    value: 'hn'
  }
}, {
  from: {
    field: 'region',
    value: '191'
  },
  to: {
    field: 'region',
    value: 'hr'
  }
}, {
  from: {
    field: 'region',
    value: '332'
  },
  to: {
    field: 'region',
    value: 'ht'
  }
}, {
  from: {
    field: 'region',
    value: '348'
  },
  to: {
    field: 'region',
    value: 'hu'
  }
}, {
  from: {
    field: 'region',
    value: '360'
  },
  to: {
    field: 'region',
    value: 'id'
  }
}, {
  from: {
    field: 'region',
    value: '372'
  },
  to: {
    field: 'region',
    value: 'ie'
  }
}, {
  from: {
    field: 'region',
    value: '376'
  },
  to: {
    field: 'region',
    value: 'il'
  }
}, {
  from: {
    field: 'region',
    value: '833'
  },
  to: {
    field: 'region',
    value: 'im'
  }
}, {
  from: {
    field: 'region',
    value: '356'
  },
  to: {
    field: 'region',
    value: 'in'
  }
}, {
  from: {
    field: 'region',
    value: '086'
  },
  to: {
    field: 'region',
    value: 'io'
  }
}, {
  from: {
    field: 'region',
    value: '368'
  },
  to: {
    field: 'region',
    value: 'iq'
  }
}, {
  from: {
    field: 'region',
    value: '364'
  },
  to: {
    field: 'region',
    value: 'ir'
  }
}, {
  from: {
    field: 'region',
    value: '352'
  },
  to: {
    field: 'region',
    value: 'is'
  }
}, {
  from: {
    field: 'region',
    value: '380'
  },
  to: {
    field: 'region',
    value: 'it'
  }
}, {
  from: {
    field: 'region',
    value: '832'
  },
  to: {
    field: 'region',
    value: 'je'
  }
}, {
  from: {
    field: 'region',
    value: '388'
  },
  to: {
    field: 'region',
    value: 'jm'
  }
}, {
  from: {
    field: 'region',
    value: '400'
  },
  to: {
    field: 'region',
    value: 'jo'
  }
}, {
  from: {
    field: 'region',
    value: '392'
  },
  to: {
    field: 'region',
    value: 'jp'
  }
}, {
  from: {
    field: 'region',
    value: '404'
  },
  to: {
    field: 'region',
    value: 'ke'
  }
}, {
  from: {
    field: 'region',
    value: '417'
  },
  to: {
    field: 'region',
    value: 'kg'
  }
}, {
  from: {
    field: 'region',
    value: '116'
  },
  to: {
    field: 'region',
    value: 'kh'
  }
}, {
  from: {
    field: 'region',
    value: '296'
  },
  to: {
    field: 'region',
    value: 'ki'
  }
}, {
  from: {
    field: 'region',
    value: '174'
  },
  to: {
    field: 'region',
    value: 'km'
  }
}, {
  from: {
    field: 'region',
    value: '659'
  },
  to: {
    field: 'region',
    value: 'kn'
  }
}, {
  from: {
    field: 'region',
    value: '408'
  },
  to: {
    field: 'region',
    value: 'kp'
  }
}, {
  from: {
    field: 'region',
    value: '410'
  },
  to: {
    field: 'region',
    value: 'kr'
  }
}, {
  from: {
    field: 'region',
    value: '414'
  },
  to: {
    field: 'region',
    value: 'kw'
  }
}, {
  from: {
    field: 'region',
    value: '136'
  },
  to: {
    field: 'region',
    value: 'ky'
  }
}, {
  from: {
    field: 'region',
    value: '398'
  },
  to: {
    field: 'region',
    value: 'kz'
  }
}, {
  from: {
    field: 'region',
    value: '418'
  },
  to: {
    field: 'region',
    value: 'la'
  }
}, {
  from: {
    field: 'region',
    value: '422'
  },
  to: {
    field: 'region',
    value: 'lb'
  }
}, {
  from: {
    field: 'region',
    value: '662'
  },
  to: {
    field: 'region',
    value: 'lc'
  }
}, {
  from: {
    field: 'region',
    value: '438'
  },
  to: {
    field: 'region',
    value: 'li'
  }
}, {
  from: {
    field: 'region',
    value: '144'
  },
  to: {
    field: 'region',
    value: 'lk'
  }
}, {
  from: {
    field: 'region',
    value: '430'
  },
  to: {
    field: 'region',
    value: 'lr'
  }
}, {
  from: {
    field: 'region',
    value: '426'
  },
  to: {
    field: 'region',
    value: 'ls'
  }
}, {
  from: {
    field: 'region',
    value: '440'
  },
  to: {
    field: 'region',
    value: 'lt'
  }
}, {
  from: {
    field: 'region',
    value: '442'
  },
  to: {
    field: 'region',
    value: 'lu'
  }
}, {
  from: {
    field: 'region',
    value: '428'
  },
  to: {
    field: 'region',
    value: 'lv'
  }
}, {
  from: {
    field: 'region',
    value: '434'
  },
  to: {
    field: 'region',
    value: 'ly'
  }
}, {
  from: {
    field: 'region',
    value: '504'
  },
  to: {
    field: 'region',
    value: 'ma'
  }
}, {
  from: {
    field: 'region',
    value: '492'
  },
  to: {
    field: 'region',
    value: 'mc'
  }
}, {
  from: {
    field: 'region',
    value: '498'
  },
  to: {
    field: 'region',
    value: 'md'
  }
}, {
  from: {
    field: 'region',
    value: '499'
  },
  to: {
    field: 'region',
    value: 'me'
  }
}, {
  from: {
    field: 'region',
    value: '663'
  },
  to: {
    field: 'region',
    value: 'mf'
  }
}, {
  from: {
    field: 'region',
    value: '450'
  },
  to: {
    field: 'region',
    value: 'mg'
  }
}, {
  from: {
    field: 'region',
    value: '584'
  },
  to: {
    field: 'region',
    value: 'mh'
  }
}, {
  from: {
    field: 'region',
    value: '807'
  },
  to: {
    field: 'region',
    value: 'mk'
  }
}, {
  from: {
    field: 'region',
    value: '466'
  },
  to: {
    field: 'region',
    value: 'ml'
  }
}, {
  from: {
    field: 'region',
    value: '496'
  },
  to: {
    field: 'region',
    value: 'mn'
  }
}, {
  from: {
    field: 'region',
    value: '446'
  },
  to: {
    field: 'region',
    value: 'mo'
  }
}, {
  from: {
    field: 'region',
    value: '580'
  },
  to: {
    field: 'region',
    value: 'mp'
  }
}, {
  from: {
    field: 'region',
    value: '474'
  },
  to: {
    field: 'region',
    value: 'mq'
  }
}, {
  from: {
    field: 'region',
    value: '478'
  },
  to: {
    field: 'region',
    value: 'mr'
  }
}, {
  from: {
    field: 'region',
    value: '500'
  },
  to: {
    field: 'region',
    value: 'ms'
  }
}, {
  from: {
    field: 'region',
    value: '470'
  },
  to: {
    field: 'region',
    value: 'mt'
  }
}, {
  from: {
    field: 'region',
    value: '480'
  },
  to: {
    field: 'region',
    value: 'mu'
  }
}, {
  from: {
    field: 'region',
    value: '462'
  },
  to: {
    field: 'region',
    value: 'mv'
  }
}, {
  from: {
    field: 'region',
    value: '454'
  },
  to: {
    field: 'region',
    value: 'mw'
  }
}, {
  from: {
    field: 'region',
    value: '484'
  },
  to: {
    field: 'region',
    value: 'mx'
  }
}, {
  from: {
    field: 'region',
    value: '458'
  },
  to: {
    field: 'region',
    value: 'my'
  }
}, {
  from: {
    field: 'region',
    value: '508'
  },
  to: {
    field: 'region',
    value: 'mz'
  }
}, {
  from: {
    field: 'region',
    value: '516'
  },
  to: {
    field: 'region',
    value: 'na'
  }
}, {
  from: {
    field: 'region',
    value: '540'
  },
  to: {
    field: 'region',
    value: 'nc'
  }
}, {
  from: {
    field: 'region',
    value: '562'
  },
  to: {
    field: 'region',
    value: 'ne'
  }
}, {
  from: {
    field: 'region',
    value: '574'
  },
  to: {
    field: 'region',
    value: 'nf'
  }
}, {
  from: {
    field: 'region',
    value: '566'
  },
  to: {
    field: 'region',
    value: 'ng'
  }
}, {
  from: {
    field: 'region',
    value: '558'
  },
  to: {
    field: 'region',
    value: 'ni'
  }
}, {
  from: {
    field: 'region',
    value: '528'
  },
  to: {
    field: 'region',
    value: 'nl'
  }
}, {
  from: {
    field: 'region',
    value: '578'
  },
  to: {
    field: 'region',
    value: 'no'
  }
}, {
  from: {
    field: 'region',
    value: '524'
  },
  to: {
    field: 'region',
    value: 'np'
  }
}, {
  from: {
    field: 'region',
    value: '520'
  },
  to: {
    field: 'region',
    value: 'nr'
  }
}, {
  from: {
    field: 'region',
    value: '570'
  },
  to: {
    field: 'region',
    value: 'nu'
  }
}, {
  from: {
    field: 'region',
    value: '554'
  },
  to: {
    field: 'region',
    value: 'nz'
  }
}, {
  from: {
    field: 'region',
    value: '512'
  },
  to: {
    field: 'region',
    value: 'om'
  }
}, {
  from: {
    field: 'region',
    value: '591'
  },
  to: {
    field: 'region',
    value: 'pa'
  }
}, {
  from: {
    field: 'region',
    value: '604'
  },
  to: {
    field: 'region',
    value: 'pe'
  }
}, {
  from: {
    field: 'region',
    value: '258'
  },
  to: {
    field: 'region',
    value: 'pf'
  }
}, {
  from: {
    field: 'region',
    value: '598'
  },
  to: {
    field: 'region',
    value: 'pg'
  }
}, {
  from: {
    field: 'region',
    value: '608'
  },
  to: {
    field: 'region',
    value: 'ph'
  }
}, {
  from: {
    field: 'region',
    value: '586'
  },
  to: {
    field: 'region',
    value: 'pk'
  }
}, {
  from: {
    field: 'region',
    value: '616'
  },
  to: {
    field: 'region',
    value: 'pl'
  }
}, {
  from: {
    field: 'region',
    value: '666'
  },
  to: {
    field: 'region',
    value: 'pm'
  }
}, {
  from: {
    field: 'region',
    value: '612'
  },
  to: {
    field: 'region',
    value: 'pn'
  }
}, {
  from: {
    field: 'region',
    value: '630'
  },
  to: {
    field: 'region',
    value: 'pr'
  }
}, {
  from: {
    field: 'region',
    value: '275'
  },
  to: {
    field: 'region',
    value: 'ps'
  }
}, {
  from: {
    field: 'region',
    value: '620'
  },
  to: {
    field: 'region',
    value: 'pt'
  }
}, {
  from: {
    field: 'region',
    value: '585'
  },
  to: {
    field: 'region',
    value: 'pw'
  }
}, {
  from: {
    field: 'region',
    value: '600'
  },
  to: {
    field: 'region',
    value: 'py'
  }
}, {
  from: {
    field: 'region',
    value: '634'
  },
  to: {
    field: 'region',
    value: 'qa'
  }
}, {
  from: {
    field: 'region',
    value: '959'
  },
  to: {
    field: 'region',
    value: 'qm'
  }
}, {
  from: {
    field: 'region',
    value: '960'
  },
  to: {
    field: 'region',
    value: 'qn'
  }
}, {
  from: {
    field: 'region',
    value: '962'
  },
  to: {
    field: 'region',
    value: 'qp'
  }
}, {
  from: {
    field: 'region',
    value: '963'
  },
  to: {
    field: 'region',
    value: 'qq'
  }
}, {
  from: {
    field: 'region',
    value: '964'
  },
  to: {
    field: 'region',
    value: 'qr'
  }
}, {
  from: {
    field: 'region',
    value: '965'
  },
  to: {
    field: 'region',
    value: 'qs'
  }
}, {
  from: {
    field: 'region',
    value: '966'
  },
  to: {
    field: 'region',
    value: 'qt'
  }
}, {
  from: {
    field: 'region',
    value: '967'
  },
  to: {
    field: 'region',
    value: 'eu'
  }
}, {
  from: {
    field: 'region',
    value: '968'
  },
  to: {
    field: 'region',
    value: 'qv'
  }
}, {
  from: {
    field: 'region',
    value: '969'
  },
  to: {
    field: 'region',
    value: 'qw'
  }
}, {
  from: {
    field: 'region',
    value: '970'
  },
  to: {
    field: 'region',
    value: 'qx'
  }
}, {
  from: {
    field: 'region',
    value: '971'
  },
  to: {
    field: 'region',
    value: 'qy'
  }
}, {
  from: {
    field: 'region',
    value: '972'
  },
  to: {
    field: 'region',
    value: 'qz'
  }
}, {
  from: {
    field: 'region',
    value: '638'
  },
  to: {
    field: 'region',
    value: 're'
  }
}, {
  from: {
    field: 'region',
    value: '642'
  },
  to: {
    field: 'region',
    value: 'ro'
  }
}, {
  from: {
    field: 'region',
    value: '688'
  },
  to: {
    field: 'region',
    value: 'rs'
  }
}, {
  from: {
    field: 'region',
    value: '643'
  },
  to: {
    field: 'region',
    value: 'ru'
  }
}, {
  from: {
    field: 'region',
    value: '646'
  },
  to: {
    field: 'region',
    value: 'rw'
  }
}, {
  from: {
    field: 'region',
    value: '682'
  },
  to: {
    field: 'region',
    value: 'sa'
  }
}, {
  from: {
    field: 'region',
    value: '090'
  },
  to: {
    field: 'region',
    value: 'sb'
  }
}, {
  from: {
    field: 'region',
    value: '690'
  },
  to: {
    field: 'region',
    value: 'sc'
  }
}, {
  from: {
    field: 'region',
    value: '729'
  },
  to: {
    field: 'region',
    value: 'sd'
  }
}, {
  from: {
    field: 'region',
    value: '752'
  },
  to: {
    field: 'region',
    value: 'se'
  }
}, {
  from: {
    field: 'region',
    value: '702'
  },
  to: {
    field: 'region',
    value: 'sg'
  }
}, {
  from: {
    field: 'region',
    value: '654'
  },
  to: {
    field: 'region',
    value: 'sh'
  }
}, {
  from: {
    field: 'region',
    value: '705'
  },
  to: {
    field: 'region',
    value: 'si'
  }
}, {
  from: {
    field: 'region',
    value: '744'
  },
  to: {
    field: 'region',
    value: 'sj'
  }
}, {
  from: {
    field: 'region',
    value: '703'
  },
  to: {
    field: 'region',
    value: 'sk'
  }
}, {
  from: {
    field: 'region',
    value: '694'
  },
  to: {
    field: 'region',
    value: 'sl'
  }
}, {
  from: {
    field: 'region',
    value: '674'
  },
  to: {
    field: 'region',
    value: 'sm'
  }
}, {
  from: {
    field: 'region',
    value: '686'
  },
  to: {
    field: 'region',
    value: 'sn'
  }
}, {
  from: {
    field: 'region',
    value: '706'
  },
  to: {
    field: 'region',
    value: 'so'
  }
}, {
  from: {
    field: 'region',
    value: '740'
  },
  to: {
    field: 'region',
    value: 'sr'
  }
}, {
  from: {
    field: 'region',
    value: '728'
  },
  to: {
    field: 'region',
    value: 'ss'
  }
}, {
  from: {
    field: 'region',
    value: '678'
  },
  to: {
    field: 'region',
    value: 'st'
  }
}, {
  from: {
    field: 'region',
    value: '222'
  },
  to: {
    field: 'region',
    value: 'sv'
  }
}, {
  from: {
    field: 'region',
    value: '534'
  },
  to: {
    field: 'region',
    value: 'sx'
  }
}, {
  from: {
    field: 'region',
    value: '760'
  },
  to: {
    field: 'region',
    value: 'sy'
  }
}, {
  from: {
    field: 'region',
    value: '748'
  },
  to: {
    field: 'region',
    value: 'sz'
  }
}, {
  from: {
    field: 'region',
    value: '796'
  },
  to: {
    field: 'region',
    value: 'tc'
  }
}, {
  from: {
    field: 'region',
    value: '148'
  },
  to: {
    field: 'region',
    value: 'td'
  }
}, {
  from: {
    field: 'region',
    value: '260'
  },
  to: {
    field: 'region',
    value: 'tf'
  }
}, {
  from: {
    field: 'region',
    value: '768'
  },
  to: {
    field: 'region',
    value: 'tg'
  }
}, {
  from: {
    field: 'region',
    value: '764'
  },
  to: {
    field: 'region',
    value: 'th'
  }
}, {
  from: {
    field: 'region',
    value: '762'
  },
  to: {
    field: 'region',
    value: 'tj'
  }
}, {
  from: {
    field: 'region',
    value: '772'
  },
  to: {
    field: 'region',
    value: 'tk'
  }
}, {
  from: {
    field: 'region',
    value: '626'
  },
  to: {
    field: 'region',
    value: 'tl'
  }
}, {
  from: {
    field: 'region',
    value: '795'
  },
  to: {
    field: 'region',
    value: 'tm'
  }
}, {
  from: {
    field: 'region',
    value: '788'
  },
  to: {
    field: 'region',
    value: 'tn'
  }
}, {
  from: {
    field: 'region',
    value: '776'
  },
  to: {
    field: 'region',
    value: 'to'
  }
}, {
  from: {
    field: 'region',
    value: '792'
  },
  to: {
    field: 'region',
    value: 'tr'
  }
}, {
  from: {
    field: 'region',
    value: '780'
  },
  to: {
    field: 'region',
    value: 'tt'
  }
}, {
  from: {
    field: 'region',
    value: '798'
  },
  to: {
    field: 'region',
    value: 'tv'
  }
}, {
  from: {
    field: 'region',
    value: '158'
  },
  to: {
    field: 'region',
    value: 'tw'
  }
}, {
  from: {
    field: 'region',
    value: '834'
  },
  to: {
    field: 'region',
    value: 'tz'
  }
}, {
  from: {
    field: 'region',
    value: '804'
  },
  to: {
    field: 'region',
    value: 'ua'
  }
}, {
  from: {
    field: 'region',
    value: '800'
  },
  to: {
    field: 'region',
    value: 'ug'
  }
}, {
  from: {
    field: 'region',
    value: '581'
  },
  to: {
    field: 'region',
    value: 'um'
  }
}, {
  from: {
    field: 'region',
    value: '840'
  },
  to: {
    field: 'region',
    value: 'us'
  }
}, {
  from: {
    field: 'region',
    value: '858'
  },
  to: {
    field: 'region',
    value: 'uy'
  }
}, {
  from: {
    field: 'region',
    value: '860'
  },
  to: {
    field: 'region',
    value: 'uz'
  }
}, {
  from: {
    field: 'region',
    value: '336'
  },
  to: {
    field: 'region',
    value: 'va'
  }
}, {
  from: {
    field: 'region',
    value: '670'
  },
  to: {
    field: 'region',
    value: 'vc'
  }
}, {
  from: {
    field: 'region',
    value: '862'
  },
  to: {
    field: 'region',
    value: 've'
  }
}, {
  from: {
    field: 'region',
    value: '092'
  },
  to: {
    field: 'region',
    value: 'vg'
  }
}, {
  from: {
    field: 'region',
    value: '850'
  },
  to: {
    field: 'region',
    value: 'vi'
  }
}, {
  from: {
    field: 'region',
    value: '704'
  },
  to: {
    field: 'region',
    value: 'vn'
  }
}, {
  from: {
    field: 'region',
    value: '548'
  },
  to: {
    field: 'region',
    value: 'vu'
  }
}, {
  from: {
    field: 'region',
    value: '876'
  },
  to: {
    field: 'region',
    value: 'wf'
  }
}, {
  from: {
    field: 'region',
    value: '882'
  },
  to: {
    field: 'region',
    value: 'ws'
  }
}, {
  from: {
    field: 'region',
    value: '973'
  },
  to: {
    field: 'region',
    value: 'xa'
  }
}, {
  from: {
    field: 'region',
    value: '974'
  },
  to: {
    field: 'region',
    value: 'xb'
  }
}, {
  from: {
    field: 'region',
    value: '975'
  },
  to: {
    field: 'region',
    value: 'xc'
  }
}, {
  from: {
    field: 'region',
    value: '976'
  },
  to: {
    field: 'region',
    value: 'xd'
  }
}, {
  from: {
    field: 'region',
    value: '977'
  },
  to: {
    field: 'region',
    value: 'xe'
  }
}, {
  from: {
    field: 'region',
    value: '978'
  },
  to: {
    field: 'region',
    value: 'xf'
  }
}, {
  from: {
    field: 'region',
    value: '979'
  },
  to: {
    field: 'region',
    value: 'xg'
  }
}, {
  from: {
    field: 'region',
    value: '980'
  },
  to: {
    field: 'region',
    value: 'xh'
  }
}, {
  from: {
    field: 'region',
    value: '981'
  },
  to: {
    field: 'region',
    value: 'xi'
  }
}, {
  from: {
    field: 'region',
    value: '982'
  },
  to: {
    field: 'region',
    value: 'xj'
  }
}, {
  from: {
    field: 'region',
    value: '983'
  },
  to: {
    field: 'region',
    value: 'xk'
  }
}, {
  from: {
    field: 'region',
    value: '984'
  },
  to: {
    field: 'region',
    value: 'xl'
  }
}, {
  from: {
    field: 'region',
    value: '985'
  },
  to: {
    field: 'region',
    value: 'xm'
  }
}, {
  from: {
    field: 'region',
    value: '986'
  },
  to: {
    field: 'region',
    value: 'xn'
  }
}, {
  from: {
    field: 'region',
    value: '987'
  },
  to: {
    field: 'region',
    value: 'xo'
  }
}, {
  from: {
    field: 'region',
    value: '988'
  },
  to: {
    field: 'region',
    value: 'xp'
  }
}, {
  from: {
    field: 'region',
    value: '989'
  },
  to: {
    field: 'region',
    value: 'xq'
  }
}, {
  from: {
    field: 'region',
    value: '990'
  },
  to: {
    field: 'region',
    value: 'xr'
  }
}, {
  from: {
    field: 'region',
    value: '991'
  },
  to: {
    field: 'region',
    value: 'xs'
  }
}, {
  from: {
    field: 'region',
    value: '992'
  },
  to: {
    field: 'region',
    value: 'xt'
  }
}, {
  from: {
    field: 'region',
    value: '993'
  },
  to: {
    field: 'region',
    value: 'xu'
  }
}, {
  from: {
    field: 'region',
    value: '994'
  },
  to: {
    field: 'region',
    value: 'xv'
  }
}, {
  from: {
    field: 'region',
    value: '995'
  },
  to: {
    field: 'region',
    value: 'xw'
  }
}, {
  from: {
    field: 'region',
    value: '996'
  },
  to: {
    field: 'region',
    value: 'xx'
  }
}, {
  from: {
    field: 'region',
    value: '997'
  },
  to: {
    field: 'region',
    value: 'xy'
  }
}, {
  from: {
    field: 'region',
    value: '998'
  },
  to: {
    field: 'region',
    value: 'xz'
  }
}, {
  from: {
    field: 'region',
    value: '720'
  },
  to: {
    field: 'region',
    value: 'ye'
  }
}, {
  from: {
    field: 'region',
    value: '887'
  },
  to: {
    field: 'region',
    value: 'ye'
  }
}, {
  from: {
    field: 'region',
    value: '175'
  },
  to: {
    field: 'region',
    value: 'yt'
  }
}, {
  from: {
    field: 'region',
    value: '710'
  },
  to: {
    field: 'region',
    value: 'za'
  }
}, {
  from: {
    field: 'region',
    value: '894'
  },
  to: {
    field: 'region',
    value: 'zm'
  }
}, {
  from: {
    field: 'region',
    value: '716'
  },
  to: {
    field: 'region',
    value: 'zw'
  }
}, {
  from: {
    field: 'region',
    value: '999'
  },
  to: {
    field: 'region',
    value: 'zz'
  }
}, {
  from: {
    field: 'variants',
    value: 'polytoni'
  },
  to: {
    field: 'variants',
    value: 'polyton'
  }
}, {
  from: {
    field: 'variants',
    value: 'heploc'
  },
  to: {
    field: 'variants',
    value: 'alalc97'
  }
}];

/***/ }),

/***/ "./node_modules/bcp-47-normalize/lib/index.js":
/*!****************************************************!*\
  !*** ./node_modules/bcp-47-normalize/lib/index.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   bcp47Normalize: function() { return /* binding */ bcp47Normalize; }
/* harmony export */ });
/* harmony import */ var bcp_47__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! bcp-47 */ "./node_modules/bcp-47/lib/stringify.js");
/* harmony import */ var bcp_47__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! bcp-47 */ "./node_modules/bcp-47/lib/parse.js");
/* harmony import */ var bcp_47_match__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! bcp-47-match */ "./node_modules/bcp-47-match/index.js");
/* harmony import */ var _matches_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./matches.js */ "./node_modules/bcp-47-normalize/lib/matches.js");
/* harmony import */ var _fields_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./fields.js */ "./node_modules/bcp-47-normalize/lib/fields.js");
/* harmony import */ var _many_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./many.js */ "./node_modules/bcp-47-normalize/lib/many.js");
/* harmony import */ var _likely_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./likely.js */ "./node_modules/bcp-47-normalize/lib/likely.js");
/**
 * @typedef {import('bcp-47').Warning} Warning
 * @typedef {import('bcp-47').Schema} Schema
 * @typedef {import('bcp-47').Extension} Extension
 *
 * @typedef Options
 *   Configuration (optional).
 * @property {boolean} [forgiving]
 *   Passed to `bcp-47` as `options.forgiving`.
 * @property {Warning} [warning]
 *   Passed to `bcp-47` as `options.warning`.
 *
 *   One additional warning is given:
 *
 *   | code | reason                                                     |
 *   | :--- | :--------------------------------------------------------- |
 *   | 7    | Deprecated region `CURRENT`, expected one of `SUGGESTIONS` |
 *
 *   This warning is only given if the region cannot be automatically fixed
 *   (when regions split into multiple regions).
 */







const own = {}.hasOwnProperty;

/**
 * @param {Schema} base
 * @param {Partial<Schema>} changes
 * @returns {Schema}
 */
function merge(base, changes) {
  if (!base.language) base.language = changes.language;
  if (!base.script) base.script = changes.script;
  if (!base.region) base.region = changes.region;
  if (changes.variants) base.variants.push(...changes.variants);
  return base;
}

/**
 * Mostly like:
 * <https://github.com/formatjs/formatjs/blob/a15e757/packages/intl-locale/index.ts#L254>
 * But doesn’t crash.
 *
 * @param {Schema} schema
 * @returns {string}
 */
function addLikelySubtags(schema) {
  const {
    language,
    script,
    region
  } = schema;
  /** @type {string|undefined} */
  let match;
  if (script && region && (match = _likely_js__WEBPACK_IMPORTED_MODULE_0__.likely[(0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)({
    language,
    script,
    region
  })])) {
    schema.script = undefined;
    schema.region = undefined;
  } else if (script && (match = _likely_js__WEBPACK_IMPORTED_MODULE_0__.likely[(0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)({
    language,
    script
  })])) {
    schema.script = undefined;
  } else if (region && (match = _likely_js__WEBPACK_IMPORTED_MODULE_0__.likely[(0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)({
    language,
    region
  })])) {
    schema.region = undefined;
  } else if (language && (match = _likely_js__WEBPACK_IMPORTED_MODULE_0__.likely[language])) {
    // Empty.
  }
  if (match) {
    schema.language = undefined;
    merge(schema, (0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(match));
  }
  return (0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)(schema);
}

/**
 * @param {Schema} schema
 */
function removeLikelySubtags(schema) {
  addLikelySubtags(schema);
  const {
    language,
    script,
    region
  } = schema;
  if (!language) return schema;
  const maxLocale = (0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)({
    language,
    script,
    region
  });
  if (maxLocale === addLikelySubtags((0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(language))) {
    schema.script = undefined;
    schema.region = undefined;
  } else if (region && maxLocale === addLikelySubtags((0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(language + '-' + region))) {
    schema.script = undefined;
  } else if (script && maxLocale === addLikelySubtags((0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(language + '-' + script))) {
    schema.region = undefined;
  }
  return schema;
}

/**
 * Normalize the given BCP 47 tag according to Unicode CLDR suggestions.
 *
 * @param {string} tag
 *   BCP 47 tag.
 * @param {Options} [options]
 *   Configuration (optional).
 * @returns {string}
 *   Normal, canonical, and pretty BCP 47 tag.
 */
function bcp47Normalize(tag, options) {
  const settings = options || {};
  // 1. normalize and lowercase the tag (`sgn-be-fr` -> `sfb`).
  const schema = (0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(String(tag || '').toLowerCase(), settings);
  const value = (0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)(schema);
  if (!value) {
    return value;
  }
  let index = -1;

  // 2. Do fancy, expensive replaces (`ha-latn-gh` -> `ha-gh`).
  while (++index < _matches_js__WEBPACK_IMPORTED_MODULE_3__.matches.length) {
    let from = _matches_js__WEBPACK_IMPORTED_MODULE_3__.matches[index].from;
    if (from.slice(0, 4) === 'und-' && schema.language) {
      from = schema.language + from.slice(3);
    }
    if ((0,bcp_47_match__WEBPACK_IMPORTED_MODULE_4__.extendedFilter)(value, from).length > 0) {
      replace(schema, from, _matches_js__WEBPACK_IMPORTED_MODULE_3__.matches[index].to);
    }
  }

  // 3. Do basic field replaces (`en-840` -> `en-us`).
  index = -1;
  while (++index < _fields_js__WEBPACK_IMPORTED_MODULE_5__.fields.length) {
    if (remove(schema, _fields_js__WEBPACK_IMPORTED_MODULE_5__.fields[index].from.field, _fields_js__WEBPACK_IMPORTED_MODULE_5__.fields[index].from.value)) {
      add(schema, _fields_js__WEBPACK_IMPORTED_MODULE_5__.fields[index].to.field, _fields_js__WEBPACK_IMPORTED_MODULE_5__.fields[index].to.value);
    }
  }

  // 4. Minimize.
  removeLikelySubtags(schema);

  // 5. Sort variants, and sort extensions on singleton.
  schema.variants.sort();
  schema.extensions.sort(compareSingleton);

  // 6. Warn if fields (currently only regions) should be updated but have
  // multiple choices.
  if (settings.warning) {
    /** @type {keyof many} */
    let key;
    for (key in _many_js__WEBPACK_IMPORTED_MODULE_6__.many) {
      if (own.call(_many_js__WEBPACK_IMPORTED_MODULE_6__.many, key)) {
        const map = _many_js__WEBPACK_IMPORTED_MODULE_6__.many[key];
        const value = schema[key];
        if (value && own.call(map, value)) {
          const replacements = map[value];
          settings.warning('Deprecated ' + key + ' `' + value + '`, expected one of `' + replacements.join('`, `') + '`', -1, 7);
        }
      }
    }
  }

  // 7. Add proper casing back.
  // Format script (ISO 15924) as titlecase (example: `Latn`):
  if (schema.script) {
    schema.script = schema.script.charAt(0).toUpperCase() + schema.script.slice(1);
  }

  // Format region (ISO 3166) as uppercase (note: this doesn’t affect numeric
  // codes, which is fine):
  if (schema.region) {
    schema.region = schema.region.toUpperCase();
  }
  return (0,bcp_47__WEBPACK_IMPORTED_MODULE_1__.stringify)(schema);
}

/**
 * @param {Schema} schema
 * @param {string} from
 * @param {string} to
 * @returns {void}
 */
function replace(schema, from, to) {
  const left = (0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(from);
  const right = (0,bcp_47__WEBPACK_IMPORTED_MODULE_2__.parse)(to);
  /** @type {Array<string>} */
  const removed = [];
  /** @type {string|null|undefined} */
  const lang = left.language;
  /** @type {keyof schema} */
  let key;

  // Remove values from `from`:
  for (key in left) {
    if (own.call(left, key)) {
      const value = left[key];
      if (value && remove(schema, key, value)) {
        removed.push(key);
      }
    }
  }

  // Add values from `to`:
  for (key in right) {
    if (own.call(right, key)) {
      const value = right[key];
      // Only add values that are defined on `to`, and that were either removed by
      // `from` or are currently empty.
      if (lang && value && (removed.includes(key) || !schema[key])) {
        add(schema, key, key === 'language' && value === 'und' ? lang : value);
      }
    }
  }
}

/**
 * @param {Schema} object
 * @param {keyof Schema} key
 * @param {string|Array<string>|Array<Extension>} value
 * @returns {boolean}
 */
function remove(object, key, value) {
  let removed = false;
  /** @type {string|Array<string>|Array<Extension>|null|undefined} */
  let result;
  if (value) {
    const current = object[key];
    result = current;
    if (Array.isArray(current)) {
      result = [];
      let index = -1;
      while (++index < current.length) {
        const item = current[index];

        // @ts-expect-error: TS can’t handle the two lists.
        if (value.includes(item)) {
          removed = true;
        } else {
          // @ts-expect-error: TS can’t handle the two lists.
          result.push(item);
        }
      }
    } else if (current === value) {
      result = null;
      removed = true;
    }

    // @ts-expect-error: Assume the value matches.
    object[key] = result;
  }
  return removed;
}

/**
 * @param {Schema} object
 * @param {keyof Schema} key
 * @param {string|Array<string>|Array<Extension>} value
 * @returns {void}
 */
function add(object, key, value) {
  /** @type {string|Array<string>|Array<Extension>|null|undefined} */
  const current = object[key];
  if (Array.isArray(current)) {
    const list = Array.isArray(value) ? value : [value];
    /** @type {number} */
    let index = -1;
    while (++index < list.length) {
      const item = list[index];

      // @ts-expect-error: TS can’t handle the two lists.
      if (!current.includes(item)) {
        // @ts-expect-error: TS can’t handle the two lists.
        current.push(item);
      }
    }
  } else {
    // @ts-expect-error: Assume the value matches.
    object[key] = value;
  }
}

/**
 * @param {Extension} left
 * @param {Extension} right
 * @returns {number}
 */
function compareSingleton(left, right) {
  if (left.singleton > right.singleton) {
    return 1;
  }
  if (left.singleton < right.singleton) {
    return -1;
  }

  // It is invalid to have more than one extension with the same singleton so
  // we should never reach this code.
  return 0;
}

/***/ }),

/***/ "./node_modules/bcp-47-normalize/lib/likely.js":
/*!*****************************************************!*\
  !*** ./node_modules/bcp-47-normalize/lib/likely.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   likely: function() { return /* binding */ likely; }
/* harmony export */ });
/**
 * @type {Record<string, string>}
 */
const likely = {
  aa: 'aa-latn-et',
  aaa: 'aaa-latn-ng',
  aab: 'aab-latn-ng',
  aac: 'aac-latn-pg',
  aad: 'aad-latn-pg',
  aae: 'aae-latn-it',
  'aae-grek': 'aae-grek-it',
  aaf: 'aaf-mlym-in',
  'aaf-arab': 'aaf-arab-in',
  aag: 'aag-latn-pg',
  aah: 'aah-latn-pg',
  aai: 'aai-latn-zz',
  aak: 'aak-latn-zz',
  aal: 'aal-latn-cm',
  aan: 'aan-latn-br',
  aao: 'aao-arab-dz',
  aap: 'aap-latn-br',
  aaq: 'aaq-latn-us',
  aas: 'aas-latn-tz',
  aat: 'aat-grek-gr',
  aau: 'aau-latn-zz',
  aaw: 'aaw-latn-pg',
  aax: 'aax-latn-id',
  aaz: 'aaz-latn-id',
  ab: 'ab-cyrl-ge',
  aba: 'aba-latn-ci',
  abb: 'abb-latn-cm',
  abc: 'abc-latn-ph',
  abd: 'abd-latn-ph',
  abe: 'abe-latn-ca',
  abf: 'abf-latn-my',
  abg: 'abg-latn-pg',
  abh: 'abh-arab-tj',
  abi: 'abi-latn-zz',
  abl: 'abl-rjng-id',
  'abl-latn': 'abl-latn-id',
  abm: 'abm-latn-ng',
  abn: 'abn-latn-ng',
  abo: 'abo-latn-ng',
  abp: 'abp-latn-ph',
  abq: 'abq-cyrl-zz',
  abr: 'abr-latn-gh',
  abs: 'abs-latn-id',
  abt: 'abt-latn-zz',
  abu: 'abu-latn-ci',
  abv: 'abv-arab-bh',
  abw: 'abw-latn-pg',
  abx: 'abx-latn-ph',
  aby: 'aby-latn-zz',
  abz: 'abz-latn-id',
  aca: 'aca-latn-co',
  acb: 'acb-latn-ng',
  acd: 'acd-latn-zz',
  ace: 'ace-latn-id',
  acf: 'acf-latn-lc',
  ach: 'ach-latn-ug',
  acm: 'acm-arab-iq',
  acn: 'acn-latn-cn',
  acp: 'acp-latn-ng',
  acq: 'acq-arab-ye',
  acr: 'acr-latn-gt',
  acs: 'acs-latn-br',
  act: 'act-latn-nl',
  acu: 'acu-latn-ec',
  acv: 'acv-latn-us',
  acw: 'acw-arab-sa',
  acx: 'acx-arab-om',
  acy: 'acy-latn-cy',
  'acy-arab': 'acy-arab-cy',
  'acy-grek': 'acy-grek-cy',
  acz: 'acz-latn-sd',
  ada: 'ada-latn-gh',
  adb: 'adb-latn-tl',
  add: 'add-latn-cm',
  ade: 'ade-latn-zz',
  adf: 'adf-arab-om',
  adg: 'adg-latn-au',
  adh: 'adh-latn-ug',
  adi: 'adi-latn-in',
  'adi-tibt': 'adi-tibt-cn',
  adj: 'adj-latn-zz',
  adl: 'adl-latn-in',
  adn: 'adn-latn-id',
  ado: 'ado-latn-pg',
  adp: 'adp-tibt-bt',
  adq: 'adq-latn-gh',
  adr: 'adr-latn-id',
  adt: 'adt-latn-au',
  adu: 'adu-latn-ng',
  adw: 'adw-latn-br',
  adx: 'adx-tibt-cn',
  ady: 'ady-cyrl-ru',
  adz: 'adz-latn-zz',
  ae: 'ae-avst-ir',
  aea: 'aea-latn-au',
  aeb: 'aeb-arab-tn',
  aec: 'aec-arab-eg',
  aee: 'aee-arab-af',
  aek: 'aek-latn-nc',
  ael: 'ael-latn-cm',
  aem: 'aem-latn-vn',
  aeq: 'aeq-arab-pk',
  aer: 'aer-latn-au',
  aeu: 'aeu-latn-cn',
  aew: 'aew-latn-pg',
  aey: 'aey-latn-zz',
  aez: 'aez-latn-pg',
  af: 'af-latn-za',
  afb: 'afb-arab-kw',
  afd: 'afd-latn-pg',
  afe: 'afe-latn-ng',
  afh: 'afh-latn-gh',
  afi: 'afi-latn-pg',
  afk: 'afk-latn-pg',
  afn: 'afn-latn-ng',
  afo: 'afo-latn-ng',
  afp: 'afp-latn-pg',
  afs: 'afs-latn-mx',
  afu: 'afu-latn-gh',
  afz: 'afz-latn-id',
  aga: 'aga-latn-pe',
  agb: 'agb-latn-ng',
  agc: 'agc-latn-zz',
  agd: 'agd-latn-zz',
  age: 'age-latn-pg',
  agf: 'agf-latn-id',
  agg: 'agg-latn-zz',
  agh: 'agh-latn-cd',
  agi: 'agi-deva-in',
  agj: 'agj-ethi-et',
  'agj-arab': 'agj-arab-et',
  agk: 'agk-latn-ph',
  agl: 'agl-latn-pg',
  agm: 'agm-latn-zz',
  agn: 'agn-latn-ph',
  ago: 'ago-latn-zz',
  agq: 'agq-latn-cm',
  agr: 'agr-latn-pe',
  ags: 'ags-latn-cm',
  agt: 'agt-latn-ph',
  agu: 'agu-latn-gt',
  agv: 'agv-latn-ph',
  agw: 'agw-latn-sb',
  agx: 'agx-cyrl-ru',
  agy: 'agy-latn-ph',
  agz: 'agz-latn-ph',
  aha: 'aha-latn-zz',
  ahb: 'ahb-latn-vu',
  ahg: 'ahg-ethi-et',
  ahh: 'ahh-latn-id',
  ahi: 'ahi-latn-ci',
  ahk: 'ahk-latn-mm',
  'ahk-mymr': 'ahk-mymr-mm',
  'ahk-th': 'ahk-latn-th',
  'ahk-thai': 'ahk-thai-th',
  ahl: 'ahl-latn-zz',
  ahm: 'ahm-latn-ci',
  ahn: 'ahn-latn-ng',
  aho: 'aho-ahom-in',
  ahp: 'ahp-latn-ci',
  ahr: 'ahr-deva-in',
  ahs: 'ahs-latn-ng',
  aht: 'aht-latn-us',
  aia: 'aia-latn-sb',
  aib: 'aib-arab-cn',
  aic: 'aic-latn-pg',
  aid: 'aid-latn-au',
  aie: 'aie-latn-pg',
  aif: 'aif-latn-pg',
  aig: 'aig-latn-ag',
  aij: 'aij-hebr-il',
  aik: 'aik-latn-ng',
  ail: 'ail-latn-pg',
  aim: 'aim-latn-in',
  ain: 'ain-kana-jp',
  'ain-latn': 'ain-latn-jp',
  aio: 'aio-mymr-in',
  aip: 'aip-latn-id',
  aiq: 'aiq-arab-af',
  air: 'air-latn-id',
  ait: 'ait-latn-br',
  aiw: 'aiw-latn-et',
  'aiw-arab': 'aiw-arab-et',
  'aiw-ethi': 'aiw-ethi-et',
  aix: 'aix-latn-pg',
  aiy: 'aiy-latn-cf',
  aja: 'aja-latn-ss',
  ajg: 'ajg-latn-zz',
  aji: 'aji-latn-nc',
  ajn: 'ajn-latn-au',
  ajp: 'ajp-arab-jo',
  ajt: 'ajt-arab-tn',
  ajw: 'ajw-latn-ng',
  ajz: 'ajz-latn-in',
  ak: 'ak-latn-gh',
  akb: 'akb-latn-id',
  'akb-batk': 'akb-batk-id',
  akc: 'akc-latn-id',
  akd: 'akd-latn-ng',
  ake: 'ake-latn-gy',
  akf: 'akf-latn-ng',
  akg: 'akg-latn-id',
  akh: 'akh-latn-pg',
  aki: 'aki-latn-pg',
  akk: 'akk-xsux-iq',
  akl: 'akl-latn-ph',
  ako: 'ako-latn-sr',
  akp: 'akp-latn-gh',
  akq: 'akq-latn-pg',
  akr: 'akr-latn-vu',
  aks: 'aks-latn-tg',
  akt: 'akt-latn-pg',
  aku: 'aku-latn-cm',
  akv: 'akv-cyrl-ru',
  akw: 'akw-latn-cg',
  akz: 'akz-latn-us',
  ala: 'ala-latn-zz',
  alc: 'alc-latn-cl',
  ald: 'ald-latn-ci',
  ale: 'ale-latn-us',
  alf: 'alf-latn-ng',
  alh: 'alh-latn-au',
  ali: 'ali-latn-zz',
  alj: 'alj-latn-ph',
  alk: 'alk-laoo-la',
  all: 'all-mlym-in',
  alm: 'alm-latn-vu',
  aln: 'aln-latn-xk',
  alo: 'alo-latn-id',
  alp: 'alp-latn-id',
  alq: 'alq-latn-ca',
  alr: 'alr-cyrl-ru',
  alt: 'alt-cyrl-ru',
  alu: 'alu-latn-sb',
  alw: 'alw-ethi-et',
  alx: 'alx-latn-pg',
  aly: 'aly-latn-au',
  alz: 'alz-latn-cd',
  am: 'am-ethi-et',
  ama: 'ama-latn-br',
  amb: 'amb-latn-ng',
  amc: 'amc-latn-pe',
  ame: 'ame-latn-pe',
  amf: 'amf-latn-et',
  'amf-ethi': 'amf-ethi-et',
  amg: 'amg-latn-au',
  ami: 'ami-latn-tw',
  amj: 'amj-latn-td',
  amk: 'amk-latn-id',
  amm: 'amm-latn-zz',
  amn: 'amn-latn-zz',
  amo: 'amo-latn-ng',
  amp: 'amp-latn-zz',
  amq: 'amq-latn-id',
  amr: 'amr-latn-pe',
  ams: 'ams-jpan-jp',
  amt: 'amt-latn-pg',
  amu: 'amu-latn-mx',
  amv: 'amv-latn-id',
  amw: 'amw-syrc-sy',
  'amw-arab': 'amw-arab-sy',
  'amw-armi': 'amw-armi-sy',
  'amw-latn': 'amw-latn-sy',
  amx: 'amx-latn-au',
  amy: 'amy-latn-au',
  amz: 'amz-latn-au',
  an: 'an-latn-es',
  ana: 'ana-latn-co',
  anb: 'anb-latn-pe',
  anc: 'anc-latn-zz',
  and: 'and-latn-id',
  ane: 'ane-latn-nc',
  anf: 'anf-latn-gh',
  ang: 'ang-latn-gb',
  anh: 'anh-latn-pg',
  ani: 'ani-cyrl-ru',
  anj: 'anj-latn-pg',
  ank: 'ank-latn-zz',
  anl: 'anl-latn-mm',
  anm: 'anm-latn-in',
  ann: 'ann-latn-ng',
  ano: 'ano-latn-co',
  anp: 'anp-deva-in',
  anr: 'anr-deva-in',
  ans: 'ans-latn-co',
  ant: 'ant-latn-au',
  anu: 'anu-ethi-et',
  'anu-arab': 'anu-arab-ss',
  'anu-latn': 'anu-latn-ss',
  anv: 'anv-latn-cm',
  anw: 'anw-latn-ng',
  anx: 'anx-latn-pg',
  any: 'any-latn-zz',
  anz: 'anz-latn-pg',
  aoa: 'aoa-latn-st',
  aob: 'aob-latn-pg',
  aoc: 'aoc-latn-ve',
  aod: 'aod-latn-pg',
  aoe: 'aoe-latn-pg',
  aof: 'aof-latn-pg',
  aog: 'aog-latn-pg',
  aoi: 'aoi-latn-au',
  aoj: 'aoj-latn-zz',
  aok: 'aok-latn-nc',
  aol: 'aol-latn-id',
  aom: 'aom-latn-zz',
  aon: 'aon-latn-pg',
  aor: 'aor-latn-vu',
  aos: 'aos-latn-id',
  aot: 'aot-beng-bd',
  'aot-latn': 'aot-latn-in',
  aox: 'aox-latn-gy',
  aoz: 'aoz-latn-id',
  apb: 'apb-latn-sb',
  apc: 'apc-arab-sy',
  apd: 'apd-arab-tg',
  ape: 'ape-latn-zz',
  apf: 'apf-latn-ph',
  apg: 'apg-latn-id',
  aph: 'aph-deva-np',
  api: 'api-latn-br',
  apj: 'apj-latn-us',
  apk: 'apk-latn-us',
  apl: 'apl-latn-us',
  apm: 'apm-latn-us',
  apn: 'apn-latn-br',
  apo: 'apo-latn-pg',
  app: 'app-latn-vu',
  apr: 'apr-latn-zz',
  aps: 'aps-latn-zz',
  apt: 'apt-latn-in',
  apu: 'apu-latn-br',
  apv: 'apv-latn-br',
  apw: 'apw-latn-us',
  apx: 'apx-latn-id',
  apy: 'apy-latn-br',
  apz: 'apz-latn-zz',
  aqc: 'aqc-cyrl-ru',
  aqd: 'aqd-latn-ml',
  aqg: 'aqg-latn-ng',
  aqk: 'aqk-latn-ng',
  aqm: 'aqm-latn-id',
  aqn: 'aqn-latn-ph',
  aqr: 'aqr-latn-nc',
  aqt: 'aqt-latn-py',
  aqz: 'aqz-latn-br',
  ar: 'ar-arab-eg',
  arc: 'arc-armi-ir',
  'arc-nbat': 'arc-nbat-jo',
  'arc-palm': 'arc-palm-sy',
  ard: 'ard-latn-au',
  are: 'are-latn-au',
  arh: 'arh-latn-zz',
  ari: 'ari-latn-us',
  arj: 'arj-latn-br',
  ark: 'ark-latn-br',
  arl: 'arl-latn-pe',
  arn: 'arn-latn-cl',
  aro: 'aro-latn-bo',
  arp: 'arp-latn-us',
  arq: 'arq-arab-dz',
  arr: 'arr-latn-br',
  ars: 'ars-arab-sa',
  aru: 'aru-latn-br',
  arw: 'arw-latn-sr',
  arx: 'arx-latn-br',
  ary: 'ary-arab-ma',
  arz: 'arz-arab-eg',
  as: 'as-beng-in',
  asa: 'asa-latn-tz',
  asb: 'asb-latn-ca',
  asc: 'asc-latn-id',
  ase: 'ase-sgnw-us',
  asg: 'asg-latn-zz',
  ash: 'ash-latn-pe',
  asi: 'asi-latn-id',
  asj: 'asj-latn-cm',
  ask: 'ask-arab-af',
  asl: 'asl-latn-id',
  asn: 'asn-latn-br',
  aso: 'aso-latn-zz',
  ass: 'ass-latn-cm',
  ast: 'ast-latn-es',
  asu: 'asu-latn-br',
  asv: 'asv-latn-cd',
  asx: 'asx-latn-pg',
  asy: 'asy-latn-id',
  asz: 'asz-latn-id',
  ata: 'ata-latn-zz',
  atb: 'atb-latn-cn',
  'atb-lisu': 'atb-lisu-cn',
  atc: 'atc-latn-pe',
  atd: 'atd-latn-ph',
  ate: 'ate-latn-pg',
  atg: 'atg-latn-zz',
  ati: 'ati-latn-ci',
  atj: 'atj-latn-ca',
  atk: 'atk-latn-ph',
  atl: 'atl-latn-ph',
  atm: 'atm-latn-ph',
  atn: 'atn-arab-ir',
  ato: 'ato-latn-cm',
  atp: 'atp-latn-ph',
  atq: 'atq-latn-id',
  atr: 'atr-latn-br',
  ats: 'ats-latn-us',
  att: 'att-latn-ph',
  atu: 'atu-latn-ss',
  atv: 'atv-cyrl-ru',
  atw: 'atw-latn-us',
  atx: 'atx-latn-br',
  aty: 'aty-latn-vu',
  atz: 'atz-latn-ph',
  aua: 'aua-latn-sb',
  auc: 'auc-latn-ec',
  aud: 'aud-latn-sb',
  aug: 'aug-latn-bj',
  auh: 'auh-latn-zm',
  aui: 'aui-latn-pg',
  auj: 'auj-arab-ly',
  'auj-latn': 'auj-latn-ly',
  'auj-tfng': 'auj-tfng-ly',
  auk: 'auk-latn-pg',
  aul: 'aul-latn-vu',
  aum: 'aum-latn-ng',
  aun: 'aun-latn-pg',
  auo: 'auo-latn-ng',
  aup: 'aup-latn-pg',
  auq: 'auq-latn-id',
  aur: 'aur-latn-pg',
  aut: 'aut-latn-pf',
  auu: 'auu-latn-id',
  auw: 'auw-latn-id',
  auy: 'auy-latn-zz',
  auz: 'auz-arab-uz',
  av: 'av-cyrl-ru',
  avb: 'avb-latn-pg',
  avd: 'avd-arab-ir',
  avi: 'avi-latn-ci',
  avk: 'avk-latn-001',
  avl: 'avl-arab-zz',
  avm: 'avm-latn-au',
  avn: 'avn-latn-zz',
  avo: 'avo-latn-br',
  avs: 'avs-latn-pe',
  avt: 'avt-latn-zz',
  avu: 'avu-latn-zz',
  avv: 'avv-latn-br',
  awa: 'awa-deva-in',
  awb: 'awb-latn-zz',
  awc: 'awc-latn-ng',
  awe: 'awe-latn-br',
  awg: 'awg-latn-au',
  awh: 'awh-latn-id',
  awi: 'awi-latn-pg',
  awk: 'awk-latn-au',
  awm: 'awm-latn-pg',
  awn: 'awn-ethi-et',
  awo: 'awo-latn-zz',
  awr: 'awr-latn-id',
  aws: 'aws-latn-id',
  awt: 'awt-latn-br',
  awu: 'awu-latn-id',
  awv: 'awv-latn-id',
  aww: 'aww-latn-pg',
  awx: 'awx-latn-zz',
  awy: 'awy-latn-id',
  axb: 'axb-latn-ar',
  axe: 'axe-latn-au',
  axg: 'axg-latn-br',
  axk: 'axk-latn-cf',
  axl: 'axl-latn-au',
  axm: 'axm-armn-am',
  axx: 'axx-latn-nc',
  ay: 'ay-latn-bo',
  aya: 'aya-latn-pg',
  ayb: 'ayb-latn-zz',
  ayc: 'ayc-latn-pe',
  ayd: 'ayd-latn-au',
  aye: 'aye-latn-ng',
  ayg: 'ayg-latn-tg',
  ayh: 'ayh-arab-ye',
  ayi: 'ayi-latn-ng',
  ayk: 'ayk-latn-ng',
  ayl: 'ayl-arab-ly',
  ayn: 'ayn-arab-ye',
  ayo: 'ayo-latn-py',
  ayp: 'ayp-arab-iq',
  ayq: 'ayq-latn-pg',
  ays: 'ays-latn-ph',
  ayt: 'ayt-latn-ph',
  ayu: 'ayu-latn-ng',
  ayz: 'ayz-latn-id',
  az: 'az-latn-az',
  'az-arab': 'az-arab-ir',
  'az-iq': 'az-arab-iq',
  'az-ir': 'az-arab-ir',
  'az-ru': 'az-cyrl-ru',
  azb: 'azb-arab-ir',
  'azb-cyrl': 'azb-cyrl-az',
  'azb-latn': 'azb-latn-az',
  azd: 'azd-latn-mx',
  azg: 'azg-latn-mx',
  azm: 'azm-latn-mx',
  azn: 'azn-latn-mx',
  azo: 'azo-latn-cm',
  azt: 'azt-latn-ph',
  azz: 'azz-latn-mx',
  ba: 'ba-cyrl-ru',
  baa: 'baa-latn-sb',
  bab: 'bab-latn-gw',
  bac: 'bac-latn-id',
  bae: 'bae-latn-ve',
  baf: 'baf-latn-cm',
  bag: 'bag-latn-cm',
  bah: 'bah-latn-bs',
  baj: 'baj-latn-id',
  bal: 'bal-arab-pk',
  ban: 'ban-latn-id',
  bao: 'bao-latn-co',
  bap: 'bap-deva-np',
  bar: 'bar-latn-at',
  bas: 'bas-latn-cm',
  bau: 'bau-latn-ng',
  bav: 'bav-latn-zz',
  baw: 'baw-latn-cm',
  bax: 'bax-bamu-cm',
  bay: 'bay-latn-id',
  bba: 'bba-latn-zz',
  bbb: 'bbb-latn-zz',
  bbc: 'bbc-latn-id',
  bbd: 'bbd-latn-zz',
  bbe: 'bbe-latn-cd',
  bbf: 'bbf-latn-pg',
  bbg: 'bbg-latn-ga',
  bbi: 'bbi-latn-cm',
  bbj: 'bbj-latn-cm',
  bbk: 'bbk-latn-cm',
  bbl: 'bbl-geor-ge',
  bbm: 'bbm-latn-cd',
  bbn: 'bbn-latn-pg',
  bbo: 'bbo-latn-bf',
  bbp: 'bbp-latn-zz',
  bbq: 'bbq-latn-cm',
  bbr: 'bbr-latn-zz',
  bbs: 'bbs-latn-ng',
  bbt: 'bbt-latn-ng',
  bbu: 'bbu-latn-ng',
  bbv: 'bbv-latn-pg',
  bbw: 'bbw-latn-cm',
  bbx: 'bbx-latn-cm',
  bby: 'bby-latn-cm',
  bca: 'bca-latn-cn',
  'bca-hani': 'bca-hani-cn',
  bcb: 'bcb-latn-sn',
  bcd: 'bcd-latn-id',
  bce: 'bce-latn-cm',
  bcf: 'bcf-latn-zz',
  bcg: 'bcg-latn-gn',
  bch: 'bch-latn-zz',
  bci: 'bci-latn-ci',
  bcj: 'bcj-latn-au',
  bck: 'bck-latn-au',
  bcm: 'bcm-latn-zz',
  bcn: 'bcn-latn-zz',
  bco: 'bco-latn-zz',
  bcp: 'bcp-latn-cd',
  bcq: 'bcq-ethi-zz',
  bcr: 'bcr-latn-ca',
  bcs: 'bcs-latn-ng',
  bct: 'bct-latn-cd',
  bcu: 'bcu-latn-zz',
  bcv: 'bcv-latn-ng',
  bcw: 'bcw-latn-cm',
  bcy: 'bcy-latn-ng',
  bcz: 'bcz-latn-sn',
  bda: 'bda-latn-sn',
  bdb: 'bdb-latn-id',
  bdc: 'bdc-latn-co',
  bdd: 'bdd-latn-zz',
  bde: 'bde-latn-ng',
  bdf: 'bdf-latn-pg',
  bdg: 'bdg-latn-my',
  bdh: 'bdh-latn-ss',
  bdi: 'bdi-latn-sd',
  bdj: 'bdj-latn-ss',
  bdk: 'bdk-latn-az',
  bdl: 'bdl-latn-id',
  bdm: 'bdm-latn-td',
  bdn: 'bdn-latn-cm',
  bdo: 'bdo-latn-td',
  bdp: 'bdp-latn-tz',
  bdq: 'bdq-latn-vn',
  bdr: 'bdr-latn-my',
  bds: 'bds-latn-tz',
  bdt: 'bdt-latn-cf',
  bdu: 'bdu-latn-cm',
  bdv: 'bdv-orya-in',
  bdw: 'bdw-latn-id',
  bdx: 'bdx-latn-id',
  bdy: 'bdy-latn-au',
  bdz: 'bdz-arab-pk',
  be: 'be-cyrl-by',
  bea: 'bea-latn-ca',
  'bea-cans': 'bea-cans-ca',
  beb: 'beb-latn-cm',
  bec: 'bec-latn-cm',
  bed: 'bed-latn-id',
  bee: 'bee-deva-in',
  bef: 'bef-latn-zz',
  beh: 'beh-latn-zz',
  bei: 'bei-latn-id',
  bej: 'bej-arab-sd',
  bek: 'bek-latn-pg',
  bem: 'bem-latn-zm',
  beo: 'beo-latn-pg',
  bep: 'bep-latn-id',
  beq: 'beq-latn-cg',
  bes: 'bes-latn-td',
  bet: 'bet-latn-zz',
  beu: 'beu-latn-id',
  bev: 'bev-latn-ci',
  bew: 'bew-latn-id',
  bex: 'bex-latn-zz',
  bey: 'bey-latn-pg',
  bez: 'bez-latn-tz',
  bfa: 'bfa-latn-ss',
  'bfa-arab': 'bfa-arab-ss',
  bfb: 'bfb-deva-in',
  bfc: 'bfc-latn-cn',
  bfd: 'bfd-latn-cm',
  bfe: 'bfe-latn-id',
  bff: 'bff-latn-cf',
  bfg: 'bfg-latn-id',
  bfh: 'bfh-latn-pg',
  bfj: 'bfj-latn-cm',
  bfl: 'bfl-latn-cf',
  bfm: 'bfm-latn-cm',
  bfn: 'bfn-latn-tl',
  bfo: 'bfo-latn-bf',
  bfp: 'bfp-latn-cm',
  bfq: 'bfq-taml-in',
  bfs: 'bfs-latn-cn',
  'bfs-hani': 'bfs-hani-cn',
  bft: 'bft-arab-pk',
  bfu: 'bfu-tibt-in',
  'bfu-takr': 'bfu-takr-in',
  bfw: 'bfw-orya-in',
  bfx: 'bfx-latn-ph',
  bfy: 'bfy-deva-in',
  bfz: 'bfz-deva-in',
  bg: 'bg-cyrl-bg',
  bga: 'bga-latn-ng',
  bgb: 'bgb-latn-id',
  bgc: 'bgc-deva-in',
  bgd: 'bgd-deva-in',
  bgf: 'bgf-latn-cm',
  bgg: 'bgg-latn-in',
  bgi: 'bgi-latn-ph',
  bgj: 'bgj-latn-cm',
  bgn: 'bgn-arab-pk',
  bgo: 'bgo-latn-gn',
  bgp: 'bgp-arab-pk',
  bgq: 'bgq-deva-in',
  bgr: 'bgr-latn-in',
  bgs: 'bgs-latn-ph',
  bgt: 'bgt-latn-sb',
  bgu: 'bgu-latn-ng',
  bgv: 'bgv-latn-id',
  bgw: 'bgw-deva-in',
  bgx: 'bgx-grek-tr',
  bgy: 'bgy-latn-id',
  bgz: 'bgz-latn-id',
  bha: 'bha-deva-in',
  bhb: 'bhb-deva-in',
  bhc: 'bhc-latn-id',
  bhd: 'bhd-deva-in',
  'bhd-arab': 'bhd-arab-in',
  'bhd-takr': 'bhd-takr-in',
  bhe: 'bhe-arab-pk',
  bhf: 'bhf-latn-pg',
  bhg: 'bhg-latn-zz',
  bhh: 'bhh-cyrl-il',
  'bhh-hebr': 'bhh-hebr-il',
  'bhh-latn': 'bhh-latn-il',
  bhi: 'bhi-deva-in',
  bhj: 'bhj-deva-np',
  bhl: 'bhl-latn-zz',
  bhm: 'bhm-arab-om',
  bhn: 'bhn-syrc-ge',
  bho: 'bho-deva-in',
  bhp: 'bhp-latn-id',
  bhq: 'bhq-latn-id',
  bhr: 'bhr-latn-mg',
  bhs: 'bhs-latn-cm',
  bht: 'bht-takr-in',
  'bht-deva': 'bht-deva-in',
  'bht-latn': 'bht-latn-in',
  bhu: 'bhu-deva-in',
  bhv: 'bhv-latn-id',
  bhw: 'bhw-latn-id',
  bhy: 'bhy-latn-zz',
  bhz: 'bhz-latn-id',
  bi: 'bi-latn-vu',
  bia: 'bia-latn-au',
  bib: 'bib-latn-zz',
  bid: 'bid-latn-td',
  bie: 'bie-latn-pg',
  bif: 'bif-latn-gw',
  big: 'big-latn-zz',
  bik: 'bik-latn-ph',
  bil: 'bil-latn-ng',
  bim: 'bim-latn-zz',
  bin: 'bin-latn-ng',
  bio: 'bio-latn-zz',
  bip: 'bip-latn-cd',
  biq: 'biq-latn-zz',
  bir: 'bir-latn-pg',
  bit: 'bit-latn-pg',
  biu: 'biu-latn-in',
  biv: 'biv-latn-gh',
  biw: 'biw-latn-cm',
  biy: 'biy-deva-in',
  biz: 'biz-latn-cd',
  bja: 'bja-latn-cd',
  bjb: 'bjb-latn-au',
  bjc: 'bjc-latn-pg',
  bjf: 'bjf-syrc-il',
  bjg: 'bjg-latn-gw',
  bjh: 'bjh-latn-zz',
  bji: 'bji-ethi-zz',
  bjj: 'bjj-deva-in',
  bjk: 'bjk-latn-pg',
  bjl: 'bjl-latn-pg',
  bjm: 'bjm-arab-iq',
  bjn: 'bjn-latn-id',
  bjo: 'bjo-latn-zz',
  bjp: 'bjp-latn-pg',
  bjr: 'bjr-latn-zz',
  bjs: 'bjs-latn-bb',
  bjt: 'bjt-latn-sn',
  bju: 'bju-latn-cm',
  bjv: 'bjv-latn-td',
  bjw: 'bjw-latn-ci',
  bjx: 'bjx-latn-ph',
  bjy: 'bjy-latn-au',
  bjz: 'bjz-latn-zz',
  bka: 'bka-latn-ng',
  bkc: 'bkc-latn-zz',
  bkd: 'bkd-latn-ph',
  bkf: 'bkf-latn-cd',
  bkg: 'bkg-latn-cf',
  bkh: 'bkh-latn-cm',
  bki: 'bki-latn-vu',
  bkj: 'bkj-latn-cf',
  bkl: 'bkl-latn-id',
  bkm: 'bkm-latn-cm',
  bkn: 'bkn-latn-id',
  bko: 'bko-latn-cm',
  bkp: 'bkp-latn-cd',
  bkq: 'bkq-latn-zz',
  bkr: 'bkr-latn-id',
  bks: 'bks-latn-ph',
  bkt: 'bkt-latn-cd',
  bku: 'bku-latn-ph',
  bkv: 'bkv-latn-zz',
  bkw: 'bkw-latn-cg',
  bkx: 'bkx-latn-tl',
  bky: 'bky-latn-ng',
  bkz: 'bkz-latn-id',
  bla: 'bla-latn-ca',
  blb: 'blb-latn-sb',
  blc: 'blc-latn-ca',
  bld: 'bld-latn-id',
  ble: 'ble-latn-gw',
  blf: 'blf-latn-id',
  blg: 'blg-latn-my',
  blh: 'blh-latn-lr',
  bli: 'bli-latn-cd',
  blj: 'blj-latn-id',
  blk: 'blk-mymr-mm',
  blm: 'blm-latn-ss',
  bln: 'bln-latn-ph',
  blo: 'blo-latn-bj',
  blp: 'blp-latn-sb',
  blq: 'blq-latn-pg',
  blr: 'blr-latn-cn',
  'blr-tale': 'blr-tale-cn',
  'blr-thai': 'blr-thai-th',
  bls: 'bls-latn-id',
  blt: 'blt-tavt-vn',
  blv: 'blv-latn-ao',
  blw: 'blw-latn-ph',
  blx: 'blx-latn-ph',
  bly: 'bly-latn-bj',
  blz: 'blz-latn-id',
  bm: 'bm-latn-ml',
  bma: 'bma-latn-ng',
  bmb: 'bmb-latn-cd',
  bmc: 'bmc-latn-pg',
  bmd: 'bmd-latn-gn',
  bme: 'bme-latn-cf',
  bmf: 'bmf-latn-sl',
  bmg: 'bmg-latn-cd',
  bmh: 'bmh-latn-zz',
  bmi: 'bmi-latn-td',
  bmj: 'bmj-deva-np',
  bmk: 'bmk-latn-zz',
  bml: 'bml-latn-cd',
  bmm: 'bmm-latn-mg',
  bmn: 'bmn-latn-pg',
  bmo: 'bmo-latn-cm',
  bmp: 'bmp-latn-pg',
  bmq: 'bmq-latn-ml',
  bmr: 'bmr-latn-co',
  bms: 'bms-latn-ne',
  bmu: 'bmu-latn-zz',
  bmv: 'bmv-latn-cm',
  bmw: 'bmw-latn-cg',
  bmx: 'bmx-latn-pg',
  bmz: 'bmz-latn-pg',
  bn: 'bn-beng-bd',
  bna: 'bna-latn-id',
  bnb: 'bnb-latn-my',
  bnc: 'bnc-latn-ph',
  bnd: 'bnd-latn-id',
  bne: 'bne-latn-id',
  bnf: 'bnf-latn-id',
  bng: 'bng-latn-zz',
  bni: 'bni-latn-cd',
  bnj: 'bnj-latn-ph',
  bnk: 'bnk-latn-vu',
  bnm: 'bnm-latn-zz',
  bnn: 'bnn-latn-tw',
  bno: 'bno-latn-ph',
  bnp: 'bnp-latn-zz',
  bnq: 'bnq-latn-id',
  bnr: 'bnr-latn-vu',
  bns: 'bns-deva-in',
  bnu: 'bnu-latn-id',
  bnv: 'bnv-latn-id',
  bnw: 'bnw-latn-pg',
  bnx: 'bnx-latn-cd',
  bny: 'bny-latn-my',
  bnz: 'bnz-latn-cm',
  bo: 'bo-tibt-cn',
  boa: 'boa-latn-pe',
  bob: 'bob-latn-ke',
  boe: 'boe-latn-cm',
  bof: 'bof-latn-bf',
  boh: 'boh-latn-cd',
  boj: 'boj-latn-zz',
  bok: 'bok-latn-cg',
  bol: 'bol-latn-ng',
  bom: 'bom-latn-zz',
  bon: 'bon-latn-zz',
  boo: 'boo-latn-ml',
  bop: 'bop-latn-pg',
  boq: 'boq-latn-pg',
  bor: 'bor-latn-br',
  bot: 'bot-latn-ss',
  bou: 'bou-latn-tz',
  bov: 'bov-latn-gh',
  bow: 'bow-latn-pg',
  box: 'box-latn-bf',
  boy: 'boy-latn-cf',
  boz: 'boz-latn-ml',
  'boz-arab': 'boz-arab-ml',
  bpa: 'bpa-latn-vu',
  bpc: 'bpc-latn-cm',
  bpd: 'bpd-latn-cf',
  bpe: 'bpe-latn-pg',
  bpg: 'bpg-latn-id',
  bph: 'bph-cyrl-ru',
  bpi: 'bpi-latn-pg',
  bpj: 'bpj-latn-cd',
  bpk: 'bpk-latn-nc',
  bpl: 'bpl-latn-au',
  bpm: 'bpm-latn-pg',
  bpo: 'bpo-latn-id',
  bpp: 'bpp-latn-id',
  bpq: 'bpq-latn-id',
  bpr: 'bpr-latn-ph',
  bps: 'bps-latn-ph',
  bpt: 'bpt-latn-au',
  bpu: 'bpu-latn-pg',
  bpv: 'bpv-latn-id',
  bpw: 'bpw-latn-pg',
  bpx: 'bpx-deva-in',
  bpy: 'bpy-beng-in',
  bpz: 'bpz-latn-id',
  bqa: 'bqa-latn-bj',
  bqb: 'bqb-latn-id',
  bqc: 'bqc-latn-zz',
  bqd: 'bqd-latn-cm',
  bqf: 'bqf-latn-gn',
  'bqf-arab': 'bqf-arab-gn',
  bqg: 'bqg-latn-tg',
  bqi: 'bqi-arab-ir',
  bqj: 'bqj-latn-sn',
  bqk: 'bqk-latn-cf',
  bql: 'bql-latn-pg',
  bqm: 'bqm-latn-cm',
  bqo: 'bqo-latn-cm',
  bqp: 'bqp-latn-zz',
  bqq: 'bqq-latn-id',
  bqr: 'bqr-latn-id',
  bqs: 'bqs-latn-pg',
  bqt: 'bqt-latn-cm',
  bqu: 'bqu-latn-cd',
  bqv: 'bqv-latn-ci',
  bqw: 'bqw-latn-ng',
  bqx: 'bqx-latn-ng',
  bqz: 'bqz-latn-cm',
  br: 'br-latn-fr',
  bra: 'bra-deva-in',
  brb: 'brb-khmr-kh',
  'brb-laoo': 'brb-laoo-la',
  'brb-latn': 'brb-latn-vn',
  brc: 'brc-latn-gy',
  brd: 'brd-deva-np',
  brf: 'brf-latn-cd',
  brg: 'brg-latn-bo',
  brh: 'brh-arab-pk',
  bri: 'bri-latn-cm',
  brj: 'brj-latn-vu',
  brk: 'brk-arab-sd',
  brl: 'brl-latn-bw',
  brm: 'brm-latn-cd',
  brn: 'brn-latn-cr',
  brp: 'brp-latn-id',
  brq: 'brq-latn-pg',
  brr: 'brr-latn-sb',
  brs: 'brs-latn-id',
  brt: 'brt-latn-ng',
  bru: 'bru-latn-vn',
  'bru-laoo': 'bru-laoo-la',
  'bru-thai': 'bru-thai-la',
  brv: 'brv-laoo-la',
  brx: 'brx-deva-in',
  bry: 'bry-latn-pg',
  brz: 'brz-latn-zz',
  bs: 'bs-latn-ba',
  bsa: 'bsa-latn-id',
  bsb: 'bsb-latn-bn',
  bsc: 'bsc-latn-sn',
  bse: 'bse-latn-cm',
  bsf: 'bsf-latn-ng',
  bsh: 'bsh-arab-af',
  bsi: 'bsi-latn-cm',
  bsj: 'bsj-latn-zz',
  bsk: 'bsk-arab-pk',
  'bsk-latn': 'bsk-latn-pk',
  bsl: 'bsl-latn-ng',
  bsm: 'bsm-latn-id',
  bsn: 'bsn-latn-co',
  bso: 'bso-latn-td',
  bsp: 'bsp-latn-gn',
  bsq: 'bsq-bass-lr',
  bsr: 'bsr-latn-ng',
  bss: 'bss-latn-cm',
  bst: 'bst-ethi-zz',
  bsu: 'bsu-latn-id',
  bsv: 'bsv-latn-gn',
  'bsv-arab': 'bsv-arab-gn',
  bsw: 'bsw-latn-et',
  'bsw-ethi': 'bsw-ethi-et',
  bsx: 'bsx-latn-ng',
  bsy: 'bsy-latn-my',
  bta: 'bta-latn-ng',
  btc: 'btc-latn-cm',
  btd: 'btd-batk-id',
  bte: 'bte-latn-ng',
  btf: 'btf-latn-td',
  btg: 'btg-latn-ci',
  bth: 'bth-latn-my',
  bti: 'bti-latn-id',
  btj: 'btj-latn-id',
  btm: 'btm-batk-id',
  btn: 'btn-latn-ph',
  bto: 'bto-latn-ph',
  btp: 'btp-latn-pg',
  btq: 'btq-latn-my',
  btr: 'btr-latn-vu',
  bts: 'bts-latn-id',
  'bts-batk': 'bts-batk-id',
  btt: 'btt-latn-zz',
  btu: 'btu-latn-ng',
  btv: 'btv-deva-pk',
  btw: 'btw-latn-ph',
  btx: 'btx-latn-id',
  'btx-batk': 'btx-batk-id',
  bty: 'bty-latn-id',
  btz: 'btz-latn-id',
  bua: 'bua-cyrl-ru',
  bub: 'bub-latn-td',
  buc: 'buc-latn-yt',
  bud: 'bud-latn-zz',
  bue: 'bue-latn-ca',
  buf: 'buf-latn-cd',
  bug: 'bug-latn-id',
  buh: 'buh-latn-cn',
  bui: 'bui-latn-cg',
  buj: 'buj-latn-ng',
  buk: 'buk-latn-zz',
  bum: 'bum-latn-cm',
  bun: 'bun-latn-sl',
  buo: 'buo-latn-zz',
  bup: 'bup-latn-id',
  buq: 'buq-latn-pg',
  bus: 'bus-latn-zz',
  but: 'but-latn-pg',
  buu: 'buu-latn-zz',
  buv: 'buv-latn-pg',
  buw: 'buw-latn-ga',
  bux: 'bux-latn-ng',
  buy: 'buy-latn-sl',
  buz: 'buz-latn-ng',
  bva: 'bva-latn-td',
  bvb: 'bvb-latn-gq',
  bvc: 'bvc-latn-sb',
  bvd: 'bvd-latn-sb',
  bve: 'bve-latn-id',
  bvf: 'bvf-latn-td',
  bvg: 'bvg-latn-cm',
  bvh: 'bvh-latn-ng',
  bvi: 'bvi-latn-ss',
  bvj: 'bvj-latn-ng',
  bvk: 'bvk-latn-id',
  bvm: 'bvm-latn-cm',
  bvn: 'bvn-latn-pg',
  bvo: 'bvo-latn-td',
  bvq: 'bvq-latn-cf',
  bvr: 'bvr-latn-au',
  bvt: 'bvt-latn-id',
  bvu: 'bvu-latn-id',
  bvv: 'bvv-latn-ve',
  bvw: 'bvw-latn-ng',
  bvx: 'bvx-latn-cg',
  bvy: 'bvy-latn-ph',
  bvz: 'bvz-latn-id',
  bwa: 'bwa-latn-nc',
  bwb: 'bwb-latn-fj',
  bwc: 'bwc-latn-zm',
  bwd: 'bwd-latn-zz',
  bwe: 'bwe-mymr-mm',
  'bwe-latn': 'bwe-latn-mm',
  bwf: 'bwf-latn-pg',
  bwg: 'bwg-latn-mz',
  bwh: 'bwh-latn-cm',
  bwi: 'bwi-latn-ve',
  bwj: 'bwj-latn-bf',
  bwk: 'bwk-latn-pg',
  bwl: 'bwl-latn-cd',
  bwm: 'bwm-latn-pg',
  bwo: 'bwo-latn-et',
  'bwo-ethi': 'bwo-ethi-et',
  bwp: 'bwp-latn-id',
  bwq: 'bwq-latn-bf',
  bwr: 'bwr-latn-zz',
  bws: 'bws-latn-cd',
  bwt: 'bwt-latn-cm',
  bwu: 'bwu-latn-gh',
  bww: 'bww-latn-cd',
  bwx: 'bwx-latn-cn',
  bwy: 'bwy-latn-bf',
  bwz: 'bwz-latn-cg',
  bxa: 'bxa-latn-sb',
  bxb: 'bxb-latn-ss',
  bxc: 'bxc-latn-gq',
  bxf: 'bxf-latn-pg',
  bxg: 'bxg-latn-cd',
  bxh: 'bxh-latn-zz',
  bxi: 'bxi-latn-au',
  bxj: 'bxj-latn-au',
  bxl: 'bxl-latn-bf',
  bxm: 'bxm-cyrl-mn',
  'bxm-latn': 'bxm-latn-mn',
  'bxm-mong': 'bxm-mong-mn',
  bxn: 'bxn-latn-au',
  bxo: 'bxo-latn-ng',
  bxp: 'bxp-latn-cm',
  bxq: 'bxq-latn-ng',
  bxs: 'bxs-latn-cm',
  bxu: 'bxu-mong-cn',
  'bxu-cyrl': 'bxu-cyrl-cn',
  'bxu-latn': 'bxu-latn-cn',
  bxv: 'bxv-latn-td',
  bxw: 'bxw-latn-ml',
  bxz: 'bxz-latn-pg',
  bya: 'bya-latn-ph',
  byb: 'byb-latn-cm',
  byc: 'byc-latn-ng',
  byd: 'byd-latn-id',
  bye: 'bye-latn-zz',
  byf: 'byf-latn-ng',
  byh: 'byh-deva-np',
  byi: 'byi-latn-cd',
  byj: 'byj-latn-ng',
  byk: 'byk-latn-cn',
  byl: 'byl-latn-id',
  bym: 'bym-latn-au',
  byn: 'byn-ethi-er',
  byp: 'byp-latn-ng',
  byr: 'byr-latn-zz',
  bys: 'bys-latn-zz',
  byv: 'byv-latn-cm',
  byw: 'byw-deva-np',
  byx: 'byx-latn-zz',
  byz: 'byz-latn-pg',
  bza: 'bza-latn-zz',
  bzb: 'bzb-latn-id',
  bzc: 'bzc-latn-mg',
  bzd: 'bzd-latn-cr',
  bze: 'bze-latn-ml',
  bzf: 'bzf-latn-zz',
  bzh: 'bzh-latn-zz',
  bzi: 'bzi-thai-th',
  bzj: 'bzj-latn-bz',
  bzk: 'bzk-latn-ni',
  bzl: 'bzl-latn-id',
  bzm: 'bzm-latn-cd',
  bzn: 'bzn-latn-id',
  bzo: 'bzo-latn-cd',
  bzp: 'bzp-latn-id',
  bzq: 'bzq-latn-id',
  bzr: 'bzr-latn-au',
  bzt: 'bzt-latn-001',
  bzu: 'bzu-latn-id',
  bzv: 'bzv-latn-cm',
  bzw: 'bzw-latn-zz',
  bzx: 'bzx-latn-ml',
  bzy: 'bzy-latn-ng',
  bzz: 'bzz-latn-ng',
  ca: 'ca-latn-es',
  caa: 'caa-latn-gt',
  cab: 'cab-latn-hn',
  cac: 'cac-latn-gt',
  cad: 'cad-latn-us',
  cae: 'cae-latn-sn',
  caf: 'caf-latn-ca',
  'caf-cans': 'caf-cans-ca',
  cag: 'cag-latn-py',
  cah: 'cah-latn-pe',
  caj: 'caj-latn-ar',
  cak: 'cak-latn-gt',
  cal: 'cal-latn-mp',
  cam: 'cam-latn-nc',
  can: 'can-latn-zz',
  cao: 'cao-latn-bo',
  cap: 'cap-latn-bo',
  caq: 'caq-latn-in',
  car: 'car-latn-ve',
  cas: 'cas-latn-bo',
  cav: 'cav-latn-bo',
  caw: 'caw-latn-bo',
  cax: 'cax-latn-bo',
  cay: 'cay-latn-ca',
  caz: 'caz-latn-bo',
  cbb: 'cbb-latn-co',
  cbc: 'cbc-latn-co',
  cbd: 'cbd-latn-co',
  cbg: 'cbg-latn-co',
  cbi: 'cbi-latn-ec',
  cbj: 'cbj-latn-zz',
  cbk: 'cbk-latn-ph',
  'cbk-brai': 'cbk-brai-ph',
  cbl: 'cbl-latn-mm',
  cbn: 'cbn-thai-th',
  cbo: 'cbo-latn-ng',
  cbq: 'cbq-latn-ng',
  cbr: 'cbr-latn-pe',
  cbs: 'cbs-latn-pe',
  cbt: 'cbt-latn-pe',
  cbu: 'cbu-latn-pe',
  cbv: 'cbv-latn-co',
  cbw: 'cbw-latn-ph',
  cby: 'cby-latn-co',
  ccc: 'ccc-latn-pe',
  ccd: 'ccd-latn-br',
  cce: 'cce-latn-mz',
  ccg: 'ccg-latn-ng',
  cch: 'cch-latn-ng',
  ccj: 'ccj-latn-gw',
  ccl: 'ccl-latn-tz',
  ccm: 'ccm-latn-my',
  cco: 'cco-latn-mx',
  ccp: 'ccp-cakm-bd',
  ccr: 'ccr-latn-sv',
  cde: 'cde-telu-in',
  cdf: 'cdf-latn-in',
  'cdf-beng': 'cdf-beng-in',
  cdh: 'cdh-deva-in',
  'cdh-takr': 'cdh-takr-in',
  cdi: 'cdi-gujr-in',
  cdj: 'cdj-deva-in',
  cdm: 'cdm-deva-np',
  'cdm-latn': 'cdm-latn-np',
  cdo: 'cdo-hans-cn',
  'cdo-hant': 'cdo-hant-cn',
  'cdo-latn': 'cdo-latn-cn',
  cdr: 'cdr-latn-ng',
  cdz: 'cdz-beng-in',
  ce: 'ce-cyrl-ru',
  cea: 'cea-latn-us',
  ceb: 'ceb-latn-ph',
  ceg: 'ceg-latn-py',
  cek: 'cek-latn-mm',
  cen: 'cen-latn-ng',
  cet: 'cet-latn-ng',
  cey: 'cey-latn-mm',
  cfa: 'cfa-latn-zz',
  cfd: 'cfd-latn-ng',
  cfg: 'cfg-latn-ng',
  cfm: 'cfm-latn-mm',
  'cfm-beng': 'cfm-beng-in',
  cga: 'cga-latn-pg',
  cgc: 'cgc-latn-ph',
  cgg: 'cgg-latn-ug',
  cgk: 'cgk-tibt-bt',
  ch: 'ch-latn-gu',
  chb: 'chb-latn-co',
  chd: 'chd-latn-mx',
  chf: 'chf-latn-mx',
  chg: 'chg-arab-tm',
  chh: 'chh-latn-us',
  chj: 'chj-latn-mx',
  chk: 'chk-latn-fm',
  chl: 'chl-latn-us',
  chm: 'chm-cyrl-ru',
  chn: 'chn-latn-us',
  'chn-dupl': 'chn-dupl-us',
  cho: 'cho-latn-us',
  chp: 'chp-latn-ca',
  chq: 'chq-latn-mx',
  chr: 'chr-cher-us',
  cht: 'cht-latn-pe',
  chw: 'chw-latn-mz',
  chx: 'chx-deva-np',
  chy: 'chy-latn-us',
  chz: 'chz-latn-mx',
  cia: 'cia-latn-id',
  'cia-arab': 'cia-arab-id',
  'cia-hang': 'cia-hang-id',
  cib: 'cib-latn-bj',
  cic: 'cic-latn-us',
  cie: 'cie-latn-ng',
  cih: 'cih-deva-in',
  cim: 'cim-latn-it',
  cin: 'cin-latn-br',
  cip: 'cip-latn-mx',
  cir: 'cir-latn-nc',
  ciw: 'ciw-latn-us',
  'ciw-cans': 'ciw-cans-us',
  ciy: 'ciy-latn-ve',
  cja: 'cja-arab-kh',
  cje: 'cje-latn-vn',
  cjh: 'cjh-latn-us',
  cji: 'cji-cyrl-ru',
  cjk: 'cjk-latn-ao',
  cjm: 'cjm-cham-vn',
  cjn: 'cjn-latn-pg',
  cjo: 'cjo-latn-pe',
  cjp: 'cjp-latn-cr',
  cjs: 'cjs-latn-ru',
  'cjs-cyrl': 'cjs-cyrl-ru',
  cjv: 'cjv-latn-zz',
  cjy: 'cjy-hans-cn',
  'cjy-hant': 'cjy-hant-cn',
  ckb: 'ckb-arab-iq',
  ckl: 'ckl-latn-zz',
  ckm: 'ckm-latn-hr',
  'ckm-glag': 'ckm-glag-hr',
  ckn: 'ckn-latn-mm',
  cko: 'cko-latn-zz',
  ckq: 'ckq-latn-td',
  ckr: 'ckr-latn-pg',
  cks: 'cks-latn-nc',
  ckt: 'ckt-cyrl-ru',
  cku: 'cku-latn-us',
  ckv: 'ckv-latn-tw',
  ckx: 'ckx-latn-cm',
  cky: 'cky-latn-zz',
  ckz: 'ckz-latn-gt',
  cla: 'cla-latn-zz',
  clc: 'clc-latn-ca',
  cle: 'cle-latn-mx',
  clh: 'clh-arab-pk',
  cli: 'cli-latn-gh',
  clj: 'clj-latn-mm',
  clk: 'clk-latn-in',
  'clk-tibt': 'clk-tibt-cn',
  cll: 'cll-latn-gh',
  clm: 'clm-latn-us',
  clo: 'clo-latn-mx',
  clt: 'clt-latn-mm',
  clu: 'clu-latn-ph',
  clw: 'clw-cyrl-ru',
  cly: 'cly-latn-mx',
  cma: 'cma-latn-vn',
  cme: 'cme-latn-zz',
  cmg: 'cmg-soyo-mn',
  cmi: 'cmi-latn-co',
  cml: 'cml-latn-id',
  cmo: 'cmo-latn-vn',
  'cmo-kh': 'cmo-latn-kh',
  'cmo-khmr': 'cmo-khmr-kh',
  cmr: 'cmr-latn-mm',
  cms: 'cms-latn-it',
  cmt: 'cmt-latn-za',
  cna: 'cna-tibt-in',
  cnb: 'cnb-latn-mm',
  cnc: 'cnc-latn-vn',
  cng: 'cng-latn-cn',
  cnh: 'cnh-latn-mm',
  cni: 'cni-latn-pe',
  cnk: 'cnk-latn-mm',
  cnl: 'cnl-latn-mx',
  cnp: 'cnp-hans-cn',
  'cnp-hant': 'cnp-hant-cn',
  cnq: 'cnq-latn-cm',
  cns: 'cns-latn-id',
  cnt: 'cnt-latn-mx',
  cnw: 'cnw-latn-mm',
  cnx: 'cnx-latn-gb',
  co: 'co-latn-fr',
  coa: 'coa-latn-au',
  cob: 'cob-latn-mx',
  coc: 'coc-latn-mx',
  cod: 'cod-latn-pe',
  coe: 'coe-latn-co',
  cof: 'cof-latn-ec',
  cog: 'cog-thai-th',
  coh: 'coh-latn-ke',
  coj: 'coj-latn-mx',
  cok: 'cok-latn-mx',
  col: 'col-latn-us',
  com: 'com-latn-us',
  coo: 'coo-latn-ca',
  cop: 'cop-copt-eg',
  coq: 'coq-latn-us',
  cot: 'cot-latn-pe',
  cou: 'cou-latn-sn',
  cox: 'cox-latn-pe',
  coz: 'coz-latn-mx',
  cpa: 'cpa-latn-mx',
  cpb: 'cpb-latn-pe',
  cpc: 'cpc-latn-pe',
  cpg: 'cpg-grek-gr',
  cpi: 'cpi-latn-nr',
  cpn: 'cpn-latn-gh',
  cpo: 'cpo-latn-bf',
  cps: 'cps-latn-ph',
  cpu: 'cpu-latn-pe',
  cpx: 'cpx-latn-cn',
  cpy: 'cpy-latn-pe',
  cqd: 'cqd-latn-cn',
  cr: 'cr-cans-ca',
  crb: 'crb-latn-vc',
  crc: 'crc-latn-vu',
  crd: 'crd-latn-us',
  crf: 'crf-latn-co',
  crg: 'crg-latn-ca',
  crh: 'crh-cyrl-ua',
  cri: 'cri-latn-st',
  crj: 'crj-cans-ca',
  'crj-latn': 'crj-latn-ca',
  crk: 'crk-cans-ca',
  crl: 'crl-cans-ca',
  crm: 'crm-cans-ca',
  crn: 'crn-latn-mx',
  cro: 'cro-latn-us',
  crq: 'crq-latn-ar',
  crs: 'crs-latn-sc',
  crt: 'crt-latn-ar',
  crv: 'crv-latn-in',
  crw: 'crw-latn-vn',
  crx: 'crx-latn-ca',
  'crx-cans': 'crx-cans-ca',
  cry: 'cry-latn-ng',
  crz: 'crz-latn-us',
  cs: 'cs-latn-cz',
  csa: 'csa-latn-mx',
  csb: 'csb-latn-pl',
  csh: 'csh-mymr-mm',
  'csh-latn': 'csh-latn-mm',
  csj: 'csj-latn-mm',
  csk: 'csk-latn-sn',
  csm: 'csm-latn-us',
  cso: 'cso-latn-mx',
  csp: 'csp-hans-cn',
  'csp-hant': 'csp-hant-cn',
  css: 'css-latn-us',
  cst: 'cst-latn-us',
  csv: 'csv-latn-mm',
  csw: 'csw-cans-ca',
  csy: 'csy-latn-mm',
  csz: 'csz-latn-us',
  cta: 'cta-latn-mx',
  ctc: 'ctc-latn-us',
  ctd: 'ctd-pauc-mm',
  cte: 'cte-latn-mx',
  ctg: 'ctg-beng-bd',
  'ctg-arab': 'ctg-arab-bd',
  'ctg-latn': 'ctg-latn-bd',
  cth: 'cth-latn-mm',
  ctl: 'ctl-latn-mx',
  ctm: 'ctm-latn-us',
  ctn: 'ctn-deva-np',
  cto: 'cto-latn-co',
  ctp: 'ctp-latn-mx',
  cts: 'cts-latn-ph',
  ctt: 'ctt-taml-in',
  ctu: 'ctu-latn-mx',
  ctz: 'ctz-latn-mx',
  cu: 'cu-cyrl-ru',
  'cu-glag': 'cu-glag-bg',
  cua: 'cua-latn-vn',
  cub: 'cub-latn-co',
  cuc: 'cuc-latn-mx',
  cuh: 'cuh-latn-ke',
  cui: 'cui-latn-co',
  cuj: 'cuj-latn-pe',
  cuk: 'cuk-latn-pa',
  cul: 'cul-latn-br',
  cuo: 'cuo-latn-ve',
  cup: 'cup-latn-us',
  cut: 'cut-latn-mx',
  cuu: 'cuu-lana-cn',
  cuv: 'cuv-latn-cm',
  cux: 'cux-latn-mx',
  cv: 'cv-cyrl-ru',
  cvg: 'cvg-latn-in',
  'cvg-tibt': 'cvg-tibt-in',
  cvn: 'cvn-latn-mx',
  cwa: 'cwa-latn-tz',
  cwb: 'cwb-latn-mz',
  cwe: 'cwe-latn-tz',
  cwg: 'cwg-latn-my',
  cwt: 'cwt-latn-sn',
  cy: 'cy-latn-gb',
  cya: 'cya-latn-mx',
  cyb: 'cyb-latn-bo',
  cyo: 'cyo-latn-ph',
  czh: 'czh-hans-cn',
  'czh-hant': 'czh-hant-cn',
  czk: 'czk-hebr-cz',
  czn: 'czn-latn-mx',
  czt: 'czt-latn-mm',
  da: 'da-latn-dk',
  daa: 'daa-latn-td',
  dac: 'dac-latn-pg',
  dad: 'dad-latn-zz',
  dae: 'dae-latn-cm',
  daf: 'daf-latn-ci',
  dag: 'dag-latn-zz',
  dah: 'dah-latn-zz',
  dai: 'dai-latn-td',
  daj: 'daj-latn-sd',
  dak: 'dak-latn-us',
  dal: 'dal-latn-ke',
  dam: 'dam-latn-ng',
  dao: 'dao-latn-mm',
  daq: 'daq-deva-in',
  dar: 'dar-cyrl-ru',
  das: 'das-latn-ci',
  dau: 'dau-latn-td',
  dav: 'dav-latn-ke',
  daw: 'daw-latn-ph',
  dax: 'dax-latn-au',
  daz: 'daz-latn-id',
  dba: 'dba-latn-ml',
  dbb: 'dbb-latn-ng',
  dbd: 'dbd-latn-zz',
  dbe: 'dbe-latn-id',
  dbf: 'dbf-latn-id',
  dbg: 'dbg-latn-ml',
  dbi: 'dbi-latn-ng',
  dbj: 'dbj-latn-my',
  'dbj-arab': 'dbj-arab-my',
  dbl: 'dbl-latn-au',
  dbm: 'dbm-latn-ng',
  dbn: 'dbn-latn-id',
  dbo: 'dbo-latn-ng',
  dbp: 'dbp-latn-ng',
  dbq: 'dbq-latn-zz',
  dbt: 'dbt-latn-ml',
  dbu: 'dbu-latn-ml',
  dbv: 'dbv-latn-ng',
  dbw: 'dbw-latn-ml',
  dby: 'dby-latn-pg',
  dcc: 'dcc-arab-in',
  dcr: 'dcr-latn-vi',
  dda: 'dda-latn-au',
  ddd: 'ddd-latn-ss',
  dde: 'dde-latn-cg',
  ddg: 'ddg-latn-tl',
  ddi: 'ddi-latn-pg',
  ddj: 'ddj-latn-au',
  ddn: 'ddn-latn-zz',
  ddo: 'ddo-cyrl-ru',
  ddr: 'ddr-latn-au',
  dds: 'dds-latn-ml',
  ddw: 'ddw-latn-id',
  de: 'de-latn-de',
  dec: 'dec-latn-sd',
  ded: 'ded-latn-zz',
  dee: 'dee-latn-lr',
  def: 'def-arab-ir',
  deg: 'deg-latn-ng',
  deh: 'deh-arab-pk',
  dei: 'dei-latn-id',
  dek: 'dek-latn-cm',
  del: 'del-latn-us',
  dem: 'dem-latn-id',
  den: 'den-latn-ca',
  deq: 'deq-latn-cf',
  der: 'der-beng-in',
  'der-latn': 'der-latn-in',
  des: 'des-latn-br',
  dev: 'dev-latn-pg',
  dez: 'dez-latn-cd',
  dga: 'dga-latn-zz',
  dgb: 'dgb-latn-ml',
  dgc: 'dgc-latn-ph',
  dgd: 'dgd-latn-bf',
  dge: 'dge-latn-pg',
  dgg: 'dgg-latn-pg',
  dgh: 'dgh-latn-zz',
  dgi: 'dgi-latn-zz',
  dgk: 'dgk-latn-cf',
  dgl: 'dgl-arab-zz',
  dgn: 'dgn-latn-au',
  dgr: 'dgr-latn-ca',
  dgs: 'dgs-latn-bf',
  dgt: 'dgt-latn-au',
  dgw: 'dgw-latn-au',
  dgx: 'dgx-latn-pg',
  dgz: 'dgz-latn-zz',
  dhg: 'dhg-latn-au',
  dhi: 'dhi-deva-np',
  dhl: 'dhl-latn-au',
  dhm: 'dhm-latn-ao',
  dhn: 'dhn-gujr-in',
  dho: 'dho-deva-in',
  dhr: 'dhr-latn-au',
  dhs: 'dhs-latn-tz',
  dhu: 'dhu-latn-au',
  dhv: 'dhv-latn-nc',
  dhw: 'dhw-deva-np',
  dhx: 'dhx-latn-au',
  dia: 'dia-latn-zz',
  dib: 'dib-latn-ss',
  dic: 'dic-latn-ci',
  did: 'did-latn-ss',
  dif: 'dif-latn-au',
  dig: 'dig-latn-ke',
  dih: 'dih-latn-mx',
  dii: 'dii-latn-cm',
  dij: 'dij-latn-id',
  dil: 'dil-latn-sd',
  din: 'din-latn-ss',
  'din-arab': 'din-arab-ss',
  dio: 'dio-latn-ng',
  dip: 'dip-latn-ss',
  dir: 'dir-latn-ng',
  dis: 'dis-latn-in',
  'dis-beng': 'dis-beng-in',
  diu: 'diu-latn-na',
  diw: 'diw-latn-ss',
  dix: 'dix-latn-vu',
  diy: 'diy-latn-id',
  diz: 'diz-latn-cd',
  dja: 'dja-latn-au',
  djb: 'djb-latn-au',
  djc: 'djc-latn-td',
  djd: 'djd-latn-au',
  dje: 'dje-latn-ne',
  djf: 'djf-latn-au',
  dji: 'dji-latn-au',
  djj: 'djj-latn-au',
  djk: 'djk-latn-sr',
  djm: 'djm-latn-ml',
  djn: 'djn-latn-au',
  djo: 'djo-latn-id',
  djr: 'djr-latn-au',
  dju: 'dju-latn-pg',
  djw: 'djw-latn-au',
  dka: 'dka-tibt-bt',
  dkg: 'dkg-latn-ng',
  dkk: 'dkk-latn-id',
  dkr: 'dkr-latn-my',
  dks: 'dks-latn-ss',
  dkx: 'dkx-latn-cm',
  dlg: 'dlg-cyrl-ru',
  dlm: 'dlm-latn-hr',
  dln: 'dln-latn-in',
  dma: 'dma-latn-ga',
  dmb: 'dmb-latn-ml',
  dmc: 'dmc-latn-pg',
  dmd: 'dmd-latn-au',
  dme: 'dme-latn-cm',
  dmf: 'dmf-medf-ng',
  dmg: 'dmg-latn-my',
  dmk: 'dmk-arab-pk',
  dml: 'dml-arab-pk',
  dmm: 'dmm-latn-cm',
  dmo: 'dmo-latn-cm',
  dmr: 'dmr-latn-id',
  dms: 'dms-latn-id',
  dmu: 'dmu-latn-id',
  dmv: 'dmv-latn-my',
  dmw: 'dmw-latn-au',
  dmx: 'dmx-latn-mz',
  dmy: 'dmy-latn-id',
  dna: 'dna-latn-id',
  dnd: 'dnd-latn-pg',
  dne: 'dne-latn-tz',
  dng: 'dng-cyrl-kg',
  'dng-arab': 'dng-arab-kg',
  dni: 'dni-latn-id',
  dnj: 'dnj-latn-ci',
  dnk: 'dnk-latn-id',
  dnn: 'dnn-latn-bf',
  dno: 'dno-latn-cd',
  dnr: 'dnr-latn-pg',
  dnt: 'dnt-latn-id',
  dnu: 'dnu-mymr-mm',
  dnv: 'dnv-mymr-mm',
  dnw: 'dnw-latn-id',
  dny: 'dny-latn-br',
  doa: 'doa-latn-pg',
  dob: 'dob-latn-zz',
  doc: 'doc-latn-cn',
  doe: 'doe-latn-tz',
  dof: 'dof-latn-pg',
  doh: 'doh-latn-ng',
  doi: 'doi-deva-in',
  dok: 'dok-latn-id',
  dol: 'dol-latn-pg',
  don: 'don-latn-pg',
  doo: 'doo-latn-cd',
  dop: 'dop-latn-zz',
  dor: 'dor-latn-sb',
  dos: 'dos-latn-bf',
  dot: 'dot-latn-ng',
  dov: 'dov-latn-zw',
  dow: 'dow-latn-zz',
  dox: 'dox-ethi-et',
  doy: 'doy-latn-gh',
  dpp: 'dpp-latn-my',
  drc: 'drc-latn-pt',
  dre: 'dre-tibt-np',
  drg: 'drg-latn-my',
  drh: 'drh-mong-cn',
  dri: 'dri-latn-zz',
  drl: 'drl-latn-au',
  drn: 'drn-latn-id',
  dro: 'dro-latn-my',
  drq: 'drq-deva-np',
  drs: 'drs-ethi-zz',
  drt: 'drt-latn-nl',
  dru: 'dru-latn-tw',
  dry: 'dry-deva-np',
  dsb: 'dsb-latn-de',
  dsh: 'dsh-latn-ke',
  dsi: 'dsi-latn-td',
  dsn: 'dsn-latn-id',
  dso: 'dso-orya-in',
  dsq: 'dsq-latn-ml',
  'dsq-arab': 'dsq-arab-ml',
  dta: 'dta-latn-cn',
  'dta-cyrl': 'dta-cyrl-cn',
  'dta-hans': 'dta-hans-cn',
  dtb: 'dtb-latn-my',
  dtd: 'dtd-latn-ca',
  dth: 'dth-latn-au',
  dti: 'dti-latn-ml',
  dtk: 'dtk-latn-ml',
  dtm: 'dtm-latn-ml',
  dto: 'dto-latn-ml',
  dtp: 'dtp-latn-my',
  dtr: 'dtr-latn-my',
  dts: 'dts-latn-zz',
  dtt: 'dtt-latn-ml',
  dtu: 'dtu-latn-ml',
  dty: 'dty-deva-np',
  dua: 'dua-latn-cm',
  dub: 'dub-gujr-in',
  duc: 'duc-latn-zz',
  dud: 'dud-latn-zz',
  due: 'due-latn-ph',
  duf: 'duf-latn-nc',
  dug: 'dug-latn-zz',
  duh: 'duh-deva-in',
  'duh-gujr': 'duh-gujr-in',
  dui: 'dui-latn-pg',
  duk: 'duk-latn-pg',
  dul: 'dul-latn-ph',
  dum: 'dum-latn-nl',
  dun: 'dun-latn-id',
  duo: 'duo-latn-ph',
  dup: 'dup-latn-id',
  duq: 'duq-latn-id',
  dur: 'dur-latn-cm',
  dus: 'dus-deva-np',
  duu: 'duu-latn-cn',
  duv: 'duv-latn-id',
  duw: 'duw-latn-id',
  dux: 'dux-latn-ml',
  duy: 'duy-latn-ph',
  duz: 'duz-latn-cm',
  dv: 'dv-thaa-mv',
  dva: 'dva-latn-zz',
  dwa: 'dwa-latn-ng',
  dwk: 'dwk-orya-in',
  dwr: 'dwr-latn-et',
  'dwr-ethi': 'dwr-ethi-et',
  dws: 'dws-latn-001',
  dwu: 'dwu-latn-au',
  dww: 'dww-latn-zz',
  dwy: 'dwy-latn-au',
  dwz: 'dwz-deva-np',
  dya: 'dya-latn-bf',
  dyb: 'dyb-latn-au',
  dyd: 'dyd-latn-au',
  dyg: 'dyg-latn-ph',
  dyi: 'dyi-latn-ci',
  dym: 'dym-latn-ml',
  dyn: 'dyn-latn-au',
  dyo: 'dyo-latn-sn',
  dyu: 'dyu-latn-bf',
  dyy: 'dyy-latn-au',
  dz: 'dz-tibt-bt',
  dza: 'dza-latn-ng',
  dze: 'dze-latn-au',
  dzg: 'dzg-latn-zz',
  dzl: 'dzl-tibt-bt',
  dzn: 'dzn-latn-cd',
  eaa: 'eaa-latn-au',
  ebc: 'ebc-latn-id',
  ebg: 'ebg-latn-ng',
  ebk: 'ebk-latn-ph',
  ebo: 'ebo-latn-cg',
  ebr: 'ebr-latn-ci',
  ebu: 'ebu-latn-ke',
  ecr: 'ecr-grek-gr',
  ecy: 'ecy-cprt-cy',
  ee: 'ee-latn-gh',
  efa: 'efa-latn-ng',
  efe: 'efe-latn-cd',
  efi: 'efi-latn-ng',
  ega: 'ega-latn-ci',
  egl: 'egl-latn-it',
  egm: 'egm-latn-tz',
  ego: 'ego-latn-ng',
  egy: 'egy-egyp-eg',
  ehu: 'ehu-latn-ng',
  eip: 'eip-latn-id',
  eit: 'eit-latn-pg',
  eiv: 'eiv-latn-pg',
  eja: 'eja-latn-gw',
  eka: 'eka-latn-zz',
  eke: 'eke-latn-ng',
  ekg: 'ekg-latn-id',
  eki: 'eki-latn-ng',
  ekl: 'ekl-latn-bd',
  ekm: 'ekm-latn-cm',
  eko: 'eko-latn-mz',
  'eko-arab': 'eko-arab-mz',
  ekp: 'ekp-latn-ng',
  ekr: 'ekr-latn-ng',
  eky: 'eky-kali-mm',
  el: 'el-grek-gr',
  ele: 'ele-latn-pg',
  elk: 'elk-latn-pg',
  elm: 'elm-latn-ng',
  elo: 'elo-latn-ke',
  elu: 'elu-latn-pg',
  ema: 'ema-latn-zz',
  emb: 'emb-latn-id',
  eme: 'eme-latn-gf',
  emg: 'emg-deva-np',
  emi: 'emi-latn-zz',
  emm: 'emm-latn-mx',
  emn: 'emn-latn-cm',
  emp: 'emp-latn-pa',
  ems: 'ems-latn-us',
  'ems-cyrl': 'ems-cyrl-us',
  emu: 'emu-deva-in',
  emw: 'emw-latn-id',
  emx: 'emx-latn-fr',
  emz: 'emz-latn-cm',
  en: 'en-latn-us',
  'en-shaw': 'en-shaw-gb',
  ena: 'ena-latn-pg',
  enb: 'enb-latn-ke',
  enc: 'enc-latn-vn',
  end: 'end-latn-id',
  enf: 'enf-cyrl-ru',
  enh: 'enh-cyrl-ru',
  enl: 'enl-latn-py',
  enm: 'enm-latn-gb',
  enn: 'enn-latn-zz',
  eno: 'eno-latn-id',
  enq: 'enq-latn-zz',
  enr: 'enr-latn-id',
  env: 'env-latn-ng',
  enw: 'enw-latn-ng',
  enx: 'enx-latn-py',
  eo: 'eo-latn-001',
  eot: 'eot-latn-ci',
  epi: 'epi-latn-ng',
  era: 'era-taml-in',
  erg: 'erg-latn-vu',
  erh: 'erh-latn-ng',
  eri: 'eri-latn-zz',
  erk: 'erk-latn-vu',
  err: 'err-latn-au',
  ert: 'ert-latn-id',
  erw: 'erw-latn-id',
  es: 'es-latn-es',
  ese: 'ese-latn-bo',
  esg: 'esg-gonm-in',
  esh: 'esh-arab-ir',
  esi: 'esi-latn-us',
  esm: 'esm-latn-ci',
  ess: 'ess-latn-us',
  'ess-cyrl': 'ess-cyrl-us',
  esu: 'esu-latn-us',
  esy: 'esy-latn-ph',
  et: 'et-latn-ee',
  etb: 'etb-latn-ng',
  etn: 'etn-latn-vu',
  eto: 'eto-latn-cm',
  etr: 'etr-latn-zz',
  ets: 'ets-latn-ng',
  ett: 'ett-ital-it',
  etu: 'etu-latn-zz',
  etx: 'etx-latn-zz',
  etz: 'etz-latn-id',
  eu: 'eu-latn-es',
  eve: 'eve-cyrl-ru',
  evh: 'evh-latn-ng',
  evn: 'evn-cyrl-ru',
  'evn-latn': 'evn-latn-cn',
  'evn-mong': 'evn-mong-cn',
  ewo: 'ewo-latn-cm',
  ext: 'ext-latn-es',
  eya: 'eya-latn-us',
  eyo: 'eyo-latn-ke',
  eza: 'eza-latn-zz',
  eze: 'eze-latn-ng',
  fa: 'fa-arab-ir',
  faa: 'faa-latn-zz',
  fab: 'fab-latn-zz',
  fad: 'fad-latn-pg',
  faf: 'faf-latn-sb',
  fag: 'fag-latn-zz',
  fah: 'fah-latn-ng',
  fai: 'fai-latn-zz',
  faj: 'faj-latn-pg',
  fak: 'fak-latn-cm',
  fal: 'fal-latn-cm',
  fam: 'fam-latn-ng',
  fan: 'fan-latn-gq',
  fap: 'fap-latn-sn',
  far: 'far-latn-sb',
  fau: 'fau-latn-id',
  fax: 'fax-latn-es',
  fay: 'fay-arab-ir',
  faz: 'faz-arab-ir',
  fbl: 'fbl-latn-ph',
  fer: 'fer-latn-ss',
  ff: 'ff-latn-sn',
  'ff-adlm': 'ff-adlm-gn',
  ffi: 'ffi-latn-zz',
  ffm: 'ffm-latn-ml',
  fgr: 'fgr-latn-td',
  fi: 'fi-latn-fi',
  fia: 'fia-arab-sd',
  fie: 'fie-latn-ng',
  fif: 'fif-latn-sa',
  fil: 'fil-latn-ph',
  fip: 'fip-latn-tz',
  fir: 'fir-latn-ng',
  fit: 'fit-latn-se',
  fiw: 'fiw-latn-pg',
  fj: 'fj-latn-fj',
  fkk: 'fkk-latn-ng',
  fkv: 'fkv-latn-no',
  fla: 'fla-latn-us',
  flh: 'flh-latn-id',
  fli: 'fli-latn-ng',
  fll: 'fll-latn-cm',
  fln: 'fln-latn-au',
  flr: 'flr-latn-zz',
  fly: 'fly-latn-za',
  fmp: 'fmp-latn-zz',
  fmu: 'fmu-deva-in',
  fnb: 'fnb-latn-vu',
  fng: 'fng-latn-za',
  fni: 'fni-latn-td',
  fo: 'fo-latn-fo',
  fod: 'fod-latn-zz',
  foi: 'foi-latn-pg',
  fom: 'fom-latn-cd',
  fon: 'fon-latn-bj',
  for: 'for-latn-zz',
  fos: 'fos-latn-tw',
  fpe: 'fpe-latn-zz',
  fqs: 'fqs-latn-zz',
  fr: 'fr-latn-fr',
  frc: 'frc-latn-us',
  frd: 'frd-latn-id',
  frk: 'frk-latn-de',
  frm: 'frm-latn-fr',
  fro: 'fro-latn-fr',
  frp: 'frp-latn-fr',
  frq: 'frq-latn-pg',
  frr: 'frr-latn-de',
  frs: 'frs-latn-de',
  frt: 'frt-latn-vu',
  fub: 'fub-arab-cm',
  fud: 'fud-latn-wf',
  fue: 'fue-latn-zz',
  fuf: 'fuf-latn-gn',
  fuh: 'fuh-latn-zz',
  fui: 'fui-latn-td',
  fum: 'fum-latn-ng',
  fun: 'fun-latn-br',
  fuq: 'fuq-latn-ne',
  fur: 'fur-latn-it',
  fut: 'fut-latn-vu',
  fuu: 'fuu-latn-cd',
  fuv: 'fuv-latn-ng',
  fuy: 'fuy-latn-zz',
  fvr: 'fvr-latn-sd',
  fwa: 'fwa-latn-nc',
  fwe: 'fwe-latn-na',
  fy: 'fy-latn-nl',
  ga: 'ga-latn-ie',
  gaa: 'gaa-latn-gh',
  gab: 'gab-latn-td',
  gac: 'gac-latn-in',
  'gac-deva': 'gac-deva-in',
  gad: 'gad-latn-ph',
  gae: 'gae-latn-ve',
  gaf: 'gaf-latn-zz',
  gag: 'gag-latn-md',
  gah: 'gah-latn-zz',
  gai: 'gai-latn-pg',
  gaj: 'gaj-latn-zz',
  gak: 'gak-latn-id',
  gal: 'gal-latn-tl',
  gam: 'gam-latn-zz',
  gan: 'gan-hans-cn',
  gao: 'gao-latn-pg',
  gap: 'gap-latn-pg',
  gaq: 'gaq-orya-in',
  gar: 'gar-latn-pg',
  gas: 'gas-gujr-in',
  gat: 'gat-latn-pg',
  gau: 'gau-telu-in',
  gaw: 'gaw-latn-zz',
  gax: 'gax-latn-et',
  'gax-ethi': 'gax-ethi-et',
  gay: 'gay-latn-id',
  gba: 'gba-latn-zz',
  gbb: 'gbb-latn-au',
  gbd: 'gbd-latn-au',
  gbe: 'gbe-latn-pg',
  gbf: 'gbf-latn-zz',
  gbg: 'gbg-latn-cf',
  gbh: 'gbh-latn-bj',
  gbi: 'gbi-latn-id',
  gbj: 'gbj-orya-in',
  gbk: 'gbk-deva-in',
  'gbk-takr': 'gbk-takr-in',
  gbl: 'gbl-gujr-in',
  'gbl-deva': 'gbl-deva-in',
  gbm: 'gbm-deva-in',
  gbn: 'gbn-latn-ss',
  gbp: 'gbp-latn-cf',
  gbq: 'gbq-latn-cf',
  gbr: 'gbr-latn-ng',
  gbs: 'gbs-latn-bj',
  gbu: 'gbu-latn-au',
  gbv: 'gbv-latn-cf',
  gbw: 'gbw-latn-au',
  gbx: 'gbx-latn-bj',
  gby: 'gby-latn-zz',
  gbz: 'gbz-arab-ir',
  gcc: 'gcc-latn-pg',
  gcd: 'gcd-latn-au',
  gcf: 'gcf-latn-gp',
  gcl: 'gcl-latn-gd',
  gcn: 'gcn-latn-pg',
  gcr: 'gcr-latn-gf',
  gct: 'gct-latn-ve',
  gd: 'gd-latn-gb',
  gdb: 'gdb-orya-in',
  'gdb-telu': 'gdb-telu-in',
  gdc: 'gdc-latn-au',
  gdd: 'gdd-latn-pg',
  gde: 'gde-latn-zz',
  gdf: 'gdf-latn-ng',
  gdg: 'gdg-latn-ph',
  gdh: 'gdh-latn-au',
  gdi: 'gdi-latn-cf',
  gdj: 'gdj-latn-au',
  gdk: 'gdk-latn-td',
  gdl: 'gdl-latn-et',
  'gdl-ethi': 'gdl-ethi-et',
  gdm: 'gdm-latn-td',
  gdn: 'gdn-latn-zz',
  gdo: 'gdo-cyrl-ru',
  gdq: 'gdq-latn-ye',
  gdr: 'gdr-latn-zz',
  gdt: 'gdt-latn-au',
  gdu: 'gdu-latn-ng',
  gdx: 'gdx-deva-in',
  gea: 'gea-latn-ng',
  geb: 'geb-latn-zz',
  gec: 'gec-latn-lr',
  ged: 'ged-latn-ng',
  gef: 'gef-latn-id',
  geg: 'geg-latn-ng',
  geh: 'geh-latn-ca',
  gei: 'gei-latn-id',
  gej: 'gej-latn-zz',
  gek: 'gek-latn-ng',
  gel: 'gel-latn-zz',
  geq: 'geq-latn-cf',
  ges: 'ges-latn-id',
  gev: 'gev-latn-ga',
  gew: 'gew-latn-ng',
  gex: 'gex-latn-so',
  gey: 'gey-latn-cd',
  gez: 'gez-ethi-et',
  gfk: 'gfk-latn-zz',
  gga: 'gga-latn-sb',
  ggb: 'ggb-latn-lr',
  ggd: 'ggd-latn-au',
  gge: 'gge-latn-au',
  ggg: 'ggg-arab-pk',
  ggk: 'ggk-latn-au',
  ggl: 'ggl-latn-pg',
  ggn: 'ggn-deva-np',
  ggt: 'ggt-latn-pg',
  ggu: 'ggu-latn-ci',
  ggw: 'ggw-latn-pg',
  gha: 'gha-arab-ly',
  'gha-latn': 'gha-latn-ly',
  'gha-tfng': 'gha-tfng-ly',
  ghc: 'ghc-latn-gb',
  ghe: 'ghe-deva-np',
  ghk: 'ghk-latn-mm',
  ghn: 'ghn-latn-sb',
  ghr: 'ghr-arab-pk',
  ghs: 'ghs-latn-zz',
  ght: 'ght-tibt-np',
  gia: 'gia-latn-au',
  gib: 'gib-latn-ng',
  gic: 'gic-latn-za',
  gid: 'gid-latn-cm',
  gie: 'gie-latn-ci',
  gig: 'gig-arab-pk',
  gih: 'gih-latn-au',
  gil: 'gil-latn-ki',
  gim: 'gim-latn-zz',
  gin: 'gin-cyrl-ru',
  gip: 'gip-latn-pg',
  giq: 'giq-latn-vn',
  gir: 'gir-latn-vn',
  gis: 'gis-latn-cm',
  git: 'git-latn-ca',
  gix: 'gix-latn-cd',
  giy: 'giy-latn-au',
  giz: 'giz-latn-cm',
  gjk: 'gjk-arab-pk',
  gjm: 'gjm-latn-au',
  gjn: 'gjn-latn-zz',
  gjr: 'gjr-latn-au',
  gju: 'gju-arab-pk',
  gka: 'gka-latn-pg',
  gkd: 'gkd-latn-pg',
  gke: 'gke-latn-cm',
  gkn: 'gkn-latn-zz',
  gko: 'gko-latn-au',
  gkp: 'gkp-latn-zz',
  gku: 'gku-latn-za',
  gl: 'gl-latn-es',
  glb: 'glb-latn-ng',
  glc: 'glc-latn-td',
  gld: 'gld-cyrl-ru',
  glh: 'glh-arab-af',
  glj: 'glj-latn-td',
  glk: 'glk-arab-ir',
  gll: 'gll-latn-au',
  glo: 'glo-latn-ng',
  glr: 'glr-latn-lr',
  glu: 'glu-latn-td',
  glw: 'glw-latn-ng',
  gma: 'gma-latn-au',
  gmb: 'gmb-latn-sb',
  gmd: 'gmd-latn-ng',
  gmg: 'gmg-latn-pg',
  gmh: 'gmh-latn-de',
  gmm: 'gmm-latn-zz',
  gmn: 'gmn-latn-cm',
  gmr: 'gmr-latn-au',
  gmu: 'gmu-latn-pg',
  gmv: 'gmv-ethi-zz',
  gmx: 'gmx-latn-tz',
  gmy: 'gmy-linb-gr',
  gmz: 'gmz-latn-ng',
  gn: 'gn-latn-py',
  gna: 'gna-latn-bf',
  gnb: 'gnb-latn-in',
  gnc: 'gnc-latn-es',
  gnd: 'gnd-latn-zz',
  gne: 'gne-latn-ng',
  gng: 'gng-latn-zz',
  gnh: 'gnh-latn-ng',
  gni: 'gni-latn-au',
  gnj: 'gnj-latn-ci',
  gnk: 'gnk-latn-bw',
  gnl: 'gnl-latn-au',
  gnm: 'gnm-latn-pg',
  gnn: 'gnn-latn-au',
  gnq: 'gnq-latn-my',
  gnr: 'gnr-latn-au',
  gnt: 'gnt-latn-pg',
  gnu: 'gnu-latn-pg',
  gnw: 'gnw-latn-bo',
  gnz: 'gnz-latn-cf',
  goa: 'goa-latn-ci',
  gob: 'gob-latn-co',
  goc: 'goc-latn-pg',
  god: 'god-latn-zz',
  goe: 'goe-tibt-bt',
  gof: 'gof-ethi-zz',
  gog: 'gog-latn-tz',
  goh: 'goh-latn-de',
  goi: 'goi-latn-zz',
  gok: 'gok-deva-in',
  gol: 'gol-latn-lr',
  gom: 'gom-deva-in',
  gon: 'gon-telu-in',
  goo: 'goo-latn-fj',
  gop: 'gop-latn-id',
  goq: 'goq-latn-id',
  gor: 'gor-latn-id',
  gos: 'gos-latn-nl',
  got: 'got-goth-ua',
  gou: 'gou-latn-cm',
  gov: 'gov-latn-ci',
  gow: 'gow-latn-tz',
  gox: 'gox-latn-cd',
  goy: 'goy-latn-td',
  gpa: 'gpa-latn-ng',
  gpe: 'gpe-latn-gh',
  gpn: 'gpn-latn-pg',
  gqa: 'gqa-latn-ng',
  gqn: 'gqn-latn-br',
  gqr: 'gqr-latn-td',
  gra: 'gra-deva-in',
  'gra-gujr': 'gra-gujr-in',
  grb: 'grb-latn-zz',
  grc: 'grc-cprt-cy',
  'grc-linb': 'grc-linb-gr',
  grd: 'grd-latn-ng',
  grg: 'grg-latn-pg',
  grh: 'grh-latn-ng',
  gri: 'gri-latn-sb',
  grj: 'grj-latn-lr',
  grm: 'grm-latn-my',
  grq: 'grq-latn-pg',
  grs: 'grs-latn-id',
  grt: 'grt-beng-in',
  gru: 'gru-ethi-et',
  'gru-latn': 'gru-latn-et',
  grv: 'grv-latn-lr',
  grw: 'grw-latn-zz',
  grx: 'grx-latn-pg',
  gry: 'gry-latn-lr',
  grz: 'grz-latn-pg',
  gsl: 'gsl-latn-sn',
  gsn: 'gsn-latn-pg',
  gso: 'gso-latn-cf',
  gsp: 'gsp-latn-pg',
  gsw: 'gsw-latn-ch',
  gta: 'gta-latn-br',
  gtu: 'gtu-latn-au',
  gu: 'gu-gujr-in',
  gua: 'gua-latn-ng',
  gub: 'gub-latn-br',
  guc: 'guc-latn-co',
  gud: 'gud-latn-zz',
  gue: 'gue-latn-au',
  guf: 'guf-latn-au',
  guh: 'guh-latn-co',
  gui: 'gui-latn-bo',
  guk: 'guk-latn-et',
  'guk-ethi': 'guk-ethi-et',
  gul: 'gul-latn-us',
  gum: 'gum-latn-co',
  gun: 'gun-latn-br',
  guo: 'guo-latn-co',
  gup: 'gup-latn-au',
  guq: 'guq-latn-py',
  gur: 'gur-latn-gh',
  gut: 'gut-latn-cr',
  guu: 'guu-latn-ve',
  guw: 'guw-latn-zz',
  gux: 'gux-latn-zz',
  guz: 'guz-latn-ke',
  gv: 'gv-latn-im',
  gva: 'gva-latn-py',
  gvc: 'gvc-latn-br',
  gve: 'gve-latn-pg',
  gvf: 'gvf-latn-zz',
  gvj: 'gvj-latn-br',
  gvl: 'gvl-latn-td',
  gvm: 'gvm-latn-ng',
  gvn: 'gvn-latn-au',
  gvo: 'gvo-latn-br',
  gvp: 'gvp-latn-br',
  gvr: 'gvr-deva-np',
  gvs: 'gvs-latn-zz',
  gvy: 'gvy-latn-au',
  gwa: 'gwa-latn-ci',
  gwb: 'gwb-latn-ng',
  gwc: 'gwc-arab-zz',
  gwd: 'gwd-latn-et',
  gwe: 'gwe-latn-tz',
  gwf: 'gwf-arab-pk',
  gwg: 'gwg-latn-ng',
  gwi: 'gwi-latn-ca',
  gwj: 'gwj-latn-bw',
  gwm: 'gwm-latn-au',
  gwn: 'gwn-latn-ng',
  gwr: 'gwr-latn-ug',
  gwt: 'gwt-arab-zz',
  gwu: 'gwu-latn-au',
  gww: 'gww-latn-au',
  gwx: 'gwx-latn-gh',
  gxx: 'gxx-latn-ci',
  gyb: 'gyb-latn-pg',
  gyd: 'gyd-latn-au',
  gye: 'gye-latn-ng',
  gyf: 'gyf-latn-au',
  gyg: 'gyg-latn-cf',
  gyi: 'gyi-latn-zz',
  gyl: 'gyl-latn-et',
  'gyl-ethi': 'gyl-ethi-et',
  gym: 'gym-latn-pa',
  gyn: 'gyn-latn-gy',
  gyo: 'gyo-deva-np',
  gyr: 'gyr-latn-bo',
  gyy: 'gyy-latn-au',
  gyz: 'gyz-latn-ng',
  gza: 'gza-latn-sd',
  gzi: 'gzi-arab-ir',
  gzn: 'gzn-latn-id',
  ha: 'ha-latn-ng',
  'ha-cm': 'ha-arab-cm',
  'ha-sd': 'ha-arab-sd',
  haa: 'haa-latn-us',
  hac: 'hac-arab-ir',
  had: 'had-latn-id',
  hae: 'hae-latn-et',
  hag: 'hag-latn-zz',
  hah: 'hah-latn-pg',
  hai: 'hai-latn-ca',
  haj: 'haj-latn-in',
  'haj-beng': 'haj-beng-in',
  hak: 'hak-hans-cn',
  hal: 'hal-latn-vn',
  ham: 'ham-latn-zz',
  han: 'han-latn-tz',
  hao: 'hao-latn-pg',
  hap: 'hap-latn-id',
  haq: 'haq-latn-tz',
  har: 'har-ethi-et',
  'har-arab': 'har-arab-et',
  'har-latn': 'har-latn-et',
  has: 'has-latn-ca',
  hav: 'hav-latn-cd',
  haw: 'haw-latn-us',
  hax: 'hax-latn-ca',
  hay: 'hay-latn-tz',
  haz: 'haz-arab-af',
  hba: 'hba-latn-cd',
  hbb: 'hbb-latn-zz',
  hbn: 'hbn-latn-sd',
  hbo: 'hbo-hebr-il',
  hbu: 'hbu-latn-tl',
  hch: 'hch-latn-mx',
  hdy: 'hdy-ethi-zz',
  he: 'he-hebr-il',
  hed: 'hed-latn-td',
  heg: 'heg-latn-id',
  heh: 'heh-latn-tz',
  hei: 'hei-latn-ca',
  hem: 'hem-latn-cd',
  hgm: 'hgm-latn-na',
  hgw: 'hgw-latn-pg',
  hhi: 'hhi-latn-pg',
  hhr: 'hhr-latn-sn',
  hhy: 'hhy-latn-zz',
  hi: 'hi-deva-in',
  'hi-latn': 'hi-latn-in',
  hia: 'hia-latn-zz',
  hib: 'hib-latn-pe',
  hid: 'hid-latn-us',
  hif: 'hif-latn-fj',
  hig: 'hig-latn-zz',
  hih: 'hih-latn-zz',
  hii: 'hii-takr-in',
  'hii-deva': 'hii-deva-in',
  hij: 'hij-latn-cm',
  hik: 'hik-latn-id',
  hil: 'hil-latn-ph',
  hio: 'hio-latn-bw',
  hir: 'hir-latn-br',
  hit: 'hit-xsux-tr',
  hiw: 'hiw-latn-vu',
  hix: 'hix-latn-br',
  hji: 'hji-latn-id',
  hka: 'hka-latn-tz',
  hke: 'hke-latn-cd',
  hkh: 'hkh-arab-in',
  'hkh-deva': 'hkh-deva-in',
  'hkh-latn': 'hkh-latn-in',
  hkk: 'hkk-latn-pg',
  hla: 'hla-latn-zz',
  hlb: 'hlb-deva-in',
  hld: 'hld-latn-vn',
  hlt: 'hlt-latn-mm',
  hlu: 'hlu-hluw-tr',
  hma: 'hma-latn-cn',
  hmb: 'hmb-latn-ml',
  hmd: 'hmd-plrd-cn',
  hmf: 'hmf-latn-vn',
  hmj: 'hmj-bopo-cn',
  hmm: 'hmm-latn-cn',
  hmn: 'hmn-latn-cn',
  'hmn-bopo': 'hmn-bopo-cn',
  'hmn-hmng': 'hmn-hmng-cn',
  hmp: 'hmp-latn-cn',
  hmq: 'hmq-bopo-cn',
  hmr: 'hmr-latn-in',
  hms: 'hms-latn-cn',
  hmt: 'hmt-latn-zz',
  hmu: 'hmu-latn-id',
  hmv: 'hmv-latn-vn',
  hmw: 'hmw-latn-cn',
  hmy: 'hmy-latn-cn',
  hmz: 'hmz-latn-cn',
  'hmz-plrd': 'hmz-plrd-cn',
  hna: 'hna-latn-cm',
  hnd: 'hnd-arab-pk',
  hne: 'hne-deva-in',
  hng: 'hng-latn-ao',
  hnh: 'hnh-latn-bw',
  hni: 'hni-latn-cn',
  hnj: 'hnj-hmnp-us',
  'hnj-au': 'hnj-laoo-au',
  'hnj-cn': 'hnj-laoo-cn',
  'hnj-fr': 'hnj-laoo-fr',
  'hnj-gf': 'hnj-laoo-gf',
  'hnj-la': 'hnj-laoo-la',
  'hnj-laoo': 'hnj-laoo-la',
  'hnj-mm': 'hnj-laoo-mm',
  'hnj-sr': 'hnj-laoo-sr',
  'hnj-th': 'hnj-laoo-th',
  'hnj-us': 'hnj-hmnp-us',
  'hnj-vn': 'hnj-laoo-vn',
  hnn: 'hnn-latn-ph',
  hno: 'hno-arab-pk',
  hns: 'hns-latn-sr',
  ho: 'ho-latn-pg',
  hoa: 'hoa-latn-sb',
  hob: 'hob-latn-pg',
  hoc: 'hoc-deva-in',
  hod: 'hod-latn-ng',
  hoe: 'hoe-latn-ng',
  hoh: 'hoh-arab-om',
  hoi: 'hoi-latn-us',
  hoj: 'hoj-deva-in',
  hol: 'hol-latn-ao',
  hom: 'hom-latn-ss',
  hoo: 'hoo-latn-cd',
  hop: 'hop-latn-us',
  hor: 'hor-latn-td',
  hot: 'hot-latn-zz',
  hov: 'hov-latn-id',
  how: 'how-hani-cn',
  hoy: 'hoy-deva-in',
  hpo: 'hpo-mymr-mm',
  hr: 'hr-latn-hr',
  hra: 'hra-latn-in',
  hrc: 'hrc-latn-pg',
  hre: 'hre-latn-vn',
  hrk: 'hrk-latn-id',
  hrm: 'hrm-latn-cn',
  'hrm-hmng': 'hrm-hmng-cn',
  hro: 'hro-latn-vn',
  hrp: 'hrp-latn-au',
  hrt: 'hrt-syrc-tr',
  hru: 'hru-latn-in',
  hrw: 'hrw-latn-pg',
  hrx: 'hrx-latn-br',
  hrz: 'hrz-arab-ir',
  hsb: 'hsb-latn-de',
  hsn: 'hsn-hans-cn',
  hss: 'hss-arab-om',
  ht: 'ht-latn-ht',
  hti: 'hti-latn-id',
  hto: 'hto-latn-co',
  hts: 'hts-latn-tz',
  htu: 'htu-latn-id',
  htx: 'htx-xsux-tr',
  hu: 'hu-latn-hu',
  hub: 'hub-latn-pe',
  huc: 'huc-latn-bw',
  hud: 'hud-latn-id',
  hue: 'hue-latn-mx',
  huf: 'huf-latn-pg',
  hug: 'hug-latn-pe',
  huh: 'huh-latn-cl',
  hui: 'hui-latn-zz',
  huk: 'huk-latn-id',
  hul: 'hul-latn-pg',
  hum: 'hum-latn-cd',
  hup: 'hup-latn-us',
  hur: 'hur-latn-ca',
  hus: 'hus-latn-mx',
  hut: 'hut-deva-np',
  'hut-tibt': 'hut-tibt-np',
  huu: 'huu-latn-pe',
  huv: 'huv-latn-mx',
  huw: 'huw-latn-id',
  hux: 'hux-latn-pe',
  huy: 'huy-hebr-il',
  huz: 'huz-cyrl-ru',
  hvc: 'hvc-latn-ht',
  hve: 'hve-latn-mx',
  hvk: 'hvk-latn-nc',
  hvn: 'hvn-latn-id',
  hvv: 'hvv-latn-mx',
  hwa: 'hwa-latn-ci',
  hwc: 'hwc-latn-us',
  hwo: 'hwo-latn-ng',
  hy: 'hy-armn-am',
  hya: 'hya-latn-cm',
  hyw: 'hyw-armn-am',
  hz: 'hz-latn-na',
  ia: 'ia-latn-001',
  iai: 'iai-latn-nc',
  ian: 'ian-latn-zz',
  iar: 'iar-latn-zz',
  iba: 'iba-latn-my',
  ibb: 'ibb-latn-ng',
  ibd: 'ibd-latn-au',
  ibe: 'ibe-latn-ng',
  ibg: 'ibg-latn-ph',
  ibh: 'ibh-latn-vn',
  ibl: 'ibl-latn-ph',
  ibm: 'ibm-latn-ng',
  ibn: 'ibn-latn-ng',
  ibr: 'ibr-latn-ng',
  ibu: 'ibu-latn-id',
  iby: 'iby-latn-zz',
  ica: 'ica-latn-zz',
  ich: 'ich-latn-zz',
  icr: 'icr-latn-co',
  id: 'id-latn-id',
  ida: 'ida-latn-ke',
  idb: 'idb-latn-in',
  idc: 'idc-latn-ng',
  idd: 'idd-latn-zz',
  ide: 'ide-latn-ng',
  idi: 'idi-latn-zz',
  idr: 'idr-latn-ss',
  ids: 'ids-latn-ng',
  idt: 'idt-latn-tl',
  idu: 'idu-latn-zz',
  ie: 'ie-latn-001',
  ifa: 'ifa-latn-ph',
  ifb: 'ifb-latn-ph',
  ife: 'ife-latn-tg',
  iff: 'iff-latn-vu',
  ifk: 'ifk-latn-ph',
  ifm: 'ifm-latn-cg',
  ifu: 'ifu-latn-ph',
  ify: 'ify-latn-ph',
  ig: 'ig-latn-ng',
  igb: 'igb-latn-zz',
  ige: 'ige-latn-zz',
  igg: 'igg-latn-pg',
  igl: 'igl-latn-ng',
  igm: 'igm-latn-pg',
  ign: 'ign-latn-bo',
  igo: 'igo-latn-pg',
  igs: 'igs-latn-001',
  'igs-grek': 'igs-grek-001',
  igw: 'igw-latn-ng',
  ihb: 'ihb-latn-id',
  ihi: 'ihi-latn-ng',
  ihp: 'ihp-latn-id',
  ihw: 'ihw-latn-au',
  ii: 'ii-yiii-cn',
  iin: 'iin-latn-au',
  ijc: 'ijc-latn-ng',
  ije: 'ije-latn-ng',
  ijj: 'ijj-latn-zz',
  ijn: 'ijn-latn-ng',
  ijs: 'ijs-latn-ng',
  ik: 'ik-latn-us',
  iki: 'iki-latn-ng',
  ikk: 'ikk-latn-zz',
  ikl: 'ikl-latn-ng',
  iko: 'iko-latn-ng',
  ikp: 'ikp-latn-ng',
  ikr: 'ikr-latn-au',
  ikt: 'ikt-latn-ca',
  'ikt-cans': 'ikt-cans-ca',
  ikv: 'ikv-latn-ng',
  ikw: 'ikw-latn-zz',
  ikx: 'ikx-latn-zz',
  ikz: 'ikz-latn-tz',
  ila: 'ila-latn-id',
  ilb: 'ilb-latn-zm',
  ilg: 'ilg-latn-au',
  ili: 'ili-latn-cn',
  'ili-arab': 'ili-arab-cn',
  'ili-cyrl': 'ili-cyrl-kz',
  ilk: 'ilk-latn-ph',
  ilm: 'ilm-latn-my',
  ilo: 'ilo-latn-ph',
  ilp: 'ilp-latn-ph',
  ilu: 'ilu-latn-id',
  ilv: 'ilv-latn-ng',
  imi: 'imi-latn-pg',
  iml: 'iml-latn-us',
  imn: 'imn-latn-pg',
  imo: 'imo-latn-zz',
  imr: 'imr-latn-id',
  ims: 'ims-latn-it',
  imt: 'imt-latn-ss',
  imy: 'imy-lyci-tr',
  in: 'in-latn-id',
  inb: 'inb-latn-co',
  ing: 'ing-latn-us',
  inh: 'inh-cyrl-ru',
  inj: 'inj-latn-co',
  inn: 'inn-latn-ph',
  ino: 'ino-latn-pg',
  inp: 'inp-latn-pe',
  int: 'int-mymr-mm',
  io: 'io-latn-001',
  ior: 'ior-ethi-et',
  iou: 'iou-latn-zz',
  iow: 'iow-latn-us',
  ipi: 'ipi-latn-pg',
  ipo: 'ipo-latn-pg',
  iqu: 'iqu-latn-pe',
  iqw: 'iqw-latn-ng',
  ire: 'ire-latn-id',
  irh: 'irh-latn-id',
  iri: 'iri-latn-zz',
  irk: 'irk-latn-tz',
  irn: 'irn-latn-br',
  iru: 'iru-taml-in',
  'iru-mlym': 'iru-mlym-in',
  irx: 'irx-latn-id',
  iry: 'iry-latn-ph',
  is: 'is-latn-is',
  isa: 'isa-latn-pg',
  isc: 'isc-latn-pe',
  isd: 'isd-latn-ph',
  ish: 'ish-latn-ng',
  isi: 'isi-latn-ng',
  isk: 'isk-arab-af',
  'isk-cyrl': 'isk-cyrl-tj',
  ism: 'ism-latn-id',
  isn: 'isn-latn-tz',
  iso: 'iso-latn-ng',
  ist: 'ist-latn-hr',
  isu: 'isu-latn-cm',
  it: 'it-latn-it',
  itb: 'itb-latn-ph',
  itd: 'itd-latn-id',
  ite: 'ite-latn-bo',
  iti: 'iti-latn-ph',
  itk: 'itk-hebr-it',
  itl: 'itl-cyrl-ru',
  itm: 'itm-latn-ng',
  ito: 'ito-latn-bo',
  itr: 'itr-latn-pg',
  its: 'its-latn-ng',
  itt: 'itt-latn-ph',
  itv: 'itv-latn-ph',
  itw: 'itw-latn-ng',
  itx: 'itx-latn-id',
  ity: 'ity-latn-ph',
  itz: 'itz-latn-gt',
  iu: 'iu-cans-ca',
  ium: 'ium-latn-cn',
  'ium-hani': 'ium-hani-cn',
  'ium-laoo': 'ium-laoo-la',
  'ium-thai': 'ium-thai-th',
  ivb: 'ivb-latn-ph',
  ivv: 'ivv-latn-ph',
  iw: 'iw-hebr-il',
  iwk: 'iwk-latn-ph',
  iwm: 'iwm-latn-zz',
  iwo: 'iwo-latn-id',
  iws: 'iws-latn-zz',
  ixc: 'ixc-latn-mx',
  ixl: 'ixl-latn-gt',
  iya: 'iya-latn-ng',
  iyo: 'iyo-latn-cm',
  iyx: 'iyx-latn-cg',
  izh: 'izh-latn-ru',
  izi: 'izi-latn-zz',
  izr: 'izr-latn-ng',
  izz: 'izz-latn-ng',
  ja: 'ja-jpan-jp',
  jaa: 'jaa-latn-br',
  jab: 'jab-latn-zz',
  jac: 'jac-latn-gt',
  jad: 'jad-arab-gn',
  jae: 'jae-latn-pg',
  jaf: 'jaf-latn-ng',
  jah: 'jah-latn-my',
  jaj: 'jaj-latn-sb',
  jak: 'jak-latn-my',
  jal: 'jal-latn-id',
  jam: 'jam-latn-jm',
  jan: 'jan-latn-au',
  jao: 'jao-latn-au',
  jaq: 'jaq-latn-id',
  jar: 'jar-latn-zz',
  jas: 'jas-latn-nc',
  jat: 'jat-arab-af',
  jau: 'jau-latn-id',
  jax: 'jax-latn-id',
  jay: 'jay-latn-au',
  jaz: 'jaz-latn-nc',
  jbe: 'jbe-hebr-il',
  jbi: 'jbi-latn-au',
  jbj: 'jbj-latn-id',
  jbk: 'jbk-latn-pg',
  jbm: 'jbm-latn-ng',
  jbn: 'jbn-arab-ly',
  jbo: 'jbo-latn-001',
  jbr: 'jbr-latn-id',
  jbt: 'jbt-latn-br',
  jbu: 'jbu-latn-zz',
  jbw: 'jbw-latn-au',
  jct: 'jct-cyrl-ua',
  'jct-latn': 'jct-latn-ua',
  jda: 'jda-tibt-in',
  jdg: 'jdg-arab-pk',
  jdt: 'jdt-cyrl-ru',
  'jdt-hebr': 'jdt-hebr-ru',
  'jdt-latn': 'jdt-latn-az',
  jeb: 'jeb-latn-pe',
  jee: 'jee-deva-np',
  jeh: 'jeh-latn-vn',
  'jeh-laoo': 'jeh-laoo-la',
  jei: 'jei-latn-id',
  jek: 'jek-latn-ci',
  jel: 'jel-latn-id',
  jen: 'jen-latn-zz',
  jer: 'jer-latn-ng',
  jet: 'jet-latn-pg',
  jeu: 'jeu-latn-td',
  jgb: 'jgb-latn-cd',
  jge: 'jge-geor-ge',
  'jge-hebr': 'jge-hebr-il',
  jgk: 'jgk-latn-zz',
  jgo: 'jgo-latn-cm',
  jhi: 'jhi-latn-my',
  ji: 'ji-hebr-ua',
  jia: 'jia-latn-cm',
  jib: 'jib-latn-zz',
  jic: 'jic-latn-hn',
  jid: 'jid-latn-ng',
  jie: 'jie-latn-ng',
  jig: 'jig-latn-au',
  jil: 'jil-latn-pg',
  jim: 'jim-latn-cm',
  jit: 'jit-latn-tz',
  jiu: 'jiu-latn-cn',
  jiv: 'jiv-latn-ec',
  jiy: 'jiy-latn-cn',
  jje: 'jje-hang-kr',
  jjr: 'jjr-latn-ng',
  jka: 'jka-latn-id',
  jkm: 'jkm-mymr-mm',
  'jkm-brai': 'jkm-brai-mm',
  'jkm-latn': 'jkm-latn-mm',
  jko: 'jko-latn-pg',
  jku: 'jku-latn-ng',
  jle: 'jle-latn-sd',
  jma: 'jma-latn-pg',
  jmb: 'jmb-latn-ng',
  jmc: 'jmc-latn-tz',
  jmd: 'jmd-latn-id',
  jmi: 'jmi-latn-ng',
  jml: 'jml-deva-np',
  jmn: 'jmn-latn-mm',
  jmr: 'jmr-latn-gh',
  jms: 'jms-latn-ng',
  jmw: 'jmw-latn-pg',
  jmx: 'jmx-latn-mx',
  jna: 'jna-takr-in',
  jnd: 'jnd-arab-pk',
  jng: 'jng-latn-au',
  jni: 'jni-latn-ng',
  jnj: 'jnj-latn-et',
  'jnj-ethi': 'jnj-ethi-et',
  jnl: 'jnl-deva-in',
  jns: 'jns-deva-in',
  'jns-latn': 'jns-latn-in',
  'jns-takr': 'jns-takr-in',
  job: 'job-latn-cd',
  jod: 'jod-latn-ci',
  jog: 'jog-arab-pk',
  jor: 'jor-latn-bo',
  jow: 'jow-latn-ml',
  jpa: 'jpa-hebr-ps',
  jpr: 'jpr-hebr-il',
  jqr: 'jqr-latn-pe',
  jra: 'jra-latn-zz',
  jrr: 'jrr-latn-ng',
  jrt: 'jrt-latn-ng',
  jru: 'jru-latn-ve',
  jua: 'jua-latn-br',
  jub: 'jub-latn-ng',
  jud: 'jud-latn-ci',
  juh: 'juh-latn-ng',
  jui: 'jui-latn-au',
  juk: 'juk-latn-ng',
  jul: 'jul-deva-np',
  jum: 'jum-latn-sd',
  jun: 'jun-orya-in',
  juo: 'juo-latn-ng',
  jup: 'jup-latn-br',
  jur: 'jur-latn-br',
  jut: 'jut-latn-dk',
  juu: 'juu-latn-ng',
  juw: 'juw-latn-ng',
  juy: 'juy-orya-in',
  jv: 'jv-latn-id',
  jvd: 'jvd-latn-id',
  jvn: 'jvn-latn-sr',
  jw: 'jw-latn-id',
  jwi: 'jwi-latn-gh',
  jya: 'jya-tibt-cn',
  jye: 'jye-hebr-il',
  jyy: 'jyy-latn-td',
  ka: 'ka-geor-ge',
  kaa: 'kaa-cyrl-uz',
  kab: 'kab-latn-dz',
  kac: 'kac-latn-mm',
  kad: 'kad-latn-zz',
  kag: 'kag-latn-my',
  kah: 'kah-latn-cf',
  kai: 'kai-latn-zz',
  kaj: 'kaj-latn-ng',
  kak: 'kak-latn-ph',
  kam: 'kam-latn-ke',
  kao: 'kao-latn-ml',
  kap: 'kap-cyrl-ru',
  kaq: 'kaq-latn-pe',
  kav: 'kav-latn-br',
  kaw: 'kaw-kawi-id',
  kax: 'kax-latn-id',
  kay: 'kay-latn-br',
  kba: 'kba-latn-au',
  kbb: 'kbb-latn-br',
  kbc: 'kbc-latn-br',
  kbd: 'kbd-cyrl-ru',
  kbe: 'kbe-latn-au',
  kbh: 'kbh-latn-co',
  kbi: 'kbi-latn-id',
  kbj: 'kbj-latn-cd',
  kbk: 'kbk-latn-pg',
  kbl: 'kbl-latn-td',
  kbm: 'kbm-latn-zz',
  kbn: 'kbn-latn-cf',
  kbo: 'kbo-latn-ss',
  kbp: 'kbp-latn-zz',
  kbq: 'kbq-latn-zz',
  kbr: 'kbr-latn-et',
  'kbr-ethi': 'kbr-ethi-et',
  kbs: 'kbs-latn-ga',
  kbt: 'kbt-latn-pg',
  kbu: 'kbu-arab-pk',
  kbv: 'kbv-latn-id',
  kbw: 'kbw-latn-pg',
  kbx: 'kbx-latn-zz',
  kby: 'kby-arab-ne',
  kbz: 'kbz-latn-ng',
  kca: 'kca-cyrl-ru',
  kcb: 'kcb-latn-pg',
  kcc: 'kcc-latn-ng',
  kcd: 'kcd-latn-id',
  kce: 'kce-latn-ng',
  kcf: 'kcf-latn-ng',
  kcg: 'kcg-latn-ng',
  kch: 'kch-latn-ng',
  kci: 'kci-latn-ng',
  kcj: 'kcj-latn-gw',
  kck: 'kck-latn-zw',
  kcl: 'kcl-latn-zz',
  kcm: 'kcm-latn-cf',
  kcn: 'kcn-latn-ug',
  kco: 'kco-latn-pg',
  kcp: 'kcp-latn-sd',
  kcq: 'kcq-latn-ng',
  kcs: 'kcs-latn-ng',
  kct: 'kct-latn-zz',
  kcu: 'kcu-latn-tz',
  kcv: 'kcv-latn-cd',
  kcw: 'kcw-latn-cd',
  kcz: 'kcz-latn-tz',
  kda: 'kda-latn-au',
  kdc: 'kdc-latn-tz',
  kdd: 'kdd-latn-au',
  kde: 'kde-latn-tz',
  kdf: 'kdf-latn-pg',
  kdg: 'kdg-latn-cd',
  kdh: 'kdh-latn-tg',
  kdi: 'kdi-latn-ug',
  kdj: 'kdj-latn-ug',
  kdk: 'kdk-latn-nc',
  kdl: 'kdl-latn-zz',
  kdm: 'kdm-latn-ng',
  kdn: 'kdn-latn-zw',
  kdp: 'kdp-latn-ng',
  kdq: 'kdq-beng-in',
  kdr: 'kdr-latn-lt',
  'kdr-cyrl': 'kdr-cyrl-ua',
  kdt: 'kdt-thai-th',
  kdw: 'kdw-latn-id',
  kdx: 'kdx-latn-ng',
  kdy: 'kdy-latn-id',
  kdz: 'kdz-latn-cm',
  kea: 'kea-latn-cv',
  keb: 'keb-latn-ga',
  kec: 'kec-latn-sd',
  ked: 'ked-latn-tz',
  kee: 'kee-latn-us',
  kef: 'kef-latn-tg',
  keg: 'keg-latn-sd',
  keh: 'keh-latn-pg',
  kei: 'kei-latn-id',
  kek: 'kek-latn-gt',
  kel: 'kel-latn-cd',
  kem: 'kem-latn-tl',
  ken: 'ken-latn-cm',
  keo: 'keo-latn-ug',
  ker: 'ker-latn-td',
  kes: 'kes-latn-ng',
  ket: 'ket-cyrl-ru',
  keu: 'keu-latn-tg',
  kew: 'kew-latn-pg',
  kex: 'kex-deva-in',
  'kex-gujr': 'kex-gujr-in',
  key: 'key-telu-in',
  kez: 'kez-latn-zz',
  kfa: 'kfa-knda-in',
  kfb: 'kfb-deva-in',
  kfc: 'kfc-telu-in',
  kfd: 'kfd-knda-in',
  kfe: 'kfe-taml-in',
  kff: 'kff-latn-in',
  'kff-deva': 'kff-deva-in',
  'kff-orya': 'kff-orya-in',
  'kff-telu': 'kff-telu-in',
  kfh: 'kfh-mlym-in',
  kfi: 'kfi-taml-in',
  'kfi-knda': 'kfi-knda-in',
  kfk: 'kfk-deva-in',
  'kfk-takr': 'kfk-takr-in',
  kfl: 'kfl-latn-cm',
  kfm: 'kfm-arab-ir',
  kfn: 'kfn-latn-cm',
  kfo: 'kfo-latn-ci',
  kfp: 'kfp-deva-in',
  kfq: 'kfq-deva-in',
  kfr: 'kfr-deva-in',
  kfs: 'kfs-deva-in',
  kfv: 'kfv-latn-in',
  kfw: 'kfw-latn-in',
  kfx: 'kfx-deva-in',
  'kfx-takr': 'kfx-takr-in',
  kfy: 'kfy-deva-in',
  kfz: 'kfz-latn-bf',
  kg: 'kg-latn-cd',
  kga: 'kga-latn-ci',
  kgb: 'kgb-latn-id',
  kge: 'kge-latn-id',
  kgf: 'kgf-latn-zz',
  kgj: 'kgj-deva-np',
  kgk: 'kgk-latn-br',
  kgl: 'kgl-latn-au',
  kgm: 'kgm-latn-br',
  kgo: 'kgo-latn-sd',
  kgp: 'kgp-latn-br',
  kgq: 'kgq-latn-id',
  kgr: 'kgr-latn-id',
  kgs: 'kgs-latn-au',
  kgt: 'kgt-latn-ng',
  kgu: 'kgu-latn-pg',
  kgv: 'kgv-latn-id',
  kgw: 'kgw-latn-id',
  kgx: 'kgx-latn-id',
  kgy: 'kgy-deva-np',
  kha: 'kha-latn-in',
  khb: 'khb-talu-cn',
  khc: 'khc-latn-id',
  khd: 'khd-latn-id',
  khe: 'khe-latn-id',
  khf: 'khf-thai-la',
  khg: 'khg-tibt-cn',
  khh: 'khh-latn-id',
  khj: 'khj-latn-ng',
  khl: 'khl-latn-pg',
  khn: 'khn-deva-in',
  khp: 'khp-latn-id',
  khq: 'khq-latn-ml',
  khr: 'khr-latn-in',
  'khr-deva': 'khr-deva-in',
  khs: 'khs-latn-zz',
  kht: 'kht-mymr-in',
  khu: 'khu-latn-ao',
  khv: 'khv-cyrl-ru',
  khw: 'khw-arab-pk',
  khx: 'khx-latn-cd',
  khy: 'khy-latn-cd',
  khz: 'khz-latn-zz',
  ki: 'ki-latn-ke',
  kia: 'kia-latn-td',
  kib: 'kib-latn-sd',
  kic: 'kic-latn-us',
  kid: 'kid-latn-cm',
  kie: 'kie-latn-td',
  kif: 'kif-deva-np',
  kig: 'kig-latn-id',
  kih: 'kih-latn-pg',
  kij: 'kij-latn-zz',
  kil: 'kil-latn-ng',
  kim: 'kim-cyrl-ru',
  kio: 'kio-latn-us',
  kip: 'kip-deva-np',
  kiq: 'kiq-latn-id',
  kis: 'kis-latn-pg',
  kit: 'kit-latn-pg',
  kiu: 'kiu-latn-tr',
  kiv: 'kiv-latn-tz',
  kiw: 'kiw-latn-zz',
  kix: 'kix-latn-in',
  kiy: 'kiy-latn-id',
  kiz: 'kiz-latn-tz',
  kj: 'kj-latn-na',
  kja: 'kja-latn-id',
  kjb: 'kjb-latn-gt',
  kjc: 'kjc-latn-id',
  kjd: 'kjd-latn-zz',
  kje: 'kje-latn-id',
  kjg: 'kjg-laoo-la',
  kjh: 'kjh-cyrl-ru',
  kji: 'kji-latn-sb',
  kjj: 'kjj-latn-az',
  kjk: 'kjk-latn-id',
  kjl: 'kjl-deva-np',
  kjm: 'kjm-latn-vn',
  kjn: 'kjn-latn-au',
  kjo: 'kjo-deva-in',
  kjp: 'kjp-mymr-mm',
  'kjp-thai': 'kjp-thai-th',
  kjq: 'kjq-latn-us',
  kjr: 'kjr-latn-id',
  kjs: 'kjs-latn-zz',
  kjt: 'kjt-thai-th',
  kju: 'kju-latn-us',
  kjx: 'kjx-latn-pg',
  kjy: 'kjy-latn-zz',
  kk: 'kk-cyrl-kz',
  'kk-af': 'kk-arab-af',
  'kk-arab': 'kk-arab-cn',
  'kk-cn': 'kk-arab-cn',
  'kk-ir': 'kk-arab-ir',
  'kk-mn': 'kk-arab-mn',
  kka: 'kka-latn-ng',
  kkb: 'kkb-latn-id',
  kkc: 'kkc-latn-zz',
  kkd: 'kkd-latn-ng',
  kke: 'kke-latn-gn',
  'kke-arab': 'kke-arab-gn',
  kkf: 'kkf-tibt-in',
  kkg: 'kkg-latn-ph',
  kkh: 'kkh-lana-mm',
  kki: 'kki-latn-tz',
  kkj: 'kkj-latn-cm',
  kkk: 'kkk-latn-sb',
  kkl: 'kkl-latn-id',
  kkm: 'kkm-latn-ng',
  kko: 'kko-latn-sd',
  kkp: 'kkp-latn-au',
  kkq: 'kkq-latn-cd',
  kkr: 'kkr-latn-ng',
  kks: 'kks-latn-ng',
  kkt: 'kkt-deva-np',
  kku: 'kku-latn-ng',
  kkv: 'kkv-latn-id',
  kkw: 'kkw-latn-cg',
  kkx: 'kkx-latn-id',
  kky: 'kky-latn-au',
  kkz: 'kkz-latn-ca',
  kl: 'kl-latn-gl',
  kla: 'kla-latn-us',
  klb: 'klb-latn-mx',
  klc: 'klc-latn-cm',
  kld: 'kld-latn-au',
  kle: 'kle-deva-np',
  klf: 'klf-latn-td',
  klg: 'klg-latn-ph',
  klh: 'klh-latn-pg',
  kli: 'kli-latn-id',
  klj: 'klj-arab-ir',
  klk: 'klk-latn-ng',
  kll: 'kll-latn-ph',
  klm: 'klm-latn-pg',
  kln: 'kln-latn-ke',
  klo: 'klo-latn-ng',
  klp: 'klp-latn-pg',
  klq: 'klq-latn-zz',
  klr: 'klr-deva-np',
  kls: 'kls-latn-pk',
  'kls-arab': 'kls-arab-pk',
  klt: 'klt-latn-zz',
  klu: 'klu-latn-lr',
  klv: 'klv-latn-vu',
  klw: 'klw-latn-id',
  klx: 'klx-latn-zz',
  kly: 'kly-latn-id',
  klz: 'klz-latn-id',
  km: 'km-khmr-kh',
  kma: 'kma-latn-gh',
  kmb: 'kmb-latn-ao',
  kmc: 'kmc-latn-cn',
  'kmc-hani': 'kmc-hani-cn',
  kmd: 'kmd-latn-ph',
  kme: 'kme-latn-cm',
  kmf: 'kmf-latn-pg',
  kmg: 'kmg-latn-pg',
  kmh: 'kmh-latn-zz',
  kmi: 'kmi-latn-ng',
  kmj: 'kmj-deva-in',
  kmk: 'kmk-latn-ph',
  kml: 'kml-latn-ph',
  kmm: 'kmm-latn-in',
  kmn: 'kmn-latn-pg',
  kmo: 'kmo-latn-zz',
  kmp: 'kmp-latn-cm',
  kmq: 'kmq-latn-et',
  kms: 'kms-latn-zz',
  kmt: 'kmt-latn-id',
  kmu: 'kmu-latn-zz',
  kmv: 'kmv-latn-br',
  kmw: 'kmw-latn-zz',
  kmx: 'kmx-latn-pg',
  kmy: 'kmy-latn-ng',
  kmz: 'kmz-arab-ir',
  kn: 'kn-knda-in',
  kna: 'kna-latn-ng',
  knb: 'knb-latn-ph',
  knd: 'knd-latn-id',
  kne: 'kne-latn-ph',
  knf: 'knf-latn-gw',
  kni: 'kni-latn-ng',
  knj: 'knj-latn-gt',
  knk: 'knk-latn-sl',
  'knk-arab': 'knk-arab-sl',
  knl: 'knl-latn-id',
  knm: 'knm-latn-br',
  kno: 'kno-latn-sl',
  knp: 'knp-latn-zz',
  knq: 'knq-latn-my',
  knr: 'knr-latn-pg',
  kns: 'kns-latn-my',
  'kns-thai': 'kns-thai-th',
  knt: 'knt-latn-br',
  knu: 'knu-latn-gn',
  knv: 'knv-latn-pg',
  knw: 'knw-latn-na',
  knx: 'knx-latn-id',
  kny: 'kny-latn-cd',
  knz: 'knz-latn-bf',
  ko: 'ko-kore-kr',
  koa: 'koa-latn-pg',
  koc: 'koc-latn-ng',
  kod: 'kod-latn-id',
  koe: 'koe-latn-ss',
  kof: 'kof-latn-ng',
  kog: 'kog-latn-co',
  koh: 'koh-latn-cg',
  koi: 'koi-cyrl-ru',
  kok: 'kok-deva-in',
  kol: 'kol-latn-zz',
  koo: 'koo-latn-ug',
  kop: 'kop-latn-pg',
  koq: 'koq-latn-ga',
  kos: 'kos-latn-fm',
  kot: 'kot-latn-cm',
  kou: 'kou-latn-td',
  kov: 'kov-latn-ng',
  kow: 'kow-latn-ng',
  koy: 'koy-latn-us',
  koz: 'koz-latn-zz',
  kpa: 'kpa-latn-ng',
  kpc: 'kpc-latn-co',
  kpd: 'kpd-latn-id',
  kpe: 'kpe-latn-lr',
  kpf: 'kpf-latn-zz',
  kpg: 'kpg-latn-fm',
  kph: 'kph-latn-gh',
  kpi: 'kpi-latn-id',
  kpj: 'kpj-latn-br',
  kpk: 'kpk-latn-ng',
  kpl: 'kpl-latn-cd',
  kpm: 'kpm-latn-vn',
  kpn: 'kpn-latn-br',
  kpo: 'kpo-latn-zz',
  kpq: 'kpq-latn-id',
  kpr: 'kpr-latn-zz',
  kps: 'kps-latn-id',
  kpt: 'kpt-cyrl-ru',
  kpu: 'kpu-latn-id',
  kpw: 'kpw-latn-pg',
  kpx: 'kpx-latn-zz',
  kpy: 'kpy-cyrl-ru',
  kpz: 'kpz-latn-ug',
  kqa: 'kqa-latn-pg',
  kqb: 'kqb-latn-zz',
  kqc: 'kqc-latn-pg',
  kqd: 'kqd-syrc-iq',
  kqe: 'kqe-latn-ph',
  kqf: 'kqf-latn-zz',
  kqg: 'kqg-latn-bf',
  kqh: 'kqh-latn-tz',
  kqi: 'kqi-latn-pg',
  kqj: 'kqj-latn-pg',
  kqk: 'kqk-latn-bj',
  kql: 'kql-latn-pg',
  kqm: 'kqm-latn-ci',
  kqn: 'kqn-latn-zm',
  kqo: 'kqo-latn-lr',
  kqp: 'kqp-latn-td',
  kqq: 'kqq-latn-br',
  kqr: 'kqr-latn-my',
  kqs: 'kqs-latn-zz',
  kqt: 'kqt-latn-my',
  kqu: 'kqu-latn-za',
  kqv: 'kqv-latn-id',
  kqw: 'kqw-latn-pg',
  kqx: 'kqx-latn-cm',
  kqy: 'kqy-ethi-zz',
  kqz: 'kqz-latn-za',
  kr: 'kr-latn-zz',
  kra: 'kra-deva-np',
  krb: 'krb-latn-us',
  krc: 'krc-cyrl-ru',
  krd: 'krd-latn-tl',
  kre: 'kre-latn-br',
  krf: 'krf-latn-vu',
  krh: 'krh-latn-ng',
  kri: 'kri-latn-sl',
  krj: 'krj-latn-ph',
  krk: 'krk-cyrl-ru',
  krl: 'krl-latn-ru',
  krn: 'krn-latn-lr',
  krp: 'krp-latn-ng',
  krr: 'krr-khmr-kh',
  krs: 'krs-latn-zz',
  krt: 'krt-latn-ne',
  kru: 'kru-deva-in',
  krv: 'krv-khmr-kh',
  krw: 'krw-latn-lr',
  krx: 'krx-latn-sn',
  kry: 'kry-latn-az',
  krz: 'krz-latn-id',
  ks: 'ks-arab-in',
  ksa: 'ksa-latn-ng',
  ksb: 'ksb-latn-tz',
  ksc: 'ksc-latn-ph',
  ksd: 'ksd-latn-zz',
  kse: 'kse-latn-pg',
  ksf: 'ksf-latn-cm',
  ksg: 'ksg-latn-sb',
  ksh: 'ksh-latn-de',
  ksi: 'ksi-latn-pg',
  ksj: 'ksj-latn-zz',
  ksk: 'ksk-latn-us',
  ksl: 'ksl-latn-pg',
  ksm: 'ksm-latn-ng',
  ksn: 'ksn-latn-ph',
  kso: 'kso-latn-ng',
  ksp: 'ksp-latn-cf',
  ksq: 'ksq-latn-ng',
  ksr: 'ksr-latn-zz',
  kss: 'kss-latn-lr',
  kst: 'kst-latn-bf',
  ksu: 'ksu-mymr-in',
  ksv: 'ksv-latn-cd',
  ksw: 'ksw-mymr-mm',
  'ksw-latn': 'ksw-latn-mm',
  ksx: 'ksx-latn-id',
  ksz: 'ksz-deva-in',
  kta: 'kta-latn-vn',
  ktb: 'ktb-ethi-zz',
  ktc: 'ktc-latn-ng',
  ktd: 'ktd-latn-au',
  ktf: 'ktf-latn-cd',
  ktg: 'ktg-latn-au',
  kth: 'kth-latn-td',
  kti: 'kti-latn-id',
  ktj: 'ktj-latn-ci',
  ktk: 'ktk-latn-pg',
  ktl: 'ktl-arab-ir',
  ktm: 'ktm-latn-zz',
  ktn: 'ktn-latn-br',
  kto: 'kto-latn-zz',
  ktp: 'ktp-plrd-cn',
  ktq: 'ktq-latn-ph',
  ktr: 'ktr-latn-my',
  kts: 'kts-latn-id',
  ktt: 'ktt-latn-id',
  ktu: 'ktu-latn-cd',
  ktv: 'ktv-latn-vn',
  ktw: 'ktw-latn-us',
  ktx: 'ktx-latn-br',
  kty: 'kty-latn-cd',
  ktz: 'ktz-latn-na',
  ku: 'ku-latn-tr',
  'ku-arab': 'ku-arab-iq',
  'ku-lb': 'ku-arab-lb',
  'ku-yezi': 'ku-yezi-ge',
  kub: 'kub-latn-zz',
  kuc: 'kuc-latn-id',
  kud: 'kud-latn-zz',
  kue: 'kue-latn-zz',
  kuf: 'kuf-laoo-la',
  kug: 'kug-latn-ng',
  kuh: 'kuh-latn-ng',
  kui: 'kui-latn-br',
  kuj: 'kuj-latn-zz',
  kuk: 'kuk-latn-id',
  kul: 'kul-latn-ng',
  kum: 'kum-cyrl-ru',
  kun: 'kun-latn-zz',
  kuo: 'kuo-latn-pg',
  kup: 'kup-latn-zz',
  kuq: 'kuq-latn-br',
  kus: 'kus-latn-zz',
  kut: 'kut-latn-ca',
  kuu: 'kuu-latn-us',
  kuv: 'kuv-latn-id',
  kuw: 'kuw-latn-cf',
  kux: 'kux-latn-au',
  kuy: 'kuy-latn-au',
  kuz: 'kuz-latn-cl',
  kv: 'kv-cyrl-ru',
  kva: 'kva-cyrl-ru',
  kvb: 'kvb-latn-id',
  kvc: 'kvc-latn-pg',
  kvd: 'kvd-latn-id',
  kve: 'kve-latn-my',
  kvf: 'kvf-latn-td',
  kvg: 'kvg-latn-zz',
  kvh: 'kvh-latn-id',
  kvi: 'kvi-latn-td',
  kvj: 'kvj-latn-cm',
  kvl: 'kvl-latn-mm',
  kvm: 'kvm-latn-cm',
  kvn: 'kvn-latn-co',
  kvo: 'kvo-latn-id',
  kvp: 'kvp-latn-id',
  kvq: 'kvq-mymr-mm',
  'kvq-latn': 'kvq-latn-mm',
  kvr: 'kvr-latn-id',
  kvt: 'kvt-mymr-mm',
  kvv: 'kvv-latn-id',
  kvw: 'kvw-latn-id',
  kvx: 'kvx-arab-pk',
  kvy: 'kvy-kali-mm',
  kvz: 'kvz-latn-id',
  kw: 'kw-latn-gb',
  kwa: 'kwa-latn-br',
  kwb: 'kwb-latn-ng',
  kwc: 'kwc-latn-cg',
  kwd: 'kwd-latn-sb',
  kwe: 'kwe-latn-id',
  kwf: 'kwf-latn-sb',
  kwg: 'kwg-latn-td',
  kwh: 'kwh-latn-id',
  kwi: 'kwi-latn-co',
  kwj: 'kwj-latn-zz',
  kwk: 'kwk-latn-ca',
  kwl: 'kwl-latn-ng',
  kwm: 'kwm-latn-na',
  kwn: 'kwn-latn-na',
  kwo: 'kwo-latn-zz',
  kwp: 'kwp-latn-ci',
  kwq: 'kwq-latn-zz',
  kwr: 'kwr-latn-id',
  kws: 'kws-latn-cd',
  kwt: 'kwt-latn-id',
  kwu: 'kwu-latn-cm',
  kwv: 'kwv-latn-td',
  kww: 'kww-latn-sr',
  kwy: 'kwy-latn-cd',
  kwz: 'kwz-latn-ao',
  kxa: 'kxa-latn-zz',
  kxb: 'kxb-latn-ci',
  kxc: 'kxc-ethi-zz',
  kxd: 'kxd-latn-bn',
  'kxd-arab': 'kxd-arab-bn',
  kxe: 'kxe-latn-zz',
  kxf: 'kxf-mymr-mm',
  'kxf-latn': 'kxf-latn-mm',
  kxi: 'kxi-latn-my',
  kxj: 'kxj-latn-td',
  kxk: 'kxk-mymr-mm',
  kxl: 'kxl-deva-in',
  kxm: 'kxm-thai-th',
  kxn: 'kxn-latn-my',
  kxo: 'kxo-latn-br',
  kxp: 'kxp-arab-pk',
  kxq: 'kxq-latn-id',
  kxr: 'kxr-latn-pg',
  kxt: 'kxt-latn-pg',
  kxv: 'kxv-orya-in',
  'kxv-latn': 'kxv-latn-in',
  'kxv-telu': 'kxv-telu-in',
  kxw: 'kxw-latn-zz',
  kxx: 'kxx-latn-cg',
  kxy: 'kxy-latn-vn',
  kxz: 'kxz-latn-zz',
  ky: 'ky-cyrl-kg',
  'ky-arab': 'ky-arab-cn',
  'ky-cn': 'ky-arab-cn',
  'ky-latn': 'ky-latn-tr',
  'ky-tr': 'ky-latn-tr',
  kya: 'kya-latn-tz',
  kyb: 'kyb-latn-ph',
  kyc: 'kyc-latn-pg',
  kyd: 'kyd-latn-id',
  kye: 'kye-latn-zz',
  kyf: 'kyf-latn-ci',
  kyg: 'kyg-latn-pg',
  kyh: 'kyh-latn-us',
  kyi: 'kyi-latn-my',
  kyj: 'kyj-latn-ph',
  kyk: 'kyk-latn-ph',
  kyl: 'kyl-latn-us',
  kym: 'kym-latn-cf',
  kyn: 'kyn-latn-ph',
  kyo: 'kyo-latn-id',
  kyq: 'kyq-latn-td',
  kyr: 'kyr-latn-br',
  kys: 'kys-latn-my',
  kyt: 'kyt-latn-id',
  kyu: 'kyu-kali-mm',
  'kyu-latn': 'kyu-latn-mm',
  'kyu-mymr': 'kyu-mymr-mm',
  kyv: 'kyv-deva-np',
  kyw: 'kyw-deva-in',
  'kyw-beng': 'kyw-beng-in',
  'kyw-orya': 'kyw-orya-in',
  kyx: 'kyx-latn-zz',
  kyy: 'kyy-latn-pg',
  kyz: 'kyz-latn-br',
  kza: 'kza-latn-bf',
  kzb: 'kzb-latn-id',
  kzc: 'kzc-latn-ci',
  kzd: 'kzd-latn-id',
  kze: 'kze-latn-pg',
  kzf: 'kzf-latn-id',
  kzh: 'kzh-arab-zz',
  kzi: 'kzi-latn-my',
  kzj: 'kzj-latn-my',
  kzk: 'kzk-latn-sb',
  kzl: 'kzl-latn-id',
  kzm: 'kzm-latn-id',
  kzn: 'kzn-latn-mw',
  kzo: 'kzo-latn-ga',
  kzp: 'kzp-latn-id',
  kzr: 'kzr-latn-zz',
  kzs: 'kzs-latn-my',
  kzt: 'kzt-latn-my',
  kzu: 'kzu-latn-id',
  kzv: 'kzv-latn-id',
  kzw: 'kzw-latn-br',
  kzx: 'kzx-latn-id',
  kzy: 'kzy-latn-cd',
  kzz: 'kzz-latn-id',
  la: 'la-latn-va',
  laa: 'laa-latn-ph',
  lab: 'lab-lina-gr',
  lac: 'lac-latn-mx',
  lad: 'lad-hebr-il',
  lae: 'lae-deva-in',
  'lae-tibt': 'lae-tibt-in',
  lag: 'lag-latn-tz',
  lah: 'lah-arab-pk',
  lai: 'lai-latn-mw',
  laj: 'laj-latn-ug',
  lal: 'lal-latn-cd',
  lam: 'lam-latn-zm',
  lan: 'lan-latn-ng',
  lap: 'lap-latn-td',
  laq: 'laq-latn-vn',
  lar: 'lar-latn-gh',
  las: 'las-latn-zz',
  lau: 'lau-latn-id',
  law: 'law-latn-id',
  lax: 'lax-latn-in',
  'lax-beng': 'lax-beng-in',
  laz: 'laz-latn-pg',
  lb: 'lb-latn-lu',
  lbb: 'lbb-latn-pg',
  lbc: 'lbc-lisu-cn',
  lbe: 'lbe-cyrl-ru',
  lbf: 'lbf-deva-in',
  'lbf-tibt': 'lbf-tibt-cn',
  lbi: 'lbi-latn-cm',
  lbj: 'lbj-tibt-in',
  'lbj-arab': 'lbj-arab-in',
  lbl: 'lbl-latn-ph',
  lbm: 'lbm-deva-in',
  lbn: 'lbn-latn-la',
  'lbn-laoo': 'lbn-laoo-la',
  lbo: 'lbo-laoo-la',
  'lbo-latn': 'lbo-latn-us',
  lbq: 'lbq-latn-pg',
  lbr: 'lbr-deva-np',
  lbt: 'lbt-latn-vn',
  lbu: 'lbu-latn-zz',
  lbv: 'lbv-latn-pg',
  lbw: 'lbw-latn-id',
  lbx: 'lbx-latn-id',
  lby: 'lby-latn-au',
  lbz: 'lbz-latn-au',
  lcc: 'lcc-latn-id',
  lcd: 'lcd-latn-id',
  lce: 'lce-latn-id',
  lcf: 'lcf-latn-id',
  lch: 'lch-latn-ao',
  lcl: 'lcl-latn-id',
  lcm: 'lcm-latn-zz',
  lcp: 'lcp-thai-cn',
  lcq: 'lcq-latn-id',
  lcs: 'lcs-latn-id',
  lda: 'lda-latn-ci',
  ldb: 'ldb-latn-zz',
  ldd: 'ldd-latn-ng',
  ldg: 'ldg-latn-ng',
  ldh: 'ldh-latn-ng',
  ldi: 'ldi-latn-cg',
  ldj: 'ldj-latn-ng',
  ldk: 'ldk-latn-ng',
  ldl: 'ldl-latn-ng',
  ldm: 'ldm-latn-gn',
  ldn: 'ldn-latn-001',
  ldo: 'ldo-latn-ng',
  ldp: 'ldp-latn-ng',
  ldq: 'ldq-latn-ng',
  lea: 'lea-latn-cd',
  leb: 'leb-latn-zm',
  lec: 'lec-latn-bo',
  led: 'led-latn-zz',
  lee: 'lee-latn-zz',
  lef: 'lef-latn-gh',
  leh: 'leh-latn-zm',
  lei: 'lei-latn-pg',
  lej: 'lej-latn-cd',
  lek: 'lek-latn-pg',
  lel: 'lel-latn-cd',
  lem: 'lem-latn-zz',
  len: 'len-latn-hn',
  leo: 'leo-latn-cm',
  lep: 'lep-lepc-in',
  leq: 'leq-latn-zz',
  ler: 'ler-latn-pg',
  les: 'les-latn-cd',
  let: 'let-latn-pg',
  leu: 'leu-latn-zz',
  lev: 'lev-latn-id',
  lew: 'lew-latn-id',
  lex: 'lex-latn-id',
  ley: 'ley-latn-id',
  lez: 'lez-cyrl-ru',
  lfa: 'lfa-latn-cm',
  lfn: 'lfn-latn-001',
  'lfn-cyrl': 'lfn-cyrl-001',
  lg: 'lg-latn-ug',
  lga: 'lga-latn-sb',
  lgb: 'lgb-latn-sb',
  lgg: 'lgg-latn-zz',
  lgh: 'lgh-latn-vn',
  lgi: 'lgi-latn-id',
  lgk: 'lgk-latn-vu',
  lgl: 'lgl-latn-sb',
  lgm: 'lgm-latn-cd',
  lgn: 'lgn-latn-et',
  lgo: 'lgo-latn-ss',
  lgq: 'lgq-latn-gh',
  lgr: 'lgr-latn-sb',
  lgt: 'lgt-latn-pg',
  lgu: 'lgu-latn-sb',
  lgz: 'lgz-latn-cd',
  lha: 'lha-latn-vn',
  lhh: 'lhh-latn-id',
  lhi: 'lhi-latn-cn',
  lhm: 'lhm-deva-np',
  lhn: 'lhn-latn-my',
  lhs: 'lhs-syrc-sy',
  lht: 'lht-latn-vu',
  lhu: 'lhu-latn-cn',
  li: 'li-latn-nl',
  lia: 'lia-latn-zz',
  lib: 'lib-latn-pg',
  lic: 'lic-latn-cn',
  lid: 'lid-latn-zz',
  lie: 'lie-latn-cd',
  lif: 'lif-deva-np',
  'lif-limb': 'lif-limb-in',
  lig: 'lig-latn-zz',
  lih: 'lih-latn-zz',
  lij: 'lij-latn-it',
  lik: 'lik-latn-cd',
  lil: 'lil-latn-ca',
  lio: 'lio-latn-id',
  lip: 'lip-latn-gh',
  liq: 'liq-latn-et',
  lir: 'lir-latn-lr',
  lis: 'lis-lisu-cn',
  liu: 'liu-latn-sd',
  liv: 'liv-latn-lv',
  liw: 'liw-latn-id',
  lix: 'lix-latn-id',
  liy: 'liy-latn-cf',
  liz: 'liz-latn-cd',
  lja: 'lja-latn-au',
  lje: 'lje-latn-id',
  lji: 'lji-latn-id',
  ljl: 'ljl-latn-id',
  ljp: 'ljp-latn-id',
  ljw: 'ljw-latn-au',
  ljx: 'ljx-latn-au',
  lka: 'lka-latn-tl',
  lkb: 'lkb-latn-ke',
  lkc: 'lkc-latn-vn',
  lkd: 'lkd-latn-br',
  lke: 'lke-latn-ug',
  lkh: 'lkh-tibt-bt',
  lki: 'lki-arab-ir',
  lkj: 'lkj-latn-my',
  lkl: 'lkl-latn-pg',
  lkm: 'lkm-latn-au',
  lkn: 'lkn-latn-vu',
  lko: 'lko-latn-ke',
  lkr: 'lkr-latn-ss',
  lks: 'lks-latn-ke',
  lkt: 'lkt-latn-us',
  lku: 'lku-latn-au',
  lky: 'lky-latn-ss',
  lla: 'lla-latn-ng',
  llb: 'llb-latn-mz',
  llc: 'llc-latn-gn',
  lld: 'lld-latn-it',
  lle: 'lle-latn-zz',
  llf: 'llf-latn-pg',
  llg: 'llg-latn-id',
  lli: 'lli-latn-cg',
  llj: 'llj-latn-au',
  llk: 'llk-latn-my',
  lll: 'lll-latn-pg',
  llm: 'llm-latn-id',
  lln: 'lln-latn-zz',
  llp: 'llp-latn-vu',
  llq: 'llq-latn-id',
  llu: 'llu-latn-sb',
  llx: 'llx-latn-fj',
  lma: 'lma-latn-gn',
  lmb: 'lmb-latn-vu',
  lmc: 'lmc-latn-au',
  lmd: 'lmd-latn-sd',
  lme: 'lme-latn-td',
  lmf: 'lmf-latn-id',
  lmg: 'lmg-latn-pg',
  lmh: 'lmh-deva-np',
  lmi: 'lmi-latn-cd',
  lmj: 'lmj-latn-id',
  lmk: 'lmk-latn-in',
  'lmk-mymr': 'lmk-mymr-in',
  lml: 'lml-latn-vu',
  lmn: 'lmn-telu-in',
  lmo: 'lmo-latn-it',
  lmp: 'lmp-latn-zz',
  lmq: 'lmq-latn-id',
  lmr: 'lmr-latn-id',
  lmu: 'lmu-latn-vu',
  lmv: 'lmv-latn-fj',
  lmw: 'lmw-latn-us',
  lmx: 'lmx-latn-cm',
  lmy: 'lmy-latn-id',
  ln: 'ln-latn-cd',
  lna: 'lna-latn-cf',
  lnb: 'lnb-latn-na',
  lnd: 'lnd-latn-id',
  lnh: 'lnh-latn-my',
  lni: 'lni-latn-pg',
  lnj: 'lnj-latn-au',
  lnl: 'lnl-latn-cf',
  lnm: 'lnm-latn-pg',
  lnn: 'lnn-latn-vu',
  lns: 'lns-latn-zz',
  lnu: 'lnu-latn-zz',
  lnw: 'lnw-latn-au',
  lnz: 'lnz-latn-cd',
  lo: 'lo-laoo-la',
  loa: 'loa-latn-id',
  lob: 'lob-latn-bf',
  loc: 'loc-latn-ph',
  loe: 'loe-latn-id',
  log: 'log-latn-cd',
  loh: 'loh-latn-ss',
  loi: 'loi-latn-ci',
  loj: 'loj-latn-zz',
  lok: 'lok-latn-zz',
  lol: 'lol-latn-cd',
  lom: 'lom-latn-lr',
  lon: 'lon-latn-mw',
  loo: 'loo-latn-cd',
  lop: 'lop-latn-ng',
  loq: 'loq-latn-cd',
  lor: 'lor-latn-zz',
  los: 'los-latn-zz',
  lot: 'lot-latn-ss',
  'lot-arab': 'lot-arab-ss',
  lou: 'lou-latn-us',
  low: 'low-latn-my',
  lox: 'lox-latn-id',
  loy: 'loy-deva-np',
  'loy-tibt': 'loy-tibt-np',
  loz: 'loz-latn-zm',
  lpa: 'lpa-latn-vu',
  lpe: 'lpe-latn-id',
  lpn: 'lpn-latn-mm',
  lpo: 'lpo-plrd-cn',
  'lpo-lisu': 'lpo-lisu-cn',
  lpx: 'lpx-latn-ss',
  lqr: 'lqr-latn-ss',
  lra: 'lra-latn-my',
  lrc: 'lrc-arab-ir',
  lrg: 'lrg-latn-au',
  lri: 'lri-latn-ke',
  lrk: 'lrk-arab-pk',
  lrl: 'lrl-arab-ir',
  lrm: 'lrm-latn-ke',
  lrn: 'lrn-latn-id',
  lro: 'lro-latn-sd',
  lrt: 'lrt-latn-id',
  lrv: 'lrv-latn-vu',
  lrz: 'lrz-latn-vu',
  lsa: 'lsa-arab-ir',
  lsd: 'lsd-hebr-il',
  lse: 'lse-latn-cd',
  lsi: 'lsi-latn-mm',
  lsm: 'lsm-latn-ug',
  lsr: 'lsr-latn-pg',
  lss: 'lss-arab-pk',
  lt: 'lt-latn-lt',
  ltg: 'ltg-latn-lv',
  lth: 'lth-latn-ug',
  lti: 'lti-latn-id',
  ltn: 'ltn-latn-br',
  lto: 'lto-latn-ke',
  lts: 'lts-latn-ke',
  ltu: 'ltu-latn-id',
  lu: 'lu-latn-cd',
  lua: 'lua-latn-cd',
  luc: 'luc-latn-ug',
  lud: 'lud-latn-ru',
  lue: 'lue-latn-zm',
  luf: 'luf-latn-pg',
  lui: 'lui-latn-us',
  luj: 'luj-latn-cd',
  luk: 'luk-tibt-bt',
  lul: 'lul-latn-ss',
  lum: 'lum-latn-ao',
  lun: 'lun-latn-zm',
  luo: 'luo-latn-ke',
  lup: 'lup-latn-ga',
  luq: 'luq-latn-cu',
  lur: 'lur-latn-id',
  lus: 'lus-latn-in',
  'lus-beng': 'lus-beng-bd',
  'lus-brai': 'lus-brai-in',
  lut: 'lut-latn-us',
  luu: 'luu-deva-np',
  luv: 'luv-arab-om',
  luw: 'luw-latn-cm',
  luy: 'luy-latn-ke',
  luz: 'luz-arab-ir',
  lv: 'lv-latn-lv',
  lva: 'lva-latn-tl',
  lvi: 'lvi-latn-la',
  lvk: 'lvk-latn-sb',
  lvu: 'lvu-latn-id',
  lwa: 'lwa-latn-cd',
  lwe: 'lwe-latn-id',
  lwg: 'lwg-latn-ke',
  lwh: 'lwh-latn-vn',
  lwl: 'lwl-thai-th',
  lwm: 'lwm-thai-cn',
  lwo: 'lwo-latn-ss',
  'lwo-za': 'lwo-latn-za',
  lwt: 'lwt-latn-id',
  lww: 'lww-latn-vu',
  lxm: 'lxm-latn-pg',
  lya: 'lya-tibt-bt',
  lyn: 'lyn-latn-zm',
  lzh: 'lzh-hans-cn',
  lzl: 'lzl-latn-vu',
  lzn: 'lzn-latn-mm',
  lzz: 'lzz-latn-tr',
  maa: 'maa-latn-mx',
  mab: 'mab-latn-mx',
  mad: 'mad-latn-id',
  mae: 'mae-latn-ng',
  maf: 'maf-latn-cm',
  mag: 'mag-deva-in',
  mai: 'mai-deva-in',
  maj: 'maj-latn-mx',
  mak: 'mak-latn-id',
  mam: 'mam-latn-gt',
  man: 'man-latn-gm',
  'man-gn': 'man-nkoo-gn',
  'man-nkoo': 'man-nkoo-gn',
  maq: 'maq-latn-mx',
  mas: 'mas-latn-ke',
  mat: 'mat-latn-mx',
  mau: 'mau-latn-mx',
  mav: 'mav-latn-br',
  maw: 'maw-latn-zz',
  max: 'max-latn-id',
  maz: 'maz-latn-mx',
  mba: 'mba-latn-ph',
  mbb: 'mbb-latn-ph',
  mbc: 'mbc-latn-br',
  mbd: 'mbd-latn-ph',
  mbf: 'mbf-latn-sg',
  mbh: 'mbh-latn-zz',
  mbi: 'mbi-latn-ph',
  mbj: 'mbj-latn-br',
  mbk: 'mbk-latn-pg',
  mbl: 'mbl-latn-br',
  mbm: 'mbm-latn-cg',
  mbn: 'mbn-latn-co',
  mbo: 'mbo-latn-zz',
  mbp: 'mbp-latn-co',
  mbq: 'mbq-latn-zz',
  mbr: 'mbr-latn-co',
  mbs: 'mbs-latn-ph',
  mbt: 'mbt-latn-ph',
  mbu: 'mbu-latn-zz',
  mbv: 'mbv-latn-gn',
  mbw: 'mbw-latn-zz',
  mbx: 'mbx-latn-pg',
  mby: 'mby-arab-pk',
  mbz: 'mbz-latn-mx',
  mca: 'mca-latn-py',
  mcb: 'mcb-latn-pe',
  mcc: 'mcc-latn-pg',
  mcd: 'mcd-latn-pe',
  mce: 'mce-latn-mx',
  mcf: 'mcf-latn-pe',
  mcg: 'mcg-latn-ve',
  mch: 'mch-latn-ve',
  mci: 'mci-latn-zz',
  mcj: 'mcj-latn-ng',
  mck: 'mck-latn-ao',
  mcl: 'mcl-latn-co',
  mcm: 'mcm-latn-my',
  mcn: 'mcn-latn-td',
  mco: 'mco-latn-mx',
  mcp: 'mcp-latn-zz',
  mcq: 'mcq-latn-zz',
  mcr: 'mcr-latn-zz',
  mcs: 'mcs-latn-cm',
  mct: 'mct-latn-cm',
  mcu: 'mcu-latn-zz',
  mcv: 'mcv-latn-pg',
  mcw: 'mcw-latn-td',
  mcx: 'mcx-latn-cf',
  mcy: 'mcy-latn-pg',
  mcz: 'mcz-latn-pg',
  mda: 'mda-latn-zz',
  mdb: 'mdb-latn-pg',
  mdc: 'mdc-latn-pg',
  mdd: 'mdd-latn-cm',
  mde: 'mde-arab-zz',
  mdf: 'mdf-cyrl-ru',
  mdg: 'mdg-latn-td',
  mdh: 'mdh-latn-ph',
  mdi: 'mdi-latn-cd',
  mdj: 'mdj-latn-zz',
  mdk: 'mdk-latn-cd',
  mdm: 'mdm-latn-cd',
  mdn: 'mdn-latn-cf',
  mdp: 'mdp-latn-cd',
  mdq: 'mdq-latn-cd',
  mdr: 'mdr-latn-id',
  mds: 'mds-latn-pg',
  mdt: 'mdt-latn-cg',
  mdu: 'mdu-latn-cg',
  mdv: 'mdv-latn-mx',
  mdw: 'mdw-latn-cg',
  mdx: 'mdx-ethi-zz',
  mdy: 'mdy-ethi-et',
  'mdy-latn': 'mdy-latn-et',
  mdz: 'mdz-latn-br',
  mea: 'mea-latn-cm',
  meb: 'meb-latn-pg',
  mec: 'mec-latn-au',
  med: 'med-latn-zz',
  mee: 'mee-latn-zz',
  meh: 'meh-latn-mx',
  mej: 'mej-latn-id',
  mek: 'mek-latn-zz',
  mel: 'mel-latn-my',
  mem: 'mem-latn-au',
  men: 'men-latn-sl',
  meo: 'meo-latn-my',
  'meo-arab': 'meo-arab-my',
  mep: 'mep-latn-au',
  meq: 'meq-latn-cm',
  mer: 'mer-latn-ke',
  mes: 'mes-latn-td',
  met: 'met-latn-zz',
  meu: 'meu-latn-zz',
  mev: 'mev-latn-lr',
  mew: 'mew-latn-ng',
  mey: 'mey-latn-mr',
  'mey-arab': 'mey-arab-mr',
  mez: 'mez-latn-us',
  mfa: 'mfa-arab-th',
  mfb: 'mfb-latn-id',
  mfc: 'mfc-latn-cd',
  mfd: 'mfd-latn-cm',
  mfe: 'mfe-latn-mu',
  mff: 'mff-latn-cm',
  mfg: 'mfg-latn-gn',
  'mfg-arab': 'mfg-arab-gn',
  mfh: 'mfh-latn-cm',
  mfi: 'mfi-arab-cm',
  'mfi-latn': 'mfi-latn-cm',
  mfj: 'mfj-latn-cm',
  mfk: 'mfk-latn-cm',
  mfl: 'mfl-latn-ng',
  mfm: 'mfm-latn-ng',
  mfn: 'mfn-latn-zz',
  mfo: 'mfo-latn-zz',
  mfp: 'mfp-latn-id',
  mfq: 'mfq-latn-zz',
  mfr: 'mfr-latn-au',
  mft: 'mft-latn-pg',
  mfu: 'mfu-latn-ao',
  mfv: 'mfv-latn-gw',
  mfw: 'mfw-latn-pg',
  mfx: 'mfx-latn-et',
  'mfx-ethi': 'mfx-ethi-et',
  mfy: 'mfy-latn-mx',
  mfz: 'mfz-latn-ss',
  mg: 'mg-latn-mg',
  mgb: 'mgb-latn-td',
  mgc: 'mgc-latn-ss',
  mgd: 'mgd-latn-ss',
  'mgd-arab': 'mgd-arab-ss',
  mge: 'mge-latn-td',
  mgf: 'mgf-latn-id',
  mgg: 'mgg-latn-cm',
  mgh: 'mgh-latn-mz',
  mgi: 'mgi-latn-ng',
  mgj: 'mgj-latn-ng',
  mgk: 'mgk-latn-id',
  mgl: 'mgl-latn-zz',
  mgm: 'mgm-latn-tl',
  mgn: 'mgn-latn-cf',
  mgo: 'mgo-latn-cm',
  mgp: 'mgp-deva-np',
  mgq: 'mgq-latn-tz',
  mgr: 'mgr-latn-zm',
  mgs: 'mgs-latn-tz',
  mgt: 'mgt-latn-pg',
  mgu: 'mgu-latn-pg',
  mgv: 'mgv-latn-tz',
  mgw: 'mgw-latn-tz',
  mgy: 'mgy-latn-tz',
  mgz: 'mgz-latn-tz',
  mh: 'mh-latn-mh',
  mhb: 'mhb-latn-ga',
  mhc: 'mhc-latn-mx',
  mhd: 'mhd-latn-tz',
  mhe: 'mhe-latn-my',
  mhf: 'mhf-latn-pg',
  mhg: 'mhg-latn-au',
  mhi: 'mhi-latn-zz',
  mhj: 'mhj-arab-af',
  mhk: 'mhk-latn-cm',
  mhl: 'mhl-latn-zz',
  mhm: 'mhm-latn-mz',
  mhn: 'mhn-latn-it',
  mho: 'mho-latn-zm',
  mhp: 'mhp-latn-id',
  mhq: 'mhq-latn-us',
  mhs: 'mhs-latn-id',
  mht: 'mht-latn-ve',
  mhu: 'mhu-latn-in',
  mhw: 'mhw-latn-bw',
  mhx: 'mhx-latn-mm',
  mhy: 'mhy-latn-id',
  mhz: 'mhz-latn-id',
  mi: 'mi-latn-nz',
  mia: 'mia-latn-us',
  mib: 'mib-latn-mx',
  mic: 'mic-latn-ca',
  mid: 'mid-mand-iq',
  mie: 'mie-latn-mx',
  mif: 'mif-latn-zz',
  mig: 'mig-latn-mx',
  mih: 'mih-latn-mx',
  mii: 'mii-latn-mx',
  mij: 'mij-latn-cm',
  mik: 'mik-latn-us',
  mil: 'mil-latn-mx',
  mim: 'mim-latn-mx',
  min: 'min-latn-id',
  mio: 'mio-latn-mx',
  mip: 'mip-latn-mx',
  miq: 'miq-latn-ni',
  mir: 'mir-latn-mx',
  mit: 'mit-latn-mx',
  miu: 'miu-latn-mx',
  miw: 'miw-latn-zz',
  mix: 'mix-latn-mx',
  miy: 'miy-latn-mx',
  miz: 'miz-latn-mx',
  mjb: 'mjb-latn-tl',
  mjc: 'mjc-latn-mx',
  mjd: 'mjd-latn-us',
  mje: 'mje-latn-td',
  mjg: 'mjg-latn-cn',
  mjh: 'mjh-latn-tz',
  mji: 'mji-latn-cn',
  mjj: 'mjj-latn-pg',
  mjk: 'mjk-latn-pg',
  mjl: 'mjl-deva-in',
  'mjl-takr': 'mjl-takr-in',
  mjm: 'mjm-latn-pg',
  mjn: 'mjn-latn-pg',
  mjq: 'mjq-mlym-in',
  mjr: 'mjr-mlym-in',
  mjs: 'mjs-latn-ng',
  mjt: 'mjt-deva-in',
  'mjt-beng': 'mjt-beng-bd',
  mju: 'mju-telu-in',
  mjv: 'mjv-mlym-in',
  mjw: 'mjw-latn-in',
  mjx: 'mjx-latn-bd',
  'mjx-beng': 'mjx-beng-bd',
  mjy: 'mjy-latn-us',
  mjz: 'mjz-deva-np',
  mk: 'mk-cyrl-mk',
  mka: 'mka-latn-ci',
  mkb: 'mkb-deva-in',
  mkc: 'mkc-latn-pg',
  mke: 'mke-deva-in',
  mkf: 'mkf-latn-ng',
  mki: 'mki-arab-zz',
  mkj: 'mkj-latn-fm',
  mkk: 'mkk-latn-cm',
  mkl: 'mkl-latn-zz',
  mkm: 'mkm-thai-th',
  mkn: 'mkn-latn-id',
  mko: 'mko-latn-ng',
  mkp: 'mkp-latn-zz',
  mkr: 'mkr-latn-pg',
  mks: 'mks-latn-mx',
  mkt: 'mkt-latn-nc',
  mku: 'mku-latn-gn',
  mkv: 'mkv-latn-vu',
  mkw: 'mkw-latn-zz',
  mkx: 'mkx-latn-ph',
  mky: 'mky-latn-id',
  mkz: 'mkz-latn-tl',
  ml: 'ml-mlym-in',
  mla: 'mla-latn-vu',
  mlb: 'mlb-latn-cm',
  mlc: 'mlc-latn-vn',
  mle: 'mle-latn-zz',
  mlf: 'mlf-thai-la',
  'mlf-latn': 'mlf-latn-la',
  mlh: 'mlh-latn-pg',
  mli: 'mli-latn-id',
  mlj: 'mlj-latn-td',
  mlk: 'mlk-latn-ke',
  mll: 'mll-latn-vu',
  mln: 'mln-latn-sb',
  mlo: 'mlo-latn-sn',
  mlp: 'mlp-latn-zz',
  mlq: 'mlq-latn-sn',
  'mlq-arab': 'mlq-arab-sn',
  mlr: 'mlr-latn-cm',
  mls: 'mls-latn-sd',
  mlu: 'mlu-latn-sb',
  mlv: 'mlv-latn-vu',
  mlw: 'mlw-latn-cm',
  mlx: 'mlx-latn-vu',
  mlz: 'mlz-latn-ph',
  mma: 'mma-latn-ng',
  mmb: 'mmb-latn-id',
  mmc: 'mmc-latn-mx',
  mmd: 'mmd-latn-cn',
  'mmd-hans': 'mmd-hans-cn',
  'mmd-hant': 'mmd-hant-cn',
  mme: 'mme-latn-vu',
  mmf: 'mmf-latn-ng',
  mmg: 'mmg-latn-vu',
  mmh: 'mmh-latn-br',
  mmi: 'mmi-latn-pg',
  mmm: 'mmm-latn-vu',
  mmn: 'mmn-latn-ph',
  mmo: 'mmo-latn-zz',
  mmp: 'mmp-latn-pg',
  mmq: 'mmq-latn-pg',
  mmr: 'mmr-latn-cn',
  mmt: 'mmt-latn-pg',
  mmu: 'mmu-latn-zz',
  mmv: 'mmv-latn-br',
  mmw: 'mmw-latn-vu',
  mmx: 'mmx-latn-zz',
  mmy: 'mmy-latn-td',
  mmz: 'mmz-latn-cd',
  mn: 'mn-cyrl-mn',
  'mn-cn': 'mn-mong-cn',
  'mn-mong': 'mn-mong-cn',
  mna: 'mna-latn-zz',
  mnb: 'mnb-latn-id',
  mnd: 'mnd-latn-br',
  mne: 'mne-latn-td',
  mnf: 'mnf-latn-zz',
  mng: 'mng-latn-vn',
  mnh: 'mnh-latn-cd',
  mni: 'mni-beng-in',
  mnj: 'mnj-arab-af',
  mnl: 'mnl-latn-vu',
  mnm: 'mnm-latn-pg',
  mnn: 'mnn-latn-vn',
  mnp: 'mnp-latn-cn',
  mnq: 'mnq-latn-my',
  mnr: 'mnr-latn-us',
  mns: 'mns-cyrl-ru',
  mnu: 'mnu-latn-id',
  mnv: 'mnv-latn-sb',
  mnw: 'mnw-mymr-mm',
  mnx: 'mnx-latn-id',
  mny: 'mny-latn-mz',
  mnz: 'mnz-latn-id',
  mo: 'mo-latn-ro',
  moa: 'moa-latn-zz',
  moc: 'moc-latn-ar',
  mod: 'mod-latn-us',
  moe: 'moe-latn-ca',
  mog: 'mog-latn-id',
  moh: 'moh-latn-ca',
  moi: 'moi-latn-ng',
  moj: 'moj-latn-cg',
  mok: 'mok-latn-id',
  mom: 'mom-latn-ni',
  moo: 'moo-latn-vn',
  mop: 'mop-latn-bz',
  moq: 'moq-latn-id',
  mor: 'mor-latn-sd',
  mos: 'mos-latn-bf',
  mot: 'mot-latn-co',
  mou: 'mou-latn-td',
  mov: 'mov-latn-us',
  mow: 'mow-latn-cg',
  mox: 'mox-latn-zz',
  moy: 'moy-latn-et',
  'moy-ethi': 'moy-ethi-et',
  moz: 'moz-latn-td',
  mpa: 'mpa-latn-tz',
  mpb: 'mpb-latn-au',
  mpc: 'mpc-latn-au',
  mpd: 'mpd-latn-br',
  mpe: 'mpe-latn-et',
  'mpe-ethi': 'mpe-ethi-et',
  mpg: 'mpg-latn-td',
  mph: 'mph-latn-au',
  mpi: 'mpi-latn-cm',
  mpj: 'mpj-latn-au',
  mpk: 'mpk-latn-td',
  mpl: 'mpl-latn-pg',
  mpm: 'mpm-latn-mx',
  mpn: 'mpn-latn-pg',
  mpo: 'mpo-latn-pg',
  mpp: 'mpp-latn-zz',
  mpq: 'mpq-latn-br',
  mpr: 'mpr-latn-sb',
  mps: 'mps-latn-zz',
  mpt: 'mpt-latn-zz',
  mpu: 'mpu-latn-br',
  mpv: 'mpv-latn-pg',
  mpw: 'mpw-latn-br',
  mpx: 'mpx-latn-zz',
  mpy: 'mpy-latn-id',
  mpz: 'mpz-thai-th',
  mqa: 'mqa-latn-id',
  mqb: 'mqb-latn-cm',
  mqc: 'mqc-latn-id',
  mqe: 'mqe-latn-pg',
  mqf: 'mqf-latn-id',
  mqg: 'mqg-latn-id',
  mqh: 'mqh-latn-mx',
  mqi: 'mqi-latn-id',
  mqj: 'mqj-latn-id',
  mqk: 'mqk-latn-ph',
  mql: 'mql-latn-zz',
  mqm: 'mqm-latn-pf',
  mqn: 'mqn-latn-id',
  mqo: 'mqo-latn-id',
  mqp: 'mqp-latn-id',
  mqq: 'mqq-latn-my',
  mqr: 'mqr-latn-id',
  mqs: 'mqs-latn-id',
  mqu: 'mqu-latn-ss',
  mqv: 'mqv-latn-pg',
  mqw: 'mqw-latn-pg',
  mqx: 'mqx-latn-id',
  'mqx-bugi': 'mqx-bugi-id',
  mqy: 'mqy-latn-id',
  mqz: 'mqz-latn-pg',
  mr: 'mr-deva-in',
  mra: 'mra-thai-th',
  mrb: 'mrb-latn-vu',
  mrc: 'mrc-latn-us',
  mrd: 'mrd-deva-np',
  mrf: 'mrf-latn-id',
  mrg: 'mrg-latn-in',
  'mrg-beng': 'mrg-beng-in',
  'mrg-deva': 'mrg-deva-in',
  mrh: 'mrh-latn-in',
  mrj: 'mrj-cyrl-ru',
  mrk: 'mrk-latn-nc',
  mrl: 'mrl-latn-fm',
  mrm: 'mrm-latn-vu',
  mrn: 'mrn-latn-sb',
  mro: 'mro-mroo-bd',
  mrp: 'mrp-latn-vu',
  mrq: 'mrq-latn-pf',
  mrr: 'mrr-deva-in',
  mrs: 'mrs-latn-vu',
  mrt: 'mrt-latn-ng',
  mru: 'mru-latn-cm',
  mrv: 'mrv-latn-pf',
  mrw: 'mrw-latn-ph',
  'mrw-arab': 'mrw-arab-ph',
  mrx: 'mrx-latn-id',
  mry: 'mry-latn-ph',
  mrz: 'mrz-latn-id',
  ms: 'ms-latn-my',
  'ms-cc': 'ms-arab-cc',
  msb: 'msb-latn-ph',
  msc: 'msc-latn-gn',
  mse: 'mse-latn-td',
  msf: 'msf-latn-id',
  msg: 'msg-latn-id',
  msh: 'msh-latn-mg',
  msi: 'msi-latn-my',
  msj: 'msj-latn-cd',
  msk: 'msk-latn-ph',
  msl: 'msl-latn-id',
  msm: 'msm-latn-ph',
  msn: 'msn-latn-vu',
  mso: 'mso-latn-id',
  msp: 'msp-latn-br',
  msq: 'msq-latn-nc',
  mss: 'mss-latn-id',
  msu: 'msu-latn-pg',
  msv: 'msv-latn-cm',
  msw: 'msw-latn-gw',
  msx: 'msx-latn-pg',
  msy: 'msy-latn-pg',
  msz: 'msz-latn-pg',
  mt: 'mt-latn-mt',
  mta: 'mta-latn-ph',
  mtb: 'mtb-latn-ci',
  mtc: 'mtc-latn-zz',
  mtd: 'mtd-latn-id',
  mte: 'mte-latn-sb',
  mtf: 'mtf-latn-zz',
  mtg: 'mtg-latn-id',
  mth: 'mth-latn-id',
  mti: 'mti-latn-zz',
  mtj: 'mtj-latn-id',
  mtk: 'mtk-latn-cm',
  mtl: 'mtl-latn-ng',
  mtm: 'mtm-cyrl-ru',
  mtn: 'mtn-latn-ni',
  mto: 'mto-latn-mx',
  mtp: 'mtp-latn-bo',
  mtq: 'mtq-latn-vn',
  mtr: 'mtr-deva-in',
  mts: 'mts-latn-pe',
  mtt: 'mtt-latn-vu',
  mtu: 'mtu-latn-mx',
  mtv: 'mtv-latn-pg',
  mtw: 'mtw-latn-ph',
  mtx: 'mtx-latn-mx',
  mty: 'mty-latn-pg',
  mua: 'mua-latn-cm',
  mub: 'mub-latn-td',
  muc: 'muc-latn-cm',
  mud: 'mud-cyrl-ru',
  mue: 'mue-latn-ec',
  mug: 'mug-latn-cm',
  muh: 'muh-latn-ss',
  mui: 'mui-latn-id',
  muj: 'muj-latn-td',
  muk: 'muk-tibt-np',
  mum: 'mum-latn-pg',
  muo: 'muo-latn-cm',
  muq: 'muq-latn-cn',
  mur: 'mur-latn-zz',
  mus: 'mus-latn-us',
  mut: 'mut-deva-in',
  muu: 'muu-latn-ke',
  muv: 'muv-taml-in',
  mux: 'mux-latn-pg',
  muy: 'muy-latn-cm',
  muz: 'muz-ethi-et',
  'muz-latn': 'muz-latn-et',
  mva: 'mva-latn-zz',
  mvd: 'mvd-latn-id',
  mvf: 'mvf-mong-cn',
  'mvf-phag': 'mvf-phag-cn',
  mvg: 'mvg-latn-mx',
  mvh: 'mvh-latn-td',
  mvk: 'mvk-latn-pg',
  mvl: 'mvl-latn-au',
  mvn: 'mvn-latn-zz',
  mvo: 'mvo-latn-sb',
  mvp: 'mvp-latn-id',
  mvq: 'mvq-latn-pg',
  mvr: 'mvr-latn-id',
  mvs: 'mvs-latn-id',
  mvt: 'mvt-latn-vu',
  mvu: 'mvu-latn-td',
  mvv: 'mvv-latn-my',
  mvw: 'mvw-latn-tz',
  mvx: 'mvx-latn-id',
  mvy: 'mvy-arab-pk',
  mvz: 'mvz-ethi-et',
  'mvz-arab': 'mvz-arab-et',
  mwa: 'mwa-latn-pg',
  mwb: 'mwb-latn-pg',
  mwc: 'mwc-latn-pg',
  mwe: 'mwe-latn-tz',
  mwf: 'mwf-latn-au',
  mwg: 'mwg-latn-pg',
  mwh: 'mwh-latn-pg',
  mwi: 'mwi-latn-vu',
  mwk: 'mwk-latn-ml',
  mwl: 'mwl-latn-pt',
  mwm: 'mwm-latn-td',
  mwn: 'mwn-latn-zm',
  mwo: 'mwo-latn-vu',
  mwp: 'mwp-latn-au',
  mwq: 'mwq-latn-mm',
  mwr: 'mwr-deva-in',
  mws: 'mws-latn-ke',
  mwt: 'mwt-mymr-mm',
  'mwt-thai': 'mwt-thai-th',
  mwu: 'mwu-latn-ss',
  mwv: 'mwv-latn-id',
  mww: 'mww-hmnp-us',
  mwz: 'mwz-latn-cd',
  mxa: 'mxa-latn-mx',
  mxb: 'mxb-latn-mx',
  mxc: 'mxc-latn-zw',
  mxd: 'mxd-latn-id',
  mxe: 'mxe-latn-vu',
  mxf: 'mxf-latn-cm',
  mxg: 'mxg-latn-ao',
  mxh: 'mxh-latn-cd',
  mxi: 'mxi-latn-es',
  mxj: 'mxj-latn-in',
  mxk: 'mxk-latn-pg',
  mxl: 'mxl-latn-bj',
  mxm: 'mxm-latn-zz',
  mxn: 'mxn-latn-id',
  mxo: 'mxo-latn-zm',
  mxp: 'mxp-latn-mx',
  mxq: 'mxq-latn-mx',
  mxr: 'mxr-latn-my',
  mxs: 'mxs-latn-mx',
  mxt: 'mxt-latn-mx',
  mxu: 'mxu-latn-cm',
  mxv: 'mxv-latn-mx',
  mxw: 'mxw-latn-pg',
  mxx: 'mxx-latn-ci',
  mxy: 'mxy-latn-mx',
  mxz: 'mxz-latn-id',
  my: 'my-mymr-mm',
  myb: 'myb-latn-td',
  myc: 'myc-latn-cd',
  mye: 'mye-latn-ga',
  myf: 'myf-latn-et',
  myg: 'myg-latn-cm',
  myh: 'myh-latn-us',
  myj: 'myj-latn-ss',
  myk: 'myk-latn-zz',
  myl: 'myl-latn-id',
  mym: 'mym-ethi-zz',
  myp: 'myp-latn-br',
  myr: 'myr-latn-pe',
  myu: 'myu-latn-br',
  myv: 'myv-cyrl-ru',
  myw: 'myw-latn-zz',
  myx: 'myx-latn-ug',
  myy: 'myy-latn-co',
  myz: 'myz-mand-ir',
  mza: 'mza-latn-mx',
  mzd: 'mzd-latn-cm',
  mze: 'mze-latn-pg',
  mzh: 'mzh-latn-ar',
  mzi: 'mzi-latn-mx',
  mzj: 'mzj-latn-lr',
  mzk: 'mzk-latn-zz',
  mzl: 'mzl-latn-mx',
  mzm: 'mzm-latn-zz',
  mzn: 'mzn-arab-ir',
  mzo: 'mzo-latn-br',
  mzp: 'mzp-latn-zz',
  mzq: 'mzq-latn-id',
  mzr: 'mzr-latn-br',
  mzt: 'mzt-latn-my',
  mzu: 'mzu-latn-pg',
  mzv: 'mzv-latn-cf',
  mzw: 'mzw-latn-zz',
  mzx: 'mzx-latn-gy',
  mzz: 'mzz-latn-zz',
  na: 'na-latn-nr',
  naa: 'naa-latn-id',
  nab: 'nab-latn-br',
  nac: 'nac-latn-zz',
  nae: 'nae-latn-id',
  naf: 'naf-latn-zz',
  nag: 'nag-latn-in',
  naj: 'naj-latn-gn',
  nak: 'nak-latn-zz',
  nal: 'nal-latn-pg',
  nam: 'nam-latn-au',
  nan: 'nan-hans-cn',
  nao: 'nao-deva-np',
  nap: 'nap-latn-it',
  naq: 'naq-latn-na',
  nar: 'nar-latn-ng',
  nas: 'nas-latn-zz',
  nat: 'nat-latn-ng',
  naw: 'naw-latn-gh',
  nax: 'nax-latn-pg',
  nay: 'nay-latn-au',
  naz: 'naz-latn-mx',
  nb: 'nb-latn-no',
  nba: 'nba-latn-ao',
  nbb: 'nbb-latn-ng',
  nbc: 'nbc-latn-in',
  nbd: 'nbd-latn-cd',
  nbe: 'nbe-latn-in',
  nbh: 'nbh-latn-ng',
  nbi: 'nbi-latn-in',
  nbj: 'nbj-latn-au',
  nbk: 'nbk-latn-pg',
  nbm: 'nbm-latn-cf',
  nbn: 'nbn-latn-id',
  nbo: 'nbo-latn-ng',
  nbp: 'nbp-latn-ng',
  nbq: 'nbq-latn-id',
  nbr: 'nbr-latn-ng',
  nbt: 'nbt-latn-in',
  'nbt-deva': 'nbt-deva-in',
  nbu: 'nbu-latn-in',
  nbv: 'nbv-latn-cm',
  nbw: 'nbw-latn-cd',
  nby: 'nby-latn-pg',
  nca: 'nca-latn-zz',
  ncb: 'ncb-latn-in',
  'ncb-deva': 'ncb-deva-in',
  ncc: 'ncc-latn-pg',
  ncd: 'ncd-deva-np',
  nce: 'nce-latn-zz',
  ncf: 'ncf-latn-zz',
  ncg: 'ncg-latn-ca',
  nch: 'nch-latn-mx',
  nci: 'nci-latn-mx',
  ncj: 'ncj-latn-mx',
  nck: 'nck-latn-au',
  ncl: 'ncl-latn-mx',
  ncm: 'ncm-latn-pg',
  ncn: 'ncn-latn-pg',
  nco: 'nco-latn-zz',
  ncq: 'ncq-laoo-la',
  'ncq-thai': 'ncq-thai-la',
  ncr: 'ncr-latn-cm',
  nct: 'nct-latn-in',
  'nct-beng': 'nct-beng-in',
  ncu: 'ncu-latn-zz',
  ncx: 'ncx-latn-mx',
  ncz: 'ncz-latn-us',
  nd: 'nd-latn-zw',
  nda: 'nda-latn-cg',
  ndb: 'ndb-latn-cm',
  ndc: 'ndc-latn-mz',
  ndd: 'ndd-latn-ng',
  ndf: 'ndf-cyrl-ru',
  ndg: 'ndg-latn-tz',
  ndh: 'ndh-latn-tz',
  ndi: 'ndi-latn-ng',
  ndj: 'ndj-latn-tz',
  ndk: 'ndk-latn-cd',
  ndl: 'ndl-latn-cd',
  ndm: 'ndm-latn-td',
  ndn: 'ndn-latn-cg',
  ndp: 'ndp-latn-ug',
  ndq: 'ndq-latn-ao',
  ndr: 'ndr-latn-ng',
  nds: 'nds-latn-de',
  ndt: 'ndt-latn-cd',
  ndu: 'ndu-latn-cm',
  ndv: 'ndv-latn-sn',
  ndw: 'ndw-latn-cd',
  ndx: 'ndx-latn-id',
  ndy: 'ndy-latn-cf',
  'ndy-td': 'ndy-latn-td',
  ndz: 'ndz-latn-ss',
  ne: 'ne-deva-np',
  nea: 'nea-latn-id',
  neb: 'neb-latn-zz',
  nec: 'nec-latn-id',
  ned: 'ned-latn-ng',
  nee: 'nee-latn-nc',
  neg: 'neg-cyrl-ru',
  neh: 'neh-tibt-bt',
  nei: 'nei-xsux-tr',
  nej: 'nej-latn-pg',
  nek: 'nek-latn-nc',
  nem: 'nem-latn-nc',
  nen: 'nen-latn-nc',
  neo: 'neo-latn-vn',
  neq: 'neq-latn-mx',
  ner: 'ner-latn-id',
  net: 'net-latn-pg',
  neu: 'neu-latn-001',
  new: 'new-deva-np',
  nex: 'nex-latn-zz',
  ney: 'ney-latn-ci',
  nez: 'nez-latn-us',
  nfa: 'nfa-latn-id',
  nfd: 'nfd-latn-ng',
  nfl: 'nfl-latn-sb',
  nfr: 'nfr-latn-zz',
  nfu: 'nfu-latn-cm',
  ng: 'ng-latn-na',
  nga: 'nga-latn-zz',
  ngb: 'ngb-latn-zz',
  ngc: 'ngc-latn-cd',
  ngd: 'ngd-latn-cf',
  nge: 'nge-latn-cm',
  ngg: 'ngg-latn-cf',
  ngh: 'ngh-latn-za',
  ngi: 'ngi-latn-ng',
  ngj: 'ngj-latn-cm',
  ngk: 'ngk-latn-au',
  ngl: 'ngl-latn-mz',
  ngm: 'ngm-latn-fm',
  ngn: 'ngn-latn-cm',
  ngp: 'ngp-latn-tz',
  ngq: 'ngq-latn-tz',
  ngr: 'ngr-latn-sb',
  ngs: 'ngs-latn-ng',
  ngt: 'ngt-laoo-la',
  ngu: 'ngu-latn-mx',
  ngv: 'ngv-latn-cm',
  ngw: 'ngw-latn-ng',
  ngx: 'ngx-latn-ng',
  ngy: 'ngy-latn-cm',
  ngz: 'ngz-latn-cg',
  nha: 'nha-latn-au',
  nhb: 'nhb-latn-zz',
  nhc: 'nhc-latn-mx',
  nhd: 'nhd-latn-py',
  nhe: 'nhe-latn-mx',
  nhf: 'nhf-latn-au',
  nhg: 'nhg-latn-mx',
  nhi: 'nhi-latn-mx',
  nhk: 'nhk-latn-mx',
  nhm: 'nhm-latn-mx',
  nhn: 'nhn-latn-mx',
  nho: 'nho-latn-pg',
  nhp: 'nhp-latn-mx',
  nhq: 'nhq-latn-mx',
  nhr: 'nhr-latn-bw',
  nht: 'nht-latn-mx',
  nhu: 'nhu-latn-cm',
  nhv: 'nhv-latn-mx',
  nhw: 'nhw-latn-mx',
  nhx: 'nhx-latn-mx',
  nhy: 'nhy-latn-mx',
  nhz: 'nhz-latn-mx',
  nia: 'nia-latn-id',
  nib: 'nib-latn-pg',
  nid: 'nid-latn-au',
  nie: 'nie-latn-td',
  nif: 'nif-latn-zz',
  nig: 'nig-latn-au',
  nih: 'nih-latn-tz',
  nii: 'nii-latn-zz',
  nij: 'nij-latn-id',
  nil: 'nil-latn-id',
  nim: 'nim-latn-tz',
  nin: 'nin-latn-zz',
  nio: 'nio-cyrl-ru',
  niq: 'niq-latn-ke',
  nir: 'nir-latn-id',
  nis: 'nis-latn-pg',
  nit: 'nit-telu-in',
  niu: 'niu-latn-nu',
  niv: 'niv-cyrl-ru',
  'niv-latn': 'niv-latn-ru',
  niw: 'niw-latn-pg',
  nix: 'nix-latn-cd',
  niy: 'niy-latn-zz',
  niz: 'niz-latn-zz',
  nja: 'nja-latn-ng',
  njb: 'njb-latn-in',
  njd: 'njd-latn-tz',
  njh: 'njh-latn-in',
  nji: 'nji-latn-au',
  njj: 'njj-latn-cm',
  njl: 'njl-latn-ss',
  njm: 'njm-latn-in',
  njn: 'njn-latn-in',
  njo: 'njo-latn-in',
  njr: 'njr-latn-ng',
  njs: 'njs-latn-id',
  njt: 'njt-latn-sr',
  nju: 'nju-latn-au',
  njx: 'njx-latn-cg',
  njy: 'njy-latn-cm',
  njz: 'njz-latn-in',
  'njz-beng': 'njz-beng-in',
  nka: 'nka-latn-zm',
  nkb: 'nkb-latn-in',
  nkc: 'nkc-latn-cm',
  nkd: 'nkd-latn-in',
  nke: 'nke-latn-sb',
  nkf: 'nkf-latn-in',
  nkg: 'nkg-latn-zz',
  nkh: 'nkh-latn-in',
  nki: 'nki-latn-in',
  'nki-beng': 'nki-beng-in',
  nkj: 'nkj-latn-id',
  nkk: 'nkk-latn-vu',
  nkm: 'nkm-latn-pg',
  nkn: 'nkn-latn-ao',
  nko: 'nko-latn-zz',
  nkq: 'nkq-latn-gh',
  nkr: 'nkr-latn-fm',
  nks: 'nks-latn-id',
  nkt: 'nkt-latn-tz',
  nku: 'nku-latn-ci',
  nkv: 'nkv-latn-mw',
  nkw: 'nkw-latn-cd',
  nkx: 'nkx-latn-ng',
  nkz: 'nkz-latn-ng',
  nl: 'nl-latn-nl',
  nla: 'nla-latn-cm',
  nlc: 'nlc-latn-id',
  nle: 'nle-latn-ke',
  nlg: 'nlg-latn-sb',
  nli: 'nli-arab-af',
  nlj: 'nlj-latn-cd',
  nlk: 'nlk-latn-id',
  nlm: 'nlm-arab-pk',
  nlo: 'nlo-latn-cd',
  nlq: 'nlq-latn-mm',
  nlu: 'nlu-latn-gh',
  nlv: 'nlv-latn-mx',
  nlw: 'nlw-latn-au',
  nlx: 'nlx-deva-in',
  nly: 'nly-latn-au',
  nlz: 'nlz-latn-sb',
  nma: 'nma-latn-in',
  nmb: 'nmb-latn-vu',
  nmc: 'nmc-latn-td',
  nmd: 'nmd-latn-ga',
  nme: 'nme-latn-in',
  nmf: 'nmf-latn-in',
  nmg: 'nmg-latn-cm',
  nmh: 'nmh-latn-in',
  nmi: 'nmi-latn-ng',
  nmj: 'nmj-latn-cf',
  nmk: 'nmk-latn-vu',
  nml: 'nml-latn-cm',
  nmm: 'nmm-deva-np',
  'nmm-tibt': 'nmm-tibt-np',
  nmn: 'nmn-latn-bw',
  nmo: 'nmo-latn-in',
  'nmo-beng': 'nmo-beng-in',
  nmp: 'nmp-latn-au',
  nmq: 'nmq-latn-zw',
  nmr: 'nmr-latn-cm',
  nms: 'nms-latn-vu',
  nmt: 'nmt-latn-fm',
  nmu: 'nmu-latn-us',
  nmv: 'nmv-latn-au',
  nmw: 'nmw-latn-pg',
  nmx: 'nmx-latn-pg',
  nmz: 'nmz-latn-zz',
  nn: 'nn-latn-no',
  nna: 'nna-latn-au',
  nnb: 'nnb-latn-cd',
  nnc: 'nnc-latn-td',
  nnd: 'nnd-latn-vu',
  nne: 'nne-latn-ao',
  nnf: 'nnf-latn-zz',
  nng: 'nng-latn-in',
  'nng-beng': 'nng-beng-in',
  nnh: 'nnh-latn-cm',
  nni: 'nni-latn-id',
  nnj: 'nnj-latn-et',
  nnk: 'nnk-latn-zz',
  nnl: 'nnl-latn-in',
  nnm: 'nnm-latn-zz',
  nnn: 'nnn-latn-td',
  nnp: 'nnp-wcho-in',
  nnq: 'nnq-latn-tz',
  nnr: 'nnr-latn-au',
  nnt: 'nnt-latn-us',
  nnu: 'nnu-latn-gh',
  nnv: 'nnv-latn-au',
  nnw: 'nnw-latn-bf',
  nny: 'nny-latn-au',
  nnz: 'nnz-latn-cm',
  no: 'no-latn-no',
  noa: 'noa-latn-co',
  noc: 'noc-latn-pg',
  nod: 'nod-lana-th',
  noe: 'noe-deva-in',
  nof: 'nof-latn-pg',
  nog: 'nog-cyrl-ru',
  noh: 'noh-latn-pg',
  noi: 'noi-deva-in',
  noj: 'noj-latn-co',
  nok: 'nok-latn-us',
  nom: 'nom-latn-pe',
  non: 'non-runr-se',
  nop: 'nop-latn-zz',
  noq: 'noq-latn-cd',
  nos: 'nos-yiii-cn',
  not: 'not-latn-pe',
  nou: 'nou-latn-zz',
  nov: 'nov-latn-001',
  now: 'now-latn-tz',
  noy: 'noy-latn-td',
  npb: 'npb-tibt-bt',
  npg: 'npg-latn-mm',
  nph: 'nph-latn-in',
  npl: 'npl-latn-mx',
  npn: 'npn-latn-pg',
  npo: 'npo-latn-in',
  nps: 'nps-latn-id',
  npu: 'npu-latn-in',
  npx: 'npx-latn-sb',
  npy: 'npy-latn-id',
  nqg: 'nqg-latn-bj',
  nqk: 'nqk-latn-bj',
  nql: 'nql-latn-ao',
  nqm: 'nqm-latn-id',
  nqn: 'nqn-latn-pg',
  nqo: 'nqo-nkoo-gn',
  nqq: 'nqq-latn-mm',
  nqt: 'nqt-latn-ng',
  nqy: 'nqy-latn-mm',
  nr: 'nr-latn-za',
  nra: 'nra-latn-ga',
  nrb: 'nrb-latn-zz',
  nre: 'nre-latn-in',
  nrf: 'nrf-latn-je',
  nrg: 'nrg-latn-vu',
  nri: 'nri-latn-in',
  nrk: 'nrk-latn-au',
  nrl: 'nrl-latn-au',
  nrm: 'nrm-latn-my',
  nrp: 'nrp-latn-it',
  nru: 'nru-latn-cn',
  'nru-hans': 'nru-hans-cn',
  'nru-hant': 'nru-hant-cn',
  nrx: 'nrx-latn-au',
  nrz: 'nrz-latn-pg',
  nsa: 'nsa-latn-in',
  nsb: 'nsb-latn-za',
  nsc: 'nsc-latn-ng',
  nsd: 'nsd-yiii-cn',
  nse: 'nse-latn-zm',
  nsf: 'nsf-yiii-cn',
  nsg: 'nsg-latn-tz',
  nsh: 'nsh-latn-cm',
  nsk: 'nsk-cans-ca',
  nsm: 'nsm-latn-in',
  nsn: 'nsn-latn-zz',
  nso: 'nso-latn-za',
  nsq: 'nsq-latn-us',
  nss: 'nss-latn-zz',
  nst: 'nst-tnsa-in',
  nsu: 'nsu-latn-mx',
  nsv: 'nsv-yiii-cn',
  nsw: 'nsw-latn-vu',
  nsx: 'nsx-latn-ao',
  nsy: 'nsy-latn-id',
  nsz: 'nsz-latn-us',
  ntd: 'ntd-latn-my',
  nte: 'nte-latn-mz',
  ntg: 'ntg-latn-au',
  nti: 'nti-latn-bf',
  ntj: 'ntj-latn-au',
  ntk: 'ntk-latn-tz',
  ntm: 'ntm-latn-zz',
  nto: 'nto-latn-cd',
  ntp: 'ntp-latn-mx',
  ntr: 'ntr-latn-zz',
  ntu: 'ntu-latn-sb',
  ntx: 'ntx-latn-mm',
  nty: 'nty-yiii-vn',
  ntz: 'ntz-arab-ir',
  nua: 'nua-latn-nc',
  nuc: 'nuc-latn-br',
  nud: 'nud-latn-pg',
  nue: 'nue-latn-cd',
  nuf: 'nuf-latn-cn',
  nug: 'nug-latn-au',
  nuh: 'nuh-latn-ng',
  nui: 'nui-latn-zz',
  nuj: 'nuj-latn-ug',
  nuk: 'nuk-latn-ca',
  num: 'num-latn-to',
  nun: 'nun-latn-mm',
  nuo: 'nuo-latn-vn',
  nup: 'nup-latn-zz',
  nuq: 'nuq-latn-pg',
  nur: 'nur-latn-pg',
  nus: 'nus-latn-ss',
  nut: 'nut-latn-vn',
  nuu: 'nuu-latn-cd',
  nuv: 'nuv-latn-zz',
  nuw: 'nuw-latn-fm',
  nux: 'nux-latn-zz',
  nuy: 'nuy-latn-au',
  nuz: 'nuz-latn-mx',
  nv: 'nv-latn-us',
  nvh: 'nvh-latn-vu',
  nvm: 'nvm-latn-pg',
  nvo: 'nvo-latn-cm',
  nwb: 'nwb-latn-zz',
  nwc: 'nwc-newa-np',
  'nwc-brah': 'nwc-brah-np',
  'nwc-deva': 'nwc-deva-np',
  'nwc-sidd': 'nwc-sidd-np',
  nwe: 'nwe-latn-cm',
  nwg: 'nwg-latn-au',
  nwi: 'nwi-latn-vu',
  nwm: 'nwm-latn-ss',
  nwo: 'nwo-latn-au',
  nwr: 'nwr-latn-pg',
  nww: 'nww-latn-tz',
  nwx: 'nwx-deva-np',
  nxa: 'nxa-latn-tl',
  nxd: 'nxd-latn-cd',
  nxe: 'nxe-latn-id',
  nxg: 'nxg-latn-id',
  nxi: 'nxi-latn-tz',
  nxl: 'nxl-latn-id',
  nxn: 'nxn-latn-au',
  nxo: 'nxo-latn-ga',
  nxq: 'nxq-latn-cn',
  nxr: 'nxr-latn-zz',
  nxx: 'nxx-latn-id',
  ny: 'ny-latn-mw',
  nyb: 'nyb-latn-gh',
  nyc: 'nyc-latn-cd',
  nyd: 'nyd-latn-ke',
  nye: 'nye-latn-ao',
  nyf: 'nyf-latn-ke',
  nyg: 'nyg-latn-cd',
  nyh: 'nyh-latn-au',
  nyi: 'nyi-latn-sd',
  nyj: 'nyj-latn-cd',
  nyk: 'nyk-latn-ao',
  nyl: 'nyl-thai-th',
  nym: 'nym-latn-tz',
  nyn: 'nyn-latn-ug',
  nyo: 'nyo-latn-ug',
  nyp: 'nyp-latn-ug',
  nyq: 'nyq-arab-ir',
  nyr: 'nyr-latn-mw',
  nys: 'nys-latn-au',
  nyt: 'nyt-latn-au',
  nyu: 'nyu-latn-mz',
  nyv: 'nyv-latn-au',
  nyx: 'nyx-latn-au',
  nyy: 'nyy-latn-tz',
  nza: 'nza-latn-cm',
  nzb: 'nzb-latn-ga',
  nzd: 'nzd-latn-cd',
  nzi: 'nzi-latn-gh',
  nzk: 'nzk-latn-cf',
  nzm: 'nzm-latn-in',
  nzu: 'nzu-latn-cg',
  nzy: 'nzy-latn-td',
  nzz: 'nzz-latn-ml',
  oaa: 'oaa-cyrl-ru',
  oac: 'oac-cyrl-ru',
  oar: 'oar-syrc-sy',
  oav: 'oav-geor-ge',
  obi: 'obi-latn-us',
  obk: 'obk-latn-ph',
  obl: 'obl-latn-cm',
  obm: 'obm-phnx-jo',
  obo: 'obo-latn-ph',
  obr: 'obr-mymr-mm',
  obt: 'obt-latn-fr',
  obu: 'obu-latn-ng',
  oc: 'oc-latn-fr',
  oca: 'oca-latn-pe',
  oco: 'oco-latn-gb',
  ocu: 'ocu-latn-mx',
  oda: 'oda-latn-ng',
  odk: 'odk-arab-pk',
  odt: 'odt-latn-nl',
  odu: 'odu-latn-ng',
  ofu: 'ofu-latn-ng',
  ogb: 'ogb-latn-ng',
  ogc: 'ogc-latn-zz',
  ogg: 'ogg-latn-ng',
  ogo: 'ogo-latn-ng',
  ogu: 'ogu-latn-ng',
  oht: 'oht-xsux-tr',
  oia: 'oia-latn-id',
  oie: 'oie-latn-ss',
  oin: 'oin-latn-pg',
  oj: 'oj-cans-ca',
  ojb: 'ojb-latn-ca',
  'ojb-cans': 'ojb-cans-ca',
  ojc: 'ojc-latn-ca',
  ojs: 'ojs-cans-ca',
  ojv: 'ojv-latn-sb',
  ojw: 'ojw-latn-ca',
  'ojw-cans': 'ojw-cans-ca',
  oka: 'oka-latn-ca',
  okb: 'okb-latn-ng',
  okc: 'okc-latn-cd',
  okd: 'okd-latn-ng',
  oke: 'oke-latn-ng',
  okg: 'okg-latn-au',
  oki: 'oki-latn-ke',
  okk: 'okk-latn-pg',
  okm: 'okm-hang-kr',
  oko: 'oko-hani-kr',
  okr: 'okr-latn-zz',
  oks: 'oks-latn-ng',
  oku: 'oku-latn-cm',
  okv: 'okv-latn-zz',
  okx: 'okx-latn-ng',
  okz: 'okz-khmr-kh',
  ola: 'ola-deva-np',
  'ola-tibt': 'ola-tibt-cn',
  old: 'old-latn-tz',
  ole: 'ole-tibt-bt',
  olk: 'olk-latn-au',
  olm: 'olm-latn-ng',
  olo: 'olo-latn-ru',
  olr: 'olr-latn-vu',
  olt: 'olt-latn-lt',
  olu: 'olu-latn-ao',
  om: 'om-latn-et',
  oma: 'oma-latn-us',
  omb: 'omb-latn-vu',
  omc: 'omc-latn-pe',
  omg: 'omg-latn-pe',
  omi: 'omi-latn-cd',
  omk: 'omk-cyrl-ru',
  oml: 'oml-latn-cd',
  omo: 'omo-latn-pg',
  omp: 'omp-mtei-in',
  omr: 'omr-modi-in',
  omt: 'omt-latn-ke',
  omu: 'omu-latn-pe',
  omw: 'omw-latn-pg',
  ona: 'ona-latn-ar',
  one: 'one-latn-ca',
  ong: 'ong-latn-zz',
  oni: 'oni-latn-id',
  onj: 'onj-latn-pg',
  onk: 'onk-latn-pg',
  onn: 'onn-latn-zz',
  ono: 'ono-latn-ca',
  onp: 'onp-latn-in',
  'onp-deva': 'onp-deva-in',
  onr: 'onr-latn-pg',
  ons: 'ons-latn-zz',
  ont: 'ont-latn-pg',
  onu: 'onu-latn-vu',
  onx: 'onx-latn-id',
  ood: 'ood-latn-us',
  oon: 'oon-deva-in',
  oor: 'oor-latn-za',
  opa: 'opa-latn-ng',
  opk: 'opk-latn-id',
  opm: 'opm-latn-zz',
  opo: 'opo-latn-pg',
  opt: 'opt-latn-mx',
  opy: 'opy-latn-br',
  or: 'or-orya-in',
  ora: 'ora-latn-sb',
  orc: 'orc-latn-ke',
  ore: 'ore-latn-pe',
  org: 'org-latn-ng',
  orn: 'orn-latn-my',
  oro: 'oro-latn-zz',
  orr: 'orr-latn-ng',
  ors: 'ors-latn-my',
  ort: 'ort-telu-in',
  oru: 'oru-arab-zz',
  orv: 'orv-cyrl-ru',
  orw: 'orw-latn-br',
  orx: 'orx-latn-ng',
  orz: 'orz-latn-id',
  os: 'os-cyrl-ge',
  osa: 'osa-osge-us',
  osc: 'osc-ital-it',
  'osc-latn': 'osc-latn-it',
  osi: 'osi-java-id',
  oso: 'oso-latn-ng',
  osp: 'osp-latn-es',
  ost: 'ost-latn-cm',
  osu: 'osu-latn-pg',
  osx: 'osx-latn-de',
  ota: 'ota-arab-zz',
  otb: 'otb-tibt-cn',
  otd: 'otd-latn-id',
  ote: 'ote-latn-mx',
  oti: 'oti-latn-br',
  otk: 'otk-orkh-mn',
  otl: 'otl-latn-mx',
  otm: 'otm-latn-mx',
  otn: 'otn-latn-mx',
  otq: 'otq-latn-mx',
  otr: 'otr-latn-sd',
  ots: 'ots-latn-mx',
  ott: 'ott-latn-mx',
  otu: 'otu-latn-br',
  otw: 'otw-latn-ca',
  otx: 'otx-latn-mx',
  oty: 'oty-gran-in',
  otz: 'otz-latn-mx',
  oub: 'oub-latn-lr',
  oue: 'oue-latn-pg',
  oui: 'oui-ougr-143',
  oum: 'oum-latn-pg',
  ovd: 'ovd-latn-se',
  owi: 'owi-latn-pg',
  owl: 'owl-latn-gb',
  oyd: 'oyd-latn-et',
  oym: 'oym-latn-br',
  oyy: 'oyy-latn-pg',
  ozm: 'ozm-latn-zz',
  pa: 'pa-guru-in',
  'pa-arab': 'pa-arab-pk',
  'pa-pk': 'pa-arab-pk',
  pab: 'pab-latn-br',
  pac: 'pac-latn-vn',
  pad: 'pad-latn-br',
  pae: 'pae-latn-cd',
  paf: 'paf-latn-br',
  pag: 'pag-latn-ph',
  pah: 'pah-latn-br',
  pai: 'pai-latn-ng',
  pak: 'pak-latn-br',
  pal: 'pal-phli-ir',
  'pal-phlp': 'pal-phlp-cn',
  pam: 'pam-latn-ph',
  pao: 'pao-latn-us',
  pap: 'pap-latn-cw',
  paq: 'paq-cyrl-tj',
  par: 'par-latn-us',
  pas: 'pas-latn-id',
  pau: 'pau-latn-pw',
  pav: 'pav-latn-br',
  paw: 'paw-latn-us',
  pax: 'pax-latn-br',
  pay: 'pay-latn-hn',
  paz: 'paz-latn-br',
  pbb: 'pbb-latn-co',
  pbc: 'pbc-latn-gy',
  pbe: 'pbe-latn-mx',
  pbf: 'pbf-latn-mx',
  pbg: 'pbg-latn-ve',
  pbh: 'pbh-latn-ve',
  pbi: 'pbi-latn-zz',
  pbl: 'pbl-latn-ng',
  pbm: 'pbm-latn-mx',
  pbn: 'pbn-latn-ng',
  pbo: 'pbo-latn-gw',
  pbp: 'pbp-latn-gn',
  pbr: 'pbr-latn-tz',
  pbs: 'pbs-latn-mx',
  pbt: 'pbt-arab-af',
  pbv: 'pbv-latn-in',
  pby: 'pby-latn-pg',
  pca: 'pca-latn-mx',
  pcb: 'pcb-khmr-kh',
  pcc: 'pcc-latn-cn',
  'pcc-hani': 'pcc-hani-cn',
  pcd: 'pcd-latn-fr',
  pce: 'pce-mymr-mm',
  'pce-thai': 'pce-thai-th',
  pcf: 'pcf-mlym-in',
  pcg: 'pcg-mlym-in',
  'pcg-knda': 'pcg-knda-in',
  'pcg-taml': 'pcg-taml-in',
  pch: 'pch-deva-in',
  pci: 'pci-deva-in',
  'pci-orya': 'pci-orya-in',
  pcj: 'pcj-telu-in',
  pck: 'pck-latn-in',
  pcm: 'pcm-latn-ng',
  pcn: 'pcn-latn-ng',
  pcp: 'pcp-latn-bo',
  pcw: 'pcw-latn-ng',
  pda: 'pda-latn-pg',
  pdc: 'pdc-latn-us',
  pdn: 'pdn-latn-id',
  pdo: 'pdo-latn-id',
  pdt: 'pdt-latn-ca',
  pdu: 'pdu-latn-mm',
  'pdu-mymr': 'pdu-mymr-mm',
  pea: 'pea-latn-id',
  peb: 'peb-latn-us',
  ped: 'ped-latn-zz',
  pee: 'pee-latn-id',
  peg: 'peg-orya-in',
  pei: 'pei-latn-mx',
  pek: 'pek-latn-pg',
  pel: 'pel-latn-id',
  pem: 'pem-latn-cd',
  peo: 'peo-xpeo-ir',
  pep: 'pep-latn-pg',
  peq: 'peq-latn-us',
  pev: 'pev-latn-ve',
  pex: 'pex-latn-zz',
  pey: 'pey-latn-id',
  pez: 'pez-latn-my',
  pfa: 'pfa-latn-fm',
  pfe: 'pfe-latn-cm',
  pfl: 'pfl-latn-de',
  pga: 'pga-latn-ss',
  pgd: 'pgd-khar-pk',
  pgg: 'pgg-deva-in',
  pgi: 'pgi-latn-pg',
  pgk: 'pgk-latn-vu',
  pgl: 'pgl-ogam-ie',
  pgn: 'pgn-ital-it',
  pgs: 'pgs-latn-ng',
  pgu: 'pgu-latn-id',
  phd: 'phd-deva-in',
  phg: 'phg-latn-vn',
  phh: 'phh-latn-vn',
  phk: 'phk-mymr-in',
  phl: 'phl-arab-zz',
  phm: 'phm-latn-mz',
  phn: 'phn-phnx-lb',
  pho: 'pho-laoo-la',
  phr: 'phr-arab-pk',
  pht: 'pht-thai-th',
  phv: 'phv-arab-af',
  phw: 'phw-deva-np',
  pi: 'pi-sinh-in',
  'pi-brah': 'pi-brah-in',
  'pi-deva': 'pi-deva-in',
  'pi-khar': 'pi-khar-in',
  'pi-khmr': 'pi-khmr-in',
  'pi-mymr': 'pi-mymr-in',
  'pi-thai': 'pi-thai-in',
  pia: 'pia-latn-mx',
  pib: 'pib-latn-pe',
  pic: 'pic-latn-ga',
  pid: 'pid-latn-ve',
  pif: 'pif-latn-fm',
  pig: 'pig-latn-pe',
  pih: 'pih-latn-nf',
  pij: 'pij-latn-co',
  pil: 'pil-latn-zz',
  pim: 'pim-latn-us',
  pin: 'pin-latn-pg',
  pio: 'pio-latn-co',
  pip: 'pip-latn-zz',
  pir: 'pir-latn-br',
  pis: 'pis-latn-sb',
  pit: 'pit-latn-au',
  piu: 'piu-latn-au',
  piv: 'piv-latn-sb',
  piw: 'piw-latn-tz',
  pix: 'pix-latn-pg',
  piy: 'piy-latn-ng',
  piz: 'piz-latn-nc',
  pjt: 'pjt-latn-au',
  pka: 'pka-brah-in',
  pkb: 'pkb-latn-ke',
  pkg: 'pkg-latn-pg',
  pkh: 'pkh-latn-bd',
  'pkh-deva': 'pkh-deva-bd',
  pkn: 'pkn-latn-au',
  pko: 'pko-latn-ke',
  pkp: 'pkp-latn-ck',
  pkr: 'pkr-mlym-in',
  pku: 'pku-latn-id',
  pl: 'pl-latn-pl',
  pla: 'pla-latn-zz',
  plb: 'plb-latn-vu',
  plc: 'plc-latn-ph',
  pld: 'pld-latn-gb',
  ple: 'ple-latn-id',
  plg: 'plg-latn-ar',
  plh: 'plh-latn-id',
  plj: 'plj-latn-ng',
  plk: 'plk-arab-pk',
  pll: 'pll-mymr-mm',
  pln: 'pln-latn-co',
  plo: 'plo-latn-mx',
  plr: 'plr-latn-ci',
  pls: 'pls-latn-mx',
  plu: 'plu-latn-br',
  plv: 'plv-latn-ph',
  plw: 'plw-latn-ph',
  plz: 'plz-latn-my',
  pma: 'pma-latn-vu',
  pmb: 'pmb-latn-cd',
  pmd: 'pmd-latn-au',
  pme: 'pme-latn-nc',
  pmf: 'pmf-latn-id',
  pmh: 'pmh-brah-in',
  pmi: 'pmi-latn-cn',
  pmj: 'pmj-latn-cn',
  pml: 'pml-latn-tn',
  pmm: 'pmm-latn-cm',
  pmn: 'pmn-latn-cm',
  pmo: 'pmo-latn-id',
  pmq: 'pmq-latn-mx',
  pmr: 'pmr-latn-pg',
  pms: 'pms-latn-it',
  pmt: 'pmt-latn-pf',
  pmw: 'pmw-latn-us',
  pmx: 'pmx-latn-in',
  pmy: 'pmy-latn-id',
  pmz: 'pmz-latn-mx',
  pna: 'pna-latn-my',
  pnc: 'pnc-latn-id',
  pnd: 'pnd-latn-ao',
  pne: 'pne-latn-my',
  png: 'png-latn-zz',
  pnh: 'pnh-latn-ck',
  pni: 'pni-latn-id',
  pnj: 'pnj-latn-au',
  pnk: 'pnk-latn-bo',
  pnl: 'pnl-latn-bf',
  pnm: 'pnm-latn-my',
  pnn: 'pnn-latn-zz',
  pno: 'pno-latn-pe',
  pnp: 'pnp-latn-id',
  pnq: 'pnq-latn-bf',
  pnr: 'pnr-latn-pg',
  pns: 'pns-latn-id',
  pnt: 'pnt-grek-gr',
  pnv: 'pnv-latn-au',
  pnw: 'pnw-latn-au',
  pny: 'pny-latn-cm',
  pnz: 'pnz-latn-cf',
  poc: 'poc-latn-gt',
  poe: 'poe-latn-mx',
  pof: 'pof-latn-cd',
  pog: 'pog-latn-br',
  poh: 'poh-latn-gt',
  poi: 'poi-latn-mx',
  pok: 'pok-latn-br',
  pom: 'pom-latn-us',
  pon: 'pon-latn-fm',
  poo: 'poo-latn-us',
  pop: 'pop-latn-nc',
  poq: 'poq-latn-mx',
  pos: 'pos-latn-mx',
  pot: 'pot-latn-us',
  pov: 'pov-latn-gw',
  pow: 'pow-latn-mx',
  poy: 'poy-latn-tz',
  ppa: 'ppa-deva-in',
  ppe: 'ppe-latn-pg',
  ppi: 'ppi-latn-mx',
  ppk: 'ppk-latn-id',
  ppl: 'ppl-latn-sv',
  ppm: 'ppm-latn-id',
  ppn: 'ppn-latn-pg',
  ppo: 'ppo-latn-zz',
  ppp: 'ppp-latn-cd',
  ppq: 'ppq-latn-pg',
  pps: 'pps-latn-mx',
  ppt: 'ppt-latn-pg',
  pqa: 'pqa-latn-ng',
  pqm: 'pqm-latn-ca',
  pra: 'pra-khar-pk',
  prc: 'prc-arab-af',
  prd: 'prd-arab-ir',
  pre: 'pre-latn-st',
  prf: 'prf-latn-ph',
  prg: 'prg-latn-001',
  prh: 'prh-latn-ph',
  pri: 'pri-latn-nc',
  prk: 'prk-latn-mm',
  prm: 'prm-latn-pg',
  pro: 'pro-latn-fr',
  prp: 'prp-gujr-in',
  prq: 'prq-latn-pe',
  prr: 'prr-latn-br',
  prt: 'prt-thai-th',
  pru: 'pru-latn-id',
  prw: 'prw-latn-pg',
  prx: 'prx-arab-in',
  'prx-tibt': 'prx-tibt-in',
  ps: 'ps-arab-af',
  psa: 'psa-latn-id',
  pse: 'pse-latn-id',
  psh: 'psh-arab-af',
  psi: 'psi-arab-af',
  psm: 'psm-latn-bo',
  psn: 'psn-latn-id',
  psq: 'psq-latn-pg',
  pss: 'pss-latn-zz',
  pst: 'pst-arab-pk',
  psw: 'psw-latn-vu',
  pt: 'pt-latn-br',
  pta: 'pta-latn-py',
  pth: 'pth-latn-br',
  pti: 'pti-latn-au',
  ptn: 'ptn-latn-id',
  pto: 'pto-latn-br',
  ptp: 'ptp-latn-zz',
  ptr: 'ptr-latn-vu',
  ptt: 'ptt-latn-id',
  ptu: 'ptu-latn-id',
  ptv: 'ptv-latn-vu',
  pua: 'pua-latn-mx',
  pub: 'pub-latn-in',
  puc: 'puc-latn-id',
  pud: 'pud-latn-id',
  pue: 'pue-latn-ar',
  puf: 'puf-latn-id',
  pug: 'pug-latn-bf',
  pui: 'pui-latn-co',
  puj: 'puj-latn-id',
  pum: 'pum-deva-np',
  puo: 'puo-latn-vn',
  pup: 'pup-latn-pg',
  puq: 'puq-latn-pe',
  pur: 'pur-latn-br',
  put: 'put-latn-id',
  puu: 'puu-latn-ga',
  puw: 'puw-latn-fm',
  pux: 'pux-latn-pg',
  puy: 'puy-latn-us',
  pwa: 'pwa-latn-zz',
  pwb: 'pwb-latn-ng',
  pwg: 'pwg-latn-pg',
  pwm: 'pwm-latn-ph',
  pwn: 'pwn-latn-tw',
  pwo: 'pwo-mymr-mm',
  pwr: 'pwr-deva-in',
  pww: 'pww-thai-th',
  pxm: 'pxm-latn-mx',
  pye: 'pye-latn-ci',
  pym: 'pym-latn-ng',
  pyn: 'pyn-latn-br',
  pyu: 'pyu-latn-tw',
  'pyu-hani': 'pyu-hani-tw',
  pyx: 'pyx-mymr-mm',
  pyy: 'pyy-latn-mm',
  pzh: 'pzh-latn-tw',
  pzn: 'pzn-latn-mm',
  qu: 'qu-latn-pe',
  qua: 'qua-latn-us',
  qub: 'qub-latn-pe',
  quc: 'quc-latn-gt',
  qud: 'qud-latn-ec',
  quf: 'quf-latn-pe',
  qug: 'qug-latn-ec',
  qui: 'qui-latn-us',
  quk: 'quk-latn-pe',
  qul: 'qul-latn-bo',
  qum: 'qum-latn-gt',
  qun: 'qun-latn-us',
  qup: 'qup-latn-pe',
  quq: 'quq-latn-es',
  qur: 'qur-latn-pe',
  qus: 'qus-latn-ar',
  quv: 'quv-latn-gt',
  quw: 'quw-latn-ec',
  qux: 'qux-latn-pe',
  quy: 'quy-latn-pe',
  qva: 'qva-latn-pe',
  qvc: 'qvc-latn-pe',
  qve: 'qve-latn-pe',
  qvh: 'qvh-latn-pe',
  qvi: 'qvi-latn-ec',
  qvj: 'qvj-latn-ec',
  qvl: 'qvl-latn-pe',
  qvm: 'qvm-latn-pe',
  qvn: 'qvn-latn-pe',
  qvo: 'qvo-latn-pe',
  qvp: 'qvp-latn-pe',
  qvs: 'qvs-latn-pe',
  qvw: 'qvw-latn-pe',
  qvz: 'qvz-latn-ec',
  qwa: 'qwa-latn-pe',
  qwc: 'qwc-latn-pe',
  qwh: 'qwh-latn-pe',
  qwm: 'qwm-latn-ru',
  'qwm-cyrl': 'qwm-cyrl-ru',
  'qwm-runr': 'qwm-runr-ru',
  qws: 'qws-latn-pe',
  qwt: 'qwt-latn-us',
  qxa: 'qxa-latn-pe',
  qxc: 'qxc-latn-pe',
  qxh: 'qxh-latn-pe',
  qxl: 'qxl-latn-ec',
  qxn: 'qxn-latn-pe',
  qxo: 'qxo-latn-pe',
  qxp: 'qxp-latn-pe',
  qxq: 'qxq-arab-ir',
  qxr: 'qxr-latn-ec',
  qxt: 'qxt-latn-pe',
  qxu: 'qxu-latn-pe',
  qxw: 'qxw-latn-pe',
  qya: 'qya-latn-001',
  qyp: 'qyp-latn-us',
  raa: 'raa-deva-np',
  rab: 'rab-deva-np',
  rac: 'rac-latn-id',
  rad: 'rad-latn-vn',
  raf: 'raf-deva-np',
  rag: 'rag-latn-ke',
  rah: 'rah-beng-in',
  'rah-latn': 'rah-latn-in',
  rai: 'rai-latn-zz',
  raj: 'raj-deva-in',
  rak: 'rak-latn-pg',
  ram: 'ram-latn-br',
  ran: 'ran-latn-id',
  rao: 'rao-latn-zz',
  rap: 'rap-latn-cl',
  rar: 'rar-latn-ck',
  rav: 'rav-deva-np',
  raw: 'raw-latn-mm',
  rax: 'rax-latn-ng',
  ray: 'ray-latn-pf',
  raz: 'raz-latn-id',
  rbb: 'rbb-mymr-mm',
  rbk: 'rbk-latn-ph',
  rbl: 'rbl-latn-ph',
  rbp: 'rbp-latn-au',
  rcf: 'rcf-latn-re',
  rdb: 'rdb-arab-ir',
  rea: 'rea-latn-pg',
  reb: 'reb-latn-id',
  ree: 'ree-latn-my',
  reg: 'reg-latn-tz',
  rei: 'rei-orya-in',
  'rei-telu': 'rei-telu-in',
  rej: 'rej-latn-id',
  rel: 'rel-latn-zz',
  rem: 'rem-latn-pe',
  ren: 'ren-latn-vn',
  res: 'res-latn-zz',
  ret: 'ret-latn-id',
  rey: 'rey-latn-bo',
  rga: 'rga-latn-vu',
  rgn: 'rgn-latn-it',
  rgr: 'rgr-latn-pe',
  rgs: 'rgs-latn-vn',
  rgu: 'rgu-latn-id',
  rhg: 'rhg-rohg-mm',
  rhp: 'rhp-latn-pg',
  ria: 'ria-latn-in',
  rif: 'rif-latn-ma',
  ril: 'ril-latn-mm',
  rim: 'rim-latn-tz',
  rin: 'rin-latn-ng',
  rir: 'rir-latn-id',
  rit: 'rit-latn-au',
  riu: 'riu-latn-id',
  rjg: 'rjg-latn-id',
  rji: 'rji-deva-np',
  rjs: 'rjs-deva-np',
  rka: 'rka-khmr-kh',
  rkb: 'rkb-latn-br',
  rkh: 'rkh-latn-ck',
  rki: 'rki-mymr-mm',
  rkm: 'rkm-latn-bf',
  rkt: 'rkt-beng-bd',
  rkw: 'rkw-latn-au',
  rm: 'rm-latn-ch',
  rma: 'rma-latn-ni',
  rmb: 'rmb-latn-au',
  rmc: 'rmc-latn-sk',
  rmd: 'rmd-latn-dk',
  rme: 'rme-latn-gb',
  rmf: 'rmf-latn-fi',
  rmg: 'rmg-latn-no',
  rmh: 'rmh-latn-id',
  rmi: 'rmi-armn-am',
  rmk: 'rmk-latn-pg',
  rml: 'rml-latn-pl',
  'rml-cyrl': 'rml-cyrl-by',
  rmm: 'rmm-latn-id',
  rmn: 'rmn-latn-rs',
  'rmn-cyrl': 'rmn-cyrl-bg',
  'rmn-grek': 'rmn-grek-gr',
  rmo: 'rmo-latn-ch',
  rmp: 'rmp-latn-pg',
  rmq: 'rmq-latn-es',
  rmt: 'rmt-arab-ir',
  rmu: 'rmu-latn-se',
  rmw: 'rmw-latn-gb',
  rmx: 'rmx-latn-vn',
  rmz: 'rmz-mymr-in',
  rn: 'rn-latn-bi',
  rna: 'rna-latn-zz',
  rnd: 'rnd-latn-cd',
  rng: 'rng-latn-mz',
  rnl: 'rnl-latn-in',
  rnn: 'rnn-latn-id',
  rnr: 'rnr-latn-au',
  rnw: 'rnw-latn-tz',
  ro: 'ro-latn-ro',
  rob: 'rob-latn-id',
  roc: 'roc-latn-vn',
  rod: 'rod-latn-ng',
  roe: 'roe-latn-pg',
  rof: 'rof-latn-tz',
  rog: 'rog-latn-vn',
  rol: 'rol-latn-ph',
  rom: 'rom-latn-ro',
  'rom-cyrl': 'rom-cyrl-ro',
  roo: 'roo-latn-zz',
  rop: 'rop-latn-au',
  ror: 'ror-latn-id',
  rou: 'rou-latn-td',
  row: 'row-latn-id',
  rpn: 'rpn-latn-vu',
  rpt: 'rpt-latn-pg',
  rri: 'rri-latn-sb',
  rro: 'rro-latn-zz',
  rrt: 'rrt-latn-au',
  rsk: 'rsk-cyrl-rs',
  rtc: 'rtc-latn-mm',
  rth: 'rth-latn-id',
  rtm: 'rtm-latn-fj',
  rtw: 'rtw-deva-in',
  ru: 'ru-cyrl-ru',
  rub: 'rub-latn-ug',
  ruc: 'ruc-latn-ug',
  rue: 'rue-cyrl-ua',
  ruf: 'ruf-latn-tz',
  rug: 'rug-latn-sb',
  rui: 'rui-latn-tz',
  ruk: 'ruk-latn-ng',
  ruo: 'ruo-latn-hr',
  rup: 'rup-latn-ro',
  'rup-grek': 'rup-grek-gr',
  ruq: 'ruq-latn-gr',
  rut: 'rut-cyrl-ru',
  'rut-latn': 'rut-latn-az',
  ruu: 'ruu-latn-my',
  ruy: 'ruy-latn-ng',
  ruz: 'ruz-latn-ng',
  rw: 'rw-latn-rw',
  rwa: 'rwa-latn-pg',
  rwk: 'rwk-latn-tz',
  rwl: 'rwl-latn-tz',
  rwm: 'rwm-latn-ug',
  rwo: 'rwo-latn-zz',
  rwr: 'rwr-deva-in',
  rxd: 'rxd-latn-au',
  rxw: 'rxw-latn-au',
  ryu: 'ryu-kana-jp',
  sa: 'sa-deva-in',
  saa: 'saa-latn-td',
  sab: 'sab-latn-pa',
  sac: 'sac-latn-us',
  sad: 'sad-latn-tz',
  sae: 'sae-latn-br',
  saf: 'saf-latn-gh',
  sah: 'sah-cyrl-ru',
  saj: 'saj-latn-id',
  sak: 'sak-latn-ga',
  sam: 'sam-samr-ps',
  'sam-hebr': 'sam-hebr-ps',
  'sam-syrc': 'sam-syrc-ps',
  sao: 'sao-latn-id',
  saq: 'saq-latn-ke',
  sar: 'sar-latn-bo',
  sas: 'sas-latn-id',
  sat: 'sat-olck-in',
  sau: 'sau-latn-id',
  sav: 'sav-latn-sn',
  saw: 'saw-latn-id',
  sax: 'sax-latn-vu',
  say: 'say-latn-ng',
  saz: 'saz-saur-in',
  sba: 'sba-latn-zz',
  sbb: 'sbb-latn-sb',
  sbc: 'sbc-latn-pg',
  sbd: 'sbd-latn-bf',
  sbe: 'sbe-latn-zz',
  sbg: 'sbg-latn-id',
  sbh: 'sbh-latn-pg',
  sbi: 'sbi-latn-pg',
  sbj: 'sbj-latn-td',
  sbk: 'sbk-latn-tz',
  sbl: 'sbl-latn-ph',
  sbm: 'sbm-latn-tz',
  sbn: 'sbn-arab-pk',
  sbo: 'sbo-latn-my',
  sbp: 'sbp-latn-tz',
  sbq: 'sbq-latn-pg',
  sbr: 'sbr-latn-id',
  sbs: 'sbs-latn-na',
  sbt: 'sbt-latn-id',
  sbu: 'sbu-tibt-in',
  'sbu-deva': 'sbu-deva-in',
  sbv: 'sbv-latn-it',
  sbw: 'sbw-latn-ga',
  sbx: 'sbx-latn-id',
  sby: 'sby-latn-zm',
  sbz: 'sbz-latn-cf',
  sc: 'sc-latn-it',
  scb: 'scb-latn-vn',
  sce: 'sce-latn-cn',
  'sce-arab': 'sce-arab-cn',
  scf: 'scf-latn-pa',
  scg: 'scg-latn-id',
  sch: 'sch-latn-in',
  sci: 'sci-latn-lk',
  sck: 'sck-deva-in',
  scl: 'scl-arab-zz',
  scn: 'scn-latn-it',
  sco: 'sco-latn-gb',
  scp: 'scp-deva-np',
  scs: 'scs-latn-ca',
  'scs-cans': 'scs-cans-ca',
  sct: 'sct-laoo-la',
  scu: 'scu-takr-in',
  scv: 'scv-latn-ng',
  scw: 'scw-latn-ng',
  scx: 'scx-grek-it',
  sd: 'sd-arab-pk',
  'sd-deva': 'sd-deva-in',
  'sd-in': 'sd-deva-in',
  'sd-khoj': 'sd-khoj-in',
  'sd-sind': 'sd-sind-in',
  sda: 'sda-latn-id',
  sdb: 'sdb-arab-iq',
  sdc: 'sdc-latn-it',
  sde: 'sde-latn-ng',
  sdf: 'sdf-arab-iq',
  sdg: 'sdg-arab-af',
  sdh: 'sdh-arab-ir',
  sdj: 'sdj-latn-cg',
  sdk: 'sdk-latn-pg',
  sdn: 'sdn-latn-it',
  sdo: 'sdo-latn-my',
  sdq: 'sdq-latn-id',
  sds: 'sds-arab-tn',
  sdu: 'sdu-latn-id',
  sdx: 'sdx-latn-my',
  se: 'se-latn-no',
  sea: 'sea-latn-my',
  seb: 'seb-latn-ci',
  sec: 'sec-latn-ca',
  sed: 'sed-latn-vn',
  see: 'see-latn-us',
  sef: 'sef-latn-ci',
  seg: 'seg-latn-tz',
  seh: 'seh-latn-mz',
  sei: 'sei-latn-mx',
  sej: 'sej-latn-pg',
  sek: 'sek-latn-ca',
  'sek-cans': 'sek-cans-ca',
  sel: 'sel-cyrl-ru',
  sen: 'sen-latn-bf',
  seo: 'seo-latn-pg',
  sep: 'sep-latn-bf',
  seq: 'seq-latn-bf',
  ser: 'ser-latn-us',
  ses: 'ses-latn-ml',
  set: 'set-latn-id',
  seu: 'seu-latn-id',
  sev: 'sev-latn-ci',
  sew: 'sew-latn-pg',
  sey: 'sey-latn-ec',
  sez: 'sez-latn-mm',
  sfe: 'sfe-latn-ph',
  sfm: 'sfm-plrd-cn',
  sfw: 'sfw-latn-gh',
  sg: 'sg-latn-cf',
  sga: 'sga-ogam-ie',
  sgb: 'sgb-latn-ph',
  sgc: 'sgc-latn-ke',
  sgd: 'sgd-latn-ph',
  sge: 'sge-latn-id',
  sgh: 'sgh-cyrl-tj',
  'sgh-arab': 'sgh-arab-af',
  'sgh-latn': 'sgh-latn-tj',
  sgi: 'sgi-latn-cm',
  sgj: 'sgj-deva-in',
  sgm: 'sgm-latn-ke',
  sgp: 'sgp-latn-in',
  sgr: 'sgr-arab-ir',
  sgs: 'sgs-latn-lt',
  sgt: 'sgt-tibt-bt',
  sgu: 'sgu-latn-id',
  sgw: 'sgw-ethi-zz',
  sgy: 'sgy-arab-af',
  sgz: 'sgz-latn-zz',
  sha: 'sha-latn-ng',
  shb: 'shb-latn-br',
  shc: 'shc-latn-cd',
  shd: 'shd-arab-pk',
  she: 'she-latn-et',
  shg: 'shg-latn-bw',
  shh: 'shh-latn-us',
  shi: 'shi-tfng-ma',
  shj: 'shj-latn-sd',
  shk: 'shk-latn-zz',
  shm: 'shm-arab-ir',
  shn: 'shn-mymr-mm',
  sho: 'sho-latn-ng',
  shp: 'shp-latn-pe',
  shq: 'shq-latn-zm',
  shr: 'shr-latn-cd',
  shs: 'shs-latn-ca',
  sht: 'sht-latn-us',
  shu: 'shu-arab-zz',
  shv: 'shv-arab-om',
  shw: 'shw-latn-sd',
  shy: 'shy-latn-dz',
  'shy-arab': 'shy-arab-dz',
  'shy-tfng': 'shy-tfng-dz',
  shz: 'shz-latn-ml',
  si: 'si-sinh-lk',
  sia: 'sia-cyrl-ru',
  sib: 'sib-latn-my',
  sid: 'sid-latn-et',
  sie: 'sie-latn-zm',
  sif: 'sif-latn-bf',
  sig: 'sig-latn-zz',
  sih: 'sih-latn-nc',
  sii: 'sii-latn-in',
  sij: 'sij-latn-pg',
  sik: 'sik-latn-br',
  sil: 'sil-latn-zz',
  sim: 'sim-latn-zz',
  sip: 'sip-tibt-in',
  siq: 'siq-latn-pg',
  sir: 'sir-latn-ng',
  sis: 'sis-latn-us',
  siu: 'siu-latn-pg',
  siv: 'siv-latn-pg',
  siw: 'siw-latn-pg',
  six: 'six-latn-pg',
  siy: 'siy-arab-ir',
  siz: 'siz-arab-eg',
  sja: 'sja-latn-co',
  sjb: 'sjb-latn-id',
  sjd: 'sjd-cyrl-ru',
  sje: 'sje-latn-se',
  sjg: 'sjg-latn-td',
  sjl: 'sjl-latn-in',
  sjm: 'sjm-latn-ph',
  sjp: 'sjp-deva-in',
  'sjp-beng': 'sjp-beng-in',
  sjr: 'sjr-latn-zz',
  sjt: 'sjt-cyrl-ru',
  sju: 'sju-latn-se',
  sjw: 'sjw-latn-us',
  sk: 'sk-latn-sk',
  ska: 'ska-latn-us',
  skb: 'skb-thai-th',
  skc: 'skc-latn-zz',
  skd: 'skd-latn-us',
  ske: 'ske-latn-vu',
  skf: 'skf-latn-br',
  skg: 'skg-latn-mg',
  skh: 'skh-latn-id',
  ski: 'ski-latn-id',
  skj: 'skj-deva-np',
  skm: 'skm-latn-pg',
  skn: 'skn-latn-ph',
  sko: 'sko-latn-id',
  skp: 'skp-latn-my',
  skq: 'skq-latn-bf',
  skr: 'skr-arab-pk',
  sks: 'sks-latn-zz',
  skt: 'skt-latn-cd',
  sku: 'sku-latn-vu',
  skv: 'skv-latn-id',
  skw: 'skw-latn-gy',
  skx: 'skx-latn-id',
  sky: 'sky-latn-sb',
  skz: 'skz-latn-id',
  sl: 'sl-latn-si',
  slc: 'slc-latn-co',
  sld: 'sld-latn-zz',
  slg: 'slg-latn-id',
  slh: 'slh-latn-us',
  sli: 'sli-latn-pl',
  slj: 'slj-latn-br',
  sll: 'sll-latn-zz',
  slm: 'slm-latn-ph',
  sln: 'sln-latn-us',
  slp: 'slp-latn-id',
  slq: 'slq-arab-ir',
  slr: 'slr-latn-cn',
  slu: 'slu-latn-id',
  slw: 'slw-latn-pg',
  slx: 'slx-latn-cd',
  sly: 'sly-latn-id',
  slz: 'slz-latn-id',
  sm: 'sm-latn-ws',
  sma: 'sma-latn-se',
  smb: 'smb-latn-pg',
  smc: 'smc-latn-pg',
  smd: 'smd-latn-ao',
  smf: 'smf-latn-pg',
  smg: 'smg-latn-pg',
  smh: 'smh-yiii-cn',
  smj: 'smj-latn-se',
  smk: 'smk-latn-ph',
  sml: 'sml-latn-ph',
  smn: 'smn-latn-fi',
  smp: 'smp-samr-il',
  smq: 'smq-latn-zz',
  smr: 'smr-latn-id',
  sms: 'sms-latn-fi',
  smt: 'smt-latn-in',
  smu: 'smu-khmr-kh',
  smw: 'smw-latn-id',
  smx: 'smx-latn-cd',
  smy: 'smy-arab-ir',
  smz: 'smz-latn-pg',
  sn: 'sn-latn-zw',
  snb: 'snb-latn-my',
  snc: 'snc-latn-zz',
  sne: 'sne-latn-my',
  snf: 'snf-latn-sn',
  sng: 'sng-latn-cd',
  'sng-brai': 'sng-brai-cd',
  sni: 'sni-latn-pe',
  snj: 'snj-latn-cf',
  snk: 'snk-latn-ml',
  snl: 'snl-latn-ph',
  snm: 'snm-latn-ug',
  snn: 'snn-latn-co',
  sno: 'sno-latn-us',
  snp: 'snp-latn-zz',
  snq: 'snq-latn-ga',
  snr: 'snr-latn-pg',
  sns: 'sns-latn-vu',
  snu: 'snu-latn-id',
  snv: 'snv-latn-my',
  snw: 'snw-latn-gh',
  snx: 'snx-latn-zz',
  sny: 'sny-latn-zz',
  snz: 'snz-latn-pg',
  so: 'so-latn-so',
  soa: 'soa-tavt-th',
  'soa-thai': 'soa-thai-th',
  sob: 'sob-latn-id',
  soc: 'soc-latn-cd',
  sod: 'sod-latn-cd',
  soe: 'soe-latn-cd',
  sog: 'sog-sogd-uz',
  soi: 'soi-deva-np',
  sok: 'sok-latn-zz',
  sol: 'sol-latn-pg',
  soo: 'soo-latn-cd',
  sop: 'sop-latn-cd',
  soq: 'soq-latn-zz',
  sor: 'sor-latn-td',
  sos: 'sos-latn-bf',
  sou: 'sou-thai-th',
  sov: 'sov-latn-pw',
  sow: 'sow-latn-pg',
  sox: 'sox-latn-cm',
  soy: 'soy-latn-zz',
  soz: 'soz-latn-tz',
  spb: 'spb-latn-id',
  spc: 'spc-latn-ve',
  spd: 'spd-latn-zz',
  spe: 'spe-latn-pg',
  spg: 'spg-latn-my',
  spi: 'spi-latn-id',
  spk: 'spk-latn-pg',
  spl: 'spl-latn-zz',
  spm: 'spm-latn-pg',
  spn: 'spn-latn-py',
  spo: 'spo-latn-us',
  spp: 'spp-latn-ml',
  spq: 'spq-latn-pe',
  spr: 'spr-latn-id',
  sps: 'sps-latn-zz',
  spt: 'spt-tibt-in',
  spv: 'spv-orya-in',
  sq: 'sq-latn-al',
  sqa: 'sqa-latn-ng',
  sqh: 'sqh-latn-ng',
  sqm: 'sqm-latn-cf',
  sqo: 'sqo-arab-ir',
  sqq: 'sqq-laoo-la',
  sqt: 'sqt-arab-ye',
  'sqt-latn': 'sqt-latn-ye',
  squ: 'squ-latn-ca',
  sr: 'sr-cyrl-rs',
  'sr-me': 'sr-latn-me',
  'sr-ro': 'sr-latn-ro',
  'sr-ru': 'sr-latn-ru',
  'sr-tr': 'sr-latn-tr',
  sra: 'sra-latn-pg',
  srb: 'srb-sora-in',
  sre: 'sre-latn-id',
  srf: 'srf-latn-pg',
  srg: 'srg-latn-ph',
  srh: 'srh-arab-cn',
  sri: 'sri-latn-co',
  srk: 'srk-latn-my',
  srl: 'srl-latn-id',
  srm: 'srm-latn-sr',
  srn: 'srn-latn-sr',
  sro: 'sro-latn-it',
  srq: 'srq-latn-bo',
  srr: 'srr-latn-sn',
  srs: 'srs-latn-ca',
  srt: 'srt-latn-id',
  sru: 'sru-latn-br',
  srv: 'srv-latn-ph',
  srw: 'srw-latn-id',
  srx: 'srx-deva-in',
  sry: 'sry-latn-pg',
  srz: 'srz-arab-ir',
  ss: 'ss-latn-za',
  ssb: 'ssb-latn-ph',
  ssc: 'ssc-latn-tz',
  ssd: 'ssd-latn-zz',
  sse: 'sse-latn-ph',
  'sse-arab': 'sse-arab-ph',
  ssf: 'ssf-latn-tw',
  ssg: 'ssg-latn-zz',
  ssh: 'ssh-arab-ae',
  ssj: 'ssj-latn-pg',
  ssl: 'ssl-latn-gh',
  ssm: 'ssm-latn-my',
  ssn: 'ssn-latn-ke',
  sso: 'sso-latn-pg',
  ssq: 'ssq-latn-id',
  sss: 'sss-laoo-la',
  'sss-thai': 'sss-thai-th',
  sst: 'sst-latn-pg',
  ssu: 'ssu-latn-pg',
  ssv: 'ssv-latn-vu',
  ssx: 'ssx-latn-pg',
  ssy: 'ssy-latn-er',
  ssz: 'ssz-latn-pg',
  st: 'st-latn-za',
  sta: 'sta-latn-zm',
  stb: 'stb-latn-ph',
  ste: 'ste-latn-id',
  stf: 'stf-latn-pg',
  stg: 'stg-latn-vn',
  sth: 'sth-latn-ie',
  sti: 'sti-latn-vn',
  'sti-kh': 'sti-latn-kh',
  stj: 'stj-latn-bf',
  stk: 'stk-latn-zz',
  stl: 'stl-latn-nl',
  stm: 'stm-latn-pg',
  stn: 'stn-latn-sb',
  sto: 'sto-latn-ca',
  stp: 'stp-latn-mx',
  stq: 'stq-latn-de',
  str: 'str-latn-ca',
  sts: 'sts-arab-af',
  stt: 'stt-latn-vn',
  stv: 'stv-ethi-et',
  'stv-arab': 'stv-arab-et',
  stw: 'stw-latn-fm',
  sty: 'sty-cyrl-ru',
  su: 'su-latn-id',
  sua: 'sua-latn-zz',
  sub: 'sub-latn-cd',
  suc: 'suc-latn-ph',
  sue: 'sue-latn-zz',
  sug: 'sug-latn-pg',
  sui: 'sui-latn-pg',
  suj: 'suj-latn-tz',
  suk: 'suk-latn-tz',
  suo: 'suo-latn-pg',
  suq: 'suq-latn-et',
  'suq-ethi': 'suq-ethi-et',
  sur: 'sur-latn-zz',
  sus: 'sus-latn-gn',
  sut: 'sut-latn-ni',
  suv: 'suv-latn-in',
  'suv-beng': 'suv-beng-in',
  'suv-deva': 'suv-deva-in',
  suw: 'suw-latn-tz',
  suy: 'suy-latn-br',
  suz: 'suz-deva-np',
  sv: 'sv-latn-se',
  sva: 'sva-geor-ge',
  'sva-cyrl': 'sva-cyrl-ge',
  'sva-latn': 'sva-latn-ge',
  svb: 'svb-latn-pg',
  svc: 'svc-latn-vc',
  sve: 'sve-latn-id',
  svm: 'svm-latn-it',
  svs: 'svs-latn-sb',
  sw: 'sw-latn-tz',
  swb: 'swb-arab-yt',
  swc: 'swc-latn-cd',
  swf: 'swf-latn-cd',
  swg: 'swg-latn-de',
  swi: 'swi-hani-cn',
  swj: 'swj-latn-ga',
  swk: 'swk-latn-mw',
  swm: 'swm-latn-pg',
  swo: 'swo-latn-br',
  swp: 'swp-latn-zz',
  swq: 'swq-latn-cm',
  swr: 'swr-latn-id',
  sws: 'sws-latn-id',
  swt: 'swt-latn-id',
  swu: 'swu-latn-id',
  swv: 'swv-deva-in',
  sww: 'sww-latn-vu',
  swx: 'swx-latn-br',
  swy: 'swy-latn-td',
  sxb: 'sxb-latn-ke',
  sxe: 'sxe-latn-ga',
  sxn: 'sxn-latn-id',
  sxr: 'sxr-latn-tw',
  sxs: 'sxs-latn-ng',
  sxu: 'sxu-latn-de',
  'sxu-runr': 'sxu-runr-de',
  sxw: 'sxw-latn-zz',
  sya: 'sya-latn-id',
  syb: 'syb-latn-ph',
  syc: 'syc-syrc-tr',
  syi: 'syi-latn-ga',
  syk: 'syk-latn-ng',
  syl: 'syl-beng-bd',
  sym: 'sym-latn-bf',
  syn: 'syn-syrc-ir',
  syo: 'syo-latn-kh',
  syr: 'syr-syrc-iq',
  sys: 'sys-latn-td',
  syw: 'syw-deva-np',
  syx: 'syx-latn-ga',
  sza: 'sza-latn-my',
  szb: 'szb-latn-id',
  szc: 'szc-latn-my',
  szd: 'szd-latn-my',
  szg: 'szg-latn-cd',
  szl: 'szl-latn-pl',
  szn: 'szn-latn-id',
  szp: 'szp-latn-id',
  szv: 'szv-latn-cm',
  szw: 'szw-latn-id',
  szy: 'szy-latn-tw',
  ta: 'ta-taml-in',
  taa: 'taa-latn-us',
  tab: 'tab-cyrl-ru',
  tac: 'tac-latn-mx',
  tad: 'tad-latn-id',
  tae: 'tae-latn-br',
  taf: 'taf-latn-br',
  tag: 'tag-latn-sd',
  taj: 'taj-deva-np',
  tak: 'tak-latn-ng',
  tal: 'tal-latn-zz',
  tan: 'tan-latn-zz',
  tao: 'tao-latn-tw',
  tap: 'tap-latn-cd',
  taq: 'taq-latn-zz',
  tar: 'tar-latn-mx',
  tas: 'tas-latn-vn',
  tau: 'tau-latn-us',
  tav: 'tav-latn-co',
  taw: 'taw-latn-pg',
  tax: 'tax-latn-td',
  tay: 'tay-latn-tw',
  'tay-hans': 'tay-hans-tw',
  'tay-hant': 'tay-hant-tw',
  taz: 'taz-latn-sd',
  tba: 'tba-latn-br',
  tbc: 'tbc-latn-zz',
  tbd: 'tbd-latn-zz',
  tbe: 'tbe-latn-sb',
  tbf: 'tbf-latn-zz',
  tbg: 'tbg-latn-zz',
  tbh: 'tbh-latn-au',
  tbi: 'tbi-latn-sd',
  tbj: 'tbj-latn-pg',
  tbk: 'tbk-tagb-ph',
  'tbk-hano': 'tbk-hano-ph',
  'tbk-latn': 'tbk-latn-ph',
  tbl: 'tbl-latn-ph',
  tbm: 'tbm-latn-cd',
  tbn: 'tbn-latn-co',
  tbo: 'tbo-latn-zz',
  tbp: 'tbp-latn-id',
  tbs: 'tbs-latn-pg',
  tbt: 'tbt-latn-cd',
  tbu: 'tbu-latn-mx',
  tbv: 'tbv-latn-pg',
  tbw: 'tbw-latn-ph',
  tbx: 'tbx-latn-pg',
  tby: 'tby-latn-id',
  tbz: 'tbz-latn-zz',
  tca: 'tca-latn-br',
  tcb: 'tcb-latn-us',
  tcc: 'tcc-latn-tz',
  tcd: 'tcd-latn-gh',
  tce: 'tce-latn-ca',
  tcf: 'tcf-latn-mx',
  tcg: 'tcg-latn-id',
  tch: 'tch-latn-tc',
  tci: 'tci-latn-zz',
  tck: 'tck-latn-ga',
  tcm: 'tcm-latn-id',
  tcn: 'tcn-tibt-np',
  tco: 'tco-mymr-mm',
  tcp: 'tcp-latn-mm',
  tcq: 'tcq-latn-id',
  tcs: 'tcs-latn-au',
  tcu: 'tcu-latn-mx',
  tcw: 'tcw-latn-mx',
  tcx: 'tcx-taml-in',
  tcy: 'tcy-knda-in',
  tcz: 'tcz-latn-in',
  tda: 'tda-tfng-ne',
  'tda-arab': 'tda-arab-ne',
  'tda-latn': 'tda-latn-ne',
  tdb: 'tdb-deva-in',
  'tdb-beng': 'tdb-beng-in',
  'tdb-kthi': 'tdb-kthi-in',
  tdc: 'tdc-latn-co',
  tdd: 'tdd-tale-cn',
  tde: 'tde-latn-ml',
  tdg: 'tdg-deva-np',
  tdh: 'tdh-deva-np',
  tdi: 'tdi-latn-id',
  tdj: 'tdj-latn-id',
  tdk: 'tdk-latn-ng',
  tdl: 'tdl-latn-ng',
  tdm: 'tdm-latn-gy',
  tdn: 'tdn-latn-id',
  tdo: 'tdo-latn-ng',
  tdq: 'tdq-latn-ng',
  tdr: 'tdr-latn-vn',
  tds: 'tds-latn-id',
  tdt: 'tdt-latn-tl',
  tdu: 'tdu-latn-my',
  tdv: 'tdv-latn-ng',
  tdx: 'tdx-latn-mg',
  tdy: 'tdy-latn-ph',
  te: 'te-telu-in',
  tea: 'tea-latn-my',
  teb: 'teb-latn-ec',
  tec: 'tec-latn-ke',
  ted: 'ted-latn-zz',
  tee: 'tee-latn-mx',
  teg: 'teg-latn-ga',
  teh: 'teh-latn-ar',
  tei: 'tei-latn-pg',
  tek: 'tek-latn-cd',
  tem: 'tem-latn-sl',
  ten: 'ten-latn-co',
  teo: 'teo-latn-ug',
  tep: 'tep-latn-mx',
  teq: 'teq-latn-sd',
  ter: 'ter-latn-br',
  tes: 'tes-java-id',
  tet: 'tet-latn-tl',
  teu: 'teu-latn-ug',
  tev: 'tev-latn-id',
  tew: 'tew-latn-us',
  tex: 'tex-latn-ss',
  tey: 'tey-latn-sd',
  tfi: 'tfi-latn-zz',
  tfn: 'tfn-latn-us',
  tfo: 'tfo-latn-id',
  tfr: 'tfr-latn-pa',
  tft: 'tft-latn-id',
  tg: 'tg-cyrl-tj',
  'tg-arab': 'tg-arab-pk',
  'tg-pk': 'tg-arab-pk',
  tga: 'tga-latn-ke',
  tgb: 'tgb-latn-my',
  tgc: 'tgc-latn-zz',
  tgd: 'tgd-latn-ng',
  tge: 'tge-deva-np',
  tgf: 'tgf-tibt-bt',
  tgh: 'tgh-latn-tt',
  tgi: 'tgi-latn-pg',
  tgj: 'tgj-latn-in',
  tgn: 'tgn-latn-ph',
  tgo: 'tgo-latn-zz',
  tgp: 'tgp-latn-vu',
  tgq: 'tgq-latn-my',
  tgs: 'tgs-latn-vu',
  tgt: 'tgt-latn-ph',
  'tgt-hano': 'tgt-hano-ph',
  'tgt-tagb': 'tgt-tagb-ph',
  tgu: 'tgu-latn-zz',
  tgv: 'tgv-latn-br',
  tgw: 'tgw-latn-ci',
  tgx: 'tgx-latn-ca',
  tgy: 'tgy-latn-ss',
  tgz: 'tgz-latn-au',
  th: 'th-thai-th',
  thd: 'thd-latn-au',
  the: 'the-deva-np',
  thf: 'thf-deva-np',
  thh: 'thh-latn-mx',
  thi: 'thi-tale-la',
  thk: 'thk-latn-ke',
  thl: 'thl-deva-np',
  thm: 'thm-thai-th',
  thp: 'thp-latn-ca',
  'thp-dupl': 'thp-dupl-ca',
  thq: 'thq-deva-np',
  thr: 'thr-deva-np',
  ths: 'ths-deva-np',
  tht: 'tht-latn-ca',
  thu: 'thu-latn-ss',
  thv: 'thv-latn-dz',
  'thv-arab': 'thv-arab-dz',
  'thv-tfng': 'thv-tfng-dz',
  thy: 'thy-latn-ng',
  thz: 'thz-latn-ne',
  'thz-tfng': 'thz-tfng-ne',
  ti: 'ti-ethi-et',
  tic: 'tic-latn-sd',
  tif: 'tif-latn-zz',
  tig: 'tig-ethi-er',
  tih: 'tih-latn-my',
  tii: 'tii-latn-cd',
  tij: 'tij-deva-np',
  tik: 'tik-latn-zz',
  til: 'til-latn-us',
  tim: 'tim-latn-zz',
  tin: 'tin-cyrl-ru',
  tio: 'tio-latn-zz',
  tip: 'tip-latn-id',
  tiq: 'tiq-latn-bf',
  tis: 'tis-latn-ph',
  tit: 'tit-latn-co',
  tiu: 'tiu-latn-ph',
  tiv: 'tiv-latn-ng',
  tiw: 'tiw-latn-au',
  tix: 'tix-latn-us',
  tiy: 'tiy-latn-ph',
  tja: 'tja-latn-lr',
  tjg: 'tjg-latn-id',
  tji: 'tji-latn-cn',
  tjj: 'tjj-latn-au',
  tjl: 'tjl-mymr-mm',
  tjn: 'tjn-latn-ci',
  tjo: 'tjo-arab-dz',
  tjp: 'tjp-latn-au',
  tjs: 'tjs-latn-cn',
  tju: 'tju-latn-au',
  tjw: 'tjw-latn-au',
  tk: 'tk-latn-tm',
  tka: 'tka-latn-br',
  tkb: 'tkb-deva-in',
  tkd: 'tkd-latn-tl',
  tke: 'tke-latn-mz',
  tkf: 'tkf-latn-br',
  tkg: 'tkg-latn-mg',
  tkl: 'tkl-latn-tk',
  tkp: 'tkp-latn-sb',
  tkq: 'tkq-latn-ng',
  tkr: 'tkr-latn-az',
  tks: 'tks-arab-ir',
  tkt: 'tkt-deva-np',
  tku: 'tku-latn-mx',
  tkv: 'tkv-latn-pg',
  tkw: 'tkw-latn-sb',
  tkx: 'tkx-latn-id',
  tkz: 'tkz-latn-vn',
  tl: 'tl-latn-ph',
  tla: 'tla-latn-mx',
  tlb: 'tlb-latn-id',
  tlc: 'tlc-latn-mx',
  tld: 'tld-latn-id',
  tlf: 'tlf-latn-zz',
  tlg: 'tlg-latn-id',
  tli: 'tli-latn-us',
  'tli-cyrl': 'tli-cyrl-us',
  tlj: 'tlj-latn-ug',
  tlk: 'tlk-latn-id',
  tll: 'tll-latn-cd',
  tlm: 'tlm-latn-vu',
  tln: 'tln-latn-id',
  tlp: 'tlp-latn-mx',
  tlq: 'tlq-latn-mm',
  tlr: 'tlr-latn-sb',
  tls: 'tls-latn-vu',
  tlt: 'tlt-latn-id',
  tlu: 'tlu-latn-id',
  tlv: 'tlv-latn-id',
  tlx: 'tlx-latn-zz',
  tly: 'tly-latn-az',
  tma: 'tma-latn-td',
  tmb: 'tmb-latn-vu',
  tmc: 'tmc-latn-td',
  tmd: 'tmd-latn-pg',
  tme: 'tme-latn-br',
  tmf: 'tmf-latn-py',
  tmg: 'tmg-latn-id',
  tmh: 'tmh-latn-ne',
  tmi: 'tmi-latn-vu',
  tmj: 'tmj-latn-id',
  tmk: 'tmk-deva-np',
  tml: 'tml-latn-id',
  tmm: 'tmm-latn-vn',
  tmn: 'tmn-latn-id',
  tmo: 'tmo-latn-my',
  tmq: 'tmq-latn-pg',
  tmr: 'tmr-syrc-il',
  tmt: 'tmt-latn-vu',
  tmu: 'tmu-latn-id',
  tmv: 'tmv-latn-cd',
  tmw: 'tmw-latn-my',
  tmy: 'tmy-latn-zz',
  tmz: 'tmz-latn-ve',
  tn: 'tn-latn-za',
  tna: 'tna-latn-bo',
  tnb: 'tnb-latn-co',
  tnc: 'tnc-latn-co',
  tnd: 'tnd-latn-co',
  tng: 'tng-latn-td',
  tnh: 'tnh-latn-zz',
  tni: 'tni-latn-id',
  tnk: 'tnk-latn-vu',
  tnl: 'tnl-latn-vu',
  tnm: 'tnm-latn-id',
  tnn: 'tnn-latn-vu',
  tno: 'tno-latn-bo',
  tnp: 'tnp-latn-vu',
  tnq: 'tnq-latn-pr',
  tnr: 'tnr-latn-sn',
  tns: 'tns-latn-pg',
  tnt: 'tnt-latn-id',
  tnv: 'tnv-cakm-bd',
  tnw: 'tnw-latn-id',
  tnx: 'tnx-latn-sb',
  tny: 'tny-latn-tz',
  to: 'to-latn-to',
  tob: 'tob-latn-ar',
  toc: 'toc-latn-mx',
  tod: 'tod-latn-gn',
  tof: 'tof-latn-zz',
  tog: 'tog-latn-mw',
  toh: 'toh-latn-mz',
  toi: 'toi-latn-zm',
  toj: 'toj-latn-mx',
  tok: 'tok-latn-001',
  tol: 'tol-latn-us',
  tom: 'tom-latn-id',
  too: 'too-latn-mx',
  top: 'top-latn-mx',
  toq: 'toq-latn-zz',
  tor: 'tor-latn-cd',
  tos: 'tos-latn-mx',
  tou: 'tou-latn-vn',
  tov: 'tov-arab-ir',
  tow: 'tow-latn-us',
  tox: 'tox-latn-pw',
  toy: 'toy-latn-id',
  toz: 'toz-latn-cm',
  tpa: 'tpa-latn-pg',
  tpc: 'tpc-latn-mx',
  tpe: 'tpe-latn-bd',
  'tpe-beng': 'tpe-beng-bd',
  tpf: 'tpf-latn-id',
  tpg: 'tpg-latn-id',
  tpi: 'tpi-latn-pg',
  tpj: 'tpj-latn-py',
  tpk: 'tpk-latn-br',
  tpl: 'tpl-latn-mx',
  tpm: 'tpm-latn-zz',
  tpn: 'tpn-latn-br',
  tpp: 'tpp-latn-mx',
  tpr: 'tpr-latn-br',
  tpt: 'tpt-latn-mx',
  tpu: 'tpu-khmr-kh',
  tpv: 'tpv-latn-mp',
  tpx: 'tpx-latn-mx',
  tpy: 'tpy-latn-br',
  tpz: 'tpz-latn-zz',
  tqb: 'tqb-latn-br',
  tql: 'tql-latn-vu',
  tqm: 'tqm-latn-pg',
  tqn: 'tqn-latn-us',
  tqo: 'tqo-latn-zz',
  tqp: 'tqp-latn-pg',
  tqt: 'tqt-latn-mx',
  tqu: 'tqu-latn-sb',
  tqw: 'tqw-latn-us',
  tr: 'tr-latn-tr',
  tra: 'tra-arab-af',
  trb: 'trb-latn-pg',
  trc: 'trc-latn-mx',
  tre: 'tre-latn-id',
  trf: 'trf-latn-tt',
  trg: 'trg-hebr-il',
  trh: 'trh-latn-pg',
  tri: 'tri-latn-sr',
  trj: 'trj-latn-td',
  trl: 'trl-latn-gb',
  trm: 'trm-arab-af',
  trn: 'trn-latn-bo',
  tro: 'tro-latn-in',
  trp: 'trp-latn-in',
  'trp-beng': 'trp-beng-in',
  trq: 'trq-latn-mx',
  trr: 'trr-latn-pe',
  trs: 'trs-latn-mx',
  trt: 'trt-latn-id',
  tru: 'tru-latn-tr',
  trv: 'trv-latn-tw',
  trw: 'trw-arab-pk',
  trx: 'trx-latn-my',
  try: 'try-latn-in',
  trz: 'trz-latn-br',
  ts: 'ts-latn-za',
  tsa: 'tsa-latn-cg',
  tsb: 'tsb-latn-et',
  tsc: 'tsc-latn-mz',
  tsd: 'tsd-grek-gr',
  tsf: 'tsf-deva-np',
  tsg: 'tsg-latn-ph',
  tsh: 'tsh-latn-cm',
  tsi: 'tsi-latn-ca',
  tsj: 'tsj-tibt-bt',
  tsl: 'tsl-latn-vn',
  tsp: 'tsp-latn-bf',
  tsr: 'tsr-latn-vu',
  tst: 'tst-latn-ml',
  tsu: 'tsu-latn-tw',
  tsv: 'tsv-latn-ga',
  tsw: 'tsw-latn-zz',
  tsx: 'tsx-latn-pg',
  tsz: 'tsz-latn-mx',
  tt: 'tt-cyrl-ru',
  ttb: 'ttb-latn-ng',
  ttc: 'ttc-latn-gt',
  ttd: 'ttd-latn-zz',
  tte: 'tte-latn-zz',
  ttf: 'ttf-latn-cm',
  tth: 'tth-laoo-la',
  tti: 'tti-latn-id',
  ttj: 'ttj-latn-ug',
  ttk: 'ttk-latn-co',
  ttl: 'ttl-latn-zm',
  ttm: 'ttm-latn-ca',
  ttn: 'ttn-latn-id',
  tto: 'tto-laoo-la',
  ttp: 'ttp-latn-id',
  ttr: 'ttr-latn-zz',
  tts: 'tts-thai-th',
  ttt: 'ttt-latn-az',
  ttu: 'ttu-latn-pg',
  ttv: 'ttv-latn-pg',
  ttw: 'ttw-latn-my',
  tty: 'tty-latn-id',
  tua: 'tua-latn-pg',
  tub: 'tub-latn-us',
  tuc: 'tuc-latn-pg',
  tud: 'tud-latn-br',
  tue: 'tue-latn-co',
  tuf: 'tuf-latn-co',
  tug: 'tug-latn-td',
  tuh: 'tuh-latn-zz',
  tui: 'tui-latn-cm',
  tuj: 'tuj-latn-id',
  tul: 'tul-latn-zz',
  tum: 'tum-latn-mw',
  tun: 'tun-latn-us',
  tuo: 'tuo-latn-br',
  tuq: 'tuq-latn-zz',
  tus: 'tus-latn-ca',
  tuu: 'tuu-latn-us',
  tuv: 'tuv-latn-ke',
  tux: 'tux-latn-br',
  tuy: 'tuy-latn-ke',
  tuz: 'tuz-latn-bf',
  tva: 'tva-latn-sb',
  tvd: 'tvd-latn-zz',
  tve: 'tve-latn-id',
  tvk: 'tvk-latn-vu',
  tvl: 'tvl-latn-tv',
  tvm: 'tvm-latn-id',
  tvn: 'tvn-mymr-mm',
  tvo: 'tvo-latn-id',
  tvs: 'tvs-latn-ke',
  tvt: 'tvt-latn-in',
  tvu: 'tvu-latn-zz',
  tvw: 'tvw-latn-id',
  tvx: 'tvx-latn-tw',
  twa: 'twa-latn-us',
  twb: 'twb-latn-ph',
  twd: 'twd-latn-nl',
  twe: 'twe-latn-id',
  twf: 'twf-latn-us',
  twg: 'twg-latn-id',
  twh: 'twh-latn-zz',
  twl: 'twl-latn-mz',
  twm: 'twm-deva-in',
  twn: 'twn-latn-cm',
  two: 'two-latn-bw',
  twp: 'twp-latn-pg',
  twq: 'twq-latn-ne',
  twr: 'twr-latn-mx',
  twt: 'twt-latn-br',
  twu: 'twu-latn-id',
  tww: 'tww-latn-pg',
  twx: 'twx-latn-mz',
  twy: 'twy-latn-id',
  txa: 'txa-latn-my',
  txe: 'txe-latn-id',
  txg: 'txg-tang-cn',
  txi: 'txi-latn-br',
  txj: 'txj-latn-ng',
  txm: 'txm-latn-id',
  txn: 'txn-latn-id',
  txo: 'txo-toto-in',
  txq: 'txq-latn-id',
  txs: 'txs-latn-id',
  txt: 'txt-latn-id',
  txu: 'txu-latn-br',
  txx: 'txx-latn-my',
  txy: 'txy-latn-mg',
  ty: 'ty-latn-pf',
  tya: 'tya-latn-zz',
  tye: 'tye-latn-ng',
  tyh: 'tyh-latn-vn',
  tyi: 'tyi-latn-cg',
  tyj: 'tyj-latn-vn',
  tyl: 'tyl-latn-vn',
  tyn: 'tyn-latn-id',
  typ: 'typ-latn-au',
  tyr: 'tyr-tavt-vn',
  tys: 'tys-latn-vn',
  tyt: 'tyt-latn-vn',
  'tyt-tavt': 'tyt-tavt-vn',
  tyu: 'tyu-latn-bw',
  tyv: 'tyv-cyrl-ru',
  tyx: 'tyx-latn-cg',
  tyy: 'tyy-latn-ng',
  tyz: 'tyz-latn-vn',
  tzh: 'tzh-latn-mx',
  tzj: 'tzj-latn-gt',
  tzl: 'tzl-latn-001',
  tzm: 'tzm-latn-ma',
  tzn: 'tzn-latn-id',
  tzo: 'tzo-latn-mx',
  tzx: 'tzx-latn-pg',
  uam: 'uam-latn-br',
  uar: 'uar-latn-pg',
  uba: 'uba-latn-ng',
  ubi: 'ubi-latn-td',
  ubl: 'ubl-latn-ph',
  ubr: 'ubr-latn-pg',
  ubu: 'ubu-latn-zz',
  uda: 'uda-latn-ng',
  ude: 'ude-cyrl-ru',
  udg: 'udg-mlym-in',
  udi: 'udi-aghb-ru',
  udj: 'udj-latn-id',
  udl: 'udl-latn-cm',
  udm: 'udm-cyrl-ru',
  udu: 'udu-latn-sd',
  ues: 'ues-latn-id',
  ufi: 'ufi-latn-pg',
  ug: 'ug-arab-cn',
  'ug-cyrl': 'ug-cyrl-kz',
  'ug-kz': 'ug-cyrl-kz',
  'ug-mn': 'ug-cyrl-mn',
  uga: 'uga-ugar-sy',
  ugb: 'ugb-latn-au',
  uge: 'uge-latn-sb',
  ugh: 'ugh-cyrl-ru',
  ugo: 'ugo-thai-th',
  uha: 'uha-latn-ng',
  uhn: 'uhn-latn-id',
  uis: 'uis-latn-pg',
  uiv: 'uiv-latn-cm',
  uji: 'uji-latn-ng',
  uk: 'uk-cyrl-ua',
  uka: 'uka-latn-id',
  ukg: 'ukg-latn-pg',
  ukh: 'ukh-latn-cf',
  uki: 'uki-orya-in',
  ukk: 'ukk-latn-mm',
  ukp: 'ukp-latn-ng',
  ukq: 'ukq-latn-ng',
  uku: 'uku-latn-ng',
  ukv: 'ukv-latn-ss',
  ukw: 'ukw-latn-ng',
  uky: 'uky-latn-au',
  ula: 'ula-latn-ng',
  ulb: 'ulb-latn-ng',
  ulc: 'ulc-cyrl-ru',
  ule: 'ule-latn-ar',
  ulf: 'ulf-latn-id',
  uli: 'uli-latn-fm',
  ulk: 'ulk-latn-au',
  ulm: 'ulm-latn-id',
  uln: 'uln-latn-pg',
  ulu: 'ulu-latn-id',
  ulw: 'ulw-latn-ni',
  uma: 'uma-latn-us',
  umb: 'umb-latn-ao',
  umd: 'umd-latn-au',
  umg: 'umg-latn-au',
  umi: 'umi-latn-my',
  umm: 'umm-latn-ng',
  umn: 'umn-latn-mm',
  umo: 'umo-latn-br',
  ump: 'ump-latn-au',
  umr: 'umr-latn-au',
  ums: 'ums-latn-id',
  una: 'una-latn-pg',
  und: 'en-latn-us',
  'und-002': 'en-latn-ng',
  'und-003': 'en-latn-us',
  'und-005': 'pt-latn-br',
  'und-009': 'en-latn-au',
  'und-011': 'en-latn-ng',
  'und-013': 'es-latn-mx',
  'und-014': 'sw-latn-tz',
  'und-015': 'ar-arab-eg',
  'und-017': 'sw-latn-cd',
  'und-018': 'en-latn-za',
  'und-019': 'en-latn-us',
  'und-021': 'en-latn-us',
  'und-029': 'es-latn-cu',
  'und-030': 'zh-hans-cn',
  'und-034': 'hi-deva-in',
  'und-035': 'id-latn-id',
  'und-039': 'it-latn-it',
  'und-053': 'en-latn-au',
  'und-054': 'en-latn-pg',
  'und-057': 'en-latn-gu',
  'und-061': 'sm-latn-ws',
  'und-142': 'zh-hans-cn',
  'und-143': 'uz-latn-uz',
  'und-145': 'ar-arab-sa',
  'und-150': 'ru-cyrl-ru',
  'und-151': 'ru-cyrl-ru',
  'und-154': 'en-latn-gb',
  'und-155': 'de-latn-de',
  'und-202': 'en-latn-ng',
  'und-419': 'es-latn-419',
  'und-ad': 'ca-latn-ad',
  'und-adlm': 'ff-adlm-gn',
  'und-ae': 'ar-arab-ae',
  'und-af': 'fa-arab-af',
  'und-aghb': 'udi-aghb-ru',
  'und-ahom': 'aho-ahom-in',
  'und-al': 'sq-latn-al',
  'und-am': 'hy-armn-am',
  'und-ao': 'pt-latn-ao',
  'und-aq': 'und-latn-aq',
  'und-ar': 'es-latn-ar',
  'und-arab': 'ar-arab-eg',
  'und-arab-cc': 'ms-arab-cc',
  'und-arab-cn': 'ug-arab-cn',
  'und-arab-gb': 'ur-arab-gb',
  'und-arab-id': 'ms-arab-id',
  'und-arab-in': 'ur-arab-in',
  'und-arab-kh': 'cja-arab-kh',
  'und-arab-mm': 'rhg-arab-mm',
  'und-arab-mn': 'kk-arab-mn',
  'und-arab-mu': 'ur-arab-mu',
  'und-arab-ng': 'ha-arab-ng',
  'und-arab-pk': 'ur-arab-pk',
  'und-arab-tg': 'apd-arab-tg',
  'und-arab-th': 'mfa-arab-th',
  'und-arab-tj': 'fa-arab-tj',
  'und-arab-tr': 'apc-arab-tr',
  'und-arab-yt': 'swb-arab-yt',
  'und-armi': 'arc-armi-ir',
  'und-armn': 'hy-armn-am',
  'und-as': 'sm-latn-as',
  'und-at': 'de-latn-at',
  'und-avst': 'ae-avst-ir',
  'und-aw': 'nl-latn-aw',
  'und-ax': 'sv-latn-ax',
  'und-az': 'az-latn-az',
  'und-ba': 'bs-latn-ba',
  'und-bali': 'ban-bali-id',
  'und-bamu': 'bax-bamu-cm',
  'und-bass': 'bsq-bass-lr',
  'und-batk': 'bbc-batk-id',
  'und-bd': 'bn-beng-bd',
  'und-be': 'nl-latn-be',
  'und-beng': 'bn-beng-bd',
  'und-bf': 'fr-latn-bf',
  'und-bg': 'bg-cyrl-bg',
  'und-bh': 'ar-arab-bh',
  'und-bhks': 'sa-bhks-in',
  'und-bi': 'rn-latn-bi',
  'und-bj': 'fr-latn-bj',
  'und-bl': 'fr-latn-bl',
  'und-bn': 'ms-latn-bn',
  'und-bo': 'es-latn-bo',
  'und-bopo': 'zh-bopo-tw',
  'und-bq': 'pap-latn-bq',
  'und-br': 'pt-latn-br',
  'und-brah': 'pka-brah-in',
  'und-brai': 'fr-brai-fr',
  'und-bt': 'dz-tibt-bt',
  'und-bugi': 'bug-bugi-id',
  'und-buhd': 'bku-buhd-ph',
  'und-bv': 'und-latn-bv',
  'und-by': 'be-cyrl-by',
  'und-cakm': 'ccp-cakm-bd',
  'und-cans': 'iu-cans-ca',
  'und-cari': 'xcr-cari-tr',
  'und-cd': 'sw-latn-cd',
  'und-cf': 'fr-latn-cf',
  'und-cg': 'fr-latn-cg',
  'und-ch': 'de-latn-ch',
  'und-cham': 'cjm-cham-vn',
  'und-cher': 'chr-cher-us',
  'und-chrs': 'xco-chrs-uz',
  'und-ci': 'fr-latn-ci',
  'und-cl': 'es-latn-cl',
  'und-cm': 'fr-latn-cm',
  'und-cn': 'zh-hans-cn',
  'und-co': 'es-latn-co',
  'und-copt': 'cop-copt-eg',
  'und-cp': 'und-latn-cp',
  'und-cpmn': 'und-cpmn-cy',
  'und-cpmn-cy': 'und-cpmn-cy',
  'und-cprt': 'grc-cprt-cy',
  'und-cr': 'es-latn-cr',
  'und-cu': 'es-latn-cu',
  'und-cv': 'pt-latn-cv',
  'und-cw': 'pap-latn-cw',
  'und-cy': 'el-grek-cy',
  'und-cyrl': 'ru-cyrl-ru',
  'und-cyrl-al': 'mk-cyrl-al',
  'und-cyrl-ba': 'sr-cyrl-ba',
  'und-cyrl-ge': 'ab-cyrl-ge',
  'und-cyrl-gr': 'mk-cyrl-gr',
  'und-cyrl-md': 'uk-cyrl-md',
  'und-cyrl-ro': 'bg-cyrl-ro',
  'und-cyrl-sk': 'uk-cyrl-sk',
  'und-cyrl-tr': 'kbd-cyrl-tr',
  'und-cyrl-xk': 'sr-cyrl-xk',
  'und-cz': 'cs-latn-cz',
  'und-de': 'de-latn-de',
  'und-deva': 'hi-deva-in',
  'und-deva-bt': 'ne-deva-bt',
  'und-deva-fj': 'hif-deva-fj',
  'und-deva-mu': 'bho-deva-mu',
  'und-deva-pk': 'btv-deva-pk',
  'und-diak': 'dv-diak-mv',
  'und-dj': 'aa-latn-dj',
  'und-dk': 'da-latn-dk',
  'und-do': 'es-latn-do',
  'und-dogr': 'doi-dogr-in',
  'und-dupl': 'fr-dupl-fr',
  'und-dz': 'ar-arab-dz',
  'und-ea': 'es-latn-ea',
  'und-ec': 'es-latn-ec',
  'und-ee': 'et-latn-ee',
  'und-eg': 'ar-arab-eg',
  'und-egyp': 'egy-egyp-eg',
  'und-eh': 'ar-arab-eh',
  'und-elba': 'sq-elba-al',
  'und-elym': 'arc-elym-ir',
  'und-er': 'ti-ethi-er',
  'und-es': 'es-latn-es',
  'und-et': 'am-ethi-et',
  'und-ethi': 'am-ethi-et',
  'und-eu': 'en-latn-ie',
  'und-ez': 'de-latn-ez',
  'und-fi': 'fi-latn-fi',
  'und-fo': 'fo-latn-fo',
  'und-fr': 'fr-latn-fr',
  'und-ga': 'fr-latn-ga',
  'und-ge': 'ka-geor-ge',
  'und-geor': 'ka-geor-ge',
  'und-gf': 'fr-latn-gf',
  'und-gh': 'ak-latn-gh',
  'und-gl': 'kl-latn-gl',
  'und-glag': 'cu-glag-bg',
  'und-gn': 'fr-latn-gn',
  'und-gong': 'wsg-gong-in',
  'und-gonm': 'esg-gonm-in',
  'und-goth': 'got-goth-ua',
  'und-gp': 'fr-latn-gp',
  'und-gq': 'es-latn-gq',
  'und-gr': 'el-grek-gr',
  'und-gran': 'sa-gran-in',
  'und-grek': 'el-grek-gr',
  'und-grek-tr': 'bgx-grek-tr',
  'und-gs': 'und-latn-gs',
  'und-gt': 'es-latn-gt',
  'und-gujr': 'gu-gujr-in',
  'und-guru': 'pa-guru-in',
  'und-gw': 'pt-latn-gw',
  'und-hanb': 'zh-hanb-tw',
  'und-hang': 'ko-hang-kr',
  'und-hani': 'zh-hani-cn',
  'und-hano': 'hnn-hano-ph',
  'und-hans': 'zh-hans-cn',
  'und-hant': 'zh-hant-tw',
  'und-hant-ca': 'yue-hant-ca',
  'und-hebr': 'he-hebr-il',
  'und-hebr-se': 'yi-hebr-se',
  'und-hebr-ua': 'yi-hebr-ua',
  'und-hebr-us': 'yi-hebr-us',
  'und-hira': 'ja-hira-jp',
  'und-hk': 'zh-hant-hk',
  'und-hluw': 'hlu-hluw-tr',
  'und-hm': 'und-latn-hm',
  'und-hmng': 'hnj-hmng-la',
  'und-hmnp': 'hnj-hmnp-us',
  'und-hn': 'es-latn-hn',
  'und-hr': 'hr-latn-hr',
  'und-ht': 'ht-latn-ht',
  'und-hu': 'hu-latn-hu',
  'und-hung': 'hu-hung-hu',
  'und-ic': 'es-latn-ic',
  'und-id': 'id-latn-id',
  'und-il': 'he-hebr-il',
  'und-in': 'hi-deva-in',
  'und-iq': 'ar-arab-iq',
  'und-ir': 'fa-arab-ir',
  'und-is': 'is-latn-is',
  'und-it': 'it-latn-it',
  'und-ital': 'ett-ital-it',
  'und-jamo': 'ko-jamo-kr',
  'und-java': 'jv-java-id',
  'und-jo': 'ar-arab-jo',
  'und-jp': 'ja-jpan-jp',
  'und-jpan': 'ja-jpan-jp',
  'und-kali': 'eky-kali-mm',
  'und-kana': 'ja-kana-jp',
  'und-kawi': 'kaw-kawi-id',
  'und-ke': 'sw-latn-ke',
  'und-kg': 'ky-cyrl-kg',
  'und-kh': 'km-khmr-kh',
  'und-khar': 'pra-khar-pk',
  'und-khmr': 'km-khmr-kh',
  'und-khoj': 'sd-khoj-in',
  'und-kits': 'zkt-kits-cn',
  'und-km': 'ar-arab-km',
  'und-knda': 'kn-knda-in',
  'und-kore': 'ko-kore-kr',
  'und-kp': 'ko-kore-kp',
  'und-kr': 'ko-kore-kr',
  'und-kthi': 'bho-kthi-in',
  'und-kw': 'ar-arab-kw',
  'und-kz': 'ru-cyrl-kz',
  'und-la': 'lo-laoo-la',
  'und-lana': 'nod-lana-th',
  'und-laoo': 'lo-laoo-la',
  'und-laoo-au': 'hnj-laoo-au',
  'und-laoo-cn': 'hnj-laoo-cn',
  'und-laoo-fr': 'hnj-laoo-fr',
  'und-laoo-gf': 'hnj-laoo-gf',
  'und-laoo-mm': 'hnj-laoo-mm',
  'und-laoo-sr': 'hnj-laoo-sr',
  'und-laoo-th': 'hnj-laoo-th',
  'und-laoo-us': 'hnj-laoo-us',
  'und-laoo-vn': 'hnj-laoo-vn',
  'und-latn-af': 'tk-latn-af',
  'und-latn-am': 'ku-latn-am',
  'und-latn-cn': 'za-latn-cn',
  'und-latn-cy': 'tr-latn-cy',
  'und-latn-dz': 'fr-latn-dz',
  'und-latn-et': 'en-latn-et',
  'und-latn-ge': 'ku-latn-ge',
  'und-latn-ir': 'tk-latn-ir',
  'und-latn-km': 'fr-latn-km',
  'und-latn-ma': 'fr-latn-ma',
  'und-latn-mk': 'sq-latn-mk',
  'und-latn-mm': 'kac-latn-mm',
  'und-latn-mo': 'pt-latn-mo',
  'und-latn-mr': 'fr-latn-mr',
  'und-latn-ru': 'krl-latn-ru',
  'und-latn-sy': 'fr-latn-sy',
  'und-latn-tn': 'fr-latn-tn',
  'und-latn-tw': 'trv-latn-tw',
  'und-latn-ua': 'pl-latn-ua',
  'und-lb': 'ar-arab-lb',
  'und-lepc': 'lep-lepc-in',
  'und-li': 'de-latn-li',
  'und-limb': 'lif-limb-in',
  'und-lina': 'lab-lina-gr',
  'und-linb': 'grc-linb-gr',
  'und-lisu': 'lis-lisu-cn',
  'und-lk': 'si-sinh-lk',
  'und-ls': 'st-latn-ls',
  'und-lt': 'lt-latn-lt',
  'und-lu': 'fr-latn-lu',
  'und-lv': 'lv-latn-lv',
  'und-ly': 'ar-arab-ly',
  'und-lyci': 'xlc-lyci-tr',
  'und-lydi': 'xld-lydi-tr',
  'und-ma': 'ar-arab-ma',
  'und-mahj': 'hi-mahj-in',
  'und-maka': 'mak-maka-id',
  'und-mand': 'myz-mand-ir',
  'und-mani': 'xmn-mani-cn',
  'und-marc': 'bo-marc-cn',
  'und-mc': 'fr-latn-mc',
  'und-md': 'ro-latn-md',
  'und-me': 'sr-latn-me',
  'und-medf': 'dmf-medf-ng',
  'und-mend': 'men-mend-sl',
  'und-merc': 'xmr-merc-sd',
  'und-mero': 'xmr-mero-sd',
  'und-mf': 'fr-latn-mf',
  'und-mg': 'mg-latn-mg',
  'und-mk': 'mk-cyrl-mk',
  'und-ml': 'bm-latn-ml',
  'und-mlym': 'ml-mlym-in',
  'und-mm': 'my-mymr-mm',
  'und-mn': 'mn-cyrl-mn',
  'und-mo': 'zh-hant-mo',
  'und-modi': 'mr-modi-in',
  'und-mong': 'mn-mong-cn',
  'und-mq': 'fr-latn-mq',
  'und-mr': 'ar-arab-mr',
  'und-mroo': 'mro-mroo-bd',
  'und-mt': 'mt-latn-mt',
  'und-mtei': 'mni-mtei-in',
  'und-mu': 'mfe-latn-mu',
  'und-mult': 'skr-mult-pk',
  'und-mv': 'dv-thaa-mv',
  'und-mx': 'es-latn-mx',
  'und-my': 'ms-latn-my',
  'und-mymr': 'my-mymr-mm',
  'und-mymr-in': 'kht-mymr-in',
  'und-mymr-th': 'mnw-mymr-th',
  'und-mz': 'pt-latn-mz',
  'und-na': 'af-latn-na',
  'und-nagm': 'unr-nagm-in',
  'und-nand': 'sa-nand-in',
  'und-narb': 'xna-narb-sa',
  'und-nbat': 'arc-nbat-jo',
  'und-nc': 'fr-latn-nc',
  'und-ne': 'ha-latn-ne',
  'und-newa': 'new-newa-np',
  'und-ni': 'es-latn-ni',
  'und-nkoo': 'man-nkoo-gn',
  'und-nl': 'nl-latn-nl',
  'und-no': 'nb-latn-no',
  'und-np': 'ne-deva-np',
  'und-nshu': 'zhx-nshu-cn',
  'und-ogam': 'sga-ogam-ie',
  'und-olck': 'sat-olck-in',
  'und-om': 'ar-arab-om',
  'und-orkh': 'otk-orkh-mn',
  'und-orya': 'or-orya-in',
  'und-osge': 'osa-osge-us',
  'und-osma': 'so-osma-so',
  'und-ougr': 'oui-ougr-143',
  'und-pa': 'es-latn-pa',
  'und-palm': 'arc-palm-sy',
  'und-pauc': 'ctd-pauc-mm',
  'und-pe': 'es-latn-pe',
  'und-perm': 'kv-perm-ru',
  'und-pf': 'fr-latn-pf',
  'und-pg': 'tpi-latn-pg',
  'und-ph': 'fil-latn-ph',
  'und-phag': 'lzh-phag-cn',
  'und-phli': 'pal-phli-ir',
  'und-phlp': 'pal-phlp-cn',
  'und-phnx': 'phn-phnx-lb',
  'und-pk': 'ur-arab-pk',
  'und-pl': 'pl-latn-pl',
  'und-plrd': 'hmd-plrd-cn',
  'und-pm': 'fr-latn-pm',
  'und-pr': 'es-latn-pr',
  'und-prti': 'xpr-prti-ir',
  'und-ps': 'ar-arab-ps',
  'und-pt': 'pt-latn-pt',
  'und-pw': 'pau-latn-pw',
  'und-py': 'gn-latn-py',
  'und-qa': 'ar-arab-qa',
  'und-qo': 'en-latn-dg',
  'und-re': 'fr-latn-re',
  'und-rjng': 'rej-rjng-id',
  'und-ro': 'ro-latn-ro',
  'und-rohg': 'rhg-rohg-mm',
  'und-rs': 'sr-cyrl-rs',
  'und-ru': 'ru-cyrl-ru',
  'und-runr': 'non-runr-se',
  'und-rw': 'rw-latn-rw',
  'und-sa': 'ar-arab-sa',
  'und-samr': 'smp-samr-il',
  'und-sarb': 'xsa-sarb-ye',
  'und-saur': 'saz-saur-in',
  'und-sc': 'fr-latn-sc',
  'und-sd': 'ar-arab-sd',
  'und-se': 'sv-latn-se',
  'und-sgnw': 'ase-sgnw-us',
  'und-shaw': 'en-shaw-gb',
  'und-shrd': 'sa-shrd-in',
  'und-si': 'sl-latn-si',
  'und-sidd': 'sa-sidd-in',
  'und-sind': 'sd-sind-in',
  'und-sinh': 'si-sinh-lk',
  'und-sj': 'nb-latn-sj',
  'und-sk': 'sk-latn-sk',
  'und-sm': 'it-latn-sm',
  'und-sn': 'fr-latn-sn',
  'und-so': 'so-latn-so',
  'und-sogd': 'sog-sogd-uz',
  'und-sogo': 'sog-sogo-uz',
  'und-sora': 'srb-sora-in',
  'und-soyo': 'cmg-soyo-mn',
  'und-sr': 'nl-latn-sr',
  'und-st': 'pt-latn-st',
  'und-sund': 'su-sund-id',
  'und-sv': 'es-latn-sv',
  'und-sy': 'ar-arab-sy',
  'und-sylo': 'syl-sylo-bd',
  'und-syrc': 'syr-syrc-iq',
  'und-tagb': 'tbw-tagb-ph',
  'und-takr': 'doi-takr-in',
  'und-tale': 'tdd-tale-cn',
  'und-talu': 'khb-talu-cn',
  'und-taml': 'ta-taml-in',
  'und-tang': 'txg-tang-cn',
  'und-tavt': 'blt-tavt-vn',
  'und-td': 'fr-latn-td',
  'und-telu': 'te-telu-in',
  'und-tf': 'fr-latn-tf',
  'und-tfng': 'zgh-tfng-ma',
  'und-tg': 'fr-latn-tg',
  'und-tglg': 'fil-tglg-ph',
  'und-th': 'th-thai-th',
  'und-thaa': 'dv-thaa-mv',
  'und-thai': 'th-thai-th',
  'und-thai-cn': 'lcp-thai-cn',
  'und-thai-kh': 'kdt-thai-kh',
  'und-thai-la': 'kdt-thai-la',
  'und-tibt': 'bo-tibt-cn',
  'und-tirh': 'mai-tirh-in',
  'und-tj': 'tg-cyrl-tj',
  'und-tk': 'tkl-latn-tk',
  'und-tl': 'pt-latn-tl',
  'und-tm': 'tk-latn-tm',
  'und-tn': 'ar-arab-tn',
  'und-tnsa': 'nst-tnsa-in',
  'und-to': 'to-latn-to',
  'und-toto': 'txo-toto-in',
  'und-tr': 'tr-latn-tr',
  'und-tv': 'tvl-latn-tv',
  'und-tw': 'zh-hant-tw',
  'und-tz': 'sw-latn-tz',
  'und-ua': 'uk-cyrl-ua',
  'und-ug': 'sw-latn-ug',
  'und-ugar': 'uga-ugar-sy',
  'und-uy': 'es-latn-uy',
  'und-uz': 'uz-latn-uz',
  'und-va': 'it-latn-va',
  'und-vaii': 'vai-vaii-lr',
  'und-ve': 'es-latn-ve',
  'und-vith': 'sq-vith-al',
  'und-vn': 'vi-latn-vn',
  'und-vu': 'bi-latn-vu',
  'und-wara': 'hoc-wara-in',
  'und-wcho': 'nnp-wcho-in',
  'und-wf': 'fr-latn-wf',
  'und-ws': 'sm-latn-ws',
  'und-xk': 'sq-latn-xk',
  'und-xpeo': 'peo-xpeo-ir',
  'und-xsux': 'akk-xsux-iq',
  'und-ye': 'ar-arab-ye',
  'und-yezi': 'ku-yezi-ge',
  'und-yiii': 'ii-yiii-cn',
  'und-yt': 'fr-latn-yt',
  'und-zanb': 'cmg-zanb-mn',
  'und-zw': 'sn-latn-zw',
  une: 'une-latn-ng',
  ung: 'ung-latn-au',
  uni: 'uni-latn-pg',
  unk: 'unk-latn-br',
  unm: 'unm-latn-us',
  unn: 'unn-latn-au',
  unr: 'unr-beng-in',
  'unr-deva': 'unr-deva-np',
  'unr-np': 'unr-deva-np',
  unu: 'unu-latn-pg',
  unx: 'unx-beng-in',
  unz: 'unz-latn-id',
  uok: 'uok-latn-zz',
  uon: 'uon-latn-tw',
  upi: 'upi-latn-pg',
  upv: 'upv-latn-vu',
  ur: 'ur-arab-pk',
  ura: 'ura-latn-pe',
  urb: 'urb-latn-br',
  urc: 'urc-latn-au',
  ure: 'ure-latn-bo',
  urf: 'urf-latn-au',
  urg: 'urg-latn-pg',
  urh: 'urh-latn-ng',
  uri: 'uri-latn-zz',
  urk: 'urk-thai-th',
  urm: 'urm-latn-pg',
  urn: 'urn-latn-id',
  uro: 'uro-latn-pg',
  urp: 'urp-latn-br',
  urr: 'urr-latn-vu',
  urt: 'urt-latn-zz',
  uru: 'uru-latn-br',
  urv: 'urv-latn-pg',
  urw: 'urw-latn-zz',
  urx: 'urx-latn-pg',
  ury: 'ury-latn-id',
  urz: 'urz-latn-br',
  usa: 'usa-latn-zz',
  ush: 'ush-arab-pk',
  usi: 'usi-latn-bd',
  'usi-beng': 'usi-beng-bd',
  usk: 'usk-latn-cm',
  usp: 'usp-latn-gt',
  uss: 'uss-latn-ng',
  usu: 'usu-latn-pg',
  uta: 'uta-latn-ng',
  ute: 'ute-latn-us',
  uth: 'uth-latn-zz',
  utp: 'utp-latn-sb',
  utr: 'utr-latn-zz',
  utu: 'utu-latn-pg',
  uum: 'uum-grek-ge',
  'uum-cyrl': 'uum-cyrl-ge',
  uur: 'uur-latn-vu',
  uve: 'uve-latn-nc',
  uvh: 'uvh-latn-zz',
  uvl: 'uvl-latn-zz',
  uwa: 'uwa-latn-au',
  uya: 'uya-latn-ng',
  uz: 'uz-latn-uz',
  'uz-af': 'uz-arab-af',
  'uz-arab': 'uz-arab-af',
  'uz-cn': 'uz-cyrl-cn',
  uzs: 'uzs-arab-af',
  vaa: 'vaa-taml-in',
  vae: 'vae-latn-cf',
  vaf: 'vaf-arab-ir',
  vag: 'vag-latn-zz',
  vah: 'vah-deva-in',
  vai: 'vai-vaii-lr',
  vaj: 'vaj-latn-na',
  val: 'val-latn-pg',
  vam: 'vam-latn-pg',
  van: 'van-latn-zz',
  vao: 'vao-latn-vu',
  vap: 'vap-latn-in',
  var: 'var-latn-mx',
  vas: 'vas-deva-in',
  'vas-gujr': 'vas-gujr-in',
  vau: 'vau-latn-cd',
  vav: 'vav-deva-in',
  'vav-gujr': 'vav-gujr-in',
  vay: 'vay-deva-np',
  vbb: 'vbb-latn-id',
  vbk: 'vbk-latn-ph',
  ve: 've-latn-za',
  vec: 'vec-latn-it',
  vem: 'vem-latn-ng',
  veo: 'veo-latn-us',
  vep: 'vep-latn-ru',
  ver: 'ver-latn-ng',
  vgr: 'vgr-arab-pk',
  vi: 'vi-latn-vn',
  vic: 'vic-latn-sx',
  vid: 'vid-latn-tz',
  vif: 'vif-latn-cg',
  vig: 'vig-latn-bf',
  vil: 'vil-latn-ar',
  vin: 'vin-latn-tz',
  vit: 'vit-latn-ng',
  viv: 'viv-latn-zz',
  vka: 'vka-latn-au',
  vkj: 'vkj-latn-td',
  vkk: 'vkk-latn-id',
  vkl: 'vkl-latn-id',
  vkm: 'vkm-latn-br',
  vkn: 'vkn-latn-ng',
  vko: 'vko-latn-id',
  vkp: 'vkp-latn-in',
  'vkp-deva': 'vkp-deva-in',
  vkt: 'vkt-latn-id',
  vku: 'vku-latn-au',
  vkz: 'vkz-latn-ng',
  vlp: 'vlp-latn-vu',
  vls: 'vls-latn-be',
  vma: 'vma-latn-au',
  vmb: 'vmb-latn-au',
  vmc: 'vmc-latn-mx',
  vmd: 'vmd-knda-in',
  vme: 'vme-latn-id',
  vmf: 'vmf-latn-de',
  vmg: 'vmg-latn-pg',
  vmh: 'vmh-arab-ir',
  vmi: 'vmi-latn-au',
  vmj: 'vmj-latn-mx',
  vmk: 'vmk-latn-mz',
  vml: 'vml-latn-au',
  vmm: 'vmm-latn-mx',
  vmp: 'vmp-latn-mx',
  vmq: 'vmq-latn-mx',
  vmr: 'vmr-latn-mz',
  vms: 'vms-latn-id',
  vmu: 'vmu-latn-au',
  vmw: 'vmw-latn-mz',
  vmx: 'vmx-latn-mx',
  vmy: 'vmy-latn-mx',
  vmz: 'vmz-latn-mx',
  vnk: 'vnk-latn-sb',
  vnm: 'vnm-latn-vu',
  vnp: 'vnp-latn-vu',
  vo: 'vo-latn-001',
  vor: 'vor-latn-ng',
  vot: 'vot-latn-ru',
  vra: 'vra-latn-vu',
  vro: 'vro-latn-ee',
  vrs: 'vrs-latn-sb',
  vrt: 'vrt-latn-vu',
  vto: 'vto-latn-id',
  vum: 'vum-latn-ga',
  vun: 'vun-latn-tz',
  vut: 'vut-latn-zz',
  vwa: 'vwa-latn-cn',
  'vwa-mymr': 'vwa-mymr-cn',
  wa: 'wa-latn-be',
  waa: 'waa-latn-us',
  wab: 'wab-latn-pg',
  wac: 'wac-latn-us',
  wad: 'wad-latn-id',
  wae: 'wae-latn-ch',
  waf: 'waf-latn-br',
  wag: 'wag-latn-pg',
  wah: 'wah-latn-id',
  wai: 'wai-latn-id',
  waj: 'waj-latn-zz',
  wal: 'wal-ethi-et',
  wam: 'wam-latn-us',
  wan: 'wan-latn-zz',
  wap: 'wap-latn-gy',
  waq: 'waq-latn-au',
  war: 'war-latn-ph',
  was: 'was-latn-us',
  wat: 'wat-latn-pg',
  wau: 'wau-latn-br',
  wav: 'wav-latn-ng',
  waw: 'waw-latn-br',
  wax: 'wax-latn-pg',
  way: 'way-latn-sr',
  waz: 'waz-latn-pg',
  wba: 'wba-latn-ve',
  wbb: 'wbb-latn-id',
  wbe: 'wbe-latn-id',
  wbf: 'wbf-latn-bf',
  wbh: 'wbh-latn-tz',
  wbi: 'wbi-latn-tz',
  wbj: 'wbj-latn-tz',
  wbk: 'wbk-arab-af',
  wbl: 'wbl-latn-pk',
  'wbl-arab': 'wbl-arab-af',
  'wbl-cyrl': 'wbl-cyrl-tj',
  wbm: 'wbm-latn-cn',
  wbp: 'wbp-latn-au',
  wbq: 'wbq-telu-in',
  wbr: 'wbr-deva-in',
  wbt: 'wbt-latn-au',
  wbv: 'wbv-latn-au',
  wbw: 'wbw-latn-id',
  wca: 'wca-latn-br',
  wci: 'wci-latn-zz',
  wdd: 'wdd-latn-ga',
  wdg: 'wdg-latn-pg',
  wdj: 'wdj-latn-au',
  wdk: 'wdk-latn-au',
  wdt: 'wdt-latn-ca',
  wdu: 'wdu-latn-au',
  wdy: 'wdy-latn-au',
  wec: 'wec-latn-ci',
  wed: 'wed-latn-pg',
  weg: 'weg-latn-au',
  weh: 'weh-latn-cm',
  wei: 'wei-latn-pg',
  wem: 'wem-latn-bj',
  weo: 'weo-latn-id',
  wep: 'wep-latn-de',
  wer: 'wer-latn-zz',
  wes: 'wes-latn-cm',
  wet: 'wet-latn-id',
  weu: 'weu-latn-mm',
  wew: 'wew-latn-id',
  wfg: 'wfg-latn-id',
  wga: 'wga-latn-au',
  wgb: 'wgb-latn-pg',
  wgg: 'wgg-latn-au',
  wgi: 'wgi-latn-zz',
  wgo: 'wgo-latn-id',
  wgu: 'wgu-latn-au',
  wgy: 'wgy-latn-au',
  wha: 'wha-latn-id',
  whg: 'whg-latn-zz',
  whk: 'whk-latn-id',
  whu: 'whu-latn-id',
  wib: 'wib-latn-zz',
  wic: 'wic-latn-us',
  wie: 'wie-latn-au',
  wif: 'wif-latn-au',
  wig: 'wig-latn-au',
  wih: 'wih-latn-au',
  wii: 'wii-latn-pg',
  wij: 'wij-latn-au',
  wik: 'wik-latn-au',
  wil: 'wil-latn-au',
  wim: 'wim-latn-au',
  win: 'win-latn-us',
  wir: 'wir-latn-br',
  wiu: 'wiu-latn-zz',
  wiv: 'wiv-latn-zz',
  wiy: 'wiy-latn-us',
  wja: 'wja-latn-zz',
  wji: 'wji-latn-zz',
  wka: 'wka-latn-tz',
  wkd: 'wkd-latn-id',
  wkr: 'wkr-latn-au',
  wkw: 'wkw-latn-au',
  wky: 'wky-latn-au',
  wla: 'wla-latn-pg',
  wlg: 'wlg-latn-au',
  wlh: 'wlh-latn-tl',
  wli: 'wli-latn-id',
  wlm: 'wlm-latn-gb',
  wlo: 'wlo-arab-id',
  wlr: 'wlr-latn-vu',
  wls: 'wls-latn-wf',
  wlu: 'wlu-latn-au',
  wlv: 'wlv-latn-ar',
  wlw: 'wlw-latn-id',
  wlx: 'wlx-latn-gh',
  wma: 'wma-latn-ng',
  wmb: 'wmb-latn-au',
  wmc: 'wmc-latn-pg',
  wmd: 'wmd-latn-br',
  wme: 'wme-deva-np',
  wmh: 'wmh-latn-tl',
  wmi: 'wmi-latn-au',
  wmm: 'wmm-latn-id',
  wmn: 'wmn-latn-nc',
  wmo: 'wmo-latn-zz',
  wms: 'wms-latn-id',
  wmt: 'wmt-latn-au',
  wmw: 'wmw-latn-mz',
  'wmw-arab': 'wmw-arab-mz',
  wmx: 'wmx-latn-pg',
  wnb: 'wnb-latn-pg',
  wnc: 'wnc-latn-zz',
  wnd: 'wnd-latn-au',
  wne: 'wne-arab-pk',
  wng: 'wng-latn-id',
  wni: 'wni-arab-km',
  wnk: 'wnk-latn-id',
  wnm: 'wnm-latn-au',
  wnn: 'wnn-latn-au',
  wno: 'wno-latn-id',
  wnp: 'wnp-latn-pg',
  wnu: 'wnu-latn-zz',
  wnw: 'wnw-latn-us',
  wny: 'wny-latn-au',
  wo: 'wo-latn-sn',
  woa: 'woa-latn-au',
  wob: 'wob-latn-zz',
  woc: 'woc-latn-pg',
  wod: 'wod-latn-id',
  woe: 'woe-latn-fm',
  wof: 'wof-latn-gm',
  'wof-arab': 'wof-arab-gm',
  wog: 'wog-latn-pg',
  woi: 'woi-latn-id',
  wok: 'wok-latn-cm',
  wom: 'wom-latn-ng',
  won: 'won-latn-cd',
  woo: 'woo-latn-id',
  wor: 'wor-latn-id',
  wos: 'wos-latn-zz',
  wow: 'wow-latn-id',
  wpc: 'wpc-latn-ve',
  wrb: 'wrb-latn-au',
  wrg: 'wrg-latn-au',
  wrh: 'wrh-latn-au',
  wri: 'wri-latn-au',
  wrk: 'wrk-latn-au',
  wrl: 'wrl-latn-au',
  wrm: 'wrm-latn-au',
  wro: 'wro-latn-au',
  wrp: 'wrp-latn-id',
  wrr: 'wrr-latn-au',
  wrs: 'wrs-latn-zz',
  wru: 'wru-latn-id',
  wrv: 'wrv-latn-pg',
  wrw: 'wrw-latn-au',
  wrx: 'wrx-latn-id',
  wrz: 'wrz-latn-au',
  wsa: 'wsa-latn-id',
  wsg: 'wsg-gong-in',
  wsi: 'wsi-latn-vu',
  wsk: 'wsk-latn-zz',
  wsr: 'wsr-latn-pg',
  wss: 'wss-latn-gh',
  wsu: 'wsu-latn-br',
  wsv: 'wsv-arab-af',
  wtf: 'wtf-latn-pg',
  wth: 'wth-latn-au',
  wti: 'wti-latn-et',
  wtk: 'wtk-latn-pg',
  wtm: 'wtm-deva-in',
  wtw: 'wtw-latn-id',
  'wtw-bugi': 'wtw-bugi-id',
  wua: 'wua-latn-au',
  wub: 'wub-latn-au',
  wud: 'wud-latn-tg',
  wul: 'wul-latn-id',
  wum: 'wum-latn-ga',
  wun: 'wun-latn-tz',
  wur: 'wur-latn-au',
  wut: 'wut-latn-pg',
  wuu: 'wuu-hans-cn',
  wuv: 'wuv-latn-zz',
  wux: 'wux-latn-au',
  wuy: 'wuy-latn-id',
  wwa: 'wwa-latn-zz',
  wwb: 'wwb-latn-au',
  wwo: 'wwo-latn-vu',
  wwr: 'wwr-latn-au',
  www: 'www-latn-cm',
  wxw: 'wxw-latn-au',
  wyb: 'wyb-latn-au',
  wyi: 'wyi-latn-au',
  wym: 'wym-latn-pl',
  wyn: 'wyn-latn-us',
  wyr: 'wyr-latn-br',
  wyy: 'wyy-latn-fj',
  xaa: 'xaa-latn-es',
  xab: 'xab-latn-ng',
  xai: 'xai-latn-br',
  xaj: 'xaj-latn-br',
  xak: 'xak-latn-ve',
  xal: 'xal-cyrl-ru',
  xam: 'xam-latn-za',
  xan: 'xan-ethi-et',
  xao: 'xao-latn-vn',
  xar: 'xar-latn-pg',
  xas: 'xas-cyrl-ru',
  xat: 'xat-latn-br',
  xau: 'xau-latn-id',
  xav: 'xav-latn-br',
  xaw: 'xaw-latn-us',
  xay: 'xay-latn-id',
  xbb: 'xbb-latn-au',
  xbd: 'xbd-latn-au',
  xbe: 'xbe-latn-au',
  xbg: 'xbg-latn-au',
  xbi: 'xbi-latn-zz',
  xbj: 'xbj-latn-au',
  xbm: 'xbm-latn-fr',
  xbn: 'xbn-latn-my',
  xbp: 'xbp-latn-au',
  xbr: 'xbr-latn-id',
  xbw: 'xbw-latn-br',
  xby: 'xby-latn-au',
  xch: 'xch-latn-us',
  xco: 'xco-chrs-uz',
  xcr: 'xcr-cari-tr',
  xda: 'xda-latn-au',
  xdk: 'xdk-latn-au',
  xdo: 'xdo-latn-ao',
  xdq: 'xdq-cyrl-ru',
  xdy: 'xdy-latn-id',
  xed: 'xed-latn-cm',
  xeg: 'xeg-latn-za',
  xem: 'xem-latn-id',
  xer: 'xer-latn-br',
  xes: 'xes-latn-zz',
  xet: 'xet-latn-br',
  xeu: 'xeu-latn-pg',
  xgb: 'xgb-latn-ci',
  xgd: 'xgd-latn-au',
  xgg: 'xgg-latn-au',
  xgi: 'xgi-latn-au',
  xgm: 'xgm-latn-au',
  xgu: 'xgu-latn-au',
  xgw: 'xgw-latn-au',
  xh: 'xh-latn-za',
  xhe: 'xhe-arab-pk',
  xhm: 'xhm-khmr-kh',
  xhv: 'xhv-latn-vn',
  xii: 'xii-latn-za',
  xin: 'xin-latn-gt',
  xir: 'xir-latn-br',
  xis: 'xis-orya-in',
  xiy: 'xiy-latn-br',
  xjb: 'xjb-latn-au',
  xjt: 'xjt-latn-au',
  xka: 'xka-arab-pk',
  xkb: 'xkb-latn-bj',
  xkc: 'xkc-arab-ir',
  xkd: 'xkd-latn-id',
  xke: 'xke-latn-id',
  xkg: 'xkg-latn-ml',
  xkj: 'xkj-arab-ir',
  xkl: 'xkl-latn-id',
  xkn: 'xkn-latn-id',
  xkp: 'xkp-arab-ir',
  xkq: 'xkq-latn-id',
  xkr: 'xkr-latn-br',
  xks: 'xks-latn-id',
  xkt: 'xkt-latn-gh',
  xku: 'xku-latn-cg',
  xkv: 'xkv-latn-bw',
  xkw: 'xkw-latn-id',
  xkx: 'xkx-latn-pg',
  xky: 'xky-latn-my',
  xkz: 'xkz-latn-bt',
  xla: 'xla-latn-zz',
  xlc: 'xlc-lyci-tr',
  xld: 'xld-lydi-tr',
  xly: 'xly-elym-ir',
  xma: 'xma-latn-so',
  xmb: 'xmb-latn-cm',
  xmc: 'xmc-latn-mz',
  xmd: 'xmd-latn-cm',
  xmf: 'xmf-geor-ge',
  xmg: 'xmg-latn-cm',
  xmh: 'xmh-latn-au',
  xmj: 'xmj-latn-cm',
  xmm: 'xmm-latn-id',
  xmn: 'xmn-mani-cn',
  xmo: 'xmo-latn-br',
  xmp: 'xmp-latn-au',
  xmq: 'xmq-latn-au',
  xmr: 'xmr-merc-sd',
  xmt: 'xmt-latn-id',
  xmu: 'xmu-latn-au',
  xmv: 'xmv-latn-mg',
  xmw: 'xmw-latn-mg',
  xmx: 'xmx-latn-id',
  xmy: 'xmy-latn-au',
  xmz: 'xmz-latn-id',
  xna: 'xna-narb-sa',
  xnb: 'xnb-latn-tw',
  xni: 'xni-latn-au',
  xnj: 'xnj-latn-tz',
  xnk: 'xnk-latn-au',
  xnm: 'xnm-latn-au',
  xnn: 'xnn-latn-ph',
  xnq: 'xnq-latn-mz',
  xnr: 'xnr-deva-in',
  xnt: 'xnt-latn-us',
  xnu: 'xnu-latn-au',
  xny: 'xny-latn-au',
  xnz: 'xnz-latn-eg',
  'xnz-arab': 'xnz-arab-eg',
  xoc: 'xoc-latn-ng',
  xod: 'xod-latn-id',
  xog: 'xog-latn-ug',
  xoi: 'xoi-latn-pg',
  xok: 'xok-latn-br',
  xom: 'xom-latn-sd',
  'xom-ethi': 'xom-ethi-et',
  xon: 'xon-latn-zz',
  xoo: 'xoo-latn-br',
  xop: 'xop-latn-pg',
  xor: 'xor-latn-br',
  xow: 'xow-latn-pg',
  xpa: 'xpa-latn-au',
  xpb: 'xpb-latn-au',
  xpd: 'xpd-latn-au',
  xpf: 'xpf-latn-au',
  xpg: 'xpg-grek-tr',
  xph: 'xph-latn-au',
  xpi: 'xpi-ogam-gb',
  xpj: 'xpj-latn-au',
  xpk: 'xpk-latn-br',
  xpl: 'xpl-latn-au',
  xpm: 'xpm-cyrl-ru',
  xpn: 'xpn-latn-br',
  xpo: 'xpo-latn-mx',
  xpq: 'xpq-latn-us',
  xpr: 'xpr-prti-ir',
  xpt: 'xpt-latn-au',
  xpv: 'xpv-latn-au',
  xpw: 'xpw-latn-au',
  xpx: 'xpx-latn-au',
  xpz: 'xpz-latn-au',
  xra: 'xra-latn-br',
  xrb: 'xrb-latn-zz',
  xrd: 'xrd-latn-au',
  xre: 'xre-latn-br',
  xrg: 'xrg-latn-au',
  xri: 'xri-latn-br',
  xrm: 'xrm-cyrl-ru',
  xrn: 'xrn-cyrl-ru',
  xrr: 'xrr-latn-it',
  xru: 'xru-latn-au',
  xrw: 'xrw-latn-pg',
  xsa: 'xsa-sarb-ye',
  xsb: 'xsb-latn-ph',
  xse: 'xse-latn-id',
  xsh: 'xsh-latn-ng',
  xsi: 'xsi-latn-zz',
  xsm: 'xsm-latn-zz',
  xsn: 'xsn-latn-ng',
  xsp: 'xsp-latn-pg',
  xsq: 'xsq-latn-mz',
  xsr: 'xsr-deva-np',
  xss: 'xss-cyrl-ru',
  xsu: 'xsu-latn-ve',
  xsy: 'xsy-latn-tw',
  xta: 'xta-latn-mx',
  xtb: 'xtb-latn-mx',
  xtc: 'xtc-latn-sd',
  xtd: 'xtd-latn-mx',
  xte: 'xte-latn-id',
  xth: 'xth-latn-au',
  xti: 'xti-latn-mx',
  xtj: 'xtj-latn-mx',
  xtl: 'xtl-latn-mx',
  xtm: 'xtm-latn-mx',
  xtn: 'xtn-latn-mx',
  xtp: 'xtp-latn-mx',
  xts: 'xts-latn-mx',
  xtt: 'xtt-latn-mx',
  xtu: 'xtu-latn-mx',
  xtv: 'xtv-latn-au',
  xtw: 'xtw-latn-br',
  xty: 'xty-latn-mx',
  xub: 'xub-taml-in',
  'xub-knda': 'xub-knda-in',
  'xub-mlym': 'xub-mlym-in',
  xud: 'xud-latn-au',
  xuj: 'xuj-taml-in',
  xul: 'xul-latn-au',
  xum: 'xum-latn-it',
  'xum-ital': 'xum-ital-it',
  xun: 'xun-latn-au',
  xuo: 'xuo-latn-td',
  xut: 'xut-latn-au',
  xuu: 'xuu-latn-na',
  xve: 'xve-ital-it',
  xvi: 'xvi-arab-af',
  xvn: 'xvn-latn-es',
  xvo: 'xvo-latn-it',
  xvs: 'xvs-latn-it',
  xwa: 'xwa-latn-br',
  xwd: 'xwd-latn-au',
  xwe: 'xwe-latn-zz',
  xwj: 'xwj-latn-au',
  xwk: 'xwk-latn-au',
  xwl: 'xwl-latn-bj',
  xwo: 'xwo-cyrl-ru',
  xwr: 'xwr-latn-id',
  xwt: 'xwt-latn-au',
  xww: 'xww-latn-au',
  xxb: 'xxb-latn-gh',
  xxk: 'xxk-latn-id',
  xxm: 'xxm-latn-au',
  xxr: 'xxr-latn-br',
  xxt: 'xxt-latn-id',
  xya: 'xya-latn-au',
  xyb: 'xyb-latn-au',
  xyj: 'xyj-latn-au',
  xyk: 'xyk-latn-au',
  xyl: 'xyl-latn-br',
  xyt: 'xyt-latn-au',
  xyy: 'xyy-latn-au',
  xzh: 'xzh-marc-cn',
  xzp: 'xzp-latn-mx',
  yaa: 'yaa-latn-pe',
  yab: 'yab-latn-br',
  yac: 'yac-latn-id',
  yad: 'yad-latn-pe',
  yae: 'yae-latn-ve',
  yaf: 'yaf-latn-cd',
  yag: 'yag-latn-cl',
  yai: 'yai-cyrl-tj',
  yaj: 'yaj-latn-cf',
  yak: 'yak-latn-us',
  yal: 'yal-latn-gn',
  'yal-arab': 'yal-arab-gn',
  yam: 'yam-latn-zz',
  yan: 'yan-latn-ni',
  yao: 'yao-latn-mz',
  yap: 'yap-latn-fm',
  yaq: 'yaq-latn-mx',
  yar: 'yar-latn-ve',
  yas: 'yas-latn-zz',
  yat: 'yat-latn-zz',
  yau: 'yau-latn-ve',
  yav: 'yav-latn-cm',
  yaw: 'yaw-latn-br',
  yax: 'yax-latn-ao',
  yay: 'yay-latn-zz',
  yaz: 'yaz-latn-zz',
  yba: 'yba-latn-zz',
  ybb: 'ybb-latn-cm',
  ybe: 'ybe-latn-cn',
  'ybe-ougr': 'ybe-ougr-cn',
  ybh: 'ybh-deva-np',
  ybi: 'ybi-deva-np',
  ybj: 'ybj-latn-ng',
  ybl: 'ybl-latn-ng',
  ybm: 'ybm-latn-pg',
  ybn: 'ybn-latn-br',
  ybo: 'ybo-latn-pg',
  ybx: 'ybx-latn-pg',
  yby: 'yby-latn-zz',
  ycl: 'ycl-latn-cn',
  ycn: 'ycn-latn-co',
  yda: 'yda-latn-au',
  yde: 'yde-latn-pg',
  ydg: 'ydg-arab-pk',
  ydk: 'ydk-latn-pg',
  yea: 'yea-mlym-in',
  'yea-knda': 'yea-knda-in',
  yec: 'yec-latn-de',
  yee: 'yee-latn-pg',
  yei: 'yei-latn-cm',
  yej: 'yej-grek-il',
  yel: 'yel-latn-cd',
  yer: 'yer-latn-zz',
  yes: 'yes-latn-ng',
  yet: 'yet-latn-id',
  yeu: 'yeu-telu-in',
  yev: 'yev-latn-pg',
  yey: 'yey-latn-bw',
  yga: 'yga-latn-au',
  ygi: 'ygi-latn-au',
  ygl: 'ygl-latn-pg',
  ygm: 'ygm-latn-pg',
  ygp: 'ygp-plrd-cn',
  ygr: 'ygr-latn-zz',
  ygu: 'ygu-latn-au',
  ygw: 'ygw-latn-zz',
  yhd: 'yhd-hebr-il',
  yi: 'yi-hebr-001',
  yia: 'yia-latn-au',
  yig: 'yig-yiii-cn',
  yih: 'yih-hebr-de',
  yii: 'yii-latn-au',
  yij: 'yij-latn-au',
  yil: 'yil-latn-au',
  yim: 'yim-latn-in',
  yir: 'yir-latn-id',
  yis: 'yis-latn-pg',
  yiv: 'yiv-yiii-cn',
  yka: 'yka-latn-ph',
  'yka-arab': 'yka-arab-ph',
  ykg: 'ykg-cyrl-ru',
  yki: 'yki-latn-id',
  ykk: 'ykk-latn-pg',
  ykm: 'ykm-latn-pg',
  yko: 'yko-latn-zz',
  ykr: 'ykr-latn-pg',
  yky: 'yky-latn-cf',
  yla: 'yla-latn-pg',
  ylb: 'ylb-latn-pg',
  yle: 'yle-latn-zz',
  ylg: 'ylg-latn-zz',
  yli: 'yli-latn-id',
  yll: 'yll-latn-zz',
  ylr: 'ylr-latn-au',
  ylu: 'ylu-latn-pg',
  yly: 'yly-latn-nc',
  ymb: 'ymb-latn-pg',
  yme: 'yme-latn-pe',
  ymg: 'ymg-latn-cd',
  ymk: 'ymk-latn-mz',
  'ymk-arab': 'ymk-arab-mz',
  yml: 'yml-latn-zz',
  ymm: 'ymm-latn-so',
  ymn: 'ymn-latn-id',
  ymo: 'ymo-latn-pg',
  ymp: 'ymp-latn-pg',
  yna: 'yna-plrd-cn',
  ynd: 'ynd-latn-au',
  yng: 'yng-latn-cd',
  ynk: 'ynk-cyrl-ru',
  ynl: 'ynl-latn-pg',
  ynq: 'ynq-latn-ng',
  yns: 'yns-latn-cd',
  ynu: 'ynu-latn-co',
  yo: 'yo-latn-ng',
  yob: 'yob-latn-pg',
  yog: 'yog-latn-ph',
  yoi: 'yoi-jpan-jp',
  yok: 'yok-latn-us',
  yol: 'yol-latn-gb',
  yom: 'yom-latn-cd',
  yon: 'yon-latn-zz',
  yot: 'yot-latn-ng',
  yoy: 'yoy-thai-th',
  yra: 'yra-latn-pg',
  yrb: 'yrb-latn-zz',
  yre: 'yre-latn-zz',
  yrk: 'yrk-cyrl-ru',
  yrl: 'yrl-latn-br',
  yrm: 'yrm-latn-au',
  yro: 'yro-latn-br',
  yrs: 'yrs-latn-id',
  yrw: 'yrw-latn-pg',
  yry: 'yry-latn-au',
  ysd: 'ysd-yiii-cn',
  ysn: 'ysn-yiii-cn',
  ysp: 'ysp-yiii-cn',
  ysr: 'ysr-cyrl-ru',
  yss: 'yss-latn-zz',
  ysy: 'ysy-plrd-cn',
  ytw: 'ytw-latn-pg',
  yty: 'yty-latn-au',
  yua: 'yua-latn-mx',
  yub: 'yub-latn-au',
  yuc: 'yuc-latn-us',
  yud: 'yud-hebr-il',
  yue: 'yue-hant-hk',
  'yue-cn': 'yue-hans-cn',
  'yue-hans': 'yue-hans-cn',
  yuf: 'yuf-latn-us',
  yug: 'yug-cyrl-ru',
  yui: 'yui-latn-co',
  yuj: 'yuj-latn-zz',
  yul: 'yul-latn-cf',
  yum: 'yum-latn-us',
  yun: 'yun-latn-ng',
  yup: 'yup-latn-co',
  yuq: 'yuq-latn-bo',
  yur: 'yur-latn-us',
  yut: 'yut-latn-zz',
  yuw: 'yuw-latn-zz',
  yux: 'yux-cyrl-ru',
  yuz: 'yuz-latn-bo',
  yva: 'yva-latn-id',
  yvt: 'yvt-latn-ve',
  ywa: 'ywa-latn-pg',
  ywg: 'ywg-latn-au',
  ywn: 'ywn-latn-br',
  ywq: 'ywq-plrd-cn',
  'ywq-yiii': 'ywq-yiii-cn',
  ywr: 'ywr-latn-au',
  ywu: 'ywu-plrd-cn',
  'ywu-yiii': 'ywu-yiii-cn',
  yww: 'yww-latn-au',
  yxa: 'yxa-latn-au',
  yxg: 'yxg-latn-au',
  yxl: 'yxl-latn-au',
  yxm: 'yxm-latn-au',
  yxu: 'yxu-latn-au',
  yxy: 'yxy-latn-au',
  yyr: 'yyr-latn-au',
  yyu: 'yyu-latn-pg',
  za: 'za-latn-cn',
  zaa: 'zaa-latn-mx',
  zab: 'zab-latn-mx',
  zac: 'zac-latn-mx',
  zad: 'zad-latn-mx',
  zae: 'zae-latn-mx',
  zaf: 'zaf-latn-mx',
  zag: 'zag-latn-sd',
  zah: 'zah-latn-ng',
  zaj: 'zaj-latn-tz',
  zak: 'zak-latn-tz',
  zam: 'zam-latn-mx',
  zao: 'zao-latn-mx',
  zap: 'zap-latn-mx',
  zaq: 'zaq-latn-mx',
  zar: 'zar-latn-mx',
  zas: 'zas-latn-mx',
  zat: 'zat-latn-mx',
  zau: 'zau-tibt-in',
  'zau-arab': 'zau-arab-in',
  zav: 'zav-latn-mx',
  zaw: 'zaw-latn-mx',
  zax: 'zax-latn-mx',
  zay: 'zay-latn-et',
  'zay-ethi': 'zay-ethi-et',
  zaz: 'zaz-latn-ng',
  zba: 'zba-arab-001',
  zbc: 'zbc-latn-my',
  zbe: 'zbe-latn-my',
  zbt: 'zbt-latn-id',
  zbu: 'zbu-latn-ng',
  zbw: 'zbw-latn-my',
  zca: 'zca-latn-mx',
  zch: 'zch-hani-cn',
  zdj: 'zdj-arab-km',
  zea: 'zea-latn-nl',
  zeg: 'zeg-latn-pg',
  zeh: 'zeh-hani-cn',
  zen: 'zen-tfng-mr',
  'zen-arab': 'zen-arab-mr',
  zga: 'zga-latn-tz',
  zgb: 'zgb-hani-cn',
  zgh: 'zgh-tfng-ma',
  zgm: 'zgm-hani-cn',
  zgn: 'zgn-hani-cn',
  zgr: 'zgr-latn-pg',
  zh: 'zh-hans-cn',
  'zh-au': 'zh-hant-au',
  'zh-bn': 'zh-hant-bn',
  'zh-bopo': 'zh-bopo-tw',
  'zh-gb': 'zh-hant-gb',
  'zh-gf': 'zh-hant-gf',
  'zh-hanb': 'zh-hanb-tw',
  'zh-hant': 'zh-hant-tw',
  'zh-hk': 'zh-hant-hk',
  'zh-id': 'zh-hant-id',
  'zh-mo': 'zh-hant-mo',
  'zh-pa': 'zh-hant-pa',
  'zh-pf': 'zh-hant-pf',
  'zh-ph': 'zh-hant-ph',
  'zh-sr': 'zh-hant-sr',
  'zh-th': 'zh-hant-th',
  'zh-tw': 'zh-hant-tw',
  'zh-us': 'zh-hant-us',
  'zh-vn': 'zh-hant-vn',
  zhd: 'zhd-hani-cn',
  'zhd-latn': 'zhd-latn-vn',
  zhi: 'zhi-latn-ng',
  zhn: 'zhn-latn-cn',
  'zhn-hani': 'zhn-hani-cn',
  zhw: 'zhw-latn-cm',
  zhx: 'zhx-nshu-cn',
  zia: 'zia-latn-zz',
  zik: 'zik-latn-pg',
  zil: 'zil-latn-gn',
  zim: 'zim-latn-td',
  zin: 'zin-latn-tz',
  ziw: 'ziw-latn-tz',
  ziz: 'ziz-latn-ng',
  zka: 'zka-latn-id',
  zkb: 'zkb-cyrl-ru',
  zkd: 'zkd-latn-mm',
  zko: 'zko-cyrl-ru',
  zkp: 'zkp-latn-br',
  zkt: 'zkt-kits-cn',
  zku: 'zku-latn-au',
  zkz: 'zkz-cyrl-ru',
  zla: 'zla-latn-cd',
  zlj: 'zlj-hani-cn',
  'zlj-latn': 'zlj-latn-cn',
  zlm: 'zlm-latn-tg',
  zln: 'zln-hani-cn',
  zlq: 'zlq-hani-cn',
  zma: 'zma-latn-au',
  zmb: 'zmb-latn-cd',
  zmc: 'zmc-latn-au',
  zmd: 'zmd-latn-au',
  zme: 'zme-latn-au',
  zmf: 'zmf-latn-cd',
  zmg: 'zmg-latn-au',
  zmh: 'zmh-latn-pg',
  zmi: 'zmi-latn-my',
  zmj: 'zmj-latn-au',
  zmk: 'zmk-latn-au',
  zml: 'zml-latn-au',
  zmm: 'zmm-latn-au',
  zmn: 'zmn-latn-ga',
  zmo: 'zmo-latn-sd',
  zmp: 'zmp-latn-cd',
  zmq: 'zmq-latn-cd',
  zmr: 'zmr-latn-au',
  zms: 'zms-latn-cd',
  zmt: 'zmt-latn-au',
  zmu: 'zmu-latn-au',
  zmv: 'zmv-latn-au',
  zmw: 'zmw-latn-cd',
  zmx: 'zmx-latn-cg',
  zmy: 'zmy-latn-au',
  zmz: 'zmz-latn-cd',
  zna: 'zna-latn-td',
  zne: 'zne-latn-zz',
  zng: 'zng-latn-vn',
  znk: 'znk-latn-au',
  zns: 'zns-latn-ng',
  zoc: 'zoc-latn-mx',
  zoh: 'zoh-latn-mx',
  zom: 'zom-latn-in',
  zoo: 'zoo-latn-mx',
  zoq: 'zoq-latn-mx',
  zor: 'zor-latn-mx',
  zos: 'zos-latn-mx',
  zpa: 'zpa-latn-mx',
  zpb: 'zpb-latn-mx',
  zpc: 'zpc-latn-mx',
  zpd: 'zpd-latn-mx',
  zpe: 'zpe-latn-mx',
  zpf: 'zpf-latn-mx',
  zpg: 'zpg-latn-mx',
  zph: 'zph-latn-mx',
  zpi: 'zpi-latn-mx',
  zpj: 'zpj-latn-mx',
  zpk: 'zpk-latn-mx',
  zpl: 'zpl-latn-mx',
  zpm: 'zpm-latn-mx',
  zpn: 'zpn-latn-mx',
  zpo: 'zpo-latn-mx',
  zpp: 'zpp-latn-mx',
  zpq: 'zpq-latn-mx',
  zpr: 'zpr-latn-mx',
  zps: 'zps-latn-mx',
  zpt: 'zpt-latn-mx',
  zpu: 'zpu-latn-mx',
  zpv: 'zpv-latn-mx',
  zpw: 'zpw-latn-mx',
  zpx: 'zpx-latn-mx',
  zpy: 'zpy-latn-mx',
  zpz: 'zpz-latn-mx',
  zqe: 'zqe-hani-cn',
  'zqe-latn': 'zqe-latn-cn',
  zrn: 'zrn-latn-td',
  zro: 'zro-latn-ec',
  zrp: 'zrp-hebr-fr',
  zrs: 'zrs-latn-id',
  zsa: 'zsa-latn-pg',
  zsr: 'zsr-latn-mx',
  zsu: 'zsu-latn-pg',
  zte: 'zte-latn-mx',
  ztg: 'ztg-latn-mx',
  ztl: 'ztl-latn-mx',
  ztm: 'ztm-latn-mx',
  ztn: 'ztn-latn-mx',
  ztp: 'ztp-latn-mx',
  ztq: 'ztq-latn-mx',
  zts: 'zts-latn-mx',
  ztt: 'ztt-latn-mx',
  ztu: 'ztu-latn-mx',
  ztx: 'ztx-latn-mx',
  zty: 'zty-latn-mx',
  zu: 'zu-latn-za',
  zua: 'zua-latn-ng',
  zuh: 'zuh-latn-pg',
  zum: 'zum-arab-om',
  zun: 'zun-latn-us',
  zuy: 'zuy-latn-cm',
  zyg: 'zyg-hani-cn',
  zyj: 'zyj-latn-cn',
  'zyj-hani': 'zyj-hani-cn',
  zyn: 'zyn-hani-cn',
  zyp: 'zyp-latn-mm',
  zza: 'zza-latn-tr',
  zzj: 'zzj-hani-cn'
};

/***/ }),

/***/ "./node_modules/bcp-47-normalize/lib/many.js":
/*!***************************************************!*\
  !*** ./node_modules/bcp-47-normalize/lib/many.js ***!
  \***************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   many: function() { return /* binding */ many; }
/* harmony export */ });
/**
 * @typedef {'script'|'region'|'variants'} Field
 */

/**
 * @type {{region: Record<string, Array<string>>}}
 */
const many = {
  region: {
    172: ['ru', 'am', 'az', 'by', 'ge', 'kg', 'kz', 'md', 'tj', 'tm', 'ua', 'uz'],
    200: ['cz', 'sk'],
    530: ['cw', 'sx', 'bq'],
    532: ['cw', 'sx', 'bq'],
    536: ['sa', 'iq'],
    582: ['fm', 'mh', 'mp', 'pw'],
    810: ['ru', 'am', 'az', 'by', 'ee', 'ge', 'kz', 'kg', 'lv', 'lt', 'md', 'tj', 'tm', 'ua', 'uz'],
    830: ['je', 'gg'],
    890: ['rs', 'me', 'si', 'hr', 'mk', 'ba'],
    891: ['rs', 'me'],
    an: ['cw', 'sx', 'bq'],
    cs: ['rs', 'me'],
    fq: ['aq', 'tf'],
    nt: ['sa', 'iq'],
    pc: ['fm', 'mh', 'mp', 'pw'],
    su: ['ru', 'am', 'az', 'by', 'ee', 'ge', 'kz', 'kg', 'lv', 'lt', 'md', 'tj', 'tm', 'ua', 'uz'],
    yu: ['rs', 'me'],
    '062': ['034', '143'],
    ant: ['cw', 'sx', 'bq'],
    scg: ['rs', 'me'],
    ntz: ['sa', 'iq'],
    sun: ['ru', 'am', 'az', 'by', 'ee', 'ge', 'kz', 'kg', 'lv', 'lt', 'md', 'tj', 'tm', 'ua', 'uz'],
    yug: ['rs', 'me']
  }
};

/***/ }),

/***/ "./node_modules/bcp-47-normalize/lib/matches.js":
/*!******************************************************!*\
  !*** ./node_modules/bcp-47-normalize/lib/matches.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   matches: function() { return /* binding */ matches; }
/* harmony export */ });
/**
 * @typedef Change
 * @property {string} from
 * @property {string} to
 */

/**
 * @type {Array<Change>}
 */
const matches = [{
  from: 'in',
  to: 'id'
}, {
  from: 'iw',
  to: 'he'
}, {
  from: 'ji',
  to: 'yi'
}, {
  from: 'jw',
  to: 'jv'
}, {
  from: 'mo',
  to: 'ro'
}, {
  from: 'scc',
  to: 'sr'
}, {
  from: 'scr',
  to: 'hr'
}, {
  from: 'aam',
  to: 'aas'
}, {
  from: 'adp',
  to: 'dz'
}, {
  from: 'aue',
  to: 'ktz'
}, {
  from: 'ayx',
  to: 'nun'
}, {
  from: 'bgm',
  to: 'bcg'
}, {
  from: 'bjd',
  to: 'drl'
}, {
  from: 'ccq',
  to: 'rki'
}, {
  from: 'cjr',
  to: 'mom'
}, {
  from: 'cka',
  to: 'cmr'
}, {
  from: 'cmk',
  to: 'xch'
}, {
  from: 'coy',
  to: 'pij'
}, {
  from: 'cqu',
  to: 'quh'
}, {
  from: 'drh',
  to: 'mn'
}, {
  from: 'drw',
  to: 'fa-af'
}, {
  from: 'gav',
  to: 'dev'
}, {
  from: 'gfx',
  to: 'vaj'
}, {
  from: 'ggn',
  to: 'gvr'
}, {
  from: 'gti',
  to: 'nyc'
}, {
  from: 'guv',
  to: 'duz'
}, {
  from: 'hrr',
  to: 'jal'
}, {
  from: 'ibi',
  to: 'opa'
}, {
  from: 'ilw',
  to: 'gal'
}, {
  from: 'jeg',
  to: 'oyb'
}, {
  from: 'kgc',
  to: 'tdf'
}, {
  from: 'kgh',
  to: 'kml'
}, {
  from: 'koj',
  to: 'kwv'
}, {
  from: 'krm',
  to: 'bmf'
}, {
  from: 'ktr',
  to: 'dtp'
}, {
  from: 'kvs',
  to: 'gdj'
}, {
  from: 'kwq',
  to: 'yam'
}, {
  from: 'kxe',
  to: 'tvd'
}, {
  from: 'kzj',
  to: 'dtp'
}, {
  from: 'kzt',
  to: 'dtp'
}, {
  from: 'lii',
  to: 'raq'
}, {
  from: 'lmm',
  to: 'rmx'
}, {
  from: 'meg',
  to: 'cir'
}, {
  from: 'mst',
  to: 'mry'
}, {
  from: 'mwj',
  to: 'vaj'
}, {
  from: 'myt',
  to: 'mry'
}, {
  from: 'nad',
  to: 'xny'
}, {
  from: 'ncp',
  to: 'kdz'
}, {
  from: 'nnx',
  to: 'ngv'
}, {
  from: 'nts',
  to: 'pij'
}, {
  from: 'oun',
  to: 'vaj'
}, {
  from: 'pcr',
  to: 'adx'
}, {
  from: 'pmc',
  to: 'huw'
}, {
  from: 'pmu',
  to: 'phr'
}, {
  from: 'ppa',
  to: 'bfy'
}, {
  from: 'ppr',
  to: 'lcq'
}, {
  from: 'pry',
  to: 'prt'
}, {
  from: 'puz',
  to: 'pub'
}, {
  from: 'sca',
  to: 'hle'
}, {
  from: 'skk',
  to: 'oyb'
}, {
  from: 'tdu',
  to: 'dtp'
}, {
  from: 'thc',
  to: 'tpo'
}, {
  from: 'thx',
  to: 'oyb'
}, {
  from: 'tie',
  to: 'ras'
}, {
  from: 'tkk',
  to: 'twm'
}, {
  from: 'tlw',
  to: 'weo'
}, {
  from: 'tmp',
  to: 'tyj'
}, {
  from: 'tne',
  to: 'kak'
}, {
  from: 'tnf',
  to: 'fa-af'
}, {
  from: 'tsf',
  to: 'taj'
}, {
  from: 'uok',
  to: 'ema'
}, {
  from: 'xba',
  to: 'cax'
}, {
  from: 'xia',
  to: 'acn'
}, {
  from: 'xkh',
  to: 'waw'
}, {
  from: 'xsj',
  to: 'suj'
}, {
  from: 'ybd',
  to: 'rki'
}, {
  from: 'yma',
  to: 'lrr'
}, {
  from: 'ymt',
  to: 'mtm'
}, {
  from: 'yos',
  to: 'zom'
}, {
  from: 'yuu',
  to: 'yug'
}, {
  from: 'asd',
  to: 'snz'
}, {
  from: 'dit',
  to: 'dif'
}, {
  from: 'llo',
  to: 'ngt'
}, {
  from: 'myd',
  to: 'aog'
}, {
  from: 'nns',
  to: 'nbr'
}, {
  from: 'agp',
  to: 'apf'
}, {
  from: 'ais',
  to: 'ami'
}, {
  from: 'ajt',
  to: 'aeb'
}, {
  from: 'baz',
  to: 'nvo'
}, {
  from: 'bhk',
  to: 'fbl'
}, {
  from: 'bic',
  to: 'bir'
}, {
  from: 'bjq',
  to: 'bzc'
}, {
  from: 'bkb',
  to: 'ebk'
}, {
  from: 'blg',
  to: 'iba'
}, {
  from: 'btb',
  to: 'beb'
}, {
  from: 'daf',
  to: 'dnj'
}, {
  from: 'dap',
  to: 'njz'
}, {
  from: 'djl',
  to: 'dze'
}, {
  from: 'dkl',
  to: 'aqd'
}, {
  from: 'drr',
  to: 'kzk'
}, {
  from: 'dud',
  to: 'uth'
}, {
  from: 'duj',
  to: 'dwu'
}, {
  from: 'dwl',
  to: 'dbt'
}, {
  from: 'elp',
  to: 'amq'
}, {
  from: 'gbc',
  to: 'wny'
}, {
  from: 'ggo',
  to: 'esg'
}, {
  from: 'ggr',
  to: 'gtu'
}, {
  from: 'gio',
  to: 'aou'
}, {
  from: 'gli',
  to: 'kzk'
}, {
  from: 'ill',
  to: 'ilm'
}, {
  from: 'izi',
  to: 'eza'
}, {
  from: 'jar',
  to: 'jgk'
}, {
  from: 'kdv',
  to: 'zkd'
}, {
  from: 'kgd',
  to: 'ncq'
}, {
  from: 'kpp',
  to: 'jkm'
}, {
  from: 'kxl',
  to: 'kru'
}, {
  from: 'kzh',
  to: 'dgl'
}, {
  from: 'lak',
  to: 'ksp'
}, {
  from: 'leg',
  to: 'enl'
}, {
  from: 'mgx',
  to: 'jbk'
}, {
  from: 'mnt',
  to: 'wnn'
}, {
  from: 'mof',
  to: 'xnt'
}, {
  from: 'mwd',
  to: 'dmw'
}, {
  from: 'nbf',
  to: 'nru'
}, {
  from: 'nbx',
  to: 'ekc'
}, {
  from: 'nln',
  to: 'azd'
}, {
  from: 'nlr',
  to: 'nrk'
}, {
  from: 'noo',
  to: 'dtd'
}, {
  from: 'nxu',
  to: 'bpp'
}, {
  from: 'pat',
  to: 'kxr'
}, {
  from: 'rmr',
  to: 'emx'
}, {
  from: 'sap',
  to: 'aqt'
}, {
  from: 'sgl',
  to: 'isk'
}, {
  from: 'smd',
  to: 'kmb'
}, {
  from: 'snb',
  to: 'iba'
}, {
  from: 'sul',
  to: 'sgd'
}, {
  from: 'sum',
  to: 'ulw'
}, {
  from: 'tgg',
  to: 'bjp'
}, {
  from: 'thw',
  to: 'ola'
}, {
  from: 'tid',
  to: 'itd'
}, {
  from: 'unp',
  to: 'wro'
}, {
  from: 'wgw',
  to: 'wgb'
}, {
  from: 'wit',
  to: 'nol'
}, {
  from: 'wiw',
  to: 'nwo'
}, {
  from: 'xrq',
  to: 'dmw'
}, {
  from: 'yen',
  to: 'ynq'
}, {
  from: 'yiy',
  to: 'yrm'
}, {
  from: 'zir',
  to: 'scv'
}, {
  from: 'sgn-br',
  to: 'bzs'
}, {
  from: 'sgn-co',
  to: 'csn'
}, {
  from: 'sgn-de',
  to: 'gsg'
}, {
  from: 'sgn-dk',
  to: 'dsl'
}, {
  from: 'sgn-fr',
  to: 'fsl'
}, {
  from: 'sgn-gb',
  to: 'bfi'
}, {
  from: 'sgn-gr',
  to: 'gss'
}, {
  from: 'sgn-ie',
  to: 'isg'
}, {
  from: 'sgn-it',
  to: 'ise'
}, {
  from: 'sgn-jp',
  to: 'jsl'
}, {
  from: 'sgn-mx',
  to: 'mfs'
}, {
  from: 'sgn-ni',
  to: 'ncs'
}, {
  from: 'sgn-nl',
  to: 'dse'
}, {
  from: 'sgn-no',
  to: 'nsi'
}, {
  from: 'sgn-pt',
  to: 'psr'
}, {
  from: 'sgn-se',
  to: 'swl'
}, {
  from: 'sgn-us',
  to: 'ase'
}, {
  from: 'sgn-za',
  to: 'sfs'
}, {
  from: 'sgn-es',
  to: 'ssp'
}, {
  from: 'zh-cmn',
  to: 'zh'
}, {
  from: 'zh-cmn-hans',
  to: 'zh-hans'
}, {
  from: 'zh-cmn-hant',
  to: 'zh-hant'
}, {
  from: 'zh-gan',
  to: 'gan'
}, {
  from: 'zh-wuu',
  to: 'wuu'
}, {
  from: 'zh-yue',
  to: 'yue'
}, {
  from: 'no-bokmal',
  to: 'nb'
}, {
  from: 'no-nynorsk',
  to: 'nn'
}, {
  from: 'aa-saaho',
  to: 'ssy'
}, {
  from: 'sh',
  to: 'sr-latn'
}, {
  from: 'cnr',
  to: 'sr-me'
}, {
  from: 'tl',
  to: 'fil'
}, {
  from: 'aju',
  to: 'jrb'
}, {
  from: 'als',
  to: 'sq'
}, {
  from: 'arb',
  to: 'ar'
}, {
  from: 'ayr',
  to: 'ay'
}, {
  from: 'azj',
  to: 'az'
}, {
  from: 'bcc',
  to: 'bal'
}, {
  from: 'bcl',
  to: 'bik'
}, {
  from: 'bxk',
  to: 'luy'
}, {
  from: 'bxr',
  to: 'bua'
}, {
  from: 'cld',
  to: 'syr'
}, {
  from: 'cmn',
  to: 'zh'
}, {
  from: 'cwd',
  to: 'cr'
}, {
  from: 'dgo',
  to: 'doi'
}, {
  from: 'dhd',
  to: 'mwr'
}, {
  from: 'dik',
  to: 'din'
}, {
  from: 'diq',
  to: 'zza'
}, {
  from: 'lbk',
  to: 'bnc'
}, {
  from: 'ekk',
  to: 'et'
}, {
  from: 'emk',
  to: 'man'
}, {
  from: 'esk',
  to: 'ik'
}, {
  from: 'fat',
  to: 'ak'
}, {
  from: 'fuc',
  to: 'ff'
}, {
  from: 'gaz',
  to: 'om'
}, {
  from: 'gbo',
  to: 'grb'
}, {
  from: 'gno',
  to: 'gon'
}, {
  from: 'gug',
  to: 'gn'
}, {
  from: 'gya',
  to: 'gba'
}, {
  from: 'hdn',
  to: 'hai'
}, {
  from: 'hea',
  to: 'hmn'
}, {
  from: 'ike',
  to: 'iu'
}, {
  from: 'kmr',
  to: 'ku'
}, {
  from: 'knc',
  to: 'kr'
}, {
  from: 'kng',
  to: 'kg'
}, {
  from: 'knn',
  to: 'kok'
}, {
  from: 'kpv',
  to: 'kv'
}, {
  from: 'lvs',
  to: 'lv'
}, {
  from: 'mhr',
  to: 'chm'
}, {
  from: 'mup',
  to: 'raj'
}, {
  from: 'khk',
  to: 'mn'
}, {
  from: 'npi',
  to: 'ne'
}, {
  from: 'ojg',
  to: 'oj'
}, {
  from: 'ory',
  to: 'or'
}, {
  from: 'pbu',
  to: 'ps'
}, {
  from: 'pes',
  to: 'fa'
}, {
  from: 'plt',
  to: 'mg'
}, {
  from: 'pnb',
  to: 'lah'
}, {
  from: 'quz',
  to: 'qu'
}, {
  from: 'rmy',
  to: 'rom'
}, {
  from: 'spy',
  to: 'kln'
}, {
  from: 'src',
  to: 'sc'
}, {
  from: 'swh',
  to: 'sw'
}, {
  from: 'ttq',
  to: 'tmh'
}, {
  from: 'tw',
  to: 'ak'
}, {
  from: 'umu',
  to: 'del'
}, {
  from: 'uzn',
  to: 'uz'
}, {
  from: 'xpe',
  to: 'kpe'
}, {
  from: 'xsl',
  to: 'den'
}, {
  from: 'ydd',
  to: 'yi'
}, {
  from: 'zai',
  to: 'zap'
}, {
  from: 'zsm',
  to: 'ms'
}, {
  from: 'zyb',
  to: 'za'
}, {
  from: 'him',
  to: 'srx'
}, {
  from: 'mnk',
  to: 'man'
}, {
  from: 'bh',
  to: 'bho'
}, {
  from: 'prs',
  to: 'fa-af'
}, {
  from: 'swc',
  to: 'sw-cd'
}, {
  from: 'aar',
  to: 'aa'
}, {
  from: 'abk',
  to: 'ab'
}, {
  from: 'ave',
  to: 'ae'
}, {
  from: 'afr',
  to: 'af'
}, {
  from: 'aka',
  to: 'ak'
}, {
  from: 'amh',
  to: 'am'
}, {
  from: 'arg',
  to: 'an'
}, {
  from: 'ara',
  to: 'ar'
}, {
  from: 'asm',
  to: 'as'
}, {
  from: 'ava',
  to: 'av'
}, {
  from: 'aym',
  to: 'ay'
}, {
  from: 'aze',
  to: 'az'
}, {
  from: 'bak',
  to: 'ba'
}, {
  from: 'bel',
  to: 'be'
}, {
  from: 'bul',
  to: 'bg'
}, {
  from: 'bih',
  to: 'bho'
}, {
  from: 'bis',
  to: 'bi'
}, {
  from: 'bam',
  to: 'bm'
}, {
  from: 'ben',
  to: 'bn'
}, {
  from: 'bod',
  to: 'bo'
}, {
  from: 'bre',
  to: 'br'
}, {
  from: 'bos',
  to: 'bs'
}, {
  from: 'cat',
  to: 'ca'
}, {
  from: 'che',
  to: 'ce'
}, {
  from: 'cha',
  to: 'ch'
}, {
  from: 'cos',
  to: 'co'
}, {
  from: 'cre',
  to: 'cr'
}, {
  from: 'ces',
  to: 'cs'
}, {
  from: 'chu',
  to: 'cu'
}, {
  from: 'chv',
  to: 'cv'
}, {
  from: 'cym',
  to: 'cy'
}, {
  from: 'dan',
  to: 'da'
}, {
  from: 'deu',
  to: 'de'
}, {
  from: 'div',
  to: 'dv'
}, {
  from: 'dzo',
  to: 'dz'
}, {
  from: 'ewe',
  to: 'ee'
}, {
  from: 'ell',
  to: 'el'
}, {
  from: 'eng',
  to: 'en'
}, {
  from: 'epo',
  to: 'eo'
}, {
  from: 'spa',
  to: 'es'
}, {
  from: 'est',
  to: 'et'
}, {
  from: 'eus',
  to: 'eu'
}, {
  from: 'fas',
  to: 'fa'
}, {
  from: 'ful',
  to: 'ff'
}, {
  from: 'fin',
  to: 'fi'
}, {
  from: 'fij',
  to: 'fj'
}, {
  from: 'fao',
  to: 'fo'
}, {
  from: 'fra',
  to: 'fr'
}, {
  from: 'fry',
  to: 'fy'
}, {
  from: 'gle',
  to: 'ga'
}, {
  from: 'gla',
  to: 'gd'
}, {
  from: 'glg',
  to: 'gl'
}, {
  from: 'grn',
  to: 'gn'
}, {
  from: 'guj',
  to: 'gu'
}, {
  from: 'glv',
  to: 'gv'
}, {
  from: 'hau',
  to: 'ha'
}, {
  from: 'heb',
  to: 'he'
}, {
  from: 'hin',
  to: 'hi'
}, {
  from: 'hmo',
  to: 'ho'
}, {
  from: 'hrv',
  to: 'hr'
}, {
  from: 'hat',
  to: 'ht'
}, {
  from: 'hun',
  to: 'hu'
}, {
  from: 'hye',
  to: 'hy'
}, {
  from: 'her',
  to: 'hz'
}, {
  from: 'ina',
  to: 'ia'
}, {
  from: 'ind',
  to: 'id'
}, {
  from: 'ile',
  to: 'ie'
}, {
  from: 'ibo',
  to: 'ig'
}, {
  from: 'iii',
  to: 'ii'
}, {
  from: 'ipk',
  to: 'ik'
}, {
  from: 'ido',
  to: 'io'
}, {
  from: 'isl',
  to: 'is'
}, {
  from: 'ita',
  to: 'it'
}, {
  from: 'iku',
  to: 'iu'
}, {
  from: 'jpn',
  to: 'ja'
}, {
  from: 'jav',
  to: 'jv'
}, {
  from: 'kat',
  to: 'ka'
}, {
  from: 'kon',
  to: 'kg'
}, {
  from: 'kik',
  to: 'ki'
}, {
  from: 'kua',
  to: 'kj'
}, {
  from: 'kaz',
  to: 'kk'
}, {
  from: 'kal',
  to: 'kl'
}, {
  from: 'khm',
  to: 'km'
}, {
  from: 'kan',
  to: 'kn'
}, {
  from: 'kor',
  to: 'ko'
}, {
  from: 'kau',
  to: 'kr'
}, {
  from: 'kas',
  to: 'ks'
}, {
  from: 'kur',
  to: 'ku'
}, {
  from: 'kom',
  to: 'kv'
}, {
  from: 'cor',
  to: 'kw'
}, {
  from: 'kir',
  to: 'ky'
}, {
  from: 'lat',
  to: 'la'
}, {
  from: 'ltz',
  to: 'lb'
}, {
  from: 'lug',
  to: 'lg'
}, {
  from: 'lim',
  to: 'li'
}, {
  from: 'lin',
  to: 'ln'
}, {
  from: 'lao',
  to: 'lo'
}, {
  from: 'lit',
  to: 'lt'
}, {
  from: 'lub',
  to: 'lu'
}, {
  from: 'lav',
  to: 'lv'
}, {
  from: 'mlg',
  to: 'mg'
}, {
  from: 'mah',
  to: 'mh'
}, {
  from: 'mri',
  to: 'mi'
}, {
  from: 'mkd',
  to: 'mk'
}, {
  from: 'mal',
  to: 'ml'
}, {
  from: 'mon',
  to: 'mn'
}, {
  from: 'mol',
  to: 'ro'
}, {
  from: 'mar',
  to: 'mr'
}, {
  from: 'msa',
  to: 'ms'
}, {
  from: 'mlt',
  to: 'mt'
}, {
  from: 'mya',
  to: 'my'
}, {
  from: 'nau',
  to: 'na'
}, {
  from: 'nob',
  to: 'nb'
}, {
  from: 'nde',
  to: 'nd'
}, {
  from: 'nep',
  to: 'ne'
}, {
  from: 'ndo',
  to: 'ng'
}, {
  from: 'nld',
  to: 'nl'
}, {
  from: 'nno',
  to: 'nn'
}, {
  from: 'nor',
  to: 'no'
}, {
  from: 'nbl',
  to: 'nr'
}, {
  from: 'nav',
  to: 'nv'
}, {
  from: 'nya',
  to: 'ny'
}, {
  from: 'oci',
  to: 'oc'
}, {
  from: 'oji',
  to: 'oj'
}, {
  from: 'orm',
  to: 'om'
}, {
  from: 'ori',
  to: 'or'
}, {
  from: 'oss',
  to: 'os'
}, {
  from: 'pan',
  to: 'pa'
}, {
  from: 'pli',
  to: 'pi'
}, {
  from: 'pol',
  to: 'pl'
}, {
  from: 'pus',
  to: 'ps'
}, {
  from: 'por',
  to: 'pt'
}, {
  from: 'que',
  to: 'qu'
}, {
  from: 'roh',
  to: 'rm'
}, {
  from: 'run',
  to: 'rn'
}, {
  from: 'ron',
  to: 'ro'
}, {
  from: 'rus',
  to: 'ru'
}, {
  from: 'kin',
  to: 'rw'
}, {
  from: 'san',
  to: 'sa'
}, {
  from: 'srd',
  to: 'sc'
}, {
  from: 'snd',
  to: 'sd'
}, {
  from: 'sme',
  to: 'se'
}, {
  from: 'sag',
  to: 'sg'
}, {
  from: 'hbs',
  to: 'sr-latn'
}, {
  from: 'sin',
  to: 'si'
}, {
  from: 'slk',
  to: 'sk'
}, {
  from: 'slv',
  to: 'sl'
}, {
  from: 'smo',
  to: 'sm'
}, {
  from: 'sna',
  to: 'sn'
}, {
  from: 'som',
  to: 'so'
}, {
  from: 'sqi',
  to: 'sq'
}, {
  from: 'srp',
  to: 'sr'
}, {
  from: 'ssw',
  to: 'ss'
}, {
  from: 'sot',
  to: 'st'
}, {
  from: 'sun',
  to: 'su'
}, {
  from: 'swe',
  to: 'sv'
}, {
  from: 'swa',
  to: 'sw'
}, {
  from: 'tam',
  to: 'ta'
}, {
  from: 'tel',
  to: 'te'
}, {
  from: 'tgk',
  to: 'tg'
}, {
  from: 'tha',
  to: 'th'
}, {
  from: 'tir',
  to: 'ti'
}, {
  from: 'tuk',
  to: 'tk'
}, {
  from: 'tgl',
  to: 'fil'
}, {
  from: 'tsn',
  to: 'tn'
}, {
  from: 'ton',
  to: 'to'
}, {
  from: 'tur',
  to: 'tr'
}, {
  from: 'tso',
  to: 'ts'
}, {
  from: 'tat',
  to: 'tt'
}, {
  from: 'twi',
  to: 'ak'
}, {
  from: 'tah',
  to: 'ty'
}, {
  from: 'uig',
  to: 'ug'
}, {
  from: 'ukr',
  to: 'uk'
}, {
  from: 'urd',
  to: 'ur'
}, {
  from: 'uzb',
  to: 'uz'
}, {
  from: 'ven',
  to: 've'
}, {
  from: 'vie',
  to: 'vi'
}, {
  from: 'vol',
  to: 'vo'
}, {
  from: 'wln',
  to: 'wa'
}, {
  from: 'wol',
  to: 'wo'
}, {
  from: 'xho',
  to: 'xh'
}, {
  from: 'yid',
  to: 'yi'
}, {
  from: 'yor',
  to: 'yo'
}, {
  from: 'zha',
  to: 'za'
}, {
  from: 'zho',
  to: 'zh'
}, {
  from: 'zul',
  to: 'zu'
}, {
  from: 'alb',
  to: 'sq'
}, {
  from: 'arm',
  to: 'hy'
}, {
  from: 'baq',
  to: 'eu'
}, {
  from: 'bur',
  to: 'my'
}, {
  from: 'chi',
  to: 'zh'
}, {
  from: 'cze',
  to: 'cs'
}, {
  from: 'dut',
  to: 'nl'
}, {
  from: 'fre',
  to: 'fr'
}, {
  from: 'geo',
  to: 'ka'
}, {
  from: 'ger',
  to: 'de'
}, {
  from: 'gre',
  to: 'el'
}, {
  from: 'ice',
  to: 'is'
}, {
  from: 'mac',
  to: 'mk'
}, {
  from: 'mao',
  to: 'mi'
}, {
  from: 'may',
  to: 'ms'
}, {
  from: 'per',
  to: 'fa'
}, {
  from: 'rum',
  to: 'ro'
}, {
  from: 'slo',
  to: 'sk'
}, {
  from: 'tib',
  to: 'bo'
}, {
  from: 'wel',
  to: 'cy'
}, {
  from: 'und-aaland',
  to: 'und-ax'
}, {
  from: 'hy-arevmda',
  to: 'hyw'
}, {
  from: 'und-arevmda',
  to: 'und'
}, {
  from: 'und-arevela',
  to: 'und'
}, {
  from: 'und-lojban',
  to: 'und'
}, {
  from: 'und-saaho',
  to: 'und'
}, {
  from: 'und-bokmal',
  to: 'und'
}, {
  from: 'und-nynorsk',
  to: 'und'
}, {
  from: 'und-hakka',
  to: 'und'
}, {
  from: 'und-xiang',
  to: 'und'
}, {
  from: 'und-hepburn-heploc',
  to: 'und-alalc97'
}];

/***/ }),

/***/ "./node_modules/bcp-47/lib/normal.js":
/*!*******************************************!*\
  !*** ./node_modules/bcp-47/lib/normal.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   normal: function() { return /* binding */ normal; }
/* harmony export */ });
/** @type {Record<string, string|null>} */
const normal = {
  'en-gb-oed': 'en-GB-oxendict',
  'i-ami': 'ami',
  'i-bnn': 'bnn',
  'i-default': null,
  'i-enochian': null,
  'i-hak': 'hak',
  'i-klingon': 'tlh',
  'i-lux': 'lb',
  'i-mingo': null,
  'i-navajo': 'nv',
  'i-pwn': 'pwn',
  'i-tao': 'tao',
  'i-tay': 'tay',
  'i-tsu': 'tsu',
  'sgn-be-fr': 'sfb',
  'sgn-be-nl': 'vgt',
  'sgn-ch-de': 'sgg',
  'art-lojban': 'jbo',
  'cel-gaulish': null,
  'no-bok': 'nb',
  'no-nyn': 'nn',
  'zh-guoyu': 'cmn',
  'zh-hakka': 'hak',
  'zh-min': null,
  'zh-min-nan': 'nan',
  'zh-xiang': 'hsn'
};

/***/ }),

/***/ "./node_modules/bcp-47/lib/parse.js":
/*!******************************************!*\
  !*** ./node_modules/bcp-47/lib/parse.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   parse: function() { return /* binding */ parse; }
/* harmony export */ });
/* harmony import */ var is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! is-alphanumerical */ "./node_modules/is-alphanumerical/index.js");
/* harmony import */ var is_alphabetical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! is-alphabetical */ "./node_modules/is-alphabetical/index.js");
/* harmony import */ var is_decimal__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! is-decimal */ "./node_modules/is-decimal/index.js");
/* harmony import */ var _regular_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./regular.js */ "./node_modules/bcp-47/lib/regular.js");
/* harmony import */ var _normal_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./normal.js */ "./node_modules/bcp-47/lib/normal.js");
/**
 * @callback Warning
 * @param {string} reason
 * @param {number} code
 * @param {number} offset
 * @returns {void}
 *
 * @typedef Options
 * @property {boolean} [normalize=true]
 * @property {boolean} [forgiving=false]
 * @property {Warning} [warning]
 *
 * @typedef Extension
 * @property {string} singleton
 * @property {Array<string>} extensions
 *
 * @typedef Schema
 * @property {string|null|undefined} language
 * @property {Array<string>} extendedLanguageSubtags
 * @property {string|null|undefined} script
 * @property {string|null|undefined} region
 * @property {Array<string>} variants
 * @property {Array<Extension>} extensions
 * @property {Array<string>} privateuse
 * @property {string|null|undefined} irregular
 * @property {string|null|undefined} regular
 */






const own = {}.hasOwnProperty;

/**
 * Parse a BCP 47 language tag.
 *
 * @param {string} tag
 * @param {Options} [options]
 * @returns {Schema}
 */
function parse(tag) {
  let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  const result = empty();
  const source = String(tag);
  const value = source.toLowerCase();
  let index = 0;

  // Check input.
  if (tag === null || tag === undefined) {
    throw new Error('Expected string, got `' + tag + '`');
  }

  // Let’s start.
  // First: the edge cases.
  if (own.call(_normal_js__WEBPACK_IMPORTED_MODULE_0__.normal, value)) {
    const replacement = _normal_js__WEBPACK_IMPORTED_MODULE_0__.normal[value];
    if ((options.normalize === undefined || options.normalize === null || options.normalize) && typeof replacement === 'string') {
      return parse(replacement);
    }
    result[_regular_js__WEBPACK_IMPORTED_MODULE_1__.regular.includes(value) ? 'regular' : 'irregular'] = source;
    return result;
  }

  // Now, to actually parse, eat what could be a language.
  while ((0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index)) && index < 9) index++;

  // A language.
  if (index > 1 /* Min 639. */ && index < 9 /* Max subtag. */) {
    // 5 and up is a subtag.
    // 4 is the size of reserved languages.
    // 3 an ISO 639-2 or ISO 639-3.
    // 2 is an ISO 639-1.
    // <https://github.com/wooorm/iso-639-2>
    // <https://github.com/wooorm/iso-639-3>
    result.language = source.slice(0, index);
    if (index < 4 /* Max 639. */) {
      let groups = 0;
      while (value.charCodeAt(index) === 45 /* `-` */ && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 1)) && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 2)) && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 3)) && !(0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 4))) {
        if (groups > 2 /* Max extended language subtag count. */) {
          return fail(index, 3, 'Too many extended language subtags, expected at most 3 subtags');
        }

        // Extended language subtag.
        result.extendedLanguageSubtags.push(source.slice(index + 1, index + 4));
        index += 4;
        groups++;
      }
    }

    // ISO 15924 script.
    // <https://github.com/wooorm/iso-15924>
    if (value.charCodeAt(index) === 45 /* `-` */ && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 1)) && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 2)) && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 3)) && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 4)) && !(0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 5))) {
      result.script = source.slice(index + 1, index + 5);
      index += 5;
    }
    if (value.charCodeAt(index) === 45 /* `-` */) {
      // ISO 3166-1 region.
      // <https://github.com/wooorm/iso-3166>
      if ((0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 1)) && (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 2)) && !(0,is_alphabetical__WEBPACK_IMPORTED_MODULE_2__.isAlphabetical)(value.charCodeAt(index + 3))) {
        result.region = source.slice(index + 1, index + 3);
        index += 3;
      }
      // UN M49 region.
      // <https://github.com/wooorm/un-m49>
      else if ((0,is_decimal__WEBPACK_IMPORTED_MODULE_3__.isDecimal)(value.charCodeAt(index + 1)) && (0,is_decimal__WEBPACK_IMPORTED_MODULE_3__.isDecimal)(value.charCodeAt(index + 2)) && (0,is_decimal__WEBPACK_IMPORTED_MODULE_3__.isDecimal)(value.charCodeAt(index + 3)) && !(0,is_decimal__WEBPACK_IMPORTED_MODULE_3__.isDecimal)(value.charCodeAt(index + 4))) {
        result.region = source.slice(index + 1, index + 4);
        index += 4;
      }
    }
    while (value.charCodeAt(index) === 45 /* `-` */) {
      const start = index + 1;
      let offset = start;
      while ((0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(offset))) {
        if (offset - start > 7 /* Max variant. */) {
          return fail(offset, 1, 'Too long variant, expected at most 8 characters');
        }
        offset++;
      }
      if (
      // Long variant.
      offset - start > 4 /* Min alpha numeric variant. */ ||
      // Short variant.
      offset - start > 3 /* Min variant. */ && (0,is_decimal__WEBPACK_IMPORTED_MODULE_3__.isDecimal)(value.charCodeAt(start))) {
        result.variants.push(source.slice(start, offset));
        index = offset;
      }
      // Something else.
      else {
        break;
      }
    }

    // Extensions.
    while (value.charCodeAt(index) === 45 /* `-` */) {
      // Exit if this isn’t an extension.
      if (value.charCodeAt(index + 1) === 120 /* `x` */ || !(0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(index + 1)) || value.charCodeAt(index + 2) !== 45 /* `-` */ || !(0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(index + 3))) {
        break;
      }
      let offset = index + 2;
      let groups = 0;
      while (value.charCodeAt(offset) === 45 /* `-` */ && (0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(offset + 1)) && (0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(offset + 2))) {
        const start = offset + 1;
        offset = start + 2;
        groups++;
        while ((0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(offset))) {
          if (offset - start > 7 /* Max extension. */) {
            return fail(offset, 2, 'Too long extension, expected at most 8 characters');
          }
          offset++;
        }
      }
      if (!groups) {
        return fail(offset, 4, 'Empty extension, extensions must have at least 2 characters of content');
      }
      result.extensions.push({
        singleton: source.charAt(index + 1),
        extensions: source.slice(index + 3, offset).split('-')
      });
      index = offset;
    }
  }
  // Not a language.
  else {
    index = 0;
  }

  // Private use.
  if (index === 0 && value.charCodeAt(index) === 120 /* `x` */ || value.charCodeAt(index) === 45 /* `-` */ && value.charCodeAt(index + 1) === 120 /* `x` */) {
    index = index ? index + 2 : 1;
    let offset = index;
    while (value.charCodeAt(offset) === 45 /* `-` */ && (0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(offset + 1))) {
      const start = index + 1;
      offset = start;
      while ((0,is_alphanumerical__WEBPACK_IMPORTED_MODULE_4__.isAlphanumerical)(value.charCodeAt(offset))) {
        if (offset - start > 7 /* Max private use. */) {
          return fail(offset, 5, 'Too long private-use area, expected at most 8 characters');
        }
        offset++;
      }
      result.privateuse.push(source.slice(index + 1, offset));
      index = offset;
    }
  }
  if (index !== source.length) {
    return fail(index, 6, 'Found superfluous content after tag');
  }
  return result;

  /**
   * Create an empty results object.
   *
   * @param {number} offset
   * @param {number} code
   * @param {string} reason
   * @returns {Schema}
   */
  function fail(offset, code, reason) {
    if (options.warning) options.warning(reason, code, offset);
    return options.forgiving ? result : empty();
  }
}

/**
 * Create an empty results object.
 *
 * @returns {Schema}
 */
function empty() {
  return {
    language: null,
    extendedLanguageSubtags: [],
    script: null,
    region: null,
    variants: [],
    extensions: [],
    privateuse: [],
    irregular: null,
    regular: null
  };
}

/***/ }),

/***/ "./node_modules/bcp-47/lib/regular.js":
/*!********************************************!*\
  !*** ./node_modules/bcp-47/lib/regular.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   regular: function() { return /* binding */ regular; }
/* harmony export */ });
/** @type {Array<string>} */
const regular = ['art-lojban', 'cel-gaulish', 'no-bok', 'no-nyn', 'zh-guoyu', 'zh-hakka', 'zh-min', 'zh-min-nan', 'zh-xiang'];

/***/ }),

/***/ "./node_modules/bcp-47/lib/stringify.js":
/*!**********************************************!*\
  !*** ./node_modules/bcp-47/lib/stringify.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   stringify: function() { return /* binding */ stringify; }
/* harmony export */ });
/**
 * @typedef {Partial<import('./parse.js').Schema>} Schema
 * @typedef {Partial<import('./parse.js').Extension>} Extension
 */

/**
 * Compile a language schema to a BCP 47 language tag.
 *
 * @param {Schema} schema
 * @returns {string}
 */
function stringify() {
  let schema = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  /** @type {Array<string>} */
  let result = [];
  if (schema.irregular) {
    return schema.irregular;
  }
  if (schema.regular) {
    return schema.regular;
  }
  if (schema.language) {
    result = result.concat(schema.language, schema.extendedLanguageSubtags || [], schema.script || [], schema.region || [], schema.variants || []);
    const values = schema.extensions || [];
    let index = -1;
    while (++index < values.length) {
      const value = values[index];
      if (value.singleton && value.extensions && value.extensions.length > 0) {
        result.push(value.singleton, ...value.extensions);
      }
    }
  }
  if (schema.privateuse && schema.privateuse.length > 0) {
    result.push('x', ...schema.privateuse);
  }
  return result.join('-');
}

/***/ }),

/***/ "./node_modules/is-alphabetical/index.js":
/*!***********************************************!*\
  !*** ./node_modules/is-alphabetical/index.js ***!
  \***********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isAlphabetical: function() { return /* binding */ isAlphabetical; }
/* harmony export */ });
/**
 * Check if the given character code, or the character code at the first
 * character, is alphabetical.
 *
 * @param {string|number} character
 * @returns {boolean} Whether `character` is alphabetical.
 */
function isAlphabetical(character) {
  const code = typeof character === 'string' ? character.charCodeAt(0) : character;
  return code >= 97 && code <= 122 /* a-z */ || code >= 65 && code <= 90 /* A-Z */;
}

/***/ }),

/***/ "./node_modules/is-alphanumerical/index.js":
/*!*************************************************!*\
  !*** ./node_modules/is-alphanumerical/index.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isAlphanumerical: function() { return /* binding */ isAlphanumerical; }
/* harmony export */ });
/* harmony import */ var is_alphabetical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! is-alphabetical */ "./node_modules/is-alphabetical/index.js");
/* harmony import */ var is_decimal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! is-decimal */ "./node_modules/is-decimal/index.js");



/**
 * Check if the given character code, or the character code at the first
 * character, is alphanumerical.
 *
 * @param {string|number} character
 * @returns {boolean} Whether `character` is alphanumerical.
 */
function isAlphanumerical(character) {
  return (0,is_alphabetical__WEBPACK_IMPORTED_MODULE_0__.isAlphabetical)(character) || (0,is_decimal__WEBPACK_IMPORTED_MODULE_1__.isDecimal)(character);
}

/***/ }),

/***/ "./node_modules/is-decimal/index.js":
/*!******************************************!*\
  !*** ./node_modules/is-decimal/index.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isDecimal: function() { return /* binding */ isDecimal; }
/* harmony export */ });
/**
 * Check if the given character code, or the character code at the first
 * character, is decimal.
 *
 * @param {string|number} character
 * @returns {boolean} Whether `character` is a decimal
 */
function isDecimal(character) {
  const code = typeof character === 'string' ? character.charCodeAt(0) : character;
  return code >= 48 && code <= 57; /* 0-9 */
}

/***/ }),

/***/ "./src/core/Debug.js":
/*!***************************!*\
  !*** ./src/core/Debug.js ***!
  \***************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



const LOG_LEVEL_NONE = 0;
const LOG_LEVEL_FATAL = 1;
const LOG_LEVEL_ERROR = 2;
const LOG_LEVEL_WARNING = 3;
const LOG_LEVEL_INFO = 4;
const LOG_LEVEL_DEBUG = 5;

/**
 * @module Debug
 * @param {object} config
 * @ignore
 */
function Debug(config) {
  config = config || {};
  const context = this.context;
  const eventBus = (0,_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  const settings = config.settings;
  const logFn = [];
  let instance, showLogTimestamp, showCalleeName, startTime;
  function setup() {
    showLogTimestamp = true;
    showCalleeName = true;
    startTime = new Date().getTime();
    if (typeof window !== 'undefined' && window.console) {
      logFn[LOG_LEVEL_FATAL] = getLogFn(window.console.error);
      logFn[LOG_LEVEL_ERROR] = getLogFn(window.console.error);
      logFn[LOG_LEVEL_WARNING] = getLogFn(window.console.warn);
      logFn[LOG_LEVEL_INFO] = getLogFn(window.console.info);
      logFn[LOG_LEVEL_DEBUG] = getLogFn(window.console.debug);
    }
  }
  function getLogFn(fn) {
    if (fn && fn.bind) {
      return fn.bind(window.console);
    }
    // if not define, return the default function for reporting logs
    return window.console.log.bind(window.console);
  }

  /**
   * Retrieves a logger which can be used to write logging information in browser console.
   * @param {object} instance Object for which the logger is created. It is used
   * to include calle object information in log messages.
   * @memberof module:Debug
   * @returns {Logger}
   * @instance
   */
  function getLogger(instance) {
    return {
      fatal: fatal.bind(instance),
      error: error.bind(instance),
      warn: warn.bind(instance),
      info: info.bind(instance),
      debug: debug.bind(instance)
    };
  }

  /**
   * Prepends a timestamp in milliseconds to each log message.
   * @param {boolean} value Set to true if you want to see a timestamp in each log message.
   * @default LOG_LEVEL_WARNING
   * @memberof module:Debug
   * @instance
   */
  function setLogTimestampVisible(value) {
    showLogTimestamp = value;
  }

  /**
   * Prepends the callee object name, and media type if available, to each log message.
   * @param {boolean} value Set to true if you want to see the callee object name and media type in each log message.
   * @default true
   * @memberof module:Debug
   * @instance
   */
  function setCalleeNameVisible(value) {
    showCalleeName = value;
  }
  function fatal() {
    for (var _len = arguments.length, params = new Array(_len), _key = 0; _key < _len; _key++) {
      params[_key] = arguments[_key];
    }
    doLog(LOG_LEVEL_FATAL, this, ...params);
  }
  function error() {
    for (var _len2 = arguments.length, params = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      params[_key2] = arguments[_key2];
    }
    doLog(LOG_LEVEL_ERROR, this, ...params);
  }
  function warn() {
    for (var _len3 = arguments.length, params = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      params[_key3] = arguments[_key3];
    }
    doLog(LOG_LEVEL_WARNING, this, ...params);
  }
  function info() {
    for (var _len4 = arguments.length, params = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      params[_key4] = arguments[_key4];
    }
    doLog(LOG_LEVEL_INFO, this, ...params);
  }
  function debug() {
    for (var _len5 = arguments.length, params = new Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
      params[_key5] = arguments[_key5];
    }
    doLog(LOG_LEVEL_DEBUG, this, ...params);
  }
  function doLog(level, _this) {
    let message = '';
    let logTime = null;
    if (showLogTimestamp) {
      logTime = new Date().getTime();
      message += '[' + (logTime - startTime) + ']';
    }
    if (showCalleeName && _this && _this.getClassName) {
      message += '[' + _this.getClassName() + ']';
      if (_this.getType) {
        message += '[' + _this.getType() + ']';
      }
    }
    if (message.length > 0) {
      message += ' ';
    }
    for (var _len6 = arguments.length, params = new Array(_len6 > 2 ? _len6 - 2 : 0), _key6 = 2; _key6 < _len6; _key6++) {
      params[_key6 - 2] = arguments[_key6];
    }
    Array.apply(null, params).forEach(function (item) {
      message += item + ' ';
    });

    // log to console if the log level is high enough
    if (logFn[level] && settings && settings.get().debug.logLevel >= level) {
      logFn[level](message);
    }

    // send log event regardless of log level
    if (settings && settings.get().debug.dispatchEvent) {
      eventBus.trigger(_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].LOG, {
        message: message,
        level: level
      });
    }
  }
  instance = {
    getLogger: getLogger,
    setLogTimestampVisible: setLogTimestampVisible,
    setCalleeNameVisible: setCalleeNameVisible
  };
  setup();
  return instance;
}
Debug.__dashjs_factory_name = 'Debug';
const factory = _FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(Debug);
factory.LOG_LEVEL_NONE = LOG_LEVEL_NONE;
factory.LOG_LEVEL_FATAL = LOG_LEVEL_FATAL;
factory.LOG_LEVEL_ERROR = LOG_LEVEL_ERROR;
factory.LOG_LEVEL_WARNING = LOG_LEVEL_WARNING;
factory.LOG_LEVEL_INFO = LOG_LEVEL_INFO;
factory.LOG_LEVEL_DEBUG = LOG_LEVEL_DEBUG;
_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].updateSingletonFactory(Debug.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/core/EventBus.js":
/*!******************************!*\
  !*** ./src/core/EventBus.js ***!
  \******************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


const EVENT_PRIORITY_LOW = 0;
const EVENT_PRIORITY_HIGH = 5000;
function EventBus() {
  let handlers = {};
  function _commonOn(type, listener, scope) {
    let options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
    let executeOnlyOnce = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
    if (!type) {
      throw new Error('event type cannot be null or undefined');
    }
    if (!listener || typeof listener !== 'function') {
      throw new Error('listener must be a function: ' + listener);
    }
    let priority = options.priority || EVENT_PRIORITY_LOW;
    if (getHandlerIdx(type, listener, scope) >= 0) {
      return;
    }
    handlers[type] = handlers[type] || [];
    const handler = {
      callback: listener,
      scope,
      priority,
      executeOnlyOnce
    };
    if (scope && scope.getStreamId) {
      handler.streamId = scope.getStreamId();
    }
    if (scope && scope.getType) {
      handler.mediaType = scope.getType();
    }
    if (options && options.mode) {
      handler.mode = options.mode;
    }
    const inserted = handlers[type].some((item, idx) => {
      if (item && priority > item.priority) {
        handlers[type].splice(idx, 0, handler);
        return true;
      }
    });
    if (!inserted) {
      handlers[type].push(handler);
    }
  }
  function on(type, listener, scope) {
    let options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
    _commonOn(type, listener, scope, options);
  }
  function once(type, listener, scope) {
    let options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
    _commonOn(type, listener, scope, options, true);
  }
  function off(type, listener, scope) {
    if (!type || !listener || !handlers[type]) {
      return;
    }
    const idx = getHandlerIdx(type, listener, scope);
    if (idx < 0) {
      return;
    }
    handlers[type][idx] = null;
  }
  function trigger(type) {
    let payload = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    let filters = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    if (!type || !handlers[type]) {
      return;
    }
    payload = payload || {};
    if (payload.hasOwnProperty('type')) {
      throw new Error('\'type\' is a reserved word for event dispatching');
    }
    payload.type = type;
    if (filters.streamId) {
      payload.streamId = filters.streamId;
    }
    if (filters.mediaType) {
      payload.mediaType = filters.mediaType;
    }
    const handlersToRemove = [];
    handlers[type].filter(handler => {
      if (!handler) {
        return false;
      }
      if (filters.streamId && handler.streamId && handler.streamId !== filters.streamId) {
        return false;
      }
      if (filters.mediaType && handler.mediaType && handler.mediaType !== filters.mediaType) {
        return false;
      }
      // This is used for dispatching DASH events. By default we use the onStart mode. Consequently we filter everything that has a non matching mode and the onReceive events for handlers that did not specify a mode.
      if (filters.mode && handler.mode && handler.mode !== filters.mode || !handler.mode && filters.mode && filters.mode === _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].EVENT_MODE_ON_RECEIVE) {
        return false;
      }
      return true;
    }).forEach(handler => {
      handler && handler.callback.call(handler.scope, payload);
      if (handler.executeOnlyOnce) {
        handlersToRemove.push(handler);
      }
    });
    handlersToRemove.forEach(handler => {
      off(type, handler.callback, handler.scope);
    });
  }
  function getHandlerIdx(type, listener, scope) {
    let idx = -1;
    if (!handlers[type]) {
      return idx;
    }
    handlers[type].some((item, index) => {
      if (item && item.callback === listener && (!scope || scope === item.scope)) {
        idx = index;
        return true;
      }
    });
    return idx;
  }
  function reset() {
    handlers = {};
  }
  const instance = {
    on,
    once,
    off,
    trigger,
    reset
  };
  return instance;
}
EventBus.__dashjs_factory_name = 'EventBus';
const factory = _FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(EventBus);
factory.EVENT_PRIORITY_LOW = EVENT_PRIORITY_LOW;
factory.EVENT_PRIORITY_HIGH = EVENT_PRIORITY_HIGH;
_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].updateSingletonFactory(EventBus.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/core/FactoryMaker.js":
/*!**********************************!*\
  !*** ./src/core/FactoryMaker.js ***!
  \**********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @module FactoryMaker
 * @ignore
 */
const FactoryMaker = function () {
  let instance;
  let singletonContexts = [];
  const singletonFactories = {};
  const classFactories = {};
  function extend(name, childInstance, override, context) {
    if (!context[name] && childInstance) {
      context[name] = {
        instance: childInstance,
        override: override
      };
    }
  }

  /**
   * Use this method from your extended object.  this.factory is injected into your object.
   * this.factory.getSingletonInstance(this.context, 'VideoModel')
   * will return the video model for use in the extended object.
   *
   * @param {Object} context - injected into extended object as this.context
   * @param {string} className - string name found in all dash.js objects
   * with name __dashjs_factory_name Will be at the bottom. Will be the same as the object's name.
   * @returns {*} Context aware instance of specified singleton name.
   * @memberof module:FactoryMaker
   * @instance
   */
  function getSingletonInstance(context, className) {
    for (const i in singletonContexts) {
      const obj = singletonContexts[i];
      if (obj.context === context && obj.name === className) {
        return obj.instance;
      }
    }
    return null;
  }

  /**
   * Use this method to add an singleton instance to the system.  Useful for unit testing to mock objects etc.
   *
   * @param {Object} context
   * @param {string} className
   * @param {Object} instance
   * @memberof module:FactoryMaker
   * @instance
   */
  function setSingletonInstance(context, className, instance) {
    for (const i in singletonContexts) {
      const obj = singletonContexts[i];
      if (obj.context === context && obj.name === className) {
        singletonContexts[i].instance = instance;
        return;
      }
    }
    singletonContexts.push({
      name: className,
      context: context,
      instance: instance
    });
  }

  /**
   * Use this method to remove all singleton instances associated with a particular context.
   *
   * @param {Object} context
   * @memberof module:FactoryMaker
   * @instance
   */
  function deleteSingletonInstances(context) {
    singletonContexts = singletonContexts.filter(x => x.context !== context);
  }

  /*------------------------------------------------------------------------------------------*/

  // Factories storage Management

  /*------------------------------------------------------------------------------------------*/

  function getFactoryByName(name, factoriesArray) {
    return factoriesArray[name];
  }
  function updateFactory(name, factory, factoriesArray) {
    if (name in factoriesArray) {
      factoriesArray[name] = factory;
    }
  }

  /*------------------------------------------------------------------------------------------*/

  // Class Factories Management

  /*------------------------------------------------------------------------------------------*/

  function updateClassFactory(name, factory) {
    updateFactory(name, factory, classFactories);
  }
  function getClassFactoryByName(name) {
    return getFactoryByName(name, classFactories);
  }
  function getClassFactory(classConstructor) {
    let factory = getFactoryByName(classConstructor.__dashjs_factory_name, classFactories);
    if (!factory) {
      factory = function (context) {
        if (context === undefined) {
          context = {};
        }
        return {
          create: function () {
            return merge(classConstructor, context, arguments);
          }
        };
      };
      classFactories[classConstructor.__dashjs_factory_name] = factory; // store factory
    }
    return factory;
  }

  /*------------------------------------------------------------------------------------------*/

  // Singleton Factory MAangement

  /*------------------------------------------------------------------------------------------*/

  function updateSingletonFactory(name, factory) {
    updateFactory(name, factory, singletonFactories);
  }
  function getSingletonFactoryByName(name) {
    return getFactoryByName(name, singletonFactories);
  }
  function getSingletonFactory(classConstructor) {
    let factory = getFactoryByName(classConstructor.__dashjs_factory_name, singletonFactories);
    if (!factory) {
      factory = function (context) {
        let instance;
        if (context === undefined) {
          context = {};
        }
        return {
          getInstance: function () {
            // If we don't have an instance yet check for one on the context
            if (!instance) {
              instance = getSingletonInstance(context, classConstructor.__dashjs_factory_name);
            }
            // If there's no instance on the context then create one
            if (!instance) {
              instance = merge(classConstructor, context, arguments);
              singletonContexts.push({
                name: classConstructor.__dashjs_factory_name,
                context: context,
                instance: instance
              });
            }
            return instance;
          }
        };
      };
      singletonFactories[classConstructor.__dashjs_factory_name] = factory; // store factory
    }
    return factory;
  }
  function merge(classConstructor, context, args) {
    let classInstance;
    const className = classConstructor.__dashjs_factory_name;
    const extensionObject = context[className];
    if (extensionObject) {
      let extension = extensionObject.instance;
      if (extensionObject.override) {
        //Override public methods in parent but keep parent.

        classInstance = classConstructor.apply({
          context
        }, args);
        extension = extension.apply({
          context,
          factory: instance,
          parent: classInstance
        }, args);
        for (const prop in extension) {
          if (classInstance.hasOwnProperty(prop)) {
            classInstance[prop] = extension[prop];
          }
        }
      } else {
        //replace parent object completely with new object. Same as dijon.

        return extension.apply({
          context,
          factory: instance
        }, args);
      }
    } else {
      // Create new instance of the class
      classInstance = classConstructor.apply({
        context
      }, args);
    }

    // Add getClassName function to class instance prototype (used by Debug)
    classInstance.getClassName = function () {
      return className;
    };
    return classInstance;
  }
  instance = {
    extend: extend,
    getSingletonInstance: getSingletonInstance,
    setSingletonInstance: setSingletonInstance,
    deleteSingletonInstances: deleteSingletonInstances,
    getSingletonFactory: getSingletonFactory,
    getSingletonFactoryByName: getSingletonFactoryByName,
    updateSingletonFactory: updateSingletonFactory,
    getClassFactory: getClassFactory,
    getClassFactoryByName: getClassFactoryByName,
    updateClassFactory: updateClassFactory
  };
  return instance;
}();
/* harmony default export */ __webpack_exports__["default"] = (FactoryMaker);

/***/ }),

/***/ "./src/core/Settings.js":
/*!******************************!*\
  !*** ./src/core/Settings.js ***!
  \******************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _Utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../streaming/vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _EventBus_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _events_Events_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./events/Events.js */ "./src/core/events/Events.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








/** @module Settings
 * @description Define the configuration parameters of Dash.js MediaPlayer.
 * @see {@link module:Settings~PlayerSettings PlayerSettings} for further information about the supported configuration properties.
 */

/**
 * @typedef {Object} PlayerSettings
 * @property {module:Settings~DebugSettings} [debug]
 * Debug related settings.
 * @property {module:Settings~ErrorSettings} [errors]
 * Error related settings
 * @property {module:Settings~StreamingSettings} [streaming]
 * Streaming related settings.
 * @example
 *
 * // Full settings object
 * settings = {
 *        debug: {
 *            logLevel: Debug.LOG_LEVEL_WARNING,
 *            dispatchEvent: false
 *        },
 *        streaming: {
 *            abandonLoadTimeout: 10000,
 *            wallclockTimeUpdateInterval: 100,
 *            manifestUpdateRetryInterval: 100,
 *            liveUpdateTimeThresholdInMilliseconds: 0,
 *            cacheInitSegments: false,
 *            applyServiceDescription: true,
 *            applyProducerReferenceTime: true,
 *            applyContentSteering: true,
 *            enableManifestDurationMismatchFix: true,
 *            parseInbandPrft: false,
 *            enableManifestTimescaleMismatchFix: false,
 *            capabilities: {
 *               filterUnsupportedEssentialProperties: true,
 *               supportedEssentialProperties: [
 *                   { schemeIdUri: Constants.FONT_DOWNLOAD_DVB_SCHEME },
 *                   { schemeIdUri: Constants.COLOUR_PRIMARIES_SCHEME_ID_URI, value: /1|5|6|7/ },
 *                   { schemeIdUri: Constants.URL_QUERY_INFO_SCHEME },
 *                   { schemeIdUri: Constants.EXT_URL_QUERY_INFO_SCHEME },
 *                   { schemeIdUri: Constants.MATRIX_COEFFICIENTS_SCHEME_ID_URI, value: /0|1|5|6/ },
 *                   { schemeIdUri: Constants.TRANSFER_CHARACTERISTICS_SCHEME_ID_URI, value: /1|6|13|14|15/ },
 *                   ...Constants.THUMBNAILS_SCHEME_ID_URIS.map(ep => { return { 'schemeIdUri': ep }; })
 *               ],
 *               useMediaCapabilitiesApi: true,
 *               filterVideoColorimetryEssentialProperties: false,
 *               filterHDRMetadataFormatEssentialProperties: false
 *            },
 *            events: {
 *              eventControllerRefreshDelay: 100,
 *              deleteEventMessageDataTimeout: 10000
 *            }
 *            timeShiftBuffer: {
 *                calcFromSegmentTimeline: false,
 *                fallbackToSegmentTimeline: true
 *            },
 *            metrics: {
 *              maxListDepth: 100
 *            },
 *            delay: {
 *                liveDelayFragmentCount: NaN,
 *                liveDelay: NaN,
 *                useSuggestedPresentationDelay: true
 *            },
 *            protection: {
 *                keepProtectionMediaKeys: false,
 *                ignoreEmeEncryptedEvent: false,
 *                detectPlayreadyMessageFormat: true,
 *                ignoreKeyStatuses: false
 *            },
 *            buffer: {
 *                enableSeekDecorrelationFix: false,
 *                fastSwitchEnabled: true,
 *                flushBufferAtTrackSwitch: false,
 *                reuseExistingSourceBuffers: true,
 *                bufferPruningInterval: 10,
 *                bufferToKeep: 20,
 *                bufferTimeAtTopQuality: 30,
 *                bufferTimeAtTopQualityLongForm: 60,
 *                initialBufferLevel: NaN,
 *                bufferTimeDefault: 18,
 *                longFormContentDurationThreshold: 600,
 *                stallThreshold: 0.3,
 *                lowLatencyStallThreshold: 0.3,
 *                useAppendWindow: true,
 *                setStallState: true,
 *                avoidCurrentTimeRangePruning: false,
 *                useChangeType: true,
 *                mediaSourceDurationInfinity: true,
 *                resetSourceBuffersForTrackSwitch: false,
 *                syntheticStallEvents: {
 *                    enabled: false,
 *                    ignoreReadyState: false
 *                }
 *            },
 *            gaps: {
 *                jumpGaps: true,
 *                jumpLargeGaps: true,
 *                smallGapLimit: 1.5,
 *                threshold: 0.3,
 *                enableSeekFix: true,
 *                enableStallFix: false,
 *                stallSeek: 0.1
 *            },
 *            utcSynchronization: {
 *                enabled: true,
 *                useManifestDateHeaderTimeSource: true,
 *                backgroundAttempts: 2,
 *                timeBetweenSyncAttempts: 30,
 *                maximumTimeBetweenSyncAttempts: 600,
 *                minimumTimeBetweenSyncAttempts: 2,
 *                timeBetweenSyncAttemptsAdjustmentFactor: 2,
 *                maximumAllowedDrift: 100,
 *                enableBackgroundSyncAfterSegmentDownloadError: true,
 *                defaultTimingSource: {
 *                    scheme: 'urn:mpeg:dash:utc:http-xsdate:2014',
 *                    value: 'http://time.akamai.com/?iso&ms'
 *                }
 *            },
 *            scheduling: {
 *                defaultTimeout: 500,
 *                lowLatencyTimeout: 0,
 *                scheduleWhilePaused: true
 *            },
 *            text: {
 *                defaultEnabled: true,
 *                dispatchForManualRendering: false,
 *                extendSegmentedCues: true,
 *                imsc: {
 *                    displayForcedOnlyMode: false,
 *                    enableRollUp: true
 *                },
 *                webvtt: {
 *                    customRenderingEnabled: false
 *                }
 *            },
 *            liveCatchup: {
 *                maxDrift: NaN,
 *                playbackRate: {min: NaN, max: NaN},
 *                playbackBufferMin: 0.5,
 *                enabled: null,
 *                mode: Constants.LIVE_CATCHUP_MODE_DEFAULT
 *            },
 *            lastBitrateCachingInfo: { enabled: true, ttl: 360000 },
 *            lastMediaSettingsCachingInfo: { enabled: true, ttl: 360000 },
 *            saveLastMediaSettingsForCurrentStreamingSession: true,
 *            cacheLoadThresholds: { video: 10, audio: 5 },
 *            trackSwitchMode: {
 *                audio: Constants.TRACK_SWITCH_MODE_ALWAYS_REPLACE,
 *                video: Constants.TRACK_SWITCH_MODE_NEVER_REPLACE
 *            },
 *            ignoreSelectionPriority: false,
 *            prioritizeRoleMain: true,
 *            assumeDefaultRoleAsMain: true,
 *            selectionModeForInitialTrack: Constants.TRACK_SELECTION_MODE_HIGHEST_EFFICIENCY,
 *            fragmentRequestTimeout: 20000,
 *            fragmentRequestProgressTimeout: -1,
 *            manifestRequestTimeout: 10000,
 *            retryIntervals: {
 *                [HTTPRequest.MPD_TYPE]: 500,
 *                [HTTPRequest.XLINK_EXPANSION_TYPE]: 500,
 *                [HTTPRequest.MEDIA_SEGMENT_TYPE]: 1000,
 *                [HTTPRequest.INIT_SEGMENT_TYPE]: 1000,
 *                [HTTPRequest.BITSTREAM_SWITCHING_SEGMENT_TYPE]: 1000,
 *                [HTTPRequest.INDEX_SEGMENT_TYPE]: 1000,
 *                [HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE]: 1000,
 *                [HTTPRequest.LICENSE]: 1000,
 *                [HTTPRequest.OTHER_TYPE]: 1000,
 *                lowLatencyReductionFactor: 10
 *            },
 *            retryAttempts: {
 *                [HTTPRequest.MPD_TYPE]: 3,
 *                [HTTPRequest.XLINK_EXPANSION_TYPE]: 1,
 *                [HTTPRequest.MEDIA_SEGMENT_TYPE]: 3,
 *                [HTTPRequest.INIT_SEGMENT_TYPE]: 3,
 *                [HTTPRequest.BITSTREAM_SWITCHING_SEGMENT_TYPE]: 3,
 *                [HTTPRequest.INDEX_SEGMENT_TYPE]: 3,
 *                [HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE]: 3,
 *                [HTTPRequest.LICENSE]: 3,
 *                [HTTPRequest.OTHER_TYPE]: 3,
 *                lowLatencyMultiplyFactor: 5
 *            },
 *             abr: {
 *                 limitBitrateByPortal: false,
 *                 usePixelRatioInLimitBitrateByPortal: false,
 *                rules: {
 *                     throughputRule: {
 *                         active: true
 *                     },
 *                     bolaRule: {
 *                         active: true
 *                     },
 *                     insufficientBufferRule: {
 *                         active: true,
 *                         parameters: {
 *                             throughputSafetyFactor: 0.7,
 *                             segmentIgnoreCount: 2
 *                         }
 *                     },
 *                     switchHistoryRule: {
 *                         active: true,
 *                         parameters: {
 *                             sampleSize: 8,
 *                             switchPercentageThreshold: 0.075
 *                         }
 *                     },
 *                     droppedFramesRule: {
 *                         active: true,
 *                         parameters: {
 *                             minimumSampleSize: 375,
 *                             droppedFramesPercentageThreshold: 0.15
 *                         }
 *                     },
 *                     abandonRequestsRule: {
 *                         active: true,
 *                         parameters: {
 *                             abandonDurationMultiplier: 1.8,
 *                             minSegmentDownloadTimeThresholdInMs: 500,
 *                             minThroughputSamplesThreshold: 6
 *                         }
 *                     },
 *                     l2ARule: {
 *                         active: false
 *                     },
 *                     loLPRule: {
 *                         active: false
 *                     }
 *                 },
 *                 throughput: {
 *                     averageCalculationMode: Constants.THROUGHPUT_CALCULATION_MODES.EWMA,
 *                     lowLatencyDownloadTimeCalculationMode: Constants.LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.MOOF_PARSING,
 *                     useResourceTimingApi: true,
 *                     useNetworkInformationApi: {
 *                         xhr: false,
 *                         fetch: false
 *                     },
 *                     useDeadTimeLatency: true,
 *                     bandwidthSafetyFactor: 0.9,
 *                     sampleSettings: {
 *                         live: 3,
 *                         vod: 4,
 *                         enableSampleSizeAdjustment: true,
 *                         decreaseScale: 0.7,
 *                         increaseScale: 1.3,
 *                         maxMeasurementsToKeep: 20,
 *                         averageLatencySampleAmount: 4,
 *                     },
 *                     ewma: {
 *                         throughputSlowHalfLifeSeconds: 8,
 *                         throughputFastHalfLifeSeconds: 3,
 *                         latencySlowHalfLifeCount: 2,
 *                         latencyFastHalfLifeCount: 1,
 *                         weightDownloadTimeMultiplicationFactor: 0.0015
 *                     }
 *                 },
 *                 maxBitrate: {
 *                     audio: -1,
 *                     video: -1
 *                 },
 *                 minBitrate: {
 *                     audio: -1,
 *                     video: -1
 *                 },
 *                 initialBitrate: {
 *                     audio: -1,
 *                     video: -1
 *                 },
 *                 autoSwitchBitrate: {
 *                     audio: true,
 *                     video: true
 *                 }
 *             },
 *            cmcd: {
 *                enabled: false,
 *                sid: null,
 *                cid: null,
 *                rtp: null,
 *                rtpSafetyFactor: 5,
 *                mode: Constants.CMCD_MODE_QUERY,
 *                enabledKeys: ['br', 'd', 'ot', 'tb' , 'bl', 'dl', 'mtp', 'nor', 'nrr', 'su' , 'bs', 'rtp' , 'cid', 'pr', 'sf', 'sid', 'st', 'v']
 *                includeInRequests: ['segment', 'mpd'],
 *                version: 1
 *            },
 *            cmsd: {
 *                enabled: false,
 *                abr: {
 *                    applyMb: false,
 *                    etpWeightRatio: 0
 *                }
 *            },
 *            defaultSchemeIdUri: {
 *                viewpoint: '',
 *                audioChannelConfiguration: 'urn:mpeg:mpegB:cicp:ChannelConfiguration',
 *                role: 'urn:mpeg:dash:role:2011',
 *                accessibility: 'urn:mpeg:dash:role:2011'
 *            }
 *          },
 *          errors: {
 *            recoverAttempts: {
 *                mediaErrorDecode: 5
 *             }
 *          }
 * }
 */

/**
 * @typedef {Object} TimeShiftBuffer
 * @property {boolean} [calcFromSegmentTimeline=false]
 * Enable calculation of the DVR window for SegmentTimeline manifests based on the entries in \<SegmentTimeline\>.
 *  * @property {boolean} [fallbackToSegmentTimeline=true]
 * In case the MPD uses \<SegmentTimeline\ and no segment is found within the DVR window the DVR window is calculated based on the entries in \<SegmentTimeline\>.
 */

/**
 * @typedef {Object} EventSettings
 * @property {number} [eventControllerRefreshDelay=100]
 * Interval timer used by the EventController to check if events need to be triggered or removed.
 * @property {number} [deleteEventMessageDataTimeout=10000]
 * If this value is larger than -1 the EventController will delete the message data attributes of events after they have been started and dispatched to the application.
 * This is to save memory in case events have a long duration and need to be persisted in the EventController.
 * This parameter defines the time in milliseconds between the start of an event and when the message data is deleted.
 * If an event is dispatched for the second time (e.g. when the user seeks back) the message data will not be included in the dispatched event if it has been deleted already.
 * Set this value to -1 to not delete any message data.
 */

/**
 * @typedef {Object} LiveDelay
 * @property {number} [liveDelayFragmentCount=NaN]
 * Changing this value will lower or increase live stream latency.
 *
 * The detected segment duration will be multiplied by this value to define a time in seconds to delay a live stream from the live edge.
 *
 * Lowering this value will lower latency but may decrease the player's ability to build a stable buffer.
 * @property {number} [liveDelay=NaN]
 * Equivalent in seconds of setLiveDelayFragmentCount.
 *
 * Lowering this value will lower latency but may decrease the player's ability to build a stable buffer.
 *
 * This value should be less than the manifest duration by a couple of segment durations to avoid playback issues.
 *
 * If set, this parameter will take precedence over setLiveDelayFragmentCount and manifest info.
 * @property {boolean} [useSuggestedPresentationDelay=true]
 * Set to true if you would like to overwrite the default live delay and honor the SuggestedPresentationDelay attribute in by the manifest.
 */

/**
 * @typedef {Object} Buffer
 * @property {boolean} [enableSeekDecorrelationFix=false]
 * Enables a workaround for playback start on some devices, e.g. WebOS 4.9.
 * It is necessary because some browsers do not support setting currentTime on video element to a value that is outside of current buffer.
 *
 * If you experience unexpected seeking triggered by BufferController, you can try setting this value to false.

 * @property {boolean} [fastSwitchEnabled=true]
 * When enabled, after an ABR up-switch in quality, instead of requesting and appending the next fragment at the end of the current buffer range it is requested and appended closer to the current time.
 *
 * When enabled, The maximum time to render a higher quality is current time + (1.5 * fragment duration).
 *
 * Note, When ABR down-switch is detected, we appended the lower quality at the end of the buffer range to preserve the
 * higher quality media for as long as possible.
 *
 * If enabled, it should be noted there are a few cases when the client will not replace inside buffer range but rather just append at the end.
 * 1. When the buffer level is less than one fragment duration.
 * 2. The client is in an Abandonment State due to recent fragment abandonment event.
 *
 * Known issues:
 * 1. In IE11 with auto switching off, if a user switches to a quality they can not download in time the fragment may be appended in the same range as the playhead or even in the past, in IE11 it may cause a stutter or stall in playback.
 * @property {boolean} [flushBufferAtTrackSwitch=false]
 * When enabled, after a track switch and in case buffer is being replaced, the video element is flushed (seek at current playback time) once a segment of the new track is appended in buffer in order to force video decoder to play new track.
 *
 * This can be required on some devices like GoogleCast devices to make track switching functional.
 *
 * Otherwise, track switching will be effective only once after previous buffered track is fully consumed.
 * @property {boolean} [reuseExistingSourceBuffers=true]
 * Enable reuse of existing MediaSource Sourcebuffers during period transition.
 * @property {number} [bufferPruningInterval=10]
 * The interval of pruning buffer in seconds.
 * @property {number} [bufferToKeep=20]
 * This value influences the buffer pruning logic.
 *
 * Allows you to modify the buffer that is kept in source buffer in seconds.
 * 0|-----------bufferToPrune-----------|-----bufferToKeep-----|currentTime|
 * @property {number} [bufferTimeDefault=18]
 * The time that the internal buffer target will be set to when not playing at the top quality.
 * @property {number} [bufferTimeAtTopQuality=30]
 * The time that the internal buffer target will be set to once playing the top quality.
 *
 * If there are multiple bitrates in your adaptation, and the media is playing at the highest bitrate, then we try to build a larger buffer at the top quality to increase stability and to maintain media quality.
 * @property {number} [bufferTimeAtTopQualityLongForm=60]
 * The time that the internal buffer target will be set to once playing the top quality for long form content.
 * @property {number} [longFormContentDurationThreshold=600]
 * The threshold which defines if the media is considered long form content.
 *
 * This will directly affect the buffer targets when playing back at the top quality.
 * @property {number} [initialBufferLevel=NaN]
 * Initial buffer level before playback starts
 * @property {number} [stallThreshold=0.3]
 * Stall threshold used in BufferController.js to determine whether a track should still be changed and which buffer range to prune.
 * @property {number} [lowLatencyStallThreshold=0.3]
 * Low Latency stall threshold used in BufferController.js to determine whether a track should still be changed and which buffer range to prune.
 * @property {boolean} [useAppendWindow=true]
 * Specifies if the appendWindow attributes of the MSE SourceBuffers should be set according to content duration from manifest.
 * @property {boolean} [setStallState=true]
 * Specifies if we fire manual waiting events once the stall threshold is reached.
 * @property {module:Settings~SyntheticStallSettings} [syntheticStallEvents]
 * Specifies if manual stall events are to be fired once the stall threshold is reached.
 * @property {boolean} [avoidCurrentTimeRangePruning=false]
 * Avoids pruning of the buffered range that contains the current playback time.
 *
 * That buffered range is likely to have been enqueued for playback. Pruning it causes a flush and reenqueue in WPE and WebKitGTK based browsers. This stresses the video decoder and can cause stuttering on embedded platforms.
 * @property {boolean} [useChangeType=true]
 * If this flag is set to true then dash.js will use the MSE v.2 API call "changeType()" before switching to a different codec family.
 * Note that some platforms might not implement the changeType function. dash.js is checking for the availability before trying to call it.
 * @property {boolean} [mediaSourceDurationInfinity=true]
 * If this flag is set to true then dash.js will allow `Infinity` to be set as the MediaSource duration otherwise the duration will be set to `Math.pow(2,32)` instead of `Infinity` to allow appending segments indefinitely.
 * Some platforms such as WebOS 4.x have issues with seeking when duration is set to `Infinity`, setting this flag to false resolve this.
 * @property {boolean} [resetSourceBuffersForTrackSwitch=false]
 * When switching to a track that is not compatible with the currently active MSE SourceBuffers, MSE will be reset. This happens when we switch codecs on a system
 * that does not properly implement "changeType()", such as webOS 4.0 and before.
 */

/**
 * @typedef {Object} module:Settings~AudioVideoSettings
 * @property {number|boolean|string} [audio]
 * Configuration for audio media type of tracks.
 * @property {number|boolean|string} [video]
 * Configuration for video media type of tracks.
 */

/**
 * @typedef {Object} module:Settings~SyntheticStallSettings
 * @property {boolean} [enabled]
 * Enables manual stall events and sets the playback rate to 0 once the stall threshold is reached.
 * @property {boolean} [ignoreReadyState]
 * Ignore the media element's ready state when entering or exiting a stall.
 * Enable this when either of these scenarios still occur with synthetic stalls enabled:
 * - If the buffer is empty, but playback is not stalled.
 * - If playback resumes, but a playing event isn't reported.
 */

/**
 * @typedef {Object} DebugSettings
 * @property {number} [logLevel=dashjs.Debug.LOG_LEVEL_WARNING]
 * Sets up the log level. The levels are cumulative.
 *
 * For example, if you set the log level to dashjs.Debug.LOG_LEVEL_WARNING all warnings, errors and fatals will be logged.
 *
 * Possible values.
 *
 * - dashjs.Debug.LOG_LEVEL_NONE
 * No message is written in the browser console.
 *
 * - dashjs.Debug.LOG_LEVEL_FATAL
 * Log fatal errors.
 * An error is considered fatal when it causes playback to fail completely.
 *
 * - dashjs.Debug.LOG_LEVEL_ERROR
 * Log error messages.
 *
 * - dashjs.Debug.LOG_LEVEL_WARNING
 * Log warning messages.
 *
 * - dashjs.Debug.LOG_LEVEL_INFO
 * Log info messages.
 *
 * - dashjs.Debug.LOG_LEVEL_DEBUG
 * Log debug messages.
 * @property {boolean} [dispatchEvent=false]
 * Enable to trigger a Events.LOG event whenever log output is generated.
 *
 * Note this will be dispatched regardless of log level.
 */

/**
 * @typedef {Object} module:Settings~ErrorSettings
 * @property {object} [recoverAttempts={mediaErrorDecode: 5}]
 * Defines the maximum number of recover attempts for specific media errors.
 *
 * For mediaErrorDecode the player will reset the MSE and skip the blacklisted segment that caused the decode error. The resulting gap will be handled by the GapController.
 */

/**
 * @typedef {Object} CachingInfoSettings
 * @property {boolean} [enable]
 * Enable or disable the caching feature.
 * @property {number} [ttl]
 * Time to live.
 *
 * A value defined in milliseconds representing how log to cache the settings for.
 */

/**
 * @typedef {Object} Gaps
 * @property {boolean} [jumpGaps=true]
 * Sets whether player should jump small gaps (discontinuities) in the buffer.
 * @property {boolean} [jumpLargeGaps=true]
 * Sets whether player should jump large gaps (discontinuities) in the buffer.
 * @property {number} [smallGapLimit=1.5]
 * Time in seconds for a gap to be considered small.
 * @property {number} [threshold=0.3]
 * Threshold at which the gap handling is executed. If currentRangeEnd - currentTime < threshold the gap jump will be triggered.
 * For live stream the jump might be delayed to keep a consistent live edge.
 * Note that the amount of buffer at which platforms automatically stall might differ.
 * @property {boolean} [enableSeekFix=true]
 * Enables the adjustment of the seek target once no valid segment request could be generated for a specific seek time. This can happen if the user seeks to a position for which there is a gap in the timeline.
 * @property {boolean} [enableStallFix=false]
 * If playback stalled in a buffered range this fix will perform a seek by the value defined in stallSeek to trigger playback again.
 * @property {number} [stallSeek=0.1]
 * Value to be used in case enableStallFix is set to true
 */

/**
 * @typedef {Object} UtcSynchronizationSettings
 * @property {boolean} [enabled=true]
 * Enables or disables the UTC clock synchronization
 * @property {boolean} [useManifestDateHeaderTimeSource=true]
 * Allows you to enable the use of the Date Header, if exposed with CORS, as a timing source for live edge detection.
 *
 * The use of the date header will happen only after the other timing source that take precedence fail or are omitted as described.
 * @property {number} [backgroundAttempts=2]
 * Number of synchronization attempts to perform in the background after an initial synchronization request has been done. This is used to verify that the derived client-server offset is correct.
 *
 * The background requests are async and done in parallel to the start of the playback.
 *
 * This value is also used to perform a resync after 404 errors on segments.
 * @property {number} [timeBetweenSyncAttempts=30]
 * The time in seconds between two consecutive sync attempts.
 *
 * Note: This value is used as an initial starting value. The internal value of the TimeSyncController is adjusted during playback based on the drift between two consecutive synchronization attempts.
 *
 * Note: A sync is only performed after an MPD update. In case the @minimumUpdatePeriod is larger than this value the sync will be delayed until the next MPD update.
 * @property {number} [maximumTimeBetweenSyncAttempts=600]
 * The maximum time in seconds between two consecutive sync attempts.
 *
 * @property {number} [minimumTimeBetweenSyncAttempts=2]
 * The minimum time in seconds between two consecutive sync attempts.
 *
 * @property {number} [timeBetweenSyncAttemptsAdjustmentFactor=2]
 * The factor used to multiply or divide the timeBetweenSyncAttempts parameter after a sync. The maximumAllowedDrift defines whether this value is used as a factor or a dividend.
 *
 * @property {number} [maximumAllowedDrift=100]
 * The maximum allowed drift specified in milliseconds between two consecutive synchronization attempts.
 *
 * @property {boolean} [enableBackgroundSyncAfterSegmentDownloadError=true]
 * Enables or disables the background sync after the player ran into a segment download error.
 *
 * @property {object} [defaultTimingSource={scheme:'urn:mpeg:dash:utc:http-xsdate:2014',value: 'http://time.akamai.com/?iso&ms'}]
 * The default timing source to be used. The timing sources in the MPD take precedence over this one.
 */

/**
 * @typedef {Object} Scheduling
 * @property {number} [defaultTimeout=500]
 * Default timeout between two consecutive segment scheduling attempts
 * @property {number} [lowLatencyTimeout=0]
 * Default timeout between two consecutive low-latency segment scheduling attempts
 * @property {boolean} [scheduleWhilePaused=true]
 * Set to true if you would like dash.js to keep downloading fragments in the background when the video element is paused.
 */

/**
 * @typedef {Object} Text
 * @property {boolean} [defaultEnabled=true]
 * Enable/disable subtitle rendering by default.
 * @property {boolean} [dispatchForManualRendering=false]
 * Enable/disable firing of CueEnter/CueExt events. This will disable the display of subtitles and should be used when you want to have full control about rendering them.
 * @property {boolean} [extendSegmentedCues=true]
 * Enable/disable patching of segmented cues in order to merge as a single cue by extending cue end time.
 * @property {boolean} [imsc.displayForcedOnlyMode=false]
 * Enable/disable forced only mode in IMSC captions.
 * When true, only those captions where itts:forcedDisplay="true" will be displayed.
 * @property {boolean} [imsc.enableRollUp=true]
 * Enable/disable rollUp style display of IMSC captions.
 * @property {object} [webvtt.customRenderingEnabled=false]
 * Enables the custom rendering for WebVTT captions. For details refer to the "Subtitles and Captions" sample section of dash.js.
 * Custom WebVTT rendering requires the external library vtt.js that can be found in the contrib folder.
 */

/**
 * @typedef {Object} LiveCatchupSettings
 * @property {number} [maxDrift=NaN]
 * Use this method to set the maximum latency deviation allowed before dash.js to do a seeking to live position.
 *
 * In low latency mode, when the difference between the measured latency and the target one, as an absolute number, is higher than the one sets with this method, then dash.js does a seek to live edge position minus the target live delay.
 *
 * LowLatencyMaxDriftBeforeSeeking should be provided in seconds.
 *
 * If 0, then seeking operations won't be used for fixing latency deviations.
 *
 * Note: Catch-up mechanism is only applied when playing low latency live streams.
 * @property {number} [playbackRate={min: NaN, max: NaN}]
 * Use this parameter to set the minimum and maximum catch up rates, as percentages, for low latency live streams.
 *
 * In low latency mode, when measured latency is higher/lower than the target one, dash.js increases/decreases playback rate respectively up to (+/-) the percentage defined with this method until target is reached.
 *
 * Valid values for min catch up rate are in the range -0.5 to 0 (-50% to 0% playback rate decrease)
 *
 * Valid values for max catch up rate are in the range 0 to 1 (0% to 100% playback rate increase).
 *
 * Set min and max to NaN to turn off live catch up feature.
 *
 * These playback rate limits take precedence over any PlaybackRate values in ServiceDescription elements in an MPD. If only one of the min/max properties is given a value, the property without a value will not fall back to a ServiceDescription value. Its default value of NaN will be used.
 *
 * Note: Catch-up mechanism is only applied when playing low latency live streams.
 * @property {number} [playbackBufferMin=0.5]
 * Use this parameter to specify the minimum buffer which is used for LoL+ based playback rate reduction.
 *
 *
 * @property {boolean} [enabled=null]
 * Use this parameter to enable the catchup mode for non low-latency streams.
 *
 * @property {string} [mode="liveCatchupModeDefault"]
 * Use this parameter to switch between different catchup modes.
 *
 * Options: "liveCatchupModeDefault" or "liveCatchupModeLOLP".
 *
 * Note: Catch-up mechanism is automatically applied when playing low latency live streams.
 */

/**
 * @typedef {Object} RequestTypeSettings
 * @property {number} [MPD]
 * Manifest type of requests.
 * @property {number} [XLinkExpansion]
 * XLink expansion type of requests.
 * @property {number} [InitializationSegment]
 * Request to retrieve an initialization segment.
 * @property {number} [IndexSegment]
 * Request to retrieve an index segment (SegmentBase).
 * @property {number} [MediaSegment]
 * Request to retrieve a media segment (video/audio/image/text chunk).
 * @property {number} [BitstreamSwitchingSegment]
 * Bitrate stream switching type of request.
 * @property {number} [FragmentInfoSegment]
 * Request to retrieve a FragmentInfo segment (specific to Smooth Streaming live streams).
 * @property {number} [other]
 * Other type of request.
 * @property {number} [lowLatencyReductionFactor]
 * For low latency mode, values of type of request are divided by lowLatencyReductionFactor.
 *
 * Note: It's not type of request.
 * @property {number} [lowLatencyMultiplyFactor]
 * For low latency mode, values of type of request are multiplied by lowLatencyMultiplyFactor.
 *
 * Note: It's not type of request.
 */

/**
 * @typedef {Object} Protection
 * @property {boolean} [keepProtectionMediaKeys=false]
 * Set the value for the ProtectionController and MediaKeys life cycle.
 *
 * If true, the ProtectionController and then created MediaKeys and MediaKeySessions will be preserved during the MediaPlayer lifetime.
 * @property {boolean} [ignoreEmeEncryptedEvent=false]
 * If set to true the player will ignore "encrypted" and "needkey" events thrown by the EME.
 *
 * @property {boolean} [detectPlayreadyMessageFormat=true]
 * If set to true the player will use the raw unwrapped message from the Playready CDM
 *
 * @property {boolean} [ignoreKeyStatuses=false]
 * If set to true the player will ignore the status of a key and try to play the corresponding track regardless whether the key is usable or not.
 */

/**
 * @typedef {Object} Capabilities
 * @property {boolean} [filterUnsupportedEssentialProperties=true]
 * Enable to filter all the AdaptationSets and Representations which contain an unsupported \<EssentialProperty\> element.
 * @property {Array.<string>} [supportedEssentialProperties]
 * List of supported \<EssentialProperty\> elements
 * @property {boolean} [useMediaCapabilitiesApi=true]
 * Enable to use the MediaCapabilities API to check whether codecs are supported. If disabled MSE.isTypeSupported will be used instead.
 * @property {boolean} [filterVideoColorimetryEssentialProperties=false]
 * Enable dash.js to query MediaCapabilities API for signalled Colorimetry EssentialProperties (per schemeIdUris: 'urn:mpeg:mpegB:cicp:ColourPrimaries', 'urn:mpeg:mpegB:cicp:TransferCharacteristics').
 * If disabled, registered properties per supportedEssentialProperties will be allowed without any further checking (including 'urn:mpeg:mpegB:cicp:MatrixCoefficients').
 * @property {boolean} [filterHDRMetadataFormatEssentialProperties=false]
 * Enable dash.js to query MediaCapabilities API for signalled HDR-MetadataFormat EssentialProperty (per schemeIdUri:'urn:dvb:dash:hdr-dmi').
 */

/**
 * @typedef {Object} AbrSettings
 * @property {boolean} [limitBitrateByPortal=false]
 * If true, the size of the video portal will limit the max chosen video resolution.
 * @property {boolean} [usePixelRatioInLimitBitrateByPortal=false]
 * Sets whether to take into account the device's pixel ratio when defining the portal dimensions.
 *
 * Useful on, for example, retina displays.
 * @property {module:Settings~AbrRules} [rules]
 * Enable/Disable individual ABR rules. Note that if the throughputRule and the bolaRule are activated at the same time we switch to a dynamic mode.
 * In the dynamic mode either ThroughputRule or BolaRule are active but not both at the same time.
 *
 * l2ARule and loLPRule are ABR rules that are designed for low latency streams. They are tested as standalone rules meaning the other rules should be deactivated when choosing these rules.
 * @property {module:Settings~ThroughputSettings} [throughput]
 * Settings related to throughput calculation
 * @property {module:Settings~AudioVideoSettings} [maxBitrate={audio: -1, video: -1}]
 * The maximum bitrate that the ABR algorithms will choose. This value is specified in kbps.
 *
 * Use -1 for no limit.
 * @property {module:Settings~AudioVideoSettings} [minBitrate={audio: -1, video: -1}]
 * The minimum bitrate that the ABR algorithms will choose. This value is specified in kbps.
 *
 * Use -1 for no limit.
 * @property {module:Settings~AudioVideoSettings} [initialBitrate={audio: -1, video: -1}]
 * Explicitly set the starting bitrate for audio or video. This value is specified in kbps.
 *
 * Use -1 to let the player decide.
 * @property {module:Settings~AudioVideoSettings} [autoSwitchBitrate={audio: true, video: true}]
 * Indicates whether the player should enable ABR algorithms to switch the bitrate.
 */

/**
 * @typedef {Object} AbrRules
 * @property {module:Settings~ThroughputRule} [throughputRule]
 * Configuration of the Throughput rule
 * @property {module:Settings~BolaRule} [bolaRule]
 * Configuration of the BOLA rule
 * @property {module:Settings~InsufficientBufferRule} [insufficientBufferRule]
 * Configuration of the Insufficient Buffer rule
 * @property {module:Settings~SwitchHistoryRule} [switchHistoryRule]
 * Configuration of the Switch History rule
 * @property {module:Settings~DroppedFramesRule} [droppedFramesRule]
 * Configuration of the Dropped Frames rule
 * @property {module:Settings~AbandonRequestsRule} [abandonRequestsRule]
 * Configuration of the Abandon Requests rule
 * @property {module:Settings~L2ARule} [l2ARule]
 * Configuration of the L2A rule
 * @property {module:Settings~LoLPRule} [loLPRule]
 * Configuration of the LoLP rule
 */

/**
 * @typedef {Object} ThroughputRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 */

/**
 * @typedef {Object} BolaRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 */

/**
 * @typedef {Object} InsufficientBufferRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 * @property {object} [parameters={throughputSafetyFactor=0.7, segmentIgnoreCount=2}]
 * Configures the rule specific parameters.
 *
 * - `throughputSafetyFactor`: The safety factor that is applied to the derived throughput, see example in the Description.
 * - `segmentIgnoreCount`: This rule is not taken into account until the first segmentIgnoreCount media segments have been appended to the buffer.
 */

/**
 * @typedef {Object} SwitchHistoryRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 * @property {object} [parameters={sampleSize=8, switchPercentageThreshold=0.075}]
 * Configures the rule specific parameters.
 *
 * - `sampleSize`: Number of switch requests ("no switch", because of the selected Representation is already playing or "actual switches") required before the rule is applied
 * - `switchPercentageThreshold`: Ratio of actual quality drops compared to no drops before a quality down-switch is triggered
 */

/**
 * @typedef {Object} DroppedFramesRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 * @property {object} [parameters={minimumSampleSize=375, droppedFramesPercentageThreshold=0.15}]
 * Configures the rule specific parameters.
 *
 * - `minimumSampleSize`: Sum of rendered and dropped frames required for each Representation before the rule kicks in.
 * - `droppedFramesPercentageThreshold`: Minimum percentage of dropped frames to trigger a quality down switch. Values are defined in the range of 0 - 1.
 */

/**
 * @typedef {Object} AbandonRequestsRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 * @property {object} [parameters={abandonDurationMultiplier=1.8, minSegmentDownloadTimeThresholdInMs=500, minThroughputSamplesThreshold=6}]
 * Configures the rule specific parameters.
 *
 * - `abandonDurationMultiplier`: Factor to multiply with the segment duration to compare against the estimated remaining download time of the current segment. See code example above.
 * - `minSegmentDownloadTimeThresholdInMs`: The AbandonRequestRule only kicks if the download time of the current segment exceeds this value.
 * - `minThroughputSamplesThreshold`: Minimum throughput samples (equivalent to number of progress events) required before the AbandonRequestRule kicks in.
 */

/**
 * @typedef {Object} L2ARule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 */

/**
 * @typedef {Object} LoLPRule
 * @property {boolean} [active=true]
 * Enable or disable the rule
 */

/**
 * @typedef {Object} ThroughputSettings
 * @property {string} [averageCalculationMode=Constants.THROUGHPUT_CALCULATION_MODES.EWMA]
 * Defines the default mode for calculating the throughput based on the samples collected during playback.
 *
 * For arithmetic and harmonic mean calculations we use a sliding window with the values defined in "sampleSettings"
 *
 * For exponential weighted moving average calculation the default values can be changed in "ewma"
 * @property {string} [lowLatencyDownloadTimeCalculationMode=Constants.LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.MOOF_PARSING]
 * Defines the effective download time estimation method we use for low latency streams that utilize the Fetch API and chunked transfer coding
 * @property {boolean} [useResourceTimingApi=true]
 * If set to true the ResourceTimingApi is used to derive the download time and the number of downloaded bytes.
 * This option has no effect for low latency streaming as the download time equals the segment duration in most of the cases and therefor does not provide reliable values
 * @property {object} [useNetworkInformationApi = { xhr=false, fetch=false}]
 * If set to true the NetworkInformationApi is used to derive the current throughput. Browser support is limited, only available in Chrome and Edge.
 * Applies to standard (XHR requests) and/or low latency streaming (Fetch API requests).
 * @property {boolean} [useDeadTimeLatency=true]
 * If true, only the download portion will be considered part of the download bitrate and latency will be regarded as static.
 *
 * If false, the reciprocal of the whole transfer time will be used.
 * @property {number} [bandwidthSafetyFactor=0.9]
 * Standard ABR throughput rules multiply the throughput by this value.
 *
 * It should be between 0 and 1, with lower values giving less rebuffering (but also lower quality)
 * @property {object} [sampleSettings = {live=3,vod=4,enableSampleSizeAdjustment=true,decreaseScale=0.7,increaseScale=1.3,maxMeasurementsToKeep=20,averageLatencySampleAmount=4}]
 * When deriving the throughput based on the arithmetic or harmonic mean these settings define:
 * - `live`: Number of throughput samples to use (sample size) for live streams
 * - `vod`: Number of throughput samples to use (sample size) for VoD streams
 * - `enableSampleSizeAdjustment`: Adjust the sample sizes if throughput samples vary a lot
 * - `decreaseScale`: Increase sample size by one if the ratio of current and previous sample is below or equal this value
 * - `increaseScale`: Increase sample size by one if the ratio of current and previous sample is higher or equal this value
 * - `maxMeasurementsToKeep`: Number of samples to keep before sliding samples out of the window
 * - `averageLatencySampleAmount`: Number of latency samples to use (sample size)
 * @property {object} [ewma={throughputSlowHalfLifeSeconds=8,throughputFastHalfLifeSeconds=3,latencySlowHalfLifeCount=2,latencyFastHalfLifeCount=1, weightDownloadTimeMultiplicationFactor=0.0015}]
 * When deriving the throughput based on the exponential weighted moving average these settings define:
 * - `throughputSlowHalfLifeSeconds`: Number by which the weight of the current throughput measurement is divided, see ThroughputModel._updateEwmaValues
 * - `throughputFastHalfLifeSeconds`: Number by which the weight of the current throughput measurement is divided, see ThroughputModel._updateEwmaValues
 * - `latencySlowHalfLifeCount`: Number by which the weight of the current latency is divided, see ThroughputModel._updateEwmaValues
 * - `latencyFastHalfLifeCount`: Number by which the weight of the current latency is divided, see ThroughputModel._updateEwmaValues
 * - `weightDownloadTimeMultiplicationFactor`: This value is multiplied with the download time in milliseconds to derive the weight for the EWMA calculation.
 */

/**
 * @typedef {Object} CmcdSettings
 * @property {boolean} [applyParametersFromMpd=true]
 * Set to true if dash.js should use the CMCD parameters defined in the MPD.
 * @property {boolean} [enable=false]
 * Enable or disable the CMCD reporting.
 * @property {string} [sid]
 * GUID identifying the current playback session.
 *
 * Should be in UUID format.
 *
 * If not specified a UUID will be automatically generated.
 * @property {string} [cid]
 * A unique string to identify the current content.
 *
 * If not specified it will be a hash of the MPD url.
 * @property {number} [rtp]
 * The requested maximum throughput that the client considers sufficient for delivery of the asset.
 *
 * If not specified this value will be dynamically calculated in the CMCDModel based on the current buffer level.
 * @property {number} [rtpSafetyFactor=5]
 * This value is used as a factor for the rtp value calculation: rtp = minBandwidth * rtpSafetyFactor
 *
 * If not specified this value defaults to 5. Note that this value is only used when no static rtp value is defined.
 * @property {number} [mode="query"]
 * The method to use to attach cmcd metrics to the requests. 'query' to use query parameters, 'header' to use http headers.
 *
 * If not specified this value defaults to 'query'.
 * @property {Array.<string>} [enabledKeys]
 * This value is used to specify the desired CMCD parameters. Parameters not included in this list are not reported.
 * @property {Array.<string>} [includeInRequests]
 * Specifies which HTTP GET requests shall carry parameters.
 *
 * If not specified this value defaults to ['segment', 'mpd].
 * @property {number} [version=1]
 * The version of the CMCD to use.
 *
 * If not specified this value defaults to 1.
 */

/**
 * @typedef {Object} module:Settings~CmsdSettings
 * @property {boolean} [enabled=false]
 * Enable or disable the CMSD response headers parsing.
 * @property {module:Settings~CmsdAbrSettings} [abr]
 * Sets additional ABR rules based on CMSD response headers.
 */

/**
 * @typedef {Object} CmsdAbrSettings
 * @property {boolean} [applyMb=false]
 * Set to true if dash.js should apply CMSD maximum suggested bitrate in ABR logic.
 * @property {number} [etpWeightRatio=0]
 * Sets the weight ratio (between 0 and 1) that shall be applied on CMSD estimated throuhgput compared to measured throughput when calculating throughput.
 */

/**
 * @typedef {Object} Metrics
 * @property {number} [metricsMaxListDepth=100]
 * Maximum number of metrics that are persisted per type.
 */

/**
 * @typedef {Object} StreamingSettings
 * @property {number} [abandonLoadTimeout=10000]
 * A timeout value in seconds, which during the ABRController will block switch-up events.
 *
 * This will only take effect after an abandoned fragment event occurs.
 * @property {number} [wallclockTimeUpdateInterval=100]
 * How frequently the wallclockTimeUpdated internal event is triggered (in milliseconds).
 * @property {number} [manifestUpdateRetryInterval=100]
 * For live streams, set the interval-frequency in milliseconds at which dash.js will check if the current manifest is still processed before downloading the next manifest once the minimumUpdatePeriod time has.
 * @property {number} [liveUpdateTimeThresholdInMilliseconds=0]
 * For live streams, postpone syncing time updates until the threshold is passed. Increase if problems occurs during live streams on low end devices.
 * @property {boolean} [cacheInitSegments=false]
 * Enables the caching of init segments to avoid requesting the init segments before each representation switch.
 * @property {boolean} [applyServiceDescription=true]
 * Set to true if dash.js should use the parameters defined in ServiceDescription elements
 * @property {boolean} [applyProducerReferenceTime=true]
 * Set to true if dash.js should use the parameters defined in ProducerReferenceTime elements in combination with ServiceDescription elements.
 * @property {boolean} [applyContentSteering=true]
 * Set to true if dash.js should apply content steering during playback.
 * @property {boolean} [enableManifestDurationMismatchFix=true]
 * For multi-period streams, overwrite the manifest mediaPresentationDuration attribute with the sum of period durations if the manifest mediaPresentationDuration is greater than the sum of period durations
 * @property {boolean} [enableManifestTimescaleMismatchFix=false]
 * Overwrite the manifest segments base information timescale attributes with the timescale set in initialization segments
 * @property {boolean} [parseInbandPrft=false]
 * Set to true if dash.js should parse inband prft boxes (ProducerReferenceTime) and trigger events.
 * @property {module:Settings~Metrics} metrics Metric settings
 * @property {module:Settings~LiveDelay} delay Live Delay settings
 * @property {module:Settings~EventSettings} events Event settings
 * @property {module:Settings~TimeShiftBuffer} timeShiftBuffer TimeShiftBuffer settings
 * @property {module:Settings~Protection} protection DRM related settings
 * @property {module:Settings~Capabilities} capabilities Capability related settings
 * @property {module:Settings~Buffer}  buffer Buffer related settings
 * @property {module:Settings~Gaps}  gaps Gap related settings
 * @property {module:Settings~UtcSynchronizationSettings} utcSynchronization Settings related to UTC clock synchronization
 * @property {module:Settings~Scheduling} scheduling Settings related to segment scheduling
 * @property {module:Settings~Text} text Settings related to Subtitles and captions
 * @property {module:Settings~LiveCatchupSettings} liveCatchup  Settings related to live catchup.
 * @property {module:Settings~CachingInfoSettings} [lastBitrateCachingInfo={enabled: true, ttl: 360000}]
 * Set to false if you would like to disable the last known bit rate from being stored during playback and used to set the initial bit rate for subsequent playback within the expiration window.
 *
 * The default expiration is one hour, defined in milliseconds.
 *
 * If expired, the default initial bit rate (closest to 1000 kbps) will be used for that session and a new bit rate will be stored during that session.
 * @property {module:Settings~CachingInfoSettings} [lastMediaSettingsCachingInfo={enabled: true, ttl: 360000}]
 * Set to false if you would like to disable the last media settings from being stored to localStorage during playback and used to set the initial track for subsequent playback within the expiration window.
 *
 * The default expiration is one hour, defined in milliseconds.
 * @property {boolean} [saveLastMediaSettingsForCurrentStreamingSession=true]
 * Set to true if dash.js should save media settings from last selected track for incoming track selection during current streaming session.
 * @property {module:Settings~AudioVideoSettings} [cacheLoadThresholds={video: 10, audio: 5}]
 * For a given media type, the threshold which defines if the response to a fragment request is coming from browser cache or not.
 * @property {module:Settings~AudioVideoSettings} [trackSwitchMode={video: "neverReplace", audio: "alwaysReplace"}]
 * For a given media type defines if existing segments in the buffer should be overwritten once the track is switched. For instance if the user switches the audio language the existing segments in the audio buffer will be replaced when setting this value to "alwaysReplace".
 *
 * Possible values
 *
 * - Constants.TRACK_SWITCH_MODE_ALWAYS_REPLACE
 * Replace existing segments in the buffer
 *
 * - Constants.TRACK_SWITCH_MODE_NEVER_REPLACE
 * Do not replace existing segments in the buffer
 *
 * @property {} [ignoreSelectionPriority: false]
 * provides the option to disregard any signalled selectionPriority attribute. If disabled and if no initial media settings are set, track selection is accomplished as defined by selectionModeForInitialTrack.
 *
 * @property {} [prioritizeRoleMain: true]
 * provides the option to disable prioritization of AdaptationSets with their Role set to Main
 *
 * @property {} [assumeDefaultRoleAsMain: true]
 * when no Role descriptor is present, assume main per default
 * 
 * @property {string} [selectionModeForInitialTrack="highestEfficiency"]
 * Sets the selection mode for the initial track. This mode defines how the initial track will be selected if no initial media settings are set. If initial media settings are set this parameter will be ignored. Available options are:
 *
 * Possible values
 *
 * - Constants.TRACK_SELECTION_MODE_HIGHEST_BITRATE
 * This mode makes the player select the track with a highest bitrate.
 *
 * - Constants.TRACK_SELECTION_MODE_FIRST_TRACK
 * This mode makes the player select the first track found in the manifest.
 *
 * - Constants.TRACK_SELECTION_MODE_HIGHEST_EFFICIENCY
 * This mode makes the player select the track with the lowest bitrate per pixel average.
 *
 * - Constants.TRACK_SELECTION_MODE_WIDEST_RANGE
 * This mode makes the player select the track with a widest range of bitrates.
 *
 *
 * @property {number} [fragmentRequestTimeout=20000]
 * Time in milliseconds before timing out on loading a media fragment.
 *
 * @property {number} [fragmentRequestProgressTimeout=-1]
 * Time in milliseconds before timing out on loading progress of a media fragment.
 *
 * @property {number} [manifestRequestTimeout=10000]
 * Time in milliseconds before timing out on loading a manifest.
 *
 * Fragments that timeout are retried as if they failed.
 * @property {module:Settings~RequestTypeSettings} [retryIntervals]
 * Time in milliseconds of which to reload a failed file load attempt.
 *
 * For low latency mode these values are divided by lowLatencyReductionFactor.
 * @property {module:Settings~RequestTypeSettings} [retryAttempts]
 * Total number of retry attempts that will occur on a file load before it fails.
 *
 * For low latency mode these values are multiplied by lowLatencyMultiplyFactor.
 * @property {module:Settings~AbrSettings} abr
 * Adaptive Bitrate algorithm related settings.
 * @property {module:Settings~CmcdSettings} cmcd
 * Settings related to Common Media Client Data reporting.
 * @property {module:Settings~CmsdSettings} cmsd
 * Settings related to Common Media Server Data parsing.
 * @property {module:Settings~defaultSchemeIdUri} defaultSchemeIdUri
 * Default schemeIdUri for descriptor type elements
 * These strings are used when not provided with setInitialMediaSettingsFor()
 */

/**
 * @class
 * @ignore
 */
function Settings() {
  let instance;
  const context = this.context;
  const eventBus = (0,_EventBus_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
  const DISPATCH_KEY_MAP = {
    'streaming.delay.liveDelay': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_LIVE_DELAY,
    'streaming.delay.liveDelayFragmentCount': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_LIVE_DELAY_FRAGMENT_COUNT,
    'streaming.liveCatchup.enabled': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_CATCHUP_ENABLED,
    'streaming.liveCatchup.playbackRate.min': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_PLAYBACK_RATE_MIN,
    'streaming.liveCatchup.playbackRate.max': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_PLAYBACK_RATE_MAX,
    'streaming.abr.rules.throughputRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.bolaRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.insufficientBufferRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.switchHistoryRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.droppedFramesRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.abandonRequestsRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.l2ARule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.rules.loLPRule.active': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES,
    'streaming.abr.maxBitrate.video': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_MAX_BITRATE,
    'streaming.abr.maxBitrate.audio': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_MAX_BITRATE,
    'streaming.abr.minBitrate.video': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_MIN_BITRATE,
    'streaming.abr.minBitrate.audio': _events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SETTING_UPDATED_MIN_BITRATE
  };

  /**
   * @const {PlayerSettings} defaultSettings
   * @ignore
   */
  const defaultSettings = {
    debug: {
      logLevel: _core_Debug_js__WEBPACK_IMPORTED_MODULE_2__["default"].LOG_LEVEL_WARNING,
      dispatchEvent: false
    },
    streaming: {
      abandonLoadTimeout: 10000,
      wallclockTimeUpdateInterval: 100,
      manifestUpdateRetryInterval: 100,
      liveUpdateTimeThresholdInMilliseconds: 0,
      cacheInitSegments: false,
      applyServiceDescription: true,
      applyProducerReferenceTime: true,
      applyContentSteering: true,
      enableManifestDurationMismatchFix: true,
      parseInbandPrft: false,
      enableManifestTimescaleMismatchFix: false,
      capabilities: {
        filterUnsupportedEssentialProperties: true,
        supportedEssentialProperties: [{
          schemeIdUri: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].FONT_DOWNLOAD_DVB_SCHEME
        }, {
          schemeIdUri: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI,
          value: /1|5|6|7/
        }, {
          schemeIdUri: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].URL_QUERY_INFO_SCHEME
        }, {
          schemeIdUri: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].EXT_URL_QUERY_INFO_SCHEME
        }, {
          schemeIdUri: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].MATRIX_COEFFICIENTS_SCHEME_ID_URI,
          value: /0|1|5|6/
        }, {
          schemeIdUri: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI,
          value: /1|6|13|14|15/
        }, ..._streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].THUMBNAILS_SCHEME_ID_URIS.map(ep => {
          return {
            'schemeIdUri': ep
          };
        })],
        useMediaCapabilitiesApi: true,
        filterVideoColorimetryEssentialProperties: false,
        filterHDRMetadataFormatEssentialProperties: false
      },
      events: {
        eventControllerRefreshDelay: 100,
        deleteEventMessageDataTimeout: 10000
      },
      timeShiftBuffer: {
        calcFromSegmentTimeline: false,
        fallbackToSegmentTimeline: true
      },
      metrics: {
        maxListDepth: 100
      },
      delay: {
        liveDelayFragmentCount: NaN,
        liveDelay: NaN,
        useSuggestedPresentationDelay: true
      },
      protection: {
        keepProtectionMediaKeys: false,
        ignoreEmeEncryptedEvent: false,
        detectPlayreadyMessageFormat: true,
        ignoreKeyStatuses: false
      },
      buffer: {
        enableSeekDecorrelationFix: false,
        fastSwitchEnabled: null,
        flushBufferAtTrackSwitch: false,
        reuseExistingSourceBuffers: true,
        bufferPruningInterval: 10,
        bufferToKeep: 20,
        bufferTimeAtTopQuality: 30,
        bufferTimeAtTopQualityLongForm: 60,
        initialBufferLevel: NaN,
        bufferTimeDefault: 18,
        longFormContentDurationThreshold: 600,
        stallThreshold: 0.3,
        lowLatencyStallThreshold: 0.3,
        useAppendWindow: true,
        setStallState: true,
        avoidCurrentTimeRangePruning: false,
        useChangeType: true,
        mediaSourceDurationInfinity: true,
        resetSourceBuffersForTrackSwitch: false,
        syntheticStallEvents: {
          enabled: false,
          ignoreReadyState: false
        }
      },
      gaps: {
        jumpGaps: true,
        jumpLargeGaps: true,
        smallGapLimit: 1.5,
        threshold: 0.3,
        enableSeekFix: true,
        enableStallFix: false,
        stallSeek: 0.1
      },
      utcSynchronization: {
        enabled: true,
        useManifestDateHeaderTimeSource: true,
        backgroundAttempts: 2,
        timeBetweenSyncAttempts: 30,
        maximumTimeBetweenSyncAttempts: 600,
        minimumTimeBetweenSyncAttempts: 2,
        timeBetweenSyncAttemptsAdjustmentFactor: 2,
        maximumAllowedDrift: 100,
        enableBackgroundSyncAfterSegmentDownloadError: true,
        defaultTimingSource: {
          scheme: 'urn:mpeg:dash:utc:http-xsdate:2014',
          value: 'https://time.akamai.com/?iso&ms'
        }
      },
      scheduling: {
        defaultTimeout: 500,
        lowLatencyTimeout: 0,
        scheduleWhilePaused: true
      },
      text: {
        defaultEnabled: true,
        dispatchForManualRendering: false,
        extendSegmentedCues: true,
        imsc: {
          displayForcedOnlyMode: false,
          enableRollUp: true
        },
        webvtt: {
          customRenderingEnabled: false
        }
      },
      liveCatchup: {
        maxDrift: NaN,
        playbackRate: {
          min: NaN,
          max: NaN
        },
        playbackBufferMin: 0.5,
        enabled: null,
        mode: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LIVE_CATCHUP_MODE_DEFAULT
      },
      lastBitrateCachingInfo: {
        enabled: true,
        ttl: 360000
      },
      lastMediaSettingsCachingInfo: {
        enabled: true,
        ttl: 360000
      },
      saveLastMediaSettingsForCurrentStreamingSession: true,
      cacheLoadThresholds: {
        video: 10,
        audio: 5
      },
      trackSwitchMode: {
        audio: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].TRACK_SWITCH_MODE_ALWAYS_REPLACE,
        video: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].TRACK_SWITCH_MODE_NEVER_REPLACE
      },
      ignoreSelectionPriority: false,
      prioritizeRoleMain: true,
      assumeDefaultRoleAsMain: true,
      selectionModeForInitialTrack: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].TRACK_SELECTION_MODE_HIGHEST_EFFICIENCY,
      fragmentRequestTimeout: 20000,
      fragmentRequestProgressTimeout: -1,
      manifestRequestTimeout: 10000,
      retryIntervals: {
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MPD_TYPE]: 500,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.XLINK_EXPANSION_TYPE]: 500,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MEDIA_SEGMENT_TYPE]: 1000,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.INIT_SEGMENT_TYPE]: 1000,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.BITSTREAM_SWITCHING_SEGMENT_TYPE]: 1000,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.INDEX_SEGMENT_TYPE]: 1000,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE]: 1000,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.LICENSE]: 1000,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.OTHER_TYPE]: 1000,
        lowLatencyReductionFactor: 10
      },
      retryAttempts: {
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MPD_TYPE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.XLINK_EXPANSION_TYPE]: 1,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MEDIA_SEGMENT_TYPE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.INIT_SEGMENT_TYPE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.BITSTREAM_SWITCHING_SEGMENT_TYPE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.INDEX_SEGMENT_TYPE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.LICENSE]: 3,
        [_streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.OTHER_TYPE]: 3,
        lowLatencyMultiplyFactor: 5
      },
      abr: {
        limitBitrateByPortal: false,
        usePixelRatioInLimitBitrateByPortal: false,
        enableSupplementalPropertyAdaptationSetSwitching: true,
        rules: {
          throughputRule: {
            active: true
          },
          bolaRule: {
            active: true
          },
          insufficientBufferRule: {
            active: true,
            parameters: {
              throughputSafetyFactor: 0.7,
              segmentIgnoreCount: 2
            }
          },
          switchHistoryRule: {
            active: true,
            parameters: {
              sampleSize: 8,
              switchPercentageThreshold: 0.075
            }
          },
          droppedFramesRule: {
            active: false,
            parameters: {
              minimumSampleSize: 375,
              droppedFramesPercentageThreshold: 0.15
            }
          },
          abandonRequestsRule: {
            active: true,
            parameters: {
              abandonDurationMultiplier: 1.8,
              minSegmentDownloadTimeThresholdInMs: 500,
              minThroughputSamplesThreshold: 6
            }
          },
          l2ARule: {
            active: false
          },
          loLPRule: {
            active: false
          }
        },
        throughput: {
          averageCalculationMode: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].THROUGHPUT_CALCULATION_MODES.EWMA,
          lowLatencyDownloadTimeCalculationMode: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.MOOF_PARSING,
          useResourceTimingApi: true,
          useNetworkInformationApi: {
            xhr: false,
            fetch: false
          },
          useDeadTimeLatency: true,
          bandwidthSafetyFactor: 0.9,
          sampleSettings: {
            live: 3,
            vod: 4,
            enableSampleSizeAdjustment: true,
            decreaseScale: 0.7,
            increaseScale: 1.3,
            maxMeasurementsToKeep: 20,
            averageLatencySampleAmount: 4
          },
          ewma: {
            throughputSlowHalfLifeSeconds: 8,
            throughputFastHalfLifeSeconds: 3,
            latencySlowHalfLifeCount: 2,
            latencyFastHalfLifeCount: 1,
            weightDownloadTimeMultiplicationFactor: 0.0015
          }
        },
        maxBitrate: {
          audio: -1,
          video: -1
        },
        minBitrate: {
          audio: -1,
          video: -1
        },
        initialBitrate: {
          audio: -1,
          video: -1
        },
        autoSwitchBitrate: {
          audio: true,
          video: true
        }
      },
      cmcd: {
        applyParametersFromMpd: true,
        enabled: false,
        sid: null,
        cid: null,
        rtp: null,
        rtpSafetyFactor: 5,
        mode: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].CMCD_MODE_QUERY,
        enabledKeys: _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].CMCD_AVAILABLE_KEYS,
        includeInRequests: ['segment', 'mpd'],
        version: 1
      },
      cmsd: {
        enabled: false,
        abr: {
          applyMb: false,
          etpWeightRatio: 0
        }
      },
      defaultSchemeIdUri: {
        viewpoint: '',
        audioChannelConfiguration: 'urn:mpeg:mpegB:cicp:ChannelConfiguration',
        role: 'urn:mpeg:dash:role:2011',
        accessibility: 'urn:mpeg:dash:role:2011'
      }
    },
    errors: {
      recoverAttempts: {
        mediaErrorDecode: 5
      }
    }
  };
  let settings = _Utils_js__WEBPACK_IMPORTED_MODULE_1__["default"].clone(defaultSettings);

  //Merge in the settings. If something exists in the new config that doesn't match the schema of the default config,
  //regard it as an error and log it.
  function mixinSettings(source, dest, path) {
    for (let n in source) {
      if (source.hasOwnProperty(n)) {
        if (dest.hasOwnProperty(n)) {
          if (typeof source[n] === 'object' && !(source[n] instanceof RegExp) && !(source[n] instanceof Array) && source[n] !== null) {
            mixinSettings(source[n], dest[n], path.slice() + n + '.');
          } else {
            dest[n] = _Utils_js__WEBPACK_IMPORTED_MODULE_1__["default"].clone(source[n]);
            if (DISPATCH_KEY_MAP[path + n]) {
              eventBus.trigger(DISPATCH_KEY_MAP[path + n]);
            }
          }
        } else {
          console.error('Settings parameter ' + path + n + ' is not supported');
        }
      }
    }
  }

  /**
   * Return the settings object. Don't copy/store this object, you won't get updates.
   * @func
   * @instance
   */
  function get() {
    return settings;
  }

  /**
   * @func
   * @instance
   * @param {object} settingsObj - This should be a partial object of the Settings.Schema type. That is, fields defined should match the path (e.g.
   * settingsObj.streaming.abr.autoSwitchBitrate.audio -> defaultSettings.streaming.abr.autoSwitchBitrate.audio). Where an element's path does
   * not match it is ignored, and a warning is logged.
   *
   * Use to change the settings object. Any new values defined will overwrite the settings and anything undefined will not change.
   * Implementers of new settings should add it in an approriate namespace to the defaultSettings object and give it a default value (that is not undefined).
   *
   */
  function update(settingsObj) {
    if (typeof settingsObj === 'object') {
      mixinSettings(settingsObj, settings, '');
    }
  }

  /**
   * Resets the settings object. Everything is set to its default value.
   * @func
   * @instance
   *
   */
  function reset() {
    settings = _Utils_js__WEBPACK_IMPORTED_MODULE_1__["default"].clone(defaultSettings);
  }
  instance = {
    get,
    update,
    reset
  };
  return instance;
}
Settings.__dashjs_factory_name = 'Settings';
let factory = _FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(Settings);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/core/Utils.js":
/*!***************************!*\
  !*** ./src/core/Utils.js ***!
  \***************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var path_browserify__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! path-browserify */ "./node_modules/path-browserify/index.js");
/* harmony import */ var ua_parser_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ua-parser-js */ "./node_modules/ua-parser-js/src/ua-parser.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @class
 * @ignore
 */




class Utils {
  static mixin(dest, source, copy) {
    let s;
    let empty = {};
    if (dest) {
      for (let name in source) {
        if (source.hasOwnProperty(name)) {
          s = source[name];
          if (!(name in dest) || dest[name] !== s && (!(name in empty) || empty[name] !== s)) {
            if (typeof dest[name] === 'object' && dest[name] !== null) {
              dest[name] = Utils.mixin(dest[name], s, copy);
            } else {
              dest[name] = copy(s);
            }
          }
        }
      }
    }
    return dest;
  }
  static clone(src) {
    if (!src || typeof src !== 'object') {
      return src; // anything
    }
    if (src instanceof RegExp) {
      return new RegExp(src);
    }
    let r;
    if (src instanceof Array) {
      // array
      r = [];
      for (let i = 0, l = src.length; i < l; ++i) {
        if (i in src) {
          r.push(Utils.clone(src[i]));
        }
      }
    } else {
      r = {};
    }
    return Utils.mixin(r, src, Utils.clone);
  }
  static addAdditionalQueryParameterToUrl(url, params) {
    try {
      if (!params || params.length === 0) {
        return url;
      }
      let updatedUrl = url;
      params.forEach(_ref => {
        let {
          key,
          value
        } = _ref;
        const separator = updatedUrl.includes('?') ? '&' : '?';
        updatedUrl += `${separator}${encodeURIComponent(key)}=${encodeURIComponent(value)}`;
      });
      return updatedUrl;
    } catch (e) {
      return url;
    }
  }
  static removeQueryParameterFromUrl(url, queryParameter) {
    if (!url || !queryParameter) {
      return url;
    }
    // Parse the URL
    const parsedUrl = new URL(url);

    // Get the search parameters
    const params = new URLSearchParams(parsedUrl.search);
    if (!params || params.size === 0 || !params.has(queryParameter)) {
      return url;
    }

    // Remove the queryParameter
    params.delete(queryParameter);

    // Manually reconstruct the query string without re-encoding
    const queryString = Array.from(params.entries()).map(_ref2 => {
      let [key, value] = _ref2;
      return `${key}=${value}`;
    }).join('&');

    // Reconstruct the URL
    const baseUrl = `${parsedUrl.origin}${parsedUrl.pathname}`;
    return queryString ? `${baseUrl}?${queryString}` : baseUrl;
  }
  static parseHttpHeaders(headerStr) {
    let headers = {};
    if (!headerStr) {
      return headers;
    }

    // Trim headerStr to fix a MS Edge bug with xhr.getAllResponseHeaders method
    // which send a string starting with a "\n" character
    let headerPairs = headerStr.trim().split('\u000d\u000a');
    for (let i = 0, ilen = headerPairs.length; i < ilen; i++) {
      let headerPair = headerPairs[i];
      let index = headerPair.indexOf('\u003a\u0020');
      if (index > 0) {
        headers[headerPair.substring(0, index)] = headerPair.substring(index + 2);
      }
    }
    return headers;
  }

  /**
   * Parses query parameters from a string and returns them as an array of key-value pairs.
   * @param {string} queryParamString - A string containing the query parameters.
   * @return {Array<{key: string, value: string}>} An array of objects representing the query parameters.
   */
  static parseQueryParams(queryParamString) {
    const params = [];
    const searchParams = new URLSearchParams(queryParamString);
    for (const [key, value] of searchParams.entries()) {
      params.push({
        key: decodeURIComponent(key),
        value: decodeURIComponent(value)
      });
    }
    return params;
  }
  static generateUuid() {
    let dt = new Date().getTime();
    const uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
      const r = (dt + Math.random() * 16) % 16 | 0;
      dt = Math.floor(dt / 16);
      return (c == 'x' ? r : r & 0x3 | 0x8).toString(16);
    });
    return uuid;
  }
  static generateHashCode(string) {
    let hash = 0;
    if (string.length === 0) {
      return hash;
    }
    for (let i = 0; i < string.length; i++) {
      const chr = string.charCodeAt(i);
      hash = (hash << 5) - hash + chr;
      hash |= 0;
    }
    return hash;
  }

  /**
   * Compares both urls and returns a relative url (target relative to original)
   * @param {string} originalUrl
   * @param {string} targetUrl
   * @return {string|*}
   */
  static getRelativeUrl(originalUrl, targetUrl) {
    try {
      const original = new URL(originalUrl);
      const target = new URL(targetUrl);

      // Unify the protocol to compare the origins
      original.protocol = target.protocol;
      if (original.origin !== target.origin) {
        return targetUrl;
      }

      // Use the relative path implementation of the path library. We need to cut off the actual filename in the end to get the relative path
      let relativePath = path_browserify__WEBPACK_IMPORTED_MODULE_0__.relative(original.pathname.substr(0, original.pathname.lastIndexOf('/')), target.pathname.substr(0, target.pathname.lastIndexOf('/')));

      // In case the relative path is empty (both path are equal) return the filename only. Otherwise add a slash in front of the filename
      const startIndexOffset = relativePath.length === 0 ? 1 : 0;
      relativePath += target.pathname.substr(target.pathname.lastIndexOf('/') + startIndexOffset, target.pathname.length - 1);

      // Build the other candidate, e.g. the 'host relative' path that starts with "/", and return the shortest of the two candidates.
      if (target.pathname.length < relativePath.length) {
        return target.pathname;
      }
      return relativePath;
    } catch (e) {
      return targetUrl;
    }
  }
  static getHostFromUrl(urlString) {
    try {
      const url = new URL(urlString);
      return url.host;
    } catch (e) {
      return null;
    }
  }
  static parseUserAgent() {
    let ua = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    try {
      const uaString = ua === null ? typeof navigator !== 'undefined' ? navigator.userAgent.toLowerCase() : '' : '';
      return (0,ua_parser_js__WEBPACK_IMPORTED_MODULE_1__.UAParser)(uaString);
    } catch (e) {
      return {};
    }
  }

  /**
   * Checks for existence of "http" or "https" in a string
   * @param string
   * @returns {boolean}
   */
  static stringHasProtocol(string) {
    return /(http(s?)):\/\//i.test(string);
  }
  static bufferSourceToDataView(bufferSource) {
    return Utils.toDataView(bufferSource, DataView);
  }
  static bufferSourceToInt8(bufferSource) {
    return Utils.toDataView(bufferSource, Uint8Array);
  }
  static uint8ArrayToString(uint8Array) {
    const decoder = new TextDecoder('utf-8');
    return decoder.decode(uint8Array);
  }
  static bufferSourceToHex(data) {
    const arr = Utils.bufferSourceToInt8(data);
    let hex = '';
    for (let value of arr) {
      value = value.toString(16);
      if (value.length === 1) {
        value = '0' + value;
      }
      hex += value;
    }
    return hex;
  }
  static toDataView(bufferSource, Type) {
    const buffer = Utils.getArrayBuffer(bufferSource);
    let bytesPerElement = 1;
    if ('BYTES_PER_ELEMENT' in DataView) {
      bytesPerElement = DataView.BYTES_PER_ELEMENT;
    }
    const dataEnd = ((bufferSource.byteOffset || 0) + bufferSource.byteLength) / bytesPerElement;
    const rawStart = (bufferSource.byteOffset || 0) / bytesPerElement;
    const start = Math.floor(Math.max(0, Math.min(rawStart, dataEnd)));
    const end = Math.floor(Math.min(start + Math.max(Infinity, 0), dataEnd));
    return new Type(buffer, start, end - start);
  }
  static getArrayBuffer(view) {
    if (view instanceof ArrayBuffer) {
      return view;
    } else {
      return view.buffer;
    }
  }
  static getCodecFamily(codecString) {
    const {
      base,
      profile
    } = Utils._getCodecParts(codecString);
    switch (base) {
      case 'mp4a':
        switch (profile) {
          case '69':
          case '6b':
          case '40.34':
            return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.MP3;
          case '66':
          case '67':
          case '68':
          case '40.2':
          case '40.02':
          case '40.5':
          case '40.05':
          case '40.29':
          case '40.42':
            return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.AAC;
          case 'a5':
            return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.AC3;
          case 'e6':
            return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.EC3;
          case 'b2':
            return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.DTSX;
          case 'a9':
            return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.DTSC;
        }
        break;
      case 'avc1':
      case 'avc3':
        return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.AVC;
      case 'hvc1':
      case 'hvc3':
        return _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].CODEC_FAMILIES.HEVC;
      default:
        return base;
    }
    return base;
  }
  static _getCodecParts(codecString) {
    const [base, ...rest] = codecString.split('.');
    const profile = rest.join('.');
    return {
      base,
      profile
    };
  }
}
/* harmony default export */ __webpack_exports__["default"] = (Utils);

/***/ }),

/***/ "./src/core/Version.js":
/*!*****************************!*\
  !*** ./src/core/Version.js ***!
  \*****************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getVersionString: function() { return /* binding */ getVersionString; }
/* harmony export */ });
const VERSION = '5.0.3';
function getVersionString() {
  return VERSION;
}

/***/ }),

/***/ "./src/core/errors/Errors.js":
/*!***********************************!*\
  !*** ./src/core/errors/Errors.js ***!
  \***********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _ErrorsBase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./ErrorsBase.js */ "./src/core/errors/ErrorsBase.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * Errors declaration
 * @class
 */
class Errors extends _ErrorsBase_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();

    /**
     * Error code returned when a manifest parsing error occurs
     */
    this.MANIFEST_LOADER_PARSING_FAILURE_ERROR_CODE = 10;

    /**
     * Error code returned when a manifest loading error occurs
     */
    this.MANIFEST_LOADER_LOADING_FAILURE_ERROR_CODE = 11;

    /**
     * Error code returned when a xlink loading error occurs
     */
    this.XLINK_LOADER_LOADING_FAILURE_ERROR_CODE = 12;

    /**
     * Error code returned when no segment ranges could be determined from the sidx box
     */
    this.SEGMENT_BASE_LOADER_ERROR_CODE = 15;

    /**
     * Error code returned when the time synchronization failed
     */
    this.TIME_SYNC_FAILED_ERROR_CODE = 16;

    /**
     * Error code returned when loading a fragment failed
     */
    this.FRAGMENT_LOADER_LOADING_FAILURE_ERROR_CODE = 17;

    /**
     * Error code returned when the FragmentLoader did not receive a request object
     */
    this.FRAGMENT_LOADER_NULL_REQUEST_ERROR_CODE = 18;

    /**
     * Error code returned when the BaseUrl resolution failed
     */
    this.URL_RESOLUTION_FAILED_GENERIC_ERROR_CODE = 19;

    /**
     * Error code returned when the append operation in the SourceBuffer failed
     */
    this.APPEND_ERROR_CODE = 20;

    /**
     * Error code returned when the remove operation in the SourceBuffer failed
     */
    this.REMOVE_ERROR_CODE = 21;

    /**
     * Error code returned when updating the internal objects after loading an MPD failed
     */
    this.DATA_UPDATE_FAILED_ERROR_CODE = 22;

    /**
     * Error code returned when MediaSource is not supported by the browser
     */
    this.CAPABILITY_MEDIASOURCE_ERROR_CODE = 23;

    /**
     * Error code returned when Protected contents are not supported
     */
    this.CAPABILITY_MEDIAKEYS_ERROR_CODE = 24;

    /**
     * Error code returned when loading the manifest failed
     */
    this.DOWNLOAD_ERROR_ID_MANIFEST_CODE = 25;

    /**
     * Error code returned when loading the sidx failed
     */
    this.DOWNLOAD_ERROR_ID_SIDX_CODE = 26;

    /**
     * Error code returned when loading the media content failed
     */
    this.DOWNLOAD_ERROR_ID_CONTENT_CODE = 27;

    /**
     * Error code returned when loading the init segment failed
     */
    this.DOWNLOAD_ERROR_ID_INITIALIZATION_CODE = 28;

    /**
     * Error code returned when loading the XLink content failed
     */
    this.DOWNLOAD_ERROR_ID_XLINK_CODE = 29;

    /**
     * Error code returned when parsing the MPD resulted in a logical error
     */
    this.MANIFEST_ERROR_ID_PARSE_CODE = 31;

    /**
     * Error code returned when no stream (period) has been detected in the manifest
     */
    this.MANIFEST_ERROR_ID_NOSTREAMS_CODE = 32;

    /**
     * Error code returned when something wrong has happened during parsing and appending subtitles (TTML or VTT)
     */
    this.TIMED_TEXT_ERROR_ID_PARSE_CODE = 33;

    /**
     * Error code returned when a 'muxed' media type has been detected in the manifest. This type is not supported
     */

    this.MANIFEST_ERROR_ID_MULTIPLEXED_CODE = 34;

    /**
     * Error code returned when a media source type is not supported
     */
    this.MEDIASOURCE_TYPE_UNSUPPORTED_CODE = 35;

    /**
     * Error code returned when the available Adaptation Sets can not be selected because the corresponding key ids have an invalid key status
     * @type {number}
     */
    this.NO_SUPPORTED_KEY_IDS = 36;
    this.MANIFEST_LOADER_PARSING_FAILURE_ERROR_MESSAGE = 'parsing failed for ';
    this.MANIFEST_LOADER_LOADING_FAILURE_ERROR_MESSAGE = 'Failed loading manifest: ';
    this.XLINK_LOADER_LOADING_FAILURE_ERROR_MESSAGE = 'Failed loading Xlink element: ';
    this.SEGMENTS_UPDATE_FAILED_ERROR_MESSAGE = 'Segments update failed';
    this.SEGMENTS_UNAVAILABLE_ERROR_MESSAGE = 'no segments are available yet';
    this.SEGMENT_BASE_LOADER_ERROR_MESSAGE = 'error loading segment ranges from sidx';
    this.TIME_SYNC_FAILED_ERROR_MESSAGE = 'Failed to synchronize client and server time';
    this.FRAGMENT_LOADER_NULL_REQUEST_ERROR_MESSAGE = 'request is null';
    this.URL_RESOLUTION_FAILED_GENERIC_ERROR_MESSAGE = 'Failed to resolve a valid URL';
    this.APPEND_ERROR_MESSAGE = 'chunk is not defined';
    this.REMOVE_ERROR_MESSAGE = 'Removing data from the SourceBuffer';
    this.DATA_UPDATE_FAILED_ERROR_MESSAGE = 'Data update failed';
    this.CAPABILITY_MEDIASOURCE_ERROR_MESSAGE = 'mediasource is not supported';
    this.CAPABILITY_MEDIAKEYS_ERROR_MESSAGE = 'mediakeys is not supported';
    this.TIMED_TEXT_ERROR_MESSAGE_PARSE = 'parsing error :';
    this.MEDIASOURCE_TYPE_UNSUPPORTED_MESSAGE = 'Error creating source buffer of type : ';
    this.NO_SUPPORTED_KEY_IDS_MESSAGE = 'All possible Adaptation Sets have an invalid key status';
  }
}
let errors = new Errors();
/* harmony default export */ __webpack_exports__["default"] = (errors);

/***/ }),

/***/ "./src/core/errors/ErrorsBase.js":
/*!***************************************!*\
  !*** ./src/core/errors/ErrorsBase.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ErrorsBase {
  extend(errors, config) {
    if (!errors) {
      return;
    }
    let override = config ? config.override : false;
    let publicOnly = config ? config.publicOnly : false;
    for (const err in errors) {
      if (!errors.hasOwnProperty(err) || this[err] && !override) {
        continue;
      }
      if (publicOnly && errors[err].indexOf('public_') === -1) {
        continue;
      }
      this[err] = errors[err];
    }
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ErrorsBase);

/***/ }),

/***/ "./src/core/events/CoreEvents.js":
/*!***************************************!*\
  !*** ./src/core/events/CoreEvents.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _EventsBase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./EventsBase.js */ "./src/core/events/EventsBase.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * These are internal events that should not be needed at the player level.
 * If you find and event in here that you would like access to from MediaPlayer level
 * please add an issue at https://github.com/Dash-Industry-Forum/dash.js/issues/new
 * @class
 * @ignore
 */
class CoreEvents extends _EventsBase_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.ATTEMPT_BACKGROUND_SYNC = 'attemptBackgroundSync';
    this.BUFFERING_COMPLETED = 'bufferingCompleted';
    this.BUFFER_CLEARED = 'bufferCleared';
    this.BYTES_APPENDED_END_FRAGMENT = 'bytesAppendedEndFragment';
    this.BUFFER_REPLACEMENT_STARTED = 'bufferReplacementStarted';
    this.CHECK_FOR_EXISTENCE_COMPLETED = 'checkForExistenceCompleted';
    this.CMSD_STATIC_HEADER = 'cmsdStaticHeader';
    this.CURRENT_TRACK_CHANGED = 'currentTrackChanged';
    this.DATA_UPDATE_COMPLETED = 'dataUpdateCompleted';
    this.INBAND_EVENTS = 'inbandEvents';
    this.INITIAL_STREAM_SWITCH = 'initialStreamSwitch';
    this.INIT_FRAGMENT_LOADED = 'initFragmentLoaded';
    this.INIT_FRAGMENT_NEEDED = 'initFragmentNeeded';
    this.INTERNAL_MANIFEST_LOADED = 'internalManifestLoaded';
    this.ORIGINAL_MANIFEST_LOADED = 'originalManifestLoaded';
    this.LOADING_COMPLETED = 'loadingCompleted';
    this.LOADING_PROGRESS = 'loadingProgress';
    this.LOADING_DATA_PROGRESS = 'loadingDataProgress';
    this.LOADING_ABANDONED = 'loadingAborted';
    this.MANIFEST_UPDATED = 'manifestUpdated';
    this.MEDIA_FRAGMENT_LOADED = 'mediaFragmentLoaded';
    this.MEDIA_FRAGMENT_NEEDED = 'mediaFragmentNeeded';
    this.MEDIAINFO_UPDATED = 'mediaInfoUpdated';
    this.QUOTA_EXCEEDED = 'quotaExceeded';
    this.SEGMENT_LOCATION_BLACKLIST_ADD = 'segmentLocationBlacklistAdd';
    this.SEGMENT_LOCATION_BLACKLIST_CHANGED = 'segmentLocationBlacklistChanged';
    this.SERVICE_LOCATION_BASE_URL_BLACKLIST_ADD = 'serviceLocationBlacklistAdd';
    this.SERVICE_LOCATION_BASE_URL_BLACKLIST_CHANGED = 'serviceLocationBlacklistChanged';
    this.SERVICE_LOCATION_LOCATION_BLACKLIST_ADD = 'serviceLocationLocationBlacklistAdd';
    this.SERVICE_LOCATION_LOCATION_BLACKLIST_CHANGED = 'serviceLocationLocationBlacklistChanged';
    this.SET_FRAGMENTED_TEXT_AFTER_DISABLED = 'setFragmentedTextAfterDisabled';
    this.SET_NON_FRAGMENTED_TEXT = 'setNonFragmentedText';
    this.SOURCE_BUFFER_ERROR = 'sourceBufferError';
    this.STREAMS_COMPOSED = 'streamsComposed';
    this.STREAM_BUFFERING_COMPLETED = 'streamBufferingCompleted';
    this.STREAM_REQUESTING_COMPLETED = 'streamRequestingCompleted';
    this.TEXT_TRACKS_QUEUE_INITIALIZED = 'textTracksQueueInitialized';
    this.TIME_SYNCHRONIZATION_COMPLETED = 'timeSynchronizationComplete';
    this.UPDATE_TIME_SYNC_OFFSET = 'updateTimeSyncOffset';
    this.URL_RESOLUTION_FAILED = 'urlResolutionFailed';
    this.VIDEO_CHUNK_RECEIVED = 'videoChunkReceived';
    this.WALLCLOCK_TIME_UPDATED = 'wallclockTimeUpdated';
    this.XLINK_ELEMENT_LOADED = 'xlinkElementLoaded';
    this.XLINK_READY = 'xlinkReady';
    this.SEEK_TARGET = 'seekTarget';
    this.SETTING_UPDATED_LIVE_DELAY = 'settingUpdatedLiveDelay';
    this.SETTING_UPDATED_LIVE_DELAY_FRAGMENT_COUNT = 'settingUpdatedLiveDelayFragmentCount';
    this.SETTING_UPDATED_CATCHUP_ENABLED = 'settingUpdatedCatchupEnabled';
    this.SETTING_UPDATED_PLAYBACK_RATE_MIN = 'settingUpdatedPlaybackRateMin';
    this.SETTING_UPDATED_PLAYBACK_RATE_MAX = 'settingUpdatedPlaybackRateMax';
    this.SETTING_UPDATED_ABR_ACTIVE_RULES = 'settingUpdatedAbrActiveRules';
    this.SETTING_UPDATED_MAX_BITRATE = 'settingUpdatedMaxBitrate';
    this.SETTING_UPDATED_MIN_BITRATE = 'settingUpdatedMinBitrate';
  }
}
/* harmony default export */ __webpack_exports__["default"] = (CoreEvents);

/***/ }),

/***/ "./src/core/events/Events.js":
/*!***********************************!*\
  !*** ./src/core/events/Events.js ***!
  \***********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _CoreEvents_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CoreEvents.js */ "./src/core/events/CoreEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */

class Events extends _CoreEvents_js__WEBPACK_IMPORTED_MODULE_0__["default"] {}
let events = new Events();
/* harmony default export */ __webpack_exports__["default"] = (events);

/***/ }),

/***/ "./src/core/events/EventsBase.js":
/*!***************************************!*\
  !*** ./src/core/events/EventsBase.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class EventsBase {
  extend(events, config) {
    if (!events) {
      return;
    }
    let override = config ? config.override : false;
    let publicOnly = config ? config.publicOnly : false;
    for (const evt in events) {
      if (!events.hasOwnProperty(evt) || this[evt] && !override) {
        continue;
      }
      if (publicOnly && events[evt].indexOf('public_') === -1) {
        continue;
      }
      this[evt] = events[evt];
    }
  }
}
/* harmony default export */ __webpack_exports__["default"] = (EventsBase);

/***/ }),

/***/ "./src/dash/DashAdapter.js":
/*!*********************************!*\
  !*** ./src/dash/DashAdapter.js ***!
  \*********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _vo_MediaInfo_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./vo/MediaInfo.js */ "./src/dash/vo/MediaInfo.js");
/* harmony import */ var _vo_StreamInfo_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./vo/StreamInfo.js */ "./src/dash/vo/StreamInfo.js");
/* harmony import */ var _vo_ManifestInfo_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./vo/ManifestInfo.js */ "./src/dash/vo/ManifestInfo.js");
/* harmony import */ var _vo_Event_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./vo/Event.js */ "./src/dash/vo/Event.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _models_DashManifestModel_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./models/DashManifestModel.js */ "./src/dash/models/DashManifestModel.js");
/* harmony import */ var _models_PatchManifestModel_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./models/PatchManifestModel.js */ "./src/dash/models/PatchManifestModel.js");
/* harmony import */ var _vo_Representation_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./vo/Representation.js */ "./src/dash/vo/Representation.js");
/* harmony import */ var bcp_47_normalize__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! bcp-47-normalize */ "./node_modules/bcp-47-normalize/lib/index.js");
/* harmony import */ var _svta_common_media_library_id3_getId3Frames_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @svta/common-media-library/id3/getId3Frames.js */ "./node_modules/@svta/common-media-library/dist/id3/getId3Frames.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */














/**
 * @module DashAdapter
 * @description The DashAdapter module can be accessed using the MediaPlayer API getDashAdapter()
 */

function DashAdapter() {
  let instance, dashManifestModel, patchManifestModel, voPeriods, constants, cea608parser;
  const context = this.context;
  const PROFILE_DVB = 'urn:dvb:dash:profile:dvb-dash:2014';
  function setup() {
    dashManifestModel = (0,_models_DashManifestModel_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance();
    patchManifestModel = (0,_models_PatchManifestModel_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
    reset();
  }

  // #region PUBLIC FUNCTIONS
  // --------------------------------------------------
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.constants) {
      constants = config.constants;
    }
    if (config.cea608parser) {
      cea608parser = config.cea608parser;
    }
    if (config.errHandler) {
      dashManifestModel.setConfig({
        errHandler: config.errHandler
      });
    }
    if (config.BASE64) {
      dashManifestModel.setConfig({
        BASE64: config.BASE64
      });
    }
  }

  /**
   * Returns a MediaInfo object for a given media type and the corresponding streamInfo.
   * @param {object} streamInfo
   * @param {MediaType }type
   * @returns {null|MediaInfo} mediaInfo
   * @memberOf module:DashAdapter
   * @instance
   */
  function getMediaInfoForType(streamInfo, type) {
    if (voPeriods.length === 0 || !streamInfo) {
      return null;
    }
    let selectedVoPeriod = getPeriodForStreamInfo(streamInfo, voPeriods);
    if (!selectedVoPeriod) {
      return null;
    }
    const voAdaptations = dashManifestModel.getAdaptationsForPeriod(selectedVoPeriod);
    let realAdaptation = getMainAdaptationForType(type, streamInfo);
    if (!realAdaptation) {
      return null;
    }
    let idx = dashManifestModel.getIndexForAdaptation(realAdaptation, voPeriods[0].mpd.manifest, streamInfo.index);
    return convertAdaptationToMediaInfo(voAdaptations[idx]);
  }

  /**
   * Checks if the role of the specified AdaptationSet is set to main
   * @param {object} adaptation
   * @returns {boolean}
   * @memberOf module:DashAdapter
   * @instance
   */
  function getIsMain(adaptation) {
    return dashManifestModel.getRolesForAdaptation(adaptation).filter(function (role) {
      return role.schemeIdUri === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_10__["default"].DASH_ROLE_SCHEME_ID && role.value === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].MAIN;
    })[0];
  }

  /**
   * Returns the AdaptationSet for a given period index and a given mediaType.
   * @param {number} periodIndex
   * @param {MediaType} type
   * @param {object} streamInfo
   * @returns {null|object} adaptation
   * @memberOf module:DashAdapter
   * @instance
   */
  function getMainAdaptationForType(type, streamInfo) {
    const index = streamInfo ? streamInfo.index : 0;
    const adaptations = dashManifestModel.getAdaptationsForType(voPeriods[index].mpd.manifest, index, type);
    if (!adaptations || adaptations.length === 0) {
      return null;
    }
    if (adaptations.length > 1 && streamInfo) {
      for (let i = 0, ln = adaptations.length; i < ln; i++) {
        if (getIsMain(adaptations[i])) {
          return adaptations[i];
        }
      }
    }
    return adaptations[0];
  }

  /**
   * Compares two mediaInfo objects
   * @param {MediaInfo} mInfoOne
   * @param {MediaInfo} mInfoTwo
   * @returns {boolean}
   * @memberof module:DashAdapter
   * @instance
   */
  function areMediaInfosEqual(mInfoOne, mInfoTwo) {
    if (!mInfoOne || !mInfoTwo) {
      return false;
    }
    const sameId = mInfoOne.id === mInfoTwo.id;
    const sameCodec = mInfoOne.codec === mInfoTwo.codec;
    const sameViewpoint = JSON.stringify(mInfoOne.viewpoint) === JSON.stringify(mInfoTwo.viewpoint);
    const sameLang = mInfoOne.lang === mInfoTwo.lang;
    const sameRoles = JSON.stringify(mInfoOne.roles) === JSON.stringify(mInfoTwo.roles);
    const sameAccessibility = JSON.stringify(mInfoOne.accessibility) === JSON.stringify(mInfoTwo.accessibility);
    const sameAudioChannelConfiguration = JSON.stringify(mInfoOne.audioChannelConfiguration) === JSON.stringify(mInfoTwo.audioChannelConfiguration);
    return sameId && sameCodec && sameViewpoint && sameLang && sameRoles && sameAccessibility && sameAudioChannelConfiguration;
  }
  function _getAllMediaInfo(manifest, period, streamInfo, adaptations, type, embeddedText) {
    let mediaArr = [];
    let data, media, idx, i, j, ln;
    if (!adaptations || adaptations.length === 0) {
      return [];
    }
    const voAdaptations = dashManifestModel.getAdaptationsForPeriod(period);
    for (i = 0, ln = adaptations.length; i < ln; i++) {
      data = adaptations[i];
      idx = dashManifestModel.getIndexForAdaptation(data, manifest, streamInfo.index);
      media = convertAdaptationToMediaInfo(voAdaptations[idx]);
      if (embeddedText) {
        let accessibilityLength = media.accessibility.length;
        for (j = 0; j < accessibilityLength; j++) {
          if (!media) {
            continue;
          }
          let accessibility = media.accessibility[j];
          if (accessibility.schemeIdUri === constants.ACCESSIBILITY_CEA608_SCHEME) {
            if (!accessibility.value || accessibility.value === '') {
              convertVideoInfoToEmbeddedTextInfo(media, constants.CC1, 'eng');
              mediaArr.push(media);
              media = null;
            } else {
              let value = accessibility.value;
              let parts = value.split(';');
              if (parts[0].substring(0, 2) === 'CC') {
                for (j = 0; j < parts.length; j++) {
                  if (!media) {
                    media = convertAdaptationToMediaInfo.call(this, voAdaptations[idx]);
                  }
                  convertVideoInfoToEmbeddedTextInfo(media, parts[j].substring(0, 3), parts[j].substring(4));
                  mediaArr.push(media);
                  media = null;
                }
              } else {
                for (j = 0; j < parts.length; j++) {
                  // Only languages for CC1, CC2, ...
                  if (!media) {
                    media = convertAdaptationToMediaInfo.call(this, voAdaptations[idx]);
                  }
                  convertVideoInfoToEmbeddedTextInfo(media, 'CC' + (j + 1), parts[j]);
                  mediaArr.push(media);
                  media = null;
                }
              }
            }
          }
        }
      } else if (type === constants.IMAGE) {
        convertVideoInfoToThumbnailInfo(media);
        mediaArr.push(media);
        media = null;
      } else if (media) {
        mediaArr.push(media);
      }
    }
    return mediaArr;
  }

  /**
   * Returns all the mediaInfos for a given mediaType and the corresponding streamInfo.
   * @param {object} streamInfo
   * @param {MediaType} type
   * @param {object} externalManifest Set to null or undefined if no external manifest is to be used
   * @returns {Array} mediaArr
   * @memberOf module:DashAdapter
   * @instance
   */
  function getAllMediaInfoForType(streamInfo, type, externalManifest) {
    let voLocalPeriods = voPeriods;
    let manifest = externalManifest;
    let mediaArr = [];
    if (manifest) {
      checkConfig();
      voLocalPeriods = getRegularPeriods(manifest);
    } else {
      if (voPeriods.length > 0) {
        manifest = voPeriods[0].mpd.manifest;
      } else {
        return mediaArr;
      }
    }
    const selectedVoPeriod = getPeriodForStreamInfo(streamInfo, voLocalPeriods);
    let adaptationsForType = dashManifestModel.getAdaptationsForType(manifest, streamInfo ? streamInfo.index : null, type);
    mediaArr = _getAllMediaInfo(manifest, selectedVoPeriod, streamInfo, adaptationsForType, type);

    // Search for embedded text in video track
    if (type === constants.TEXT) {
      adaptationsForType = dashManifestModel.getAdaptationsForType(manifest, streamInfo ? streamInfo.index : null, constants.VIDEO);
      mediaArr = mediaArr.concat(_getAllMediaInfo(manifest, selectedVoPeriod, streamInfo, adaptationsForType, type, true));
    }
    return mediaArr;
  }

  /**
   * Update the internal voPeriods array with the information from the new manifest
   * @param {object} newManifest
   * @returns {*}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function updatePeriods(newManifest) {
    if (!newManifest) {
      return null;
    }
    checkConfig();
    voPeriods = getRegularPeriods(newManifest);
  }

  /**
   * Returns an array of streamInfo objects
   * @param {object} externalManifest
   * @param {number} maxStreamsInfo
   * @returns {Array} streams
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getStreamsInfo(externalManifest, maxStreamsInfo) {
    const streams = [];
    let voLocalPeriods = voPeriods;

    //if manifest is defined, getStreamsInfo is for an outside manifest, not the current one
    if (externalManifest) {
      checkConfig();
      voLocalPeriods = getRegularPeriods(externalManifest);
    }
    if (voLocalPeriods.length > 0) {
      if (!maxStreamsInfo || maxStreamsInfo > voLocalPeriods.length) {
        maxStreamsInfo = voLocalPeriods.length;
      }
      for (let i = 0; i < maxStreamsInfo; i++) {
        streams.push(convertPeriodToStreamInfo(voLocalPeriods[i]));
      }
    }
    return streams;
  }

  /**
   * Returns the AdaptationSet as saved in the DashManifestModel
   * @param {object} streamInfo
   * @param {object} mediaInfo
   * @returns {object} realAdaptation
   * @memberOf module:DashAdapter
   * @instance
   */
  function getRealAdaptation(streamInfo, mediaInfo) {
    let id, realAdaptation;
    const selectedVoPeriod = getPeriodForStreamInfo(streamInfo, voPeriods);
    id = mediaInfo ? mediaInfo.id : null;
    if (voPeriods.length > 0 && selectedVoPeriod) {
      realAdaptation = id ? dashManifestModel.getAdaptationForId(id, voPeriods[0].mpd.manifest, selectedVoPeriod.index) : dashManifestModel.getAdaptationForIndex(mediaInfo ? mediaInfo.index : null, voPeriods[0].mpd.manifest, selectedVoPeriod.index);
    }
    return realAdaptation;
  }

  /**
   * Returns the ProducerReferenceTimes as saved in the DashManifestModel if present
   * @param {object} streamInfo
   * @param {object} mediaInfo
   * @returns {object} producerReferenceTimes
   * @memberOf module:DashAdapter
   * @instance
   */
  function getProducerReferenceTimes(streamInfo, mediaInfo) {
    let id, realAdaptation;
    const selectedVoPeriod = getPeriodForStreamInfo(streamInfo, voPeriods);
    id = mediaInfo ? mediaInfo.id : null;
    if (voPeriods.length > 0 && selectedVoPeriod) {
      realAdaptation = id ? dashManifestModel.getAdaptationForId(id, voPeriods[0].mpd.manifest, selectedVoPeriod.index) : dashManifestModel.getAdaptationForIndex(mediaInfo ? mediaInfo.index : null, voPeriods[0].mpd.manifest, selectedVoPeriod.index);
    }
    if (!realAdaptation) {
      return [];
    }
    return dashManifestModel.getProducerReferenceTimesForAdaptation(realAdaptation);
  }

  /**
   * Return all EssentialProperties of an AdaptationSet
   * @param {object} adaptationSet
   * @return {array}
   */
  function getEssentialPropertiesForAdaptationSet(adaptationSet) {
    try {
      return dashManifestModel.getEssentialPropertiesForRepresentation(adaptationSet);
    } catch (e) {
      return [];
    }
  }

  /**
   * Return all EssentialProperties of a Representation
   * @param {object} representation
   * @return {array}
   */
  function getEssentialPropertiesForRepresentation(representation) {
    try {
      return dashManifestModel.getEssentialPropertiesForRepresentation(representation);
    } catch (e) {
      return [];
    }
  }

  /**
   * Return supplementalCodecs of a Representation
   * @param {object} representation
   * @returns {array}
   */
  function getSupplementalCodecs(representation) {
    const supplementalCodecs = representation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].SUPPLEMENTAL_CODECS];
    if (!supplementalCodecs) {
      return [];
    }
    return supplementalCodecs.split(' ').map(codec => representation.mimeType + ';codecs="' + codec + '"');
  }

  /**
   * Returns the period as defined in the DashManifestModel for a given index
   * @param {number} index
   * @return {object}
   * @memberOf module:DashAdapter
   * @instance
   */
  function getRealPeriodByIndex(index) {
    return dashManifestModel.getRealPeriodForIndex(index, voPeriods[0].mpd.manifest);
  }

  /**
   * Returns all voRepresentations for a given mediaInfo
   * @param {object} mediaInfo
   * @returns {Array} voReps
   * @memberOf module:DashAdapter
   * @instance
   */
  function getVoRepresentations(mediaInfo) {
    let voReps;
    const voAdaptation = getAdaptationForMediaInfo(mediaInfo);
    voReps = dashManifestModel.getRepresentationsForAdaptation(voAdaptation, mediaInfo);
    return voReps;
  }

  /**
   * Returns the event for the given parameters.
   * @param {object} eventBox
   * @param {object} eventStreams
   * @param {number} mediaStartTime - Specified in seconds
   * @param {object} voRepresentation
   * @returns {null|Event}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getEvent(eventBox, eventStreams, mediaStartTime, voRepresentation) {
    try {
      if (!eventBox || !eventStreams || isNaN(mediaStartTime) || !voRepresentation) {
        return null;
      }
      const schemeIdUri = eventBox.scheme_id_uri;
      const value = eventBox.value;
      if (!eventStreams[schemeIdUri + '/' + value]) {
        return null;
      }
      const event = new _vo_Event_js__WEBPACK_IMPORTED_MODULE_4__["default"]();
      const timescale = eventBox.timescale || 1;
      const periodStart = voRepresentation.adaptation.period.start;
      const eventStream = eventStreams[schemeIdUri + '/' + value];
      // The PTO in voRepresentation is already specified in seconds
      const presentationTimeOffset = !isNaN(voRepresentation.presentationTimeOffset) ? voRepresentation.presentationTimeOffset : !isNaN(eventStream.presentationTimeOffset) ? eventStream.presentationTimeOffset : 0;
      // In case of version 1 events the presentation_time is parsed as presentation_time_delta
      let presentationTimeDelta = eventBox.presentation_time_delta / timescale;
      let calculatedPresentationTime;
      if (eventBox.version === 0) {
        calculatedPresentationTime = periodStart + mediaStartTime - presentationTimeOffset + presentationTimeDelta;
      } else {
        calculatedPresentationTime = periodStart - presentationTimeOffset + presentationTimeDelta;
      }
      const duration = eventBox.event_duration / timescale;
      const id = eventBox.id;
      const messageData = eventBox.message_data;
      event.eventStream = eventStream;
      event.eventStream.value = value;
      event.eventStream.timescale = timescale;
      event.duration = duration;
      event.id = id;
      event.calculatedPresentationTime = calculatedPresentationTime;
      event.messageData = messageData;
      event.presentationTimeDelta = presentationTimeDelta;
      event.parsedMessageData = schemeIdUri === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_10__["default"].ID3_SCHEME_ID_URI ? (0,_svta_common_media_library_id3_getId3Frames_js__WEBPACK_IMPORTED_MODULE_9__.getId3Frames)(messageData) : null;
      return event;
    } catch (e) {
      return null;
    }
  }

  /**
   * Returns the events for the given info object. info can either be an instance of StreamInfo, MediaInfo or Representation
   * @param {object} info
   * @param {object} voRepresentation
   * @returns {Array}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getEventsFor(info, voRepresentation, streamInfo) {
    let events = [];
    if (voPeriods.length > 0) {
      const manifest = voPeriods[0].mpd.manifest;
      if (info instanceof _vo_StreamInfo_js__WEBPACK_IMPORTED_MODULE_2__["default"]) {
        const period = getPeriodForStreamInfo(info, voPeriods);
        events = dashManifestModel.getEventsForPeriod(period);
      } else if (info instanceof _vo_MediaInfo_js__WEBPACK_IMPORTED_MODULE_1__["default"]) {
        const period = getPeriodForStreamInfo(streamInfo, voPeriods);
        events = dashManifestModel.getEventStreamForAdaptationSet(manifest, getAdaptationForMediaInfo(info), period);
      } else if (info instanceof _vo_Representation_js__WEBPACK_IMPORTED_MODULE_8__["default"]) {
        const period = getPeriodForStreamInfo(streamInfo, voPeriods);
        events = dashManifestModel.getEventStreamForRepresentation(manifest, voRepresentation, period);
      }
    }
    return events;
  }

  /**
   * Check if the given type is a text track
   * @param {object} adaptation
   * @returns {boolean}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getIsTextTrack(adaptation) {
    return dashManifestModel.getIsText(adaptation);
  }

  /**
   * Returns the UTC Timing Sources specified in the manifest
   * @returns {Array} utcTimingSources
   * @memberOf module:DashAdapter
   * @instance
   */
  function getUTCTimingSources() {
    const manifest = getManifest();
    return dashManifestModel.getUTCTimingSources(manifest);
  }

  /**
   * Returns the suggestedPresentationDelay as specified in the manifest
   * @returns {String} suggestedPresentationDelay
   * @memberOf module:DashAdapter
   * @instance
   */
  function getSuggestedPresentationDelay() {
    const mpd = voPeriods.length > 0 ? voPeriods[0].mpd : null;
    return dashManifestModel.getSuggestedPresentationDelay(mpd);
  }

  /**
   * Returns the availabilityStartTime as specified in the manifest
   * @param {object} externalManifest Omit this value if no external manifest should be used
   * @returns {number} availabilityStartTime
   * @memberOf module:DashAdapter
   * @instance
   */
  function getAvailabilityStartTime(externalManifest) {
    const mpd = getMpd(externalManifest);
    return dashManifestModel.getAvailabilityStartTime(mpd);
  }

  /**
   * Returns a boolean indicating if the manifest is dynamic or not
   * @param {object} externalManifest Omit this value if no external manifest should be used
   * @returns {boolean}
   * @memberOf module:DashAdapter
   * @instance
   */
  function getIsDynamic(externalManifest) {
    const manifest = getManifest(externalManifest);
    return dashManifestModel.getIsDynamic(manifest);
  }

  /**
   * Returns the duration of the MPD
   * @param {object} externalManifest Omit this value if no external manifest should be used
   * @returns {number} duration
   * @memberOf module:DashAdapter
   * @instance
   */
  function getDuration(externalManifest) {
    const manifest = getManifest(externalManifest);
    return dashManifestModel.getDuration(manifest);
  }

  /**
   * Returns all periods of the MPD
   * @param {object} externalManifest Omit this value if no external manifest should be used
   * @returns {Array} periods
   * @memberOf module:DashAdapter
   * @instance
   */
  function getRegularPeriods(externalManifest) {
    const mpd = getMpd(externalManifest);
    return dashManifestModel.getRegularPeriods(mpd);
  }

  /**
   * Returns an MPD object
   * @param {object} externalManifest Omit this value if no external manifest should be used
   * @returns {object} MPD
   * @memberOf module:DashAdapter
   * @instance
   */
  function getMpd(externalManifest) {
    const manifest = getManifest(externalManifest);
    return dashManifestModel.getMpd(manifest);
  }

  /**
   * Returns the ContentSteering element of the MPD
   * @param {object} manifest
   * @returns {object} contentSteering
   * @memberOf module:DashAdapter
   * @instance
   */
  function getContentSteering(manifest) {
    return dashManifestModel.getContentSteering(manifest);
  }

  /**
   * Returns the location element of the MPD
   * @param {object} manifest
   * @returns {String} location
   * @memberOf module:DashAdapter
   * @instance
   */
  function getLocation(manifest) {
    return dashManifestModel.getLocation(manifest);
  }

  /**
   * Returns the manifest update period used for dynamic manifests
   * @param {object} manifest
   * @param {number} latencyOfLastUpdate
   * @returns {NaN|number} manifestUpdatePeriod
   * @memberOf module:DashAdapter
   * @instance
   */
  function getManifestUpdatePeriod(manifest) {
    let latencyOfLastUpdate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    return dashManifestModel.getManifestUpdatePeriod(manifest, latencyOfLastUpdate);
  }

  /**
   * Returns the publish time from the manifest
   * @param {object} manifest
   * @returns {Date|null} publishTime
   * @memberOf module:DashAdapter
   * @instance
   */
  function getPublishTime(manifest) {
    return dashManifestModel.getPublishTime(manifest);
  }

  /**
   * Returns the patch locations of the MPD if existing and if they are still valid
   * @param {object} manifest
   * @returns {PatchLocation[]} patch location
   * @memberOf module:DashAdapter
   * @instance
   */
  function getPatchLocation(manifest) {
    const patchLocations = dashManifestModel.getPatchLocation(manifest);
    const publishTime = dashManifestModel.getPublishTime(manifest);

    // short-circuit when no patch location or publish time exists
    if (!patchLocations || patchLocations.length === 0 || !publishTime) {
      return [];
    }
    return patchLocations.filter(patchLocation => {
      // check if the patch location has expired, if so do not consider it
      return isNaN(patchLocation.ttl) || publishTime.getTime() + patchLocation.ttl > new Date().getTime();
    });
  }

  /**
   * Checks if the manifest has a DVB profile
   * @param {object} manifest
   * @returns {boolean}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getIsDVB(manifest) {
    return dashManifestModel.hasProfile(manifest, PROFILE_DVB);
  }

  /**
   * Checks if the manifest is actually just a patch manifest
   * @param  {object} manifest
   * @return {boolean}
   * @memberOf module:DashAdapter
   * @instance
   */
  function getIsPatch(manifest) {
    return patchManifestModel.getIsPatch(manifest);
  }

  /**
   * Returns the base urls for a given element
   * @param {object} node
   * @returns {BaseURL[]}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getBaseURLsFromElement(node) {
    return dashManifestModel.getBaseURLsFromElement(node);
  }

  /**
   * Returns the function to sort the Representations
   * @returns {function}
   * @memberOf module:DashAdapter
   * @instance
   * @ignore
   */
  function getRepresentationSortFunction() {
    return dashManifestModel.getRepresentationSortFunction();
  }

  /**
   * Returns the codec for a given adaptation set and a given representation id.
   * @param {object} adaptation
   * @param {number} representationId
   * @param {boolean} addResolutionInfo Defines whether to include resolution information in the output
   * @returns {String} codec
   * @memberOf module:DashAdapter
   * @instance
   */
  function getCodec(adaptation, representationIndex, addResolutionInfo) {
    return dashManifestModel.getCodec(adaptation, representationIndex, addResolutionInfo);
  }

  /**
   * Returns the framerate of a Representation as number
   * @param representation
   * @returns {number}
   */
  function getFramerate(representation) {
    return dashManifestModel.getFramerate(representation);
  }

  /**
   * Returns the bandwidth for a given representation id and the corresponding period index
   * @param {number} representationId
   * @param {number} periodIdx
   * @returns {number} bandwidth
   * @memberOf module:DashAdapter
   * @instance
   */
  function getBandwidthForRepresentation(representationId, periodIdx) {
    let representation;
    let period = getPeriod(periodIdx);
    representation = findRepresentation(period, representationId);
    return representation ? representation.bandwidth : null;
  }

  /**
   * Returns the index for a given representation id
   * @param {string} representationId
   * @param {number} periodIdx
   * @returns {number} index
   * @memberOf module:DashAdapter
   * @instance
   */
  function getIndexForRepresentation(representationId, periodIdx) {
    let period = getPeriod(periodIdx);
    return findRepresentationIndex(period, representationId);
  }

  /**
   * Returns the voPeriod object for a given id
   * @param {String} id
   * @returns {object|null}
   * @memberOf module:DashAdapter
   * @instance
   */
  function getPeriodById(id) {
    if (!id || voPeriods.length === 0) {
      return null;
    }
    const periods = voPeriods.filter(p => {
      return p.id === id;
    });
    if (periods && periods.length > 0) {
      return periods[0];
    }
    return null;
  }

  /**
   * Checks if the given AdaptationSet is from the given media type
   * @param {object} adaptation
   * @param {string} type
   * @return {boolean}
   * @memberOf module:DashAdapter
   * @instance
   */
  function getIsTypeOf(adaptation, type) {
    return dashManifestModel.getIsTypeOf(adaptation, type);
  }
  function reset() {
    voPeriods = [];
  }

  /**
   * Checks if the supplied manifest is compatible for application of the supplied patch
   * @param  {object}  manifest
   * @param  {object}  patch
   * @return {boolean}
   * @memberOf module:DashAdapter
   * @instance
   */
  function isPatchValid(manifest, patch) {
    let manifestId = dashManifestModel.getId(manifest);
    let patchManifestId = patchManifestModel.getMpdId(patch);
    let manifestPublishTime = dashManifestModel.getPublishTime(manifest);
    let patchPublishTime = patchManifestModel.getPublishTime(patch);
    let originalManifestPublishTime = patchManifestModel.getOriginalPublishTime(patch);

    // Patches are considered compatible if the following are true
    // - MPD@id == Patch@mpdId
    // - MPD@publishTime == Patch@originalPublishTime
    // - MPD@publishTime < Patch@publishTime
    // - All values in comparison exist
    return !!(manifestId && patchManifestId && manifestId == patchManifestId && manifestPublishTime && originalManifestPublishTime && manifestPublishTime.getTime() == originalManifestPublishTime.getTime() && patchPublishTime && manifestPublishTime.getTime() < patchPublishTime.getTime());
  }

  /**
   * Takes a given patch and applies it to the provided manifest, assumes patch is valid for manifest
   * @param  {object} manifest
   * @param  {object} patch
   * @memberOf module:DashAdapter
   * @instance
   */
  function applyPatchToManifest(manifest, patch) {
    // get all operations from the patch and apply them in document order
    patchManifestModel.getPatchOperations(patch).forEach(operation => {
      let result = operation.getMpdTarget(manifest);

      // operation supplies a path that doesn't match mpd, skip
      if (result === null) {
        return;
      }
      let {
        name,
        target,
        leaf
      } = result;

      // short circuit for attribute selectors and text replacement
      if (operation.xpath.findsAttribute() || name === '__text') {
        switch (operation.action) {
          case 'add':
          case 'replace':
            // add and replace are just setting the value
            target[name] = operation.value;
            break;
          case 'remove':
            // remove is deleting the value
            delete target[name];
            break;
        }
        return;
      }

      // determine the relative insert position prior to possible removal
      let relativePosition = (target[name] || []).indexOf(leaf);
      let insertBefore = operation.position === 'prepend' || operation.position === 'before';

      // perform removal operation first, we have already capture the appropriate relative position
      if (operation.action === 'remove' || operation.action === 'replace') {
        // note that we ignore the 'ws' attribute of patch operations as it does not effect parsed mpd operations

        // purge the directly named entity
        if (!Array.isArray(target[name])) {
          delete target[name];
        } else if (relativePosition != -1) {
          // if we did have a positional reference we need to purge from array set and restore X2JS proper semantics
          let targetArray = target[name];
          targetArray.splice(relativePosition, 1);
          if (targetArray.length > 0) {
            target[name] = targetArray;
          } else {
            // all nodes of this type deleted, remove entry
            delete target[name];
          }
        }
      }

      // Perform any add/replace operations now, technically RFC5261 only allows a single element to take the
      // place of a replaced element while the add case allows an arbitrary number of children.
      // Due to the both operations requiring the same insertion logic they have been combined here and we will
      // not enforce single child operations for replace, assertions should be made at patch parse time if necessary
      if (operation.action === 'add' || operation.action === 'replace') {
        // value will be an object with element name keys pointing to arrays of objects
        Object.keys(operation.value).forEach(insert => {
          let insertNodes = operation.value[insert];
          let updatedNodes = target[insert] || [];
          if (updatedNodes.length === 0 && target[insert]) {
            updatedNodes.push(target[insert]);
          }
          if (updatedNodes.length === 0) {
            // no original nodes for this element type
            updatedNodes = insertNodes;
          } else {
            // compute the position we need to insert at, default to end of set
            let position = updatedNodes.length;
            if (insert == name && relativePosition != -1) {
              // if the inserted element matches the operation target (not leaf) and there is a relative position we
              // want the inserted position to be set such that our insertion is relative to original position
              // since replace has modified the array length we reduce the insert point by 1
              position = relativePosition + (insertBefore ? 0 : 1) + (operation.action === 'replace' ? -1 : 0);
            } else {
              // otherwise we are in an add append/prepend case or replace case that removed the target name completely
              position = insertBefore ? 0 : updatedNodes.length;
            }

            // we dont have to perform element removal for the replace case as that was done above
            updatedNodes.splice.apply(updatedNodes, [position, 0].concat(insertNodes));
          }

          // now we properly reset the element keys on the target to match parsing semantics
          target[insert] = updatedNodes;
        });
      }
    });
  }

  // #endregion PUBLIC FUNCTIONS

  // #region PRIVATE FUNCTIONS
  // --------------------------------------------------
  function getManifest(externalManifest) {
    return externalManifest ? externalManifest : voPeriods.length > 0 ? voPeriods[0].mpd.manifest : null;
  }
  function getAdaptationForMediaInfo(mediaInfo) {
    try {
      const selectedVoPeriod = getPeriodForStreamInfo(mediaInfo.streamInfo, voPeriods);
      const voAdaptations = dashManifestModel.getAdaptationsForPeriod(selectedVoPeriod);
      if (!mediaInfo || !mediaInfo.streamInfo || mediaInfo.streamInfo.id === undefined || !voAdaptations) {
        return null;
      }
      return voAdaptations[mediaInfo.index];
    } catch (e) {
      return null;
    }
  }
  function getPeriodForStreamInfo(streamInfo, voPeriodsArray) {
    const ln = voPeriodsArray.length;
    for (let i = 0; i < ln; i++) {
      let voPeriod = voPeriodsArray[i];
      if (streamInfo && streamInfo.id === voPeriod.id) {
        return voPeriod;
      }
    }
    return null;
  }
  function convertAdaptationToMediaInfo(adaptation) {
    if (!adaptation) {
      return null;
    }
    let mediaInfo = new _vo_MediaInfo_js__WEBPACK_IMPORTED_MODULE_1__["default"]();
    const realAdaptation = adaptation.period.mpd.manifest.Period[adaptation.period.index].AdaptationSet[adaptation.index];
    mediaInfo.id = adaptation.id;
    mediaInfo.index = adaptation.index;
    mediaInfo.type = adaptation.type;
    mediaInfo.streamInfo = convertPeriodToStreamInfo(adaptation.period);
    mediaInfo.representationCount = dashManifestModel.getRepresentationCount(realAdaptation);
    mediaInfo.labels = dashManifestModel.getLabelsForAdaptation(realAdaptation);
    mediaInfo.lang = dashManifestModel.getLanguageForAdaptation(realAdaptation);
    mediaInfo.segmentAlignment = dashManifestModel.getSegmentAlignment(realAdaptation);
    mediaInfo.subSegmentAlignment = dashManifestModel.getSubSegmentAlignment(realAdaptation);
    mediaInfo.viewpoint = dashManifestModel.getViewpointForAdaptation(realAdaptation);
    mediaInfo.accessibility = dashManifestModel.getAccessibilityForAdaptation(realAdaptation);
    if (mediaInfo.accessibility.filter(function (accessibility) {
      if (accessibility.schemeIdUri && accessibility.schemeIdUri.search('cea-608') >= 0 && typeof cea608parser !== 'undefined') {
        return true;
      }
    })[0]) {
      mediaInfo.embeddedCaptions = true;
    }
    mediaInfo.audioChannelConfiguration = dashManifestModel.getAudioChannelConfigurationForAdaptation(realAdaptation);
    if (mediaInfo.audioChannelConfiguration.length === 0 && realAdaptation.Representation && realAdaptation.Representation.length > 0) {
      mediaInfo.audioChannelConfiguration = dashManifestModel.getAudioChannelConfigurationForRepresentation(realAdaptation.Representation[0]);
    }
    mediaInfo.roles = dashManifestModel.getRolesForAdaptation(realAdaptation);
    mediaInfo.codec = dashManifestModel.getCodec(realAdaptation);
    mediaInfo.mimeType = dashManifestModel.getMimeType(realAdaptation);
    mediaInfo.contentProtection = dashManifestModel.getContentProtectionByAdaptation(realAdaptation);
    mediaInfo.bitrateList = dashManifestModel.getBitrateListForAdaptation(realAdaptation);
    mediaInfo.selectionPriority = dashManifestModel.getSelectionPriority(realAdaptation);
    if (mediaInfo.contentProtection && mediaInfo.contentProtection.length > 0) {
      mediaInfo.contentProtection = _applyContentProtectionReferencing(mediaInfo.contentProtection, adaptation.period.mpd.manifest);
      mediaInfo.contentProtection = _applyDefaultKeyId(mediaInfo.contentProtection);
      mediaInfo.normalizedKeyIds = _getNormalizedKeyIds(mediaInfo.contentProtection);
    }
    mediaInfo.isText = dashManifestModel.getIsText(realAdaptation);
    mediaInfo.essentialProperties = dashManifestModel.getCombinedEssentialPropertiesForAdaptationSet(realAdaptation);
    mediaInfo.supplementalProperties = dashManifestModel.getCombinedSupplementalPropertiesForAdaptationSet(realAdaptation);
    mediaInfo.isFragmented = dashManifestModel.getIsFragmented(realAdaptation);
    mediaInfo.isEmbedded = false;
    mediaInfo.adaptationSetSwitchingCompatibleIds = _getAdaptationSetSwitchingCompatibleIds(mediaInfo);
    return mediaInfo;
  }
  function _applyDefaultKeyId(contentProtection) {
    const keyIds = contentProtection.map(cp => cp.cencDefaultKid).filter(kid => kid !== null);
    if (keyIds.length) {
      const keyId = keyIds[0];
      contentProtection.forEach(cp => {
        cp.keyId = keyId;
      });
    }
    return contentProtection;
  }
  function _applyContentProtectionReferencing(contentProtection, manifest) {
    if (!contentProtection || !contentProtection.length || !manifest) {
      return contentProtection;
    }
    const allContentProtectionElements = dashManifestModel.getContentProtectionByManifest(manifest);
    if (!allContentProtectionElements || !allContentProtectionElements.length) {
      return contentProtection;
    }
    const contentProtectionElementsByRefId = allContentProtectionElements.reduce((acc, curr) => {
      if (curr.refId) {
        acc.set(curr.refId, curr);
      }
      return acc;
    }, new Map());
    return contentProtection.map(contentProtectionElement => {
      if (contentProtectionElement.ref) {
        const contentProtectionElementSource = contentProtectionElementsByRefId.get(contentProtectionElement.ref);
        if (contentProtectionElementSource) {
          contentProtectionElement.mergeAttributesFromReference(contentProtectionElementSource);
        }
      }
      return contentProtectionElement;
    });
  }
  function _getNormalizedKeyIds(contentProtection) {
    const normalizedKeyIds = new Set();
    contentProtection.forEach(contentProtectionElement => {
      if (contentProtectionElement.cencDefaultKid && typeof contentProtectionElement.cencDefaultKid === 'string') {
        normalizedKeyIds.add(contentProtectionElement.cencDefaultKid.replace(/-/g, '').toLowerCase());
      }
    });
    return normalizedKeyIds;
  }
  function _getAdaptationSetSwitchingCompatibleIds(mediaInfo) {
    if (!mediaInfo || !mediaInfo.supplementalProperties) {
      return [];
    }
    let adaptationSetSwitchingCompatibleIds = [];
    const adaptationSetSwitching = mediaInfo.supplementalProperties.filter(sp => {
      return sp.schemeIdUri === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].ADAPTATION_SET_SWITCHING_SCHEME_ID_URI;
    });
    if (adaptationSetSwitching && adaptationSetSwitching.length > 0) {
      const ids = adaptationSetSwitching[0].value.toString().split(',');
      adaptationSetSwitchingCompatibleIds = ids.map(id => {
        return id;
      });
    }
    return adaptationSetSwitchingCompatibleIds;
  }
  function convertVideoInfoToEmbeddedTextInfo(mediaInfo, channel, lang) {
    mediaInfo.id = channel; // CC1, CC2, CC3, or CC4
    mediaInfo.index = 100 + parseInt(channel.substring(2, 3));
    mediaInfo.type = constants.TEXT;
    mediaInfo.codec = 'cea-608-in-SEI';
    mediaInfo.isEmbedded = true;
    mediaInfo.isFragmented = false;
    mediaInfo.lang = (0,bcp_47_normalize__WEBPACK_IMPORTED_MODULE_11__.bcp47Normalize)(lang);
    mediaInfo.roles = [{
      schemeIdUri: 'urn:mpeg:dash:role:2011',
      value: 'caption'
    }];
  }
  function convertVideoInfoToThumbnailInfo(mediaInfo) {
    mediaInfo.type = constants.IMAGE;
  }
  function convertPeriodToStreamInfo(period) {
    let streamInfo = new _vo_StreamInfo_js__WEBPACK_IMPORTED_MODULE_2__["default"]();
    const THRESHOLD = 1;
    streamInfo.id = period.id;
    streamInfo.index = period.index;
    streamInfo.start = period.start;
    streamInfo.duration = period.duration;
    streamInfo.manifestInfo = convertMpdToManifestInfo(period.mpd);
    streamInfo.isLast = period.mpd.manifest.Period.length === 1 || Math.abs(streamInfo.start + streamInfo.duration - streamInfo.manifestInfo.duration) < THRESHOLD;
    streamInfo.isEncrypted = period.isEncrypted;
    return streamInfo;
  }
  function convertMpdToManifestInfo(mpd) {
    let manifestInfo = new _vo_ManifestInfo_js__WEBPACK_IMPORTED_MODULE_3__["default"]();
    manifestInfo.dvrWindowSize = mpd.timeShiftBufferDepth;
    manifestInfo.loadedTime = mpd.manifest.loadedTime;
    manifestInfo.availableFrom = mpd.availabilityStartTime;
    manifestInfo.minBufferTime = mpd.manifest.minBufferTime;
    manifestInfo.maxFragmentDuration = mpd.maxSegmentDuration;
    manifestInfo.duration = dashManifestModel.getDuration(mpd.manifest);
    manifestInfo.isDynamic = dashManifestModel.getIsDynamic(mpd.manifest);
    manifestInfo.serviceDescriptions = dashManifestModel.getServiceDescriptions(mpd.manifest);
    manifestInfo.protocol = mpd.manifest.protocol;
    return manifestInfo;
  }
  function checkConfig() {
    if (!constants) {
      throw new Error('setConfig function has to be called previously');
    }
  }
  function getPeriod(periodIdx) {
    return voPeriods.length > 0 ? voPeriods[0].mpd.manifest.Period[periodIdx] : null;
  }
  function findRepresentationIndex(period, representationId) {
    const index = findRepresentation(period, representationId, true);
    return index !== null ? index : -1;
  }
  function findRepresentation(period, representationId, returnIndex) {
    let adaptationSet, adaptationSetArray, representation, representationArray, adaptationSetArrayIndex, representationArrayIndex;
    if (period) {
      adaptationSetArray = period.AdaptationSet;
      for (adaptationSetArrayIndex = 0; adaptationSetArrayIndex < adaptationSetArray.length; adaptationSetArrayIndex = adaptationSetArrayIndex + 1) {
        adaptationSet = adaptationSetArray[adaptationSetArrayIndex];
        representationArray = adaptationSet.Representation;
        for (representationArrayIndex = 0; representationArrayIndex < representationArray.length; representationArrayIndex = representationArrayIndex + 1) {
          representation = representationArray[representationArrayIndex];
          if (representationId === representation.id) {
            if (returnIndex) {
              return representationArrayIndex;
            } else {
              return representation;
            }
          }
        }
      }
    }
    return null;
  }

  // #endregion PRIVATE FUNCTIONS

  instance = {
    applyPatchToManifest,
    areMediaInfosEqual,
    getAllMediaInfoForType,
    getAvailabilityStartTime,
    getBandwidthForRepresentation,
    getBaseURLsFromElement,
    getCodec,
    getContentSteering,
    getDuration,
    getEssentialPropertiesForAdaptationSet,
    getEssentialPropertiesForRepresentation,
    getEvent,
    getEventsFor,
    getFramerate,
    getIndexForRepresentation,
    getIsDVB,
    getIsDynamic,
    getIsPatch,
    getIsTextTrack,
    getIsTypeOf,
    getLocation,
    getMainAdaptationForType,
    getManifestUpdatePeriod,
    getMediaInfoForType,
    getMpd,
    getPatchLocation,
    getPeriodById,
    getProducerReferenceTimes,
    getPublishTime,
    getRealAdaptation,
    getRealPeriodByIndex,
    getRegularPeriods,
    getRepresentationSortFunction,
    getStreamsInfo,
    getSuggestedPresentationDelay,
    getSupplementalCodecs,
    getUTCTimingSources,
    getVoRepresentations,
    isPatchValid,
    reset,
    setConfig,
    updatePeriods
  };
  setup();
  return instance;
}
DashAdapter.__dashjs_factory_name = 'DashAdapter';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__["default"].getSingletonFactory(DashAdapter));

/***/ }),

/***/ "./src/dash/DashHandler.js":
/*!*********************************!*\
  !*** ./src/dash/DashHandler.js ***!
  \*********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../streaming/vo/FragmentRequest.js */ "./src/streaming/vo/FragmentRequest.js");
/* harmony import */ var _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../streaming/vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./utils/SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






const DEFAULT_ADJUST_SEEK_TIME_THRESHOLD = 0.5;
const SEGMENT_START_TIME_DELTA = 0.001;
function DashHandler(config) {
  config = config || {};
  const eventBus = config.eventBus;
  const debug = config.debug;
  const urlUtils = config.urlUtils;
  const type = config.type;
  const streamInfo = config.streamInfo;
  const segmentsController = config.segmentsController;
  const timelineConverter = config.timelineConverter;
  const baseURLController = config.baseURLController;
  let instance, logger, lastSegment, isDynamicManifest, mediaHasFinished;
  function setup() {
    logger = debug.getLogger(instance);
    resetInitialSettings();
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].DYNAMIC_TO_STATIC, _onDynamicToStatic, instance);
  }
  function initialize(isDynamic) {
    isDynamicManifest = isDynamic;
    mediaHasFinished = false;
    segmentsController.initialize(isDynamic);
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function getType() {
    return type;
  }
  function getStreamInfo() {
    return streamInfo;
  }
  function resetInitialSettings() {
    lastSegment = null;
  }
  function reset() {
    resetInitialSettings();
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].DYNAMIC_TO_STATIC, _onDynamicToStatic, instance);
  }
  function _setRequestUrl(request, destination, representation) {
    const baseURL = baseURLController.resolve(representation.path);
    let url,
      serviceLocation,
      queryParams = {};
    if (!baseURL || destination === baseURL.url || !urlUtils.isRelative(destination)) {
      url = destination;
    } else {
      url = baseURL.url;
      serviceLocation = baseURL.serviceLocation;
      queryParams = baseURL.queryParams;
      if (destination) {
        url = urlUtils.resolve(destination, url);
      }
    }
    if (urlUtils.isRelative(url)) {
      return false;
    }
    request.url = url;
    request.serviceLocation = serviceLocation;
    request.queryParams = queryParams;
    return true;
  }
  function getInitRequest(mediaInfo, representation) {
    if (!representation) {
      return null;
    }
    return _generateInitRequest(mediaInfo, representation, getType());
  }
  function _generateInitRequest(mediaInfo, representation, mediaType) {
    const request = new _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_0__["default"]();
    const period = representation.adaptation.period;
    const presentationStartTime = period.start;
    request.mediaType = mediaType;
    request.type = _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.INIT_SEGMENT_TYPE;
    request.range = representation.range;
    request.availabilityStartTime = timelineConverter.calcAvailabilityStartTimeFromPresentationTime(presentationStartTime, representation, isDynamicManifest);
    request.availabilityEndTime = timelineConverter.calcAvailabilityEndTimeFromPresentationTime(presentationStartTime + period.duration, representation, isDynamicManifest);
    request.representation = representation;
    if (_setRequestUrl(request, representation.initialization, representation)) {
      request.url = (0,_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_5__.processUriTemplate)(request.url, undefined, undefined, undefined, representation.bandwidth);
      return request;
    }
  }
  function _getRequestForSegment(mediaInfo, segment) {
    if (segment === null || segment === undefined) {
      return null;
    }
    const request = new _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_0__["default"]();
    const representation = segment.representation;
    const bandwidth = representation.bandwidth;
    const url = (0,_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_5__.processUriTemplate)(segment.media, representation.id, segment.replacementNumber, undefined, bandwidth, segment.replacementTime);
    request.mediaType = getType();
    request.bandwidth = representation.bandwidth;
    request.type = _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.MEDIA_SEGMENT_TYPE;
    request.range = segment.mediaRange;
    request.startTime = segment.presentationStartTime;
    request.mediaStartTime = segment.mediaStartTime;
    request.duration = segment.duration;
    request.timescale = representation.timescale;
    request.availabilityStartTime = segment.availabilityStartTime;
    request.availabilityEndTime = segment.availabilityEndTime;
    request.availabilityTimeComplete = representation.availabilityTimeComplete;
    request.wallStartTime = segment.wallStartTime;
    request.index = segment.index;
    request.adaptationIndex = representation.adaptation.index;
    request.representation = representation;
    if (_setRequestUrl(request, url, representation)) {
      return request;
    }
  }
  function isLastSegmentRequested(representation, bufferingTime) {
    if (!representation || !lastSegment) {
      return false;
    }

    // Either transition from dynamic to static was done or no next static segment found
    if (mediaHasFinished) {
      return true;
    }

    // Period is endless
    if (!isFinite(representation.adaptation.period.duration)) {
      return false;
    }

    // we are replacing existing stuff in the buffer for instance after a track switch
    if (lastSegment.presentationStartTime + lastSegment.duration > bufferingTime) {
      return false;
    }

    // Additional segment references may be added to the last period.
    // Additional periods may be added to the end of the MPD.
    // Segment references SHALL NOT be added to any period other than the last period.
    // An MPD update MAY combine adding segment references to the last period with adding of new periods. An MPD update that adds content MAY be combined with an MPD update that removes content.
    // The index of the last requested segment is higher than the number of available segments.
    // For SegmentTimeline and SegmentTemplate the index does not include the startNumber.
    // For SegmentList the index includes the startnumber which is why the numberOfSegments includes this as well
    if (representation.mediaFinishedInformation && !isNaN(representation.mediaFinishedInformation.numberOfSegments) && !isNaN(lastSegment.index) && lastSegment.index >= representation.mediaFinishedInformation.numberOfSegments - 1) {
      // For static manifests and Template addressing we can compare the index against the number of available segments
      if (!isDynamicManifest || representation.segmentInfoType === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SEGMENT_TEMPLATE) {
        return true;
      }
      // For SegmentList we need to check if the next period is signaled
      else if (isDynamicManifest && representation.segmentInfoType === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SEGMENT_LIST && representation.adaptation.period.nextPeriodId) {
        return true;
      }
    }

    // For dynamic SegmentTimeline manifests we need to check if the next period is already signaled and the segment we fetched before is the last one that is signaled.
    // We can not simply use the index, as numberOfSegments might have decreased after an MPD update
    return !!(isDynamicManifest && representation.adaptation.period.nextPeriodId && representation.segmentInfoType === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SEGMENT_TIMELINE && representation.mediaFinishedInformation && !isNaN(representation.mediaFinishedInformation.mediaTimeOfLastSignaledSegment) && lastSegment && !isNaN(lastSegment.mediaStartTime) && !isNaN(lastSegment.duration) && lastSegment.mediaStartTime + lastSegment.duration >= representation.mediaFinishedInformation.mediaTimeOfLastSignaledSegment - 0.05);
  }
  function getSegmentRequestForTime(mediaInfo, representation, time) {
    let request = null;
    if (!representation || !representation.segmentInfoType) {
      return request;
    }
    const segment = segmentsController.getSegmentByTime(representation, time);
    if (segment) {
      lastSegment = segment;
      logger.debug('Index for time ' + time + ' is ' + segment.index);
      request = _getRequestForSegment(mediaInfo, segment);
    }
    return request;
  }

  /**
   * This function returns the next segment request without modifying any internal variables. Any class (e.g CMCD Model) that needs information about the upcoming request should use this method.
   * @param {object} mediaInfo
   * @param {object} representation
   * @return {FragmentRequest|null}
   */
  function getNextSegmentRequestIdempotent(mediaInfo, representation) {
    let request = null;
    let indexToRequest = lastSegment ? lastSegment.index + 1 : 0;
    const segment = segmentsController.getSegmentByIndex(representation, indexToRequest, lastSegment ? lastSegment.mediaStartTime : -1);
    if (!segment) {
      return null;
    }
    request = _getRequestForSegment(mediaInfo, segment);
    return request;
  }

  /**
   * Main function to get the next segment request.
   * @param {object} mediaInfo
   * @param {object} representation
   * @return {FragmentRequest|null}
   */
  function getNextSegmentRequest(mediaInfo, representation) {
    if (!representation || !representation.segmentInfoType) {
      return null;
    }
    let indexToRequest = lastSegment ? lastSegment.index + 1 : 0;
    if (representation && lastSegment && representation.endNumber && lastSegment.replacementNumber && lastSegment.replacementNumber >= representation.endNumber) {
      mediaHasFinished = true;
      return null;
    }
    return _getRequest(mediaInfo, representation, indexToRequest);
  }
  function repeatSegmentRequest(mediaInfo, representation) {
    if (!representation || !representation.segmentInfoType) {
      return null;
    }
    let indexToRequest = lastSegment ? lastSegment.index : 0;
    return _getRequest(mediaInfo, representation, indexToRequest);
  }
  function _getRequest(mediaInfo, representation, indexToRequest) {
    let request = null;
    const segment = segmentsController.getSegmentByIndex(representation, indexToRequest, lastSegment ? lastSegment.mediaStartTime : -1);

    // No segment found
    if (!segment) {
      // Dynamic manifest there might be something available in the next iteration
      if (isDynamicManifest && !mediaHasFinished) {
        logger.debug(getType() + ' No segment found at index: ' + indexToRequest + '. Wait for next loop');
        return null;
      } else {
        mediaHasFinished = true;
      }
    } else {
      request = _getRequestForSegment(mediaInfo, segment);
      lastSegment = segment;
    }
    return request;
  }

  /**
   * This function returns a time larger than the current time for which we can generate a request.
   * This is useful in scenarios in which the user seeks into a gap in a dynamic Timeline manifest. We will not find a valid request then and need to adjust the seektime.
   * @param {number} time
   * @param {object} mediaInfo
   * @param {object} representation
   * @param {number} targetThreshold
   * @return {number}
   */
  function getValidTimeAheadOfTargetTime(time, mediaInfo, representation, targetThreshold) {
    try {
      if (isNaN(time) || !mediaInfo || !representation) {
        return NaN;
      }
      if (time < 0) {
        time = 0;
      }
      if (isNaN(targetThreshold)) {
        targetThreshold = DEFAULT_ADJUST_SEEK_TIME_THRESHOLD;
      }
      if (getSegmentRequestForTime(mediaInfo, representation, time)) {
        return time;
      }
      if (representation.adaptation.period.start + representation.adaptation.period.duration < time) {
        return NaN;
      }

      // If we have a duration look until the end of the duration, otherwise maximum 30 seconds
      const end = isFinite(representation.adaptation.period.duration) ? representation.adaptation.period.start + representation.adaptation.period.duration : time + 30;
      let currentUpperTime = Math.min(time + targetThreshold, end);
      let adjustedTime = NaN;
      let targetRequest = null;
      while (currentUpperTime <= end) {
        let upperRequest = null;
        if (currentUpperTime <= end) {
          upperRequest = getSegmentRequestForTime(mediaInfo, representation, currentUpperTime);
        }
        if (upperRequest) {
          adjustedTime = currentUpperTime;
          targetRequest = upperRequest;
          break;
        }
        currentUpperTime += targetThreshold;
      }
      if (targetRequest) {
        const requestEndTime = targetRequest.startTime + targetRequest.duration;

        // Keep the original start time in case it is covered by a segment
        if (time > targetRequest.startTime && requestEndTime - time > targetThreshold) {
          return time;
        }
        if (!isNaN(targetRequest.startTime) && time < targetRequest.startTime && adjustedTime > targetRequest.startTime) {
          // Apply delta to segment start time to get around rounding issues
          return targetRequest.startTime + SEGMENT_START_TIME_DELTA;
        }
        return Math.min(requestEndTime - targetThreshold, adjustedTime);
      }
      return adjustedTime;
    } catch (e) {
      return NaN;
    }
  }
  function getCurrentIndex() {
    return lastSegment ? lastSegment.index : -1;
  }
  function _onDynamicToStatic() {
    logger.debug('Dynamic stream complete');
    mediaHasFinished = true;
  }
  instance = {
    getCurrentIndex,
    getInitRequest,
    getNextSegmentRequest,
    getNextSegmentRequestIdempotent,
    getSegmentRequestForTime,
    getStreamId,
    getStreamInfo,
    getType,
    getValidTimeAheadOfTargetTime,
    initialize,
    isLastSegmentRequested,
    repeatSegmentRequest,
    reset
  };
  setup();
  return instance;
}
DashHandler.__dashjs_factory_name = 'DashHandler';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(DashHandler));

/***/ }),

/***/ "./src/dash/DashMetrics.js":
/*!*********************************!*\
  !*** ./src/dash/DashMetrics.js ***!
  \*********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../streaming/vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../streaming/constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _utils_Round10_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/Round10.js */ "./src/dash/utils/Round10.js");
/* harmony import */ var _streaming_models_MetricsModel_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../streaming/models/MetricsModel.js */ "./src/streaming/models/MetricsModel.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../core/Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _streaming_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../streaming/vo/metrics/PlayList.js */ "./src/streaming/vo/metrics/PlayList.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









/**
 * @module DashMetrics
 * @description The DashMetrics module can be accessed using the MediaPlayer API getDashMetrics()
 * @param {object} config
 */

function DashMetrics(config) {
  config = config || {};
  const context = this.context;
  let instance, playListTraceMetricsClosed, playListTraceMetrics, playListMetrics;
  let metricsModel = config.metricsModel;
  function setup() {
    metricsModel = metricsModel || (0,_streaming_models_MetricsModel_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance({
      settings: config.settings
    });
    resetInitialSettings();
  }
  function resetInitialSettings() {
    playListTraceMetricsClosed = true;
    playListTraceMetrics = null;
    playListMetrics = null;
  }

  /**
   * Returns the latest Representation switch for a given media type
   * @param {MediaType} mediaType
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentRepresentationSwitch(mediaType) {
    const metrics = metricsModel.getMetricsFor(mediaType, true);
    return getCurrent(metrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].TRACK_SWITCH);
  }

  /**
   * @param {MediaType} mediaType
   * @param {Date} t time of the switch event
   * @param {Date} mt media presentation time
   * @param {string} to id of representation
   * @param {string} lto if present, subrepresentation reference
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addRepresentationSwitch(mediaType, t, mt, to, lto) {
    metricsModel.addRepresentationSwitch(mediaType, t, mt, to, lto);
  }

  /**
   * Returns the current buffer state for a given media type
   * @param {MediaType} mediaType
   * @returns {number}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentBufferState(mediaType) {
    const metrics = metricsModel.getMetricsFor(mediaType, true);
    return getCurrent(metrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].BUFFER_STATE);
  }

  /**
   * Returns the current buffer level for a given media type
   * @param {MediaType} mediaType
   * @returns {number}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentBufferLevel(mediaType) {
    const metrics = metricsModel.getMetricsFor(mediaType, true);
    const metric = getCurrent(metrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].BUFFER_LEVEL);
    if (metric) {
      return _utils_Round10_js__WEBPACK_IMPORTED_MODULE_4__["default"].round10(metric.level / 1000, -3);
    }
    return 0;
  }

  /**
   * @param {MediaType} mediaType
   * @param {number} t
   * @param {number} level
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addBufferLevel(mediaType, t, level) {
    metricsModel.addBufferLevel(mediaType, t, level);
  }

  /**
   * @param {MediaType} mediaType
   * @param {string} state
   * @param {number} target
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addBufferState(mediaType, state, target) {
    metricsModel.addBufferState(mediaType, state, target);
  }

  /**
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function clearAllCurrentMetrics() {
    metricsModel.clearAllCurrentMetrics();
  }

  /**
   * Returns the latest HTTP request for a given media type
   * @param {MediaType} mediaType
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentHttpRequest(mediaType) {
    const metrics = metricsModel.getMetricsFor(mediaType, true);
    if (!metrics) {
      return null;
    }
    const httpList = metrics.HttpList;
    let currentHttpList = null;
    let httpListLastIndex;
    if (!httpList || httpList.length <= 0) {
      return null;
    }
    httpListLastIndex = httpList.length - 1;
    while (httpListLastIndex >= 0) {
      if (httpList[httpListLastIndex].responsecode) {
        currentHttpList = httpList[httpListLastIndex];
        break;
      }
      httpListLastIndex--;
    }
    return currentHttpList;
  }

  /**
   * Returns all HTTP requests for a given media type
   * @param {MediaType} mediaType
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getHttpRequests(mediaType) {
    const metrics = metricsModel.getMetricsFor(mediaType, true);
    if (!metrics) {
      return [];
    }
    return !!metrics.HttpList ? metrics.HttpList : [];
  }

  /**
   * @param {MediaType} mediaType
   * @param {Array} loadingRequests
   * @param {Array} executedRequests
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addRequestsQueue(mediaType, loadingRequests, executedRequests) {
    metricsModel.addRequestsQueue(mediaType, loadingRequests, executedRequests);
  }

  /**
   * Returns the latest metrics for a given metric list and specific metric name
   * @param {MetricsList} metrics
   * @param {string} metricName
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrent(metrics, metricName) {
    if (!metrics) {
      return null;
    }
    const list = metrics[metricName];
    return !list || list.length === 0 ? null : list[list.length - 1];
  }

  /**
   * Returns the number of dropped frames
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentDroppedFrames() {
    const metrics = metricsModel.getMetricsFor(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO, true);
    return getCurrent(metrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].DROPPED_FRAMES);
  }

  /**
   * @param {number} quality
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addDroppedFrames(quality) {
    metricsModel.addDroppedFrames(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO, quality);
  }

  /**
   * Returns the current scheduling info for a given media type
   * @param {MediaType} mediaType
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentSchedulingInfo(mediaType) {
    const metrics = metricsModel.getMetricsFor(mediaType, true);
    return getCurrent(metrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].SCHEDULING_INFO);
  }

  /**
   * @param {object} request
   * @param {string} state
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addSchedulingInfo(request, state) {
    metricsModel.addSchedulingInfo(request.mediaType, new Date(), request.type, request.startTime, request.availabilityStartTime, request.duration, request.bandwidth, request.range, state);
  }

  /**
   * Returns the current manifest update information
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentManifestUpdate() {
    const streamMetrics = metricsModel.getMetricsFor(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM);
    return getCurrent(streamMetrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].MANIFEST_UPDATE);
  }

  /**
   * @param {object} updatedFields fields to be updated
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function updateManifestUpdateInfo(updatedFields) {
    const manifestUpdate = this.getCurrentManifestUpdate();
    metricsModel.updateManifestUpdateInfo(manifestUpdate, updatedFields);
  }

  /**
   * @param {object} streamInfo
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addManifestUpdateStreamInfo(streamInfo) {
    if (streamInfo) {
      const manifestUpdate = this.getCurrentManifestUpdate();
      metricsModel.addManifestUpdateStreamInfo(manifestUpdate, streamInfo.id, streamInfo.index, streamInfo.start, streamInfo.duration);
    }
  }

  /**
   * @param {object} request
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addManifestUpdate(request) {
    metricsModel.addManifestUpdate(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM, request.type, request.startDate, request.endDate);
  }

  /**
   * @param {object} request
   * @param {string} responseUrl
   * @param {number} responseStatus
   * @param {object} responseHeaders
   * @param {object} traces
   * @param {object} cmsd
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addHttpRequest(request, responseUrl, responseStatus, responseHeaders, traces, cmsd) {
    const response = {
      status: responseStatus,
      headers: responseHeaders,
      url: responseUrl
    };
    metricsModel.addHttpRequest(request, response, traces, cmsd);
  }

  /**
   * @param {object} representation
   * @param {MediaType} mediaType
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addManifestUpdateRepresentationInfo(representation, mediaType) {
    if (representation) {
      const manifestUpdateInfo = this.getCurrentManifestUpdate();
      metricsModel.addManifestUpdateRepresentationInfo(manifestUpdateInfo, representation, mediaType);
    }
  }

  /**
   * Returns the current DVR window
   * @param {MediaType} mediaType
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getCurrentDVRInfo(mediaType) {
    const metrics = mediaType ? metricsModel.getMetricsFor(mediaType, true) : metricsModel.getMetricsFor(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO, true) || metricsModel.getMetricsFor(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO, true);
    return getCurrent(metrics, _streaming_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].DVR_INFO);
  }

  /**
   * @param {MediaType} mediaType
   * @param {Date} currentTime time of the switch event
   * @param {object} mpd mpd reference
   * @param {object} range range of the dvr info
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addDVRInfo(mediaType, currentTime, mpd, range) {
    metricsModel.addDVRInfo(mediaType, currentTime, mpd, range);
  }

  /**
   * Returns the value for a specific request headers used in the latest MPD request
   * @param {string} id
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getLatestMPDRequestHeaderValueByID(id) {
    if (!id) {
      return null;
    }
    let headers = {};
    let httpRequestList, httpRequest, i;
    httpRequestList = getHttpRequests(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM);
    for (i = httpRequestList.length - 1; i >= 0; i--) {
      httpRequest = httpRequestList[i];
      if (httpRequest.type === _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.MPD_TYPE) {
        headers = _core_Utils_js__WEBPACK_IMPORTED_MODULE_6__["default"].parseHttpHeaders(httpRequest._responseHeaders);
        break;
      }
    }
    const value = headers[id.toLowerCase()];
    return value === undefined ? null : value;
  }

  /**
   * Returns the value for a specific request headers used in the latest fragment request
   * @param {MediaType} mediaType
   * @param {string} id
   * @returns {*}
   * @memberof module:DashMetrics
   * @instance
   */
  function getLatestFragmentRequestHeaderValueByID(mediaType, id) {
    if (!id) {
      return null;
    }
    let headers = {};
    let httpRequest = getCurrentHttpRequest(mediaType);
    if (httpRequest) {
      headers = _core_Utils_js__WEBPACK_IMPORTED_MODULE_6__["default"].parseHttpHeaders(httpRequest._responseHeaders);
    }
    const value = headers[id.toLowerCase()];
    return value === undefined ? null : value;
  }

  /**
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addPlayList() {
    if (playListMetrics) {
      metricsModel.addPlayList(playListMetrics);
      playListMetrics = null;
    }
  }

  /**
   * Create a new playlist metric
   * @param {number} mediaStartTime
   * @param {string} startReason
   * @ignore
   */
  function createPlaylistMetrics(mediaStartTime, startReason) {
    playListMetrics = new _streaming_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayList();
    playListMetrics.start = new Date();
    playListMetrics.mstart = mediaStartTime;
    playListMetrics.starttype = startReason;
  }

  /**
   * Create a playlist trace metric
   * @param {number} representationId
   * @param {number} mediaStartTime
   * @param {number} speed
   * @ignore
   */
  function createPlaylistTraceMetrics(representationId, mediaStartTime, speed) {
    if (playListTraceMetricsClosed === true) {
      playListTraceMetricsClosed = false;
      playListTraceMetrics = new _streaming_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace();
      playListTraceMetrics.representationid = representationId;
      playListTraceMetrics.start = new Date();
      playListTraceMetrics.mstart = mediaStartTime;
      playListTraceMetrics.playbackspeed = speed !== null ? speed.toString() : null;
    }
  }

  /**
   * Update existing playlist trace metric
   * @param {object} traceToUpdate
   * @ignore
   */
  function updatePlayListTraceMetrics(traceToUpdate) {
    if (playListTraceMetrics) {
      for (let field in playListTraceMetrics) {
        playListTraceMetrics[field] = traceToUpdate[field];
      }
    }
  }

  /**
   * Push a new playlist trace metric
   * @param endTime
   * @param reason
   * @ignore
   */
  function pushPlayListTraceMetrics(endTime, reason) {
    if (playListTraceMetricsClosed === false && playListMetrics && playListTraceMetrics && playListTraceMetrics.start) {
      const startTime = playListTraceMetrics.start;
      playListTraceMetrics.duration = endTime.getTime() - startTime.getTime();
      playListTraceMetrics.stopreason = reason;
      playListMetrics.trace.push(playListTraceMetrics);
      playListTraceMetricsClosed = true;
    }
  }

  /**
   * @param {object} errors
   * @memberof module:DashMetrics
   * @instance
   * @ignore
   */
  function addDVBErrors(errors) {
    metricsModel.addDVBErrors(errors);
  }
  instance = {
    getCurrentRepresentationSwitch,
    getCurrentBufferState,
    getCurrentBufferLevel,
    getCurrentHttpRequest,
    getHttpRequests,
    getCurrentDroppedFrames,
    getCurrentSchedulingInfo,
    getCurrentDVRInfo,
    getCurrentManifestUpdate,
    getLatestFragmentRequestHeaderValueByID,
    getLatestMPDRequestHeaderValueByID,
    addRepresentationSwitch,
    addDVRInfo,
    updateManifestUpdateInfo,
    addManifestUpdateStreamInfo,
    addManifestUpdateRepresentationInfo,
    addManifestUpdate,
    addHttpRequest,
    addSchedulingInfo,
    addRequestsQueue,
    addBufferLevel,
    addBufferState,
    addDroppedFrames,
    addPlayList,
    addDVBErrors,
    createPlaylistMetrics,
    createPlaylistTraceMetrics,
    updatePlayListTraceMetrics,
    pushPlayListTraceMetrics,
    clearAllCurrentMetrics
  };
  setup();
  return instance;
}
DashMetrics.__dashjs_factory_name = 'DashMetrics';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(DashMetrics));

/***/ }),

/***/ "./src/dash/SegmentBaseLoader.js":
/*!***************************************!*\
  !*** ./src/dash/SegmentBaseLoader.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _vo_Segment_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./vo/Segment.js */ "./src/dash/vo/Segment.js");
/* harmony import */ var _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../streaming/vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../streaming/vo/FragmentRequest.js */ "./src/streaming/vo/FragmentRequest.js");
/* harmony import */ var _streaming_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../streaming/net/URLLoader.js */ "./src/streaming/net/URLLoader.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





function SegmentBaseLoader() {
  const context = this.context;
  let instance, logger, errHandler, boxParser, dashMetrics, mediaPlayerModel, urlLoader, errors, constants, dashConstants, urlUtils, baseURLController;
  function setup() {}
  function initialize() {
    urlLoader = (0,_streaming_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create({
      errHandler: errHandler,
      dashMetrics: dashMetrics,
      mediaPlayerModel: mediaPlayerModel,
      boxParser: boxParser,
      errors: errors,
      urlUtils: urlUtils,
      constants: constants,
      dashConstants: dashConstants
    });
  }
  function setConfig(config) {
    if (config.baseURLController) {
      baseURLController = config.baseURLController;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
    if (config.errHandler) {
      errHandler = config.errHandler;
    }
    if (config.boxParser) {
      boxParser = config.boxParser;
    }
    if (config.debug) {
      logger = config.debug.getLogger(instance);
    }
    if (config.errors) {
      errors = config.errors;
    }
    if (config.urlUtils) {
      urlUtils = config.urlUtils;
    }
    if (config.constants) {
      constants = config.constants;
    }
    if (config.dashConstants) {
      dashConstants = config.dashConstants;
    }
  }
  function loadInitialization(representation, mediaType) {
    return new Promise(resolve => {
      _loadInitializationRecursively(representation, mediaType, resolve);
    });
  }
  function _loadInitializationRecursively(representation, mediaType, resolve, loadingInfo) {
    let initRange = null;
    const baseUrl = representation ? baseURLController.resolve(representation.path) : null;
    const info = loadingInfo || {
      init: true,
      url: baseUrl ? baseUrl.url : undefined,
      range: {
        start: 0,
        end: 1500
      },
      searching: false,
      bytesLoaded: 0,
      bytesToLoad: 1500,
      mediaType: mediaType,
      representation
    };
    logger.debug('Start searching for initialization.');
    const request = getFragmentRequest(info);
    const onload = function (response) {
      info.bytesLoaded = info.range.end;
      initRange = boxParser.findInitRange(response);
      if (initRange) {
        representation.range = initRange;
        // note that we don't explicitly set rep.initialization as this
        // will be computed when all BaseURLs are resolved later
        resolve(representation);
      } else {
        info.range.end = info.bytesLoaded + info.bytesToLoad;
        return _loadInitializationRecursively(representation, mediaType, resolve, info);
      }
    };
    const onerror = function () {
      resolve(representation);
    };
    urlLoader.load({
      request: request,
      success: onload,
      error: onerror
    });
    logger.debug('Perform init search: ' + info.url);
  }
  function loadSegments(representation, mediaType, range) {
    return new Promise(resolve => {
      _loadSegmentsRecursively(representation, mediaType, range, resolve);
    });
  }
  function _loadSegmentsRecursively(representation, mediaType, range, resolve, callback, loadingInfo) {
    if (range && (range.start === undefined || range.end === undefined)) {
      const parts = range ? range.toString().split('-') : null;
      range = parts ? {
        start: parseFloat(parts[0]),
        end: parseFloat(parts[1])
      } : null;
    }
    callback = !callback ? onLoaded : callback;
    let isoFile = null;
    let sidx = null;
    const hasRange = !!range;
    const baseUrl = representation ? baseURLController.resolve(representation.path) : null;
    const info = {
      init: false,
      url: baseUrl ? baseUrl.url : undefined,
      range: hasRange ? range : {
        start: 0,
        end: 1500
      },
      searching: !hasRange,
      bytesLoaded: loadingInfo ? loadingInfo.bytesLoaded : 0,
      bytesToLoad: 1500,
      mediaType: mediaType,
      representation
    };
    const request = getFragmentRequest(info);
    const onload = function (response) {
      const extraBytes = info.bytesToLoad;
      const loadedLength = response.byteLength;
      info.bytesLoaded = info.range.end - info.range.start;
      isoFile = boxParser.parse(response);
      sidx = isoFile.getBox('sidx');
      if (!sidx || !sidx.isComplete) {
        if (sidx) {
          info.range.start = sidx.offset || info.range.start;
          info.range.end = info.range.start + (sidx.size || extraBytes);
        } else if (loadedLength < info.bytesLoaded) {
          // if we have reached a search limit or if we have reached the end of the file we have to stop trying to find sidx
          callback(null, representation, resolve);
          return;
        } else {
          const lastBox = isoFile.getLastBox();
          if (lastBox && lastBox.size) {
            info.range.start = lastBox.offset + lastBox.size;
            info.range.end = info.range.start + extraBytes;
          } else {
            info.range.end += extraBytes;
          }
        }
        _loadSegmentsRecursively(representation, mediaType, info.range, resolve, null, info);
      } else {
        const ref = sidx.references;
        let loadMultiSidx, segments;
        if (ref !== null && ref !== undefined && ref.length > 0) {
          loadMultiSidx = ref[0].reference_type === 1;
        }
        if (loadMultiSidx) {
          logger.debug('Initiate multiple SIDX load.');
          info.range.end = info.range.start + sidx.size;
          let j, len, ss, se, r;
          let segs = [];
          let count = 0;
          let offset = (sidx.offset || info.range.start) + sidx.size;
          const tmpCallback = function (result) {
            if (result) {
              segs = segs.concat(result);
              count++;
              if (count >= len) {
                // http requests can be processed in a wrong order, so, we have to reorder segments with an ascending start Time order
                segs.sort(function (a, b) {
                  return a.startTime - b.startTime < 0 ? -1 : 0;
                });
                callback(segs, representation, resolve);
              }
            } else {
              callback(null, representation, resolve);
            }
          };
          for (j = 0, len = ref.length; j < len; j++) {
            ss = offset;
            se = offset + ref[j].referenced_size - 1;
            offset = offset + ref[j].referenced_size;
            r = {
              start: ss,
              end: se
            };
            _loadSegmentsRecursively(representation, mediaType, r, resolve, tmpCallback, info);
          }
        } else {
          logger.debug('Parsing segments from SIDX. representation ' + mediaType + ' - id: ' + representation.id + ' for range : ' + info.range.start + ' - ' + info.range.end);
          segments = getSegmentsForSidx(sidx, info);
          callback(segments, representation, resolve);
        }
      }
    };
    const onerror = function () {
      callback(null, representation, resolve);
    };
    urlLoader.load({
      request: request,
      success: onload,
      error: onerror
    });
    logger.debug(`Perform SIDX load for type ${mediaType} : ${info.url} with range ${info.range.start} - ${info.range.end}`);
  }
  function onLoaded(segments, representation, resolve) {
    resolve({
      segments: segments,
      representation: representation,
      error: segments ? undefined : new _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_1__["default"](errors.SEGMENT_BASE_LOADER_ERROR_CODE, errors.SEGMENT_BASE_LOADER_ERROR_MESSAGE)
    });
  }
  function reset() {
    if (urlLoader) {
      urlLoader.abort();
      urlLoader = null;
    }
  }
  function getSegmentsForSidx(sidx, info) {
    const refs = sidx.references;
    const len = refs.length;
    const timescale = sidx.timescale;
    let time = sidx.earliest_presentation_time;
    let start = info.range.start + sidx.offset + sidx.first_offset + sidx.size;
    const segments = [];
    let segment, end, duration, size;
    for (let i = 0; i < len; i++) {
      duration = refs[i].subsegment_duration;
      size = refs[i].referenced_size;
      segment = new _vo_Segment_js__WEBPACK_IMPORTED_MODULE_0__["default"]();
      // note that we don't explicitly set segment.media as this will be
      // computed when all BaseURLs are resolved later
      segment.duration = duration;
      segment.startTime = time;
      segment.timescale = timescale;
      end = start + size - 1;
      segment.mediaRange = start + '-' + end;
      segments.push(segment);
      time += duration;
      start += size;
    }
    return segments;
  }
  function getFragmentRequest(info) {
    if (!info.url) {
      return;
    }
    const request = new _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_3__["default"]();
    request.setInfo(info);
    return request;
  }
  instance = {
    setConfig,
    initialize,
    loadInitialization,
    loadSegments,
    reset
  };
  setup();
  return instance;
}
SegmentBaseLoader.__dashjs_factory_name = 'SegmentBaseLoader';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(SegmentBaseLoader));

/***/ }),

/***/ "./src/dash/WebmSegmentBaseLoader.js":
/*!*******************************************!*\
  !*** ./src/dash/WebmSegmentBaseLoader.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _streaming_utils_EBMLParser_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../streaming/utils/EBMLParser.js */ "./src/streaming/utils/EBMLParser.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_Segment_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./vo/Segment.js */ "./src/dash/vo/Segment.js");
/* harmony import */ var _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../streaming/vo/FragmentRequest.js */ "./src/streaming/vo/FragmentRequest.js");
/* harmony import */ var _streaming_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../streaming/net/URLLoader.js */ "./src/streaming/net/URLLoader.js");
/* harmony import */ var _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../streaming/vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");







function WebmSegmentBaseLoader() {
  const context = this.context;
  let instance, logger, WebM, errHandler, dashMetrics, mediaPlayerModel, urlLoader, errors, baseURLController;
  function setup() {
    WebM = {
      EBML: {
        tag: 0x1A45DFA3,
        required: true
      },
      Segment: {
        tag: 0x18538067,
        required: true,
        SeekHead: {
          tag: 0x114D9B74,
          required: true
        },
        Info: {
          tag: 0x1549A966,
          required: true,
          TimecodeScale: {
            tag: 0x2AD7B1,
            required: true,
            parse: 'getMatroskaUint'
          },
          Duration: {
            tag: 0x4489,
            required: true,
            parse: 'getMatroskaFloat'
          }
        },
        Tracks: {
          tag: 0x1654AE6B,
          required: true
        },
        Cues: {
          tag: 0x1C53BB6B,
          required: true,
          CuePoint: {
            tag: 0xBB,
            required: true,
            CueTime: {
              tag: 0xB3,
              required: true,
              parse: 'getMatroskaUint'
            },
            CueTrackPositions: {
              tag: 0xB7,
              required: true,
              CueTrack: {
                tag: 0xF7,
                required: true,
                parse: 'getMatroskaUint'
              },
              CueClusterPosition: {
                tag: 0xF1,
                required: true,
                parse: 'getMatroskaUint'
              }
            }
          }
        }
      },
      Void: {
        tag: 0xEC,
        required: true
      }
    };
  }
  function initialize() {
    urlLoader = (0,_streaming_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).create({
      errHandler: errHandler,
      dashMetrics: dashMetrics,
      mediaPlayerModel: mediaPlayerModel,
      errors: errors
    });
  }
  function setConfig(config) {
    if (!config.baseURLController || !config.dashMetrics || !config.mediaPlayerModel || !config.errHandler) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MISSING_CONFIG_ERROR);
    }
    baseURLController = config.baseURLController;
    dashMetrics = config.dashMetrics;
    mediaPlayerModel = config.mediaPlayerModel;
    errHandler = config.errHandler;
    errors = config.errors;
    logger = config.debug.getLogger(instance);
  }
  function parseCues(ab) {
    let cues = [];
    let ebmlParser = (0,_streaming_utils_EBMLParser_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create({
      data: ab
    });
    let cue, cueTrack;
    ebmlParser.consumeTagAndSize(WebM.Segment.Cues);
    while (ebmlParser.moreData() && ebmlParser.consumeTagAndSize(WebM.Segment.Cues.CuePoint, true)) {
      cue = {};
      cue.CueTime = ebmlParser.parseTag(WebM.Segment.Cues.CuePoint.CueTime);
      cue.CueTracks = [];
      while (ebmlParser.moreData() && ebmlParser.consumeTag(WebM.Segment.Cues.CuePoint.CueTrackPositions, true)) {
        const cueTrackPositionSize = ebmlParser.getMatroskaCodedNum();
        const startPos = ebmlParser.getPos();
        cueTrack = {};
        cueTrack.Track = ebmlParser.parseTag(WebM.Segment.Cues.CuePoint.CueTrackPositions.CueTrack);
        if (cueTrack.Track === 0) {
          throw new Error('Cue track cannot be 0');
        }
        cueTrack.ClusterPosition = ebmlParser.parseTag(WebM.Segment.Cues.CuePoint.CueTrackPositions.CueClusterPosition);
        cue.CueTracks.push(cueTrack);

        // we're not interested any other elements - skip remaining bytes
        ebmlParser.setPos(startPos + cueTrackPositionSize);
      }
      if (cue.CueTracks.length === 0) {
        throw new Error('Mandatory cuetrack not found');
      }
      cues.push(cue);
    }
    if (cues.length === 0) {
      throw new Error('mandatory cuepoint not found');
    }
    return cues;
  }
  function parseSegments(data, segmentStart, segmentEnd, segmentDuration) {
    let duration, parsed, segments, segment, i, len, start, end;
    parsed = parseCues(data);
    segments = [];

    // we are assuming one cue track per cue point
    // both duration and media range require the i + 1 segment
    // the final segment has to use global segment parameters
    for (i = 0, len = parsed.length; i < len; i += 1) {
      segment = new _vo_Segment_js__WEBPACK_IMPORTED_MODULE_3__["default"]();
      duration = 0;
      if (i < parsed.length - 1) {
        duration = parsed[i + 1].CueTime - parsed[i].CueTime;
      } else {
        duration = segmentDuration - parsed[i].CueTime;
      }

      // note that we don't explicitly set segment.media as this will be
      // computed when all BaseURLs are resolved later
      segment.duration = duration;
      segment.startTime = parsed[i].CueTime;
      segment.timescale = 1000; // hardcoded for ms
      start = parsed[i].CueTracks[0].ClusterPosition + segmentStart;
      if (i < parsed.length - 1) {
        end = parsed[i + 1].CueTracks[0].ClusterPosition + segmentStart - 1;
      } else {
        end = segmentEnd - 1;
      }
      segment.mediaRange = start + '-' + end;
      segments.push(segment);
    }
    logger.debug('Parsed cues: ' + segments.length + ' cues.');
    return segments;
  }
  function parseEbmlHeader(data, media, theRange, callback) {
    if (!data || data.byteLength === 0) {
      callback(null);
      return;
    }
    let ebmlParser = (0,_streaming_utils_EBMLParser_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create({
      data: data
    });
    let duration, segments, segmentEnd, segmentStart;
    let parts = theRange ? theRange.split('-') : null;
    let request = null;
    let info = {
      url: media,
      range: {
        start: parts ? parseFloat(parts[0]) : null,
        end: parts ? parseFloat(parts[1]) : null
      },
      request: request
    };
    logger.debug('Parse EBML header: ' + info.url);

    // skip over the header itself
    ebmlParser.skipOverElement(WebM.EBML);
    ebmlParser.consumeTag(WebM.Segment);

    // segments start here
    segmentEnd = ebmlParser.getMatroskaCodedNum();
    segmentEnd += ebmlParser.getPos();
    segmentStart = ebmlParser.getPos();

    // skip over any top level elements to get to the segment info
    while (ebmlParser.moreData() && !ebmlParser.consumeTagAndSize(WebM.Segment.Info, true)) {
      if (!(ebmlParser.skipOverElement(WebM.Segment.SeekHead, true) || ebmlParser.skipOverElement(WebM.Segment.Tracks, true) || ebmlParser.skipOverElement(WebM.Segment.Cues, true) || ebmlParser.skipOverElement(WebM.Void, true))) {
        throw new Error('no valid top level element found');
      }
    }

    // we only need one thing in segment info, duration
    while (duration === undefined) {
      let infoTag = ebmlParser.getMatroskaCodedNum(true);
      let infoElementSize = ebmlParser.getMatroskaCodedNum();
      switch (infoTag) {
        case WebM.Segment.Info.Duration.tag:
          duration = ebmlParser[WebM.Segment.Info.Duration.parse](infoElementSize);
          break;
        default:
          ebmlParser.setPos(ebmlParser.getPos() + infoElementSize);
          break;
      }
    }

    // once we have what we need from segment info, we jump right to the
    // cues

    request = _getFragmentRequest(info);
    const onload = function (response) {
      segments = parseSegments(response, segmentStart, segmentEnd, duration);
      callback(segments);
    };
    const onloadend = function () {
      logger.error('Download Error: Cues ' + info.url);
      callback(null);
    };
    urlLoader.load({
      request: request,
      success: onload,
      error: onloadend
    });
    logger.debug('Perform cues load: ' + info.url + ' bytes=' + info.range.start + '-' + info.range.end);
  }
  function loadInitialization(representation, mediaType) {
    return new Promise(resolve => {
      let request = null;
      let baseUrl = representation ? baseURLController.resolve(representation.path) : null;
      let initRange = representation ? representation.range.split('-') : null;
      let info = {
        range: {
          start: initRange ? parseFloat(initRange[0]) : null,
          end: initRange ? parseFloat(initRange[1]) : null
        },
        request: request,
        url: baseUrl ? baseUrl.url : undefined,
        init: true,
        mediaType: mediaType
      };
      logger.info('Start loading initialization.');
      request = _getFragmentRequest(info);
      const onload = function () {
        // note that we don't explicitly set rep.initialization as this
        // will be computed when all BaseURLs are resolved later
        resolve(representation);
      };
      const onloadend = function () {
        resolve(representation);
      };
      urlLoader.load({
        request: request,
        success: onload,
        error: onloadend
      });
      logger.debug('Perform init load: ' + info.url);
    });
  }
  function loadSegments(representation, mediaType, theRange) {
    return new Promise(resolve => {
      let request = null;
      let baseUrl = representation ? baseURLController.resolve(representation.path) : null;
      let media = baseUrl ? baseUrl.url : undefined;
      let bytesToLoad = 8192;
      let info = {
        bytesLoaded: 0,
        bytesToLoad: bytesToLoad,
        range: {
          start: 0,
          end: bytesToLoad
        },
        request: request,
        url: media,
        init: false,
        mediaType: mediaType,
        representation
      };
      request = _getFragmentRequest(info);

      // first load the header, but preserve the manifest range so we can
      // load the cues after parsing the header
      // NOTE: we expect segment info to appear in the first 8192 bytes
      logger.debug('Parsing ebml header');
      const onload = function (response) {
        parseEbmlHeader(response, media, theRange, function (segments) {
          resolve({
            segments: segments,
            representation: representation,
            error: segments ? undefined : new _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__["default"](errors.SEGMENT_BASE_LOADER_ERROR_CODE, errors.SEGMENT_BASE_LOADER_ERROR_MESSAGE)
          });
        });
      };
      const onloadend = function () {
        resolve({
          representation: representation,
          error: new _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__["default"](errors.SEGMENT_BASE_LOADER_ERROR_CODE, errors.SEGMENT_BASE_LOADER_ERROR_MESSAGE)
        });
      };
      urlLoader.load({
        request: request,
        success: onload,
        error: onloadend
      });
    });
  }
  function _getFragmentRequest(info) {
    const request = new _streaming_vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_4__["default"]();
    request.setInfo(info);
    return request;
  }
  function reset() {
    if (urlLoader) {
      urlLoader.abort();
      urlLoader = null;
    }
  }
  instance = {
    setConfig,
    initialize,
    loadInitialization,
    loadSegments,
    reset
  };
  setup();
  return instance;
}
WebmSegmentBaseLoader.__dashjs_factory_name = 'WebmSegmentBaseLoader';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(WebmSegmentBaseLoader));

/***/ }),

/***/ "./src/dash/constants/DashConstants.js":
/*!*********************************************!*\
  !*** ./src/dash/constants/DashConstants.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA, OR
 *  PROFITS, OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Dash constants declaration
 * @ignore
 */
/* harmony default export */ __webpack_exports__["default"] = ({
  ACCESSIBILITY: 'Accessibility',
  ADAPTATION_SET: 'AdaptationSet',
  ADAPTATION_SETS: 'adaptationSets',
  ADAPTATION_SET_SWITCHING_SCHEME_ID_URI: 'urn:mpeg:dash:adaptation-set-switching:2016',
  ADD: 'add',
  ASSET_IDENTIFIER: 'AssetIdentifier',
  AUDIO_CHANNEL_CONFIGURATION: 'AudioChannelConfiguration',
  AUDIO_SAMPLING_RATE: 'audioSamplingRate',
  AVAILABILITY_END_TIME: 'availabilityEndTime',
  AVAILABILITY_START_TIME: 'availabilityStartTime',
  AVAILABILITY_TIME_COMPLETE: 'availabilityTimeComplete',
  AVAILABILITY_TIME_OFFSET: 'availabilityTimeOffset',
  BANDWITH: 'bandwidth',
  BASE_URL: 'BaseURL',
  BITSTREAM_SWITCHING: 'BitstreamSwitching',
  BITSTREAM_SWITCHING_MINUS: 'bitstreamSwitching',
  BYTE_RANGE: 'byteRange',
  CAPTION: 'caption',
  CENC_DEFAULT_KID: 'cenc:default_KID',
  CLIENT_DATA_REPORTING: 'ClientDataReporting',
  CLIENT_REQUIREMENT: 'clientRequirement',
  CMCD_PARAMETERS: 'CMCDParameters',
  CODECS: 'codecs',
  CODEC_PRIVATE_DATA: 'codecPrivateData',
  CODING_DEPENDENCY: 'codingDependency',
  CONTENT_COMPONENT: 'ContentComponent',
  CONTENT_PROTECTION: 'ContentProtection',
  CONTENT_STEERING: 'ContentSteering',
  CONTENT_STEERING_RESPONSE: {
    VERSION: 'VERSION',
    TTL: 'TTL',
    RELOAD_URI: 'RELOAD-URI',
    PATHWAY_PRIORITY: 'PATHWAY-PRIORITY',
    PATHWAY_CLONES: 'PATHWAY-CLONES',
    BASE_ID: 'BASE-ID',
    ID: 'ID',
    URI_REPLACEMENT: 'URI-REPLACEMENT',
    HOST: 'HOST',
    PARAMS: 'PARAMS'
  },
  CONTENT_TYPE: 'contentType',
  DEFAULT_SERVICE_LOCATION: 'defaultServiceLocation',
  DEPENDENCY_ID: 'dependencyId',
  DURATION: 'duration',
  DVB_PRIORITY: 'dvb:priority',
  DVB_WEIGHT: 'dvb:weight',
  DVB_URL: 'dvb:url',
  DVB_MIMETYPE: 'dvb:mimeType',
  DVB_FONTFAMILY: 'dvb:fontFamily',
  DYNAMIC: 'dynamic',
  END_NUMBER: 'endNumber',
  ESSENTIAL_PROPERTY: 'EssentialProperty',
  EVENT: 'Event',
  EVENT_STREAM: 'EventStream',
  FORCED_SUBTITLE: 'forced-subtitle',
  FRAMERATE: 'frameRate',
  FRAME_PACKING: 'FramePacking',
  GROUP_LABEL: 'GroupLabel',
  HEIGHT: 'height',
  ID: 'id',
  INBAND: 'inband',
  INBAND_EVENT_STREAM: 'InbandEventStream',
  INDEX: 'index',
  INDEX_RANGE: 'indexRange',
  INITIALIZATION: 'Initialization',
  INITIALIZATION_MINUS: 'initialization',
  LA_URL: 'Laurl',
  LA_URL_LOWER_CASE: 'laurl',
  LABEL: 'Label',
  LANG: 'lang',
  LOCATION: 'Location',
  MAIN: 'main',
  MAXIMUM_SAP_PERIOD: 'maximumSAPPeriod',
  MAX_PLAYOUT_RATE: 'maxPlayoutRate',
  MAX_SEGMENT_DURATION: 'maxSegmentDuration',
  MAX_SUBSEGMENT_DURATION: 'maxSubsegmentDuration',
  MEDIA: 'media',
  MEDIA_PRESENTATION_DURATION: 'mediaPresentationDuration',
  MEDIA_RANGE: 'mediaRange',
  MEDIA_STREAM_STRUCTURE_ID: 'mediaStreamStructureId',
  METRICS: 'Metrics',
  METRICS_MINUS: 'metrics',
  MIME_TYPE: 'mimeType',
  MINIMUM_UPDATE_PERIOD: 'minimumUpdatePeriod',
  MIN_BUFFER_TIME: 'minBufferTime',
  MP4_PROTECTION_SCHEME: 'urn:mpeg:dash:mp4protection:2011',
  MPD: 'MPD',
  MPD_TYPE: 'mpd',
  MPD_PATCH_TYPE: 'mpdpatch',
  ORIGINAL_MPD_ID: 'mpdId',
  ORIGINAL_PUBLISH_TIME: 'originalPublishTime',
  PATCH_LOCATION: 'PatchLocation',
  PERIOD: 'Period',
  PRESENTATION_TIME: 'presentationTime',
  PRESENTATION_TIME_OFFSET: 'presentationTimeOffset',
  PRO: 'pro',
  PRODUCER_REFERENCE_TIME: 'ProducerReferenceTime',
  PRODUCER_REFERENCE_TIME_TYPE: {
    ENCODER: 'encoder',
    CAPTURED: 'captured',
    APPLICATION: 'application'
  },
  PROFILES: 'profiles',
  PSSH: 'pssh',
  PUBLISH_TIME: 'publishTime',
  QUALITY_RANKING: 'qualityRanking',
  QUERY_BEFORE_START: 'queryBeforeStart',
  QUERY_PART: '$querypart$',
  RANGE: 'range',
  RATING: 'Rating',
  REF: 'ref',
  REF_ID: 'refId',
  REMOVE: 'remove',
  REPLACE: 'replace',
  REPORTING: 'Reporting',
  REPRESENTATION: 'Representation',
  REPRESENTATION_INDEX: 'RepresentationIndex',
  ROBUSTNESS: 'robustness',
  ROLE: 'Role',
  S: 'S',
  SAR: 'sar',
  SCAN_TYPE: 'scanType',
  SEGMENT_ALIGNMENT: 'segmentAlignment',
  SEGMENT_BASE: 'SegmentBase',
  SEGMENT_LIST: 'SegmentList',
  SEGMENT_PROFILES: 'segmentProfiles',
  SEGMENT_TEMPLATE: 'SegmentTemplate',
  SEGMENT_TIMELINE: 'SegmentTimeline',
  SEGMENT_TYPE: 'segment',
  SEGMENT_URL: 'SegmentURL',
  SERVICE_DESCRIPTION: 'ServiceDescription',
  SERVICE_DESCRIPTION_LATENCY: 'Latency',
  SERVICE_DESCRIPTION_OPERATING_BANDWIDTH: 'OperatingBandwidth',
  SERVICE_DESCRIPTION_OPERATING_QUALITY: 'OperatingQuality',
  SERVICE_DESCRIPTION_PLAYBACK_RATE: 'PlaybackRate',
  SERVICE_DESCRIPTION_SCOPE: 'Scope',
  SERVICE_LOCATION: 'serviceLocation',
  SERVICE_LOCATIONS: 'serviceLocations',
  SOURCE_URL: 'sourceURL',
  START: 'start',
  START_NUMBER: 'startNumber',
  START_WITH_SAP: 'startWithSAP',
  STATIC: 'static',
  STEERING_TYPE: 'steering',
  SUBSET: 'Subset',
  SUBTITLE: 'subtitle',
  SUB_REPRESENTATION: 'SubRepresentation',
  SUB_SEGMENT_ALIGNMENT: 'subsegmentAlignment',
  SUGGESTED_PRESENTATION_DELAY: 'suggestedPresentationDelay',
  SUPPLEMENTAL_PROPERTY: 'SupplementalProperty',
  SUPPLEMENTAL_CODECS: 'scte214:supplementalCodecs',
  TIMESCALE: 'timescale',
  TIMESHIFT_BUFFER_DEPTH: 'timeShiftBufferDepth',
  TTL: 'ttl',
  TYPE: 'type',
  UTC_TIMING: 'UTCTiming',
  VALUE: 'value',
  VIEWPOINT: 'Viewpoint',
  WALL_CLOCK_TIME: 'wallClockTime',
  WIDTH: 'width'
});

/***/ }),

/***/ "./src/dash/controllers/ContentSteeringController.js":
/*!***********************************************************!*\
  !*** ./src/dash/controllers/ContentSteeringController.js ***!
  \***********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _streaming_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../streaming/net/URLLoader.js */ "./src/streaming/net/URLLoader.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _vo_ContentSteeringRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/ContentSteeringRequest.js */ "./src/dash/vo/ContentSteeringRequest.js");
/* harmony import */ var _vo_ContentSteeringResponse_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../vo/ContentSteeringResponse.js */ "./src/dash/vo/ContentSteeringResponse.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../streaming/utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../vo/BaseURL.js */ "./src/dash/vo/BaseURL.js");
/* harmony import */ var _vo_MpdLocation_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../vo/MpdLocation.js */ "./src/dash/vo/MpdLocation.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */












const QUERY_PARAMETER_KEYS = {
  THROUGHPUT: '_DASH_throughput',
  PATHWAY: '_DASH_pathway',
  URL: 'url'
};
const THROUGHPUT_SAMPLES = 4;
function ContentSteeringController() {
  const context = this.context;
  const urlUtils = (0,_streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance();
  let instance, logger, currentSteeringResponseData, serviceLocationList, throughputList, nextRequestTimer, urlLoader, errHandler, dashMetrics, mediaPlayerModel, manifestModel, serviceDescriptionController, throughputController, eventBus, adapter;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.errHandler) {
      errHandler = config.errHandler;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
    if (config.manifestModel) {
      manifestModel = config.manifestModel;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
    if (config.throughputController) {
      throughputController = config.throughputController;
    }
    if (config.eventBus) {
      eventBus = config.eventBus;
    }
  }

  /**
   * Initialize the steering controller by instantiating classes and registering observer callback
   */
  function initialize() {
    urlLoader = (0,_streaming_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      errHandler,
      dashMetrics,
      mediaPlayerModel,
      errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__["default"]
    });
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].FRAGMENT_LOADING_STARTED, _onFragmentLoadingStarted, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].MANIFEST_LOADING_STARTED, _onManifestLoadingStarted, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].THROUGHPUT_MEASUREMENT_STORED, _onThroughputMeasurementStored, instance);
  }

  /**
   * When loading of a fragment starts we store its serviceLocation in our list
   * @param {object} e
   * @private
   */
  function _onFragmentLoadingStarted(e) {
    _addToServiceLocationList(e, 'baseUrl');
  }

  /**
   * When loading of a manifest starts we store its serviceLocation in our list
   * @param {object} e
   * @private
   */
  function _onManifestLoadingStarted(e) {
    _addToServiceLocationList(e, 'location');
  }

  /**
   * When a throughput measurement  was stored in ThroughputModel we save it
   * @param {object} e
   * @private
   */
  function _onThroughputMeasurementStored(e) {
    if (!e || !e.throughputValues || !e.throughputValues.serviceLocation) {
      return;
    }
    _storeThroughputForServiceLocation(e.throughputValues.serviceLocation, e.throughputValues);
  }

  /**
   * Helper function to store a throughput value from the corresponding serviceLocation
   * @param {string} serviceLocation
   * @param {number} throughput
   * @private
   */
  function _storeThroughputForServiceLocation(serviceLocation, throughput) {
    if (!throughputList[serviceLocation]) {
      throughputList[serviceLocation] = [];
    }
    throughputList[serviceLocation].push(throughput);
    if (throughputList[serviceLocation].length > THROUGHPUT_SAMPLES) {
      throughputList[serviceLocation].shift();
    }
  }

  /**
   * Adds a new service location entry to our list
   * @param {object} e
   * @param {string} type
   * @private
   */
  function _addToServiceLocationList(e, type) {
    if (e && e.request && e.request.serviceLocation) {
      const serviceLocation = e.request.serviceLocation;
      if (serviceLocationList[type].all.indexOf(serviceLocation) === -1) {
        serviceLocationList[type].all.push(serviceLocation);
      }
      serviceLocationList[type].current = serviceLocation;
    }
  }

  /**
   * Query DashAdapter and Service Description Controller to get the steering information defined in the manifest
   * @returns {object}
   */
  function getSteeringDataFromManifest() {
    const manifest = manifestModel.getValue();
    let contentSteeringData = adapter.getContentSteering(manifest);
    if (!contentSteeringData) {
      contentSteeringData = serviceDescriptionController.getServiceDescriptionSettings().contentSteering;
    }
    return contentSteeringData;
  }

  /**
   * Should query steering server prior to playback start
   * @returns {boolean}
   */
  function shouldQueryBeforeStart() {
    const steeringDataFromManifest = getSteeringDataFromManifest();
    return !!steeringDataFromManifest && steeringDataFromManifest.queryBeforeStart;
  }

  /**
   * Load the steering data from the steering server
   * @returns {Promise}
   */
  function loadSteeringData() {
    return new Promise(resolve => {
      try {
        const steeringDataFromManifest = getSteeringDataFromManifest();
        if (!steeringDataFromManifest || !steeringDataFromManifest.serverUrl) {
          resolve();
          return;
        }
        const url = _getSteeringServerUrl(steeringDataFromManifest);
        const request = new _vo_ContentSteeringRequest_js__WEBPACK_IMPORTED_MODULE_4__["default"](url);
        urlLoader.load({
          request: request,
          success: data => {
            _handleSteeringResponse(data);
            eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONTENT_STEERING_REQUEST_COMPLETED, {
              currentSteeringResponseData,
              url
            });
            resolve();
          },
          error: (e, error, statusText, response) => {
            _handleSteeringResponseError(e, response);
            resolve(e);
          },
          complete: () => {
            // Clear everything except for the current entry
            serviceLocationList.baseUrl.all = _getClearedServiceLocationListAfterSteeringRequest(serviceLocationList.baseUrl);
            serviceLocationList.location.all = _getClearedServiceLocationListAfterSteeringRequest(serviceLocationList.location);
          }
        });
      } catch (e) {
        resolve(e);
      }
    });
  }

  /**
   * Return the cleared data of our serviceLocationList after the steering request was completed
   * @param {object} data
   * @returns {Object[]}
   * @private
   */
  function _getClearedServiceLocationListAfterSteeringRequest(data) {
    if (!data.all || data.all.length === 0 || !data.current) {
      return [];
    }
    return data.all.filter(entry => {
      return entry === data.current;
    });
  }

  /**
   * Returns the adjusted steering server url enhanced by pathway and throughput parameter
   * @param {object} steeringDataFromManifest
   * @returns {string}
   * @private
   */
  function _getSteeringServerUrl(steeringDataFromManifest) {
    let url = steeringDataFromManifest.serverUrl;
    if (currentSteeringResponseData && currentSteeringResponseData.reloadUri) {
      if (urlUtils.isRelative(currentSteeringResponseData.reloadUri)) {
        url = urlUtils.resolve(currentSteeringResponseData.reloadUri, steeringDataFromManifest.serverUrl);
      } else {
        url = currentSteeringResponseData.reloadUri;
      }
    }
    const additionalQueryParameter = [];
    const serviceLocations = serviceLocationList.baseUrl.all.concat(serviceLocationList.location.all);
    if (serviceLocations.length > 0) {
      // Derive throughput for each service Location
      const data = serviceLocations.map(serviceLocation => {
        const throughput = _calculateThroughputForServiceLocation(serviceLocation);
        return {
          serviceLocation,
          throughput
        };
      });
      let pathwayString = '';
      let throughputString = '';
      data.forEach((entry, index) => {
        if (index !== 0) {
          pathwayString += ',';
          throughputString += ',';
        }
        pathwayString += entry.serviceLocation;
        throughputString += entry.throughput > -1 ? entry.throughput : '';
      });
      additionalQueryParameter.push({
        key: QUERY_PARAMETER_KEYS.PATHWAY,
        value: `"${pathwayString}"`
      });
      additionalQueryParameter.push({
        key: QUERY_PARAMETER_KEYS.THROUGHPUT,
        value: throughputString
      });
    }
    url = _core_Utils_js__WEBPACK_IMPORTED_MODULE_11__["default"].addAdditionalQueryParameterToUrl(url, additionalQueryParameter);
    return url;
  }

  /**
   * Calculate the arithmetic mean of the last throughput samples
   * @param {string} serviceLocation
   * @returns {number}
   * @private
   */
  function _calculateThroughputForServiceLocation(serviceLocation) {
    if (!serviceLocation || !throughputList[serviceLocation] || throughputList[serviceLocation].length === 0) {
      return -1;
    }
    const throughput = throughputController.getArithmeticMean(throughputList[serviceLocation], throughputList[serviceLocation].length, true);
    return parseInt(throughput * 1000);
  }

  /**
   * Parse the steering response and create instance of model ContentSteeringResponse
   * @param {object} data
   * @private
   */
  function _handleSteeringResponse(data) {
    if (!data || !data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.VERSION] || parseInt(data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.VERSION]) !== 1) {
      return;
    }

    // Update the data for other classes to use
    currentSteeringResponseData = new _vo_ContentSteeringResponse_js__WEBPACK_IMPORTED_MODULE_5__["default"]();
    currentSteeringResponseData.version = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.VERSION];
    if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.TTL] && !isNaN(data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.TTL])) {
      currentSteeringResponseData.ttl = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.TTL];
    }
    if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.RELOAD_URI]) {
      currentSteeringResponseData.reloadUri = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.RELOAD_URI];
    }
    if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.PATHWAY_PRIORITY]) {
      currentSteeringResponseData.pathwayPriority = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.PATHWAY_PRIORITY];
    }
    if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.PATHWAY_CLONES]) {
      currentSteeringResponseData.pathwayClones = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.PATHWAY_CLONES];
      currentSteeringResponseData.pathwayClones = currentSteeringResponseData.pathwayClones.filter(pathwayClone => {
        return _isValidPathwayClone(pathwayClone);
      });
    }
    _startSteeringRequestTimer();
  }

  /**
   * Checks if object is a valid PathwayClone
   * @param {object} pathwayClone
   * @returns {boolean}
   * @private
   */
  function _isValidPathwayClone(pathwayClone) {
    return pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.BASE_ID] && pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.ID] && pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.URI_REPLACEMENT] && pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.URI_REPLACEMENT][_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.HOST];
  }

  /**
   * Returns synthesized BaseURL elements based on Pathway Cloning
   * @param {BaseURL[]}referenceElements
   * @returns {BaseURL[]}
   */
  function getSynthesizedBaseUrlElements(referenceElements) {
    try {
      const synthesizedElements = _getSynthesizedElements(referenceElements);
      return synthesizedElements.map(element => {
        const synthesizedBaseUrl = new _vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_9__["default"](element.synthesizedUrl, element.serviceLocation);
        synthesizedBaseUrl.queryParams = element.queryParams;
        synthesizedBaseUrl.dvbPriority = element.reference.dvbPriority;
        synthesizedBaseUrl.dvbWeight = element.reference.dvbWeight;
        synthesizedBaseUrl.availabilityTimeOffset = element.reference.availabilityTimeOffset;
        synthesizedBaseUrl.availabilityTimeComplete = element.reference.availabilityTimeComplete;
        return synthesizedBaseUrl;
      });
    } catch (e) {
      logger.error(e);
      return [];
    }
  }

  /**
   * Returns synthesized Location elements based on Pathway Cloning
   * @param {MpdLocation[]} referenceElements
   * @returns {MpdLocation[]}
   */
  function getSynthesizedLocationElements(referenceElements) {
    try {
      const synthesizedElements = _getSynthesizedElements(referenceElements);
      return synthesizedElements.map(element => {
        const synthesizedLocation = new _vo_MpdLocation_js__WEBPACK_IMPORTED_MODULE_10__["default"](element.synthesizedUrl, element.serviceLocation);
        synthesizedLocation.queryParams = element.queryParams;
        return synthesizedLocation;
      });
    } catch (e) {
      logger.error(e);
      return [];
    }
  }

  /**
   * Helper function to synthesize elements
   * @param {array} referenceElements
   * @returns {array}
   * @private
   */
  function _getSynthesizedElements(referenceElements) {
    try {
      const synthesizedElements = [];
      if (!referenceElements || referenceElements.length === 0 || !currentSteeringResponseData || !currentSteeringResponseData.pathwayClones || currentSteeringResponseData.pathwayClones.length === 0) {
        return synthesizedElements;
      }
      currentSteeringResponseData.pathwayClones.forEach(pathwayClone => {
        let baseElements = referenceElements.filter(source => {
          return pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.BASE_ID] === source.serviceLocation;
        });
        let reference = null;
        if (baseElements && baseElements.length > 0) {
          reference = baseElements[0];
        }
        if (reference) {
          const referenceUrl = new URL(reference.url);
          let host = pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.URI_REPLACEMENT][_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.HOST];
          host = _core_Utils_js__WEBPACK_IMPORTED_MODULE_11__["default"].stringHasProtocol(host) ? host : `${referenceUrl.protocol}//${host}`;
          const synthesizedElement = {
            synthesizedUrl: `${host}${referenceUrl.pathname}`,
            serviceLocation: pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.ID],
            queryParams: pathwayClone[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.URI_REPLACEMENT][_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].CONTENT_STEERING_RESPONSE.PARAMS],
            reference
          };
          synthesizedElements.push(synthesizedElement);
        }
      });
      return synthesizedElements;
    } catch (e) {
      logger.error(e);
      return [];
    }
  }

  /**
   * Start timeout for next steering request
   * @private
   */
  function _startSteeringRequestTimer() {
    // Start timer for next request
    if (currentSteeringResponseData && currentSteeringResponseData.ttl && !isNaN(currentSteeringResponseData.ttl)) {
      if (nextRequestTimer) {
        clearTimeout(nextRequestTimer);
      }
      nextRequestTimer = setTimeout(() => {
        loadSteeringData();
      }, currentSteeringResponseData.ttl * 1000);
    }
  }

  /**
   * Stop timeout for next steering request
   */
  function stopSteeringRequestTimer() {
    if (nextRequestTimer) {
      clearTimeout(nextRequestTimer);
    }
    nextRequestTimer = null;
  }

  /**
   * Handle errors that occured when querying the steering server
   * @param {object} e
   * @param {object} response
   * @private
   */
  function _handleSteeringResponseError(e, response) {
    try {
      logger.warn(`Error fetching data from content steering server`, e);
      const statusCode = response.status;
      switch (statusCode) {
        // 410 response code. Stop steering
        case 410:
          break;
        // 429 Too Many Requests. Replace existing TTL value with Retry-After header if present
        case 429:
          const retryAfter = response && response.getResponseHeader ? response.getResponseHeader('retry-after') : null;
          if (retryAfter !== null) {
            if (!currentSteeringResponseData) {
              currentSteeringResponseData = {};
            }
            currentSteeringResponseData.ttl = parseInt(retryAfter);
          }
          _startSteeringRequestTimer();
          break;
        default:
          _startSteeringRequestTimer();
          break;
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Returns the currentSteeringResponseData
   * @returns {ContentSteeringResponse}
   */
  function getCurrentSteeringResponseData() {
    return currentSteeringResponseData;
  }
  function reset() {
    _resetInitialSettings();
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].FRAGMENT_LOADING_STARTED, _onFragmentLoadingStarted, instance);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].MANIFEST_LOADING_STARTED, _onManifestLoadingStarted, instance);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].THROUGHPUT_MEASUREMENT_STORED, _onThroughputMeasurementStored, instance);
  }
  function _resetInitialSettings() {
    currentSteeringResponseData = null;
    throughputList = {};
    serviceLocationList = {
      baseUrl: {
        current: null,
        all: []
      },
      location: {
        current: null,
        all: []
      }
    };
    stopSteeringRequestTimer();
  }
  instance = {
    reset,
    setConfig,
    loadSteeringData,
    getCurrentSteeringResponseData,
    shouldQueryBeforeStart,
    getSteeringDataFromManifest,
    stopSteeringRequestTimer,
    getSynthesizedBaseUrlElements,
    getSynthesizedLocationElements,
    initialize
  };
  setup();
  return instance;
}
ContentSteeringController.__dashjs_factory_name = 'ContentSteeringController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(ContentSteeringController));

/***/ }),

/***/ "./src/dash/controllers/RepresentationController.js":
/*!**********************************************************!*\
  !*** ./src/dash/controllers/RepresentationController.js ***!
  \**********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function RepresentationController(config) {
  config = config || {};
  const eventBus = config.eventBus;
  const events = config.events;
  const abrController = config.abrController;
  const dashMetrics = config.dashMetrics;
  const playbackController = config.playbackController;
  const timelineConverter = config.timelineConverter;
  const type = config.type;
  const streamInfo = config.streamInfo;
  const segmentsController = config.segmentsController;
  const isDynamic = config.isDynamic;
  let instance, voAvailableRepresentations, currentVoRepresentation;
  function setup() {
    resetInitialSettings();
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].MANIFEST_VALIDITY_CHANGED, onManifestValidityChanged, instance);
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function getType() {
    return type;
  }
  function checkConfig() {
    if (!abrController || !dashMetrics || !playbackController || !timelineConverter) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getCurrentRepresentation() {
    return currentVoRepresentation;
  }
  function resetInitialSettings() {
    currentVoRepresentation = null;
    voAvailableRepresentations = [];
  }
  function reset() {
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].MANIFEST_VALIDITY_CHANGED, onManifestValidityChanged, instance);
    resetInitialSettings();
  }
  function updateData(availableRepresentations, isFragmented, selectedRepresentationId) {
    return new Promise((resolve, reject) => {
      voAvailableRepresentations = availableRepresentations;
      const selectedRepresentation = getRepresentationById(selectedRepresentationId);
      _setCurrentVoRepresentation(selectedRepresentation);
      if (type !== _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO && type !== _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && (type !== _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT || !isFragmented)) {
        endDataUpdate();
        resolve();
        return;
      }
      const promises = [];
      for (let i = 0, ln = voAvailableRepresentations.length; i < ln; i++) {
        const currentRep = voAvailableRepresentations[i];
        promises.push(_updateRepresentation(currentRep));
      }
      Promise.all(promises).then(() => {
        _onAllRepresentationsUpdated();
        resolve();
      }).catch(e => {
        reject(e);
      });
    });
  }
  function _onAllRepresentationsUpdated() {
    abrController.setPlaybackQuality(type, streamInfo, currentVoRepresentation);
    const dvrInfo = dashMetrics.getCurrentDVRInfo(type);
    if (dvrInfo) {
      dashMetrics.updateManifestUpdateInfo({
        latency: dvrInfo.range.end - playbackController.getTime()
      });
    }
    endDataUpdate();
  }
  function _updateRepresentation(currentRep) {
    return new Promise((resolve, reject) => {
      const hasInitialization = currentRep.hasInitialization();
      const hasSegments = currentRep.hasSegments();

      // If representation has initialization and segments information we are done
      // otherwise, it means that a request has to be made to get initialization and/or segments information
      const promises = [];
      promises.push(segmentsController.updateInitData(currentRep, hasInitialization));
      promises.push(segmentsController.updateSegmentData(currentRep, hasSegments));
      Promise.all(promises).then(data => {
        if (data[0] && !data[0].error) {
          currentRep = _onInitLoaded(currentRep, data[0]);
        }
        if (data[1] && !data[1].error) {
          currentRep = _onSegmentsLoaded(currentRep, data[1]);
        }
        currentRep.fragmentDuration = currentRep.segmentDuration ? currentRep.segmentDuration : currentRep.segments && currentRep.segments.length > 0 ? currentRep.segments[0].duration : NaN;
        _setMediaFinishedInformation(currentRep);
        _onRepresentationUpdated(currentRep);
        resolve();
      }).catch(e => {
        reject(e);
      });
    });
  }
  function _setMediaFinishedInformation(representation) {
    representation.mediaFinishedInformation = segmentsController.getMediaFinishedInformation(representation);
  }
  function _onInitLoaded(representation, e) {
    if (!e || e.error || !e.representation) {
      return representation;
    }
    return e.representation;
  }
  function _onSegmentsLoaded(representation, e) {
    if (!e || e.error) {
      return;
    }
    const fragments = e.segments;
    const segments = [];
    let count = 0;
    let i, len, s, seg;
    for (i = 0, len = fragments ? fragments.length : 0; i < len; i++) {
      s = fragments[i];
      seg = (0,_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_3__.getTimeBasedSegment)(timelineConverter, isDynamic, representation, s.startTime, s.duration, s.timescale, s.media, s.mediaRange, count);
      if (seg) {
        segments.push(seg);
        seg = null;
        count++;
      }
    }
    if (segments.length > 0) {
      representation.segments = segments;
    }
    return representation;
  }
  function _addRepresentationSwitch(currentRepresentation) {
    checkConfig();
    const now = new Date();
    const currentVideoTimeMs = playbackController.getTime() * 1000;
    if (currentRepresentation) {
      dashMetrics.addRepresentationSwitch(currentRepresentation.adaptation.type, now, currentVideoTimeMs, currentRepresentation.id);
    }
    eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].REPRESENTATION_SWITCH, {
      mediaType: type,
      streamId: streamInfo.id,
      currentRepresentation
    }, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  function getRepresentationById(id) {
    if (!voAvailableRepresentations || voAvailableRepresentations.length === 0) {
      return null;
    }
    const reps = voAvailableRepresentations.filter(rep => {
      return rep.id === id;
    });
    if (reps.length > 0) {
      return reps[0];
    }
    return null;
  }
  function endDataUpdate(error) {
    eventBus.trigger(events.DATA_UPDATE_COMPLETED, {
      currentRepresentation: currentVoRepresentation,
      error: error
    }, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  function _onRepresentationUpdated(r) {
    let manifestUpdateInfo = dashMetrics.getCurrentManifestUpdate();
    let alreadyAdded = false;
    let repInfo;
    if (manifestUpdateInfo) {
      for (let i = 0; i < manifestUpdateInfo.representationInfo.length; i++) {
        repInfo = manifestUpdateInfo.representationInfo[i];
        if (repInfo.index === r.index && repInfo.mediaType === getType()) {
          alreadyAdded = true;
          break;
        }
      }
      if (!alreadyAdded) {
        dashMetrics.addManifestUpdateRepresentationInfo(r, getType());
      }
    }
  }

  /**
   * We get the new selected Representation which will not hold the ranges and the segment references in case of SegmentBase.
   * In any case use the id to find the right Representation instance in our array of Representations.
   * @param newRep
   */
  function prepareQualityChange(newRep) {
    const voRepresentations = voAvailableRepresentations.filter(rep => {
      return rep.id === newRep.id;
    });
    if (voRepresentations.length > 0) {
      _setCurrentVoRepresentation(voRepresentations[0]);
    }
  }
  function _setCurrentVoRepresentation(value) {
    if (!currentVoRepresentation || currentVoRepresentation.id !== value.id) {
      _addRepresentationSwitch(value);
    }
    currentVoRepresentation = value;
  }
  function onManifestValidityChanged(e) {
    if (e.newDuration) {
      const representation = getCurrentRepresentation();
      if (representation && representation.adaptation.period) {
        const period = representation.adaptation.period;
        period.duration = e.newDuration;
      }
    }
  }
  instance = {
    getCurrentRepresentation,
    getRepresentationById,
    getStreamId,
    getType,
    prepareQualityChange,
    reset,
    updateData
  };
  setup();
  return instance;
}
RepresentationController.__dashjs_factory_name = 'RepresentationController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(RepresentationController));

/***/ }),

/***/ "./src/dash/controllers/SegmentBaseController.js":
/*!*******************************************************!*\
  !*** ./src/dash/controllers/SegmentBaseController.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _SegmentBaseLoader_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../SegmentBaseLoader.js */ "./src/dash/SegmentBaseLoader.js");
/* harmony import */ var _WebmSegmentBaseLoader_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../WebmSegmentBaseLoader.js */ "./src/dash/WebmSegmentBaseLoader.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function SegmentBaseController(config) {
  config = config || {};
  const context = this.context;
  const eventBus = config.eventBus;
  const events = config.events;
  const dashMetrics = config.dashMetrics;
  const mediaPlayerModel = config.mediaPlayerModel;
  const errHandler = config.errHandler;
  const baseURLController = config.baseURLController;
  const debug = config.debug;
  const boxParser = config.boxParser;
  const errors = config.errors;
  let instance, segmentBaseLoader, webmSegmentBaseLoader;
  function setup() {
    segmentBaseLoader = (0,_SegmentBaseLoader_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
    webmSegmentBaseLoader = (0,_WebmSegmentBaseLoader_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
    segmentBaseLoader.setConfig({
      baseURLController: baseURLController,
      dashMetrics: dashMetrics,
      mediaPlayerModel: mediaPlayerModel,
      errHandler: errHandler,
      eventBus: eventBus,
      events: events,
      errors: errors,
      debug: debug,
      boxParser: boxParser
    });
    webmSegmentBaseLoader.setConfig({
      baseURLController: baseURLController,
      dashMetrics: dashMetrics,
      mediaPlayerModel: mediaPlayerModel,
      errHandler: errHandler,
      eventBus: eventBus,
      events: events,
      errors: errors,
      debug: debug
    });
  }
  function isWebM(mimeType) {
    const type = mimeType ? mimeType.split('/')[1] : '';
    return 'webm' === type.toLowerCase();
  }
  function initialize() {
    segmentBaseLoader.initialize();
    webmSegmentBaseLoader.initialize();
  }
  function getSegmentBaseInitSegment(data) {
    if (isWebM(data.representation.mimeType)) {
      return webmSegmentBaseLoader.loadInitialization(data.representation, data.mediaType);
    } else {
      return segmentBaseLoader.loadInitialization(data.representation, data.mediaType);
    }
  }
  function getSegmentList(e) {
    if (isWebM(e.mimeType)) {
      return webmSegmentBaseLoader.loadSegments(e.representation, e.mediaType, e.representation ? e.representation.indexRange : null);
    } else {
      return segmentBaseLoader.loadSegments(e.representation, e.mediaType, e.representation ? e.representation.indexRange : null);
    }
  }
  function reset() {
    segmentBaseLoader.reset();
    webmSegmentBaseLoader.reset();
  }
  instance = {
    initialize,
    getSegmentBaseInitSegment,
    getSegmentList,
    reset
  };
  setup();
  return instance;
}
SegmentBaseController.__dashjs_factory_name = 'SegmentBaseController';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(SegmentBaseController);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/controllers/SegmentsController.js":
/*!****************************************************!*\
  !*** ./src/dash/controllers/SegmentsController.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _utils_TimelineSegmentsGetter_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/TimelineSegmentsGetter.js */ "./src/dash/utils/TimelineSegmentsGetter.js");
/* harmony import */ var _utils_TemplateSegmentsGetter_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/TemplateSegmentsGetter.js */ "./src/dash/utils/TemplateSegmentsGetter.js");
/* harmony import */ var _utils_ListSegmentsGetter_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/ListSegmentsGetter.js */ "./src/dash/utils/ListSegmentsGetter.js");
/* harmony import */ var _utils_SegmentBaseGetter_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/SegmentBaseGetter.js */ "./src/dash/utils/SegmentBaseGetter.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





function SegmentsController(config) {
  config = config || {};
  const context = this.context;
  const dashConstants = config.dashConstants;
  const type = config.type;
  const segmentBaseController = config.segmentBaseController;
  let instance, getters;
  function setup() {
    getters = {};
  }
  function initialize(isDynamic) {
    getters[dashConstants.SEGMENT_TIMELINE] = (0,_utils_TimelineSegmentsGetter_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create(config, isDynamic);
    getters[dashConstants.SEGMENT_TEMPLATE] = (0,_utils_TemplateSegmentsGetter_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create(config, isDynamic);
    getters[dashConstants.SEGMENT_LIST] = (0,_utils_ListSegmentsGetter_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create(config, isDynamic);
    getters[dashConstants.SEGMENT_BASE] = (0,_utils_SegmentBaseGetter_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create(config, isDynamic);
  }
  function updateInitData(voRepresentation, hasInitialization) {
    if (hasInitialization) {
      return Promise.resolve();
    }
    return segmentBaseController.getSegmentBaseInitSegment({
      representation: voRepresentation,
      mediaType: type
    });
  }
  function updateSegmentData(voRepresentation, hasSegments) {
    if (hasSegments) {
      return Promise.resolve();
    }
    return segmentBaseController.getSegmentList({
      mimeType: voRepresentation.mimeType,
      representation: voRepresentation,
      mediaType: type
    });
  }
  function getSegmentsGetter(representation) {
    return representation ? representation.segments ? getters[dashConstants.SEGMENT_BASE] : getters[representation.segmentInfoType] : null;
  }
  function getSegmentByIndex(representation, index, lastSegmentTime) {
    const getter = getSegmentsGetter(representation);
    return getter ? getter.getSegmentByIndex(representation, index, lastSegmentTime) : null;
  }
  function getSegmentByTime(representation, time) {
    const getter = getSegmentsGetter(representation);
    return getter ? getter.getSegmentByTime(representation, time) : null;
  }
  function getMediaFinishedInformation(representation) {
    const getter = getSegmentsGetter(representation);
    return getter ? getter.getMediaFinishedInformation(representation) : {
      numberOfSegments: 0,
      mediaTimeOfLastSignaledSegment: NaN
    };
  }
  instance = {
    initialize,
    updateInitData,
    updateSegmentData,
    getSegmentByIndex,
    getSegmentByTime,
    getMediaFinishedInformation
  };
  setup();
  return instance;
}
SegmentsController.__dashjs_factory_name = 'SegmentsController';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(SegmentsController);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/controllers/ServiceDescriptionController.js":
/*!**************************************************************!*\
  !*** ./src/dash/controllers/ServiceDescriptionController.js ***!
  \**************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




const SUPPORTED_SCHEMES = [_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SERVICE_DESCRIPTION_DVB_LL_SCHEME];
const MEDIA_TYPES = {
  VIDEO: 'video',
  AUDIO: 'audio',
  ANY: 'any',
  ALL: 'all'
};
function ServiceDescriptionController() {
  const context = this.context;
  let instance, serviceDescriptionSettings, prftOffsets, logger, adapter;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
  }
  function reset() {
    _resetInitialSettings();
  }
  function _resetInitialSettings() {
    serviceDescriptionSettings = {
      liveDelay: NaN,
      liveCatchup: {
        maxDrift: NaN,
        playbackRate: {
          min: NaN,
          max: NaN
        }
      },
      minBitrate: {},
      maxBitrate: {},
      initialBitrate: {},
      contentSteering: null,
      clientDataReporting: null
    };
    prftOffsets = [];
  }

  /**
   * Returns the service description settings for latency, catchup and bandwidth
   */
  function getServiceDescriptionSettings() {
    return serviceDescriptionSettings;
  }

  /**
   * Check for potential ServiceDescriptor elements in the MPD and update the settings accordingly
   * @param {object} manifestInfo
   * @private
   */
  function applyServiceDescription(manifestInfo) {
    if (!manifestInfo || !manifestInfo.serviceDescriptions) {
      return;
    }
    const supportedServiceDescriptions = manifestInfo.serviceDescriptions.filter(sd => SUPPORTED_SCHEMES.includes(sd.schemeIdUri));
    const allClientsServiceDescriptions = manifestInfo.serviceDescriptions.filter(sd => sd.schemeIdUri == null);
    let sd = supportedServiceDescriptions.length > 0 ? supportedServiceDescriptions[supportedServiceDescriptions.length - 1] : allClientsServiceDescriptions[allClientsServiceDescriptions.length - 1];
    if (!sd) {
      return;
    }
    if (sd.latency && sd.latency.target > 0) {
      _applyServiceDescriptionLatency(sd);
    }
    if (sd.playbackRate) {
      _applyServiceDescriptionPlaybackRate(sd);
    }
    if (sd.operatingQuality) {
      _applyServiceDescriptionOperatingQuality(sd);
    }
    if (sd.operatingBandwidth) {
      _applyServiceDescriptionOperatingBandwidth(sd);
    }
    if (sd.contentSteering) {
      _applyServiceDescriptionContentSteering(sd);
    }
    if (sd.clientDataReporting) {
      _applyServiceDescriptionClientDataReporting(sd);
    }
  }

  /**
   * Adjust the latency targets for the service.
   * @param {object} sd - service description element
   * @private
   */
  function _applyServiceDescriptionLatency(sd) {
    let params;
    if (sd.schemeIdUri === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SERVICE_DESCRIPTION_DVB_LL_SCHEME) {
      params = _getDvbServiceDescriptionLatencyParameters(sd);
    } else {
      params = _getStandardServiceDescriptionLatencyParameters(sd);
    }
    if (prftOffsets.length > 0) {
      let {
        to,
        id
      } = _calculateTimeOffset(params);

      // TS 103 285 Clause 10.20.4. 3) Subtract calculated offset from Latency@target converted from milliseconds
      // liveLatency does not consider ST@availabilityTimeOffset so leave out that step
      // Since maxDrift is a difference rather than absolute it does not need offset applied
      serviceDescriptionSettings.liveDelay = params.liveDelay - to;
      serviceDescriptionSettings.liveCatchup.maxDrift = params.maxDrift;
      logger.debug(`
                Found latency properties coming from service description. Applied time offset of ${to} from ProducerReferenceTime element with id ${id}.
                Live Delay: ${params.liveDelay - to}, Live catchup max drift: ${params.maxDrift}
            `);
    } else {
      serviceDescriptionSettings.liveDelay = params.liveDelay;
      serviceDescriptionSettings.liveCatchup.maxDrift = params.maxDrift;
      logger.debug(`Found latency properties coming from service description: Live Delay: ${params.liveDelay}, Live catchup max drift: ${params.maxDrift}`);
    }
  }

  /**
   * Get default parameters for liveDelay,maxDrift
   * @param {object} sd
   * @return {{maxDrift: (number|undefined), liveDelay: number, referenceId: (number|undefined)}}
   * @private
   */
  function _getStandardServiceDescriptionLatencyParameters(sd) {
    const liveDelay = sd.latency.target / 1000;
    let maxDrift = !isNaN(sd.latency.max) && sd.latency.max > sd.latency.target ? (sd.latency.max - sd.latency.target + 500) / 1000 : NaN;
    const referenceId = sd.latency.referenceId || NaN;
    return {
      liveDelay,
      maxDrift,
      referenceId
    };
  }

  /**
   * Get DVB DASH parameters for liveDelay,maxDrift
   * @param sd
   * @return {{maxDrift: (number|undefined), liveDelay: number, referenceId: (number|undefined)}}
   * @private
   */
  function _getDvbServiceDescriptionLatencyParameters(sd) {
    const liveDelay = sd.latency.target / 1000;
    let maxDrift = !isNaN(sd.latency.max) && sd.latency.max > sd.latency.target ? (sd.latency.max - sd.latency.target + 500) / 1000 : NaN;
    const referenceId = sd.latency.referenceId || NaN;
    return {
      liveDelay,
      maxDrift,
      referenceId
    };
  }

  /**
   * Adjust the playback rate targets for the service
   * @param {object} sd
   * @private
   */
  function _applyServiceDescriptionPlaybackRate(sd) {
    // Convert each playback rate into a difference from 1. i.e 0.8 becomes -0.2.
    const min = sd.playbackRate.min ? Math.round((sd.playbackRate.min - 1.0) * 1000) / 1000 : NaN;
    const max = sd.playbackRate.max ? Math.round((sd.playbackRate.max - 1.0) * 1000) / 1000 : NaN;
    serviceDescriptionSettings.liveCatchup.playbackRate.min = min;
    serviceDescriptionSettings.liveCatchup.playbackRate.max = max;
    logger.debug(`Found latency properties coming from service description: Live catchup min playback rate: ${min}`);
    logger.debug(`Found latency properties coming from service description: Live catchup max playback rate: ${max}`);
  }

  /**
   * Used to specify a quality ranking. We do not support this yet.
   * @private
   */
  function _applyServiceDescriptionOperatingQuality() {
    return;
  }

  /**
   * Adjust the operating quality targets for the service
   * @param {object} sd
   * @private
   */
  function _applyServiceDescriptionOperatingBandwidth(sd) {
    // Aggregation of media types is not supported yet
    if (!sd || !sd.operatingBandwidth || !sd.operatingBandwidth.mediaType || sd.operatingBandwidth.mediaType === MEDIA_TYPES.ALL) {
      return;
    }
    const params = {};
    params.minBandwidth = sd.operatingBandwidth.min;
    params.maxBandwidth = sd.operatingBandwidth.max;
    params.targetBandwidth = sd.operatingBandwidth.target;
    const mediaTypesToApply = [];
    if (sd.operatingBandwidth.mediaType === MEDIA_TYPES.VIDEO || sd.operatingBandwidth.mediaType === MEDIA_TYPES.AUDIO) {
      mediaTypesToApply.push(sd.operatingBandwidth.mediaType);
    } else if (sd.operatingBandwidth.mediaType === MEDIA_TYPES.ANY) {
      mediaTypesToApply.push(MEDIA_TYPES.AUDIO);
      mediaTypesToApply.push(MEDIA_TYPES.VIDEO);
    }
    mediaTypesToApply.forEach(mediaType => {
      if (!isNaN(params.minBandwidth)) {
        _updateBandwidthSetting('minBitrate', mediaType, params.minBandwidth);
      }
      if (!isNaN(params.maxBandwidth)) {
        _updateBandwidthSetting('maxBitrate', mediaType, params.maxBandwidth);
      }
      if (!isNaN(params.targetBandwidth)) {
        _updateBandwidthSetting('initialBitrate', mediaType, params.targetBandwidth);
      }
    });
  }

  /**
   * Update the bandwidth settings vor a specific field and media type
   * @param {string} field
   * @param {string} mediaType
   * @param {number} value
   * @private
   */
  function _updateBandwidthSetting(field, mediaType, value) {
    try {
      // Service description values are specified in bps. Settings expect the value in kbps
      serviceDescriptionSettings[field][mediaType] = value / 1000;
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Add information about content steering element. Handling is up to the ContentSteeringController
   *  @param {object} sd
   *  @private
   */
  function _applyServiceDescriptionContentSteering(sd) {
    serviceDescriptionSettings.contentSteering = sd.contentSteering;
  }

  /**
   * Add information about client data reporting element. Handling is up to the CMCDModel
   *  @param {object} sd
   *  @private
   */
  function _applyServiceDescriptionClientDataReporting(sd) {
    serviceDescriptionSettings.clientDataReporting = sd.clientDataReporting;
  }

  /**
   * Returns the current calculated time offsets based on ProducerReferenceTime elements
   * @returns {array}
   */
  function getProducerReferenceTimeOffsets() {
    return prftOffsets;
  }

  /**
   * Calculates an array of time offsets each with matching ProducerReferenceTime id.
   * Call before applyServiceDescription if producer reference time elements should be considered.
   * @param {array} streamInfos
   * @returns {array}
   * @private
   */
  function calculateProducerReferenceTimeOffsets(streamInfos) {
    try {
      let timeOffsets = [];
      if (streamInfos && streamInfos.length > 0) {
        const mediaTypes = [_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].VIDEO, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].AUDIO, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TEXT];
        const astInSeconds = adapter.getAvailabilityStartTime() / 1000;
        streamInfos.forEach(streamInfo => {
          const offsets = mediaTypes.reduce((acc, mediaType) => {
            acc = acc.concat(adapter.getAllMediaInfoForType(streamInfo, mediaType));
            return acc;
          }, []).reduce((acc, mediaInfo) => {
            const prts = adapter.getProducerReferenceTimes(streamInfo, mediaInfo);
            prts.forEach(prt => {
              const voRepresentations = adapter.getVoRepresentations(mediaInfo);
              if (voRepresentations && voRepresentations.length > 0 && voRepresentations[0].adaptation && voRepresentations[0].segmentInfoType === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].SEGMENT_TEMPLATE) {
                const voRep = voRepresentations[0];
                const d = new Date(prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].WALL_CLOCK_TIME]);
                const wallClockTime = d.getTime() / 1000;
                // TS 103 285 Clause 10.20.4
                // 1) Calculate PRT0
                // i) take the PRT@presentationTime and subtract any ST@presentationTimeOffset
                // ii) convert this time to seconds by dividing by ST@timescale
                // iii) Add this to start time of period that contains PRT.
                // N.B presentationTimeOffset is already divided by timescale at this point
                const prt0 = wallClockTime - (prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].PRESENTATION_TIME] / voRep[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].TIMESCALE] - voRep[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].PRESENTATION_TIME_OFFSET] + streamInfo.start);
                // 2) Calculate TO between PRT at the start of MPD timeline and the AST
                const to = astInSeconds - prt0;
                // 3) Not applicable as liveLatency does not consider ST@availabilityTimeOffset
                acc.push({
                  id: prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].ID],
                  to
                });
              }
            });
            return acc;
          }, []);
          timeOffsets = timeOffsets.concat(offsets);
        });
      }
      prftOffsets = timeOffsets;
    } catch (e) {
      logger.error(e);
      prftOffsets = [];
    }
  }
  ;

  /**
   * Calculates offset to apply to live delay as described in TS 103 285 Clause 10.20.4
   * @param {object} sdLatency - service description latency element
   * @returns {number}
   * @private
   */
  function _calculateTimeOffset(sdLatency) {
    let to = 0,
      id;
    let offset = prftOffsets.filter(prt => {
      return prt.id === sdLatency.referenceId;
    });

    // If only one ProducerReferenceTime to generate one TO, then use that regardless of matching ids
    if (offset.length === 0) {
      to = prftOffsets.length > 0 ? prftOffsets[0].to : 0;
      id = prftOffsets[0].id || NaN;
    } else {
      // If multiple id matches, use the first but this should be invalid
      to = offset[0].to || 0;
      id = offset[0].id || NaN;
    }
    return {
      to,
      id
    };
  }
  instance = {
    getServiceDescriptionSettings,
    getProducerReferenceTimeOffsets,
    calculateProducerReferenceTimeOffsets,
    applyServiceDescription,
    reset,
    setConfig
  };
  setup();
  return instance;
}
ServiceDescriptionController.__dashjs_factory_name = 'ServiceDescriptionController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(ServiceDescriptionController));

/***/ }),

/***/ "./src/dash/models/DashManifestModel.js":
/*!**********************************************!*\
  !*** ./src/dash/models/DashManifestModel.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _vo_AdaptationSet_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../vo/AdaptationSet.js */ "./src/dash/vo/AdaptationSet.js");
/* harmony import */ var _vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/BaseURL.js */ "./src/dash/vo/BaseURL.js");
/* harmony import */ var _vo_CMCDParameters_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../vo/CMCDParameters.js */ "./src/dash/vo/CMCDParameters.js");
/* harmony import */ var _vo_ClientDataReporting_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../vo/ClientDataReporting.js */ "./src/dash/vo/ClientDataReporting.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _vo_ContentProtection_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../vo/ContentProtection.js */ "./src/dash/vo/ContentProtection.js");
/* harmony import */ var _vo_ContentSteering_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../vo/ContentSteering.js */ "./src/dash/vo/ContentSteering.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../streaming/vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../vo/DescriptorType.js */ "./src/dash/vo/DescriptorType.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _vo_Event_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../vo/Event.js */ "./src/dash/vo/Event.js");
/* harmony import */ var _vo_EventStream_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../vo/EventStream.js */ "./src/dash/vo/EventStream.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_Mpd_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../vo/Mpd.js */ "./src/dash/vo/Mpd.js");
/* harmony import */ var _vo_MpdLocation_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../vo/MpdLocation.js */ "./src/dash/vo/MpdLocation.js");
/* harmony import */ var _streaming_utils_ObjectUtils_js__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../../streaming/utils/ObjectUtils.js */ "./src/streaming/utils/ObjectUtils.js");
/* harmony import */ var _vo_PatchLocation_js__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ../vo/PatchLocation.js */ "./src/dash/vo/PatchLocation.js");
/* harmony import */ var _vo_Period_js__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ../vo/Period.js */ "./src/dash/vo/Period.js");
/* harmony import */ var _vo_ProducerReferenceTime_js__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ../vo/ProducerReferenceTime.js */ "./src/dash/vo/ProducerReferenceTime.js");
/* harmony import */ var _vo_Representation_js__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ../vo/Representation.js */ "./src/dash/vo/Representation.js");
/* harmony import */ var _streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ../../streaming/utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _vo_UTCTiming_js__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ../vo/UTCTiming.js */ "./src/dash/vo/UTCTiming.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

























function DashManifestModel() {
  let instance, logger, errHandler, BASE64;
  const context = this.context;
  const urlUtils = (0,_streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_22__["default"])(context).getInstance();
  const isInteger = Number.isInteger || function (value) {
    return typeof value === 'number' && isFinite(value) && Math.floor(value) === value;
  };
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance().getLogger(instance);
  }
  function getIsTypeOf(adaptation, type) {
    if (!adaptation) {
      throw new Error('adaptation is not defined');
    }
    if (!type) {
      throw new Error('type is not defined');
    }

    // Check for thumbnail images
    if (adaptation.Representation && adaptation.Representation.length) {
      const essentialProperties = getEssentialPropertiesForRepresentation(adaptation.Representation[0]);
      if (essentialProperties && essentialProperties.some(essentialProperty => _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].THUMBNAILS_SCHEME_ID_URIS.indexOf(essentialProperty.schemeIdUri) >= 0)) {
        return type === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].IMAGE;
      }
    }

    // Check ContentComponent.contentType
    if (adaptation.ContentComponent && adaptation.ContentComponent.length > 0) {
      if (adaptation.ContentComponent.length > 1) {
        return type === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].MUXED;
      } else if (adaptation.ContentComponent[0].contentType === type) {
        return true;
      }
    }
    const mimeTypeRegEx = type === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].TEXT ? new RegExp('(ttml|vtt|wvtt|stpp)') : new RegExp(type);

    // Check codecs
    if (adaptation.Representation && adaptation.Representation.length) {
      const codecs = adaptation.Representation[0].codecs;
      if (mimeTypeRegEx.test(codecs)) {
        return true;
      }
    }

    // Check Adaptation's mimeType
    if (adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MIME_TYPE)) {
      return mimeTypeRegEx.test(adaptation.mimeType);
    }

    // Check Representation's mimeType
    if (adaptation.Representation) {
      let representation;
      for (let i = 0; i < adaptation.Representation.length; i++) {
        representation = adaptation.Representation[i];
        if (representation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MIME_TYPE)) {
          return mimeTypeRegEx.test(representation.mimeType);
        }
      }
    }
    return false;
  }
  function getIsFragmented(adaptation) {
    if (!adaptation) {
      throw new Error('adaptation is not defined');
    }
    if (adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TEMPLATE) || adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE) || adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_LIST) || adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_BASE)) {
      return true;
    }
    if (adaptation.Representation && adaptation.Representation.length > 0) {
      const representation = adaptation.Representation[0];
      if (representation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TEMPLATE) || representation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE) || representation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_LIST) || representation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_BASE)) {
        return true;
      }
    }
    return false;
  }
  function getIsAudio(adaptation) {
    return getIsTypeOf(adaptation, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].AUDIO);
  }
  function getIsVideo(adaptation) {
    return getIsTypeOf(adaptation, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO);
  }
  function getIsText(adaptation) {
    return getIsTypeOf(adaptation, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].TEXT);
  }
  function getIsMuxed(adaptation) {
    return getIsTypeOf(adaptation, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].MUXED);
  }
  function getIsImage(adaptation) {
    return getIsTypeOf(adaptation, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].IMAGE);
  }
  function getProducerReferenceTimesForAdaptation(adaptation) {
    const prtArray = adaptation && adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRODUCER_REFERENCE_TIME) ? adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRODUCER_REFERENCE_TIME] : [];

    // ProducerReferenceTime elements can also be contained in Representations
    const representationsArray = adaptation && adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].REPRESENTATION) ? adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].REPRESENTATION] : [];
    representationsArray.forEach(rep => {
      if (rep.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRODUCER_REFERENCE_TIME)) {
        prtArray.push(...rep[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRODUCER_REFERENCE_TIME]);
      }
    });
    const prtsForAdaptation = [];

    // Unlikely to have multiple ProducerReferenceTimes.
    prtArray.forEach(prt => {
      const entry = new _vo_ProducerReferenceTime_js__WEBPACK_IMPORTED_MODULE_20__["default"]();
      if (prt.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID)) {
        entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID] = parseInt(prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID]);
      } else {
        // Ignore. Missing mandatory attribute
        return;
      }
      if (prt.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].WALL_CLOCK_TIME)) {
        entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].WALL_CLOCK_TIME] = prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].WALL_CLOCK_TIME];
      } else {
        // Ignore. Missing mandatory attribute
        return;
      }
      if (prt.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME)) {
        entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME] = prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME];
      } else {
        // Ignore. Missing mandatory attribute
        return;
      }
      if (prt.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].INBAND)) {
        entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].INBAND] = prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].INBAND] !== 'false';
      }
      if (prt.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TYPE)) {
        entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TYPE] = prt[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TYPE];
      }

      // Not interested in other attributes for now
      // UTC element contained must be same as that in the MPD
      prtsForAdaptation.push(entry);
    });
    return prtsForAdaptation;
  }
  function getLanguageForAdaptation(adaptation) {
    let lang = '';
    if (adaptation && adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].LANG)) {
      lang = adaptation.lang;
    }
    return lang;
  }
  function getViewpointForAdaptation(adaptation) {
    if (!adaptation || !adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VIEWPOINT) || !adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VIEWPOINT].length) {
      return [];
    }
    return adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VIEWPOINT].map(viewpoint => {
      const vp = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      vp.init(viewpoint);
      return vp;
    });
  }
  function getRolesForAdaptation(adaptation) {
    if (!adaptation || !adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ROLE) || !adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ROLE].length) {
      return [];
    }
    return adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ROLE].map(role => {
      // conceal misspelled "Main" from earlier MPEG-DASH editions (fixed with 6th edition)
      if (role.schemeIdUri === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].DASH_ROLE_SCHEME_ID && role.value === 'Main') {
        role.value = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MAIN;
      }
      const r = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      r.init(role);
      return r;
    });
  }
  function getAccessibilityForAdaptation(adaptation) {
    if (!adaptation || !adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ACCESSIBILITY) || !adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ACCESSIBILITY].length) {
      return [];
    }
    return adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ACCESSIBILITY].map(accessibility => {
      const a = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      a.init(accessibility);
      return a;
    });
  }
  function getAudioChannelConfigurationForAdaptation(adaptation) {
    if (!adaptation || !adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO_CHANNEL_CONFIGURATION) || !adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO_CHANNEL_CONFIGURATION].length) {
      return [];
    }
    return adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO_CHANNEL_CONFIGURATION].map(audioChanCfg => {
      const acc = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      acc.init(audioChanCfg);
      return acc;
    });
  }
  function getAudioChannelConfigurationForRepresentation(representation) {
    if (!representation || !representation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO_CHANNEL_CONFIGURATION) || !representation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO_CHANNEL_CONFIGURATION].length) {
      return [];
    }
    return representation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO_CHANNEL_CONFIGURATION].map(audioChanCfg => {
      const acc = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      acc.init(audioChanCfg);
      return acc;
    });
  }
  function getRepresentationSortFunction() {
    return (a, b) => a.bandwidth - b.bandwidth;
  }
  function processAdaptation(realAdaptation) {
    if (realAdaptation && realAdaptation.Representation) {
      realAdaptation.Representation.sort(getRepresentationSortFunction());
    }
    return realAdaptation;
  }
  function getRealAdaptations(manifest, periodIndex) {
    return manifest && manifest.Period && isInteger(periodIndex) ? manifest.Period[periodIndex] ? manifest.Period[periodIndex].AdaptationSet : [] : [];
  }
  function getRealPeriods(manifest) {
    return manifest && manifest.Period ? manifest.Period : [];
  }
  function getRealPeriodForIndex(index, manifest) {
    const realPeriods = getRealPeriods(manifest);
    if (realPeriods.length > 0 && isInteger(index)) {
      return realPeriods[index];
    } else {
      return null;
    }
  }
  function getAdaptationForId(id, manifest, periodIndex) {
    const realAdaptations = getRealAdaptations(manifest, periodIndex);
    let i, len;
    for (i = 0, len = realAdaptations.length; i < len; i++) {
      if (realAdaptations[i].hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID) && realAdaptations[i].id === id) {
        return realAdaptations[i];
      }
    }
    return null;
  }
  function getAdaptationForIndex(index, manifest, periodIndex) {
    const realAdaptations = getRealAdaptations(manifest, periodIndex);
    if (realAdaptations.length > 0 && isInteger(index)) {
      return realAdaptations[index];
    } else {
      return null;
    }
  }
  function getIndexForAdaptation(realAdaptation, manifest, periodIndex) {
    if (!realAdaptation) {
      return -1;
    }
    const realAdaptations = getRealAdaptations(manifest, periodIndex);
    for (let i = 0; i < realAdaptations.length; i++) {
      let objectUtils = (0,_streaming_utils_ObjectUtils_js__WEBPACK_IMPORTED_MODULE_17__["default"])(context).getInstance();
      if (objectUtils.areEqual(realAdaptations[i], realAdaptation)) {
        return i;
      }
    }
    return -1;
  }
  function getAdaptationsForType(manifest, periodIndex, type) {
    const realAdaptations = getRealAdaptations(manifest, periodIndex);
    let i, len;
    const adaptations = [];
    for (i = 0, len = realAdaptations.length; i < len; i++) {
      if (getIsTypeOf(realAdaptations[i], type)) {
        adaptations.push(processAdaptation(realAdaptations[i]));
      }
    }
    return adaptations;
  }
  function getCodec(adaptation, representationIndex, addResolutionInfo) {
    let codec = null;
    if (adaptation && adaptation.Representation && adaptation.Representation.length > 0) {
      const representation = isInteger(representationIndex) && representationIndex >= 0 && representationIndex < adaptation.Representation.length ? adaptation.Representation[representationIndex] : adaptation.Representation[0];
      if (representation) {
        codec = representation.mimeType + ';codecs="' + representation.codecs + '"';
        if (addResolutionInfo && representation.width !== undefined) {
          codec += ';width="' + representation.width + '";height="' + representation.height + '"';
        }
      }
    }

    // If the codec contains a profiles parameter we remove it. Otherwise, it will cause problems when checking for codec capabilities of the platform
    if (codec) {
      codec = codec.replace(/\sprofiles=[^;]*/g, '');
    }
    return codec;
  }
  function getMimeType(adaptation) {
    return adaptation && adaptation.Representation && adaptation.Representation.length > 0 ? adaptation.Representation[0].mimeType : null;
  }
  function getSegmentAlignment(adaptation) {
    if (adaptation && adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_ALIGNMENT)) {
      return adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_ALIGNMENT] === 'true';
    }
    return false;
  }
  function getSubSegmentAlignment(adaptation) {
    if (adaptation && adaptation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUB_SEGMENT_ALIGNMENT)) {
      return adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUB_SEGMENT_ALIGNMENT] === 'true';
    }
    return false;
  }
  function getLabelsForAdaptation(adaptation) {
    if (!adaptation || !adaptation.Label) {
      return [];
    }
    const labelArray = [];
    for (let i = 0; i < adaptation.Label.length; i++) {
      labelArray.push({
        lang: adaptation.Label[i].lang,
        text: adaptation.Label[i].__text || adaptation.Label[i]
      });
    }
    return labelArray;
  }
  function isPeriodEncrypted(period) {
    const contentProtectionElements = getContentProtectionByPeriod(period);
    return contentProtectionElements && contentProtectionElements.length > 0;
  }
  function getContentProtectionByManifest(manifest) {
    let protectionElements = [];
    if (!manifest) {
      return protectionElements;
    }
    const mpdElements = _getContentProtectionFromElement(manifest);
    protectionElements = protectionElements.concat(mpdElements);
    if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PERIOD) && manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PERIOD].length > 0) {
      manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PERIOD].forEach(period => {
        const curr = getContentProtectionByPeriod(period);
        protectionElements = protectionElements.concat(curr);
      });
    }
    return protectionElements;
  }
  function getContentProtectionByPeriod(period) {
    let protectionElements = [];
    if (!period) {
      return protectionElements;
    }
    const periodProtectionElements = _getContentProtectionFromElement(period);
    protectionElements = protectionElements.concat(periodProtectionElements);
    if (period.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ADAPTATION_SET) && period[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ADAPTATION_SET].length > 0) {
      period[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ADAPTATION_SET].forEach(as => {
        const curr = _getContentProtectionFromElement(as);
        protectionElements = protectionElements.concat(curr);
      });
    }
    return protectionElements;
  }
  function getContentProtectionByAdaptation(adaptation) {
    return _getContentProtectionFromElement(adaptation);
  }
  function _getContentProtectionFromElement(element) {
    if (!element || !element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONTENT_PROTECTION) || element.ContentProtection.length === 0) {
      return [];
    }
    return element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONTENT_PROTECTION].map(contentProtectionData => {
      const contentProtection = new _vo_ContentProtection_js__WEBPACK_IMPORTED_MODULE_5__["default"]();
      contentProtection.init(contentProtectionData);
      return contentProtection;
    });
  }
  function getIsDynamic(manifest) {
    let isDynamic = false;
    if (manifest && manifest.hasOwnProperty('type')) {
      isDynamic = manifest.type === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DYNAMIC;
    }
    return isDynamic;
  }
  function getId(manifest) {
    return manifest && manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID] || null;
  }
  function hasProfile(manifest, profile) {
    let has = false;
    if (manifest && manifest.profiles && manifest.profiles.length > 0) {
      has = manifest.profiles.indexOf(profile) !== -1;
    }
    return has;
  }
  function getDuration(manifest) {
    let mpdDuration;
    //@mediaPresentationDuration specifies the duration of the entire Media Presentation.
    //If the attribute is not present, the duration of the Media Presentation is unknown.
    if (manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MEDIA_PRESENTATION_DURATION)) {
      mpdDuration = manifest.mediaPresentationDuration;
    } else if (manifest && manifest.type == 'dynamic') {
      mpdDuration = Number.POSITIVE_INFINITY;
    } else {
      mpdDuration = Number.MAX_SAFE_INTEGER || Number.MAX_VALUE;
    }
    return mpdDuration;
  }
  function getBandwidth(representation) {
    return representation && representation.bandwidth ? representation.bandwidth : NaN;
  }
  function getFramerate(realRepresentation) {
    if (!realRepresentation) {
      return null;
    }
    const frameRate = realRepresentation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].FRAMERATE];
    if (!frameRate) {
      return null;
    }
    if (typeof frameRate === 'string' && frameRate.includes('/')) {
      const [numerator, denominator] = frameRate.split('/').map(value => parseInt(value, 10));
      if (!isNaN(numerator) && !isNaN(denominator) && denominator !== 0) {
        return numerator / denominator;
      }
    }
    return parseInt(frameRate);
  }
  function getManifestUpdatePeriod(manifest) {
    let latencyOfLastUpdate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    let delay = NaN;
    if (manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MINIMUM_UPDATE_PERIOD)) {
      delay = manifest.minimumUpdatePeriod;
    }
    return isNaN(delay) ? delay : Math.max(delay - latencyOfLastUpdate, 1);
  }
  function getPublishTime(manifest) {
    return manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PUBLISH_TIME) ? new Date(manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PUBLISH_TIME]) : null;
  }
  function getRepresentationCount(adaptation) {
    return adaptation && adaptation.Representation ? adaptation.Representation.length : 0;
  }
  function getBitrateListForAdaptation(realAdaptation) {
    const processedRealAdaptation = processAdaptation(realAdaptation);
    const realRepresentations = processedRealAdaptation && processedRealAdaptation.Representation ? processedRealAdaptation.Representation : [];
    return realRepresentations.map(realRepresentation => {
      return {
        bandwidth: realRepresentation.bandwidth,
        width: realRepresentation.width || 0,
        height: realRepresentation.height || 0,
        scanType: realRepresentation.scanType || null,
        id: realRepresentation.id || null
      };
    });
  }
  function getSelectionPriority(realAdaption) {
    try {
      const priority = realAdaption && typeof realAdaption.selectionPriority !== 'undefined' ? parseInt(realAdaption.selectionPriority) : 1;
      return isNaN(priority) ? 1 : priority;
    } catch (e) {
      return 1;
    }
  }

  // propertyType is one of { DashConstants.ESSENTIAL_PROPERTY, DashConstants.SUPPLEMENTAL_PROPERTY }
  function _getProperties(propertyType, element) {
    if (!element || !element.hasOwnProperty(propertyType) || !element[propertyType].length) {
      return [];
    }
    return element[propertyType].map(property => {
      const s = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      s.init(property);
      return s;
    });
  }
  function _getPropertiesCommonToAllRepresentations(propertyType, repr) {
    if (!repr || !repr.length) {
      return [];
    }
    let propertiesOfFirstRepresentation = repr[0][propertyType] || [];
    if (propertiesOfFirstRepresentation.length === 0) {
      return [];
    }
    if (repr.length === 1) {
      return propertiesOfFirstRepresentation;
    }

    // now, only return properties present on all Representations
    // repr.legth is always >= 2
    return propertiesOfFirstRepresentation.filter(prop => {
      return repr.slice(1).every(currRep => {
        return currRep.hasOwnProperty(propertyType) && currRep[propertyType].some(e => {
          return e.schemeIdUri === prop.schemeIdUri && e.value === prop.value;
        });
      });
    });
  }
  function _getCombinedPropertiesForAdaptationSet(propertyType, adaptation) {
    if (!adaptation) {
      return [];
    }
    let allProperties = _getPropertiesCommonToAllRepresentations(propertyType, adaptation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].REPRESENTATION]);
    if (adaptation.hasOwnProperty(propertyType) && adaptation[propertyType].length) {
      allProperties.push(...adaptation[propertyType]);
    }
    // we don't check whether there are duplicates on AdaptationSets and Representations

    return allProperties.map(essentialProperty => {
      const s = new _vo_DescriptorType_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
      s.init(essentialProperty);
      return s;
    });
  }
  function getEssentialPropertiesForAdaptationSet(adaptation) {
    return _getProperties(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ESSENTIAL_PROPERTY, adaptation);
  }
  function getCombinedEssentialPropertiesForAdaptationSet(adaptation) {
    return _getCombinedPropertiesForAdaptationSet(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ESSENTIAL_PROPERTY, adaptation);
  }
  function getEssentialPropertiesForRepresentation(realRepresentation) {
    return _getProperties(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ESSENTIAL_PROPERTY, realRepresentation);
  }
  function getSupplementalPropertiesForAdaptationSet(adaptation) {
    return _getProperties(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUPPLEMENTAL_PROPERTY, adaptation);
  }
  function getCombinedSupplementalPropertiesForAdaptationSet(adaptation) {
    return _getCombinedPropertiesForAdaptationSet(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUPPLEMENTAL_PROPERTY, adaptation);
  }
  function getSupplementalPropertiesForRepresentation(representation) {
    return _getProperties(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUPPLEMENTAL_PROPERTY, representation);
  }
  function getRepresentationFor(index, adaptation) {
    return adaptation && adaptation.Representation && adaptation.Representation.length > 0 && isInteger(index) ? adaptation.Representation[index] : null;
  }
  function getRealAdaptationFor(voAdaptation) {
    if (voAdaptation && voAdaptation.period && isInteger(voAdaptation.period.index)) {
      const periodArray = voAdaptation.period.mpd.manifest.Period[voAdaptation.period.index];
      if (periodArray && periodArray.AdaptationSet && isInteger(voAdaptation.index)) {
        return processAdaptation(periodArray.AdaptationSet[voAdaptation.index]);
      }
    }
  }
  function getRepresentationsForAdaptation(voAdaptation, mediaInfo) {
    const voRepresentations = [];
    const processedRealAdaptation = getRealAdaptationFor(voAdaptation);
    let segmentInfo, baseUrl;
    if (processedRealAdaptation && processedRealAdaptation.Representation) {
      // TODO: TO BE REMOVED. We should get just the baseUrl elements that affects to the representations
      // that we are processing. Making it works properly will require much further changes and given
      // parsing base Urls parameters is needed for our ultra low latency examples, we will
      // keep this "tricky" code until the real (and good) solution comes
      if (voAdaptation && voAdaptation.period && isInteger(voAdaptation.period.index)) {
        const baseUrls = getBaseURLsFromElement(voAdaptation.period.mpd.manifest);
        if (baseUrls) {
          baseUrl = baseUrls[0];
        }
      }
      for (let i = 0, len = processedRealAdaptation.Representation.length; i < len; ++i) {
        const realRepresentation = processedRealAdaptation.Representation[i];
        const voRepresentation = new _vo_Representation_js__WEBPACK_IMPORTED_MODULE_21__["default"]();
        voRepresentation.index = i;
        voRepresentation.adaptation = voAdaptation;
        voRepresentation.mediaInfo = mediaInfo;
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID)) {
          voRepresentation.id = realRepresentation.id;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CODECS)) {
          voRepresentation.codecs = realRepresentation.codecs;
          voRepresentation.codecFamily = _core_Utils_js__WEBPACK_IMPORTED_MODULE_24__["default"].getCodecFamily(voRepresentation.codecs);
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MIME_TYPE)) {
          voRepresentation.mimeType = realRepresentation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MIME_TYPE];
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CODEC_PRIVATE_DATA)) {
          voRepresentation.codecPrivateData = realRepresentation.codecPrivateData;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].BANDWITH)) {
          voRepresentation.bandwidth = realRepresentation.bandwidth;
          voRepresentation.bitrateInKbit = realRepresentation.bandwidth / 1000;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].WIDTH)) {
          voRepresentation.width = realRepresentation.width;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].HEIGHT)) {
          voRepresentation.height = realRepresentation.height;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SCAN_TYPE)) {
          voRepresentation.scanType = realRepresentation.scanType;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].FRAMERATE)) {
          voRepresentation.frameRate = getFramerate(realRepresentation);
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].QUALITY_RANKING)) {
          voRepresentation.qualityRanking = realRepresentation[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].QUALITY_RANKING];
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MAX_PLAYOUT_RATE)) {
          voRepresentation.maxPlayoutRate = realRepresentation.maxPlayoutRate;
        }
        if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_BASE)) {
          segmentInfo = realRepresentation.SegmentBase;
          voRepresentation.segmentInfoType = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_BASE;
        } else if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_LIST)) {
          segmentInfo = realRepresentation.SegmentList;
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE)) {
            voRepresentation.segmentInfoType = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE;
          } else {
            voRepresentation.segmentInfoType = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_LIST;
          }
        } else if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TEMPLATE)) {
          segmentInfo = realRepresentation.SegmentTemplate;
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE)) {
            voRepresentation.segmentInfoType = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE;
          } else {
            voRepresentation.segmentInfoType = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TEMPLATE;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].INITIALIZATION_MINUS)) {
            voRepresentation.initialization = segmentInfo.initialization.split('$Bandwidth$').join(realRepresentation.bandwidth).split('$RepresentationID$').join(realRepresentation.id);
          }
        } else {
          voRepresentation.segmentInfoType = _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].BASE_URL;
        }
        voRepresentation.essentialProperties = getEssentialPropertiesForRepresentation(realRepresentation);
        voRepresentation.supplementalProperties = getSupplementalPropertiesForRepresentation(realRepresentation);
        if (segmentInfo) {
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].INITIALIZATION)) {
            const initialization = segmentInfo.Initialization;
            if (initialization.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SOURCE_URL)) {
              voRepresentation.initialization = initialization.sourceURL;
            }
            if (initialization.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].RANGE)) {
              voRepresentation.range = initialization.range;
              // initialization source url will be determined from
              // BaseURL when resolved at load time.
            }
          } else if (getIsText(processedRealAdaptation) && getIsFragmented(processedRealAdaptation) && processedRealAdaptation.mimeType && processedRealAdaptation.mimeType.indexOf('application/mp4') === -1) {
            voRepresentation.range = 0;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TIMESCALE)) {
            voRepresentation.timescale = segmentInfo.timescale;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DURATION)) {
            // TODO according to the spec @maxSegmentDuration specifies the maximum duration of any Segment in any Representation in the Media Presentation
            // It is also said that for a SegmentTimeline any @d value shall not exceed the value of MPD@maxSegmentDuration, but nothing is said about
            // SegmentTemplate @duration attribute. We need to find out if @maxSegmentDuration should be used instead of calculated duration if the the duration
            // exceeds @maxSegmentDuration
            voRepresentation.segmentDuration = segmentInfo.duration / voRepresentation.timescale;
          } else if (realRepresentation.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TEMPLATE)) {
            segmentInfo = realRepresentation.SegmentTemplate;
            if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SEGMENT_TIMELINE)) {
              voRepresentation.segmentDuration = calcSegmentDuration(segmentInfo.SegmentTimeline) / voRepresentation.timescale;
            }
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MEDIA)) {
            voRepresentation.media = segmentInfo.media;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].START_NUMBER)) {
            voRepresentation.startNumber = parseInt(segmentInfo.startNumber);
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].INDEX_RANGE)) {
            voRepresentation.indexRange = segmentInfo.indexRange;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME_OFFSET)) {
            voRepresentation.presentationTimeOffset = segmentInfo.presentationTimeOffset / voRepresentation.timescale;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_TIME_OFFSET)) {
            voRepresentation.availabilityTimeOffset = segmentInfo.availabilityTimeOffset;
          } else if (baseUrl && baseUrl.availabilityTimeOffset !== undefined) {
            voRepresentation.availabilityTimeOffset = baseUrl.availabilityTimeOffset;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_TIME_COMPLETE)) {
            voRepresentation.availabilityTimeComplete = segmentInfo.availabilityTimeComplete !== 'false';
          } else if (baseUrl && baseUrl.availabilityTimeComplete !== undefined) {
            voRepresentation.availabilityTimeComplete = baseUrl.availabilityTimeComplete;
          }
          if (segmentInfo.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].END_NUMBER)) {
            voRepresentation.endNumber = segmentInfo[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].END_NUMBER];
          }
        }
        voRepresentation.mseTimeOffset = calcMseTimeOffset(voRepresentation);
        voRepresentation.path = [voAdaptation.period.index, voAdaptation.index, i];
        if (!isNaN(voRepresentation.width) && !isNaN(voRepresentation.height) && !isNaN(voRepresentation.frameRate)) {
          voRepresentation.pixelsPerSecond = Math.max(1, voRepresentation.width * voRepresentation.height * voRepresentation.frameRate);
          if (!isNaN(voRepresentation.bandwidth)) {
            voRepresentation.bitsPerPixel = voRepresentation.bandwidth / voRepresentation.pixelsPerSecond;
          }
        }
        voRepresentations.push(voRepresentation);
      }
    }
    return voRepresentations;
  }
  function calcSegmentDuration(segmentTimeline) {
    if (!segmentTimeline || !segmentTimeline.S) {
      return NaN;
    }
    let s0 = segmentTimeline.S[0];
    let s1 = segmentTimeline.S[1];
    return s0.hasOwnProperty('d') ? s0.d : s1.t - s0.t;
  }
  function calcMseTimeOffset(representation) {
    // The MSEOffset is offset from AST for media. It is Period@start - presentationTimeOffset
    const presentationOffset = representation.presentationTimeOffset;
    const periodStart = representation.adaptation.period.start;
    return periodStart - presentationOffset;
  }
  function getAdaptationsForPeriod(voPeriod) {
    const realPeriod = voPeriod && isInteger(voPeriod.index) ? voPeriod.mpd.manifest.Period[voPeriod.index] : null;
    const voAdaptations = [];
    let voAdaptationSet, realAdaptationSet, i;
    if (realPeriod && realPeriod.AdaptationSet) {
      for (i = 0; i < realPeriod.AdaptationSet.length; i++) {
        realAdaptationSet = realPeriod.AdaptationSet[i];
        voAdaptationSet = new _vo_AdaptationSet_js__WEBPACK_IMPORTED_MODULE_0__["default"]();
        if (realAdaptationSet.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID)) {
          voAdaptationSet.id = realAdaptationSet.id;
        }
        voAdaptationSet.index = i;
        voAdaptationSet.period = voPeriod;
        if (getIsMuxed(realAdaptationSet)) {
          voAdaptationSet.type = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].MUXED;
        } else if (getIsAudio(realAdaptationSet)) {
          voAdaptationSet.type = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].AUDIO;
        } else if (getIsVideo(realAdaptationSet)) {
          voAdaptationSet.type = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO;
        } else if (getIsText(realAdaptationSet)) {
          voAdaptationSet.type = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].TEXT;
        } else if (getIsImage(realAdaptationSet)) {
          voAdaptationSet.type = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].IMAGE;
        } else {
          logger.warn('Unknown Adaptation stream type');
        }
        voAdaptations.push(voAdaptationSet);
      }
    }
    return voAdaptations;
  }
  function getRegularPeriods(mpd) {
    const isDynamic = mpd ? getIsDynamic(mpd.manifest) : false;
    const voPeriods = [];
    let realPreviousPeriod = null;
    let realPeriod = null;
    let voPreviousPeriod = null;
    let voPeriod = null;
    let len, i;
    for (i = 0, len = mpd && mpd.manifest && mpd.manifest.Period ? mpd.manifest.Period.length : 0; i < len; i++) {
      realPeriod = mpd.manifest.Period[i];

      // If the attribute @start is present in the Period, then the
      // Period is a regular Period and the PeriodStart is equal
      // to the value of this attribute.
      if (realPeriod.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].START)) {
        voPeriod = new _vo_Period_js__WEBPACK_IMPORTED_MODULE_19__["default"]();
        voPeriod.start = realPeriod.start;
      }
      // If the @start attribute is absent, but the previous Period element contains a @duration attribute then this new Period is also a regular Period. The start time of the new Period PeriodStart is the sum of the start time of the previous Period PeriodStart and the value of the attribute @duration of the previous Period.
      else if (realPreviousPeriod !== null && realPreviousPeriod.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DURATION) && voPreviousPeriod !== null) {
        voPeriod = new _vo_Period_js__WEBPACK_IMPORTED_MODULE_19__["default"]();
        voPeriod.start = parseFloat((voPreviousPeriod.start + voPreviousPeriod.duration).toFixed(5));
      }
      // If (i) @start attribute is absent, and (ii) the Period element is the first in the MPD, and (iii) the MPD@type is 'static', then the PeriodStart time shall be set to zero.
      else if (i === 0 && !isDynamic) {
        voPeriod = new _vo_Period_js__WEBPACK_IMPORTED_MODULE_19__["default"]();
        voPeriod.start = 0;
      }

      // The Period extends until the PeriodStart of the next Period.
      // The difference between the PeriodStart time of a Period and
      // the PeriodStart time of the following Period.
      if (voPreviousPeriod !== null && isNaN(voPreviousPeriod.duration)) {
        if (voPeriod !== null) {
          voPreviousPeriod.duration = parseFloat((voPeriod.start - voPreviousPeriod.start).toFixed(5));
        } else {
          logger.warn('First period duration could not be calculated because lack of start and duration period properties. This will cause timing issues during playback');
        }
      }
      if (voPeriod !== null) {
        voPeriod.id = getPeriodId(realPeriod, i);
        voPeriod.index = i;
        voPeriod.mpd = mpd;
        voPeriod.isEncrypted = isPeriodEncrypted(realPeriod);
        if (realPeriod.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DURATION)) {
          voPeriod.duration = realPeriod.duration;
        }
        if (voPreviousPeriod) {
          voPreviousPeriod.nextPeriodId = voPeriod.id;
        }
        voPeriods.push(voPeriod);
        realPreviousPeriod = realPeriod;
        voPreviousPeriod = voPeriod;
      }
      realPeriod = null;
      voPeriod = null;
    }
    if (voPeriods.length === 0) {
      return voPeriods;
    }

    // The last Period extends until the end of the Media Presentation.
    // The difference between the PeriodStart time of the last Period
    // and the mpd duration
    if (voPreviousPeriod !== null && isNaN(voPreviousPeriod.duration)) {
      voPreviousPeriod.duration = parseFloat((getEndTimeForLastPeriod(voPreviousPeriod) - voPreviousPeriod.start).toFixed(5));
    }
    return voPeriods;
  }
  function getPeriodId(realPeriod, i) {
    if (!realPeriod) {
      throw new Error('Period cannot be null or undefined');
    }
    let id = _vo_Period_js__WEBPACK_IMPORTED_MODULE_19__["default"].DEFAULT_ID + '_' + i;
    if (realPeriod.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID) && realPeriod.id.toString().length > 0 && realPeriod.id !== '__proto__') {
      id = realPeriod.id.toString();
    }
    return id;
  }
  function getMpd(manifest) {
    const mpd = new _vo_Mpd_js__WEBPACK_IMPORTED_MODULE_15__["default"]();
    if (manifest) {
      mpd.manifest = manifest;
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_START_TIME)) {
        mpd.availabilityStartTime = new Date(manifest.availabilityStartTime.getTime());
      } else {
        if (manifest.loadedTime) {
          mpd.availabilityStartTime = new Date(manifest.loadedTime.getTime());
        }
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_END_TIME)) {
        mpd.availabilityEndTime = new Date(manifest.availabilityEndTime.getTime());
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MINIMUM_UPDATE_PERIOD)) {
        mpd.minimumUpdatePeriod = manifest.minimumUpdatePeriod;
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MEDIA_PRESENTATION_DURATION)) {
        mpd.mediaPresentationDuration = manifest.mediaPresentationDuration;
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUGGESTED_PRESENTATION_DELAY)) {
        mpd.suggestedPresentationDelay = manifest.suggestedPresentationDelay;
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TIMESHIFT_BUFFER_DEPTH)) {
        mpd.timeShiftBufferDepth = manifest.timeShiftBufferDepth;
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].MAX_SEGMENT_DURATION)) {
        mpd.maxSegmentDuration = manifest.maxSegmentDuration;
      }
      if (manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PUBLISH_TIME)) {
        mpd.publishTime = new Date(manifest.publishTime);
      }
    }
    return mpd;
  }
  function checkConfig() {
    if (!errHandler || !errHandler.hasOwnProperty('error')) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getEndTimeForLastPeriod(voPeriod) {
    checkConfig();
    const isDynamic = getIsDynamic(voPeriod.mpd.manifest);
    let periodEnd;
    if (voPeriod.mpd.manifest.mediaPresentationDuration) {
      periodEnd = voPeriod.mpd.manifest.mediaPresentationDuration;
    } else if (voPeriod.duration) {
      periodEnd = voPeriod.duration;
    } else if (isDynamic) {
      periodEnd = Number.POSITIVE_INFINITY;
    } else {
      errHandler.error(new _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_8__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_11__["default"].MANIFEST_ERROR_ID_PARSE_CODE, 'Must have @mediaPresentationDuration on MPD or an explicit @duration on the last period.', voPeriod));
    }
    return periodEnd;
  }
  function getEventsForPeriod(period) {
    const manifest = period && period.mpd && period.mpd.manifest ? period.mpd.manifest : null;
    const periodArray = manifest ? manifest.Period : null;
    const eventStreams = periodArray && period && isInteger(period.index) ? periodArray[period.index].EventStream : null;
    const events = [];
    let i, j;
    if (eventStreams) {
      for (i = 0; i < eventStreams.length; i++) {
        const eventStream = new _vo_EventStream_js__WEBPACK_IMPORTED_MODULE_13__["default"]();
        eventStream.period = period;
        eventStream.timescale = 1;
        if (eventStreams[i].hasOwnProperty(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SCHEME_ID_URI)) {
          eventStream.schemeIdUri = eventStreams[i][_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SCHEME_ID_URI];
        } else {
          throw new Error('Invalid EventStream. SchemeIdUri has to be set');
        }
        if (eventStreams[i].hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TIMESCALE)) {
          eventStream.timescale = eventStreams[i][_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TIMESCALE];
        }
        if (eventStreams[i].hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VALUE)) {
          eventStream.value = eventStreams[i][_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VALUE];
        }
        if (eventStreams[i].hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME_OFFSET)) {
          eventStream.presentationTimeOffset = eventStreams[i][_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME_OFFSET];
        }
        for (j = 0; eventStreams[i].Event && j < eventStreams[i].Event.length; j++) {
          const currentMpdEvent = eventStreams[i].Event[j];
          const event = new _vo_Event_js__WEBPACK_IMPORTED_MODULE_12__["default"]();
          event.presentationTime = 0;
          event.eventStream = eventStream;
          if (currentMpdEvent.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PRESENTATION_TIME)) {
            event.presentationTime = currentMpdEvent.presentationTime;
          }
          const presentationTimeOffset = eventStream.presentationTimeOffset ? eventStream.presentationTimeOffset / eventStream.timescale : 0;
          event.calculatedPresentationTime = event.presentationTime / eventStream.timescale + period.start - presentationTimeOffset;
          if (currentMpdEvent.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DURATION)) {
            event.duration = currentMpdEvent.duration / eventStream.timescale;
          }
          if (currentMpdEvent.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID)) {
            event.id = parseInt(currentMpdEvent.id);
          } else {
            event.id = null;
          }
          if (currentMpdEvent.Signal && currentMpdEvent.Signal.Binary) {
            // toString is used to manage both regular and namespaced tags
            event.messageData = BASE64.decodeArray(currentMpdEvent.Signal.Binary.toString());
          } else {
            // From Cor.1: 'NOTE: this attribute is an alternative
            // to specifying a complete XML element(s) in the Event.
            // It is useful when an event leans itself to a compact
            // string representation'.
            event.messageData = currentMpdEvent.messageData || currentMpdEvent.__cdata || currentMpdEvent.__text;
          }
          events.push(event);
        }
      }
    }
    return events;
  }
  function getEventStreams(inbandStreams, representation, period) {
    const eventStreams = [];
    let i;
    if (!inbandStreams) {
      return eventStreams;
    }
    for (i = 0; i < inbandStreams.length; i++) {
      const eventStream = new _vo_EventStream_js__WEBPACK_IMPORTED_MODULE_13__["default"]();
      eventStream.timescale = 1;
      eventStream.representation = representation;
      if (inbandStreams[i].hasOwnProperty(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SCHEME_ID_URI)) {
        eventStream.schemeIdUri = inbandStreams[i].schemeIdUri;
      } else {
        throw new Error('Invalid EventStream. SchemeIdUri has to be set');
      }
      if (inbandStreams[i].hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TIMESCALE)) {
        eventStream.timescale = inbandStreams[i].timescale;
      }
      if (inbandStreams[i].hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VALUE)) {
        eventStream.value = inbandStreams[i].value;
      }
      eventStreams.push(eventStream);
      eventStream.period = period;
    }
    return eventStreams;
  }
  function getEventStreamForAdaptationSet(manifest, adaptation, period) {
    let inbandStreams, periodArray, adaptationArray;
    if (manifest && manifest.Period && adaptation && adaptation.period && isInteger(adaptation.period.index)) {
      periodArray = manifest.Period[adaptation.period.index];
      if (periodArray && periodArray.AdaptationSet && isInteger(adaptation.index)) {
        adaptationArray = periodArray.AdaptationSet[adaptation.index];
        if (adaptationArray) {
          inbandStreams = adaptationArray.InbandEventStream;
        }
      }
    }
    return getEventStreams(inbandStreams, null, period);
  }
  function getEventStreamForRepresentation(manifest, representation, period) {
    let inbandStreams, periodArray, adaptationArray, representationArray;
    if (manifest && manifest.Period && representation && representation.adaptation && representation.adaptation.period && isInteger(representation.adaptation.period.index)) {
      periodArray = manifest.Period[representation.adaptation.period.index];
      if (periodArray && periodArray.AdaptationSet && isInteger(representation.adaptation.index)) {
        adaptationArray = periodArray.AdaptationSet[representation.adaptation.index];
        if (adaptationArray && adaptationArray.Representation && isInteger(representation.index)) {
          representationArray = adaptationArray.Representation[representation.index];
          if (representationArray) {
            inbandStreams = representationArray.InbandEventStream;
          }
        }
      }
    }
    return getEventStreams(inbandStreams, representation, period);
  }
  function getUTCTimingSources(manifest) {
    const isDynamic = getIsDynamic(manifest);
    const hasAST = manifest ? manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_START_TIME) : false;
    const utcTimingsArray = manifest ? manifest.UTCTiming : null;
    const utcTimingEntries = [];

    // do not bother synchronizing the clock unless MPD is live,
    // or it is static and has availabilityStartTime attribute
    if (isDynamic || hasAST) {
      if (utcTimingsArray) {
        // the order is important here - 23009-1 states that the order
        // in the manifest "indicates relative preference, first having
        // the highest, and the last the lowest priority".
        utcTimingsArray.forEach(function (utcTiming) {
          const entry = new _vo_UTCTiming_js__WEBPACK_IMPORTED_MODULE_23__["default"]();
          if (utcTiming.hasOwnProperty(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].SCHEME_ID_URI)) {
            entry.schemeIdUri = utcTiming.schemeIdUri;
          } else {
            // entries of type DescriptorType with no schemeIdUri
            // are meaningless. let's just ignore this entry and
            // move on.
            return;
          }

          // this is (incorrectly) interpreted as a number - schema
          // defines it as a string
          if (utcTiming.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].VALUE)) {
            entry.value = utcTiming.value.toString();
          } else {
            // without a value, there's not a lot we can do with
            // this entry. let's just ignore this one and move on
            return;
          }

          // we're not interested in the optional id or any other
          // attributes which might be attached to the entry

          utcTimingEntries.push(entry);
        });
      }
    }
    return utcTimingEntries;
  }
  function getBaseURLsFromElement(node) {
    const baseUrls = [];
    // if node.BaseURL and node.baseUri are undefined entries
    // will be [undefined] which entries.some will just skip
    const entries = node.BaseURL || [node.baseUri];
    let earlyReturn = false;
    entries.some(entry => {
      if (entry) {
        const baseUrl = new _vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_1__["default"]();
        let text = entry.__text || entry;
        if (urlUtils.isRelative(text)) {
          // it doesn't really make sense to have relative and
          // absolute URLs at the same level, or multiple
          // relative URLs at the same level, so assume we are
          // done from this level of the MPD
          earlyReturn = true;

          // deal with the specific case where the MPD@BaseURL
          // is specified and is relative. when no MPD@BaseURL
          // entries exist, that case is handled by the
          // [node.baseUri] in the entries definition.
          if (node.baseUri) {
            text = urlUtils.resolve(text, node.baseUri);
          }
        }
        baseUrl.url = text;

        // serviceLocation is optional, but we need it in order
        // to blacklist correctly. if it's not available, use
        // anything unique since there's no relationship to any
        // other BaseURL and, in theory, the url should be
        // unique so use this instead.
        if (entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATION) && entry.serviceLocation.length) {
          baseUrl.serviceLocation = entry.serviceLocation;
        } else {
          baseUrl.serviceLocation = text;
        }
        if (entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DVB_PRIORITY)) {
          baseUrl.dvbPriority = entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DVB_PRIORITY];
        }
        if (entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DVB_WEIGHT)) {
          baseUrl.dvbWeight = entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DVB_WEIGHT];
        }
        if (entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_TIME_OFFSET)) {
          baseUrl.availabilityTimeOffset = entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_TIME_OFFSET];
        }
        if (entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_TIME_COMPLETE)) {
          baseUrl.availabilityTimeComplete = entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_TIME_COMPLETE] !== 'false';
        }
        /* NOTE: byteRange currently unused
         */

        baseUrls.push(baseUrl);
        return earlyReturn;
      }
    });
    return baseUrls;
  }
  function getContentSteering(manifest) {
    if (manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONTENT_STEERING)) {
      // Only one ContentSteering element is supported on MPD level
      const element = manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONTENT_STEERING][0];
      return _createContentSteeringInstance(element);
    }
    return undefined;
  }
  function _createContentSteeringInstance(element) {
    const entry = new _vo_ContentSteering_js__WEBPACK_IMPORTED_MODULE_6__["default"]();
    entry.serverUrl = element.__text;
    if (element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DEFAULT_SERVICE_LOCATION)) {
      entry.defaultServiceLocation = element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].DEFAULT_SERVICE_LOCATION];
      entry.defaultServiceLocationArray = entry.defaultServiceLocation.split(' ');
    }
    if (element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].QUERY_BEFORE_START)) {
      entry.queryBeforeStart = element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].QUERY_BEFORE_START].toLowerCase() === 'true';
    }
    if (element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CLIENT_REQUIREMENT)) {
      entry.clientRequirement = element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CLIENT_REQUIREMENT].toLowerCase() !== 'false';
    }
    return entry;
  }
  function _createClientDataReportingInstance(element) {
    const entry = new _vo_ClientDataReporting_js__WEBPACK_IMPORTED_MODULE_3__["default"]();
    if (element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CMCD_PARAMETERS) && element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CMCD_PARAMETERS].schemeIdUri === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].CTA_5004_2023_SCHEME) {
      entry.cmcdParameters = new _vo_CMCDParameters_js__WEBPACK_IMPORTED_MODULE_2__["default"]();
      entry.cmcdParameters.init(element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CMCD_PARAMETERS]);
    }
    if (element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATIONS) && element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATIONS] !== '') {
      entry.serviceLocations = element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATIONS];
      entry.serviceLocationsArray = entry.serviceLocations.toString().split(' ');
    }
    if (element.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ADAPTATION_SETS) && element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ADAPTATION_SETS] !== '') {
      entry.adaptationSets = element[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ADAPTATION_SETS];
      entry.adaptationSetsArray = entry.adaptationSets.toString().split(' ');
    }
    return entry;
  }
  function getLocation(manifest) {
    if (manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].LOCATION)) {
      return manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].LOCATION].map(entry => {
        const text = entry.__text || entry;
        const serviceLocation = entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATION) ? entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATION] : null;
        return new _vo_MpdLocation_js__WEBPACK_IMPORTED_MODULE_16__["default"](text, serviceLocation);
      });
    }
    return [];
  }
  function getPatchLocation(manifest) {
    if (manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PATCH_LOCATION)) {
      return manifest[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].PATCH_LOCATION].map(entry => {
        const text = entry.__text || entry;
        const serviceLocation = entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATION) ? entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_LOCATION] : null;
        let ttl = entry.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TTL) ? parseFloat(entry[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].TTL]) * 1000 : NaN;
        return new _vo_PatchLocation_js__WEBPACK_IMPORTED_MODULE_18__["default"](text, serviceLocation, ttl);
      });
    }
    return [];
  }
  function getSuggestedPresentationDelay(mpd) {
    return mpd && mpd.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SUGGESTED_PRESENTATION_DELAY) ? mpd.suggestedPresentationDelay : null;
  }
  function getAvailabilityStartTime(mpd) {
    return mpd && mpd.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AVAILABILITY_START_TIME) && mpd.availabilityStartTime !== null ? mpd.availabilityStartTime.getTime() : null;
  }
  function getServiceDescriptions(manifest) {
    const serviceDescriptions = [];
    if (manifest && manifest.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_DESCRIPTION)) {
      for (const sd of manifest.ServiceDescription) {
        // Convert each of the properties defined in
        let id = null,
          schemeIdUri = null,
          latency = null,
          playbackRate = null,
          operatingQuality = null,
          operatingBandwidth = null,
          contentSteering = null,
          clientDataReporting = null;
        for (const prop in sd) {
          if (sd.hasOwnProperty(prop)) {
            if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].ID) {
              id = sd[prop];
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_DESCRIPTION_SCOPE) {
              schemeIdUri = sd[prop].schemeIdUri;
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_DESCRIPTION_LATENCY) {
              latency = {
                target: parseInt(sd[prop].target),
                max: parseInt(sd[prop].max),
                min: parseInt(sd[prop].min),
                referenceId: parseInt(sd[prop].referenceId)
              };
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_DESCRIPTION_PLAYBACK_RATE) {
              playbackRate = {
                max: parseFloat(sd[prop].max),
                min: parseFloat(sd[prop].min)
              };
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_DESCRIPTION_OPERATING_QUALITY) {
              operatingQuality = {
                mediaType: sd[prop].mediaType,
                max: parseInt(sd[prop].max),
                min: parseInt(sd[prop].min),
                target: parseInt(sd[prop].target),
                type: sd[prop].type,
                maxQualityDifference: parseInt(sd[prop].maxQualityDifference)
              };
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].SERVICE_DESCRIPTION_OPERATING_BANDWIDTH) {
              operatingBandwidth = {
                mediaType: sd[prop].mediaType,
                max: parseInt(sd[prop].max),
                min: parseInt(sd[prop].min),
                target: parseInt(sd[prop].target)
              };
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONTENT_STEERING) {
              let element = sd[prop];
              element = Array.isArray(element) ? element.at(element.length - 1) : element;
              contentSteering = _createContentSteeringInstance(element);
            } else if (prop === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_7__["default"].CLIENT_DATA_REPORTING) {
              clientDataReporting = _createClientDataReportingInstance(sd[prop]);
            }
          }
        }
        serviceDescriptions.push({
          id,
          schemeIdUri,
          latency,
          playbackRate,
          operatingQuality,
          operatingBandwidth,
          contentSteering,
          clientDataReporting
        });
      }
    }
    return serviceDescriptions;
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.errHandler) {
      errHandler = config.errHandler;
    }
    if (config.BASE64) {
      BASE64 = config.BASE64;
    }
  }
  instance = {
    getAccessibilityForAdaptation,
    getAdaptationForId,
    getAdaptationForIndex,
    getAdaptationsForPeriod,
    getAdaptationsForType,
    getAudioChannelConfigurationForAdaptation,
    getAudioChannelConfigurationForRepresentation,
    getAvailabilityStartTime,
    getBandwidth,
    getBaseURLsFromElement,
    getBitrateListForAdaptation,
    getCodec,
    getCombinedEssentialPropertiesForAdaptationSet,
    getCombinedSupplementalPropertiesForAdaptationSet,
    getContentProtectionByAdaptation,
    getContentProtectionByManifest,
    getContentProtectionByPeriod,
    getContentSteering,
    getDuration,
    getEssentialPropertiesForAdaptationSet,
    getEssentialPropertiesForRepresentation,
    getEventStreamForAdaptationSet,
    getEventStreamForRepresentation,
    getEventsForPeriod,
    getFramerate,
    getId,
    getIndexForAdaptation,
    getIsDynamic,
    getIsFragmented,
    getIsText,
    getIsTypeOf,
    getLabelsForAdaptation,
    getLanguageForAdaptation,
    getLocation,
    getManifestUpdatePeriod,
    getMimeType,
    getMpd,
    getPatchLocation,
    getProducerReferenceTimesForAdaptation,
    getPublishTime,
    getRealPeriodForIndex,
    getRealPeriods,
    getRegularPeriods,
    getRepresentationCount,
    getRepresentationFor,
    getRepresentationSortFunction,
    getRepresentationsForAdaptation,
    getRolesForAdaptation,
    getSegmentAlignment,
    getSelectionPriority,
    getServiceDescriptions,
    getSubSegmentAlignment,
    getSuggestedPresentationDelay,
    getSupplementalPropertiesForAdaptationSet,
    getSupplementalPropertiesForRepresentation,
    getUTCTimingSources,
    getViewpointForAdaptation,
    hasProfile,
    isPeriodEncrypted,
    setConfig
  };
  setup();
  return instance;
}
DashManifestModel.__dashjs_factory_name = 'DashManifestModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_14__["default"].getSingletonFactory(DashManifestModel));

/***/ }),

/***/ "./src/dash/models/PatchManifestModel.js":
/*!***********************************************!*\
  !*** ./src/dash/models/PatchManifestModel.js ***!
  \***********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _vo_SimpleXPath_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../vo/SimpleXPath.js */ "./src/dash/vo/SimpleXPath.js");
/* harmony import */ var _vo_PatchOperation_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/PatchOperation.js */ "./src/dash/vo/PatchOperation.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





function PatchManifestModel() {
  let instance, logger;
  const context = this.context;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance().getLogger(instance);
  }
  function getIsPatch(patch) {
    return patch && patch.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].ORIGINAL_MPD_ID) || false;
  }
  function getPublishTime(patch) {
    return patch && patch.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].PUBLISH_TIME) ? new Date(patch[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].PUBLISH_TIME]) : null;
  }
  function getOriginalPublishTime(patch) {
    return patch && patch.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].ORIGINAL_PUBLISH_TIME) ? new Date(patch[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].ORIGINAL_PUBLISH_TIME]) : null;
  }
  function getMpdId(patch) {
    return patch && patch[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].ORIGINAL_MPD_ID] || null;
  }
  function getPatchOperations(patch) {
    if (!patch) {
      return [];
    }

    // Go through the patch operations in order and parse their actions out for usage
    return (patch.__children || []).map(node => {
      const action = node.tagName;

      // we only look add add/remove/replace actions
      if (action !== 'add' && action !== 'remove' && action !== 'replace') {
        logger.warn(`Ignoring node of invalid action: ${action}`);
        return null;
      }
      let selector = node.sel;

      // add action can have special targeting via the 'type' attribute
      if (action === 'add' && node.type) {
        if (!node.type.startsWith('@')) {
          logger.warn(`Ignoring add action for prefixed namespace declaration: ${node.type}=${node.__text}`);
          return null;
        }

        // for our purposes adding/replacing attribute are equivalent and we can normalize
        // our processing logic by appending the attribute to the selector path
        selector = `${selector}/${node.type}`;
      }
      let xpath = new _vo_SimpleXPath_js__WEBPACK_IMPORTED_MODULE_3__["default"](selector);
      if (!xpath.isValid()) {
        logger.warn(`Ignoring action with invalid selector: ${action} - ${selector}`);
        return null;
      }
      let value = null;
      if (xpath.findsAttribute() || xpath.findsTextReplace()) {
        value = node.__text || '';
      } else if (action !== 'remove') {
        value = node.__children.reduce((groups, child) => {
          let key = child.tagName;
          // we also ignore
          if (key !== '#text') {
            groups[key] = groups[key] || [];
            groups[key].push(child);
          }
          return groups;
        }, {});
      }
      let operation = new _vo_PatchOperation_js__WEBPACK_IMPORTED_MODULE_4__["default"](action, xpath, value);
      if (action === 'add') {
        operation.position = node.pos;
      }
      return operation;
    }).filter(operation => !!operation);
  }
  instance = {
    getIsPatch,
    getMpdId,
    getOriginalPublishTime,
    getPatchOperations,
    getPublishTime
  };
  setup();
  return instance;
}
PatchManifestModel.__dashjs_factory_name = 'PatchManifestModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getSingletonFactory(PatchManifestModel));

/***/ }),

/***/ "./src/dash/parser/DashParser.js":
/*!***************************************!*\
  !*** ./src/dash/parser/DashParser.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _objectiron_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./objectiron.js */ "./src/dash/parser/objectiron.js");
/* harmony import */ var _matchers_DurationMatcher_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./matchers/DurationMatcher.js */ "./src/dash/parser/matchers/DurationMatcher.js");
/* harmony import */ var _matchers_DateTimeMatcher_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./matchers/DateTimeMatcher.js */ "./src/dash/parser/matchers/DateTimeMatcher.js");
/* harmony import */ var _matchers_NumericMatcher_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./matchers/NumericMatcher.js */ "./src/dash/parser/matchers/NumericMatcher.js");
/* harmony import */ var _matchers_LangMatcher_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./matchers/LangMatcher.js */ "./src/dash/parser/matchers/LangMatcher.js");
/* harmony import */ var _maps_RepresentationBaseValuesMap_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./maps/RepresentationBaseValuesMap.js */ "./src/dash/parser/maps/RepresentationBaseValuesMap.js");
/* harmony import */ var _maps_SegmentValuesMap_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./maps/SegmentValuesMap.js */ "./src/dash/parser/maps/SegmentValuesMap.js");
/* harmony import */ var _externals_tXml_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../../externals/tXml.js */ "./externals/tXml.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */











// List of node that shall be represented as arrays
const arrayNodes = [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PERIOD, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BASE_URL, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ADAPTATION_SET, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REPRESENTATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CONTENT_PROTECTION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ROLE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ACCESSIBILITY, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO_CHANNEL_CONFIGURATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CONTENT_COMPONENT, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ESSENTIAL_PROPERTY, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LABEL, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].S, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_URL, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].EVENT, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].EVENT_STREAM, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LOCATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SERVICE_DESCRIPTION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SUPPLEMENTAL_PROPERTY, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].METRICS, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REPORTING, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PATCH_LOCATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REPLACE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ADD, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REMOVE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].UTC_TIMING, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].INBAND_EVENT_STREAM, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PRODUCER_REFERENCE_TIME, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CONTENT_STEERING];
function DashParser(config) {
  config = config || {};
  const context = this.context;
  const debug = config.debug;
  let instance, logger, matchers, objectIron;
  function setup() {
    logger = debug.getLogger(instance);
    matchers = [new _matchers_DurationMatcher_js__WEBPACK_IMPORTED_MODULE_3__["default"](), new _matchers_DateTimeMatcher_js__WEBPACK_IMPORTED_MODULE_4__["default"](), new _matchers_NumericMatcher_js__WEBPACK_IMPORTED_MODULE_5__["default"](), new _matchers_LangMatcher_js__WEBPACK_IMPORTED_MODULE_6__["default"]()];
    objectIron = (0,_objectiron_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      adaptationset: new _maps_RepresentationBaseValuesMap_js__WEBPACK_IMPORTED_MODULE_7__["default"](),
      period: new _maps_SegmentValuesMap_js__WEBPACK_IMPORTED_MODULE_8__["default"]()
    });
  }
  function getIron() {
    return objectIron;
  }
  function parse(data) {
    let manifest;
    const startTime = window.performance.now();
    manifest = parseXml(data);
    if (!manifest) {
      throw new Error('failed to parse the manifest');
    }

    // handle full MPD and Patch ironing separately
    if (manifest.Patch) {
      manifest = manifest.Patch; // drop root reference
      // apply iron to patch operations individually
      if (manifest.add) {
        manifest.add.forEach(operand => objectIron.run(operand));
      }
      if (manifest.replace) {
        manifest.replace.forEach(operand => objectIron.run(operand));
      }
      // note that we don't need to iron remove as they contain no children
    } else {
      manifest = manifest.MPD; // drop root reference
      objectIron.run(manifest);
    }
    const parsedTime = window.performance.now();
    logger.info('Parsing complete: ' + (parsedTime - startTime).toPrecision(3) + 'ms');
    manifest.protocol = 'DASH';
    return manifest;
  }
  function parseXml(data) {
    try {
      let root = _externals_tXml_js__WEBPACK_IMPORTED_MODULE_9__.parse(data, {
        parseNode: true,
        attrMatchers: matchers,
        nodesAsArray: arrayNodes
      });
      let ret = {};
      // If root element is xml node, then get first child node as root
      if (root.tagName.toLowerCase().indexOf('xml') !== -1) {
        for (let key in root) {
          if (Array.isArray(root[key])) {
            ret[key] = root[key][0];
            break;
          } else if (typeof root[key] === 'object') {
            ret[key] = root[key];
            break;
          }
        }
      } else {
        ret[root.tagName] = root;
        delete root.tagName;
      }
      return ret;
    } catch (e) {
      return null;
    }
  }
  instance = {
    getIron: getIron,
    parseXml: parseXml,
    parse: parse
  };
  setup();
  return instance;
}
DashParser.__dashjs_factory_name = 'DashParser';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(DashParser));

/***/ }),

/***/ "./src/dash/parser/maps/CommonProperty.js":
/*!************************************************!*\
  !*** ./src/dash/parser/maps/CommonProperty.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc a property belonging to a MapNode
 * @ignore
 */

class CommonProperty {
  constructor(name) {
    const getDefaultMergeForName = n => n && n.length && n.charAt(0) === n.charAt(0).toUpperCase();
    this._name = name;
    this._merge = getDefaultMergeForName(name);
  }
  get name() {
    return this._name;
  }
  get merge() {
    return this._merge;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (CommonProperty);

/***/ }),

/***/ "./src/dash/parser/maps/MapNode.js":
/*!*****************************************!*\
  !*** ./src/dash/parser/maps/MapNode.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _CommonProperty_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CommonProperty.js */ "./src/dash/parser/maps/CommonProperty.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc a node at some level in a ValueMap
 */

class MapNode {
  constructor(name, properties, children) {
    this._name = name || '';
    this._properties = [];
    this._children = children || [];
    if (Array.isArray(properties)) {
      properties.forEach(p => {
        this._properties.push(new _CommonProperty_js__WEBPACK_IMPORTED_MODULE_0__["default"](p));
      });
    }
  }
  get name() {
    return this._name;
  }
  get children() {
    return this._children;
  }
  get properties() {
    return this._properties;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (MapNode);

/***/ }),

/***/ "./src/dash/parser/maps/RepresentationBaseValuesMap.js":
/*!*************************************************************!*\
  !*** ./src/dash/parser/maps/RepresentationBaseValuesMap.js ***!
  \*************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _MapNode_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./MapNode.js */ "./src/dash/parser/maps/MapNode.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc a RepresentationBaseValuesMap type for input to objectiron
 */


class RepresentationBaseValuesMap extends _MapNode_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    const commonProperties = [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PROFILES, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].WIDTH, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].HEIGHT, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SAR, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].FRAMERATE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO_SAMPLING_RATE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MIME_TYPE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_PROFILES, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CODECS, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MAXIMUM_SAP_PERIOD, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].START_WITH_SAP, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MAX_PLAYOUT_RATE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CODING_DEPENDENCY, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SCAN_TYPE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].FRAME_PACKING, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO_CHANNEL_CONFIGURATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CONTENT_PROTECTION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].INBAND_EVENT_STREAM];
    super(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ADAPTATION_SET, commonProperties, [new _MapNode_js__WEBPACK_IMPORTED_MODULE_0__["default"](_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REPRESENTATION, commonProperties, [new _MapNode_js__WEBPACK_IMPORTED_MODULE_0__["default"](_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SUB_REPRESENTATION, commonProperties)])]);
  }
}
/* harmony default export */ __webpack_exports__["default"] = (RepresentationBaseValuesMap);

/***/ }),

/***/ "./src/dash/parser/maps/SegmentValuesMap.js":
/*!**************************************************!*\
  !*** ./src/dash/parser/maps/SegmentValuesMap.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _MapNode_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./MapNode.js */ "./src/dash/parser/maps/MapNode.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc a SegmentValuesMap type for input to objectiron
 */


class SegmentValuesMap extends _MapNode_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    const commonProperties = [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_BASE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_TEMPLATE, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_LIST];
    super(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PERIOD, commonProperties, [new _MapNode_js__WEBPACK_IMPORTED_MODULE_0__["default"](_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ADAPTATION_SET, commonProperties, [new _MapNode_js__WEBPACK_IMPORTED_MODULE_0__["default"](_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REPRESENTATION, commonProperties)])]);
  }
}
/* harmony default export */ __webpack_exports__["default"] = (SegmentValuesMap);

/***/ }),

/***/ "./src/dash/parser/matchers/BaseMatcher.js":
/*!*************************************************!*\
  !*** ./src/dash/parser/matchers/BaseMatcher.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @classdesc a base type for matching and converting types in manifest to
 * something more useful
 * @ignore
 */
class BaseMatcher {
  constructor(test, converter) {
    this._test = test;
    this._converter = converter;
  }
  get test() {
    return this._test;
  }
  get converter() {
    return this._converter;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (BaseMatcher);

/***/ }),

/***/ "./src/dash/parser/matchers/DateTimeMatcher.js":
/*!*****************************************************!*\
  !*** ./src/dash/parser/matchers/DateTimeMatcher.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./BaseMatcher.js */ "./src/dash/parser/matchers/BaseMatcher.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc matches and converts xs:datetime to Date
 */

const SECONDS_IN_MIN = 60;
const MINUTES_IN_HOUR = 60;
const MILLISECONDS_IN_SECONDS = 1000;
const datetimeRegex = /^([0-9]{4})-([0-9]{2})-([0-9]{2})T([0-9]{2}):([0-9]{2})(?::([0-9]*)(\.[0-9]*)?)?(?:([+-])([0-9]{2})(?::?)([0-9]{2}))?/;
class DateTimeMatcher extends _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super((tagName, attrName, value) => datetimeRegex.test(value), str => {
      const match = datetimeRegex.exec(str);
      let utcDate;

      // If the string does not contain a timezone offset different browsers can interpret it either
      // as UTC or as a local time so we have to parse the string manually to normalize the given date value for
      // all browsers
      utcDate = Date.UTC(parseInt(match[1], 10), parseInt(match[2], 10) - 1,
      // months start from zero
      parseInt(match[3], 10), parseInt(match[4], 10), parseInt(match[5], 10), match[6] && parseInt(match[6], 10) || 0, match[7] && parseFloat(match[7]) * MILLISECONDS_IN_SECONDS || 0);

      // If the date has timezone offset take it into account as well
      if (match[9] && match[10]) {
        const timezoneOffset = parseInt(match[9], 10) * MINUTES_IN_HOUR + parseInt(match[10], 10);
        utcDate += (match[8] === '+' ? -1 : +1) * timezoneOffset * SECONDS_IN_MIN * MILLISECONDS_IN_SECONDS;
      }
      return new Date(utcDate);
    });
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DateTimeMatcher);

/***/ }),

/***/ "./src/dash/parser/matchers/DurationMatcher.js":
/*!*****************************************************!*\
  !*** ./src/dash/parser/matchers/DurationMatcher.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./BaseMatcher.js */ "./src/dash/parser/matchers/BaseMatcher.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc matches and converts xs:duration to seconds
 */



const durationRegex = /^([-])?P(([\d.]*)Y)?(([\d.]*)M)?(([\d.]*)D)?T?(([\d.]*)H)?(([\d.]*)M)?(([\d.]*)S)?/;
const SECONDS_IN_YEAR = 365 * 24 * 60 * 60;
const SECONDS_IN_MONTH = 30 * 24 * 60 * 60;
const SECONDS_IN_DAY = 24 * 60 * 60;
const SECONDS_IN_HOUR = 60 * 60;
const SECONDS_IN_MIN = 60;
class DurationMatcher extends _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super((tagName, attrName, value) => {
      const attributeList = [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MIN_BUFFER_TIME, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_PRESENTATION_DURATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MINIMUM_UPDATE_PERIOD, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TIMESHIFT_BUFFER_DEPTH, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MAX_SEGMENT_DURATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MAX_SUBSEGMENT_DURATION, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SUGGESTED_PRESENTATION_DELAY, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].START, _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].START_TIME, _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].DURATION];
      const len = attributeList.length;
      for (let i = 0; i < len; i++) {
        if (attrName === attributeList[i]) {
          return durationRegex.test(value);
        }
      }
      return false;
    }, str => {
      //str = "P10Y10M10DT10H10M10.1S";
      const match = durationRegex.exec(str);
      let result = parseFloat(match[3] || 0) * SECONDS_IN_YEAR + parseFloat(match[5] || 0) * SECONDS_IN_MONTH + parseFloat(match[7] || 0) * SECONDS_IN_DAY + parseFloat(match[9] || 0) * SECONDS_IN_HOUR + parseFloat(match[11] || 0) * SECONDS_IN_MIN + parseFloat(match[13] || 0);
      if (match[1] !== undefined) {
        result = -result;
      }
      return result;
    });
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DurationMatcher);

/***/ }),

/***/ "./src/dash/parser/matchers/LangMatcher.js":
/*!*************************************************!*\
  !*** ./src/dash/parser/matchers/LangMatcher.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./BaseMatcher.js */ "./src/dash/parser/matchers/BaseMatcher.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var bcp_47_normalize__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! bcp-47-normalize */ "./node_modules/bcp-47-normalize/lib/index.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc Matches and converts any ISO 639 language tag to BCP-47 language tags
 */



class LangMatcher extends _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super((tagName, attr /*, value*/) => {
      const stringAttrsInElements = {
        [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ADAPTATION_SET]: [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LANG],
        [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REPRESENTATION]: [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LANG],
        [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CONTENT_COMPONENT]: [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LANG],
        [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LABEL]: [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LANG],
        [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].GROUP_LABEL]: [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LANG]
        // still missing from 23009-1: Preselection@lang, ProgramInformation@lang
      };
      if (stringAttrsInElements.hasOwnProperty(tagName)) {
        let attrNames = stringAttrsInElements[tagName];
        if (attrNames !== undefined) {
          return attrNames.indexOf(attr) >= 0;
        } else {
          return false;
        }
      }
      return false;
    }, str => {
      let lang = (0,bcp_47_normalize__WEBPACK_IMPORTED_MODULE_2__.bcp47Normalize)(str);
      if (lang) {
        return lang;
      }
      return String(str);
    });
  }
}
/* harmony default export */ __webpack_exports__["default"] = (LangMatcher);

/***/ }),

/***/ "./src/dash/parser/matchers/NumericMatcher.js":
/*!****************************************************!*\
  !*** ./src/dash/parser/matchers/NumericMatcher.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./BaseMatcher.js */ "./src/dash/parser/matchers/BaseMatcher.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc Matches and converts xs:numeric to float
 */


const numericRegex = /^[-+]?[0-9]+[.]?[0-9]*([eE][-+]?[0-9]+)?$/;
const StringAttributeList = [_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ID];
class NumericMatcher extends _BaseMatcher_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super((tagName, attrName, value) => numericRegex.test(value) && StringAttributeList.indexOf(attrName) === -1, str => parseFloat(str));
  }
}
/* harmony default export */ __webpack_exports__["default"] = (NumericMatcher);

/***/ }),

/***/ "./src/dash/parser/objectiron.js":
/*!***************************************!*\
  !*** ./src/dash/parser/objectiron.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

function ObjectIron(mappers) {
  function mergeValues(parentItem, childItem) {
    for (let name in parentItem) {
      if (!childItem.hasOwnProperty(name)) {
        childItem[name] = parentItem[name];
      }
    }
  }
  function mapProperties(properties, parent, child) {
    for (let i = 0, len = properties.length; i < len; ++i) {
      const property = properties[i];
      if (parent[property.name]) {
        if (child[property.name]) {
          // check to see if we should merge
          if (property.merge) {
            const parentValue = parent[property.name];
            const childValue = child[property.name];

            // complex objects; merge properties
            if (typeof parentValue === 'object' && typeof childValue === 'object') {
              mergeValues(parentValue, childValue);
            }
            // simple objects; merge them together
            else {
              child[property.name] = parentValue + childValue;
            }
          }
        } else {
          // just add the property
          child[property.name] = parent[property.name];
        }
      }
    }
  }
  function mapItem(item, node) {
    for (let i = 0, len = item.children.length; i < len; ++i) {
      const childItem = item.children[i];
      const array = node[childItem.name];
      if (array) {
        for (let v = 0, len2 = array.length; v < len2; ++v) {
          const childNode = array[v];
          mapProperties(item.properties, node, childNode);
          mapItem(childItem, childNode);
        }
      }
    }
  }
  function run(source) {
    if (source === null || typeof source !== 'object') {
      return source;
    }
    if (source.Period && 'period' in mappers) {
      const periodMapper = mappers.period;
      const periods = source.Period;
      for (let i = 0, len = periods.length; i < len; ++i) {
        const period = periods[i];
        mapItem(periodMapper, period);
        if ('adaptationset' in mappers) {
          const adaptationSets = period.AdaptationSet;
          if (adaptationSets) {
            const adaptationSetMapper = mappers.adaptationset;
            for (let i = 0, len = adaptationSets.length; i < len; ++i) {
              mapItem(adaptationSetMapper, adaptationSets[i]);
            }
          }
        }
      }
    }
    return source;
  }
  return {
    run: run
  };
}
ObjectIron.__dashjs_factory_name = 'ObjectIron';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(ObjectIron);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/utils/ListSegmentsGetter.js":
/*!**********************************************!*\
  !*** ./src/dash/utils/ListSegmentsGetter.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function ListSegmentsGetter(config, isDynamic) {
  config = config || {};
  const timelineConverter = config.timelineConverter;
  let instance;
  function checkConfig() {
    if (!timelineConverter || !timelineConverter.hasOwnProperty('calcPeriodRelativeTimeFromMpdRelativeTime')) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getMediaFinishedInformation(representation) {
    const mediaFinishedInformation = {
      numberOfSegments: 0,
      mediaTimeOfLastSignaledSegment: NaN
    };
    if (!representation) {
      return mediaFinishedInformation;
    }
    const list = representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentList;
    const startNumber = representation && !isNaN(representation.startNumber) ? representation.startNumber : 1;
    const offset = Math.max(startNumber - 1, 0);
    mediaFinishedInformation.numberOfSegments = offset + list.SegmentURL.length;
    return mediaFinishedInformation;
  }
  function getSegmentByIndex(representation, index) {
    checkConfig();
    if (!representation) {
      return null;
    }
    const list = representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentList;
    const len = list.SegmentURL.length;
    const startNumber = representation && !isNaN(representation.startNumber) ? representation.startNumber : 1;
    const offsetToSubtract = Math.max(startNumber - 1, 0);
    const relativeIndex = Math.max(index - offsetToSubtract, 0);
    let segment = null;
    if (relativeIndex < len) {
      const s = list.SegmentURL[relativeIndex];
      segment = (0,_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__.getIndexBasedSegment)(timelineConverter, isDynamic, representation, index);
      if (segment) {
        segment.replacementTime = (startNumber + index - 1) * representation.segmentDuration;
        segment.media = s.media ? s.media : '';
        segment.mediaRange = s.mediaRange;
        segment.indexRange = s.indexRange;
      }
    }
    return segment;
  }
  function getSegmentByTime(representation, requestedTime) {
    checkConfig();
    if (!representation) {
      return null;
    }
    const duration = representation.segmentDuration;
    if (isNaN(duration)) {
      return null;
    }
    const periodTime = timelineConverter.calcPeriodRelativeTimeFromMpdRelativeTime(representation, requestedTime);
    const index = Math.floor(periodTime / duration);
    return getSegmentByIndex(representation, index);
  }
  instance = {
    getSegmentByIndex,
    getSegmentByTime,
    getMediaFinishedInformation
  };
  return instance;
}
ListSegmentsGetter.__dashjs_factory_name = 'ListSegmentsGetter';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(ListSegmentsGetter);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/utils/Round10.js":
/*!***********************************!*\
  !*** ./src/dash/utils/Round10.js ***!
  \***********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ Round10; }
/* harmony export */ });
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Static methods for rounding decimals
 *
 * Modified version of the CC0-licenced example at:
 * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/round
 *
 * @export
 * @class Round10
 * @ignore
 */
class Round10 {
  /**
  * Decimal round.
  *
  * @param {Number}  value The number.
  * @param {Integer} exp   The exponent (the 10 logarithm of the adjustment base).
  * @returns {Number} The adjusted value.
  * @ignore
  */
  static round10(value, exp) {
    return _decimalAdjust('round', value, exp);
  }
}

/**
 * Decimal adjustment of a number.
 *
 * @param {String}  type  The type of adjustment.
 * @param {Number}  value The number.
 * @param {Integer} exp   The exponent (the 10 logarithm of the adjustment base).
 * @returns {Number} The adjusted value.
 * @ignore
 */
function _decimalAdjust(type, value, exp) {
  // If the exp is undefined or zero...
  if (typeof exp === 'undefined' || +exp === 0) {
    return Math[type](value);
  }
  value = +value;
  exp = +exp;

  // If the value is not a number or the exp is not an integer...
  if (value === null || isNaN(value) || !(typeof exp === 'number' && exp % 1 === 0)) {
    return NaN;
  }

  // Shift
  value = value.toString().split('e');
  value = Math[type](+(value[0] + 'e' + (value[1] ? +value[1] - exp : -exp)));

  // Shift back
  value = value.toString().split('e');
  return +(value[0] + 'e' + (value[1] ? +value[1] + exp : exp));
}

/***/ }),

/***/ "./src/dash/utils/SegmentBaseGetter.js":
/*!*********************************************!*\
  !*** ./src/dash/utils/SegmentBaseGetter.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function SegmentBaseGetter(config) {
  config = config || {};
  const timelineConverter = config.timelineConverter;
  let instance;
  function checkConfig() {
    if (!timelineConverter || !timelineConverter.hasOwnProperty('calcPeriodRelativeTimeFromMpdRelativeTime')) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getMediaFinishedInformation(representation) {
    const mediaFinishedInformation = {
      numberOfSegments: 0,
      mediaTimeOfLastSignaledSegment: NaN
    };
    if (!representation || !representation.segments) {
      return mediaFinishedInformation;
    }
    mediaFinishedInformation.numberOfSegments = representation.segments.length;
    return mediaFinishedInformation;
  }
  function getSegmentByIndex(representation, index) {
    checkConfig();
    if (!representation) {
      return null;
    }
    const len = representation.segments ? representation.segments.length : -1;
    let seg;
    if (index < len) {
      seg = representation.segments[index];
      if (seg && seg.index === index) {
        return seg;
      }
    }
    for (let i = 0; i < len; i++) {
      seg = representation.segments[i];
      if (seg && seg.index === index) {
        return seg;
      }
    }
    return null;
  }
  function getSegmentByTime(representation, requestedTime) {
    checkConfig();
    const index = getIndexByTime(representation, requestedTime);
    return getSegmentByIndex(representation, index);
  }
  function getIndexByTime(representation, time) {
    if (!representation) {
      return -1;
    }
    const segments = representation.segments;
    const ln = segments ? segments.length : null;
    let idx = -1;
    let epsilon, seg, ft, fd, i;
    if (segments && ln > 0) {
      for (i = 0; i < ln; i++) {
        seg = segments[i];
        ft = seg.presentationStartTime;
        fd = seg.duration;
        epsilon = fd / 2;
        if (time + epsilon >= ft && time - epsilon < ft + fd) {
          idx = seg.index;
          break;
        }
      }
    }
    return idx;
  }
  instance = {
    getSegmentByIndex,
    getSegmentByTime,
    getMediaFinishedInformation
  };
  return instance;
}
SegmentBaseGetter.__dashjs_factory_name = 'SegmentBaseGetter';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(SegmentBaseGetter);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/utils/SegmentsUtils.js":
/*!*****************************************!*\
  !*** ./src/dash/utils/SegmentsUtils.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getIndexBasedSegment: function() { return /* binding */ getIndexBasedSegment; },
/* harmony export */   getTimeBasedSegment: function() { return /* binding */ getTimeBasedSegment; },
/* harmony export */   processUriTemplate: function() { return /* binding */ processUriTemplate; }
/* harmony export */ });
/* harmony import */ var _svta_common_media_library_dash_processUriTemplate_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @svta/common-media-library/dash/processUriTemplate.js */ "./node_modules/@svta/common-media-library/dist/dash/processUriTemplate.js");
/* harmony import */ var _vo_Segment_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./../vo/Segment.js */ "./src/dash/vo/Segment.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function getNumberForSegment(segment, segmentIndex) {
  return segment.representation.startNumber + segmentIndex;
}
function getSegment(representation, duration, presentationStartTime, mediaStartTime, timelineConverter, presentationEndTime, isDynamic, index) {
  let seg = new _vo_Segment_js__WEBPACK_IMPORTED_MODULE_1__["default"]();
  seg.representation = representation;
  seg.duration = duration;
  seg.presentationStartTime = presentationStartTime;
  seg.mediaStartTime = mediaStartTime;
  seg.availabilityStartTime = timelineConverter.calcAvailabilityStartTimeFromPresentationTime(presentationEndTime, representation, isDynamic);
  seg.availabilityEndTime = timelineConverter.calcAvailabilityEndTimeFromPresentationTime(presentationEndTime + duration, representation, isDynamic);
  seg.wallStartTime = timelineConverter.calcWallTimeForSegment(seg, isDynamic);
  seg.replacementNumber = getNumberForSegment(seg, index);
  seg.index = index;
  return seg;
}
function isSegmentAvailable(timelineConverter, representation, segment, isDynamic) {
  const voPeriod = representation.adaptation.period;

  // Avoid requesting segments for which the start time overlaps the period boundary
  if (isFinite(voPeriod.duration) && voPeriod.start + voPeriod.duration <= segment.presentationStartTime) {
    return false;
  }
  if (isDynamic) {
    if (representation.availabilityTimeOffset === 'INF') {
      return true;
    }

    // For dynamic manifests we check if the presentation start time + duration is included in the availability window
    // SAST = Period@start + seg@presentationStartTime + seg@duration
    // ASAST = SAST - ATO
    // SAET = SAST + TSBD + seg@duration
    // refTime serves as an anchor time to compare the availability time of the segments against.
    const refTime = timelineConverter.getClientReferenceTime();
    return segment.availabilityStartTime.getTime() <= refTime && (!isFinite(segment.availabilityEndTime) || segment.availabilityEndTime.getTime() >= refTime);
  }
  return true;
}
function processUriTemplate(url, representationId, number, subNumber, bandwidth, time) {
  if (!url) {
    return url;
  }
  return (0,_svta_common_media_library_dash_processUriTemplate_js__WEBPACK_IMPORTED_MODULE_0__.processUriTemplate)(url, representationId, number, subNumber, bandwidth, time);
}
function getIndexBasedSegment(timelineConverter, isDynamic, representation, index) {
  let duration, presentationStartTime, presentationEndTime;
  duration = representation.segmentDuration;

  /*
   * From spec - If neither @duration attribute nor SegmentTimeline element is present, then the Representation
   * shall contain exactly one Media Segment. The MPD start time is 0 and the MPD duration is obtained
   * in the same way as for the last Media Segment in the Representation.
   */
  if (isNaN(duration)) {
    duration = representation.adaptation.period.duration;
  }
  presentationStartTime = parseFloat((representation.adaptation.period.start + index * duration).toFixed(5));
  presentationEndTime = parseFloat((presentationStartTime + duration).toFixed(5));
  const mediaTime = timelineConverter.calcMediaTimeFromPresentationTime(presentationStartTime, representation);
  const segment = getSegment(representation, duration, presentationStartTime, mediaTime, timelineConverter, presentationEndTime, isDynamic, index);
  if (!isSegmentAvailable(timelineConverter, representation, segment, isDynamic)) {
    return null;
  }
  return segment;
}
function getTimeBasedSegment(timelineConverter, isDynamic, representation, time, duration, fTimescale, url, range, index, tManifest) {
  const scaledTime = time / fTimescale;
  const scaledDuration = duration / fTimescale;
  let presentationStartTime, presentationEndTime, seg;
  presentationStartTime = timelineConverter.calcPresentationTimeFromMediaTime(scaledTime, representation);
  presentationEndTime = presentationStartTime + scaledDuration;
  seg = getSegment(representation, scaledDuration, presentationStartTime, scaledTime, timelineConverter, presentationEndTime, isDynamic, index);
  if (!isSegmentAvailable(timelineConverter, representation, seg, isDynamic)) {
    return null;
  }
  seg.replacementTime = tManifest ? tManifest : time;
  seg.media = processUriTemplate(url, undefined, seg.replacementNumber, undefined, undefined, seg.replacementTime);
  seg.mediaRange = range;
  return seg;
}

/***/ }),

/***/ "./src/dash/utils/TemplateSegmentsGetter.js":
/*!**************************************************!*\
  !*** ./src/dash/utils/TemplateSegmentsGetter.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function TemplateSegmentsGetter(config, isDynamic) {
  config = config || {};
  const timelineConverter = config.timelineConverter;
  let instance;
  function checkConfig() {
    if (!timelineConverter || !timelineConverter.hasOwnProperty('calcPeriodRelativeTimeFromMpdRelativeTime')) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getMediaFinishedInformation(representation) {
    const mediaFinishedInformation = {
      numberOfSegments: 0,
      mediaTimeOfLastSignaledSegment: NaN
    };
    if (!representation) {
      return mediaFinishedInformation;
    }
    const duration = representation.segmentDuration;
    if (isNaN(duration)) {
      mediaFinishedInformation.numberOfSegments = 1;
    } else {
      mediaFinishedInformation.numberOfSegments = Math.ceil(representation.adaptation.period.duration / duration);
    }
    return mediaFinishedInformation;
  }
  function getSegmentByIndex(representation, index) {
    checkConfig();
    if (!representation) {
      return null;
    }
    const template = representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentTemplate;

    // This is the index without @startNumber
    index = Math.max(index, 0);
    const seg = (0,_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__.getIndexBasedSegment)(timelineConverter, isDynamic, representation, index);
    if (seg) {
      if (representation.endNumber && seg.replacementNumber > representation.endNumber) {
        return null;
      }
      seg.replacementTime = Math.round(index * representation.segmentDuration * representation.timescale, 10);
      seg.media = (0,_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__.processUriTemplate)(template.media, undefined, seg.replacementNumber, undefined, undefined, seg.replacementTime);
    }
    return seg;
  }
  function getSegmentByTime(representation, requestedTime) {
    checkConfig();
    if (!representation) {
      return null;
    }
    const duration = representation.segmentDuration;
    if (isNaN(duration)) {
      return null;
    }

    // Calculate the relative time for the requested time in this period
    let periodTime = timelineConverter.calcPeriodRelativeTimeFromMpdRelativeTime(representation, requestedTime);
    const index = Math.floor(periodTime / duration);
    return getSegmentByIndex(representation, index);
  }
  instance = {
    getSegmentByIndex,
    getSegmentByTime,
    getMediaFinishedInformation
  };
  return instance;
}
TemplateSegmentsGetter.__dashjs_factory_name = 'TemplateSegmentsGetter';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(TemplateSegmentsGetter);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/utils/TimelineConverter.js":
/*!*********************************************!*\
  !*** ./src/dash/utils/TimelineConverter.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _models_DashManifestModel_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../models/DashManifestModel.js */ "./src/dash/models/DashManifestModel.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _streaming_constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../streaming/constants/ConformanceViolationConstants.js */ "./src/streaming/constants/ConformanceViolationConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









function TimelineConverter() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
  let instance, dashManifestModel, timelineAnchorAvailabilityOffset,
    // In case we calculate the TSBD using _calcTimeShiftBufferWindowForDynamicTimelineManifest we use the segments as anchor times. We apply this offset when calculating if a segment is available or not.
    clientServerTimeShift;
  function setup() {
    dashManifestModel = (0,_models_DashManifestModel_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
    reset();
  }
  function initialize() {
    resetInitialSettings();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].UPDATE_TIME_SYNC_OFFSET, _onUpdateTimeSyncOffset, this);
  }
  function getClientTimeOffset() {
    return clientServerTimeShift;
  }
  function setClientTimeOffset(value) {
    clientServerTimeShift = value;
  }

  /**
   * Returns a "now" reference time for the client to compare the availability time of a segment against.
   * Takes the client/server drift into account
   */
  function getClientReferenceTime() {
    return Date.now() - timelineAnchorAvailabilityOffset * 1000 + clientServerTimeShift * 1000;
  }
  function _calcAvailabilityTimeFromPresentationTime(presentationEndTime, representation, isDynamic, calculateAvailabilityEndTime) {
    let availabilityTime;
    let mpd = representation.adaptation.period.mpd;
    const availabilityStartTime = mpd.availabilityStartTime;
    if (calculateAvailabilityEndTime) {
      //@timeShiftBufferDepth specifies the duration of the time shifting buffer that is guaranteed
      // to be available for a Media Presentation with type 'dynamic'.
      // When not present, the value is infinite.
      if (isDynamic && mpd.timeShiftBufferDepth !== Number.POSITIVE_INFINITY) {
        // SAET = SAST + TSBD + seg@duration
        availabilityTime = new Date(availabilityStartTime.getTime() + (presentationEndTime + mpd.timeShiftBufferDepth) * 1000);
      } else {
        availabilityTime = mpd.availabilityEndTime;
      }
    } else {
      if (isDynamic) {
        // SAST = Period@start + seg@presentationStartTime + seg@duration
        // ASAST = SAST - ATO
        const availabilityTimeOffset = representation.availabilityTimeOffset;
        // presentationEndTime = Period@start + seg@presentationStartTime + Segment@duration
        availabilityTime = new Date(availabilityStartTime.getTime() + (presentationEndTime - availabilityTimeOffset) * 1000);
      } else {
        // in static mpd, all segments are available at the same time
        availabilityTime = availabilityStartTime;
      }
    }
    return availabilityTime;
  }
  function calcAvailabilityStartTimeFromPresentationTime(presentationEndTime, representation, isDynamic) {
    return _calcAvailabilityTimeFromPresentationTime(presentationEndTime, representation, isDynamic);
  }
  function calcAvailabilityEndTimeFromPresentationTime(presentationEndTime, representation, isDynamic) {
    return _calcAvailabilityTimeFromPresentationTime(presentationEndTime, representation, isDynamic, true);
  }
  function calcPresentationTimeFromWallTime(wallTime, period) {
    return (wallTime.getTime() - period.mpd.availabilityStartTime.getTime() + clientServerTimeShift * 1000) / 1000;
  }
  function calcPresentationTimeFromMediaTime(mediaTime, representation) {
    const periodStart = representation.adaptation.period.start;
    const presentationOffset = representation.presentationTimeOffset;
    return mediaTime + (periodStart - presentationOffset);
  }
  function calcMediaTimeFromPresentationTime(presentationTime, representation) {
    const periodStart = representation.adaptation.period.start;
    const presentationOffset = representation.presentationTimeOffset;
    return presentationTime - periodStart + presentationOffset;
  }
  function calcWallTimeForSegment(segment, isDynamic) {
    let suggestedPresentationDelay, displayStartTime, wallTime;
    if (isDynamic) {
      suggestedPresentationDelay = segment.representation.adaptation.period.mpd.suggestedPresentationDelay;
      displayStartTime = segment.presentationStartTime + suggestedPresentationDelay;
      wallTime = new Date(segment.availabilityStartTime.getTime() + displayStartTime * 1000);
    }
    return wallTime;
  }

  /**
   * Calculates the timeshiftbuffer range. This range might overlap multiple periods and is not limited to period boundaries. However, we make sure that the range is potentially covered by period.
   * @param {Array} streams
   * @param {boolean} isDynamic
   * @return {}
   */
  function calcTimeShiftBufferWindow(streams, isDynamic) {
    // Static manifests. The availability window is equal to the DVR window
    if (!isDynamic) {
      return _calcTimeshiftBufferForStaticManifest(streams);
    }

    // Specific use case of SegmentTimeline
    if (settings.get().streaming.timeShiftBuffer.calcFromSegmentTimeline) {
      const data = _calcTimeShiftBufferWindowForDynamicTimelineManifest(streams);
      _adjustTimelineAnchorAvailabilityOffset(data.now, data.range);
      return data.range;
    }
    return _calcTimeShiftBufferWindowForDynamicManifest(streams);
  }
  function _calcTimeshiftBufferForStaticManifest(streams) {
    // Static Range Finder. We iterate over all periods and return the total duration
    const range = {
      start: NaN,
      end: NaN
    };
    let duration = 0;
    let start = NaN;
    streams.forEach(stream => {
      const streamInfo = stream.getStreamInfo();
      duration += streamInfo.duration;
      if (isNaN(start) || streamInfo.start < start) {
        start = streamInfo.start;
      }
    });
    range.start = start;
    range.end = start + duration;
    return range;
  }
  function _calcTimeShiftBufferWindowForDynamicManifest(streams) {
    const range = {
      start: NaN,
      end: NaN
    };
    if (!streams || streams.length === 0) {
      return range;
    }
    const voPeriod = streams[0].getAdapter().getRegularPeriods()[0];
    const now = calcPresentationTimeFromWallTime(new Date(), voPeriod);
    const timeShiftBufferDepth = voPeriod.mpd.timeShiftBufferDepth;
    const start = !isNaN(timeShiftBufferDepth) ? now - timeShiftBufferDepth : 0;
    // check if we find a suitable period for that starttime. Otherwise, we use the time closest to that
    range.start = _adjustTimeBasedOnPeriodRanges(streams, start);
    range.end = !isNaN(range.start) && now < range.start ? now : _adjustTimeBasedOnPeriodRanges(streams, now, true);
    if (!isNaN(timeShiftBufferDepth) && range.end < now - timeShiftBufferDepth) {
      range.end = NaN;
    }

    // If we have SegmentTimeline as a reference we can verify that the calculated DVR window is at least partially included in the DVR window exposed by the timeline.
    // If that is not the case we stick to the DVR window defined by SegmentTimeline
    if (settings.get().streaming.timeShiftBuffer.fallbackToSegmentTimeline) {
      const timelineRefData = _calcTimeShiftBufferWindowForDynamicTimelineManifest(streams);
      if (timelineRefData.range.end < range.start) {
        eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].CONFORMANCE_VIOLATION, {
          level: _streaming_constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_8__["default"].LEVELS.WARNING,
          event: _streaming_constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_8__["default"].EVENTS.INVALID_DVR_WINDOW
        });
        _adjustTimelineAnchorAvailabilityOffset(timelineRefData.now, timelineRefData.range);
        return timelineRefData.range;
      }
    }
    return range;
  }
  function _calcTimeShiftBufferWindowForDynamicTimelineManifest(streams) {
    const range = {
      start: NaN,
      end: NaN
    };
    const voPeriod = streams[0].getAdapter().getRegularPeriods()[0];
    const now = calcPresentationTimeFromWallTime(new Date(), voPeriod);
    if (!streams || streams.length === 0) {
      return {
        range,
        now
      };
    }
    streams.forEach(stream => {
      let voRepresentation = stream.getCurrentRepresentationForType(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_6__["default"].VIDEO);
      if (!voRepresentation) {
        voRepresentation = stream.getCurrentRepresentationForType(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_6__["default"].AUDIO);
      }

      // If we still got not voRepresentation we are in the startup phase and nothing was selected yet. Use the default Representation
      if (!voRepresentation) {
        const adapter = stream.getAdapter();
        const mediaInfo = adapter.getMediaInfoForType(stream.getStreamInfo(), _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_6__["default"].VIDEO) || adapter.getMediaInfoForType(stream.getStreamInfo(), _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_6__["default"].AUDIO);
        const voRepresentations = adapter.getVoRepresentations(mediaInfo);
        voRepresentation = voRepresentations[0];
      }
      let periodRange = {
        start: NaN,
        end: NaN
      };
      if (voRepresentation) {
        if (voRepresentation.segmentInfoType === _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].SEGMENT_TIMELINE) {
          periodRange = _calcRangeForTimeline(voRepresentation);
        } else {
          const currentVoPeriod = voRepresentation.adaptation.period;
          periodRange.start = currentVoPeriod.start;
          periodRange.end = Math.max(now, currentVoPeriod.start + currentVoPeriod.duration);
        }
      }
      if (!isNaN(periodRange.start) && (isNaN(range.start) || range.start > periodRange.start)) {
        range.start = periodRange.start;
      }
      if (!isNaN(periodRange.end) && (isNaN(range.end) || range.end < periodRange.end)) {
        range.end = periodRange.end;
      }
    });
    range.end = Math.min(now, range.end);
    const adjustedEndTime = _adjustTimeBasedOnPeriodRanges(streams, range.end, true);

    // if range is NaN all periods are in the future. we should return range.start > range.end in this case
    range.end = isNaN(adjustedEndTime) ? range.end : adjustedEndTime;
    range.start = voPeriod && voPeriod.mpd && voPeriod.mpd.timeShiftBufferDepth && !isNaN(voPeriod.mpd.timeShiftBufferDepth) && !isNaN(range.end) ? Math.max(range.end - voPeriod.mpd.timeShiftBufferDepth, range.start) : range.start;
    range.start = _adjustTimeBasedOnPeriodRanges(streams, range.start);
    return {
      range,
      now
    };
  }
  function _adjustTimelineAnchorAvailabilityOffset(now, range) {
    timelineAnchorAvailabilityOffset = now - range.end;
  }
  function _adjustTimeBasedOnPeriodRanges(streams, time) {
    let isEndOfDvrWindow = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    try {
      let i = 0;
      let found = false;
      let adjustedTime = NaN;
      while (!found && i < streams.length) {
        const streamInfo = streams[i].getStreamInfo();

        // We found a period which contains the target time.
        if (streamInfo.start <= time && (!isFinite(streamInfo.duration) || streamInfo.start + streamInfo.duration >= time)) {
          adjustedTime = time;
          found = true;
        }

        // Adjust the time for the start of the DVR window. The current period starts after the target time. We use the starttime of this period as adjusted time
        else if (!isEndOfDvrWindow && streamInfo.start > time && (isNaN(adjustedTime) || streamInfo.start < adjustedTime)) {
          adjustedTime = streamInfo.start;
        }

        // Adjust the time for the end of the DVR window. The current period ends before the targettime. We use the end time of this period as the adjusted time
        else if (isEndOfDvrWindow && streamInfo.start + streamInfo.duration < time && (isNaN(adjustedTime) || streamInfo.start + streamInfo.duration > adjustedTime)) {
          adjustedTime = streamInfo.start + streamInfo.duration;
        }
        i += 1;
      }
      return adjustedTime;
    } catch (e) {
      return time;
    }
  }
  function _calcRangeForTimeline(voRepresentation) {
    const adaptation = voRepresentation.adaptation.period.mpd.manifest.Period[voRepresentation.adaptation.period.index].AdaptationSet[voRepresentation.adaptation.index];
    const representation = dashManifestModel.getRepresentationFor(voRepresentation.index, adaptation);
    const base = representation.SegmentTemplate || representation.SegmentList;
    const timeline = base.SegmentTimeline;
    const timescale = base.timescale;
    const segments = timeline.S;
    const range = {
      start: 0,
      end: 0
    };
    const segmentTime = segments[0].t;
    const hasValidSegmentTime = !isNaN(segmentTime);
    const enhancedSegmentTime = hasValidSegmentTime ? segmentTime : 0;
    let d = 0;
    let segment, repeat, i, len;
    if (hasValidSegmentTime) {
      range.start = calcPresentationTimeFromMediaTime(enhancedSegmentTime / timescale, voRepresentation);
    }
    for (i = 0, len = segments.length; i < len; i++) {
      segment = segments[i];
      repeat = 0;
      if (segment.hasOwnProperty('r')) {
        repeat = segment.r;
      }
      d += segment.d * (1 + repeat);
    }
    range.end = calcPresentationTimeFromMediaTime((enhancedSegmentTime + d) / timescale, voRepresentation);
    return range;
  }
  function calcPeriodRelativeTimeFromMpdRelativeTime(representation, mpdRelativeTime) {
    const periodStartTime = representation.adaptation.period.start;
    return mpdRelativeTime - periodStartTime;
  }
  function _onUpdateTimeSyncOffset(e) {
    if (e.offset !== undefined && !isNaN(e.offset)) {
      setClientTimeOffset(e.offset / 1000);
    }
  }
  function resetInitialSettings() {
    clientServerTimeShift = 0;
    timelineAnchorAvailabilityOffset = 0;
  }
  function reset() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].UPDATE_TIME_SYNC_OFFSET, _onUpdateTimeSyncOffset, this);
    resetInitialSettings();
  }
  instance = {
    initialize,
    getClientTimeOffset,
    setClientTimeOffset,
    getClientReferenceTime,
    calcAvailabilityStartTimeFromPresentationTime,
    calcAvailabilityEndTimeFromPresentationTime,
    calcPresentationTimeFromWallTime,
    calcPresentationTimeFromMediaTime,
    calcPeriodRelativeTimeFromMpdRelativeTime,
    calcMediaTimeFromPresentationTime,
    calcWallTimeForSegment,
    calcTimeShiftBufferWindow,
    reset
  };
  setup();
  return instance;
}
TimelineConverter.__dashjs_factory_name = 'TimelineConverter';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(TimelineConverter));

/***/ }),

/***/ "./src/dash/utils/TimelineSegmentsGetter.js":
/*!**************************************************!*\
  !*** ./src/dash/utils/TimelineSegmentsGetter.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function TimelineSegmentsGetter(config, isDynamic) {
  config = config || {};
  const timelineConverter = config.timelineConverter;
  const dashMetrics = config.dashMetrics;
  let instance;
  function checkConfig() {
    if (!timelineConverter) {
      throw new Error(_streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getMediaFinishedInformation(representation) {
    if (!representation) {
      return 0;
    }
    const base = representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentTemplate || representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentList;
    const timeline = base.SegmentTimeline;
    let time = 0;
    let scaledTime = 0;
    let availableSegments = 0;
    let fragments, frag, i, len, j, repeat, fTimescale;
    fTimescale = representation.timescale;
    fragments = timeline.S;
    len = fragments.length;
    for (i = 0; i < len; i++) {
      frag = fragments[i];
      repeat = 0;
      if (frag.hasOwnProperty('r')) {
        repeat = frag.r;
      }

      // For a repeated S element, t belongs only to the first segment
      if (frag.hasOwnProperty('t')) {
        time = frag.t;
        scaledTime = time / fTimescale;
      }

      // This is a special case: "A negative value of the @r attribute of the S element indicates that the duration indicated in @d attribute repeats until the start of the next S element, the end of the Period or until the
      // next MPD update."
      if (repeat < 0) {
        const nextFrag = fragments[i + 1];
        repeat = _calculateRepeatCountForNegativeR(representation, nextFrag, frag, fTimescale, scaledTime);
      }
      for (j = 0; j <= repeat; j++) {
        availableSegments++;
        time += frag.d;
        scaledTime = time / fTimescale;
      }
    }

    // We need to account for the index of the segments starting at 0. We subtract 1
    return {
      numberOfSegments: availableSegments,
      mediaTimeOfLastSignaledSegment: scaledTime
    };
  }
  function iterateSegments(representation, iterFunc) {
    const base = representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentTemplate || representation.adaptation.period.mpd.manifest.Period[representation.adaptation.period.index].AdaptationSet[representation.adaptation.index].Representation[representation.index].SegmentList;
    const timeline = base.SegmentTimeline;
    const list = base.SegmentURL;
    let time = 0;
    let relativeIdx = -1;
    let fragments, frag, i, len, j, repeat, fTimescale;
    fTimescale = representation.timescale;
    fragments = timeline.S;
    let breakIterator = false;
    for (i = 0, len = fragments.length; i < len && !breakIterator; i++) {
      frag = fragments[i];
      repeat = 0;
      if (frag.hasOwnProperty('r')) {
        repeat = frag.r;
      }

      // For a repeated S element, t belongs only to the first segment
      if (frag.hasOwnProperty('t')) {
        time = frag.t;
      }

      // This is a special case: "A negative value of the @r attribute of the S element indicates that the duration indicated in @d attribute repeats until the start of the next S element, the end of the Period or until the
      // next MPD update."
      if (repeat < 0) {
        const nextFrag = fragments[i + 1];
        repeat = _calculateRepeatCountForNegativeR(representation, nextFrag, frag, fTimescale, time / fTimescale);
      }
      for (j = 0; j <= repeat && !breakIterator; j++) {
        relativeIdx++;
        breakIterator = iterFunc(time, base, list, frag, fTimescale, relativeIdx, i);
        if (breakIterator) {
          representation.segmentDuration = frag.d / fTimescale;
        }
        time += frag.d;
      }
    }
  }
  function _calculateRepeatCountForNegativeR(representation, nextFrag, frag, fTimescale, scaledTime) {
    let repeatEndTime;
    if (nextFrag && nextFrag.hasOwnProperty('t')) {
      repeatEndTime = nextFrag.t / fTimescale;
    } else {
      try {
        let availabilityEnd = 0;
        if (!isNaN(representation.adaptation.period.start) && !isNaN(representation.adaptation.period.duration) && isFinite(representation.adaptation.period.duration)) {
          // use end of the Period
          availabilityEnd = representation.adaptation.period.start + representation.adaptation.period.duration;
        } else {
          // use DVR window
          const dvrWindow = dashMetrics.getCurrentDVRInfo();
          availabilityEnd = !isNaN(dvrWindow.end) ? dvrWindow.end : 0;
        }
        repeatEndTime = timelineConverter.calcMediaTimeFromPresentationTime(availabilityEnd, representation);
        representation.segmentDuration = frag.d / fTimescale;
      } catch (e) {
        repeatEndTime = 0;
      }
    }
    return Math.max(Math.ceil((repeatEndTime - scaledTime) / (frag.d / fTimescale)) - 1, 0);
  }
  function getSegmentByIndex(representation, index, lastSegmentTime) {
    checkConfig();
    if (!representation) {
      return null;
    }
    let segment = null;
    let found = false;
    iterateSegments(representation, function (time, base, list, frag, fTimescale, relativeIdx, i) {
      if (found || lastSegmentTime < 0) {
        let media = base.media;
        let mediaRange = frag.mediaRange;
        if (list) {
          media = list[i].media || '';
          mediaRange = list[i].mediaRange;
        }
        segment = (0,_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__.getTimeBasedSegment)(timelineConverter, isDynamic, representation, time, frag.d, fTimescale, media, mediaRange, relativeIdx, frag.tManifest);
        return true;
      } else if (time >= lastSegmentTime * fTimescale - frag.d * 0.5) {
        // same logic, if deviation is
        // 50% of segment duration, segment is found if time is greater than or equal to (startTime of previous segment - half of the previous segment duration)
        found = true;
      }
      return false;
    });
    return segment;
  }
  function getSegmentByTime(representation, requestedTime) {
    checkConfig();
    if (!representation) {
      return null;
    }
    if (requestedTime === undefined) {
      requestedTime = null;
    }
    let segment = null;
    const requiredMediaTime = timelineConverter.calcMediaTimeFromPresentationTime(requestedTime, representation);
    iterateSegments(representation, function (time, base, list, frag, fTimescale, relativeIdx, i) {
      // In some cases when requiredMediaTime = actual end time of the last segment
      // it is possible that this time a bit exceeds the declared end time of the last segment.
      // in this case we still need to include the last segment in the segment list.
      const scaledMediaTime = precisionRound(requiredMediaTime * fTimescale);
      if (scaledMediaTime < time + frag.d && scaledMediaTime >= time) {
        let media = base.media;
        let mediaRange = frag.mediaRange;
        if (list) {
          media = list[i].media || '';
          mediaRange = list[i].mediaRange;
        }
        segment = (0,_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_2__.getTimeBasedSegment)(timelineConverter, isDynamic, representation, time, frag.d, fTimescale, media, mediaRange, relativeIdx, frag.tManifest);
        return true;
      }
      return false;
    });
    return segment;
  }
  function precisionRound(number) {
    return parseFloat(number.toPrecision(15));
  }
  instance = {
    getSegmentByIndex,
    getSegmentByTime,
    getMediaFinishedInformation
  };
  return instance;
}
TimelineSegmentsGetter.__dashjs_factory_name = 'TimelineSegmentsGetter';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(TimelineSegmentsGetter);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/dash/vo/AdaptationSet.js":
/*!**************************************!*\
  !*** ./src/dash/vo/AdaptationSet.js ***!
  \**************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class AdaptationSet {
  constructor() {
    this.period = null;
    this.index = -1;
    this.type = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (AdaptationSet);

/***/ }),

/***/ "./src/dash/vo/BaseURL.js":
/*!********************************!*\
  !*** ./src/dash/vo/BaseURL.js ***!
  \********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */

const DEFAULT_DVB_PRIORITY = 1;
const DEFAULT_DVB_WEIGHT = 1;
class BaseURL {
  constructor(url, serviceLocation, priority, weight) {
    this.url = url || '';
    this.serviceLocation = serviceLocation || url || '';

    // DVB extensions
    this.dvbPriority = priority || DEFAULT_DVB_PRIORITY;
    this.dvbWeight = weight || DEFAULT_DVB_WEIGHT;
    this.availabilityTimeOffset = 0;
    this.availabilityTimeComplete = true;
    this.queryParams = {}; // This is an attribute that might be set when synthesizing BaseURLs with content steering

    /* currently unused:
     * byteRange,
     */
  }
}
BaseURL.DEFAULT_DVB_PRIORITY = DEFAULT_DVB_PRIORITY;
BaseURL.DEFAULT_DVB_WEIGHT = DEFAULT_DVB_WEIGHT;
/* harmony default export */ __webpack_exports__["default"] = (BaseURL);

/***/ }),

/***/ "./src/dash/vo/CMCDParameters.js":
/*!***************************************!*\
  !*** ./src/dash/vo/CMCDParameters.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _DescriptorType_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./DescriptorType.js */ "./src/dash/vo/DescriptorType.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2024, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @class
 * @ignore
 */
class CMCDParameters extends _DescriptorType_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.version = null;
    this.sessionID = null;
    this.contentID = null;
    this.mode = null;
    this.keys = null;
    this.includeInRequests = null;
  }
  init(data) {
    super.init(data);
    if (data) {
      this.version = data.version;
      this.sessionID = data.sessionID;
      this.contentID = data.contentID;
      this.mode = data.mode ?? 'query';
      this.keys = data.keys ? data.keys.split(' ') : null;
      this.includeInRequests = data.includeInRequests ? data.includeInRequests.split(' ') : ['segment'];
      this.schemeIdUri = data.schemeIdUri;
    }
  }
}
/* harmony default export */ __webpack_exports__["default"] = (CMCDParameters);

/***/ }),

/***/ "./src/dash/vo/ClientDataReporting.js":
/*!********************************************!*\
  !*** ./src/dash/vo/ClientDataReporting.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2024, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ClientDataReporting {
  constructor() {
    this.adaptationSets = null;
    this.adaptationSetsArray = [];
    this.cmcdParameters = null;
    this.serviceLocations = null;
    this.serviceLocationsArray = [];
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ClientDataReporting);

/***/ }),

/***/ "./src/dash/vo/ContentProtection.js":
/*!******************************************!*\
  !*** ./src/dash/vo/ContentProtection.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _DescriptorType_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./DescriptorType.js */ "./src/dash/vo/DescriptorType.js");
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2023, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @class
 * @ignore
 */
class ContentProtection extends _DescriptorType_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.ref = null;
    this.refId = null;
    this.robustness = null;
    this.keyId = null;
    this.cencDefaultKid = null;
    this.pssh = null;
    this.pro = null;
    this.laUrl = null;
  }
  init(data) {
    super.init(data);
    if (data) {
      this.ref = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REF) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REF] : null;
      this.refId = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REF_ID) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REF_ID] : null;
      this.robustness = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ROBUSTNESS) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].ROBUSTNESS] : null;
      this.cencDefaultKid = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CENC_DEFAULT_KID) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].CENC_DEFAULT_KID] : null;
      this.pssh = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PSSH) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PSSH] : null;
      this.pro = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PRO) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PRO] : null;
      this.laUrl = data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LA_URL) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LA_URL] : data.hasOwnProperty(_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LA_URL_LOWER_CASE) ? data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].LA_URL_LOWER_CASE] : null;
    }
  }
  mergeAttributesFromReference(reference) {
    let attributesToBeMerged = ['schemeIdUri', 'value', 'id', 'robustness', 'cencDefaultKid', 'pro', 'pssh', 'laUrl'];
    attributesToBeMerged.forEach(attribute => {
      if (this[attribute] === null) {
        this[attribute] = reference[attribute];
      }
    });
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ContentProtection);

/***/ }),

/***/ "./src/dash/vo/ContentSteering.js":
/*!****************************************!*\
  !*** ./src/dash/vo/ContentSteering.js ***!
  \****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ContentSteering {
  constructor() {
    this.defaultServiceLocation = null;
    this.defaultServiceLocationArray = [];
    this.queryBeforeStart = false;
    this.serverUrl = null;
    this.clientRequirement = true;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ContentSteering);

/***/ }),

/***/ "./src/dash/vo/ContentSteeringRequest.js":
/*!***********************************************!*\
  !*** ./src/dash/vo/ContentSteeringRequest.js ***!
  \***********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../streaming/vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */


class ContentSteeringRequest {
  constructor(url) {
    this.url = url || null;
    this.type = _streaming_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_0__.HTTPRequest.CONTENT_STEERING_TYPE;
    this.responseType = 'json';
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ContentSteeringRequest);

/***/ }),

/***/ "./src/dash/vo/ContentSteeringResponse.js":
/*!************************************************!*\
  !*** ./src/dash/vo/ContentSteeringResponse.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ContentSteeringResponse {
  constructor() {
    this.version = null;
    this.ttl = 300;
    this.reloadUri = null;
    this.pathwayPriority = [];
    this.pathwayClones = [];
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ContentSteeringResponse);

/***/ }),

/***/ "./src/dash/vo/DescriptorType.js":
/*!***************************************!*\
  !*** ./src/dash/vo/DescriptorType.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2023, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */

class DescriptorType {
  constructor() {
    this.schemeIdUri = null;
    this.value = null;
    this.id = null;
  }
  init(data) {
    if (data) {
      this.schemeIdUri = data.schemeIdUri ? data.schemeIdUri : null;
      this.value = data.value !== null && data.value !== undefined ? data.value.toString() : null;
      this.id = data.id ? data.id : null;
      // Only add the DVB extensions if they exist
      if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DVB_URL]) {
        this.dvbUrl = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DVB_URL];
      }
      if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DVB_MIMETYPE]) {
        this.dvbMimeType = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DVB_MIMETYPE];
      }
      if (data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DVB_FONTFAMILY]) {
        this.dvbFontFamily = data[_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DVB_FONTFAMILY];
      }
    }
  }
  inArray(arr) {
    if (arr) {
      return arr.some(entry => {
        return this.schemeIdUri === entry.schemeIdUri && (this.value ? this.value.toString().match(entry.value) :
        // check if provided value matches RegExp
        ''.match(entry.value) // check if RegExp allows absent value
        );
      });
    }
    return false;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DescriptorType);

/***/ }),

/***/ "./src/dash/vo/Event.js":
/*!******************************!*\
  !*** ./src/dash/vo/Event.js ***!
  \******************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class Event {
  constructor() {
    this.type = '';
    this.duration = NaN;
    this.presentationTime = NaN;
    this.id = NaN;
    this.messageData = '';
    this.eventStream = null;
    this.presentationTimeDelta = NaN; // Specific EMSG Box parameter
    this.parsedMessageData = null; // Parsed value of the event message
  }
}
/* harmony default export */ __webpack_exports__["default"] = (Event);

/***/ }),

/***/ "./src/dash/vo/EventStream.js":
/*!************************************!*\
  !*** ./src/dash/vo/EventStream.js ***!
  \************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class EventStream {
  constructor() {
    this.adaptionSet = null;
    this.representation = null;
    this.period = null;
    this.timescale = 1;
    this.value = '';
    this.schemeIdUri = '';
    this.presentationTimeOffset = 0;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (EventStream);

/***/ }),

/***/ "./src/dash/vo/ManifestInfo.js":
/*!*************************************!*\
  !*** ./src/dash/vo/ManifestInfo.js ***!
  \*************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ManifestInfo {
  constructor() {
    this.dvrWindowSize = NaN;
    this.loadedTime = null;
    this.availableFrom = null;
    this.minBufferTime = NaN;
    this.duration = NaN;
    this.isDynamic = false;
    this.maxFragmentDuration = null;
    this.serviceDescriptions = [];
    this.protocol = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ManifestInfo);

/***/ }),

/***/ "./src/dash/vo/MediaInfo.js":
/*!**********************************!*\
  !*** ./src/dash/vo/MediaInfo.js ***!
  \**********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class MediaInfo {
  constructor() {
    this.accessibility = null;
    this.adaptationSetSwitchingCompatibleIds = [];
    this.audioChannelConfiguration = null;
    this.bitrateList = null;
    this.codec = null;
    this.contentProtection = null;
    this.essentialProperties = [];
    this.id = null;
    this.index = null;
    this.isEmbedded = null;
    this.isFragmented = null;
    this.isText = false;
    this.labels = null;
    this.lang = null;
    this.mimeType = null;
    this.normalizedKeyIds = new Set();
    this.representationCount = 0;
    this.roles = null;
    this.segmentAlignment = false;
    this.selectionPriority = 1;
    this.streamInfo = null;
    this.subSegmentAlignment = false;
    this.supplementalProperties = [];
    this.type = null;
    this.viewpoint = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (MediaInfo);

/***/ }),

/***/ "./src/dash/vo/Mpd.js":
/*!****************************!*\
  !*** ./src/dash/vo/Mpd.js ***!
  \****************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class Mpd {
  constructor() {
    this.availabilityEndTime = Number.POSITIVE_INFINITY;
    this.availabilityStartTime = null;
    this.manifest = null;
    this.maxSegmentDuration = Number.POSITIVE_INFINITY;
    this.mediaPresentationDuration = NaN;
    this.minimumUpdatePeriod = NaN;
    this.publishTime = null;
    this.suggestedPresentationDelay = 0;
    this.timeShiftBufferDepth = Number.POSITIVE_INFINITY;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (Mpd);

/***/ }),

/***/ "./src/dash/vo/MpdLocation.js":
/*!************************************!*\
  !*** ./src/dash/vo/MpdLocation.js ***!
  \************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2023, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class MpdLocation {
  constructor(url, serviceLocation) {
    this.url = url || '';
    this.serviceLocation = serviceLocation || null;
    this.queryParams = {}; // This is an attribute that might be set when synthesizing Locations with content steering
  }
}
/* harmony default export */ __webpack_exports__["default"] = (MpdLocation);

/***/ }),

/***/ "./src/dash/vo/PatchLocation.js":
/*!**************************************!*\
  !*** ./src/dash/vo/PatchLocation.js ***!
  \**************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2023, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class PatchLocation {
  constructor(url, serviceLocation, ttl) {
    this.url = url || '';
    this.serviceLocation = serviceLocation || null;
    this.ttl = ttl || NaN;
    this.queryParams = {}; // This is an attribute that might be set when synthesizing Locations with content steering
  }
}
/* harmony default export */ __webpack_exports__["default"] = (PatchLocation);

/***/ }),

/***/ "./src/dash/vo/PatchOperation.js":
/*!***************************************!*\
  !*** ./src/dash/vo/PatchOperation.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class PatchOperation {
  constructor(action, xpath, value) {
    this.action = action;
    this.xpath = xpath;
    this.value = value;
    this.position = null;
  }
  getMpdTarget(root) {
    let isSiblingOperation = this.action === 'remove' || this.action === 'replace' || this.position === 'before' || this.position === 'after';
    return this.xpath.getMpdTarget(root, isSiblingOperation);
  }
}
/* harmony default export */ __webpack_exports__["default"] = (PatchOperation);

/***/ }),

/***/ "./src/dash/vo/Period.js":
/*!*******************************!*\
  !*** ./src/dash/vo/Period.js ***!
  \*******************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class Period {
  constructor() {
    this.id = null;
    this.index = -1;
    this.duration = NaN;
    this.start = NaN;
    this.mpd = null;
    this.nextPeriodId = null;
    this.isEncrypted = false;
  }
}
Period.DEFAULT_ID = 'defaultId';
/* harmony default export */ __webpack_exports__["default"] = (Period);

/***/ }),

/***/ "./src/dash/vo/ProducerReferenceTime.js":
/*!**********************************************!*\
  !*** ./src/dash/vo/ProducerReferenceTime.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ProducerReferenceTime {
  constructor() {
    this.id = null;
    this.inband = false;
    this.type = 'encoder';
    this.applicationScheme = null;
    this.wallClockTime = null;
    this.presentationTime = NaN;
    this.UTCTiming = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ProducerReferenceTime);

/***/ }),

/***/ "./src/dash/vo/Representation.js":
/*!***************************************!*\
  !*** ./src/dash/vo/Representation.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */


class Representation {
  constructor() {
    this.absoluteIndex = NaN;
    this.adaptation = null;
    this.availabilityTimeComplete = true;
    this.availabilityTimeOffset = 0;
    this.bandwidth = NaN;
    this.bitrateInKbit = NaN;
    this.bitsPerPixel = NaN;
    this.codecFamily = null;
    this.codecPrivateData = null;
    this.codecs = null;
    this.essentialProperties = [];
    this.fragmentDuration = null;
    this.frameRate = null;
    this.height = NaN;
    this.id = null;
    this.indexRange = null;
    this.initialization = null;
    this.maxPlayoutRate = NaN;
    this.mediaFinishedInformation = {
      numberOfSegments: 0,
      mediaTimeOfLastSignaledSegment: NaN
    };
    this.mediaInfo = null;
    this.mimeType = null;
    this.mseTimeOffset = NaN;
    this.pixelsPerSecond = NaN;
    this.presentationTimeOffset = 0;
    this.qualityRanking = NaN;
    this.range = null;
    this.scanType = null;
    this.segments = null;
    this.segmentDuration = NaN;
    this.segmentInfoType = null;
    this.supplementalProperties = [];
    this.startNumber = 1;
    this.timescale = 1;
    this.width = NaN;
    this.endNumber = null;
  }
  hasInitialization() {
    return this.initialization !== null || this.range !== null;
  }
  hasSegments() {
    return this.segmentInfoType !== _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].BASE_URL && this.segmentInfoType !== _constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].SEGMENT_BASE && !this.indexRange;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (Representation);

/***/ }),

/***/ "./src/dash/vo/Segment.js":
/*!********************************!*\
  !*** ./src/dash/vo/Segment.js ***!
  \********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class Segment {
  constructor() {
    // Ignore and  discard this segment after
    this.availabilityEndTime = NaN;
    // Do not schedule this segment until
    this.availabilityStartTime = NaN;
    this.duration = NaN;
    // The index of the segment in the list of segments. We start at 0
    this.index = null;
    this.indexRange = null;
    this.media = null;
    this.mediaRange = null;
    // This is supposed to match the time encoded in the media Segment
    this.mediaStartTime = NaN;
    // When the source buffer timeOffset is set to mseTimeOffset this is the
    // time that will match the seekTarget and video.currentTime
    this.presentationStartTime = NaN;
    // this is the number that should be inserted into the media url
    this.replacementNumber = NaN;
    // this is the time that should be inserted into the media url
    this.replacementTime = null;
    this.representation = null;
    // For dynamic mpd's, this is the wall clock time that the video
    this.wallStartTime = NaN;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (Segment);

/***/ }),

/***/ "./src/dash/vo/SimpleXPath.js":
/*!************************************!*\
  !*** ./src/dash/vo/SimpleXPath.js ***!
  \************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class SimpleXPath {
  constructor(selector) {
    // establish validation of the path, to catch unsupported cases
    this.valid = selector[0] == '/'; // first check, we only support absolute addressing

    // establish parsed path, example:
    // /MPD/Period[@id="foobar"]/AdaptationSet[@id="2"]/SegmentTemplate/SegmentTimeline
    this.path = selector.split('/').filter(component => component.length !== 0) // remove excess empty components
    .map(component => {
      let parsed = {
        name: component
      };
      let qualifierPoint = component.indexOf('[');
      if (qualifierPoint != -1) {
        parsed.name = component.substring(0, qualifierPoint);
        let qualifier = component.substring(qualifierPoint + 1, component.length - 1);

        // quick sanity check are there additional qualifiers making this invalid
        this.valid = this.valid && qualifier.indexOf('[') == -1;
        let equalityPoint = qualifier.indexOf('=');
        if (equalityPoint != -1) {
          parsed.attribute = {
            name: qualifier.substring(1, equalityPoint),
            // skip the @
            value: qualifier.substring(equalityPoint + 1)
          };

          // check for single and double quoted attribute values
          if (['\'', '"'].indexOf(parsed.attribute.value[0]) != -1) {
            parsed.attribute.value = parsed.attribute.value.substring(1, parsed.attribute.value.length - 1);
          }
        } else {
          // positional access in xpath is 1-based index
          // internal processes will assume 0-based so we normalize that here
          parsed.position = parseInt(qualifier, 10) - 1;
        }
      }
      return parsed;
    });
  }
  isValid() {
    return this.valid;
  }
  findsElement() {
    return !this.findsAttribute();
  }
  findsAttribute() {
    return this.path[this.path.length - 1].name.startsWith('@');
  }
  findsTextReplace() {
    return this.path[this.path.length - 1].name === 'text()';
  }
  getMpdTarget(root, isSiblingOperation) {
    let parent = null;
    let leaf = root;
    // assume root is MPD and we start at next level match
    let level = 1;
    let name = 'MPD';
    while (level < this.path.length && leaf !== null) {
      // set parent to current
      parent = leaf;

      // select next leaf based on component
      let component = this.path[level];
      name = component.name;

      // stop one early if this is the last element and an attribute
      if (level !== this.path.length - 1 || !name.startsWith('@') && name !== 'text()') {
        let children = parent[name] || [];
        if (children.length === 0 && parent[name]) {
          children.push(parent[name]);
        }
        if (component.position) {
          leaf = children[component.position] || null;
        } else if (component.attribute) {
          let attr = component.attribute;
          leaf = children.filter(elm => elm[attr.name] == attr.value)[0] || null;
        } else {
          // default case, select element itself or first element if as array
          leaf = Array.isArray(children) ? children[0] : children;
        }
      }
      level++;
    }
    if (leaf === null) {
      // given path not found in root
      return null;
    }

    // attributes the target is the leaf node, the name is the attribute
    if (name.startsWith('@')) {
      return {
        name: name.substring(1),
        leaf: leaf,
        target: leaf
      };
    }

    // for replacing a text node the target is the leaf node, the name is __text
    else if (name === 'text()') {
      return {
        name: '__text',
        leaf: leaf,
        target: leaf
      };
    }

    // otherwise we target the parent for sibling operations and leaf for child operations
    return {
      name: name,
      leaf: leaf,
      target: isSiblingOperation ? parent : leaf
    };
  }
}
/* harmony default export */ __webpack_exports__["default"] = (SimpleXPath);

/***/ }),

/***/ "./src/dash/vo/StreamInfo.js":
/*!***********************************!*\
  !*** ./src/dash/vo/StreamInfo.js ***!
  \***********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class StreamInfo {
  constructor() {
    this.id = null;
    this.index = null;
    this.start = NaN;
    this.duration = NaN;
    this.manifestInfo = null;
    this.isLast = true;
    this.isEncrypted = false;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (StreamInfo);

/***/ }),

/***/ "./src/dash/vo/UTCTiming.js":
/*!**********************************!*\
  !*** ./src/dash/vo/UTCTiming.js ***!
  \**********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class UTCTiming {
  constructor() {
    // UTCTiming is a DescriptorType and doesn't have any additional fields
    this.schemeIdUri = '';
    this.value = '';
  }
}
/* harmony default export */ __webpack_exports__["default"] = (UTCTiming);

/***/ }),

/***/ "./src/streaming/FragmentLoader.js":
/*!*****************************************!*\
  !*** ./src/streaming/FragmentLoader.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _net_URLLoader_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./net/URLLoader.js */ "./src/streaming/net/URLLoader.js");
/* harmony import */ var _vo_HeadRequest_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./vo/HeadRequest.js */ "./src/streaming/vo/HeadRequest.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





function FragmentLoader(config) {
  config = config || {};
  const context = this.context;
  const eventBus = config.eventBus;
  const events = config.events;
  const urlUtils = config.urlUtils;
  const errors = config.errors;
  const streamId = config.streamId;
  let instance, urlLoader;
  function setup() {
    urlLoader = (0,_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create({
      errHandler: config.errHandler,
      errors: errors,
      dashMetrics: config.dashMetrics,
      mediaPlayerModel: config.mediaPlayerModel,
      urlUtils: urlUtils,
      constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"],
      boxParser: config.boxParser,
      dashConstants: config.dashConstants,
      requestTimeout: config.settings.get().streaming.fragmentRequestTimeout
    });
  }
  function checkForExistence(request) {
    const report = function (success) {
      eventBus.trigger(events.CHECK_FOR_EXISTENCE_COMPLETED, {
        request: request,
        exists: success
      });
    };
    if (request) {
      let headRequest = new _vo_HeadRequest_js__WEBPACK_IMPORTED_MODULE_2__["default"](request.url);
      urlLoader.load({
        request: headRequest,
        success: function () {
          report(true);
        },
        error: function () {
          report(false);
        }
      });
    } else {
      report(false);
    }
  }
  function load(request) {
    const report = function (data, error) {
      eventBus.trigger(events.LOADING_COMPLETED, {
        request: request,
        response: data || null,
        error: error || null,
        sender: instance
      });
    };
    if (request) {
      urlLoader.load({
        request: request,
        progress: function (event) {
          eventBus.trigger(events.LOADING_PROGRESS, {
            request: request,
            stream: event.stream,
            streamId
          });

          // Only in case of FetchAPI and low latency streaming. XHR does not have data attribute.
          if (event.data) {
            eventBus.trigger(events.LOADING_DATA_PROGRESS, {
              request: request,
              response: event.data || null,
              error: null,
              sender: instance
            });
          }
        },
        success: function (data) {
          report(data);
        },
        error: function (request, statusText, errorText) {
          report(undefined, new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_3__["default"](errors.FRAGMENT_LOADER_LOADING_FAILURE_ERROR_CODE, errorText, statusText));
        },
        abort: function (request) {
          if (request) {
            eventBus.trigger(events.LOADING_ABANDONED, {
              mediaType: request.mediaType,
              request: request,
              sender: instance
            });
          }
        }
      });
    } else {
      report(undefined, new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_3__["default"](errors.FRAGMENT_LOADER_NULL_REQUEST_ERROR_CODE, errors.FRAGMENT_LOADER_NULL_REQUEST_ERROR_MESSAGE));
    }
  }
  function abort() {
    if (urlLoader) {
      urlLoader.abort();
    }
  }
  function resetInitialSettings() {
    if (urlLoader) {
      urlLoader.resetInitialSettings();
    }
  }
  function reset() {
    if (urlLoader) {
      urlLoader.abort();
      urlLoader.reset();
      urlLoader = null;
    }
  }
  instance = {
    abort,
    checkForExistence,
    load,
    reset,
    resetInitialSettings
  };
  setup();
  return instance;
}
FragmentLoader.__dashjs_factory_name = 'FragmentLoader';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__["default"].getClassFactory(FragmentLoader));

/***/ }),

/***/ "./src/streaming/ManifestLoader.js":
/*!*****************************************!*\
  !*** ./src/streaming/ManifestLoader.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _controllers_XlinkController_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./controllers/XlinkController.js */ "./src/streaming/controllers/XlinkController.js");
/* harmony import */ var _net_URLLoader_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./net/URLLoader.js */ "./src/streaming/net/URLLoader.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _vo_TextRequest_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./vo/TextRequest.js */ "./src/streaming/vo/TextRequest.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _dash_parser_DashParser_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../dash/parser/DashParser.js */ "./src/dash/parser/DashParser.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */













function ManifestLoader(config) {
  config = config || {};
  const context = this.context;
  const debug = config.debug;
  const settings = config.settings;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let instance, logger, urlLoader, xlinkController, parser;
  let mssHandler = config.mssHandler;
  let errHandler = config.errHandler;
  function setup() {
    logger = debug.getLogger(instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].XLINK_READY, onXlinkReady, instance);
    urlLoader = (0,_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create({
      errHandler: config.errHandler,
      dashMetrics: config.dashMetrics,
      mediaPlayerModel: config.mediaPlayerModel,
      urlUtils: urlUtils,
      constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"],
      dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
      errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"],
      requestTimeout: config.settings.get().streaming.manifestRequestTimeout
    });
    xlinkController = (0,_controllers_XlinkController_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      errHandler: errHandler,
      dashMetrics: config.dashMetrics,
      mediaPlayerModel: config.mediaPlayerModel,
      settings: config.settings
    });
    parser = null;
  }
  function onXlinkReady(event) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].INTERNAL_MANIFEST_LOADED, {
      manifest: event.manifest
    });
  }
  function createParser(data) {
    let parser = null;
    // Analyze manifest content to detect protocol and select appropriate parser
    if (data.indexOf('SmoothStreamingMedia') > -1) {
      //do some business to transform it into a Dash Manifest
      if (mssHandler) {
        parser = mssHandler.createMssParser();
        mssHandler.createMssFragmentProcessor();
        mssHandler.registerEvents();
      }
      return parser;
    } else if (data.indexOf('MPD') > -1 || data.indexOf('Patch') > -1) {
      return (0,_dash_parser_DashParser_js__WEBPACK_IMPORTED_MODULE_12__["default"])(context).create({
        debug: debug
      });
    } else {
      return parser;
    }
  }
  function load(url) {
    let serviceLocation = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let queryParams = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
    const requestStartDate = new Date();
    const request = new _vo_TextRequest_js__WEBPACK_IMPORTED_MODULE_5__["default"](url, _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_7__.HTTPRequest.MPD_TYPE);
    if (serviceLocation) {
      request.serviceLocation = serviceLocation;
    }
    if (queryParams) {
      request.queryParams = queryParams;
    }
    if (!request.startDate) {
      request.startDate = requestStartDate;
    }
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].MANIFEST_LOADING_STARTED, {
      request
    });
    urlLoader.load({
      request: request,
      success: function (data, textStatus, responseURL) {
        // Manage situations in which success is called after calling reset
        if (!xlinkController) {
          return;
        }
        let actualUrl, baseUri, manifest;

        // Handle redirects for the MPD - as per RFC3986 Section 5.1.3
        // also handily resolves relative MPD URLs to absolute
        if (responseURL && responseURL !== url) {
          baseUri = urlUtils.parseBaseUrl(responseURL);
          actualUrl = responseURL;
        } else {
          // usually this case will be caught and resolved by
          // responseURL above but it is not available for IE11 and Edge/12 and Edge/13
          // baseUri must be absolute for BaseURL resolution later
          if (urlUtils.isRelative(url)) {
            url = urlUtils.resolve(url, window.location.href);
          }
          baseUri = urlUtils.parseBaseUrl(url);
        }

        // A response of no content implies in-memory is properly up to date
        if (textStatus == 'No Content') {
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].INTERNAL_MANIFEST_LOADED, {
            manifest: null
          });
          return;
        }

        // Create parser according to manifest type
        if (parser === null) {
          parser = createParser(data);
        }
        if (parser === null) {
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].INTERNAL_MANIFEST_LOADED, {
            manifest: null,
            error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_MESSAGE + `${url}`)
          });
          return;
        }

        // init xlinkcontroller with created parser
        xlinkController.setParser(parser);
        try {
          manifest = parser.parse(data);
        } catch (e) {
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].INTERNAL_MANIFEST_LOADED, {
            manifest: null,
            error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_MESSAGE + `${url}`)
          });
          return;
        }
        if (manifest) {
          manifest.url = actualUrl || url;

          // URL from which the MPD was originally retrieved (MPD updates will not change this value)
          if (!manifest.originalUrl) {
            manifest.originalUrl = manifest.url;
          }

          // If there is a mismatch between the manifest's specified duration and the total duration of all periods,
          // and the specified duration is greater than the total duration of all periods,
          // overwrite the manifest's duration attribute. This is a patch for if a manifest is generated incorrectly.
          if (settings && settings.get().streaming.enableManifestDurationMismatchFix && manifest.mediaPresentationDuration && manifest.Period.length > 1) {
            const sumPeriodDurations = manifest.Period.reduce((totalDuration, period) => totalDuration + period.duration, 0);
            if (!isNaN(sumPeriodDurations) && manifest.mediaPresentationDuration > sumPeriodDurations) {
              logger.warn('Media presentation duration greater than duration of all periods. Setting duration to total period duration');
              manifest.mediaPresentationDuration = sumPeriodDurations;
            }
          }
          manifest.baseUri = baseUri;
          manifest.loadedTime = new Date();
          xlinkController.resolveManifestOnLoad(manifest);
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].ORIGINAL_MANIFEST_LOADED, {
            originalManifest: data
          });
        } else {
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].INTERNAL_MANIFEST_LOADED, {
            manifest: null,
            error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_MESSAGE + `${url}`)
          });
        }
      },
      error: function (request, statusText, errorText) {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].INTERNAL_MANIFEST_LOADED, {
          manifest: null,
          error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_6__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_LOADING_FAILURE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADER_LOADING_FAILURE_ERROR_MESSAGE + `${url}, ${errorText}`)
        });
      }
    });
  }
  function reset() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].XLINK_READY, onXlinkReady, instance);
    if (mssHandler) {
      mssHandler.reset();
    }
    if (xlinkController) {
      xlinkController.reset();
      xlinkController = null;
    }
    if (urlLoader) {
      urlLoader.abort();
      urlLoader = null;
    }
  }
  instance = {
    load: load,
    reset: reset
  };
  setup();
  return instance;
}
ManifestLoader.__dashjs_factory_name = 'ManifestLoader';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_11__["default"].getClassFactory(ManifestLoader);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/ManifestUpdater.js":
/*!******************************************!*\
  !*** ./src/streaming/ManifestUpdater.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _utils_LocationSelector_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./utils/LocationSelector.js */ "./src/streaming/utils/LocationSelector.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../core/Utils.js */ "./src/core/Utils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */











function ManifestUpdater() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
  let instance, logger, refreshDelay, refreshTimer, isPaused, isStopped, isUpdating, manifestLoader, manifestModel, locationSelector, adapter, errHandler, contentSteeringController, settings;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance().getLogger(instance);
    locationSelector = (0,_utils_LocationSelector_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).create();
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.manifestModel) {
      manifestModel = config.manifestModel;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.manifestLoader) {
      manifestLoader = config.manifestLoader;
    }
    if (config.errHandler) {
      errHandler = config.errHandler;
    }
    if (config.locationSelector) {
      locationSelector = config.locationSelector;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
  }
  function initialize() {
    resetInitialSettings();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].STREAMS_COMPOSED, onStreamsComposed, this);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_STARTED, onPlaybackStarted, this);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PAUSED, onPlaybackPaused, this);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].INTERNAL_MANIFEST_LOADED, onManifestLoaded, this);
  }
  function setManifest(manifest) {
    update(manifest);
  }
  function resetInitialSettings() {
    refreshDelay = NaN;
    isUpdating = false;
    isPaused = true;
    isStopped = false;
    stopManifestRefreshTimer();
  }
  function reset() {
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_STARTED, onPlaybackStarted, this);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PAUSED, onPlaybackPaused, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].STREAMS_COMPOSED, onStreamsComposed, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].INTERNAL_MANIFEST_LOADED, onManifestLoaded, this);
    resetInitialSettings();
  }
  function stopManifestRefreshTimer() {
    if (refreshTimer !== null) {
      clearTimeout(refreshTimer);
      refreshTimer = null;
    }
  }
  function startManifestRefreshTimer(delay) {
    stopManifestRefreshTimer();
    if (isStopped) {
      return;
    }
    if (isNaN(delay) && !isNaN(refreshDelay)) {
      delay = refreshDelay * 1000;
    }
    if (!isNaN(delay)) {
      logger.debug('Refresh manifest in ' + delay + ' milliseconds.');
      refreshTimer = setTimeout(onRefreshTimer, delay);
    }
  }
  function refreshManifest() {
    let ignorePatch = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    isUpdating = true;
    const manifest = manifestModel.getValue();

    // default to the original url in the manifest
    let url = manifest.url;

    // Remove previous CMCD parameters from URL
    if (url) {
      url = _core_Utils_js__WEBPACK_IMPORTED_MODULE_10__["default"].removeQueryParameterFromUrl(url, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_9__["default"].CMCD_QUERY_KEY);
    }

    // Check for PatchLocation and Location alternatives
    let serviceLocation = null;
    const availablePatchLocations = adapter.getPatchLocation(manifest);
    const patchLocation = locationSelector.select(availablePatchLocations);
    let queryParams = null;
    if (patchLocation && !ignorePatch) {
      url = patchLocation.url;
      serviceLocation = patchLocation.serviceLocation;
      queryParams = patchLocation.queryParams;
    } else {
      const availableMpdLocations = _getAvailableMpdLocations(manifest);
      const mpdLocation = locationSelector.select(availableMpdLocations);
      if (mpdLocation) {
        url = mpdLocation.url;
        serviceLocation = mpdLocation.serviceLocation;
        queryParams = mpdLocation.queryParams;
      }
    }

    // if one of the alternatives was relative, convert to absolute
    if (urlUtils.isRelative(url)) {
      url = urlUtils.resolve(url, manifest.url);
    }
    manifestLoader.load(url, serviceLocation, queryParams);
  }
  function _getAvailableMpdLocations(manifest) {
    const manifestLocations = adapter.getLocation(manifest);
    const synthesizedElements = contentSteeringController.getSynthesizedLocationElements(manifestLocations);
    return manifestLocations.concat(synthesizedElements);
  }
  function update(manifest) {
    if (!manifest) {
      // successful update with no content implies existing manifest remains valid
      manifest = manifestModel.getValue();

      // override load time to avoid invalid latency tracking and ensure update cadence
      manifest.loadedTime = new Date();
    } else if (adapter.getIsPatch(manifest)) {
      // with patches the in-memory manifest is our base
      let patch = manifest;
      manifest = manifestModel.getValue();

      // check for patch validity
      let isPatchValid = adapter.isPatchValid(manifest, patch);
      let patchSuccessful = isPatchValid;
      if (isPatchValid) {
        // grab publish time before update
        let publishTime = adapter.getPublishTime(manifest);

        // apply validated patch to manifest
        adapter.applyPatchToManifest(manifest, patch);

        // get the updated publish time
        let updatedPublishTime = adapter.getPublishTime(manifest);

        // ensure the patch properly updated the in-memory publish time
        patchSuccessful = publishTime.getTime() !== updatedPublishTime.getTime();
      }

      // if the patch failed to apply, force a full manifest refresh
      if (!patchSuccessful) {
        logger.debug('Patch provided is invalid, performing full manifest refresh');
        refreshManifest(true);
        return;
      }

      // override load time to avoid invalid latency tracking and ensure update cadence
      manifest.loadedTime = new Date();
    }

    // See DASH-IF IOP v4.3 section 4.6.4 "Transition Phase between Live and On-Demand"
    // Stop manifest update, ignore static manifest and signal end of dynamic stream to detect end of stream
    if (manifestModel.getValue() && manifestModel.getValue().type === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].DYNAMIC && manifest.type === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].STATIC) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].DYNAMIC_TO_STATIC);
      isUpdating = false;
      isStopped = true;
      return;
    }
    manifestModel.setValue(manifest);
    const date = new Date();
    const latencyOfLastUpdate = (date.getTime() - manifest.loadedTime.getTime()) / 1000;
    refreshDelay = adapter.getManifestUpdatePeriod(manifest, latencyOfLastUpdate);
    // setTimeout uses a 32 bit number to store the delay. Any number greater than it
    // will cause event associated with setTimeout to trigger immediately
    if (refreshDelay * 1000 > 0x7FFFFFFF) {
      refreshDelay = 0x7FFFFFFF / 1000;
    }
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_UPDATED, {
      manifest: manifest
    });
    logger.info('Manifest has been refreshed at ' + date + '[' + date.getTime() / 1000 + '] ');
    if (!isPaused) {
      startManifestRefreshTimer();
    }
  }
  function onRefreshTimer() {
    if (isPaused) {
      return;
    }
    if (isUpdating) {
      startManifestRefreshTimer(settings.get().streaming.manifestUpdateRetryInterval);
      return;
    }
    refreshManifest();
  }
  function onManifestLoaded(e) {
    if (!e.error) {
      update(e.manifest);
    } else if (e.error.code === _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_5__["default"].MANIFEST_LOADER_PARSING_FAILURE_ERROR_CODE) {
      errHandler.error(e.error);
    }
  }
  function onPlaybackStarted(/*e*/
  ) {
    isPaused = false;
    startManifestRefreshTimer();
  }
  function onPlaybackPaused(/*e*/
  ) {
    isPaused = !settings.get().streaming.scheduling.scheduleWhilePaused;
    if (isPaused) {
      stopManifestRefreshTimer();
    }
  }
  function onStreamsComposed(/*e*/
  ) {
    // When streams are ready we can consider manifest update completed. Resolve the update promise.
    isUpdating = false;
  }
  function getIsUpdating() {
    return isUpdating;
  }
  instance = {
    initialize,
    setManifest,
    refreshManifest,
    getIsUpdating,
    setConfig,
    reset
  };
  setup();
  return instance;
}
ManifestUpdater.__dashjs_factory_name = 'ManifestUpdater';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].getClassFactory(ManifestUpdater));

/***/ }),

/***/ "./src/streaming/MediaPlayer.js":
/*!**************************************!*\
  !*** ./src/streaming/MediaPlayer.js ***!
  \**************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _svta_common_media_library_cta_608_Cta608Parser__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @svta/common-media-library/cta/608/Cta608Parser */ "./node_modules/@svta/common-media-library/dist/cta/608/Cta608Parser.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _controllers_PlaybackController_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./controllers/PlaybackController.js */ "./src/streaming/controllers/PlaybackController.js");
/* harmony import */ var _controllers_StreamController_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./controllers/StreamController.js */ "./src/streaming/controllers/StreamController.js");
/* harmony import */ var _controllers_GapController_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./controllers/GapController.js */ "./src/streaming/controllers/GapController.js");
/* harmony import */ var _controllers_CatchupController_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./controllers/CatchupController.js */ "./src/streaming/controllers/CatchupController.js");
/* harmony import */ var _dash_controllers_ServiceDescriptionController_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../dash/controllers/ServiceDescriptionController.js */ "./src/dash/controllers/ServiceDescriptionController.js");
/* harmony import */ var _dash_controllers_ContentSteeringController_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../dash/controllers/ContentSteeringController.js */ "./src/dash/controllers/ContentSteeringController.js");
/* harmony import */ var _controllers_MediaController_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./controllers/MediaController.js */ "./src/streaming/controllers/MediaController.js");
/* harmony import */ var _controllers_BaseURLController_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./controllers/BaseURLController.js */ "./src/streaming/controllers/BaseURLController.js");
/* harmony import */ var _ManifestLoader_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./ManifestLoader.js */ "./src/streaming/ManifestLoader.js");
/* harmony import */ var _utils_ErrorHandler_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./utils/ErrorHandler.js */ "./src/streaming/utils/ErrorHandler.js");
/* harmony import */ var _utils_Capabilities_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./utils/Capabilities.js */ "./src/streaming/utils/Capabilities.js");
/* harmony import */ var _utils_CapabilitiesFilter_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./utils/CapabilitiesFilter.js */ "./src/streaming/utils/CapabilitiesFilter.js");
/* harmony import */ var _models_URIFragmentModel_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./models/URIFragmentModel.js */ "./src/streaming/models/URIFragmentModel.js");
/* harmony import */ var _models_ManifestModel_js__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./models/ManifestModel.js */ "./src/streaming/models/ManifestModel.js");
/* harmony import */ var _models_MediaPlayerModel_js__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./models/MediaPlayerModel.js */ "./src/streaming/models/MediaPlayerModel.js");
/* harmony import */ var _controllers_AbrController_js__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./controllers/AbrController.js */ "./src/streaming/controllers/AbrController.js");
/* harmony import */ var _net_SchemeLoaderFactory_js__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./net/SchemeLoaderFactory.js */ "./src/streaming/net/SchemeLoaderFactory.js");
/* harmony import */ var _models_VideoModel_js__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./models/VideoModel.js */ "./src/streaming/models/VideoModel.js");
/* harmony import */ var _models_CmcdModel_js__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./models/CmcdModel.js */ "./src/streaming/models/CmcdModel.js");
/* harmony import */ var _models_CmsdModel_js__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./models/CmsdModel.js */ "./src/streaming/models/CmsdModel.js");
/* harmony import */ var _utils_DOMStorage_js__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./utils/DOMStorage.js */ "./src/streaming/utils/DOMStorage.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _core_Version_js__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ../core/Version.js */ "./src/core/Version.js");
/* harmony import */ var _dash_controllers_SegmentBaseController_js__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ../dash/controllers/SegmentBaseController.js */ "./src/dash/controllers/SegmentBaseController.js");
/* harmony import */ var _dash_DashAdapter_js__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ../dash/DashAdapter.js */ "./src/dash/DashAdapter.js");
/* harmony import */ var _dash_DashMetrics_js__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ../dash/DashMetrics.js */ "./src/dash/DashMetrics.js");
/* harmony import */ var _dash_utils_TimelineConverter_js__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ../dash/utils/TimelineConverter.js */ "./src/dash/utils/TimelineConverter.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _externals_base64_js__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ../../externals/base64.js */ "./externals/base64.js");
/* harmony import */ var codem_isoboxer__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! codem-isoboxer */ "./node_modules/codem-isoboxer/dist/iso_boxer.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./utils/SupervisorTools.js */ "./src/streaming/utils/SupervisorTools.js");
/* harmony import */ var _ManifestUpdater_js__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./ManifestUpdater.js */ "./src/streaming/ManifestUpdater.js");
/* harmony import */ var _streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ../streaming/utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./utils/BoxParser.js */ "./src/streaming/utils/BoxParser.js");
/* harmony import */ var _text_TextController_js__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./text/TextController.js */ "./src/streaming/text/TextController.js");
/* harmony import */ var _models_CustomParametersModel_js__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./models/CustomParametersModel.js */ "./src/streaming/models/CustomParametersModel.js");
/* harmony import */ var _controllers_ThroughputController_js__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./controllers/ThroughputController.js */ "./src/streaming/controllers/ThroughputController.js");
/* harmony import */ var _controllers_ClientDataReportingController_js__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(/*! ./controllers/ClientDataReportingController.js */ "./src/streaming/controllers/ClientDataReportingController.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


































//Dash

















/**
 * The media types
 * @typedef {('video' | 'audio' | 'text' | 'image')} MediaType
 */

/**
 * @module MediaPlayer
 * @description The MediaPlayer is the primary dash.js Module and a Facade to build your player around.
 * It will allow you access to all the important dash.js properties/methods via the public API and all the
 * events to build a robust DASH media player.
 */
function MediaPlayer() {
  /**
   * @constant {string} STREAMING_NOT_INITIALIZED_ERROR error string thrown when a function is called before the dash.js has been fully initialized
   * @inner
   */
  const STREAMING_NOT_INITIALIZED_ERROR = 'You must first call initialize() and set a source before calling this method';
  /**
   * @constant {string} PLAYBACK_NOT_INITIALIZED_ERROR error string thrown when a function is called before the dash.js has been fully initialized
   * @inner
   */
  const PLAYBACK_NOT_INITIALIZED_ERROR = 'You must first call initialize() and set a valid source and view before calling this method';
  /**
   * @constant {string} ELEMENT_NOT_ATTACHED_ERROR error string thrown when a function is called before the dash.js has received a reference of an HTML5 video element
   * @inner
   */
  const ELEMENT_NOT_ATTACHED_ERROR = 'You must first call attachView() to set the video element before calling this method';
  /**
   * @constant {string} SOURCE_NOT_ATTACHED_ERROR error string thrown when a function is called before the dash.js has received a valid source stream.
   * @inner
   */
  const SOURCE_NOT_ATTACHED_ERROR = 'You must first call attachSource() with a valid source before calling this method';
  /**
   * @constant {string} MEDIA_PLAYER_NOT_INITIALIZED_ERROR error string thrown when a function is called before the dash.js has been fully initialized.
   * @inner
   */
  const MEDIA_PLAYER_NOT_INITIALIZED_ERROR = 'MediaPlayer not initialized!';
  /**
   * @constant {string} ARRAY_NOT_SUPPORTED_ERROR error string thrown when settings object was called using an array.
   * @inner
   */
  const ARRAY_NOT_SUPPORTED_ERROR = 'Array type not supported for settings!';
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_27__["default"])(context).getInstance();
  let settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_31__["default"])(context).getInstance();
  const debug = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_25__["default"])(context).getInstance({
    settings: settings
  });
  let instance, logger, source, protectionData, mediaPlayerInitialized, streamingInitialized, playbackInitialized, autoPlay, providedStartTime, abrController, throughputController, schemeLoaderFactory, timelineConverter, mediaController, protectionController, metricsReportingController, mssHandler, offlineController, adapter, mediaPlayerModel, customParametersModel, errHandler, baseURLController, capabilities, capabilitiesFilter, streamController, textController, gapController, playbackController, serviceDescriptionController, contentSteeringController, catchupController, dashMetrics, manifestModel, cmcdModel, cmsdModel, videoModel, uriFragmentModel, domStorage, segmentBaseController, clientDataReportingController;

  /*
  ---------------------------------------------------------------------------
       INIT FUNCTIONS
   ---------------------------------------------------------------------------
  */
  function setup() {
    logger = debug.getLogger(instance);
    mediaPlayerInitialized = false;
    playbackInitialized = false;
    streamingInitialized = false;
    autoPlay = true;
    providedStartTime = NaN;
    protectionController = null;
    offlineController = null;
    protectionData = null;
    adapter = null;
    segmentBaseController = null;
    _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].extend(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_29__["default"]);
    mediaPlayerModel = (0,_models_MediaPlayerModel_js__WEBPACK_IMPORTED_MODULE_18__["default"])(context).getInstance();
    customParametersModel = (0,_models_CustomParametersModel_js__WEBPACK_IMPORTED_MODULE_46__["default"])(context).getInstance();
    videoModel = (0,_models_VideoModel_js__WEBPACK_IMPORTED_MODULE_21__["default"])(context).getInstance();
    uriFragmentModel = (0,_models_URIFragmentModel_js__WEBPACK_IMPORTED_MODULE_16__["default"])(context).getInstance();
  }

  /**
   * Configure media player with customs controllers. Helpful for tests
   *
   * @param {object=} config controllers configuration
   * @memberof module:MediaPlayer
   * @instance
   */
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.capabilities) {
      capabilities = config.capabilities;
    }
    if (config.capabilitiesFilter) {
      capabilitiesFilter = config.capabilitiesFilter;
    }
    if (config.streamController) {
      streamController = config.streamController;
    }
    if (config.textController) {
      textController = config.textController;
    }
    if (config.gapController) {
      gapController = config.gapController;
    }
    if (config.throughputController) {
      throughputController = config.throughputController;
    }
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
    if (config.clientDataReportingController) {
      clientDataReportingController = config.clientDataReportingController;
    }
    if (config.catchupController) {
      catchupController = config.catchupController;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
    if (config.customParametersModel) {
      customParametersModel = config.customParametersModel;
    }
    if (config.abrController) {
      abrController = config.abrController;
    }
    if (config.schemeLoaderFactory) {
      schemeLoaderFactory = config.schemeLoaderFactory;
    }
    if (config.mediaController) {
      mediaController = config.mediaController;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
  }

  /**
   * Upon creating the MediaPlayer you must call initialize before you call anything else.
   * There is one exception to this rule. It is crucial to call {@link module:MediaPlayer#extend extend()}
   * with all your extensions prior to calling initialize.
   *
   * ALL arguments are optional and there are individual methods to set each argument later on.
   * The args in this method are just for convenience and should only be used for a simple player setup.
   *
   * @param {HTML5MediaElement=} view - Optional arg to set the video element. {@link module:MediaPlayer#attachView attachView()}
   * @param {string=} source - Optional arg to set the media source. {@link module:MediaPlayer#attachSource attachSource()}
   * @param {boolean=} autoPlay - Optional arg to set auto play. {@link module:MediaPlayer#setAutoPlay setAutoPlay()}
   * @param {number|string} startTime - For VoD content the start time is relative to the start time of the first period.
   * For live content
   * If the parameter starts from prefix posix: it signifies the absolute time range defined in seconds of Coordinated Universal Time (ITU-R TF.460-6). This is the number of seconds since 01-01-1970 00:00:00 UTC. Fractions of seconds may be optionally specified down to the millisecond level.
   * If no posix prefix is used the starttime is relative to MPD@availabilityStartTime
   * @see {@link module:MediaPlayer#attachSource attachSource()}
   * @see {@link module:MediaPlayer#setAutoPlay setAutoPlay()}
   * @memberof module:MediaPlayer
   * @instance
   */
  function initialize(view, source, autoPlay) {
    let startTime = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : NaN;
    if (!capabilities) {
      capabilities = (0,_utils_Capabilities_js__WEBPACK_IMPORTED_MODULE_14__["default"])(context).getInstance();
      capabilities.setConfig({
        settings,
        protectionController
      });
    }
    if (!errHandler) {
      errHandler = (0,_utils_ErrorHandler_js__WEBPACK_IMPORTED_MODULE_13__["default"])(context).getInstance();
    }
    if (!capabilities.supportsMediaSource()) {
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_40__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"].CAPABILITY_MEDIASOURCE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"].CAPABILITY_MEDIASOURCE_ERROR_MESSAGE));
      return;
    }
    if (!mediaPlayerInitialized) {
      mediaPlayerInitialized = true;

      // init some controllers and models
      timelineConverter = (0,_dash_utils_TimelineConverter_js__WEBPACK_IMPORTED_MODULE_36__["default"])(context).getInstance();
      if (!throughputController) {
        throughputController = (0,_controllers_ThroughputController_js__WEBPACK_IMPORTED_MODULE_47__["default"])(context).getInstance();
      }
      if (!abrController) {
        abrController = (0,_controllers_AbrController_js__WEBPACK_IMPORTED_MODULE_19__["default"])(context).getInstance();
      }
      if (!schemeLoaderFactory) {
        schemeLoaderFactory = (0,_net_SchemeLoaderFactory_js__WEBPACK_IMPORTED_MODULE_20__["default"])(context).getInstance();
      }
      if (!playbackController) {
        playbackController = (0,_controllers_PlaybackController_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
      }
      if (!mediaController) {
        mediaController = (0,_controllers_MediaController_js__WEBPACK_IMPORTED_MODULE_10__["default"])(context).getInstance();
      }
      if (!streamController) {
        streamController = (0,_controllers_StreamController_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
      }
      if (!gapController) {
        gapController = (0,_controllers_GapController_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance();
      }
      if (!catchupController) {
        catchupController = (0,_controllers_CatchupController_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
      }
      if (!serviceDescriptionController) {
        serviceDescriptionController = (0,_dash_controllers_ServiceDescriptionController_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance();
      }
      if (!contentSteeringController) {
        contentSteeringController = (0,_dash_controllers_ContentSteeringController_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
      }
      if (!capabilitiesFilter) {
        capabilitiesFilter = (0,_utils_CapabilitiesFilter_js__WEBPACK_IMPORTED_MODULE_15__["default"])(context).getInstance();
      }
      adapter = (0,_dash_DashAdapter_js__WEBPACK_IMPORTED_MODULE_34__["default"])(context).getInstance();
      manifestModel = (0,_models_ManifestModel_js__WEBPACK_IMPORTED_MODULE_17__["default"])(context).getInstance();
      cmcdModel = (0,_models_CmcdModel_js__WEBPACK_IMPORTED_MODULE_22__["default"])(context).getInstance();
      cmsdModel = (0,_models_CmsdModel_js__WEBPACK_IMPORTED_MODULE_23__["default"])(context).getInstance();
      clientDataReportingController = (0,_controllers_ClientDataReportingController_js__WEBPACK_IMPORTED_MODULE_48__["default"])(context).getInstance();
      dashMetrics = (0,_dash_DashMetrics_js__WEBPACK_IMPORTED_MODULE_35__["default"])(context).getInstance({
        settings: settings
      });
      domStorage = (0,_utils_DOMStorage_js__WEBPACK_IMPORTED_MODULE_24__["default"])(context).getInstance({
        settings: settings
      });
      adapter.setConfig({
        constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        cea608parser: new _svta_common_media_library_cta_608_Cta608Parser__WEBPACK_IMPORTED_MODULE_0__.Cta608Parser(),
        errHandler: errHandler,
        BASE64: _externals_base64_js__WEBPACK_IMPORTED_MODULE_38__["default"]
      });
      if (!baseURLController) {
        baseURLController = (0,_controllers_BaseURLController_js__WEBPACK_IMPORTED_MODULE_11__["default"])(context).create();
      }
      baseURLController.setConfig({
        adapter,
        contentSteeringController
      });
      serviceDescriptionController.setConfig({
        adapter
      });
      if (!segmentBaseController) {
        segmentBaseController = (0,_dash_controllers_SegmentBaseController_js__WEBPACK_IMPORTED_MODULE_33__["default"])(context).getInstance({
          dashMetrics: dashMetrics,
          mediaPlayerModel: mediaPlayerModel,
          errHandler: errHandler,
          baseURLController: baseURLController,
          events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"],
          eventBus: eventBus,
          debug: debug,
          boxParser: (0,_utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_44__["default"])(context).getInstance(),
          errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"]
        });
      }

      // configure controllers
      mediaController.setConfig({
        domStorage,
        settings,
        mediaPlayerModel,
        customParametersModel,
        videoModel
      });
      mediaPlayerModel.setConfig({
        playbackController,
        serviceDescriptionController
      });
      contentSteeringController.setConfig({
        adapter,
        errHandler,
        dashMetrics,
        mediaPlayerModel,
        manifestModel,
        serviceDescriptionController,
        throughputController,
        eventBus
      });
      restoreDefaultUTCTimingSources();
      setAutoPlay(autoPlay !== undefined ? autoPlay : true);

      // Detect and initialize offline module to support offline contents playback
      _detectOffline();
    }
    if (view) {
      attachView(view);
    }
    if (source) {
      attachSource(source, startTime);
    }
    logger.info('[dash.js ' + getVersion() + '] ' + 'MediaPlayer has been initialized');
  }

  /**
   * Sets the MPD source and the video element to null. You can also reset the MediaPlayer by
   * calling attachSource with a new source file.
   *
   * This call does not destroy the MediaPlayer. To destroy the MediaPlayer and free all of its
   * memory, call destroy().
   *
   * @memberof module:MediaPlayer
   * @instance
   */
  function reset() {
    attachSource(null);
    attachView(null);
    protectionData = null;
    if (protectionController) {
      protectionController.reset();
      protectionController = null;
    }
    if (metricsReportingController) {
      metricsReportingController.reset();
      metricsReportingController = null;
    }
    if (customParametersModel) {
      customParametersModel.reset();
    }
    settings.reset();
    if (offlineController) {
      offlineController.reset();
      offlineController = null;
    }
  }

  /**
   * Completely destroys the media player and frees all memory.
   *
   * @memberof module:MediaPlayer
   * @instance
   */
  function destroy() {
    reset();
    _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_30__["default"].deleteSingletonInstances(context);
  }

  /**
   * The ready state of the MediaPlayer based on both the video element and MPD source being defined.
   *
   * @returns {boolean} The current ready state of the MediaPlayer
   * @see {@link module:MediaPlayer#attachView attachView()}
   * @see {@link module:MediaPlayer#attachSource attachSource()}
   * @memberof module:MediaPlayer
   * @instance
   */
  function isReady() {
    return !!source && !!videoModel.getElement();
  }

  /**
   * Use the on method to listen for public events found in MediaPlayer.events. {@link MediaPlayerEvents}
   *
   * @param {string} type - {@link MediaPlayerEvents}
   * @param {Function} listener - callback method when the event fires.
   * @param {Object} scope - context of the listener so it can be removed properly.
   * @param {Object} options - object to define various options such as priority and mode
   * @memberof module:MediaPlayer
   * @instance
   */
  function on(type, listener, scope, options) {
    eventBus.on(type, listener, scope, options);
  }

  /**
   * Use the off method to remove listeners for public events found in MediaPlayer.events. {@link MediaPlayerEvents}
   *
   * @param {string} type - {@link MediaPlayerEvents}
   * @param {Function} listener - callback method when the event fires.
   * @param {Object} scope - context of the listener so it can be removed properly.
   * @memberof module:MediaPlayer
   * @instance
   */
  function off(type, listener, scope) {
    eventBus.off(type, listener, scope);
  }

  /**
   * Use this method to trigger an event via the eventBus {@link MediaPlayerEvents}
   *
   * @param {string} type - {@link MediaPlayerEvents}
   * @param {object} payload - Payload of the event
   * @param {Object} filters - Define a "streamId" and/or a "mediaType" for which this event is valid, e.g. {streamId, mediaType}
   * @memberof module:MediaPlayer
   * @instance
   */
  function trigger(type, payload, filters) {
    eventBus.trigger(type, payload, filters);
  }

  /**
   * Current version of Dash.js
   * @returns {string} the current dash.js version string.
   * @memberof module:MediaPlayer
   * @instance
   */
  function getVersion() {
    return (0,_core_Version_js__WEBPACK_IMPORTED_MODULE_32__.getVersionString)();
  }

  /**
   * Use this method to access the dash.js logging class.
   *
   * @returns {Debug}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getDebug() {
    return debug;
  }

  /*
  ---------------------------------------------------------------------------
       PLAYBACK FUNCTIONS
   ---------------------------------------------------------------------------
  */

  /**
   * Causes the player to begin streaming the media as set by the {@link module:MediaPlayer#attachSource attachSource()}
   * method in preparation for playing. It specifically does not require a view to be attached with {@link module:MediaPlayer#attachSource attachView()} to begin preloading.
   * When a view is attached after preloading, the buffered data is transferred to the attached mediaSource buffers.
   *
   * @see {@link module:MediaPlayer#attachSource attachSource()}
   * @see {@link module:MediaPlayer#attachView attachView()}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~SOURCE_NOT_ATTACHED_ERROR SOURCE_NOT_ATTACHED_ERROR} if called before attachSource function
   * @instance
   */
  function preload() {
    if (videoModel.getElement() || streamingInitialized) {
      return;
    }
    if (source) {
      _initializePlayback(providedStartTime);
    } else {
      throw SOURCE_NOT_ATTACHED_ERROR;
    }
  }

  /**
   * The play method initiates playback of the media defined by the {@link module:MediaPlayer#attachSource attachSource()} method.
   * This method will call play on the native Video Element.
   *
   * @see {@link module:MediaPlayer#attachSource attachSource()}
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function play() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    if (!autoPlay || isPaused() && playbackInitialized) {
      playbackController.play(true);
    }
  }

  /**
   * This method will call pause on the native Video Element.
   *
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function pause() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    playbackController.pause();
  }

  /**
   * Returns a Boolean that indicates whether the Video Element is paused.
   * @return {boolean}
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function isPaused() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    return playbackController.isPaused();
  }

  /**
   * Sets the currentTime property of the attached video element.  If it is a live stream with a
   * timeShiftBufferLength, then the DVR window offset will be automatically calculated.
   *
   * @param {number} value - A relative time, in seconds, based on the return value of the {@link module:MediaPlayer#duration duration()} method is expected.
   * For dynamic streams duration() returns DVRWindow.end - DVRWindow.start. Consequently, the value provided to this function should be relative to DVRWindow.start.
   * @see {@link module:MediaPlayer#getDvrSeekOffset getDvrSeekOffset()}
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with an invalid argument, not number type or is NaN.
   * @memberof module:MediaPlayer
   * @instance
   */
  function seek(value) {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_41__.checkParameterType)(value, 'number');
    if (isNaN(value)) {
      throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BAD_ARGUMENT_ERROR;
    }
    if (value < 0) {
      value = 0;
    }
    let s = playbackController.getIsDynamic() ? getDvrSeekOffset(value) : value;

    // For VoD limit the seek to the duration of the content
    const videoElement = getVideoElement();
    if (!playbackController.getIsDynamic() && videoElement.duration) {
      s = Math.min(videoElement.duration, s);
    }
    playbackController.seek(s, false, false, true);
  }

  /**
   * Sets the currentTime property of the attached video element. Compared to the seek() function this function does not add the DVR window offset. Instead, it takes a presentation time relative to the availability start time.
   * For VoD this function behaves similar to the seek() function.
    * @param {number} value - A presentation time in seconds
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with an invalid argument, not number type or is NaN.
   * @memberof module:MediaPlayer
   * @instance
   */
  function seekToPresentationTime(seektime) {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_41__.checkParameterType)(seektime, 'number');
    if (isNaN(seektime)) {
      throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BAD_ARGUMENT_ERROR;
    }
    if (seektime < 0) {
      seektime = 0;
    }

    // For VoD limit the seek to the duration of the content
    const videoElement = getVideoElement();
    if (!playbackController.getIsDynamic() && videoElement.duration) {
      seektime = Math.min(videoElement.duration, seektime);
    }

    // For live, take live delay into account
    if (playbackController.getIsDynamic()) {
      const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO;
      let metric = dashMetrics.getCurrentDVRInfo(type);
      if (!metric) {
        return;
      }
      seektime = _adjustSeekTimeBasedOnLiveDelay(seektime, metric);
      if (seektime < metric.range.start) {
        seektime = metric.range.start;
      }
    }
    playbackController.seek(seektime, false, false, true);
  }

  /**
   * Seeks back to the original live edge (live edge as calculated at playback start). Only applies to live streams, for VoD streams this call will be ignored.
   */
  function seekToOriginalLive() {
    if (!playbackInitialized || !isDynamic()) {
      return;
    }
    playbackController.seekToOriginalLive();
  }

  /**
   * Returns a Boolean that indicates whether the media is in the process of seeking to a new position.
   * @return {boolean}
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function isSeeking() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    return playbackController.isSeeking();
  }

  /**
   * Returns a Boolean that indicates whether the media is in the process of dynamic.
   * @return {boolean}
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function isDynamic() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    return playbackController.getIsDynamic();
  }

  /**
   * Returns a boolean that indicates whether the player is operating in low latency mode.
   * @return {boolean}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getLowLatencyModeEnabled() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    return playbackController.getLowLatencyModeEnabled();
  }

  /**
   * Use this method to set the native Video Element's playback rate.
   * @param {number} value
   * @memberof module:MediaPlayer
   * @instance
   */
  function setPlaybackRate(value) {
    getVideoElement().playbackRate = value;
  }

  /**
   * Returns the current playback rate.
   * @returns {number}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getPlaybackRate() {
    return getVideoElement().playbackRate;
  }

  /**
   * Use this method to set the native Video Element's muted state. Takes a Boolean that determines whether audio is muted. true if the audio is muted and false otherwise.
   * @param {boolean} value
   * @memberof module:MediaPlayer
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with an invalid argument, not boolean type.
   * @instance
   */
  function setMute(value) {
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_41__.checkParameterType)(value, 'boolean');
    getVideoElement().muted = value;
  }

  /**
   * A Boolean that determines whether audio is muted.
   * @returns {boolean}
   * @memberof module:MediaPlayer
   * @instance
   */
  function isMuted() {
    return getVideoElement().muted;
  }

  /**
   * A double indicating the audio volume, from 0.0 (silent) to 1.0 (loudest).
   * @param {number} value
   * @memberof module:MediaPlayer
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with an invalid argument, not number type, or is NaN or not between 0 and 1.
   * @instance
   */
  function setVolume(value) {
    if (typeof value !== 'number' || isNaN(value) || value < 0.0 || value > 1.0) {
      throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BAD_ARGUMENT_ERROR;
    }
    getVideoElement().volume = value;
  }

  /**
   * Returns the current audio volume, from 0.0 (silent) to 1.0 (loudest).
   * @returns {number}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getVolume() {
    return getVideoElement().volume;
  }

  /**
   * The length of the buffer for a given media type, in seconds. Valid media
   * types are "video", "audio" and "text". If no type is passed
   * in, then the minimum of video, audio and text buffer length is
   * returned. NaN is returned if an invalid type is requested, the
   * presentation does not contain that type, or if no arguments are passed
   * and the presentation does not include any adaption sets of valid media
   * type.
   *
   * @param {MediaType} type - 'video', 'audio' or 'text'
   * @returns {number} The length of the buffer for the given media type, in
   *  seconds, or NaN
   * @memberof module:MediaPlayer
   * @instance
   */
  function getBufferLength(type) {
    const types = [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].TEXT];
    if (!type) {
      const buffer = types.map(t => getTracksFor(t).length > 0 ? getDashMetrics().getCurrentBufferLevel(t) : Number.MAX_VALUE).reduce((p, c) => Math.min(p, c));
      return buffer === Number.MAX_VALUE ? NaN : buffer;
    } else {
      if (types.indexOf(type) !== -1) {
        const buffer = getDashMetrics().getCurrentBufferLevel(type);
        return buffer ? buffer : NaN;
      } else {
        logger.warn('getBufferLength requested for invalid type');
        return NaN;
      }
    }
  }

  /**
   * This method should only be used with a live stream that has a valid timeShiftBufferLength (DVR Window).
   * NOTE - If you do not need the raw offset value (i.e. media analytics, tracking, etc) consider using the {@link module:MediaPlayer#seek seek()} method
   * which will calculate this value for you and set the video element's currentTime property all in one simple call.
   *
   * @param {number} value - A relative time, in seconds, based on the return value of the {@link module:MediaPlayer#duration duration()} method is expected.
   * @returns {number} A value that is relative the available range within the timeShiftBufferLength (DVR Window).
   * @see {@link module:MediaPlayer#seek seek()}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getDvrSeekOffset(value) {
    const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO;
    let metric = dashMetrics.getCurrentDVRInfo(type);
    if (!metric) {
      return 0;
    }
    let val = metric.range.start + value;
    return _adjustSeekTimeBasedOnLiveDelay(val, metric);
  }
  function _adjustSeekTimeBasedOnLiveDelay(seektime, metric) {
    let liveDelay = playbackController.getOriginalLiveDelay();
    if (seektime > metric.range.end - liveDelay) {
      seektime = metric.range.end - liveDelay;
    }
    return seektime;
  }

  /**
   * Returns the target live delay
   * @returns {number} The target live delay
   * @memberof module:MediaPlayer
   * @instance
   */
  function getTargetLiveDelay() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    return playbackController.getOriginalLiveDelay();
  }

  /**
   * Current playhead time in seconds.
   *
   * If called with no arguments then the returned value is the current time of the video element.
   * However, if a period ID is supplied then time is relative to the start of that period, or is null if there is no such period id in the manifest.
   *
   * @param {string} periodId - The ID of a period that the returned playhead time must be relative to the start of. If undefined, then playhead time is relative to the first period or the AST.
   * @returns {number} The current playhead time of the media, or null.
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function time() {
    let periodId = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    let t = getVideoElement().currentTime;
    if (periodId !== '') {
      t = streamController.getTimeRelativeToStreamId(t, periodId);
    }
    return t;
  }

  /**
   * Returns the current playhead time relative to the start of the DVR window.
   * For VoD this method returns the same value as time()
   * @returns {number} The current playhead time of the media relative to the start of the DVR window
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function timeInDvrWindow() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    if (!playbackController.getIsDynamic()) {
      return time();
    }
    let t = getVideoElement().currentTime;
    const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO;
    let metric = dashMetrics.getCurrentDVRInfo(type);
    t = metric === null || t === 0 ? 0 : Math.max(0, t - metric.range.start);
    return t;
  }

  /**
   * Returns information about the current DVR window including the start time, the end time, the window size.
   * @returns {{startAsUtc: (*|number), size: number, endAsUtc: (*|number), start, end}|{}}
   */
  function getDvrWindow() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO;
    let metric = dashMetrics.getCurrentDVRInfo(type);
    if (!metric) {
      return {};
    }
    let offset = 0;
    const isDynamic = playbackController.getIsDynamic();
    if (isDynamic) {
      offset = metric.manifestInfo.availableFrom.getTime() / 1000;
    }
    return {
      start: metric.range.start,
      end: metric.range.end,
      startAsUtc: isDynamic ? offset + metric.range.start : NaN,
      endAsUtc: isDynamic ? offset + metric.range.end : NaN,
      size: metric.range.end - metric.range.start
    };
  }

  /**
   * Total duration of the media in seconds.
   *
   * @returns {number} The total duration of the media. For a dynamic stream this will return DVRWindow.end - DVRWindow.start
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function duration() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    let d = getVideoElement().duration;
    if (playbackController.getIsDynamic()) {
      const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO;
      let metric = dashMetrics.getCurrentDVRInfo(type);
      d = metric ? metric.range.end - metric.range.start : 0;
    }
    return d;
  }

  /**
   * Use this method to get the current playhead time as an absolute value in seconds since midnight UTC, Jan 1 1970.
   * Note - this property only has meaning for live streams and is NaN for VoD content. If called before play() has begun, it will return a value of NaN.
   *
   * @returns {number} The current playhead time as UTC timestamp.
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function timeAsUTC() {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    if (!playbackController.getIsDynamic() || time() < 0) {
      return NaN;
    }
    const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO;
    let metric = dashMetrics.getCurrentDVRInfo(type);
    let availabilityStartTime, utcValue;
    if (!metric) {
      return 0;
    }
    availabilityStartTime = metric.manifestInfo.availableFrom.getTime() / 1000;
    utcValue = availabilityStartTime + time();
    return utcValue;
  }

  /*
  ---------------------------------------------------------------------------
       MEDIA PLAYER CONFIGURATION
   ---------------------------------------------------------------------------
  */
  /**
   * <p>Set to false to prevent stream from auto-playing when the view is attached.</p>
   *
   * @param {boolean} value
   * @default true
   * @memberof module:MediaPlayer
   * @see {@link module:MediaPlayer#attachView attachView()}
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with an invalid argument, not boolean type.
   * @instance
   *
   */
  function setAutoPlay(value) {
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_41__.checkParameterType)(value, 'boolean');
    autoPlay = value;
  }

  /**
   * @returns {boolean} The current autoPlay state.
   * @memberof module:MediaPlayer
   * @instance
   */
  function getAutoPlay() {
    return autoPlay;
  }

  /**
   * @memberof module:MediaPlayer
   * @instance
   * @returns {number|NaN} Current live stream latency in seconds. It is the difference between now time and time position at the playback head.
   * @throws {@link module:MediaPlayer~MEDIA_PLAYER_NOT_INITIALIZED_ERROR MEDIA_PLAYER_NOT_INITIALIZED_ERROR} if called before initialize function
   */
  function getCurrentLiveLatency() {
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    if (!playbackInitialized) {
      return NaN;
    }
    return playbackController.getCurrentLiveLatency();
  }

  /**
   * Add a custom ABR Rule
   * Rule will be apply on next stream if a stream is being played
   *
   * @param {string} type - rule type (one of ['qualitySwitchRules','abandonFragmentRules'])
   * @param {string} rulename - name of rule (used to identify custom rule). If one rule of same name has been added, then existing rule will be updated
   * @param {object} rule - the rule object instance
   * @memberof module:MediaPlayer
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with invalid arguments.
   * @instance
   */
  function addABRCustomRule(type, rulename, rule) {
    customParametersModel.addAbrCustomRule(type, rulename, rule);
  }

  /**
   * Remove a custom ABR Rule
   *
   * @param {string} rulename - name of the rule to be removed
   * @memberof module:MediaPlayer
   * @instance
   */
  function removeABRCustomRule(rulename) {
    customParametersModel.removeAbrCustomRule(rulename);
  }

  /**
   * Remove all ABR custom rules
   * @memberof module:MediaPlayer
   * @instance
   */
  function removeAllABRCustomRule() {
    customParametersModel.removeAllAbrCustomRule();
  }

  /**
   * Returns all ABR custom rules
   * @return {Array}
   */
  function getABRCustomRules() {
    return customParametersModel.getAbrCustomRules();
  }

  /**
   * <p>Allows you to set a scheme and server source for UTC live edge detection for dynamic streams.
   * If UTCTiming is defined in the manifest, it will take precedence over any time source manually added.</p>
   * <p>If you have exposed the Date header, use the method {@link module:MediaPlayer#clearDefaultUTCTimingSources clearDefaultUTCTimingSources()}.
   * This will allow the date header on the manifest to be used instead of a time server</p>
   * @param {string} schemeIdUri - <ul>
   * <li>urn:mpeg:dash:utc:http-head:2014</li>
   * <li>urn:mpeg:dash:utc:http-xsdate:2014</li>
   * <li>urn:mpeg:dash:utc:http-iso:2014</li>
   * <li>urn:mpeg:dash:utc:direct:2014</li>
   * </ul>
   * <p>Some specs referencing early ISO23009-1 drafts incorrectly use
   * 2012 in the URI, rather than 2014. support these for now.</p>
   * <ul>
   * <li>urn:mpeg:dash:utc:http-head:2012</li>
   * <li>urn:mpeg:dash:utc:http-xsdate:2012</li>
   * <li>urn:mpeg:dash:utc:http-iso:2012</li>
   * <li>urn:mpeg:dash:utc:direct:2012</li>
   * </ul>
   * @param {string} value - Path to a time source.
   * @default
   * <ul>
   *     <li>schemeIdUri:urn:mpeg:dash:utc:http-xsdate:2014</li>
   *     <li>value:http://time.akamai.com/?iso&ms/li>
   * </ul>
   * @memberof module:MediaPlayer
   * @see {@link module:MediaPlayer#removeUTCTimingSource removeUTCTimingSource()}
   * @instance
   */
  function addUTCTimingSource(schemeIdUri, value) {
    customParametersModel.addUTCTimingSource(schemeIdUri, value);
  }

  /**
   * <p>Allows you to remove a UTC time source. Both schemeIdUri and value need to match the Dash.vo.UTCTiming properties in order for the
   * entry to be removed from the array</p>
   * @param {string} schemeIdUri - see {@link module:MediaPlayer#addUTCTimingSource addUTCTimingSource()}
   * @param {string} value - see {@link module:MediaPlayer#addUTCTimingSource addUTCTimingSource()}
   * @memberof module:MediaPlayer
   * @see {@link module:MediaPlayer#clearDefaultUTCTimingSources clearDefaultUTCTimingSources()}
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with invalid arguments, schemeIdUri and value are not string type.
   * @instance
   */
  function removeUTCTimingSource(schemeIdUri, value) {
    customParametersModel.removeUTCTimingSource(schemeIdUri, value);
  }

  /**
   * <p>Allows you to clear the stored array of time sources.</p>
   * <p>Example use: If you have exposed the Date header, calling this method
   * will allow the date header on the manifest to be used instead of the time server.</p>
   * <p>Example use: Calling this method, assuming there is not an exposed date header on the manifest,  will default back
   * to using a binary search to discover the live edge</p>
   *
   * @memberof module:MediaPlayer
   * @see {@link module:MediaPlayer#restoreDefaultUTCTimingSources restoreDefaultUTCTimingSources()}
   * @instance
   */
  function clearDefaultUTCTimingSources() {
    customParametersModel.clearDefaultUTCTimingSources();
  }

  /**
   * <p>Allows you to restore the default time sources after calling {@link module:MediaPlayer#clearDefaultUTCTimingSources clearDefaultUTCTimingSources()}</p>
   *
   * @default
   * <ul>
   *     <li>schemeIdUri:urn:mpeg:dash:utc:http-xsdate:2014</li>
   *     <li>value:http://time.akamai.com/?iso&ms</li>
   * </ul>
   *
   * @memberof module:MediaPlayer
   * @see {@link module:MediaPlayer#addUTCTimingSource addUTCTimingSource()}
   * @instance
   */
  function restoreDefaultUTCTimingSources() {
    customParametersModel.restoreDefaultUTCTimingSources();
  }

  /**
   * Returns the average latency computed in the ThroughputController in milliseconds
   *
   * @param {MediaType} type
   * @param {string} calculationMode
   * @param {number} sampleSize
   * @return {number} value
   * @memberof module:MediaPlayer
   * @instance
   */
  function getAverageLatency() {
    let type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO;
    let calculationMode = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let sampleSize = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : NaN;
    return throughputController ? throughputController.getAverageLatency(type, calculationMode, sampleSize) : 0;
  }

  /**
   * Returns the average throughput computed in the ThroughputController in kbit/s
   *
   * @param {MediaType} type
   * @param {string} calculationMode
   * @param {number} sampleSize
   * @return {number} value
   * @memberof module:MediaPlayer
   * @instance
   */
  function getAverageThroughput() {
    let type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO;
    let calculationMode = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let sampleSize = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : NaN;
    return throughputController ? throughputController.getAverageThroughput(type, calculationMode, sampleSize) : 0;
  }

  /**
   * Returns the safe average throughput computed in the ThroughputController in kbit/s. The safe average throughput is the average throughput multiplied by bandwidthSafetyFactor
   *
   * @param {MediaType} type
   * @param {string} calculationMode
   * @param {number} sampleSize
   * @return {number} value
   * @memberof module:MediaPlayer
   * @instance
   */
  function getSafeAverageThroughput() {
    let type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO;
    let calculationMode = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let sampleSize = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : NaN;
    return throughputController ? throughputController.getSafeAverageThroughput(type, calculationMode, sampleSize) : 0;
  }

  /**
   *  Returns the raw throughput data without calculating the average. This can be used to calculate the current throughput yourself.
   *
   * @param {MediaType} type
   * @return {Array} value
   * @memberof module:MediaPlayer
   * @instance
   */
  function getRawThroughputData() {
    let type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO;
    return throughputController ? throughputController.getRawThroughputData(type) : [];
  }

  /**
   * Sets whether withCredentials on XHR requests for a particular request
   * type is true or false
   *
   * @default false
   * @param {string} type - one of HTTPRequest.*_TYPE
   * @param {boolean} value
   * @memberof module:MediaPlayer
   * @instance
   */
  function setXHRWithCredentialsForType(type, value) {
    customParametersModel.setXHRWithCredentialsForType(type, value);
  }

  /**
   * Gets whether withCredentials on XHR requests for a particular request
   * type is true or false
   *
   * @param {string} type - one of HTTPRequest.*_TYPE
   * @return {boolean}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getXHRWithCredentialsForType(type) {
    return customParametersModel.getXHRWithCredentialsForType(type);
  }

  /*
  ---------------------------------------------------------------------------
       OFFLINE
   ---------------------------------------------------------------------------
  */

  /**
   * Detects if Offline is included and returns an instance of OfflineController.js
   * @memberof module:MediaPlayer
   * @instance
   */
  function getOfflineController() {
    return _detectOffline();
  }

  /*
  ---------------------------------------------------------------------------
       METRICS
   ---------------------------------------------------------------------------
  */
  /**
   * Returns the DashMetrics.js Module. You use this Module to get access to all the public metrics
   * stored in dash.js
   *
   * @see {@link module:DashMetrics}
   * @returns {Object}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getDashMetrics() {
    return dashMetrics;
  }

  /*
  ---------------------------------------------------------------------------
       TEXT MANAGEMENT
   ---------------------------------------------------------------------------
  */

  /**
   * Enable/disable text
   * When enabling text, dash will choose the previous selected text track
   *
   * @param {boolean} enable - true to enable text, false otherwise (same as setTextTrack(-1))
   * @memberof module:MediaPlayer
   * @instance
   */
  function enableText(enable) {
    const activeStreamInfo = streamController.getActiveStreamInfo();
    if (!activeStreamInfo || !textController) {
      return false;
    }
    return textController.enableText(activeStreamInfo.id, enable);
  }

  /**
   * Enable/disable text
   * When enabling dash will keep downloading and process fragmented text tracks even if all tracks are in mode "hidden"
   *
   * @param {boolean} enable - true to enable text streaming even if all text tracks are hidden.
   * @memberof module:MediaPlayer
   * @instance
   */
  function enableForcedTextStreaming(enable) {
    const activeStreamInfo = streamController.getActiveStreamInfo();
    if (!activeStreamInfo || !textController) {
      return false;
    }
    return textController.enableForcedTextStreaming(enable);
  }

  /**
   * Return if text is enabled
   *
   * @return {boolean} return true if text is enabled, false otherwise
   * @memberof module:MediaPlayer
   * @instance
   */
  function isTextEnabled() {
    const activeStreamInfo = streamController.getActiveStreamInfo();
    if (!activeStreamInfo || !textController) {
      return false;
    }
    return textController.isTextEnabled(activeStreamInfo);
  }

  /**
   * Use this method to change the current text track for both external time text files and fragmented text tracks. There is no need to
   * set the track mode on the video object to switch a track when using this method.
   * @param {number} idx - Index of track based on the order of the order the tracks are added Use -1 to disable all tracks. (turn captions off).  Use module:MediaPlayer#dashjs.MediaPlayer.events.TEXT_TRACK_ADDED.
   * @see {@link MediaPlayerEvents#event:TEXT_TRACK_ADDED dashjs.MediaPlayer.events.TEXT_TRACK_ADDED}
   * @throws {@link module:MediaPlayer~PLAYBACK_NOT_INITIALIZED_ERROR PLAYBACK_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function setTextTrack(idx) {
    if (!playbackInitialized) {
      throw PLAYBACK_NOT_INITIALIZED_ERROR;
    }
    const activeStreamInfo = streamController.getActiveStreamInfo();
    if (!activeStreamInfo || !textController) {
      return;
    }
    textController.setTextTrack(activeStreamInfo.id, idx);
  }
  function getCurrentTextTrackIndex() {
    let idx = NaN;
    const activeStreamInfo = streamController.getActiveStreamInfo();
    if (!activeStreamInfo || !textController) {
      return;
    }
    idx = textController.getCurrentTrackIdx(activeStreamInfo.id);
    return idx;
  }

  /*
  ---------------------------------------------------------------------------
       VIDEO ELEMENT MANAGEMENT
   ---------------------------------------------------------------------------
  */

  /**
   * Returns instance of Video Element that was attached by calling attachView()
   * @returns {Object}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~ELEMENT_NOT_ATTACHED_ERROR ELEMENT_NOT_ATTACHED_ERROR} if called before attachView function
   * @instance
   */
  function getVideoElement() {
    if (!videoModel.getElement()) {
      throw ELEMENT_NOT_ATTACHED_ERROR;
    }
    return videoModel.getElement();
  }

  /**
   * Use this method to attach an HTML5 VideoElement for dash.js to operate upon.
   *
   * @param {Object} element - An HTMLMediaElement that has already been defined in the DOM (or equivalent stub).
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~MEDIA_PLAYER_NOT_INITIALIZED_ERROR MEDIA_PLAYER_NOT_INITIALIZED_ERROR} if called before initialize function
   * @instance
   */
  function attachView(element) {
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    videoModel.setElement(element);
    if (element) {
      _detectProtection();
      _detectMetricsReporting();
      _detectMss();
      if (streamController) {
        streamController.switchToVideoElement(providedStartTime);
      }
    }
    if (playbackInitialized) {
      //Reset if we have been playing before, so this is a new element.
      _resetPlaybackControllers();
    }
    _initializePlayback(providedStartTime);
  }

  /**
   * Returns instance of Div that was attached by calling attachTTMLRenderingDiv()
   * @returns {Object}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getTTMLRenderingDiv() {
    return videoModel ? videoModel.getTTMLRenderingDiv() : null;
  }

  /**
   * Use this method to attach an HTML5 div for dash.js to render rich TTML subtitles.
   *
   * @param {HTMLDivElement} div - An unstyled div placed after the video element. It will be styled to match the video size and overlay z-order.
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~ELEMENT_NOT_ATTACHED_ERROR ELEMENT_NOT_ATTACHED_ERROR} if called before attachView function
   * @instance
   */
  function attachTTMLRenderingDiv(div) {
    if (!videoModel.getElement()) {
      throw ELEMENT_NOT_ATTACHED_ERROR;
    }
    videoModel.setTTMLRenderingDiv(div);
  }
  function attachVttRenderingDiv(div) {
    if (!videoModel.getElement()) {
      throw ELEMENT_NOT_ATTACHED_ERROR;
    }
    videoModel.setVttRenderingDiv(div);
  }

  /*
  ---------------------------------------------------------------------------
       QUALITY AND TRACK MANAGEMENT
   ---------------------------------------------------------------------------
  */

  /**
   * Gets the current download quality for media type video, audio or images. For video and audio types the ABR
   * rules update this value before every new download unless autoSwitchBitrate is set to false. For 'image'
   * type, thumbnails, there is no ABR algorithm and quality is set manually.
   *
   * @param {MediaType} type - 'video', 'audio' or 'image' (thumbnails)
   * @returns {Representation | null} the quality index, 0 corresponding to the lowest bitrate
   * @memberof module:MediaPlayer
   * @see {@link module:MediaPlayer#getCurrentRepresentationForType getCurrentRepresentationForType()}
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function getCurrentRepresentationForType(type) {
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].IMAGE && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO) {
      return null;
    }
    const activeStream = getActiveStream();
    if (!activeStream) {
      return null;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].IMAGE) {
      const thumbnailController = activeStream.getThumbnailController();
      return !thumbnailController ? -1 : thumbnailController.getCurrentTrack();
    }
    return activeStream.getCurrentRepresentationForType(type);
  }

  /**
   * Sets the current quality for media type instead of letting the ABR Heuristics automatically select it.
   * This value will be overwritten by the ABR rules unless autoSwitchBitrate is set to false.
   *
   * @param {MediaType} type - 'video', 'audio' or 'image'
   * @param {number} id , The ID of the Representation
   * @param {boolean} forceReplace - true if segments have to be replaced by segments of the new quality
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function setRepresentationForTypeById(type, id) {
    let forceReplace = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].IMAGE && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO) {
      return;
    }
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    const activeStream = getActiveStream();
    if (!activeStream) {
      return;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].IMAGE) {
      const thumbnailController = activeStream.getThumbnailController();
      if (thumbnailController) {
        thumbnailController.setTrackById(id);
      }
    } else {
      const representation = activeStream.getRepresentationForTypeById(type, id);
      if (representation) {
        abrController.setPlaybackQuality(type, streamController.getActiveStreamInfo(), representation, {
          forceReplace
        });
      }
    }
  }

  /**
   * Sets the current quality for media type instead of letting the ABR Heuristics automatically select it.
   * This value will be overwritten by the ABR rules unless autoSwitchBitrate is set to false.
   * Note that you need to specify a relative index based on the position of the target entry in the return value of getRepresentationsByType().
   * Do NOT use representation.absoluteIndex here as this index was assigned prior to applying any filter function. If you want to select a specific representation then use setRepresentationForTypeById() instead.
   *
   * @param {MediaType} type - 'video', 'audio' or 'image'
   * @param {number} index - the quality index, 0 corresponding to the lowest possible index
   * @param {boolean} forceReplace - true if segments have to be replaced by segments of the new quality
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function setRepresentationForTypeByIndex(type, index) {
    let forceReplace = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].IMAGE && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO) {
      return;
    }
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    const activeStream = getActiveStream();
    if (!activeStream) {
      return;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].IMAGE) {
      const thumbnailController = activeStream.getThumbnailController();
      if (thumbnailController) {
        thumbnailController.setTrackByIndex(index);
      }
    } else {
      const representation = activeStream.getRepresentationForTypeByIndex(type, index);
      if (representation) {
        abrController.setPlaybackQuality(type, streamController.getActiveStreamInfo(), representation, {
          forceReplace
        });
      }
    }
  }

  /**
   * @param {MediaType} type
   * @param {string} streamId
   * @returns {Array}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function getRepresentationsByType(type) {
    let streamId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    let stream = streamId ? streamController.getStreamById(streamId) : getActiveStream();
    return stream ? stream.getRepresentationsByType(type) : [];
  }

  /**
   * This method returns the list of all available streams from a given manifest
   * @param {Object} manifest
   * @returns {Array} list of {@link StreamInfo}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function getStreamsFromManifest(manifest) {
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    return adapter.getStreamsInfo(manifest);
  }

  /**
   * This method returns the list of all available tracks for a given media type
   * @param {MediaType} type
   * @returns {Array} list of {@link MediaInfo}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function getTracksFor(type) {
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    let streamInfo = streamController.getActiveStreamInfo();
    if (!streamInfo) {
      return [];
    }
    const tracks = mediaController.getTracksFor(type, streamInfo.id);
    return tracks.filter(track => {
      return protectionController ? protectionController.areKeyIdsUsable(track.normalizedKeyIds) : true;
    });
  }

  /**
   * This method returns the list of all available tracks for a given media type and streamInfo from a given manifest
   * @param {MediaType} type
   * @param {Object} manifest
   * @param {Object} streamInfo
   * @returns {Array}  list of {@link MediaInfo}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function getTracksForTypeFromManifest(type, manifest, streamInfo) {
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    streamInfo = streamInfo || adapter.getStreamsInfo(manifest, 1)[0];
    return streamInfo ? adapter.getAllMediaInfoForType(streamInfo, type, manifest) : [];
  }

  /**
   * @param {MediaType} type
   * @returns {Object|null} {@link MediaInfo}
   *
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function getCurrentTrackFor(type) {
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    let streamInfo = streamController.getActiveStreamInfo();
    if (streamInfo) {
      return mediaController.getCurrentTrackFor(type, streamInfo.id);
    }
    return null;
  }

  /**
   * This method allows to set media settings that will be used to pick the initial track. Format of the settings
   * is following: <br />
   * {lang: langValue (can be either a string primitive, a string object, or a RegExp object to match),
   *  index: indexValue,
   *  viewpoint: viewpointValue (object:{schemeIdUri,value} or value-primitive),
   *  audioChannelConfiguration: audioChannelConfigurationValue (object:{schemeIdUri,value} or value-primitive (assumes schemeIdUri='urn:mpeg:mpegB:cicp:ChannelConfiguration')),
   *  accessibility: accessibilityValue (object:{schemeIdUri,value} or value-primitive (assumes schemeIdUri='urn:mpeg:dash:role:2011')),
   *  role: roleValue (object:{schemeIdUri,value} or value-primitive (assumes schemeIdUri='urn:mpeg:dash:role:2011'))
   * }
   *
   * @param {MediaType} type
   * @param {Object} value
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~MEDIA_PLAYER_NOT_INITIALIZED_ERROR MEDIA_PLAYER_NOT_INITIALIZED_ERROR} if called before initialize function
   * @instance
   */
  function setInitialMediaSettingsFor(type, value) {
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    let sanitizedValue = _sanitizeSettings(value);
    mediaController.setInitialSettings(type, sanitizedValue);
  }

  /**
   * This method returns media settings that is used to pick the initial track. Format of the settings
   * is following:
   * {lang: langValue,
   *  index: indexValue,
   *  viewpoint: viewpointValue,
   *  audioChannelConfiguration: audioChannelConfigurationValue,
   *  accessibility: accessibilityValue,
   *  role: roleValue}
   * @param {MediaType} type
   * @returns {Object}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~MEDIA_PLAYER_NOT_INITIALIZED_ERROR MEDIA_PLAYER_NOT_INITIALIZED_ERROR} if called before initialize function
   * @instance
   */
  function getInitialMediaSettingsFor(type) {
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    return mediaController.getInitialSettings(type);
  }

  /**
   * @param {MediaInfo} track - instance of {@link MediaInfo}
   * @param {boolean} [noSettingsSave] - specify if settings from the track must not be saved for incoming track selection
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @instance
   */
  function setCurrentTrack(track) {
    let noSettingsSave = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    const canUseTrack = protectionController ? protectionController.areKeyIdsUsable(track.normalizedKeyIds) : true;
    if (!canUseTrack) {
      logger.error(`Can not switch to track with index ${track.index} because key is not usable`);
      return;
    }
    mediaController.setTrack(track, {
      noSettingsSave
    });
  }

  /*
  ---------------------------------------------------------------------------
       Custom filter and callback functions
   ---------------------------------------------------------------------------
  */
  /**
   * Registers a custom capabilities filter. This enables application to filter representations to use.
   * The provided callback function shall return either a boolean or a promise resolving to a boolean based on whether or not to use the representation.
   * The filters are applied in the order they are registered.
   * @param {function} filter - the custom capabilities filter callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function registerCustomCapabilitiesFilter(filter) {
    customParametersModel.registerCustomCapabilitiesFilter(filter);
  }

  /**
   * Unregisters a custom capabilities filter.
   * @param {function} filter - the custom capabilities filter callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function unregisterCustomCapabilitiesFilter(filter) {
    customParametersModel.unregisterCustomCapabilitiesFilter(filter);
  }

  /**
   * Registers a custom initial track selection function. Only one function is allowed. Calling this method will overwrite a potentially existing function.
   * @param {function} customFunc - the custom function that returns the initial track
   */
  function setCustomInitialTrackSelectionFunction(customFunc) {
    customParametersModel.setCustomInitialTrackSelectionFunction(customFunc);
  }

  /**
   * Resets the custom initial track selection
   */
  function resetCustomInitialTrackSelectionFunction() {
    customParametersModel.resetCustomInitialTrackSelectionFunction(null);
  }

  /**
   * Adds a request interceptor. This enables application to monitor, manipulate, overwrite any request parameter and/or request data.
   * The provided callback function shall return a promise with updated request that shall be resolved once the process of the request is completed.
   * The interceptors are applied in the order they are added.
   * @param {function} interceptor - the request interceptor callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function addRequestInterceptor(interceptor) {
    customParametersModel.addRequestInterceptor(interceptor);
  }

  /**
   * Removes a request interceptor.
   * @param {function} interceptor - the request interceptor callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function removeRequestInterceptor(interceptor) {
    customParametersModel.removeRequestInterceptor(interceptor);
  }

  /**
   * Adds a response interceptor. This enables application to monitor, manipulate, overwrite the response data
   * The provided callback function shall return a promise with updated response that shall be resolved once the process of the response is completed.
   * The interceptors are applied in the order they are added.
   * @param {function} interceptor - the response interceptor
   * @memberof module:MediaPlayer
   * @instance
   */
  function addResponseInterceptor(interceptor) {
    customParametersModel.addResponseInterceptor(interceptor);
  }

  /**
   * Removes a response interceptor.
   * @param {function} interceptor - the request interceptor
   * @memberof module:MediaPlayer
   * @instance
   */
  function removeResponseInterceptor(interceptor) {
    customParametersModel.removeResponseInterceptor(interceptor);
  }

  /**
   * Registers a license request filter. This enables application to manipulate/overwrite any request parameter and/or request data.
   * The provided callback function shall return a promise that shall be resolved once the filter process is completed.
   * The filters are applied in the order they are registered.
   * @param {function} filter - the license request filter callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function registerLicenseRequestFilter(filter) {
    customParametersModel.registerLicenseRequestFilter(filter);
  }

  /**
   * Registers a license response filter. This enables application to manipulate/overwrite the response data
   * The provided callback function shall return a promise that shall be resolved once the filter process is completed.
   * The filters are applied in the order they are registered.
   * @param {function} filter - the license response filter callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function registerLicenseResponseFilter(filter) {
    customParametersModel.registerLicenseResponseFilter(filter);
  }

  /**
   * Unregisters a license request filter.
   * @param {function} filter - the license request filter callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function unregisterLicenseRequestFilter(filter) {
    customParametersModel.unregisterLicenseRequestFilter(filter);
  }

  /**
   * Unregisters a license response filter.
   * @param {function} filter - the license response filter callback
   * @memberof module:MediaPlayer
   * @instance
   */
  function unregisterLicenseResponseFilter(filter) {
    customParametersModel.unregisterLicenseResponseFilter(filter);
  }

  /*
  ---------------------------------------------------------------------------
       PROTECTION MANAGEMENT
   ---------------------------------------------------------------------------
  */

  /**
   * Detects if Protection is included and returns an instance of ProtectionController.js
   * @memberof module:MediaPlayer
   * @instance
   */
  function getProtectionController() {
    return _detectProtection();
  }

  /**
   * Will override dash.js protection controller.
   * @param {ProtectionController} value - valid protection controller instance.
   * @memberof module:MediaPlayer
   * @instance
   */
  function attachProtectionController(value) {
    protectionController = value;
  }

  /**
   * Sets Protection Data required to setup the Protection Module (DRM). Protection Data must
   * be set before initializing MediaPlayer or, once initialized, before PROTECTION_CREATED event is fired.
   * @see {@link module:MediaPlayer#initialize initialize()}
   * @see {@link ProtectionEvents#event:PROTECTION_CREATED dashjs.Protection.events.PROTECTION_CREATED}
   * @param {ProtectionDataSet} value - object containing
   * property names corresponding to key system name strings and associated
   * values being instances of.
   * @memberof module:MediaPlayer
   * @instance
   */
  function setProtectionData(value) {
    protectionData = value;

    // Propagate changes in case StreamController is already created
    if (streamController) {
      streamController.setProtectionData(protectionData);
    }
  }

  /*
  ---------------------------------------------------------------------------
       THUMBNAILS MANAGEMENT
   ---------------------------------------------------------------------------
  */

  /**
   * Provide the thumbnail at time position. This can be asynchronous, so you must provide a callback ro retrieve thumbnails informations
   * @param {number} time - A relative time, in seconds, based on the return value of the {@link module:MediaPlayer#duration duration()} method is expected
   * @param {function} callback - A Callback function provided when retrieving thumbnail the given time position. Thumbnail object is null in case there are is not a thumbnails representation or
   * if it doesn't contain a thumbnail for the given time position.
   * @memberof module:MediaPlayer
   * @instance
   */
  function provideThumbnail(time, callback) {
    if (typeof callback !== 'function') {
      return;
    }
    if (time < 0) {
      callback(null);
      return;
    }
    const s = playbackController.getIsDynamic() ? getDvrSeekOffset(time) : time;
    const stream = streamController.getStreamForTime(s);
    if (stream === null) {
      callback(null);
      return;
    }
    const thumbnailController = stream.getThumbnailController();
    if (!thumbnailController) {
      callback(null);
      return;
    }
    return thumbnailController.provide(s, callback);
  }

  /*
  ---------------------------------------------------------------------------
       TOOLS AND OTHERS FUNCTIONS
   ---------------------------------------------------------------------------
  */
  /**
   * Allows application to retrieve a manifest.  Manifest loading is asynchronous and requires the app-provided callback function
   *
   * @param {string} url - url the manifest url
   * @param {function} callback - A Callback function provided when retrieving manifests
   * @memberof module:MediaPlayer
   * @instance
   */
  function retrieveManifest(url, callback) {
    let manifestLoader = _createManifestLoader();
    let self = this;
    const handler = function (e) {
      if (!e.error) {
        callback(e.manifest);
      } else {
        callback(null, e.error);
      }
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].INTERNAL_MANIFEST_LOADED, handler, self);
      manifestLoader.reset();
    };
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].INTERNAL_MANIFEST_LOADED, handler, self);
    uriFragmentModel.initialize(url);
    manifestLoader.load(url);
  }

  /**
   * Returns the source string or manifest that was attached by calling attachSource()
   * @returns {string | manifest}
   * @memberof module:MediaPlayer
   * @throws {@link module:MediaPlayer~SOURCE_NOT_ATTACHED_ERROR SOURCE_NOT_ATTACHED_ERROR} if called before attachSource function
   * @instance
   */
  function getSource() {
    if (!source) {
      throw SOURCE_NOT_ATTACHED_ERROR;
    }
    return source;
  }

  /**
   * Sets the source to a new manifest URL or object without reloading
   * Useful for updating CDN tokens
   * @param {string | object} urlOrManifest
   */
  function updateSource(urlOrManifest) {
    source = urlOrManifest;
    streamController.load(source);
  }

  /**
   * Use this method to set a source URL to a valid MPD manifest file OR
   * a previously downloaded and parsed manifest object.  Optionally, can
   * also provide protection information
   *
   * @param {string|Object} urlOrManifest - A URL to a valid MPD manifest file, or a
   * parsed manifest object.
   * @param {number|string} startTime - For VoD content the start time is relative to the start time of the first period.
   * For live content
   * If the parameter starts from prefix posix: it signifies the absolute time range defined in seconds of Coordinated Universal Time (ITU-R TF.460-6). This is the number of seconds since 01-01-1970 00:00:00 UTC. Fractions of seconds may be optionally specified down to the millisecond level.
   * If no posix prefix is used the starttime is relative to MPD@availabilityStartTime
   *
   * @throws {@link module:MediaPlayer~MEDIA_PLAYER_NOT_INITIALIZED_ERROR MEDIA_PLAYER_NOT_INITIALIZED_ERROR} if called before initialize function
   *
   * @memberof module:MediaPlayer
   * @instance
   */
  function attachSource(urlOrManifest) {
    let startTime = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : NaN;
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    if (typeof urlOrManifest === 'string') {
      uriFragmentModel.initialize(urlOrManifest);
    }
    if (startTime == null) {
      startTime = NaN;
    }
    if (!isNaN(startTime)) {
      startTime = Math.max(0, startTime);
    }
    providedStartTime = startTime;
    source = urlOrManifest;
    if (streamingInitialized || playbackInitialized) {
      _resetPlaybackControllers();
    }
    if (isReady()) {
      _initializePlayback(providedStartTime);
    }
  }

  /**
   *  Reload the manifest that the player is currently using.
   *
   *  @memberof module:MediaPlayer
   *  @param {function} callback - A Callback function provided when retrieving manifests
   *  @instance
   */
  function refreshManifest(callback) {
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    if (!isReady()) {
      return callback(null, SOURCE_NOT_ATTACHED_ERROR);
    }
    let self = this;
    if (typeof callback === 'function') {
      const handler = function (e) {
        eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].INTERNAL_MANIFEST_LOADED, handler, self);
        if (e.error) {
          callback(null, e.error);
          return;
        }
        callback(e.manifest);
      };
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].INTERNAL_MANIFEST_LOADED, handler, self);
    }
    streamController.refreshManifest();
  }

  /**
   * Get the current settings object being used on the player.
   * @returns {PlayerSettings} The settings object being used.
   *
   * @memberof module:MediaPlayer
   * @instance
   */
  function getSettings() {
    return settings.get();
  }

  /**
   * @summary Update the current settings object being used on the player. Anything left unspecified is not modified.
   * @param {PlayerSettings} settingsObj - An object corresponding to the settings definition.
   * @description This function does not update the entire object, only properties in the passed in object are updated.
   *
   * This means that updateSettings({a: x}) and updateSettings({b: y}) are functionally equivalent to
   * updateSettings({a: x, b: y}). If the default values are required again, @see{@link resetSettings}.
   * @example
   * player.updateSettings({
   *      streaming: {
   *          lowLatencyEnabled: false,
   *          abr: {
   *              maxBitrate: { audio: 100, video: 1000 }
   *          }
   *      }
   *  });
   * @memberof module:MediaPlayer
   * @instance
   */
  function updateSettings(settingsObj) {
    settings.update(settingsObj);
  }

  /**
   * Resets the settings object back to the default.
   *
   * @memberof module:MediaPlayer
   * @instance
   */
  function resetSettings() {
    settings.reset();
  }

  /**
   * A utility methods which converts UTC timestamp value into a valid time and date string.
   *
   * @param {number} time - UTC timestamp to be converted into date and time.
   * @param {string} locales - a region identifier (i.e. en_US).
   * @param {boolean} hour12 - 12 vs 24 hour. Set to true for 12 hour time formatting.
   * @param {boolean} withDate - default is false. Set to true to append current date to UTC time format.
   * @returns {string} A formatted time and date string.
   * @memberof module:MediaPlayer
   * @instance
   */
  function formatUTC(time, locales, hour12) {
    let withDate = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
    const dt = new Date(time * 1000);
    const d = dt.toLocaleDateString(locales);
    const t = dt.toLocaleTimeString(locales, {
      hour12: hour12
    });
    return withDate ? t + ' ' + d : t;
  }

  /**
   * A utility method which converts seconds into TimeCode (i.e. 300 --> 05:00).
   *
   * @param {number} value - A number in seconds to be converted into a formatted time code.
   * @returns {string} A formatted time code string.
   * @memberof module:MediaPlayer
   * @instance
   */
  function convertToTimeCode(value) {
    value = Math.max(value, 0);
    let h = Math.floor(value / 3600);
    let m = Math.floor(value % 3600 / 60);
    let s = Math.floor(value % 3600 % 60);
    return (h === 0 ? '' : h < 10 ? '0' + h.toString() + ':' : h.toString() + ':') + (m < 10 ? '0' + m.toString() : m.toString()) + ':' + (s < 10 ? '0' + s.toString() : s.toString());
  }

  /**
   * This method should be used to extend or replace internal dash.js objects.
   * There are two ways to extend dash.js (determined by the override argument):
   * <ol>
   * <li>If you set override to true any public method or property in your custom object will
   * override the dash.js parent object's property(ies) and will be used instead but the
   * dash.js parent module will still be created.</li>
   *
   * <li>If you set override to false your object will completely replace the dash.js object.
   * (Note: This is how it was in 1.x of Dash.js with Dijon).</li>
   * </ol>
   * <b>When you extend you get access to this.context, this.factory and this.parent to operate with in your custom object.</b>
   * <ul>
   * <li><b>this.context</b> - can be used to pass context for singleton access.</li>
   * <li><b>this.factory</b> - can be used to call factory.getSingletonInstance().</li>
   * <li><b>this.parent</b> - is the reference of the parent object to call other public methods. (this.parent is excluded if you extend with override set to false or option 2)</li>
   * </ul>
   * <b>You must call extend before you call initialize</b>
   * @see {@link module:MediaPlayer#initialize initialize()}
   * @param {string} parentNameString - name of parent module
   * @param {Object} childInstance - overriding object
   * @param {boolean} override - replace only some methods (true) or the whole object (false)
   * @memberof module:MediaPlayer
   * @instance
   */
  function extend(parentNameString, childInstance, override) {
    _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_30__["default"].extend(parentNameString, childInstance, override, context);
  }

  /**
   * This method returns the active stream
   *
   * @throws {@link module:MediaPlayer~STREAMING_NOT_INITIALIZED_ERROR STREAMING_NOT_INITIALIZED_ERROR} if called before initializePlayback function
   * @memberof module:MediaPlayer
   * @instance
   */
  function getActiveStream() {
    if (!streamingInitialized) {
      throw STREAMING_NOT_INITIALIZED_ERROR;
    }
    let streamInfo = streamController.getActiveStreamInfo();
    return streamInfo ? streamController.getStreamById(streamInfo.id) : null;
  }

  /**
   * Returns the DashAdapter.js Module.
   *
   * @see {@link module:DashAdapter}
   * @returns {Object}
   * @memberof module:MediaPlayer
   * @instance
   */
  function getDashAdapter() {
    return adapter;
  }

  /**
   * Triggers a request to the content steering server to update the steering information.
   * @return {Promise<any>}
   */
  function triggerSteeringRequest() {
    if (contentSteeringController) {
      return contentSteeringController.loadSteeringData();
    }
  }

  /**
   * Returns the current response data of the content steering server
   * @return {object}
   */
  function getCurrentSteeringResponseData() {
    if (contentSteeringController) {
      return contentSteeringController.getCurrentSteeringResponseData();
    }
  }

  /**
   * Returns the current manifest
   * @returns {object}
   */
  function getManifest() {
    return manifestModel.getValue();
  }

  /**
   * Returns all BaseURLs that are available including synthesized elements (e.g by content steering)
   * @returns {BaseURL[]}
   */
  function getAvailableBaseUrls() {
    const manifest = manifestModel.getValue();
    if (!manifest) {
      return [];
    }
    return baseURLController.getBaseUrls(manifest);
  }

  /**
   * Returns the available location elements including synthesized elements (e.g by content steering)
   * @returns {MpdLocation[]}
   */
  function getAvailableLocations() {
    const manifest = manifestModel.getValue();
    if (!manifest) {
      return [];
    }
    const manifestLocations = adapter.getLocation(manifest);
    const synthesizedElements = contentSteeringController.getSynthesizedLocationElements(manifestLocations);
    return manifestLocations.concat(synthesizedElements);
  }

  //***********************************
  // PRIVATE METHODS
  //***********************************

  function _resetPlaybackControllers() {
    playbackInitialized = false;
    streamingInitialized = false;
    adapter.reset();
    streamController.reset();
    gapController.reset();
    catchupController.reset();
    playbackController.reset();
    serviceDescriptionController.reset();
    contentSteeringController.reset();
    abrController.reset();
    throughputController.reset();
    mediaController.reset();
    segmentBaseController.reset();
    if (protectionController) {
      if (settings.get().streaming.protection.keepProtectionMediaKeys) {
        protectionController.stop();
      } else {
        protectionController.reset();
        protectionController = null;
        _detectProtection();
      }
    }
    textController.reset();
    cmcdModel.reset();
    cmsdModel.reset();
  }
  function _createPlaybackControllers() {
    // creates or get objects instances
    const manifestLoader = _createManifestLoader();
    if (!streamController) {
      streamController = (0,_controllers_StreamController_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
    }
    if (!textController) {
      textController = (0,_text_TextController_js__WEBPACK_IMPORTED_MODULE_45__["default"])(context).create({
        errHandler,
        manifestModel,
        adapter,
        mediaController,
        baseURLController,
        videoModel,
        settings
      });
    }
    capabilitiesFilter.setConfig({
      capabilities,
      customParametersModel,
      adapter,
      settings,
      protectionController,
      manifestModel,
      errHandler
    });
    streamController.setConfig({
      capabilities,
      capabilitiesFilter,
      manifestLoader,
      manifestModel,
      mediaPlayerModel,
      customParametersModel,
      protectionController,
      textController,
      adapter,
      dashMetrics,
      errHandler,
      timelineConverter,
      videoModel,
      playbackController,
      serviceDescriptionController,
      contentSteeringController,
      abrController,
      throughputController,
      mediaController,
      settings,
      baseURLController,
      uriFragmentModel,
      segmentBaseController
    });
    gapController.setConfig({
      settings,
      playbackController,
      streamController,
      videoModel,
      timelineConverter,
      adapter
    });
    playbackController.setConfig({
      streamController,
      serviceDescriptionController,
      dashMetrics,
      adapter,
      videoModel,
      timelineConverter,
      settings
    });
    catchupController.setConfig({
      streamController,
      playbackController,
      mediaPlayerModel,
      videoModel,
      settings
    });
    throughputController.setConfig({
      settings,
      playbackController
    });
    abrController.setConfig({
      streamController,
      capabilities,
      domStorage,
      mediaPlayerModel,
      customParametersModel,
      throughputController,
      cmsdModel,
      dashMetrics,
      adapter,
      videoModel,
      settings
    });
    cmcdModel.setConfig({
      abrController,
      dashMetrics,
      playbackController,
      serviceDescriptionController,
      throughputController
    });
    clientDataReportingController.setConfig({
      serviceDescriptionController
    });
    cmsdModel.setConfig({});

    // initializes controller
    mediaController.initialize();
    throughputController.initialize();
    abrController.initialize();
    streamController.initialize(autoPlay, protectionData);
    textController.initialize();
    gapController.initialize();
    catchupController.initialize();
    cmcdModel.initialize(autoPlay);
    cmsdModel.initialize();
    contentSteeringController.initialize();
    segmentBaseController.initialize();
  }
  function _createManifestLoader() {
    return (0,_ManifestLoader_js__WEBPACK_IMPORTED_MODULE_12__["default"])(context).create({
      debug: debug,
      errHandler: errHandler,
      dashMetrics: dashMetrics,
      mediaPlayerModel: mediaPlayerModel,
      mssHandler: mssHandler,
      settings: settings
    });
  }
  function _detectProtection() {
    if (protectionController) {
      return protectionController;
    }
    if (typeof dashjs === 'undefined') {
      return null;
    }
    // do not require Protection as dependencies as this is optional and intended to be loaded separately
    let detectedProtection = dashjs.Protection;
    if (typeof detectedProtection === 'function') {
      //TODO need a better way to register/detect plugin components
      let protection = detectedProtection(context).create();
      _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].extend(detectedProtection.events);
      _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_29__["default"].extend(detectedProtection.events, {
        publicOnly: true
      });
      _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"].extend(detectedProtection.errors);
      protectionController = protection.createProtectionSystem({
        debug,
        errHandler,
        videoModel,
        customParametersModel,
        capabilities,
        eventBus,
        events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"],
        BASE64: _externals_base64_js__WEBPACK_IMPORTED_MODULE_38__["default"],
        constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        cmcdModel,
        settings
      });
      if (!capabilities) {
        capabilities = (0,_utils_Capabilities_js__WEBPACK_IMPORTED_MODULE_14__["default"])(context).getInstance();
      }
      capabilities.setProtectionController(protectionController);
      return protectionController;
    }
    return null;
  }
  function _detectMetricsReporting() {
    if (metricsReportingController || typeof dashjs === 'undefined') {
      return;
    }
    // do not require MetricsReporting as dependencies as this is optional and intended to be loaded separately
    let detectedMetricsReporting = dashjs.MetricsReporting;
    if (typeof detectedMetricsReporting === 'function') {
      //TODO need a better way to register/detect plugin components
      let metricsReporting = detectedMetricsReporting(context).create();
      metricsReportingController = metricsReporting.createMetricsReporting({
        debug: debug,
        eventBus: eventBus,
        mediaElement: getVideoElement(),
        adapter: adapter,
        dashMetrics: dashMetrics,
        mediaPlayerModel: mediaPlayerModel,
        events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"],
        constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        metricsConstants: _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"]
      });
    }
  }
  function _detectMss() {
    if (mssHandler || typeof dashjs === 'undefined') {
      return;
    }

    // do not require MssHandler as dependencies as this is optional and intended to be loaded separately
    let detectedMssHandler = dashjs.MssHandler;
    if (typeof detectedMssHandler === 'function') {
      //TODO need a better way to register/detect plugin components
      _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"].extend(detectedMssHandler.errors);
      mssHandler = detectedMssHandler(context).create({
        eventBus: eventBus,
        mediaPlayerModel: mediaPlayerModel,
        dashMetrics: dashMetrics,
        manifestModel: manifestModel,
        playbackController: playbackController,
        streamController: streamController,
        protectionController: protectionController,
        baseURLController: baseURLController,
        errHandler: errHandler,
        events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"],
        constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        debug: debug,
        initSegmentType: _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_37__.HTTPRequest.INIT_SEGMENT_TYPE,
        BASE64: _externals_base64_js__WEBPACK_IMPORTED_MODULE_38__["default"],
        ISOBoxer: codem_isoboxer__WEBPACK_IMPORTED_MODULE_39__,
        settings: settings
      });
    }
  }
  function _detectOffline() {
    if (!mediaPlayerInitialized) {
      throw MEDIA_PLAYER_NOT_INITIALIZED_ERROR;
    }
    if (offlineController) {
      return offlineController;
    }
    if (typeof dashjs === 'undefined') {
      return null;
    }

    // do not require Offline as dependencies as this is optional and intended to be loaded separately
    let detectedOfflineController = dashjs.OfflineController;
    if (typeof detectedOfflineController === 'function') {
      //TODO need a better way to register/detect plugin components
      _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"].extend(detectedOfflineController.events);
      _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_29__["default"].extend(detectedOfflineController.events, {
        publicOnly: true
      });
      _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"].extend(detectedOfflineController.errors);
      const manifestLoader = _createManifestLoader();
      const manifestUpdater = (0,_ManifestUpdater_js__WEBPACK_IMPORTED_MODULE_42__["default"])(context).create();
      manifestUpdater.setConfig({
        manifestModel,
        adapter,
        manifestLoader,
        errHandler,
        contentSteeringController
      });
      offlineController = detectedOfflineController(context).create({
        debug: debug,
        manifestUpdater: manifestUpdater,
        baseURLController: baseURLController,
        manifestLoader: manifestLoader,
        manifestModel: manifestModel,
        mediaPlayerModel: mediaPlayerModel,
        abrController: abrController,
        playbackController: playbackController,
        adapter: adapter,
        errHandler: errHandler,
        dashMetrics: dashMetrics,
        timelineConverter: timelineConverter,
        segmentBaseController: segmentBaseController,
        schemeLoaderFactory: schemeLoaderFactory,
        eventBus: eventBus,
        events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_28__["default"],
        errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"],
        constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        settings: settings,
        dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"],
        urlUtils: (0,_streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_43__["default"])(context).getInstance()
      });
      return offlineController;
    }
    return null;
  }
  function _sanitizeSettings(value) {
    const defaults = settings.get().streaming.defaultSchemeIdUri;
    let output = {};
    function __sanitizeDescriptorType(name, val, defaultSchemeIdUri) {
      let out = {};
      // For an empty string, let's unset the descriptor, i.e. return null
      if (val) {
        if (val instanceof Array) {
          throw ARRAY_NOT_SUPPORTED_ERROR;
        } else if (val instanceof Object) {
          out.schemeIdUri = val.schemeIdUri ? val.schemeIdUri : '';
          out.value = val.value ? val.value : '';
        } else {
          out.schemeIdUri = defaultSchemeIdUri;
          out.value = val;
          logger.warn('No schemeIdUri provided for ' + name + ', using default \"' + defaultSchemeIdUri + '\"');
        }
        return out;
      }
      return null;
    }
    if (value.id !== undefined) {
      output.id = value.id;
    }
    if (value.lang !== undefined) {
      output.lang = value.lang;
    }
    if (!isNaN(value.index)) {
      output.index = value.index;
    }
    if (value.viewpoint !== undefined) {
      output.viewpoint = __sanitizeDescriptorType('viewpoint', value.viewpoint, defaults.viewpoint);
    }
    if (value.audioChannelConfiguration !== undefined) {
      output.audioChannelConfiguration = __sanitizeDescriptorType('audioChannelConfiguration', value.audioChannelConfiguration, defaults.audioChannelConfiguration);
    }
    if (value.role !== undefined) {
      output.role = __sanitizeDescriptorType('role', value.role, defaults.role);

      // conceal misspelled "Main" from earlier MPEG-DASH editions (fixed with 6th edition)
      if (output.role.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].DASH_ROLE_SCHEME_ID && output.role.value === 'Main') {
        output.role.value = _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MAIN;
      }
    }
    if (value.accessibility !== undefined) {
      output.accessibility = __sanitizeDescriptorType('accessibility', value.accessibility, defaults.accessibility);
    }
    return output;
  }

  /**
   *
   * @private
   */
  function _initializePlayback() {
    let startTime = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : NaN;
    if (offlineController) {
      offlineController.resetRecords();
    }
    if (!streamingInitialized && source) {
      streamingInitialized = true;
      logger.info('Streaming Initialized');
      _createPlaybackControllers();
      if (typeof source === 'string') {
        streamController.load(source, startTime);
      } else {
        streamController.loadWithManifest(source, startTime);
      }
    }
    if (!playbackInitialized && isReady()) {
      playbackInitialized = true;
      eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_29__["default"].PLAYBACK_INITIALIZED);
      logger.info('Playback Initialized');
    }
  }
  instance = {
    addABRCustomRule,
    addRequestInterceptor,
    addResponseInterceptor,
    addUTCTimingSource,
    attachProtectionController,
    attachSource,
    attachTTMLRenderingDiv,
    attachView,
    attachVttRenderingDiv,
    clearDefaultUTCTimingSources,
    convertToTimeCode,
    destroy,
    duration,
    enableForcedTextStreaming,
    enableText,
    extend,
    formatUTC,
    getABRCustomRules,
    getActiveStream,
    getAutoPlay,
    getAvailableBaseUrls,
    getAvailableLocations,
    getAverageLatency,
    getAverageThroughput,
    getBufferLength,
    getCurrentLiveLatency,
    getCurrentRepresentationForType,
    getCurrentSteeringResponseData,
    getCurrentTextTrackIndex,
    getCurrentTrackFor,
    getDashAdapter,
    getDashMetrics,
    getDebug,
    getDvrSeekOffset,
    getDvrWindow,
    getInitialMediaSettingsFor,
    getLowLatencyModeEnabled,
    getManifest,
    getOfflineController,
    getPlaybackRate,
    getProtectionController,
    getRawThroughputData,
    getRepresentationsByType,
    getSafeAverageThroughput,
    getSettings,
    getSource,
    getStreamsFromManifest,
    getTTMLRenderingDiv,
    getTargetLiveDelay,
    getTracksFor,
    getTracksForTypeFromManifest,
    getVersion,
    getVideoElement,
    getVolume,
    getXHRWithCredentialsForType,
    initialize,
    isDynamic,
    isMuted,
    isPaused,
    isReady,
    isSeeking,
    isTextEnabled,
    off,
    on,
    pause,
    play,
    preload,
    provideThumbnail,
    refreshManifest,
    registerCustomCapabilitiesFilter,
    registerLicenseRequestFilter,
    registerLicenseResponseFilter,
    removeABRCustomRule,
    removeAllABRCustomRule,
    removeRequestInterceptor,
    removeResponseInterceptor,
    removeUTCTimingSource,
    reset,
    resetCustomInitialTrackSelectionFunction,
    resetSettings,
    restoreDefaultUTCTimingSources,
    retrieveManifest,
    seek,
    seekToOriginalLive,
    seekToPresentationTime,
    setAutoPlay,
    setConfig,
    setCurrentTrack,
    setCustomInitialTrackSelectionFunction,
    setInitialMediaSettingsFor,
    setMute,
    setPlaybackRate,
    setProtectionData,
    setRepresentationForTypeById,
    setRepresentationForTypeByIndex,
    setTextTrack,
    setVolume,
    setXHRWithCredentialsForType,
    time,
    timeAsUTC,
    timeInDvrWindow,
    trigger,
    triggerSteeringRequest,
    unregisterCustomCapabilitiesFilter,
    unregisterLicenseRequestFilter,
    unregisterLicenseResponseFilter,
    updateSettings,
    updateSource
  };
  setup();
  return instance;
}
MediaPlayer.__dashjs_factory_name = 'MediaPlayer';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_30__["default"].getClassFactory(MediaPlayer);
factory.events = _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_29__["default"];
factory.errors = _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_26__["default"];
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_30__["default"].updateClassFactory(MediaPlayer.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/MediaPlayerEvents.js":
/*!********************************************!*\
  !*** ./src/streaming/MediaPlayerEvents.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_events_EventsBase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/events/EventsBase.js */ "./src/core/events/EventsBase.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * @class
 * @implements EventsBase
 */
class MediaPlayerEvents extends _core_events_EventsBase_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  /**
   * @description Public facing external events to be used when developing a player that implements dash.js.
   */
  constructor() {
    super();
    /**
     * Triggered when playback will not start yet
     * as the MPD's availabilityStartTime is in the future.
     * Check delay property in payload to determine time before playback will start.
     * @event MediaPlayerEvents#AST_IN_FUTURE
     */
    this.AST_IN_FUTURE = 'astInFuture';

    /**
     * Triggered when the BaseURLs have been updated.
     * @event MediaPlayerEvents#BASE_URLS_UPDATED
     */
    this.BASE_URLS_UPDATED = 'baseUrlsUpdated';

    /**
     * Triggered when the video element's buffer state changes to stalled.
     * Check mediaType in payload to determine type (Video, Audio, FragmentedText).
     * @event MediaPlayerEvents#BUFFER_EMPTY
     */
    this.BUFFER_EMPTY = 'bufferStalled';

    /**
     * Triggered when the video element's buffer state changes to loaded.
     * Check mediaType in payload to determine type (Video, Audio, FragmentedText).
     * @event MediaPlayerEvents#BUFFER_LOADED
     */
    this.BUFFER_LOADED = 'bufferLoaded';

    /**
     * Triggered when the video element's buffer state changes, either stalled or loaded. Check payload for state.
     * @event MediaPlayerEvents#BUFFER_LEVEL_STATE_CHANGED
     */
    this.BUFFER_LEVEL_STATE_CHANGED = 'bufferStateChanged';

    /**
     * Triggered when the buffer level of a media type has been updated
     * @event MediaPlayerEvents#BUFFER_LEVEL_UPDATED
     */
    this.BUFFER_LEVEL_UPDATED = 'bufferLevelUpdated';

    /**
     * Triggered when a font signalled by a DVB Font Download has been added to the document FontFaceSet interface.
     * @event MediaPlayerEvents#DVB_FONT_DOWNLOAD_ADDED
     */
    this.DVB_FONT_DOWNLOAD_ADDED = 'dvbFontDownloadAdded';

    /**
     * Triggered when a font signalled by a DVB Font Download has successfully downloaded and the FontFace can be used.
     * @event MediaPlayerEvents#DVB_FONT_DOWNLOAD_COMPLETE
     */
    this.DVB_FONT_DOWNLOAD_COMPLETE = 'dvbFontDownloadComplete';

    /**
     * Triggered when a font signalled by a DVB Font Download could not be successfully downloaded, so the FontFace will not be used.
     * @event MediaPlayerEvents#DVB_FONT_DOWNLOAD_FAILED
     */
    this.DVB_FONT_DOWNLOAD_FAILED = 'dvbFontDownloadFailed';

    /**
     * Triggered when a dynamic stream changed to static (transition phase between Live and On-Demand).
     * @event MediaPlayerEvents#DYNAMIC_TO_STATIC
     */
    this.DYNAMIC_TO_STATIC = 'dynamicToStatic';

    /**
     * Triggered when there is an error from the element or MSE source buffer.
     * @event MediaPlayerEvents#ERROR
     */
    this.ERROR = 'error';
    /**
     * Triggered when a fragment download has completed.
     * @event MediaPlayerEvents#FRAGMENT_LOADING_COMPLETED
     */
    this.FRAGMENT_LOADING_COMPLETED = 'fragmentLoadingCompleted';

    /**
     * Triggered when a partial fragment download has completed.
     * @event MediaPlayerEvents#FRAGMENT_LOADING_PROGRESS
     */
    this.FRAGMENT_LOADING_PROGRESS = 'fragmentLoadingProgress';
    /**
     * Triggered when a fragment download has started.
     * @event MediaPlayerEvents#FRAGMENT_LOADING_STARTED
     */
    this.FRAGMENT_LOADING_STARTED = 'fragmentLoadingStarted';

    /**
     * Triggered when a fragment download is abandoned due to detection of slow download base on the ABR abandon rule..
     * @event MediaPlayerEvents#FRAGMENT_LOADING_ABANDONED
     */
    this.FRAGMENT_LOADING_ABANDONED = 'fragmentLoadingAbandoned';

    /**
     * Triggered when {@link module:Debug} logger methods are called.
     * @event MediaPlayerEvents#LOG
     */
    this.LOG = 'log';

    /**
     * Triggered when the manifest load is started
     * @event MediaPlayerEvents#MANIFEST_LOADING_STARTED
     */
    this.MANIFEST_LOADING_STARTED = 'manifestLoadingStarted';

    /**
     * Triggered when the manifest loading is finished, providing the request object information
     * @event MediaPlayerEvents#MANIFEST_LOADING_FINISHED
     */
    this.MANIFEST_LOADING_FINISHED = 'manifestLoadingFinished';

    /**
     * Triggered when the manifest load is complete, providing the payload
     * @event MediaPlayerEvents#MANIFEST_LOADED
     */
    this.MANIFEST_LOADED = 'manifestLoaded';

    /**
     * Triggered anytime there is a change to the overall metrics.
     * @event MediaPlayerEvents#METRICS_CHANGED
     */
    this.METRICS_CHANGED = 'metricsChanged';

    /**
     * Triggered when an individual metric is added, updated or cleared.
     * @event MediaPlayerEvents#METRIC_CHANGED
     */
    this.METRIC_CHANGED = 'metricChanged';

    /**
     * Triggered every time a new metric is added.
     * @event MediaPlayerEvents#METRIC_ADDED
     */
    this.METRIC_ADDED = 'metricAdded';

    /**
     * Triggered every time a metric is updated.
     * @event MediaPlayerEvents#METRIC_UPDATED
     */
    this.METRIC_UPDATED = 'metricUpdated';

    /**
     * Triggered when a new stream (period) starts.
     * @event MediaPlayerEvents#PERIOD_SWITCH_STARTED
     */
    this.PERIOD_SWITCH_STARTED = 'periodSwitchStarted';

    /**
     * Triggered at the stream end of a period.
     * @event MediaPlayerEvents#PERIOD_SWITCH_COMPLETED
     */
    this.PERIOD_SWITCH_COMPLETED = 'periodSwitchCompleted';

    /**
     * Triggered when an ABR up /down switch is initiated; either by user in manual mode or auto mode via ABR rules.
     * @event MediaPlayerEvents#QUALITY_CHANGE_REQUESTED
     */
    this.QUALITY_CHANGE_REQUESTED = 'qualityChangeRequested';

    /**
     * Triggered when the new ABR quality is being rendered on-screen.
     * @event MediaPlayerEvents#QUALITY_CHANGE_RENDERED
     */
    this.QUALITY_CHANGE_RENDERED = 'qualityChangeRendered';

    /**
     * Triggered when the new track is being selected
     * @event MediaPlayerEvents#NEW_TRACK_SELECTED
     */
    this.NEW_TRACK_SELECTED = 'newTrackSelected';

    /**
     * Triggered when the new track is being rendered.
     * @event MediaPlayerEvents#TRACK_CHANGE_RENDERED
     */
    this.TRACK_CHANGE_RENDERED = 'trackChangeRendered';

    /**
     * Triggered when a stream (period) is being loaded
     * @event MediaPlayerEvents#STREAM_INITIALIZING
     */
    this.STREAM_INITIALIZING = 'streamInitializing';

    /**
     * Triggered when a stream (period) is loaded
     * @event MediaPlayerEvents#STREAM_UPDATED
     */
    this.STREAM_UPDATED = 'streamUpdated';

    /**
     * Triggered when a stream (period) is activated
     * @event MediaPlayerEvents#STREAM_ACTIVATED
     */
    this.STREAM_ACTIVATED = 'streamActivated';

    /**
     * Triggered when a stream (period) is deactivated
     * @event MediaPlayerEvents#STREAM_DEACTIVATED
     */
    this.STREAM_DEACTIVATED = 'streamDeactivated';

    /**
     * Triggered when a stream (period) is activated
     * @event MediaPlayerEvents#STREAM_INITIALIZED
     */
    this.STREAM_INITIALIZED = 'streamInitialized';

    /**
     * Triggered when the player has been reset.
     * @event MediaPlayerEvents#STREAM_TEARDOWN_COMPLETE
     */
    this.STREAM_TEARDOWN_COMPLETE = 'streamTeardownComplete';

    /**
     * Triggered once all text tracks detected in the MPD are added to the video element.
     * @event MediaPlayerEvents#TEXT_TRACKS_ADDED
     */
    this.TEXT_TRACKS_ADDED = 'allTextTracksAdded';

    /**
     * Triggered when a text track is added to the video element's TextTrackList
     * @event MediaPlayerEvents#TEXT_TRACK_ADDED
     */
    this.TEXT_TRACK_ADDED = 'textTrackAdded';

    /**
     * Triggered when a text track should be shown
     * @event MediaPlayerEvents#CUE_ENTER
     */
    this.CUE_ENTER = 'cueEnter';

    /**
     * Triggered when a text track should be hidden
     * @event MediaPlayerEvents#CUE_ENTER
     */
    this.CUE_EXIT = 'cueExit';

    /**
     * Triggered when a throughput measurement based on the last segment request has been stored
     * @event MediaPlayerEvents#THROUGHPUT_MEASUREMENT_STORED
     */
    this.THROUGHPUT_MEASUREMENT_STORED = 'throughputMeasurementStored';

    /**
     * Triggered when a ttml chunk is parsed.
     * @event MediaPlayerEvents#TTML_PARSED
     */
    this.TTML_PARSED = 'ttmlParsed';

    /**
     * Triggered when a ttml chunk has to be parsed.
     * @event MediaPlayerEvents#TTML_TO_PARSE
     */
    this.TTML_TO_PARSE = 'ttmlToParse';

    /**
     * Triggered when a caption is rendered.
     * @event MediaPlayerEvents#CAPTION_RENDERED
     */
    this.CAPTION_RENDERED = 'captionRendered';

    /**
     * Triggered when the caption container is resized.
     * @event MediaPlayerEvents#CAPTION_CONTAINER_RESIZE
     */
    this.CAPTION_CONTAINER_RESIZE = 'captionContainerResize';

    /**
     * Sent when enough data is available that the media can be played,
     * at least for a couple of frames.  This corresponds to the
     * HAVE_ENOUGH_DATA readyState.
     * @event MediaPlayerEvents#CAN_PLAY
     */
    this.CAN_PLAY = 'canPlay';

    /**
     * This corresponds to the CAN_PLAY_THROUGH readyState.
     * @event MediaPlayerEvents#CAN_PLAY_THROUGH
     */
    this.CAN_PLAY_THROUGH = 'canPlayThrough';

    /**
     * Sent when playback completes.
     * @event MediaPlayerEvents#PLAYBACK_ENDED
     */
    this.PLAYBACK_ENDED = 'playbackEnded';

    /**
     * Sent when an error occurs.  The element's error
     * attribute contains more information.
     * @event MediaPlayerEvents#PLAYBACK_ERROR
     */
    this.PLAYBACK_ERROR = 'playbackError';

    /**
     * This event is fired once the playback has been initialized by MediaPlayer.js.
     * After that event methods such as setTextTrack() can be used.
     * @event MediaPlayerEvents#PLAYBACK_INITIALIZED
     */
    this.PLAYBACK_INITIALIZED = 'playbackInitialized';

    /**
     * Sent when playback is not allowed (for example if user gesture is needed).
     * @event MediaPlayerEvents#PLAYBACK_NOT_ALLOWED
     */
    this.PLAYBACK_NOT_ALLOWED = 'playbackNotAllowed';

    /**
     * The media's metadata has finished loading; all attributes now
     * contain as much useful information as they're going to.
     * @event MediaPlayerEvents#PLAYBACK_METADATA_LOADED
     */
    this.PLAYBACK_METADATA_LOADED = 'playbackMetaDataLoaded';

    /**
     * The event is fired when the frame at the current playback position of the media has finished loading;
     * often the first frame
     * @event MediaPlayerEvents#PLAYBACK_LOADED_DATA
     */
    this.PLAYBACK_LOADED_DATA = 'playbackLoadedData';

    /**
     * Sent when playback is paused.
     * @event MediaPlayerEvents#PLAYBACK_PAUSED
     */
    this.PLAYBACK_PAUSED = 'playbackPaused';

    /**
     * Sent when the media begins to play (either for the first time, after having been paused,
     * or after ending and then restarting).
     *
     * @event MediaPlayerEvents#PLAYBACK_PLAYING
     */
    this.PLAYBACK_PLAYING = 'playbackPlaying';

    /**
     * Sent periodically to inform interested parties of progress downloading
     * the media. Information about the current amount of the media that has
     * been downloaded is available in the media element's buffered attribute.
     * @event MediaPlayerEvents#PLAYBACK_PROGRESS
     */
    this.PLAYBACK_PROGRESS = 'playbackProgress';

    /**
     * Sent when the playback speed changes.
     * @event MediaPlayerEvents#PLAYBACK_RATE_CHANGED
     */
    this.PLAYBACK_RATE_CHANGED = 'playbackRateChanged';

    /**
     * Sent when a seek operation completes.
     * @event MediaPlayerEvents#PLAYBACK_SEEKED
     */
    this.PLAYBACK_SEEKED = 'playbackSeeked';

    /**
     * Sent when a seek operation begins.
     * @event MediaPlayerEvents#PLAYBACK_SEEKING
     */
    this.PLAYBACK_SEEKING = 'playbackSeeking';

    /**
     * Sent when the video element reports stalled
     * @event MediaPlayerEvents#PLAYBACK_STALLED
     */
    this.PLAYBACK_STALLED = 'playbackStalled';

    /**
     * Sent when playback of the media starts after having been paused;
     * that is, when playback is resumed after a prior pause event.
     *
     * @event MediaPlayerEvents#PLAYBACK_STARTED
     */
    this.PLAYBACK_STARTED = 'playbackStarted';

    /**
     * The time indicated by the element's currentTime attribute has changed.
     * @event MediaPlayerEvents#PLAYBACK_TIME_UPDATED
     */
    this.PLAYBACK_TIME_UPDATED = 'playbackTimeUpdated';

    /**
     * Sent when the video element reports that the volume has changed
     * @event MediaPlayerEvents#PLAYBACK_VOLUME_CHANGED
     */
    this.PLAYBACK_VOLUME_CHANGED = 'playbackVolumeChanged';

    /**
     * Sent when the media playback has stopped because of a temporary lack of data.
     *
     * @event MediaPlayerEvents#PLAYBACK_WAITING
     */
    this.PLAYBACK_WAITING = 'playbackWaiting';

    /**
     * Manifest validity changed - As a result of an MPD validity expiration event.
     * @event MediaPlayerEvents#MANIFEST_VALIDITY_CHANGED
     */
    this.MANIFEST_VALIDITY_CHANGED = 'manifestValidityChanged';

    /**
     * Dash events are triggered at their respective start points on the timeline.
     * @event MediaPlayerEvents#EVENT_MODE_ON_START
     */
    this.EVENT_MODE_ON_START = 'eventModeOnStart';

    /**
     * Dash events are triggered as soon as they were parsed.
     * @event MediaPlayerEvents#EVENT_MODE_ON_RECEIVE
     */
    this.EVENT_MODE_ON_RECEIVE = 'eventModeOnReceive';

    /**
     * Event that is dispatched whenever the player encounters a potential conformance validation that might lead to unexpected/not optimal behavior
     * @event MediaPlayerEvents#CONFORMANCE_VIOLATION
     */
    this.CONFORMANCE_VIOLATION = 'conformanceViolation';

    /**
     * Event that is dispatched whenever the player switches to a different representation
     * @event MediaPlayerEvents#REPRESENTATION_SWITCH
     */
    this.REPRESENTATION_SWITCH = 'representationSwitch';

    /**
     * Event that is dispatched whenever an adaptation set is removed due to all representations not being supported.
     * @event MediaPlayerEvents#ADAPTATION_SET_REMOVED_NO_CAPABILITIES
     */
    this.ADAPTATION_SET_REMOVED_NO_CAPABILITIES = 'adaptationSetRemovedNoCapabilities';

    /**
     * Triggered when a content steering request has completed.
     * @event MediaPlayerEvents#CONTENT_STEERING_REQUEST_COMPLETED
     */
    this.CONTENT_STEERING_REQUEST_COMPLETED = 'contentSteeringRequestCompleted';

    /**
     * Triggered when an inband prft (ProducerReferenceTime) boxes has been received.
     * @event MediaPlayerEvents#INBAND_PRFT
     */
    this.INBAND_PRFT = 'inbandPrft';

    /**
     * The streaming attribute of the Managed Media Source is true
     * @type {string}
     */
    this.MANAGED_MEDIA_SOURCE_START_STREAMING = 'managedMediaSourceStartStreaming';

    /**
     * The streaming attribute of the Managed Media Source is false
     * @type {string}
     */
    this.MANAGED_MEDIA_SOURCE_END_STREAMING = 'managedMediaSourceEndStreaming';
  }
}
let mediaPlayerEvents = new MediaPlayerEvents();
/* harmony default export */ __webpack_exports__["default"] = (mediaPlayerEvents);

/***/ }),

/***/ "./src/streaming/PreBufferSink.js":
/*!****************************************!*\
  !*** ./src/streaming/PreBufferSink.js ***!
  \****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * This is a sink that is used to temporarily hold onto media chunks before a video element is added.
 * The discharge() function is used to get the chunks out of the PreBuffer for adding to a real SourceBuffer.
 *
 * @class PreBufferSink
 * @ignore
 * @implements FragmentSink
 */
function PreBufferSink(onAppendedCallback) {
  const context = this.context;
  let instance, logger, outstandingInit;
  let chunks = [];
  let onAppended = onAppendedCallback;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance().getLogger(instance);
  }
  function reset() {
    chunks = [];
    outstandingInit = null;
    onAppended = null;
  }
  function append(chunk) {
    if (chunk.segmentType !== 'InitializationSegment') {
      //Init segments are stored in the initCache.
      chunks.push(chunk);
      chunks.sort(function (a, b) {
        return a.start - b.start;
      });
      outstandingInit = null;
    } else {
      //We need to hold an init chunk for when a corresponding media segment is being downloaded when the discharge happens.
      outstandingInit = chunk;
    }
    logger.debug('PreBufferSink appended chunk s: ' + chunk.start + '; e: ' + chunk.end);
    if (onAppended) {
      onAppended({
        chunk: chunk
      });
    }
    return Promise.resolve();
  }
  function remove(start, end) {
    chunks = chunks.filter(a => !((isNaN(end) || a.start < end) && (isNaN(start) || a.end > start))); //The opposite of the getChunks predicate.
    return Promise.resolve();
  }

  //Nothing async, nothing to abort.
  function abort() {
    return Promise.resolve();
  }
  function getAllBufferRanges() {
    let ranges = [];
    for (let i = 0; i < chunks.length; i++) {
      let chunk = chunks[i];
      if (ranges.length === 0 || chunk.start > ranges[ranges.length - 1].end) {
        ranges.push({
          start: chunk.start,
          end: chunk.end
        });
      } else {
        ranges[ranges.length - 1].end = chunk.end;
      }
    }

    //Implements TimeRanges interface. So acts just like sourceBuffer.buffered.
    const timeranges = {
      start: function (n) {
        return ranges[n].start;
      },
      end: function (n) {
        return ranges[n].end;
      }
    };
    Object.defineProperty(timeranges, 'length', {
      get: function () {
        return ranges.length;
      }
    });
    return timeranges;
  }
  function updateTimestampOffset() {
    return Promise.resolve();
  }
  function getBuffer() {
    return this;
  }

  /**
   * Return the all chunks in the buffer the lie between times start and end.
   * Because a chunk cannot be split, this returns the full chunk if any part of its time lies in the requested range.
   * Chunks are removed from the buffer when they are discharged.
   * @function PreBufferSink#discharge
   * @param {?Number} start The start time from which to discharge from the buffer. If NaN, it is regarded as unbounded.
   * @param {?Number} end The end time from which to discharge from the buffer. If NaN, it is regarded as unbounded.
   * @returns {Array} The set of chunks from the buffer within the time ranges.
   */
  function discharge(start, end) {
    const result = getChunksAt(start, end);
    if (outstandingInit) {
      result.push(outstandingInit);
      outstandingInit = null;
    }
    remove(start, end);
    return result;
  }
  function getChunksAt(start, end) {
    return chunks.filter(a => (isNaN(end) || a.start < end) && (isNaN(start) || a.end > start));
  }
  function waitForUpdateEnd(callback) {
    callback();
  }
  instance = {
    getAllBufferRanges,
    append,
    remove,
    abort,
    discharge,
    reset,
    updateTimestampOffset,
    waitForUpdateEnd,
    getBuffer
  };
  setup();
  return instance;
}
PreBufferSink.__dashjs_factory_name = 'PreBufferSink';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(PreBufferSink);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/SourceBufferSink.js":
/*!*******************************************!*\
  !*** ./src/streaming/SourceBufferSink.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../core/events/Events.js */ "./src/core/events/Events.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








const APPEND_WINDOW_START_OFFSET = 0.1;
const APPEND_WINDOW_END_OFFSET = 0.01;

/**
 * @class SourceBufferSink
 * @ignore
 * @implements FragmentSink
 */

const CHECK_INTERVAL = 50;
function SourceBufferSink(config) {
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  const textController = config.textController;
  const eventBus = config.eventBus;
  let instance, type, logger, buffer, mediaInfo, intervalId;
  let callbacks = [];
  let appendQueue = [];
  let isAppendingInProgress = false;
  let mediaSource = config.mediaSource;
  let lastRequestAppended = null;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance().getLogger(instance);
  }
  function _getCodecStringForRepresentation(representation) {
    return representation.mimeType + ';codecs="' + representation.codecs + '"';
  }
  function initializeForStreamSwitch(mInfo, selectedRepresentation, oldSourceBufferSink) {
    mediaInfo = mInfo;
    type = mediaInfo.type;
    _copyPreviousSinkData(oldSourceBufferSink);
    _addEventListeners();
  }
  function changeType(representation) {
    const codec = _getCodecStringForRepresentation(representation);
    return new Promise(resolve => {
      _waitForUpdateEnd(() => {
        if (buffer.changeType) {
          logger.debug(`Changing SourceBuffer codec to ${codec}`);
          buffer.changeType(codec);
        }
        resolve();
      });
    });
  }
  function _copyPreviousSinkData(oldSourceBufferSink) {
    buffer = oldSourceBufferSink.getBuffer();
  }
  function initializeForFirstUse(mInfo, selectedRepresentation) {
    mediaInfo = mInfo;
    const streamInfo = mInfo.streamInfo;
    type = mediaInfo.type;
    const codec = selectedRepresentation ? _getCodecStringForRepresentation(selectedRepresentation) : mInfo.codec;
    try {
      // Safari claims to support anything starting 'application/mp4'.
      // it definitely doesn't understand 'application/mp4;codecs="stpp"'
      // - currently no browser does, so check for it and use our own
      // implementation. The same is true for codecs="wvtt".
      if (codec.match(/application\/mp4;\s*codecs="(stpp|wvtt).*"/i)) {
        return _initializeForText(streamInfo);
      }
      buffer = mediaSource.addSourceBuffer(codec);
      _addEventListeners();
      const promises = [];
      promises.push(updateAppendWindow(mediaInfo.streamInfo));
      if (selectedRepresentation && selectedRepresentation.mseTimeOffset !== undefined) {
        promises.push(updateTimestampOffset(selectedRepresentation.mseTimeOffset));
      }
      return Promise.all(promises);
    } catch (e) {
      // Note that in the following, the quotes are open to allow for extra text after stpp and wvtt
      if (mediaInfo.type == _constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].TEXT && !mediaInfo.isFragmented || codec.indexOf('codecs="stpp') !== -1 || codec.indexOf('codecs="vtt') !== -1 || codec.indexOf('text/vtt') !== -1) {
        return _initializeForText(streamInfo);
      }
      return Promise.reject(e);
    }
  }
  function _initializeForText(streamInfo) {
    buffer = textController.getTextSourceBuffer(streamInfo);
    return Promise.resolve();
  }
  function _addEventListeners() {
    // use updateend event if possible
    if (typeof buffer.addEventListener === 'function') {
      try {
        buffer.addEventListener('updateend', _updateEndHandler, false);
        buffer.addEventListener('error', _errHandler, false);
        buffer.addEventListener('abort', _errHandler, false);
      } catch (err) {
        // use setInterval to periodically check if updating has been completed
        intervalId = setInterval(_updateEndHandler, CHECK_INTERVAL);
      }
    } else {
      // use setInterval to periodically check if updating has been completed
      intervalId = setInterval(_updateEndHandler, CHECK_INTERVAL);
    }
  }
  function getType() {
    return type;
  }
  function removeEventListeners() {
    try {
      if (typeof buffer.removeEventListener === 'function') {
        buffer.removeEventListener('updateend', _updateEndHandler, false);
        buffer.removeEventListener('error', _errHandler, false);
        buffer.removeEventListener('abort', _errHandler, false);
      }
      clearInterval(intervalId);
    } catch (e) {
      logger.error(e);
    }
  }
  function updateAppendWindow(sInfo) {
    return new Promise(resolve => {
      if (!buffer || !settings.get().streaming.buffer.useAppendWindow) {
        resolve();
        return;
      }
      _waitForUpdateEnd(() => {
        try {
          if (!buffer) {
            resolve();
            return;
          }
          let appendWindowEnd = mediaSource.duration;
          let appendWindowStart = 0;
          if (sInfo && !isNaN(sInfo.start) && !isNaN(sInfo.duration) && isFinite(sInfo.duration)) {
            appendWindowEnd = sInfo.start + sInfo.duration;
          }
          if (sInfo && !isNaN(sInfo.start)) {
            appendWindowStart = sInfo.start;
          }
          if (buffer.appendWindowEnd !== appendWindowEnd || buffer.appendWindowStart !== appendWindowStart) {
            buffer.appendWindowStart = 0;
            buffer.appendWindowEnd = appendWindowEnd + APPEND_WINDOW_END_OFFSET;
            buffer.appendWindowStart = Math.max(appendWindowStart - APPEND_WINDOW_START_OFFSET, 0);
            logger.debug(`Updated append window for ${mediaInfo.type}. Set start to ${buffer.appendWindowStart} and end to ${buffer.appendWindowEnd}`);
          }
          resolve();
        } catch (e) {
          logger.warn(`Failed to set append window`);
          resolve();
        }
      });
    });
  }
  function updateTimestampOffset(mseTimeOffset) {
    return new Promise(resolve => {
      if (!buffer) {
        resolve();
        return;
      }
      _waitForUpdateEnd(() => {
        try {
          if (buffer.timestampOffset !== mseTimeOffset && !isNaN(mseTimeOffset)) {
            buffer.timestampOffset = mseTimeOffset;
            logger.debug(`Set MSE timestamp offset to ${mseTimeOffset}`);
          }
          resolve();
        } catch (e) {
          resolve();
        }
      });
    });
  }
  function reset() {
    if (buffer) {
      try {
        callbacks = [];
        removeEventListeners();
        isAppendingInProgress = false;
        appendQueue = [];
        if (!buffer.getClassName || buffer.getClassName() !== 'TextSourceBuffer') {
          logger.debug(`Removing sourcebuffer from media source`);
          mediaSource.removeSourceBuffer(buffer);
        }
      } catch (e) {}
      buffer = null;
    }
    lastRequestAppended = null;
  }
  function getBuffer() {
    return buffer;
  }
  function getAllBufferRanges() {
    try {
      return buffer.buffered;
    } catch (e) {
      logger.error('getAllBufferRanges exception: ' + e.message);
      return null;
    }
  }
  function append(chunk) {
    let request = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    return new Promise((resolve, reject) => {
      if (!chunk) {
        reject({
          chunk: chunk,
          error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_1__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__["default"].APPEND_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__["default"].APPEND_ERROR_MESSAGE)
        });
        return;
      }
      appendQueue.push({
        data: chunk,
        promise: {
          resolve,
          reject
        },
        request
      });
      _waitForUpdateEnd(_appendNextInQueue.bind(this));
    });
  }
  function abortBeforeAppend() {
    return new Promise(resolve => {
      _waitForUpdateEnd(() => {
        // Save the append window, which is reset on abort().
        const appendWindowStart = buffer.appendWindowStart;
        const appendWindowEnd = buffer.appendWindowEnd;
        if (buffer) {
          buffer.abort();
          buffer.appendWindowStart = appendWindowStart;
          buffer.appendWindowEnd = appendWindowEnd;
        }
        resolve();
      });
    });
  }
  function remove(range) {
    return new Promise((resolve, reject) => {
      const start = range.start;
      const end = range.end;

      // make sure that the given time range is correct. Otherwise we will get InvalidAccessError
      if (!(start >= 0 && end > start)) {
        resolve();
        return;
      }
      _waitForUpdateEnd(function () {
        try {
          buffer.remove(start, end);
          // updating is in progress, we should wait for it to complete before signaling that this operation is done
          _waitForUpdateEnd(function () {
            resolve({
              from: start,
              to: end,
              unintended: false
            });
            if (range.resolve) {
              range.resolve();
            }
          });
        } catch (err) {
          reject({
            from: start,
            to: end,
            unintended: false,
            error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_1__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__["default"].REMOVE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_3__["default"].REMOVE_ERROR_MESSAGE)
          });
          if (range.reject) {
            range.reject(err);
          }
        }
      });
    });
  }
  function _appendNextInQueue() {
    if (isAppendingInProgress) {
      return;
    }
    if (appendQueue.length > 0) {
      isAppendingInProgress = true;
      const nextChunk = appendQueue[0];
      appendQueue.splice(0, 1);
      const afterSuccess = function () {
        isAppendingInProgress = false;
        if (appendQueue.length > 0) {
          _appendNextInQueue.call(this);
        }
        // Init segments are cached. In any other case we dont need the chunk bytes anymore and can free the memory
        if (nextChunk && nextChunk.data && nextChunk.data.segmentType && nextChunk.data.segmentType !== _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.INIT_SEGMENT_TYPE) {
          delete nextChunk.data.bytes;
        }
        nextChunk.promise.resolve({
          chunk: nextChunk.data
        });
      };
      try {
        lastRequestAppended = nextChunk.request;
        if (nextChunk.data.bytes.byteLength === 0) {
          afterSuccess.call(this);
        } else {
          try {
            logger.debug(`Appending ${nextChunk.data.segmentType} from period ${nextChunk.data.streamId} to buffer. Request URL: ${nextChunk.request.url}, Representation: ID: ${nextChunk.data.representation.id}, bitrate: ${nextChunk.data.representation.bitrateInKbit}`);
          } catch (e) {}
          if (buffer.appendBuffer) {
            buffer.appendBuffer(nextChunk.data.bytes);
          } else {
            buffer.append(nextChunk.data.bytes, nextChunk.data);
          }
          // updating is in progress, we should wait for it to complete before signaling that this operation is done
          _waitForUpdateEnd(afterSuccess.bind(this));
        }
      } catch (err) {
        logger.fatal('SourceBuffer append failed "' + err + '"');
        if (appendQueue.length > 0) {
          _appendNextInQueue();
        } else {
          isAppendingInProgress = false;
        }
        delete nextChunk.data.bytes;
        nextChunk.promise.reject({
          chunk: nextChunk.data,
          error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_1__["default"](err.code, err.message)
        });
      }
    }
  }
  function abort() {
    return new Promise(resolve => {
      try {
        appendQueue = [];
        if (mediaSource.readyState === 'open') {
          _waitForUpdateEnd(() => {
            try {
              if (buffer) {
                buffer.abort();
              }
              resolve();
            } catch (e) {
              resolve();
            }
          });
        } else if (buffer && buffer.setTextTrack && mediaSource.readyState === 'ended') {
          buffer.abort(); //The cues need to be removed from the TextSourceBuffer via a call to abort()
          resolve();
        } else {
          resolve();
        }
      } catch (e) {
        resolve();
      }
    });
  }
  function _executeCallback() {
    if (callbacks.length > 0) {
      if (!buffer.updating) {
        const cb = callbacks.shift();
        cb();
        // Try to execute next callback if still not updating
        _executeCallback();
      }
    }
  }
  function _updateEndHandler() {
    // if updating is still in progress do nothing and wait for the next check again.
    if (buffer.updating) {
      return;
    }

    // updating is completed, now we can stop checking and resolve the promise
    _executeCallback();
  }
  function _errHandler(e) {
    const error = e.target || {};
    _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_7__["default"].SOURCE_BUFFER_ERROR, {
      error,
      lastRequestAppended
    });
  }
  function _triggerEvent(eventType, data) {
    let payload = data || {};
    eventBus.trigger(eventType, payload, {
      streamId: mediaInfo.streamInfo.id,
      mediaType: type
    });
  }
  function _waitForUpdateEnd(callback) {
    try {
      callbacks.push(callback);
      if (!buffer.updating) {
        _executeCallback();
      }
    } catch (e) {
      logger.error(e);
    }
  }
  instance = {
    abort,
    abortBeforeAppend,
    append,
    changeType,
    getAllBufferRanges,
    getBuffer,
    getType,
    initializeForFirstUse,
    initializeForStreamSwitch,
    remove,
    removeEventListeners,
    reset,
    updateAppendWindow,
    updateTimestampOffset
  };
  setup();
  return instance;
}
SourceBufferSink.__dashjs_factory_name = 'SourceBufferSink';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(SourceBufferSink);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/Stream.js":
/*!*********************************!*\
  !*** ./src/streaming/Stream.js ***!
  \*********************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _StreamProcessor_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./StreamProcessor.js */ "./src/streaming/StreamProcessor.js");
/* harmony import */ var _controllers_FragmentController_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./controllers/FragmentController.js */ "./src/streaming/controllers/FragmentController.js");
/* harmony import */ var _thumbnail_ThumbnailController_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./thumbnail/ThumbnailController.js */ "./src/streaming/thumbnail/ThumbnailController.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./utils/BoxParser.js */ "./src/streaming/utils/BoxParser.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _controllers_BlacklistController_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./controllers/BlacklistController.js */ "./src/streaming/controllers/BlacklistController.js");
/* harmony import */ var _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./vo/MediaInfoSelectionInput.js */ "./src/streaming/vo/MediaInfoSelectionInput.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */















const MEDIA_TYPES = [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].MUXED, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE];
function Stream(config) {
  config = config || {};
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_12__["default"])(context).getInstance();
  const manifestModel = config.manifestModel;
  const mediaPlayerModel = config.mediaPlayerModel;
  const dashMetrics = config.dashMetrics;
  const manifestUpdater = config.manifestUpdater;
  const adapter = config.adapter;
  const timelineConverter = config.timelineConverter;
  const capabilities = config.capabilities;
  const errHandler = config.errHandler;
  const abrController = config.abrController;
  const playbackController = config.playbackController;
  const throughputController = config.throughputController;
  const eventController = config.eventController;
  const mediaController = config.mediaController;
  const protectionController = config.protectionController;
  const textController = config.textController;
  const videoModel = config.videoModel;
  let streamInfo = config.streamInfo;
  const settings = config.settings;
  let instance, logger, streamProcessors, isInitialized, isActive, hasFinishedBuffering, hasVideoTrack, hasAudioTrack, fragmentController, thumbnailController, segmentBlacklistController, preloaded, boxParser, debug, isEndedEventSignaled, trackChangedEvents;

  /**
   * Setup the stream
   */
  function setup() {
    try {
      debug = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
      logger = debug.getLogger(instance);
      resetInitialSettings();
      boxParser = (0,_utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_11__["default"])(context).getInstance();
      segmentBlacklistController = (0,_controllers_BlacklistController_js__WEBPACK_IMPORTED_MODULE_13__["default"])(context).create({
        updateEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SEGMENT_LOCATION_BLACKLIST_CHANGED,
        addBlacklistEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SEGMENT_LOCATION_BLACKLIST_ADD
      });
      fragmentController = (0,_controllers_FragmentController_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create({
        streamInfo: streamInfo,
        mediaPlayerModel: mediaPlayerModel,
        dashMetrics: dashMetrics,
        errHandler: errHandler,
        settings: settings,
        boxParser: boxParser,
        dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        urlUtils: urlUtils
      });
    } catch (e) {
      throw e;
    }
  }

  /**
   * Initialize the events
   */
  function initialize() {
    registerEvents();
    registerProtectionEvents();
    textController.initializeForStream(streamInfo);
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_UPDATED, {
      streamInfo: streamInfo
    });
  }

  /**
   * Register the streaming events
   */
  function registerEvents() {
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFERING_COMPLETED, _onBufferingCompleted, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].INBAND_EVENTS, _onInbandEvents, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].DATA_UPDATE_COMPLETED, _onDataUpdateCompleted, instance);
  }

  /**
   * Unregister the streaming events
   */
  function unRegisterEvents() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFERING_COMPLETED, _onBufferingCompleted, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].INBAND_EVENTS, _onInbandEvents, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].DATA_UPDATE_COMPLETED, _onDataUpdateCompleted, instance);
  }

  /**
   * Register the protection events
   */
  function registerProtectionEvents() {
    if (protectionController) {
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].KEY_ERROR, _onProtectionError, instance);
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SERVER_CERTIFICATE_UPDATED, _onProtectionError, instance);
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].LICENSE_REQUEST_COMPLETE, _onProtectionError, instance);
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].KEY_SYSTEM_SELECTED, _onProtectionError, instance);
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].KEY_SESSION_CREATED, _onProtectionError, instance);
    }
  }

  /**
   * Unregister the protection events
   */
  function unRegisterProtectionEvents() {
    if (protectionController) {
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].KEY_ERROR, _onProtectionError, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SERVER_CERTIFICATE_UPDATED, _onProtectionError, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].LICENSE_REQUEST_COMPLETE, _onProtectionError, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].KEY_SYSTEM_SELECTED, _onProtectionError, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].KEY_SESSION_CREATED, _onProtectionError, instance);
    }
  }

  /**
   * Returns the stream id
   * @return {*|null}
   */
  function getStreamId() {
    return streamInfo ? streamInfo.id : null;
  }

  /**
   * Activates Stream by re-initializing some of its components
   * @param {MediaSource} mediaSource
   * @param {array} previousBufferSinks
   * @param representationsFromPreviousPeriod
   * @memberof Stream#
   */
  function activate(mediaSource, previousBufferSinks) {
    let representationsFromPreviousPeriod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    return new Promise((resolve, reject) => {
      if (isActive) {
        resolve(previousBufferSinks);
        return;
      }
      if (getPreloaded()) {
        isActive = true;
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_ACTIVATED, {
          streamInfo
        });
        resolve(previousBufferSinks);
        return;
      }
      _initializeMedia(mediaSource, previousBufferSinks, representationsFromPreviousPeriod).then(bufferSinks => {
        isActive = true;
        if (representationsFromPreviousPeriod && representationsFromPreviousPeriod.length > 0) {
          startScheduleControllers();
        }
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_ACTIVATED, {
          streamInfo
        });
        resolve(bufferSinks);
      }).catch(e => {
        reject(e);
      });
    });
  }
  function startPreloading(mediaSource, previousBuffers) {
    let representationsFromPreviousPeriod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    return new Promise((resolve, reject) => {
      if (getPreloaded()) {
        reject();
        return;
      }
      logger.info(`[startPreloading] Preloading next stream with id ${getId()}`);
      _setPreloaded(true);
      _commonMediaInitialization(mediaSource, previousBuffers, representationsFromPreviousPeriod).then(() => {
        for (let i = 0; i < streamProcessors.length && streamProcessors[i]; i++) {
          streamProcessors[i].setExplicitBufferingTime(getStartTime());
          streamProcessors[i].getScheduleController().startScheduleTimer();
        }
        resolve();
      }).catch(() => {
        _setPreloaded(false);
        reject();
      });
    });
  }

  /**
   *
   * @param {object} mediaSource
   * @param {array} previousBufferSinks
   * @param representationsFromPreviousPeriod
   * @return {Promise<Array>}
   * @private
   */
  function _initializeMedia(mediaSource, previousBufferSinks) {
    let representationsFromPreviousPeriod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    return _commonMediaInitialization(mediaSource, previousBufferSinks, representationsFromPreviousPeriod);
  }

  /**
   *
   * @param {object} mediaSource
   * @param {array} previousBufferSinks
   * @return {Promise<array>}
   * @private
   */
  function _commonMediaInitialization(mediaSource, previousBufferSinks, representationsFromPreviousPeriod) {
    return new Promise((resolve, reject) => {
      checkConfig();
      _addInlineEvents();
      let element = videoModel.getElement();
      const promises = [];
      MEDIA_TYPES.forEach(mediaType => {
        // If we are preloading without a video element we can not start texttrack handling.
        if (!(mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !mediaSource) && (mediaType !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || !element || element && /^VIDEO$/i.test(element.nodeName))) {
          const representationFromPreviousPeriod = representationsFromPreviousPeriod.find(representation => {
            return representation.mediaInfo.type === mediaType;
          });
          promises.push(_initializeMediaForType(mediaType, mediaSource, representationFromPreviousPeriod));
        }
      });
      Promise.all(promises).then(() => {
        return _createBufferSinks(previousBufferSinks);
      }).then(bufferSinks => {
        if (streamProcessors.length === 0) {
          const msg = 'No streams to play.';
          errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_10__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_8__["default"].MANIFEST_ERROR_ID_NOSTREAMS_CODE, msg, manifestModel.getValue()));
          logger.fatal(msg);
        } else {
          _initializationCompleted();
        }
        if (mediaSource) {
          // All mediaInfos for texttracks are added to the TextSourceBuffer by now. We can start creating the tracks
          textController.createTracks(streamInfo);
        }
        resolve(bufferSinks);
      }).catch(e => {
        reject(e);
      });
    });
  }

  /**
   * We call this function if segments have been preloaded without a video element. Once the video element is attached MSE is available
   * @param mediaSource
   * @returns {Promise<unknown>}
   */
  function initializeForTextWithMediaSource(mediaSource) {
    return new Promise((resolve, reject) => {
      _initializeMediaForType(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, mediaSource, null).then(() => {
        return createBufferSinkForText();
      }).then(() => {
        textController.createTracks(streamInfo);
        resolve();
      }).catch(e => {
        reject(e);
      });
    });
  }

  /**
   * Initialize for a given media type. Creates a corresponding StreamProcessor
   * @param {string} type
   * @param {object} mediaSource
   * @private
   */
  function _initializeMediaForType(type, mediaSource, representationFromPreviousPeriod) {
    let allMediaForType = adapter.getAllMediaInfoForType(streamInfo, type);
    let embeddedMediaInfos = [];
    let mediaInfo = null;
    let initialMediaInfo;
    if (!allMediaForType || allMediaForType.length === 0) {
      logger.info('No ' + type + ' data.');
      return Promise.resolve();
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      hasVideoTrack = true;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO) {
      hasAudioTrack = true;
    }
    for (let i = 0, ln = allMediaForType.length; i < ln; i++) {
      mediaInfo = allMediaForType[i];
      if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !!mediaInfo.isEmbedded) {
        textController.addEmbeddedTrack(streamInfo, mediaInfo);
        embeddedMediaInfos.push(mediaInfo);
      }
      if (_isMediaSupported(mediaInfo)) {
        mediaController.addTrack(mediaInfo);
      }
    }
    if (embeddedMediaInfos.length > 0) {
      mediaController.setInitialMediaSettingsForType(type, streamInfo);
      textController.addMediaInfosToBuffer(streamInfo, type, embeddedMediaInfos);
    }

    // Filter out embedded text track before creating StreamProcessor
    allMediaForType = allMediaForType.filter(mediaInfo => {
      return !mediaInfo.isEmbedded;
    });
    if (allMediaForType.length === 0) {
      return Promise.resolve();
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE) {
      thumbnailController = (0,_thumbnail_ThumbnailController_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create({
        streamInfo: streamInfo,
        adapter: adapter,
        baseURLController: config.baseURLController,
        timelineConverter: config.timelineConverter,
        debug: debug,
        eventBus: eventBus,
        events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"],
        dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
        dashMetrics: config.dashMetrics,
        segmentBaseController: config.segmentBaseController
      });
      thumbnailController.initialize();
      return Promise.resolve();
    }
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_INITIALIZING, {
      streamInfo: streamInfo,
      mediaInfo: mediaInfo
    });
    mediaController.setInitialMediaSettingsForType(type, streamInfo);
    let streamProcessor = _createStreamProcessor(allMediaForType, mediaSource);
    initialMediaInfo = mediaController.getCurrentTrackFor(type, streamInfo.id);
    if (initialMediaInfo) {
      // In case of mixed fragmented and embedded text tracks, check if initial selected text track is not an embedded track
      const newMediaInfo = type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT || !initialMediaInfo.isEmbedded ? initialMediaInfo : allMediaForType[0];
      const mediaInfoSelectionInput = new _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_14__["default"]({
        newMediaInfo,
        previouslySelectedRepresentation: representationFromPreviousPeriod
      });
      return streamProcessor.selectMediaInfo(mediaInfoSelectionInput);
    }
    return Promise.resolve();
  }
  function _isMediaSupported(mediaInfo) {
    const type = mediaInfo ? mediaInfo.type : null;
    let msg;
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].MUXED) {
      msg = 'Multiplexed representations are intentionally not supported, as they are not compliant with the DASH-AVC/264 guidelines';
      logger.fatal(msg);
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_10__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_8__["default"].MANIFEST_ERROR_ID_MULTIPLEXED_CODE, msg, manifestModel.getValue()));
      return false;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE) {
      return true;
    }
    if (!!mediaInfo.contentProtection && mediaInfo.contentProtection.length > 0 && !capabilities.supportsEncryptedMedia()) {
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_10__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_8__["default"].CAPABILITY_MEDIAKEYS_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_8__["default"].CAPABILITY_MEDIAKEYS_ERROR_MESSAGE));
      return false;
    }
    return true;
  }

  /**
   * Creates the StreamProcessor for a given media type.
   * @param {array} allMediaForType
   * @param {object} mediaSource
   * @private
   */
  function _createStreamProcessor(allMediaForType, mediaSource) {
    const mediaInfo = allMediaForType && allMediaForType.length > 0 ? allMediaForType[0] : null;
    let fragmentModel = fragmentController.getModel(mediaInfo ? mediaInfo.type : null);
    const type = mediaInfo ? mediaInfo.type : null;
    const mimeType = mediaInfo ? mediaInfo.mimeType : null;
    const isFragmented = mediaInfo ? mediaInfo.isFragmented : null;
    let streamProcessor = (0,_StreamProcessor_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      abrController,
      adapter,
      baseURLController: config.baseURLController,
      boxParser,
      capabilities,
      dashMetrics: config.dashMetrics,
      errHandler,
      fragmentModel,
      manifestModel,
      mediaController,
      mediaPlayerModel,
      mimeType,
      playbackController,
      segmentBaseController: config.segmentBaseController,
      segmentBlacklistController,
      settings,
      streamInfo,
      textController,
      throughputController,
      timelineConverter,
      type
    });
    streamProcessor.initialize(mediaSource, hasVideoTrack, isFragmented);
    streamProcessors.push(streamProcessor);
    streamProcessor.setMediaInfoArray(allMediaForType);
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT) {
      textController.addMediaInfosToBuffer(streamInfo, type, allMediaForType, fragmentModel);
    }
    return streamProcessor;
  }

  /**
   * Creates the SourceBufferSink objects for all StreamProcessors
   * @param {array} previousBuffersSinks
   * @return {Promise<object>}
   * @private
   */
  function _createBufferSinks(previousBuffersSinks) {
    return new Promise(resolve => {
      const buffers = {};
      const promises = streamProcessors.map(sp => {
        const oldRepresentation = sp.getRepresentation();
        return sp.createBufferSinks(previousBuffersSinks, oldRepresentation);
      });
      Promise.all(promises).then(bufferSinks => {
        bufferSinks.forEach(sink => {
          if (sink) {
            buffers[sink.getType()] = sink;
          }
        });
        resolve(buffers);
      }).catch(() => {
        resolve(buffers);
      });
    });
  }
  function createBufferSinkForText() {
    const sp = _getProcessorByType(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT);
    if (sp) {
      return sp.createBufferSinks();
    }
    return Promise.resolve();
  }

  /**
   * Partially resets some of the Stream elements. This function is called when preloading of streams is canceled or a stream switch occurs.
   * @memberof Stream#
   * @param {boolean} keepBuffers
   */
  function deactivate(keepBuffers) {
    let ln = streamProcessors ? streamProcessors.length : 0;
    const errored = false;
    for (let i = 0; i < ln; i++) {
      let fragmentModel = streamProcessors[i].getFragmentModel();
      fragmentModel.abortRequests();
      fragmentModel.resetInitialSettings();
      streamProcessors[i].reset(errored, keepBuffers);
    }
    if (textController) {
      textController.deactivateStream(streamInfo);
    }
    if (thumbnailController) {
      thumbnailController.reset();
      thumbnailController = null;
    }
    streamProcessors = [];
    isActive = false;
    hasFinishedBuffering = false;
    _setPreloaded(false);
    setIsEndedEventSignaled(false);
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_DEACTIVATED, {
      streamInfo
    });
  }
  function getIsActive() {
    return isActive;
  }
  function setMediaSource(mediaSource) {
    return new Promise((resolve, reject) => {
      const promises = [];
      for (let i = 0; i < streamProcessors.length;) {
        if (_isMediaSupported(streamProcessors[i].getMediaInfo())) {
          promises.push(streamProcessors[i].setMediaSource(mediaSource));
          i++;
        } else {
          streamProcessors[i].reset();
          streamProcessors.splice(i, 1);
        }
      }
      Promise.all(promises).then(() => {
        for (let i = 0; i < streamProcessors.length; i++) {
          //Adding of new tracks to a stream processor isn't guaranteed by the spec after the METADATA_LOADED state
          //so do this after the buffers are created above.
          streamProcessors[i].dischargePreBuffer();
        }
        if (streamProcessors.length === 0) {
          const msg = 'No streams to play.';
          errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_10__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_8__["default"].MANIFEST_ERROR_ID_NOSTREAMS_CODE, msg + 'nostreams', manifestModel.getValue()));
          logger.fatal(msg);
        }
        resolve();
      }).catch(e => {
        logger.error(e);
        reject(e);
      });
    });
  }
  function resetInitialSettings(keepBuffers) {
    deactivate(keepBuffers);
    isInitialized = false;
    hasVideoTrack = false;
    hasAudioTrack = false;
    isEndedEventSignaled = false;
    trackChangedEvents = [];
  }
  function reset(keepBuffers) {
    if (fragmentController) {
      fragmentController.reset();
      fragmentController = null;
    }
    if (abrController && streamInfo) {
      abrController.clearDataForStream(streamInfo.id);
    }
    if (segmentBlacklistController) {
      segmentBlacklistController.reset();
      segmentBlacklistController = null;
    }
    if (textController && streamInfo) {
      textController.clearDataForStream(streamInfo.id);
    }
    if (mediaController && streamInfo) {
      mediaController.clearDataForStream(streamInfo.id);
    }
    resetInitialSettings(keepBuffers);
    streamInfo = null;
    unRegisterEvents();
    unRegisterProtectionEvents();
  }
  function getDuration() {
    return streamInfo ? streamInfo.duration : NaN;
  }
  function getIsEndedEventSignaled() {
    return isEndedEventSignaled;
  }
  function setIsEndedEventSignaled(value) {
    isEndedEventSignaled = value;
  }
  function getStartTime() {
    return streamInfo ? streamInfo.start : NaN;
  }
  function getId() {
    return streamInfo ? streamInfo.id : null;
  }
  function getStreamInfo() {
    return streamInfo;
  }
  function getHasAudioTrack() {
    return hasAudioTrack;
  }
  function getHasVideoTrack() {
    return hasVideoTrack;
  }
  function getThumbnailController() {
    return thumbnailController;
  }
  function checkConfig() {
    if (!videoModel || !abrController) {
      throw new Error(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].MISSING_CONFIG_ERROR);
    }
  }

  /**
   * @param {string} type
   * @returns {Array}
   * @memberof Stream#
   */
  function getRepresentationsByType(type) {
    checkConfig();
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE) {
      if (!thumbnailController) {
        return [];
      }
      return thumbnailController.getPossibleVoRepresentations();
    }
    const mediaInfo = _getMediaInfo(type);
    return abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
  }

  /**
   * @param {string} type
   * @param {string} id
   * @returns {Array}
   * @memberof Stream#
   */
  function getRepresentationForTypeById(type, id) {
    let possibleVoRepresentations;
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE) {
      if (!thumbnailController) {
        return null;
      }
      possibleVoRepresentations = thumbnailController.getPossibleVoRepresentations();
    } else {
      const mediaInfos = _getAllMediaInfos(type);
      possibleVoRepresentations = mediaInfos.flatMap(mediaInfo => {
        return abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
      });
    }
    if (!possibleVoRepresentations || possibleVoRepresentations.length === 0) {
      return null;
    }
    const targetReps = possibleVoRepresentations.filter(rep => {
      return rep.id === id;
    });
    return targetReps && targetReps.length > 0 ? targetReps[0] : null;
  }

  /**
   * @param {string} type
   * @param {number} index
   * @returns {Array}
   * @memberof Stream#
   */
  function getRepresentationForTypeByIndex(type, index) {
    let possibleVoRepresentations;
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE) {
      if (!thumbnailController) {
        return null;
      }
      possibleVoRepresentations = thumbnailController.getPossibleVoRepresentations();
    } else {
      const mediaInfo = _getMediaInfo(type);
      possibleVoRepresentations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
    }
    index = Math.max(Math.min(index, possibleVoRepresentations.length - 1), 0);
    return possibleVoRepresentations[index];
  }
  function _onProtectionError(event) {
    if (event.error) {
      errHandler.error(event.error);
      logger.fatal(event.error.message);
    }
  }
  function triggerProtectionError(event) {
    _onProtectionError(event);
  }
  function prepareTrackChange(e) {
    if (!isActive || !streamInfo) {
      return;
    }
    hasFinishedBuffering = false;
    let newMediaInfo = e.newMediaInfo;
    let manifest = manifestModel.getValue();
    let processor = getProcessorForMediaInfo(newMediaInfo);
    if (!processor) {
      return;
    }
    let currentTime = playbackController.getTime();
    logger.info('Stream -  Process track changed at current time ' + currentTime);

    // Applies only for MSS streams
    if (manifest.refreshManifestOnSwitchTrack) {
      trackChangedEvents.push(e);
      if (!manifestUpdater.getIsUpdating()) {
        logger.debug('Stream -  Refreshing manifest for switch track');
        manifestUpdater.refreshManifest();
      }
    } else {
      processor.clearScheduleTimer();
      processor.setTrackSwitchInProgress(true);
      const oldRepresentation = processor.getRepresentation();
      processor.selectMediaInfo(new _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_14__["default"]({
        newMediaInfo
      })).then(() => {
        const replaceBuffer = e && e.options && e.options.hasOwnProperty('replaceBuffer') ? e.options.replaceBuffer : false;
        return processor.prepareTrackSwitch(oldRepresentation, replaceBuffer);
      }).then(() => {
        processor.setTrackSwitchInProgress(false);
      });
    }
  }
  function prepareQualityChange(e) {
    const processor = _getProcessorByType(e.mediaType);
    if (processor) {
      processor.prepareQualityChange(e);
    }
  }
  function _addInlineEvents() {
    if (eventController) {
      const events = adapter.getEventsFor(streamInfo);
      if (events && events.length > 0) {
        eventController.addInlineEvents(events, streamInfo.id);
      }
    }
  }
  function _getMediaInfo(type) {
    let streamProcessor = _getStreamProcessorForType(type);
    if (streamProcessor) {
      return streamProcessor.getMediaInfo();
    }
    return null;
  }
  function _getAllMediaInfos(type) {
    let streamProcessor = _getStreamProcessorForType(type);
    if (streamProcessor) {
      return streamProcessor.getAllMediaInfos();
    }
    return [];
  }
  function _getStreamProcessorForType(type) {
    if (!type) {
      return null;
    }
    return streamProcessors.find(streamProcessor => {
      return streamProcessor.getType() === type;
    });
  }
  function _onBufferingCompleted() {
    let processors = getStreamProcessors();
    const ln = processors.length;
    if (ln === 0) {
      logger.warn('onBufferingCompleted - can\'t trigger STREAM_BUFFERING_COMPLETED because no streamProcessor is defined');
      return;
    }

    // if there is at least one buffer controller that has not completed buffering yet do nothing
    for (let i = 0; i < ln; i++) {
      //if audio or video buffer is not buffering completed state, do not send STREAM_BUFFERING_COMPLETED
      if (!processors[i].isBufferingCompleted() && (processors[i].getType() === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || processors[i].getType() === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO)) {
        logger.debug('onBufferingCompleted - One streamProcessor has finished but', processors[i].getType(), 'one is not buffering completed');
        return;
      }
    }
    logger.debug('onBufferingCompleted - trigger STREAM_BUFFERING_COMPLETED');
    hasFinishedBuffering = true;
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_BUFFERING_COMPLETED, {
      streamInfo: streamInfo
    }, {
      streamInfo
    });
  }
  function _onInbandEvents(e) {
    if (eventController) {
      eventController.addInbandEvents(e.events, streamInfo.id);
    }
  }
  function _onDataUpdateCompleted() {
    _initializationCompleted();
  }
  function getProcessorForMediaInfo(mediaInfo) {
    if (!mediaInfo || !mediaInfo.type) {
      return null;
    }
    return _getProcessorByType(mediaInfo.type);
  }
  function _getProcessorByType(type) {
    if (!type) {
      return null;
    }
    let processors = getStreamProcessors();
    return processors.filter(function (processor) {
      return processor.getType() === type;
    })[0];
  }
  function getStreamProcessors() {
    let arr = [];
    let type, streamProcessor;
    for (let i = 0; i < streamProcessors.length; i++) {
      streamProcessor = streamProcessors[i];
      type = streamProcessor.getType();
      if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT) {
        arr.push(streamProcessor);
      }
    }
    return arr;
  }
  function startScheduleControllers() {
    const ln = streamProcessors.length;
    for (let i = 0; i < ln && streamProcessors[i]; i++) {
      streamProcessors[i].getScheduleController().startScheduleTimer();
    }
  }
  function updateData(updatedStreamInfo) {
    return new Promise(resolve => {
      streamInfo = updatedStreamInfo;
      if (eventController) {
        _addInlineEvents();
      }
      let promises = [];
      for (let i = 0, ln = streamProcessors.length; i < ln; i++) {
        let streamProcessor = streamProcessors[i];
        const currentMediaInfo = streamProcessor.getMediaInfo();
        promises.push(streamProcessor.updateStreamInfo(streamInfo));
        let allMediaForType = adapter.getAllMediaInfoForType(streamInfo, streamProcessor.getType());

        // Filter out embedded text track before updating media info in  StreamProcessor
        allMediaForType = allMediaForType.filter(mediaInfo => {
          return !mediaInfo.isEmbedded;
        });

        // Check if AdaptationSet has not been removed in MPD update
        streamProcessor.setMediaInfoArray(allMediaForType);
        if (allMediaForType) {
          for (let j = 0; j < allMediaForType.length; j++) {
            if (adapter.areMediaInfosEqual(currentMediaInfo, allMediaForType[j])) {
              promises.push(streamProcessor.selectMediaInfo(new _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_14__["default"]({
                newMediaInfo: allMediaForType[j]
              })));
            }
          }
        }
      }
      let processor;
      Promise.all(promises).then(() => {
        let promises = [];

        // Only relevant for MSS
        while (trackChangedEvents.length > 0) {
          let trackChangedEvent = trackChangedEvents.pop();
          let newMediaInfo = trackChangedEvent.newMediaInfo;
          processor = getProcessorForMediaInfo(trackChangedEvent.oldMediaInfo);
          if (!processor) {
            return;
          }
          const oldRepresentation = processor.getRepresentation();
          processor.setTrackSwitchInProgress(true);
          promises.push(processor.prepareTrackSwitch(oldRepresentation));
          promises.push(processor.selectMediaInfo(new _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_14__["default"]({
            newMediaInfo
          })));
        }
        return Promise.all(promises);
      }).then(() => {
        _initializationCompleted();
        if (processor) {
          processor.setTrackSwitchInProgress(false);
        }
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_UPDATED, {
          streamInfo: streamInfo
        });
        resolve();
      }).catch(e => {
        errHandler.error(e);
      });
    });
  }
  function _initializationCompleted() {
    const ln = streamProcessors.length;
    if (protectionController) {
      // Need to check if streamProcessors exists because streamProcessors
      // could be cleared in case an error is detected while initializing DRM keysystem
      protectionController.clearMediaInfoArray();
      for (let i = 0; i < ln && streamProcessors[i]; i++) {
        const type = streamProcessors[i].getType();
        const mediaInfo = streamProcessors[i].getMediaInfo();
        if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && mediaInfo && mediaInfo.isFragmented) {
          let mediaInfo = streamProcessors[i].getMediaInfo();
          if (mediaInfo) {
            protectionController.initializeForMedia(mediaInfo);
          }
        }
      }
      protectionController.handleKeySystemFromManifest();
    }
    if (!isInitialized) {
      isInitialized = true;
      videoModel.waitForReadyState(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_METADATA, () => {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].STREAM_INITIALIZED, {
          streamInfo: streamInfo
        });
      });
    }
  }
  function _setPreloaded(value) {
    preloaded = value;
  }
  function getPreloaded() {
    return preloaded;
  }
  function getHasFinishedBuffering() {
    return hasFinishedBuffering;
  }
  function getAdapter() {
    return adapter;
  }
  function getCurrentRepresentationForType(type) {
    const sp = _getProcessorByType(type);
    if (!sp) {
      return null;
    }
    return sp.getRepresentation();
  }
  function getCurrentMediaInfoForType(type) {
    const sp = _getProcessorByType(type);
    if (!sp) {
      return null;
    }
    return sp.getMediaInfo();
  }
  function checkAndHandleCompletedBuffering() {
    if (hasFinishedBuffering) {
      return;
    }
    streamProcessors.forEach(streamProcessor => {
      streamProcessor.checkAndHandleCompletedBuffering();
    });
  }
  instance = {
    activate,
    checkAndHandleCompletedBuffering,
    deactivate,
    getAdapter,
    getCurrentMediaInfoForType,
    getCurrentRepresentationForType,
    getDuration,
    getHasAudioTrack,
    getHasFinishedBuffering,
    getHasVideoTrack,
    getId,
    getIsActive,
    getIsEndedEventSignaled,
    getPreloaded,
    getRepresentationForTypeById,
    getRepresentationForTypeByIndex,
    getRepresentationsByType,
    getStartTime,
    getStreamId,
    getStreamInfo,
    getStreamProcessors,
    getThumbnailController,
    initialize,
    initializeForTextWithMediaSource,
    prepareQualityChange,
    prepareTrackChange,
    reset,
    setIsEndedEventSignaled,
    setMediaSource,
    startPreloading,
    startScheduleControllers,
    triggerProtectionError,
    updateData
  };
  setup();
  return instance;
}
Stream.__dashjs_factory_name = 'Stream';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_9__["default"].getClassFactory(Stream));

/***/ }),

/***/ "./src/streaming/StreamProcessor.js":
/*!******************************************!*\
  !*** ./src/streaming/StreamProcessor.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./models/FragmentModel.js */ "./src/streaming/models/FragmentModel.js");
/* harmony import */ var _controllers_BufferController_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./controllers/BufferController.js */ "./src/streaming/controllers/BufferController.js");
/* harmony import */ var _text_NotFragmentedTextBufferController_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./text/NotFragmentedTextBufferController.js */ "./src/streaming/text/NotFragmentedTextBufferController.js");
/* harmony import */ var _controllers_ScheduleController_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./controllers/ScheduleController.js */ "./src/streaming/controllers/ScheduleController.js");
/* harmony import */ var _dash_controllers_RepresentationController_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../dash/controllers/RepresentationController.js */ "./src/dash/controllers/RepresentationController.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./utils/SupervisorTools.js */ "./src/streaming/utils/SupervisorTools.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _dash_DashHandler_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../dash/DashHandler.js */ "./src/dash/DashHandler.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../streaming/utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./vo/metrics/PlayList.js */ "./src/streaming/vo/metrics/PlayList.js");
/* harmony import */ var _dash_controllers_SegmentsController_js__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ../dash/controllers/SegmentsController.js */ "./src/dash/controllers/SegmentsController.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _utils_TimeUtils_js__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./utils/TimeUtils.js */ "./src/streaming/utils/TimeUtils.js");
/* harmony import */ var _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./vo/MediaInfoSelectionInput.js */ "./src/streaming/vo/MediaInfoSelectionInput.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */























function StreamProcessor(config) {
  config = config || {};
  let context = this.context;
  let eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_10__["default"])(context).getInstance();
  let abrController = config.abrController;
  let adapter = config.adapter;
  let boxParser = config.boxParser;
  let capabilities = config.capabilities;
  let dashMetrics = config.dashMetrics;
  let errHandler = config.errHandler;
  let fragmentModel = config.fragmentModel;
  let manifestModel = config.manifestModel;
  let mediaController = config.mediaController;
  let mediaPlayerModel = config.mediaPlayerModel;
  let mimeType = config.mimeType;
  let playbackController = config.playbackController;
  let segmentBlacklistController = config.segmentBlacklistController;
  let settings = config.settings;
  let streamInfo = config.streamInfo;
  let textController = config.textController;
  let timelineConverter = config.timelineConverter;
  let type = config.type;
  let bufferController, bufferingTime, currentMediaInfo, dashHandler, instance, isDynamic, logger, mediaInfoArr, pendingSwitchToVoRepresentation, qualityChangeInProgress, representationController, scheduleController, segmentsController, shouldRepeatRequest, shouldUseExplicitTimeForRequest, trackSwitchInProgress;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_16__["default"])(context).getInstance().getLogger(instance);
    resetInitialSettings();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].INIT_FRAGMENT_NEEDED, _onInitFragmentNeeded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].MEDIA_FRAGMENT_NEEDED, _onMediaFragmentNeeded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].INIT_FRAGMENT_LOADED, _onInitFragmentLoaded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFER_CLEARED, _onBufferCleared, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SEEK_TARGET, _onSeekTarget, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].FRAGMENT_LOADING_ABANDONED, _onFragmentLoadingAbandoned, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].FRAGMENT_LOADING_COMPLETED, _onFragmentLoadingCompleted, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].QUOTA_EXCEEDED, _onQuotaExceeded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SET_FRAGMENTED_TEXT_AFTER_DISABLED, _onSetFragmentedTextAfterDisabled, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SET_NON_FRAGMENTED_TEXT, _onSetNonFragmentedText, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SOURCE_BUFFER_ERROR, _onSourceBufferError, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BYTES_APPENDED_END_FRAGMENT, _onBytesAppended, instance);
  }
  function initialize(mediaSource, hasVideoTrack, isFragmented) {
    segmentsController = (0,_dash_controllers_SegmentsController_js__WEBPACK_IMPORTED_MODULE_19__["default"])(context).create({
      events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"],
      eventBus,
      streamInfo,
      timelineConverter,
      dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
      segmentBaseController: config.segmentBaseController,
      type
    });
    dashHandler = (0,_dash_DashHandler_js__WEBPACK_IMPORTED_MODULE_13__["default"])(context).create({
      streamInfo,
      type,
      timelineConverter,
      dashMetrics,
      mediaPlayerModel,
      baseURLController: config.baseURLController,
      errHandler,
      segmentsController,
      settings,
      boxParser,
      events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"],
      eventBus,
      errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"],
      debug: (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_16__["default"])(context).getInstance(),
      dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
      constants: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"],
      urlUtils: (0,_streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_17__["default"])(context).getInstance()
    });
    isDynamic = streamInfo.manifestInfo.isDynamic;

    // Create/initialize controllers
    dashHandler.initialize(isDynamic);
    abrController.registerStreamType(type, instance);
    representationController = (0,_dash_controllers_RepresentationController_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).create({
      streamInfo,
      type,
      abrController,
      dashMetrics,
      playbackController,
      timelineConverter,
      dashConstants: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"],
      events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"],
      eventBus,
      errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"],
      isDynamic,
      adapter,
      segmentsController
    });
    bufferController = _createBufferControllerForType(type, isFragmented);
    if (bufferController) {
      bufferController.initialize(mediaSource);
    }
    scheduleController = (0,_controllers_ScheduleController_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).create({
      streamInfo,
      type,
      mimeType,
      adapter,
      dashMetrics,
      mediaPlayerModel,
      fragmentModel,
      abrController,
      playbackController,
      textController,
      mediaController,
      bufferController,
      representationController,
      settings
    });
    scheduleController.initialize(hasVideoTrack);
    bufferingTime = 0;
    shouldUseExplicitTimeForRequest = false;
    shouldRepeatRequest = false;
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function getType() {
    return type;
  }
  function resetInitialSettings() {
    mediaInfoArr = [];
    currentMediaInfo = null;
    bufferingTime = 0;
    shouldUseExplicitTimeForRequest = false;
    shouldRepeatRequest = false;
    qualityChangeInProgress = false;
    trackSwitchInProgress = false;
    _resetPendingSwitchToRepresentation();
  }
  function reset(errored, keepBuffers) {
    if (dashHandler) {
      dashHandler.reset();
    }
    if (bufferController) {
      bufferController.reset(errored, keepBuffers);
      bufferController = null;
    }
    if (scheduleController) {
      scheduleController.reset();
      scheduleController = null;
    }
    if (representationController) {
      representationController.reset();
      representationController = null;
    }
    if (segmentsController) {
      segmentsController = null;
    }
    if (abrController) {
      abrController.unRegisterStreamType(getStreamId(), type);
    }
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].INIT_FRAGMENT_NEEDED, _onInitFragmentNeeded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].MEDIA_FRAGMENT_NEEDED, _onMediaFragmentNeeded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].INIT_FRAGMENT_LOADED, _onInitFragmentLoaded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFER_CLEARED, _onBufferCleared, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SEEK_TARGET, _onSeekTarget, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].FRAGMENT_LOADING_ABANDONED, _onFragmentLoadingAbandoned, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].FRAGMENT_LOADING_COMPLETED, _onFragmentLoadingCompleted, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SET_FRAGMENTED_TEXT_AFTER_DISABLED, _onSetFragmentedTextAfterDisabled, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SET_NON_FRAGMENTED_TEXT, _onSetNonFragmentedText, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].QUOTA_EXCEEDED, _onQuotaExceeded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SOURCE_BUFFER_ERROR, _onSourceBufferError, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BYTES_APPENDED_END_FRAGMENT, _onBytesAppended, instance);
    resetInitialSettings();
    type = null;
    streamInfo = null;
  }
  function setMediaInfoArray(value) {
    mediaInfoArr = value;
  }

  /**
   * When a seek within the corresponding period occurs this function initiates the clearing of the buffer and sets the correct buffering time.
   * @param {object} e
   * @returns {Promise<any>}
   */
  function prepareInnerPeriodPlaybackSeeking(e) {
    return new Promise(resolve => {
      // If we seek to a buffered area we can keep requesting where we left before the seek
      // If we seek back then forwards buffering will stop until we are below our buffer goal
      // If we seek forwards then pruneBuffer() will make sure that the bufferToKeep setting is respected
      const hasBufferAtTargetTime = bufferController.hasBufferAtTime(e.seekTime);
      if (hasBufferAtTargetTime) {
        bufferController.pruneBuffer();
        const continuousBufferTime = bufferController.getContinuousBufferTimeForTargetTime(e.seekTime);
        if (_shouldSetBufferingComplete(continuousBufferTime)) {
          bufferController.setIsBufferingCompleted(true);
        }
        resolve();
        return;
      }

      // Stop segment requests until we have figured out for which time we need to request a segment. We don't want to replace existing segments.
      clearScheduleTimer();
      fragmentModel.abortRequests();

      // Abort operations to the SourceBuffer Sink and reset the BufferControllers isBufferingCompleted state.
      bufferController.prepareForPlaybackSeek().then(() => {
        // Clear the buffer. We need to prune everything which is not in the target interval.
        const clearRanges = bufferController.getAllRangesWithSafetyFactor(e.seekTime);
        // When everything has been pruned go on
        return bufferController.clearBuffers(clearRanges);
      }).then(() => {
        // Figure out the correct segment request time.
        const continuousBufferTime = bufferController.getContinuousBufferTimeForTargetTime(e.seekTime);

        // If the buffer is continuous and exceeds the duration of the period we are still done buffering. We need to trigger the buffering completed event in order to start prebuffering upcoming periods again
        if (_shouldSetBufferingComplete(continuousBufferTime)) {
          bufferController.setIsBufferingCompleted(true);
          resolve();
        } else {
          const targetTime = isNaN(continuousBufferTime) ? e.seekTime : continuousBufferTime;
          setExplicitBufferingTime(targetTime);
          bufferController.setSeekTarget(targetTime);
          const promises = [];

          // Append window has been reset by abort() operation. Set the correct values again
          promises.push(bufferController.updateAppendWindow());

          // Timestamp offset could've been changed by preloading period
          const voRepresentation = getRepresentation();
          promises.push(bufferController.updateBufferTimestampOffset(voRepresentation));
          Promise.all(promises).then(() => {
            // We might have aborted the append operation of an init segment. Append init segment again.
            scheduleController.setInitSegmentRequired(true);

            // Right after a seek we should not immediately check the playback quality
            scheduleController.setCheckPlaybackQuality(false);
            scheduleController.startScheduleTimer();
            resolve();
          });
        }
      }).catch(e => {
        logger.error(e);
      });
    });
  }
  function _shouldSetBufferingComplete(continuousBufferTime) {
    return !isNaN(continuousBufferTime) && !isNaN(streamInfo.duration) && isFinite(streamInfo.duration) && continuousBufferTime >= streamInfo.start + streamInfo.duration;
  }

  /**
   * Seek outside of the current period.
   * @return {Promise<unknown>}
   */
  function prepareOuterPeriodPlaybackSeeking() {
    return new Promise((resolve, reject) => {
      try {
        // Stop scheduling
        clearScheduleTimer();

        // Abort all ongoing requests
        fragmentModel.abortRequests();

        // buffering not complete anymore and abort current append operation to SourceBuffer
        bufferController.prepareForPlaybackSeek().then(() => {
          // Clear the buffers completely.
          return bufferController.pruneAllSafely();
        }).then(() => {
          resolve();
        });
      } catch (e) {
        reject(e);
      }
    });
  }

  /**
   * ScheduleController indicates that an init segment needs to be fetched.
   * @param {object} e
   * @param {boolean} rescheduleIfNoRequest - Defines whether we reschedule in case no valid request could be generated
   * @private
   */
  function _onInitFragmentNeeded(e) {
    let rescheduleIfNoRequest = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    // Event propagation may have been stopped (see MssHandler)
    if (!e.sender) {
      return;
    }
    if (playbackController.getIsManifestUpdateInProgress()) {
      _noValidRequest();
      return;
    }
    if (currentMediaInfo.isText && !textController.isTextEnabled()) {
      return;
    }
    if (bufferController && e.representationId) {
      if (!bufferController.appendInitSegmentFromCache(e.representationId)) {
        const rep = representationController.getCurrentRepresentation();
        // Dummy init segment (fragmented tracks without initialization segment)
        if (rep.range === 0) {
          _onMediaFragmentNeeded();
          return;
        }
        // Init segment not in cache, send new request
        const request = dashHandler ? dashHandler.getInitRequest(currentMediaInfo, rep) : null;
        if (request) {
          fragmentModel.executeRequest(request);
        } else if (rescheduleIfNoRequest) {
          scheduleController.setInitSegmentRequired(true);
          _noValidRequest();
        }
      }
    }
  }

  /**
   * ScheduleController indicates that a media segment is needed
   * @param {object} e
   * @param {boolean} rescheduleIfNoRequest -  Defines whether we reschedule in case no valid request could be generated
   * @private
   */
  function _onMediaFragmentNeeded(e) {
    let rescheduleIfNoRequest = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    // Don't schedule next fragments while updating manifest or pruning to avoid buffer inconsistencies
    if (playbackController.getIsManifestUpdateInProgress() || bufferController.getIsPruningInProgress()) {
      _noValidRequest();
      return;
    }
    let request = _getFragmentRequest();
    if (request) {
      shouldUseExplicitTimeForRequest = false;
      shouldRepeatRequest = false;
      _mediaRequestGenerated(request);
    } else {
      _noMediaRequestGenerated(rescheduleIfNoRequest);
    }
  }

  /**
   * If we generated a valid media request we can execute the request. In some cases the segment might be blacklisted.
   * @param {object} request
   * @private
   */
  function _mediaRequestGenerated(request) {
    if (!isNaN(request.startTime + request.duration)) {
      bufferingTime = request.startTime + request.duration;
    }
    request.delayLoadingTime = new Date().getTime() + scheduleController.getTimeToLoadDelay();
    scheduleController.setTimeToLoadDelay(0);
    if (!_shouldIgnoreRequest(request)) {
      logger.debug(`Next fragment request url for stream id ${streamInfo.id} and media type ${type} is ${request.url} with request range ${request.range}`);
      fragmentModel.executeRequest(request);
    } else {
      logger.warn(`Fragment request url ${request.url} for stream id ${streamInfo.id} and media type ${type} is on the ignore list and will be skipped`);
      _noValidRequest();
    }
  }

  /**
   * We could not generate a valid request. Check if the media is finished, we are stuck in a gap or simply need to wait for the next segment to be available.
   * @param {boolean} rescheduleIfNoRequest
   * @private
   */
  function _noMediaRequestGenerated(rescheduleIfNoRequest) {
    const representation = representationController.getCurrentRepresentation();

    // If  this statement is true we might be stuck. A static manifest does not change and we did not find a valid request for the target time
    // There is no point in trying again. We need to adjust the time in order to find a valid request. This can happen if the user/app seeked into a gap.
    // For dynamic manifests this can also happen especially if we jump over the gap in the previous period and are using SegmentTimeline and in case there is a positive eptDelta at the beginning of the period we are stuck.
    try {
      if (settings.get().streaming.gaps.enableSeekFix && (shouldUseExplicitTimeForRequest || playbackController.getTime() === 0)) {
        let adjustedTime;
        if (!isDynamic) {
          adjustedTime = dashHandler.getValidTimeAheadOfTargetTime(bufferingTime, currentMediaInfo, representation, settings.get().streaming.gaps.threshold);
          if (isNaN(adjustedTime)) {
            // If there is no valid target time ahead and the buffering time is within the duration of one segment we slightly adjust it
            if (bufferingTime >= representation.adaptation.period.mpd.mediaPresentationDuration - representation.segmentDuration) {
              adjustedTime = bufferingTime - 0.1;
            }
          }
        } else if (isDynamic && representation.segmentInfoType === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_TIMELINE) {
          // If we find a valid request ahead of the current time then we are in a gap. Segments are only added at the end of the timeline
          adjustedTime = dashHandler.getValidTimeAheadOfTargetTime(bufferingTime, currentMediaInfo, representation, settings.get().streaming.gaps.threshold);
        }
        if (!isNaN(adjustedTime) && adjustedTime !== bufferingTime) {
          if (playbackController.isSeeking() || playbackController.getTime() === 0) {
            // If we are seeking then playback is stalled. Do a seek to get out of this situation
            logger.warn(`Adjusting playback time ${adjustedTime} because of gap in the manifest. Seeking by ${adjustedTime - bufferingTime}`);
            playbackController.seek(adjustedTime, false, false);
          } else {
            // If we are not seeking we should still be playing but we cant find anything to buffer. So we adjust the buffering time and leave the gap jump to the GapController
            logger.warn(`Adjusting buffering time ${adjustedTime} because of gap in the manifest. Adjusting time by ${adjustedTime - bufferingTime}`);
            setExplicitBufferingTime(adjustedTime);
            if (rescheduleIfNoRequest) {
              _noValidRequest();
            }
          }
          return;
        }
      }
    } catch (e) {
      logger.error(e);
    }

    // Check if the media is finished. If so, no need to schedule another request
    const hasHandledBufferingComplete = checkAndHandleCompletedBuffering();
    if (hasHandledBufferingComplete) {
      return;
    }
    if (rescheduleIfNoRequest) {
      _noValidRequest();
    }
  }
  function checkAndHandleCompletedBuffering() {
    const representation = representationController.getCurrentRepresentation();
    const isLastSegmentRequested = dashHandler.isLastSegmentRequested(representation, bufferingTime);
    if (isLastSegmentRequested) {
      const segmentIndex = dashHandler.getCurrentIndex();
      logger.debug(`Segment requesting for stream ${streamInfo.id} has finished`);
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].STREAM_REQUESTING_COMPLETED, {
        segmentIndex
      }, {
        streamId: streamInfo.id,
        mediaType: type
      });
      bufferController.segmentRequestingCompleted(segmentIndex);
      clearScheduleTimer();
    }
    return isLastSegmentRequested;
  }

  /**
   * In certain situations we need to ignore a request. For instance, if a segment is blacklisted because it caused an MSE error.
   * @private
   */
  function _shouldIgnoreRequest(request) {
    let blacklistUrl = request.url;
    if (request.range) {
      blacklistUrl = blacklistUrl.concat('_', request.range);
    }
    return segmentBlacklistController.contains(blacklistUrl);
  }

  /**
   * Get the init or media segment request using the DashHandler.
   * @return {null|FragmentRequest|null}
   * @private
   */
  function _getFragmentRequest() {
    let request;
    if (isNaN(bufferingTime) || getType() === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !textController.isTextEnabled()) {
      return null;
    }
    if (dashHandler) {
      const representation = getRepresentation();
      if (shouldUseExplicitTimeForRequest) {
        request = dashHandler.getSegmentRequestForTime(currentMediaInfo, representation, bufferingTime);
      } else if (shouldRepeatRequest) {
        request = dashHandler.repeatSegmentRequest(currentMediaInfo, representation);
      } else {
        request = dashHandler.getNextSegmentRequest(currentMediaInfo, representation);
      }
    }
    return request;
  }

  /**
   * Whenever we can not generate a valid request we restart scheduling according to the timeouts defined in the settings.
   * @private
   */
  function _noValidRequest() {
    scheduleController.startScheduleTimer(playbackController.getLowLatencyModeEnabled() ? settings.get().streaming.scheduling.lowLatencyTimeout : settings.get().streaming.scheduling.defaultTimeout);
  }
  function _onDataUpdateCompleted() {
    const currentRepresentation = representationController.getCurrentRepresentation();
    if (!bufferController.getIsBufferingCompleted()) {
      bufferController.updateBufferTimestampOffset(currentRepresentation);
    }
  }
  function _onBufferLevelStateChanged(e) {
    dashMetrics.addBufferState(type, e.state, scheduleController.getBufferTarget());
    if (e.state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].BUFFER_EMPTY && !playbackController.isSeeking()) {
      logger.info('Buffer is empty! Stalling!');
      dashMetrics.pushPlayListTraceMetrics(new Date(), _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_18__.PlayListTrace.REBUFFERING_REASON);
    }
  }
  function _onBufferCleared(e) {
    // Remove executed requests not buffered anymore
    fragmentModel.syncExecutedRequestsWithBufferedRange(bufferController.getBuffer().getAllBufferRanges(), streamInfo.duration);

    // If buffer removed ahead current time (QuotaExceededError or automatic buffer pruning) then adjust current index handler time
    if (e.quotaExceeded && e.from > playbackController.getTime()) {
      setExplicitBufferingTime(e.from);
    }

    // (Re)start schedule once buffer has been pruned after a QuotaExceededError
    if (e.hasEnoughSpaceToAppend && e.quotaExceeded) {
      scheduleController.startScheduleTimer();
    }
  }

  /**
   * This function is called when the corresponding SourceBuffer encountered an error.
   * We blacklist the last segment assuming it caused the error
   * @param {object} e
   * @private
   */
  function _onSourceBufferError(e) {
    if (!e || !e.lastRequestAppended || !e.lastRequestAppended.url) {
      return;
    }
    let blacklistUrl = e.lastRequestAppended.url;
    if (e.lastRequestAppended.range) {
      blacklistUrl = blacklistUrl.concat('_', e.lastRequestAppended.range);
    }
    logger.warn(`Blacklisting segment with url ${blacklistUrl}`);
    segmentBlacklistController.add(blacklistUrl);
  }
  function _onBytesAppended(e) {
    logger.debug(`Appended bytes for ${e.mediaType} and stream id ${e.streamId}`);

    // we save the last initialized quality. That way we make sure that the media fragments we are about to append match the init segment
    if (e.segmentType === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_20__.HTTPRequest.INIT_SEGMENT_TYPE) {
      const lastInitializedRepresentationId = e.representationId;
      scheduleController.setLastInitializedRepresentationId(lastInitializedRepresentationId);
      logger.info('[' + type + '] ' + 'lastInitializedRepresentationId changed to ' + lastInitializedRepresentationId);
    }
    if (pendingSwitchToVoRepresentation && pendingSwitchToVoRepresentation.enabled) {
      _prepareForDefaultQualitySwitch(pendingSwitchToVoRepresentation.newRepresentation, pendingSwitchToVoRepresentation.oldRepresentation);
    } else if (!trackSwitchInProgress) {
      scheduleController.startScheduleTimer(0);
    }
  }
  function _resetPendingSwitchToRepresentation() {
    pendingSwitchToVoRepresentation = {
      newRepresentation: null,
      oldRepresentation: null,
      enabled: false
    };
  }

  /**
   * Called once the StreamProcessor is initialized and when the track is switched. We only have one StreamProcessor per media type. So we need to adjust the mediaInfo once we switch/select a track.
   * @param {MediaInfoSelectionInput} mediaInfoSelectionInput
   */
  function selectMediaInfo(mediaInfoSelectionInput) {
    return new Promise(resolve => {
      if (!representationController) {
        return Promise.resolve();
      }
      let selectedValues = null;

      // Switching to a new AdaptationSet as part of a quality switch
      if (mediaInfoSelectionInput.newRepresentation) {
        selectedValues = _getTargetValuesForAdaptationSetQualitySwitch(mediaInfoSelectionInput);
      }

      // Switching to a new AS
      else if (currentMediaInfo === null || !adapter.areMediaInfosEqual(currentMediaInfo, mediaInfoSelectionInput.newMediaInfo)) {
        selectedValues = _getTargetValuesForAdaptationSetSwitch(mediaInfoSelectionInput);
      }

      // MPD update quality remains the same
      else {
        selectedValues = _getTargetValuesForMpdUpdate(mediaInfoSelectionInput);
      }
      _setCurrentMediaInfo(selectedValues.currentMediaInfo);
      eventBus.trigger();

      // Update Representation Controller with the new data. Note we do not filter any Representations here as the filter values might change over time.
      const voRepresentations = abrController.getPossibleVoRepresentations(currentMediaInfo, false);
      return representationController.updateData(voRepresentations, currentMediaInfo.isFragmented, selectedValues.selectedRepresentation.id).then(() => {
        _onDataUpdateCompleted();
        resolve();
      }).catch(e => {
        logger.error(e);
        resolve();
      });
    });
  }
  function _setCurrentMediaInfo(value) {
    if (!adapter.areMediaInfosEqual(currentMediaInfo, value)) {
      eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].NEW_TRACK_SELECTED, {
        value
      });
    }
    currentMediaInfo = value;
    abrController.handleNewMediaInfo(currentMediaInfo);
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].MEDIAINFO_UPDATED, {
      mediaType: type,
      streamId: streamInfo.id,
      currentMediaInfo
    });
  }
  function _getTargetValuesForAdaptationSetQualitySwitch(selectionInput) {
    return {
      selectedRepresentation: selectionInput.newRepresentation,
      currentMediaInfo: selectionInput.newMediaInfo
    };
  }
  function _getTargetValuesForAdaptationSetSwitch(selectionInput) {
    let bitrateInKbit = NaN;

    // In case ABR was disabled and we got a selected Representation from the previous period we use a bitrate that is close to the one from the previous period
    if (!settings.get().streaming.abr.autoSwitchBitrate[selectionInput.newMediaInfo.type] && selectionInput.previouslySelectedRepresentation) {
      bitrateInKbit = selectionInput.previouslySelectedRepresentation.bitrateInKbit;
    } else {
      bitrateInKbit = abrController.getInitialBitrateFor(type);
    }
    const selectedRepresentation = abrController.getOptimalRepresentationForBitrate(selectionInput.newMediaInfo, bitrateInKbit, false);
    return {
      selectedRepresentation,
      currentMediaInfo: selectionInput.newMediaInfo
    };
  }
  function _getTargetValuesForMpdUpdate(selectionInput) {
    return {
      currentMediaInfo: selectionInput.newMediaInfo,
      selectedRepresentation: representationController.getCurrentRepresentation()
    };
  }

  /**
   * The quality has changed which means we have switched to a different representation.
   * If we want to aggressively replace existing parts in the buffer we need to make sure that the new quality is higher than the already buffered one.
   * @param {object} e
   */
  function prepareQualityChange(e) {
    if (!e.newRepresentation) {
      return;
    }
    if (pendingSwitchToVoRepresentation && pendingSwitchToVoRepresentation.enabled) {
      logger.warn(`Canceling queued representation switch to ${pendingSwitchToVoRepresentation.newRepresentation.id} for ${type}`);
    }
    if (e.isAdaptationSetSwitch) {
      logger.debug(`Preparing quality switch to different AdaptationSet for type ${type}`);
      _prepareAdaptationSwitchQualityChange(e);
    } else {
      logger.debug(`Preparing quality within the same AdaptationSet for type ${type}`);
      _prepareNonAdaptationSwitchQualityChange(e);
    }
  }
  function _prepareNonAdaptationSwitchQualityChange(e) {
    const newRepresentation = e.newRepresentation;
    qualityChangeInProgress = true;

    // Stop scheduling until we are done with preparing the quality switch
    clearScheduleTimer();

    // Update selected Representation in RepresentationController
    representationController.prepareQualityChange(newRepresentation);
    _handleDifferentSwitchTypes(e);
  }
  function _prepareAdaptationSwitchQualityChange(e) {
    const newRepresentation = e.newRepresentation;
    qualityChangeInProgress = true;

    // Stop scheduling until we are done with preparing the quality switch
    clearScheduleTimer();

    // Informing ScheduleController about AS switch
    scheduleController.setSwitchTrack(true);
    const newMediaInfo = newRepresentation.mediaInfo;
    _setCurrentMediaInfo(newMediaInfo);
    const mediaInfoSelectionInput = new _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_22__["default"]({
      newMediaInfo,
      newRepresentation
    });
    selectMediaInfo(mediaInfoSelectionInput).then(() => {
      _handleDifferentSwitchTypes(e);
    });
  }
  function _handleDifferentSwitchTypes(e) {
    const newRepresentation = e.newRepresentation;
    const oldRepresentation = e.oldRepresentation;
    if (!newRepresentation || !oldRepresentation) {
      logger.warn(`_handleDifferentSwitchTypes() is missing the target representations`);
    }

    // If the switch should occur immediately we need to replace existing stuff in the buffer
    if (e.reason && e.reason.forceReplace) {
      _prepareForForceReplacementQualitySwitch(newRepresentation, oldRepresentation);
    }

    // We abandoned a current request
    else if (e && e.reason && e.reason.forceAbandon) {
      _prepareForAbandonQualitySwitch(newRepresentation, oldRepresentation);
    }

    // If fast switch is enabled we check if we are supposed to replace existing stuff in the buffer
    else if (mediaPlayerModel.getFastSwitchEnabled()) {
      _prepareForFastQualitySwitch(newRepresentation, oldRepresentation);
    }

    // Default quality switch. We append the new quality to the already buffered stuff
    else {
      _prepareForDefaultQualitySwitch(newRepresentation, oldRepresentation);
    }
    dashMetrics.pushPlayListTraceMetrics(new Date(), _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_18__.PlayListTrace.REPRESENTATION_SWITCH_STOP_REASON);
    dashMetrics.createPlaylistTraceMetrics(newRepresentation.id, playbackController.getTime() * 1000, playbackController.getPlaybackRate());
  }
  function _prepareForForceReplacementQualitySwitch(newPresentation, oldRepresentation) {
    // Abort the current request to avoid inconsistencies and in case a rule such as AbandonRequestRule has forced a quality switch. A quality switch can also be triggered manually by the application.
    // If we update the buffer values now, or initialize a request to the new init segment, the currently downloading media segment might use wrong values.
    // Everything that is already in the buffer queue is ok and will be handled by the corresponding function below depending on the switch mode.
    fragmentModel.abortRequests();

    // Inform other classes like the GapController that we are replacing existing stuff
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFER_REPLACEMENT_STARTED, {
      mediaType: type,
      streamId: streamInfo.id
    }, {
      mediaType: type,
      streamId: streamInfo.id
    });
    scheduleController.setCheckPlaybackQuality(false);

    // Abort appending segments to the buffer. Also adjust the appendWindow as we might have been in the progress of prebuffering stuff.
    bufferController.prepareForForceReplacementQualitySwitch(newPresentation, oldRepresentation).then(() => {
      _replacementQualitySwitchPreparationDone();
    }).catch(() => {
      _replacementQualitySwitchPreparationDone();
    });
  }
  function _replacementQualitySwitchPreparationDone() {
    _bufferClearedForReplacement();
    _resetPendingSwitchToRepresentation();
    qualityChangeInProgress = false;
  }
  function _prepareForAbandonQualitySwitch(newRepresentation, oldRepresentation) {
    bufferController.prepareForAbandonQualitySwitch(newRepresentation, oldRepresentation).then(() => {
      _abandonQualitySwitchPreparationDone();
    }).catch(() => {
      _abandonQualitySwitchPreparationDone();
    });
  }
  function _abandonQualitySwitchPreparationDone() {
    fragmentModel.abortRequests();
    shouldRepeatRequest = true;
    scheduleController.setCheckPlaybackQuality(false);
    scheduleController.startScheduleTimer();
    qualityChangeInProgress = false;
  }
  function _prepareForFastQualitySwitch(newRepresentation, oldRepresentation) {
    // if we switch up in quality and need to replace existing parts in the buffer we need to adjust the buffer target
    const time = playbackController.getTime();
    let safeBufferLevel = 1.5 * (!isNaN(newRepresentation.fragmentDuration) ? newRepresentation.fragmentDuration : 1);
    const request = fragmentModel.getRequests({
      state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_3__["default"].FRAGMENT_MODEL_EXECUTED,
      time: time + safeBufferLevel,
      threshold: 0
    })[0];
    if (request && !currentMediaInfo.isText) {
      const bufferLevel = bufferController.getBufferLevel();
      const abandonmentState = abrController.getAbandonmentStateFor(streamInfo.id, type);

      // The new quality is higher than the one we originally requested
      if (request.bandwidth < newRepresentation.bandwidth && bufferLevel >= safeBufferLevel && abandonmentState === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ALLOW_LOAD) {
        bufferController.prepareForFastQualitySwitch(newRepresentation, oldRepresentation).then(() => {
          _fastQualitySwitchPreparationDone(time, safeBufferLevel);
        }).catch(() => {
          _fastQualitySwitchPreparationDone(time, safeBufferLevel);
        });
      }

      // If we have buffered a higher quality we do not replace anything.
      else {
        _prepareForDefaultQualitySwitch(newRepresentation, oldRepresentation);
      }
    } else {
      _prepareForDefaultQualitySwitch(newRepresentation, oldRepresentation);
    }
  }
  function _fastQualitySwitchPreparationDone(time, safeBufferLevel) {
    // Abort the current request to avoid inconsistencies. A quality switch can also be triggered manually by the application.
    // If we update the buffer values now, or initialize a request to the new init segment, the currently downloading media segment might "work" with wrong values.
    // Everything that is already in the buffer queue is ok
    fragmentModel.abortRequests();
    const targetTime = time + safeBufferLevel;
    setExplicitBufferingTime(targetTime);
    scheduleController.setCheckPlaybackQuality(false);
    scheduleController.startScheduleTimer();
    qualityChangeInProgress = false;
  }
  function _prepareForDefaultQualitySwitch(newRepresentation, oldRepresentation) {
    // We are not canceling the current request. Check if there is still an ongoing request. If so we wait for the request to be finished and the media to be appended
    const ongoingRequests = fragmentModel.getRequests({
      state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_3__["default"].FRAGMENT_MODEL_LOADING
    });
    if (ongoingRequests && ongoingRequests.length > 0) {
      logger.debug('Preparing for default quality switch: Waiting for ongoing segment request to be finished before applying switch.');
      pendingSwitchToVoRepresentation.newRepresentation = newRepresentation;
      pendingSwitchToVoRepresentation.oldRepresentation = oldRepresentation;
      pendingSwitchToVoRepresentation.enabled = true;
      return;
    }
    bufferController.prepareForDefaultQualitySwitch(newRepresentation, oldRepresentation).then(() => {
      _defaultQualitySwitchPreparationDone();
    }).catch(() => {
      _defaultQualitySwitchPreparationDone();
    });
  }
  function _defaultQualitySwitchPreparationDone() {
    scheduleController.setCheckPlaybackQuality(false);
    if (currentMediaInfo.segmentAlignment || currentMediaInfo.subSegmentAlignment) {
      scheduleController.startScheduleTimer();
    } else {
      _bufferClearedForNonReplacement();
    }
    _resetPendingSwitchToRepresentation();
    qualityChangeInProgress = false;
  }

  /**
   * We have canceled the download of a fragment and need to adjust the buffer time or reload an init segment
   * @param {object} e
   */
  function _onFragmentLoadingAbandoned(e) {
    logger.info('onFragmentLoadingAbandoned request: ' + e.request.url + ' has been aborted');

    // we only need to handle this if we are not seeking, not switching the tracks and not switching the quality
    if (!playbackController.isSeeking() && !scheduleController.getSwitchTrack() && !qualityChangeInProgress) {
      logger.info('onFragmentLoadingAbandoned request: ' + e.request.url + ' has to be downloaded again, origin is not seeking process or switch track call');

      // in case of an init segment we force the download of an init segment
      if (e.request && e.request.isInitializationRequest()) {
        scheduleController.setInitSegmentRequired(true);
      }

      // in case of a media segment we reset the buffering time
      else {
        setExplicitBufferingTime(e.request.startTime + e.request.duration / 2);
      }

      // In case of a seek the schedule controller was stopped and will be started once the buffer has been pruned.
      scheduleController.startScheduleTimer(0);
    }
  }

  /**
   * When a fragment has been loaded we need to start the schedule timer again in case of an error.
   * @param {object} e
   */
  function _onFragmentLoadingCompleted(e) {
    logger.info('OnFragmentLoadingCompleted for stream id ' + streamInfo.id + ' and media type ' + type + ' - Url:', e.request ? e.request.url : 'undefined', e.request.range ? ', Range:' + e.request.range : '');
    if (currentMediaInfo.isText) {
      scheduleController.startScheduleTimer(0);
    }
    if (e.error && e.request.serviceLocation) {
      _handleFragmentLoadingError(e);
    }
  }

  /**
   * If we encountered an error when loading the fragment we need to handle it according to the segment type
   * @private
   */
  function _handleFragmentLoadingError(e) {
    logger.info(`Fragment loading completed with an error`);
    if (!e || !e.request || !e.request.type) {
      return;
    }

    // In case there are baseUrls that can still be tried a valid request can be generated. If no valid request can be generated we ran out of baseUrls.
    // Consequently, we need to signal that we dont want to retry in case no valid request could be generated otherwise we keep trying with the same url infinitely.

    // Init segment could not be loaded. If we have multiple baseUrls we still have a chance to get a valid segment.
    if (e.request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_20__.HTTPRequest.INIT_SEGMENT_TYPE) {
      _onInitFragmentNeeded({
        representationId: e.request.representation.id,
        sender: {}
      }, false);
    }

    // Media segment could not be loaded
    else if (e.request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_20__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
      setExplicitBufferingTime(e.request.startTime + e.request.duration / 2);
      _onMediaFragmentNeeded({}, false);
    }
  }

  /**
   * Callback function triggered by the TextController whenever a track is changed for fragmented text. Will only be triggered if textracks have previously been disabled.
   * @private
   */
  function _onSetFragmentedTextAfterDisabled() {
    setExplicitBufferingTime(playbackController.getTime());
    getScheduleController().startScheduleTimer();
  }

  /**
   * Callback function triggered by the TextController whenever a track is changed for non fragmented text
   * @param {object} e
   * @private
   */
  function _onSetNonFragmentedText(e) {
    const currentTrackInfo = e.currentTrackInfo;
    if (!currentTrackInfo) {
      return;
    }
    const newMediaInfo = mediaInfoArr.find(info => {
      return info.index === currentTrackInfo.index && info.lang === currentTrackInfo.lang;
    });
    if (newMediaInfo) {
      selectMediaInfo(new _vo_MediaInfoSelectionInput_js__WEBPACK_IMPORTED_MODULE_22__["default"]({
        newMediaInfo
      })).then(() => {
        bufferController.setIsBufferingCompleted(false);
        setExplicitBufferingTime(playbackController.getTime());
        scheduleController.setInitSegmentRequired(true);
        scheduleController.startScheduleTimer();
      });
    }
  }
  function _onQuotaExceeded(e) {
    // Stop scheduler (will be restarted once buffer is pruned)
    setExplicitBufferingTime(e.quotaExceededTime);
    clearScheduleTimer();
  }
  function getRepresentationController() {
    return representationController;
  }
  function getBuffer() {
    return bufferController ? bufferController.getBuffer() : null;
  }
  function getBufferController() {
    return bufferController;
  }
  function dischargePreBuffer() {
    bufferController.dischargePreBuffer();
  }
  function getFragmentModel() {
    return fragmentModel;
  }
  function updateStreamInfo(newStreamInfo) {
    streamInfo = newStreamInfo;
    if (!isBufferingCompleted()) {
      return bufferController.updateAppendWindow();
    }
    return Promise.resolve();
  }
  function getStreamInfo() {
    return streamInfo;
  }
  function getMediaInfo() {
    return currentMediaInfo;
  }
  function getAllMediaInfos() {
    return mediaInfoArr;
  }
  function getMediaSource() {
    return bufferController.getMediaSource();
  }
  function setMediaSource(mediaSource) {
    return bufferController.setMediaSource(mediaSource, currentMediaInfo);
  }
  function getScheduleController() {
    return scheduleController;
  }
  function clearScheduleTimer() {
    if (scheduleController) {
      scheduleController.clearScheduleTimer();
    }
  }

  /**
   * Get a specific voRepresentation. If quality parameter is defined, this function will return the voRepresentation for this quality.
   * Otherwise, this function will return the current voRepresentation used by the representationController.
   * @param {number} id - id of the voRepresentation.
   * @return {object} voRepresentation
   */
  function getRepresentation() {
    let id = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : NaN;
    let voRepresentation;
    if (!isNaN(id)) {
      (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_9__.checkInteger)(id);
      voRepresentation = representationController ? representationController.getRepresentationById(id) : null;
    } else {
      voRepresentation = representationController ? representationController.getCurrentRepresentation() : null;
    }
    return voRepresentation;
  }
  function isBufferingCompleted() {
    return bufferController ? bufferController.getIsBufferingCompleted() : false;
  }
  function getBufferLevel() {
    return bufferController ? bufferController.getBufferLevel() : 0;
  }

  /**
   * Probe the next request. This is used in the CMCD model to get information about the upcoming request. Note: No actual request is performed here.
   * @return {FragmentRequest|null}
   */
  function probeNextRequest() {
    const voRepresentation = getRepresentation();
    return dashHandler.getNextSegmentRequestIdempotent(currentMediaInfo, voRepresentation);
  }
  function _onInitFragmentLoaded(e) {
    if (!settings.get().streaming.enableManifestTimescaleMismatchFix) {
      return;
    }
    const chunk = e.chunk;
    const bytes = chunk.bytes;
    const representationId = chunk.representation.id;
    const currentRepresentation = getRepresentation(representationId);
    if (currentRepresentation) {
      currentRepresentation.timescale = boxParser.getMediaTimescaleFromMoov(bytes);
    }
  }
  function _onMediaFragmentLoaded(e) {
    const chunk = e.chunk;
    const bytes = chunk.bytes;
    const representationId = chunk.representation.id;
    const currentRepresentation = getRepresentation(representationId);
    // If we switch tracks this event might be fired after the representations in the RepresentationController have been updated according to the new MediaInfo.
    // In this case there will be no currentRepresentation and voRepresentation matching the "old" quality
    if (currentRepresentation) {
      let isoFile;

      // Check for inband prft on media segment (if enabled)
      if (settings.get().streaming.parseInbandPrft && e.request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_20__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
        isoFile = isoFile ? isoFile : boxParser.parse(bytes);
        const timescale = currentRepresentation.timescale;
        const prfts = _handleInbandPrfts(isoFile, timescale);
        if (prfts && prfts.length) {
          eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].INBAND_PRFT, {
            data: prfts
          }, {
            streamId: streamInfo.id,
            mediaType: type
          });
        }
      }
      const eventStreamMedia = adapter.getEventsFor(currentRepresentation.mediaInfo, null, streamInfo);
      const eventStreamTrack = adapter.getEventsFor(currentRepresentation, currentRepresentation, streamInfo);
      if (eventStreamMedia && eventStreamMedia.length > 0 || eventStreamTrack && eventStreamTrack.length > 0) {
        const request = e.request;
        isoFile = isoFile ? isoFile : boxParser.parse(bytes);
        const events = _handleInbandEvents(isoFile, request, eventStreamMedia, eventStreamTrack);
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].INBAND_EVENTS, {
          events: events
        }, {
          streamId: streamInfo.id
        });
      }
    }
  }
  function _handleInbandPrfts(isoFile, timescale) {
    const prftBoxes = isoFile.getBoxes('prft');
    const prfts = [];
    prftBoxes.forEach(prft => {
      prfts.push(_parsePrftBox(prft, timescale));
    });
    return prfts;
  }
  function _parsePrftBox(prft, timescale) {
    // Get prft type according to box flags
    let type = 'unknown';
    switch (prft.flags) {
      case 0:
        type = _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PRODUCER_REFERENCE_TIME_TYPE.ENCODER;
        break;
      case 16:
        type = _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PRODUCER_REFERENCE_TIME_TYPE.APPLICATION;
        break;
      case 24:
        type = _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PRODUCER_REFERENCE_TIME_TYPE.CAPTURED;
        break;
      default:
        break;
    }

    // Get NPT timestamp according to IETF RFC 5905, relative to 1/1/1900
    let ntpTimestamp = prft.ntp_timestamp_sec * 1000 + prft.ntp_timestamp_frac / 2 ** 32 * 1000;
    ntpTimestamp = (0,_utils_TimeUtils_js__WEBPACK_IMPORTED_MODULE_21__["default"])(context).getInstance().ntpToUTC(ntpTimestamp);
    const mediaTime = prft.media_time / timescale;
    return {
      type,
      ntpTimestamp,
      mediaTime
    };
  }
  function _handleInbandEvents(isoFile, request, mediaInbandEvents, trackInbandEvents) {
    try {
      const eventStreams = {};
      const events = [];

      /* Extract the possible schemeIdUri : If a DASH client detects an event message box with a scheme that is not defined in MPD, the client is expected to ignore it */
      const inbandEvents = mediaInbandEvents.concat(trackInbandEvents);
      for (let i = 0, ln = inbandEvents.length; i < ln; i++) {
        eventStreams[inbandEvents[i].schemeIdUri + '/' + inbandEvents[i].value] = inbandEvents[i];
      }
      const eventBoxes = isoFile.getBoxes('emsg');
      if (!eventBoxes || eventBoxes.length === 0) {
        return events;
      }
      const sidx = isoFile.getBox('sidx');
      const mediaAnchorTime = sidx && !isNaN(sidx.earliest_presentation_time) && !isNaN(sidx.timescale) ? sidx.earliest_presentation_time / sidx.timescale : request && !isNaN(request.mediaStartTime) ? request.mediaStartTime : 0;
      const fragmentMediaStartTime = Math.max(mediaAnchorTime, 0);
      const voRepresentation = representationController.getCurrentRepresentation();
      for (let i = 0, ln = eventBoxes.length; i < ln; i++) {
        const event = adapter.getEvent(eventBoxes[i], eventStreams, fragmentMediaStartTime, voRepresentation);
        if (event) {
          events.push(event);
        }
      }
      return events;
    } catch (e) {
      return [];
    }
  }
  function createBufferSinks(previousBufferSinks, oldRepresentation) {
    const buffer = getBuffer();
    if (buffer) {
      return Promise.resolve(buffer);
    }
    return bufferController ? bufferController.createBufferSink(currentMediaInfo, previousBufferSinks, oldRepresentation) : Promise.resolve(null);
  }
  function prepareTrackSwitch(oldRepresentation) {
    let replaceBuffer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    return new Promise(resolve => {
      logger.debug(`Preparing track switch for type ${type}`);
      const shouldReplace = type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT || replaceBuffer || settings.get().streaming.trackSwitchMode[type] === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TRACK_SWITCH_MODE_ALWAYS_REPLACE && playbackController.getTimeToStreamEnd(streamInfo) > settings.get().streaming.buffer.stallThreshold;

      // when buffering is completed and we are not supposed to replace anything do nothing.
      // Still we need to trigger preloading again and call change type in case user seeks back before transitioning to next period
      if (bufferController.getIsBufferingCompleted() && !shouldReplace) {
        _handleBufferingCompleteTrackSwitch(oldRepresentation).then(() => {
          resolve();
        });
      } else {
        // We stop the schedule controller and signal a track switch. That way we request a new init segment next
        scheduleController.setSwitchTrack(true);
        // when we are supposed to replace it does not matter if buffering is already completed
        if (shouldReplace) {
          _handleReplaceTrackSwitch(oldRepresentation).then(() => {
            resolve();
          });
        } else {
          // We do not replace anything that is already in the buffer. Still we need to prepare the buffer for the track switch
          _handleNoReplaceTrackSwitch(oldRepresentation).then(() => {
            resolve();
          });
        }
      }
    });
  }
  function _handleBufferingCompleteTrackSwitch(oldRepresentation) {
    return new Promise(resolve => {
      const newRepresentation = representationController.getCurrentRepresentation();
      bufferController.prepareForNonReplacementTrackSwitch(newRepresentation, oldRepresentation).then(() => {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFERING_COMPLETED, {}, {
          streamId: streamInfo.id,
          mediaType: type
        });
        resolve();
      }).catch(() => {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFERING_COMPLETED, {}, {
          streamId: streamInfo.id,
          mediaType: type
        });
        resolve();
      });
    });
  }
  function _handleReplaceTrackSwitch(oldRepresentation) {
    return new Promise(resolve => {
      // Inform other classes like the GapController that we are replacing existing stuff
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].BUFFER_REPLACEMENT_STARTED, {
        mediaType: type,
        streamId: streamInfo.id
      }, {
        mediaType: type,
        streamId: streamInfo.id
      });

      // Abort the current request it will be removed from the buffer anyways
      fragmentModel.abortRequests();

      // Abort appending segments to the buffer. Also adjust the appendWindow as we might have been in the progress of prebuffering stuff.
      const newRepresentation = getRepresentation();
      bufferController.prepareForReplacementTrackSwitch(newRepresentation, oldRepresentation).then(() => {
        _bufferClearedForReplacement();
        resolve();
      }).catch(() => {
        _bufferClearedForReplacement();
        resolve();
      });
    });
  }
  function _handleNoReplaceTrackSwitch(oldRepresentation) {
    return new Promise(resolve => {
      // As long as we have ongoing requests we can not change the SourceBuffer type etc.
      // Otherwise, we might run into cases in which we append the segment that is currently being downloaded with wrong SourceBuffer values.
      // The ScheduleController was stopped. Once a potentially ongoing request was finished we can continue

      const _finishNoReplaceTrackSwitch = () => {
        const ongoingRequests = fragmentModel.getRequests({
          state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_3__["default"].FRAGMENT_MODEL_LOADING
        });
        if (!ongoingRequests || ongoingRequests.length === 0) {
          const newRepresentation = getRepresentation();
          bufferController.prepareForNonReplacementTrackSwitch(newRepresentation, oldRepresentation).then(() => {
            _bufferClearedForNonReplacement();
            resolve();
          }).catch(e => {
            logger.error(e);
            _bufferClearedForNonReplacement();
            resolve();
          });
        } else {
          eventBus.once(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].FRAGMENT_LOADING_COMPLETED, _finishNoReplaceTrackSwitch, instance);
        }
      };
      _finishNoReplaceTrackSwitch();
    });
  }

  /**
   * For an instant track switch we need to adjust the buffering time after the buffer has been pruned.
   * @private
   */
  function _bufferClearedForReplacement() {
    const targetTime = playbackController.getTime();
    if (settings.get().streaming.buffer.flushBufferAtTrackSwitch) {
      // For some devices (like chromecast) it is necessary to seek the video element to reset the internal decoding buffer,
      // otherwise audio track switch will be effective only once after previous buffered track is consumed
      playbackController.seek(targetTime + 0.001, false, true);
    }
    setExplicitBufferingTime(targetTime);
    bufferController.setSeekTarget(targetTime);
    scheduleController.startScheduleTimer();
  }
  function _bufferClearedForNonReplacement() {
    const time = playbackController.getTime();
    const continuousBufferTime = bufferController.getContinuousBufferTimeForTargetTime(time);
    const targetTime = isNaN(continuousBufferTime) ? time : continuousBufferTime;
    setExplicitBufferingTime(targetTime);
    scheduleController.startScheduleTimer();
  }
  function _createBufferControllerForType(type, isFragmented) {
    let controller = null;
    if (!type) {
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_15__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"].MEDIASOURCE_TYPE_UNSUPPORTED_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"].MEDIASOURCE_TYPE_UNSUPPORTED_MESSAGE + 'not properly defined'));
      return null;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !isFragmented) {
      controller = (0,_text_NotFragmentedTextBufferController_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).create({
        errHandler,
        fragmentModel,
        mimeType,
        settings,
        streamInfo,
        textController,
        type
      });
    } else {
      controller = (0,_controllers_BufferController_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create({
        abrController,
        capabilities,
        errHandler,
        fragmentModel,
        manifestModel,
        mediaController,
        mediaPlayerModel,
        playbackController,
        representationController,
        settings,
        streamInfo,
        textController,
        type
      });
    }
    return controller;
  }
  function _onSeekTarget(e) {
    if (e && !isNaN(e.time)) {
      setExplicitBufferingTime(e.time);
      bufferController.setSeekTarget(e.time);
    }
  }
  function setExplicitBufferingTime(value) {
    bufferingTime = value;
    shouldUseExplicitTimeForRequest = true;
  }
  function setTrackSwitchInProgress(value) {
    trackSwitchInProgress = value;
  }
  function finalisePlayList(time, reason) {
    dashMetrics.pushPlayListTraceMetrics(time, reason);
  }
  instance = {
    checkAndHandleCompletedBuffering,
    clearScheduleTimer,
    createBufferSinks,
    dischargePreBuffer,
    finalisePlayList,
    getAllMediaInfos,
    getBuffer,
    getBufferController,
    getBufferLevel,
    getFragmentModel,
    getMediaInfo,
    getMediaSource,
    getRepresentation,
    getRepresentationController,
    getScheduleController,
    getStreamId,
    getStreamInfo,
    getType,
    initialize,
    isBufferingCompleted,
    prepareInnerPeriodPlaybackSeeking,
    prepareOuterPeriodPlaybackSeeking,
    prepareQualityChange,
    prepareTrackSwitch,
    probeNextRequest,
    reset,
    selectMediaInfo,
    setExplicitBufferingTime,
    setMediaInfoArray,
    setMediaSource,
    setTrackSwitchInProgress,
    updateStreamInfo
  };
  setup();
  return instance;
}
StreamProcessor.__dashjs_factory_name = 'StreamProcessor';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__["default"].getClassFactory(StreamProcessor));

/***/ }),

/***/ "./src/streaming/XlinkLoader.js":
/*!**************************************!*\
  !*** ./src/streaming/XlinkLoader.js ***!
  \**************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _net_URLLoader_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./net/URLLoader.js */ "./src/streaming/net/URLLoader.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _vo_TextRequest_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./vo/TextRequest.js */ "./src/streaming/vo/TextRequest.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








function XlinkLoader(config) {
  config = config || {};
  const RESOLVE_TO_ZERO = 'urn:mpeg:dash:resolve-to-zero:2013';
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let urlLoader = (0,_net_URLLoader_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create({
    errHandler: config.errHandler,
    dashMetrics: config.dashMetrics,
    mediaPlayerModel: config.mediaPlayerModel,
    errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_7__["default"]
  });
  let instance;
  function load(url, element, resolveObject) {
    const report = function (content, resolveToZero) {
      element.resolved = true;
      element.resolvedContent = content ? content : null;
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].XLINK_ELEMENT_LOADED, {
        element: element,
        resolveObject: resolveObject,
        error: content || resolveToZero ? null : new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_0__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_7__["default"].XLINK_LOADER_LOADING_FAILURE_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_7__["default"].XLINK_LOADER_LOADING_FAILURE_ERROR_MESSAGE + url)
      });
    };
    if (url === RESOLVE_TO_ZERO) {
      report(null, true);
    } else {
      const request = new _vo_TextRequest_js__WEBPACK_IMPORTED_MODULE_3__["default"](url, _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.XLINK_EXPANSION_TYPE);
      urlLoader.load({
        request: request,
        success: function (data) {
          report(data);
        },
        error: function () {
          report(null);
        }
      });
    }
  }
  function reset() {
    if (urlLoader) {
      urlLoader.abort();
      urlLoader = null;
    }
  }
  instance = {
    load: load,
    reset: reset
  };
  return instance;
}
XlinkLoader.__dashjs_factory_name = 'XlinkLoader';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__["default"].getClassFactory(XlinkLoader));

/***/ }),

/***/ "./src/streaming/constants/ConformanceViolationConstants.js":
/*!******************************************************************!*\
  !*** ./src/streaming/constants/ConformanceViolationConstants.js ***!
  \******************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/* harmony default export */ __webpack_exports__["default"] = ({
  LEVELS: {
    SUGGESTION: 'Suggestion',
    WARNING: 'Warning',
    ERROR: 'Error'
  },
  EVENTS: {
    NO_UTC_TIMING_ELEMENT: {
      key: 'NO_UTC_TIMING_ELEMENT',
      message: 'No UTCTiming element is present in the manifest. You may experience playback failures. For a detailed validation use https://conformance.dashif.org/'
    },
    NON_COMPLIANT_SMPTE_IMAGE_ATTRIBUTE: {
      key: 'NON_COMPLIANT_SMPTE_IMAGE_ATTRIBUTE',
      message: 'SMPTE 2052-1:2013 defines the attribute name as "imageType" and does not define "imagetype"'
    },
    INVALID_DVR_WINDOW: {
      key: 'INVALID_DVR_WINDOW',
      message: 'No valid segment found when applying a specification compliant DVR window calculation. Using SegmentTimeline entries as a fallback.'
    }
  }
});

/***/ }),

/***/ "./src/streaming/constants/Constants.js":
/*!**********************************************!*\
  !*** ./src/streaming/constants/Constants.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Constants declaration
 */
/* harmony default export */ __webpack_exports__["default"] = ({
  /**
   *  @constant {string} STREAM Stream media type. Mainly used to report metrics relative to the full stream
   *  @memberof Constants#
   *  @static
   */
  STREAM: 'stream',
  /**
   *  @constant {string} VIDEO Video media type
   *  @memberof Constants#
   *  @static
   */
  VIDEO: 'video',
  /**
   *  @constant {string} AUDIO Audio media type
   *  @memberof Constants#
   *  @static
   */
  AUDIO: 'audio',
  /**
   *  @constant {string} TEXT Text media type
   *  @memberof Constants#
   *  @static
   */
  TEXT: 'text',
  /**
   *  @constant {string} MUXED Muxed (video/audio in the same chunk) media type
   *  @memberof Constants#
   *  @static
   */
  MUXED: 'muxed',
  /**
   *  @constant {string} IMAGE Image media type
   *  @memberof Constants#
   *  @static
   */
  IMAGE: 'image',
  /**
   *  @constant {string} STPP STTP Subtitles format
   *  @memberof Constants#
   *  @static
   */
  STPP: 'stpp',
  /**
   *  @constant {string} TTML STTP Subtitles format
   *  @memberof Constants#
   *  @static
   */
  TTML: 'ttml',
  /**
   *  @constant {string} VTT STTP Subtitles format
   *  @memberof Constants#
   *  @static
   */
  VTT: 'vtt',
  /**
   *  @constant {string} WVTT STTP Subtitles format
   *  @memberof Constants#
   *  @static
   */
  WVTT: 'wvtt',
  /**
   *  @constant {string} Content Steering
   *  @memberof Constants#
   *  @static
   */
  CONTENT_STEERING: 'contentSteering',
  /**
   *  @constant {string} LIVE_CATCHUP_MODE_DEFAULT Throughput calculation based on moof parsing
   *  @memberof Constants#
   *  @static
   */
  LIVE_CATCHUP_MODE_DEFAULT: 'liveCatchupModeDefault',
  /**
   *  @constant {string} LIVE_CATCHUP_MODE_LOLP Throughput calculation based on moof parsing
   *  @memberof Constants#
   *  @static
   */
  LIVE_CATCHUP_MODE_LOLP: 'liveCatchupModeLoLP',
  /**
   *  @constant {string} MOVING_AVERAGE_SLIDING_WINDOW Moving average sliding window
   *  @memberof Constants#
   *  @static
   */
  MOVING_AVERAGE_SLIDING_WINDOW: 'slidingWindow',
  /**
   *  @constant {string} EWMA Exponential moving average
   *  @memberof Constants#
   *  @static
   */
  MOVING_AVERAGE_EWMA: 'ewma',
  /**
   *  @constant {string} BAD_ARGUMENT_ERROR Invalid Arguments type of error
   *  @memberof Constants#
   *  @static
   */
  BAD_ARGUMENT_ERROR: 'Invalid Arguments',
  /**
   *  @constant {string} MISSING_CONFIG_ERROR Missing configuration parameters type of error
   *  @memberof Constants#
   *  @static
   */
  MISSING_CONFIG_ERROR: 'Missing config parameter(s)',
  /**
   *  @constant {string} TRACK_SWITCH_MODE_ALWAYS_REPLACE used to clear the buffered data (prior to current playback position) after track switch. Default for audio
   *  @memberof Constants#
   *  @static
   */
  TRACK_SWITCH_MODE_ALWAYS_REPLACE: 'alwaysReplace',
  /**
   *  @constant {string} TRACK_SWITCH_MODE_NEVER_REPLACE used to forbid clearing the buffered data (prior to current playback position) after track switch. Defers to fastSwitchEnabled for placement of new data. Default for video
   *  @memberof Constants#
   *  @static
   */
  TRACK_SWITCH_MODE_NEVER_REPLACE: 'neverReplace',
  /**
   *  @constant {string} TRACK_SELECTION_MODE_FIRST_TRACK makes the player select the first track found in the manifest.
   *  @memberof Constants#
   *  @static
   */
  TRACK_SELECTION_MODE_FIRST_TRACK: 'firstTrack',
  /**
   *  @constant {string} TRACK_SELECTION_MODE_HIGHEST_BITRATE makes the player select the track with a highest bitrate. This mode is a default mode.
   *  @memberof Constants#
   *  @static
   */
  TRACK_SELECTION_MODE_HIGHEST_BITRATE: 'highestBitrate',
  /**
   *  @constant {string} TRACK_SELECTION_MODE_HIGHEST_EFFICIENCY makes the player select the track with the lowest bitrate per pixel average.
   *  @memberof Constants#
   *  @static
   */
  TRACK_SELECTION_MODE_HIGHEST_EFFICIENCY: 'highestEfficiency',
  /**
   *  @constant {string} TRACK_SELECTION_MODE_WIDEST_RANGE makes the player select the track with a widest range of bitrates.
   *  @memberof Constants#
   *  @static
   */
  TRACK_SELECTION_MODE_WIDEST_RANGE: 'widestRange',
  /**
   *  @constant {string} CMCD_QUERY_KEY specifies the key that is used for the CMCD query parameter.
   *  @memberof Constants#
   *  @static
   */
  CMCD_QUERY_KEY: 'CMCD',
  /**
   *  @constant {string} CMCD_MODE_QUERY specifies to attach CMCD metrics as query parameters.
   *  @memberof Constants#
   *  @static
   */
  CMCD_MODE_QUERY: 'query',
  /**
   *  @constant {string} CMCD_MODE_HEADER specifies to attach CMCD metrics as HTTP headers.
   *  @memberof Constants#
   *  @static
   */
  CMCD_MODE_HEADER: 'header',
  /**
   *  @constant {string} CMCD_AVAILABLE_KEYS specifies all the available keys for CMCD metrics.
   *  @memberof Constants#
   *  @static
   */
  CMCD_AVAILABLE_KEYS: ['br', 'd', 'ot', 'tb', 'bl', 'dl', 'mtp', 'nor', 'nrr', 'su', 'bs', 'rtp', 'cid', 'pr', 'sf', 'sid', 'st', 'v'],
  /**
   *  @constant {string} CMCD_AVAILABLE_KEYS_V2 specifies all the available keys for CMCD version 2 metrics.
   *  @memberof Constants#
   *  @static
   */
  CMCD_V2_AVAILABLE_KEYS: ['msd', 'ltc'],
  /**
   *  @constant {string} CMCD_AVAILABLE_REQUESTS specifies all the available requests type for CMCD metrics.
   *  @memberof Constants#
   *  @static
   */
  CMCD_AVAILABLE_REQUESTS: ['segment', 'mpd', 'xlink', 'steering', 'other'],
  INITIALIZE: 'initialize',
  TEXT_SHOWING: 'showing',
  TEXT_HIDDEN: 'hidden',
  TEXT_DISABLED: 'disabled',
  ACCESSIBILITY_CEA608_SCHEME: 'urn:scte:dash:cc:cea-608:2015',
  CC1: 'CC1',
  CC3: 'CC3',
  UTF8: 'utf-8',
  SCHEME_ID_URI: 'schemeIdUri',
  START_TIME: 'starttime',
  SERVICE_DESCRIPTION_DVB_LL_SCHEME: 'urn:dvb:dash:lowlatency:scope:2019',
  SUPPLEMENTAL_PROPERTY_DVB_LL_SCHEME: 'urn:dvb:dash:lowlatency:critical:2019',
  CTA_5004_2023_SCHEME: 'urn:mpeg:dash:cta-5004:2023',
  THUMBNAILS_SCHEME_ID_URIS: ['http://dashif.org/thumbnail_tile', 'http://dashif.org/guidelines/thumbnail_tile'],
  FONT_DOWNLOAD_DVB_SCHEME: 'urn:dvb:dash:fontdownload:2014',
  COLOUR_PRIMARIES_SCHEME_ID_URI: 'urn:mpeg:mpegB:cicp:ColourPrimaries',
  URL_QUERY_INFO_SCHEME: 'urn:mpeg:dash:urlparam:2014',
  EXT_URL_QUERY_INFO_SCHEME: 'urn:mpeg:dash:urlparam:2016',
  MATRIX_COEFFICIENTS_SCHEME_ID_URI: 'urn:mpeg:mpegB:cicp:MatrixCoefficients',
  TRANSFER_CHARACTERISTICS_SCHEME_ID_URI: 'urn:mpeg:mpegB:cicp:TransferCharacteristics',
  HDR_METADATA_FORMAT_SCHEME_ID_URI: 'urn:dvb:dash:hdr-dmi',
  HDR_METADATA_FORMAT_VALUES: {
    ST2094_10: 'ST2094-10',
    SL_HDR2: 'SL-HDR2',
    ST2094_40: 'ST2094-40'
  },
  MEDIA_CAPABILITIES_API: {
    COLORGAMUT: {
      SRGB: 'srgb',
      P3: 'p3',
      REC2020: 'rec2020'
    },
    TRANSFERFUNCTION: {
      SRGB: 'srgb',
      PQ: 'pq',
      HLG: 'hlg'
    },
    HDR_METADATATYPE: {
      SMPTE_ST_2094_10: 'smpteSt2094-10',
      SLHDR2: 'slhdr2',
      SMPTE_ST_2094_40: 'smpteSt2094-40'
    }
  },
  XML: 'XML',
  ARRAY_BUFFER: 'ArrayBuffer',
  DVB_REPORTING_URL: 'dvb:reportingUrl',
  DVB_PROBABILITY: 'dvb:probability',
  OFF_MIMETYPE: 'application/font-sfnt',
  WOFF_MIMETYPE: 'application/font-woff',
  VIDEO_ELEMENT_READY_STATES: {
    HAVE_NOTHING: 0,
    HAVE_METADATA: 1,
    HAVE_CURRENT_DATA: 2,
    HAVE_FUTURE_DATA: 3,
    HAVE_ENOUGH_DATA: 4
  },
  FILE_LOADER_TYPES: {
    FETCH: 'fetch_loader',
    XHR: 'xhr_loader'
  },
  THROUGHPUT_TYPES: {
    LATENCY: 'throughput_type_latency',
    BANDWIDTH: 'throughput_type_bandwidth'
  },
  THROUGHPUT_CALCULATION_MODES: {
    EWMA: 'throughputCalculationModeEwma',
    ZLEMA: 'throughputCalculationModeZlema',
    ARITHMETIC_MEAN: 'throughputCalculationModeArithmeticMean',
    BYTE_SIZE_WEIGHTED_ARITHMETIC_MEAN: 'throughputCalculationModeByteSizeWeightedArithmeticMean',
    DATE_WEIGHTED_ARITHMETIC_MEAN: 'throughputCalculationModeDateWeightedArithmeticMean',
    HARMONIC_MEAN: 'throughputCalculationModeHarmonicMean',
    BYTE_SIZE_WEIGHTED_HARMONIC_MEAN: 'throughputCalculationModeByteSizeWeightedHarmonicMean',
    DATE_WEIGHTED_HARMONIC_MEAN: 'throughputCalculationModeDateWeightedHarmonicMean'
  },
  LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE: {
    MOOF_PARSING: 'lowLatencyDownloadTimeCalculationModeMoofParsing',
    DOWNLOADED_DATA: 'lowLatencyDownloadTimeCalculationModeDownloadedData',
    AAST: 'lowLatencyDownloadTimeCalculationModeAast'
  },
  RULES_TYPES: {
    QUALITY_SWITCH_RULES: 'qualitySwitchRules',
    ABANDON_FRAGMENT_RULES: 'abandonFragmentRules'
  },
  QUALITY_SWITCH_RULES: {
    BOLA_RULE: 'BolaRule',
    THROUGHPUT_RULE: 'ThroughputRule',
    INSUFFICIENT_BUFFER_RULE: 'InsufficientBufferRule',
    SWITCH_HISTORY_RULE: 'SwitchHistoryRule',
    DROPPED_FRAMES_RULE: 'DroppedFramesRule',
    LEARN_TO_ADAPT_RULE: 'L2ARule',
    LOL_PLUS_RULE: 'LoLPRule'
  },
  ABANDON_FRAGMENT_RULES: {
    ABANDON_REQUEST_RULE: 'AbandonRequestsRule'
  },
  /**
   *  @constant {string} ID3_SCHEME_ID_URI specifies scheme ID URI for ID3 timed metadata
   *  @memberof Constants#
   *  @static
   */
  ID3_SCHEME_ID_URI: 'https://aomedia.org/emsg/ID3',
  COMMON_ACCESS_TOKEN_HEADER: 'common-access-token',
  DASH_ROLE_SCHEME_ID: 'urn:mpeg:dash:role:2011',
  CODEC_FAMILIES: {
    MP3: 'mp3',
    AAC: 'aac',
    AC3: 'ac3',
    EC3: 'ec3',
    DTSX: 'dtsx',
    DTSC: 'dtsc',
    AVC: 'avc',
    HEVC: 'hevc'
  }
});

/***/ }),

/***/ "./src/streaming/constants/MetricsConstants.js":
/*!*****************************************************!*\
  !*** ./src/streaming/constants/MetricsConstants.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA, OR
 *  PROFITS, OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Metrics Constants declaration
 * @ignore
 */
/* harmony default export */ __webpack_exports__["default"] = ({
  TCP_CONNECTION: 'TcpList',
  HTTP_REQUEST: 'HttpList',
  TRACK_SWITCH: 'RepSwitchList',
  BUFFER_LEVEL: 'BufferLevel',
  BUFFER_LOADED: 'bufferLoaded',
  ABANDON_LOAD: 'abandonload',
  ALLOW_LOAD: 'allowload',
  BUFFER_EMPTY: 'bufferStalled',
  BUFFER_STATE: 'BufferState',
  DVR_INFO: 'DVRInfo',
  DROPPED_FRAMES: 'DroppedFrames',
  SCHEDULING_INFO: 'SchedulingInfo',
  REQUESTS_QUEUE: 'RequestsQueue',
  MANIFEST_UPDATE: 'ManifestUpdate',
  MANIFEST_UPDATE_STREAM_INFO: 'ManifestUpdatePeriodInfo',
  MANIFEST_UPDATE_TRACK_INFO: 'ManifestUpdateRepresentationInfo',
  PLAY_LIST: 'PlayList',
  DVB_ERRORS: 'DVBErrors',
  HTTP_REQUEST_DVB_REPORTING_TYPE: 'DVBReporting'
});

/***/ }),

/***/ "./src/streaming/constants/ProtectionConstants.js":
/*!********************************************************!*\
  !*** ./src/streaming/constants/ProtectionConstants.js ***!
  \********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA, OR
 *  PROFITS, OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Protection Constants declaration
 * @ignore
 */
/* harmony default export */ __webpack_exports__["default"] = ({
  CLEARKEY_KEYSTEM_STRING: 'org.w3.clearkey',
  WIDEVINE_KEYSTEM_STRING: 'com.widevine.alpha',
  PLAYREADY_KEYSTEM_STRING: 'com.microsoft.playready',
  PLAYREADY_RECOMMENDATION_KEYSTEM_STRING: 'com.microsoft.playready.recommendation',
  WIDEVINE_UUID: 'edef8ba9-79d6-4ace-a3c8-27dcd51d21ed',
  PLAYREADY_UUID: '9a04f079-9840-4286-ab92-e65be0885f95',
  CLEARKEY_UUID: 'e2719d58-a985-b3c9-781a-b030af78d30e',
  W3C_CLEARKEY_UUID: '1077efec-c0b2-4d02-ace3-3c1e52e2fb4b',
  INITIALIZATION_DATA_TYPE_CENC: 'cenc',
  INITIALIZATION_DATA_TYPE_KEYIDS: 'keyids',
  INITIALIZATION_DATA_TYPE_WEBM: 'webm',
  ENCRYPTION_SCHEME_CENC: 'cenc',
  ENCRYPTION_SCHEME_CBCS: 'cbcs',
  MEDIA_KEY_MESSAGE_TYPES: {
    LICENSE_REQUEST: 'license-request',
    LICENSE_RENEWAL: 'license-renewal',
    LICENSE_RELEASE: 'license-release',
    INDIVIDUALIZATION_REQUEST: 'individualization-request'
  },
  ROBUSTNESS_STRINGS: {
    WIDEVINE: {
      SW_SECURE_CRYPTO: 'SW_SECURE_CRYPTO',
      SW_SECURE_DECODE: 'SW_SECURE_DECODE',
      HW_SECURE_CRYPTO: 'HW_SECURE_CRYPTO',
      HW_SECURE_DECODE: 'HW_SECURE_DECODE',
      HW_SECURE_ALL: 'HW_SECURE_ALL'
    }
  },
  MEDIA_KEY_STATUSES: {
    USABLE: 'usable',
    EXPIRED: 'expired',
    RELEASED: 'released',
    OUTPUT_RESTRICTED: 'output-restricted',
    OUTPUT_DOWNSCALED: 'output-downscaled',
    STATUS_PENDING: 'status-pending',
    INTERNAL_ERROR: 'internal-error'
  }
});

/***/ }),

/***/ "./src/streaming/controllers/AbrController.js":
/*!****************************************************!*\
  !*** ./src/streaming/controllers/AbrController.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _rules_abr_ABRRulesCollection_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../rules/abr/ABRRulesCollection.js */ "./src/streaming/rules/abr/ABRRulesCollection.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../models/FragmentModel.js */ "./src/streaming/models/FragmentModel.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _rules_RulesContext_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../rules/RulesContext.js */ "./src/streaming/rules/RulesContext.js");
/* harmony import */ var _rules_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../rules/SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _rules_SwitchRequestHistory_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../rules/SwitchRequestHistory.js */ "./src/streaming/rules/SwitchRequestHistory.js");
/* harmony import */ var _rules_DroppedFramesHistory_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../rules/DroppedFramesHistory.js */ "./src/streaming/rules/DroppedFramesHistory.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */














const DEFAULT_VIDEO_BITRATE = 1000;
const DEFAULT_BITRATE = 100;
function AbrController() {
  const context = this.context;
  const debug = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_11__["default"])(context).getInstance();
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let instance, logger, abrRulesCollection, streamController, capabilities, streamProcessorDict, abandonmentStateDict, abandonmentTimeout, windowResizeEventCalled, adapter, videoModel, mediaPlayerModel, customParametersModel, cmsdModel, domStorage, playbackRepresentationId, switchRequestHistory, droppedFramesHistory, throughputController, dashMetrics, settings;
  function setup() {
    logger = debug.getLogger(instance);
    resetInitialSettings();
  }

  /**
   * Initialize everything that is not period specific. We only have one instance of the ABR Controller for all periods.
   */
  function initialize() {
    droppedFramesHistory = (0,_rules_DroppedFramesHistory_js__WEBPACK_IMPORTED_MODULE_10__["default"])(context).create();
    switchRequestHistory = (0,_rules_SwitchRequestHistory_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create();
    abrRulesCollection = (0,_rules_abr_ABRRulesCollection_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create({
      dashMetrics,
      customParametersModel,
      mediaPlayerModel,
      settings
    });
    abrRulesCollection.initialize();
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_CHANGE_RENDERED, _onQualityChangeRendered, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].METRIC_ADDED, _onMetricAdded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].LOADING_PROGRESS, _onFragmentLoadProgress, instance);
  }

  /**
   * Whenever a StreamProcessor is created it is added to the list of streamProcessorDict
   * In addition, the corresponding objects for this object and its stream id are created
   * @param {object} type
   * @param {object} streamProcessor
   */
  function registerStreamType(type, streamProcessor) {
    const streamId = streamProcessor.getStreamInfo().id;
    if (!streamProcessorDict[streamId]) {
      streamProcessorDict[streamId] = {};
    }
    streamProcessorDict[streamId][type] = streamProcessor;
    if (!abandonmentStateDict[streamId]) {
      abandonmentStateDict[streamId] = {};
    }
    abandonmentStateDict[streamId][type] = {};
    abandonmentStateDict[streamId][type].state = _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ALLOW_LOAD;

    // Do not change current value if it has been set before
    const currentState = abrRulesCollection.getBolaState(type);
    if (currentState === undefined) {
      abrRulesCollection.setBolaState(type, settings.get().streaming.abr.rules.bolaRule.active && !_shouldApplyDynamicAbrStrategy());
    }
  }

  /**
   * Remove all parameters that belong to a specific period
   * @param {string} streamId
   * @param {string} type
   */
  function unRegisterStreamType(streamId, type) {
    try {
      if (streamProcessorDict[streamId] && streamProcessorDict[streamId][type]) {
        delete streamProcessorDict[streamId][type];
      }
      if (abandonmentStateDict[streamId] && abandonmentStateDict[streamId][type]) {
        delete abandonmentStateDict[streamId][type];
      }
    } catch (e) {}
  }
  function resetInitialSettings() {
    abandonmentStateDict = {};
    streamProcessorDict = {};
    if (windowResizeEventCalled === undefined) {
      windowResizeEventCalled = false;
    }
    if (droppedFramesHistory) {
      droppedFramesHistory.reset();
    }
    if (switchRequestHistory) {
      switchRequestHistory.reset();
    }
    playbackRepresentationId = undefined;
    droppedFramesHistory = undefined;
    switchRequestHistory = undefined;
    clearTimeout(abandonmentTimeout);
    abandonmentTimeout = null;
  }
  function reset() {
    resetInitialSettings();
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_CHANGE_RENDERED, _onQualityChangeRendered, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_12__["default"].METRIC_ADDED, _onMetricAdded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].LOADING_PROGRESS, _onFragmentLoadProgress, instance);
    if (abrRulesCollection) {
      abrRulesCollection.reset();
    }
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.streamController) {
      streamController = config.streamController;
    }
    if (config.throughputController) {
      throughputController = config.throughputController;
    }
    if (config.domStorage) {
      domStorage = config.domStorage;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
    if (config.customParametersModel) {
      customParametersModel = config.customParametersModel;
    }
    if (config.cmsdModel) {
      cmsdModel = config.cmsdModel;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.videoModel) {
      videoModel = config.videoModel;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.capabilities) {
      capabilities = config.capabilities;
    }
  }
  function getOptimalRepresentationForBitrate(mediaInfo, bitrateInKbit) {
    let includeCompatibleMediaInfos = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    const possibleVoRepresentations = getPossibleVoRepresentationsFilteredBySettings(mediaInfo, includeCompatibleMediaInfos);
    if (!possibleVoRepresentations || possibleVoRepresentations.length === 0) {
      return null;
    }

    // If bitrate should be as small as possible return the Representation with the lowest bitrate
    const smallestRepresentation = possibleVoRepresentations.reduce((a, b) => {
      return a.bandwidth < b.bandwidth ? a : b;
    });
    if (bitrateInKbit <= 0) {
      return smallestRepresentation;
    }

    // Get all Representations that have lower or equal bitrate than our target bitrate
    const targetRepresentations = possibleVoRepresentations.filter(rep => {
      return rep.bitrateInKbit <= bitrateInKbit;
    });
    if (!targetRepresentations || targetRepresentations.length === 0) {
      return smallestRepresentation;
    }
    return targetRepresentations.reduce((max, curr) => {
      return curr.absoluteIndex > max.absoluteIndex ? curr : max;
    });
  }
  function getRepresentationByAbsoluteIndex(absoluteIndex, mediaInfo) {
    let includeCompatibleMediaInfos = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    if (isNaN(absoluteIndex) || absoluteIndex < 0) {
      return null;
    }
    const possibleVoRepresentations = getPossibleVoRepresentationsFilteredBySettings(mediaInfo, includeCompatibleMediaInfos);
    return possibleVoRepresentations.find(rep => {
      return rep.absoluteIndex === absoluteIndex;
    });
  }
  function getPossibleVoRepresentations(mediaInfo) {
    let includeCompatibleMediaInfos = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    return _getPossibleVoRepresentations(mediaInfo, includeCompatibleMediaInfos);
  }
  function getPossibleVoRepresentationsFilteredBySettings(mediaInfo) {
    let includeCompatibleMediaInfos = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let voRepresentations = _getPossibleVoRepresentations(mediaInfo, includeCompatibleMediaInfos);

    // Filter the list of options based on the provided settings
    voRepresentations = _filterByAllowedSettings(voRepresentations);
    return voRepresentations;
  }
  function _getPossibleVoRepresentations(mediaInfo, includeCompatibleMediaInfos) {
    let voRepresentations = [];
    if (!mediaInfo) {
      return voRepresentations;
    }
    const mediaInfos = _getPossibleMediaInfos(mediaInfo);
    mediaInfos.forEach(mediaInfo => {
      let currentVoRepresentations = adapter.getVoRepresentations(mediaInfo);
      if (currentVoRepresentations && currentVoRepresentations.length > 0) {
        voRepresentations = voRepresentations.concat(currentVoRepresentations);
      }
    });

    // Now sort by quality (usually simply by bitrate)
    voRepresentations = _sortRepresentationsByQuality(voRepresentations);

    // Add an absolute index
    voRepresentations.forEach((rep, index) => {
      rep.absoluteIndex = index;
    });

    // Filter the Representations in case we do not want to include compatible Media Infos
    // We can not apply the filter before otherwise the absolute index would be wrong
    // Also ignore Representations with a key ID that is not usable

    voRepresentations = voRepresentations.filter(representation => {
      const isMediaInfoAllowed = includeCompatibleMediaInfos ? true : adapter.areMediaInfosEqual(representation.mediaInfo, mediaInfo);
      const areKeyIdsUsable = representation && representation.mediaInfo ? capabilities.areKeyIdsUsable(representation.mediaInfo) : true;
      return isMediaInfoAllowed && areKeyIdsUsable;
    });
    return voRepresentations;
  }
  function _getPossibleMediaInfos(mediaInfo) {
    try {
      const possibleMediaInfos = [];
      if (mediaInfo) {
        possibleMediaInfos.push(mediaInfo);
      }

      // If AS switching is disabled return only the current MediaInfo
      if (!settings.get().streaming.abr.enableSupplementalPropertyAdaptationSetSwitching || !mediaInfo.adaptationSetSwitchingCompatibleIds || mediaInfo.adaptationSetSwitchingCompatibleIds.length === 0) {
        return possibleMediaInfos;
      }

      // Otherwise add everything that is compatible
      const mediaInfoArr = streamProcessorDict[mediaInfo.streamInfo.id][mediaInfo.type].getAllMediaInfos();
      const compatibleMediaInfos = mediaInfoArr.filter(entry => {
        return mediaInfo.adaptationSetSwitchingCompatibleIds.includes(entry.id);
      });
      return possibleMediaInfos.concat(compatibleMediaInfos);
    } catch (e) {
      return [mediaInfo];
    }
  }

  /**
   * @param {Representation[]} voRepresentations
   * @return {Representation[]}
   */
  function _filterByAllowedSettings(voRepresentations) {
    try {
      voRepresentations = _filterByPossibleBitrate(voRepresentations);
      voRepresentations = _filterByPortalSize(voRepresentations);
      voRepresentations = _filterByCmsdMaxBitrate(voRepresentations);
      return voRepresentations;
    } catch (e) {
      logger.error(e);
      return voRepresentations;
    }
  }

  /**
   * Returns all RepresentationInfo objects that have at least one bitrate that fulfills the constraint
   * @param {Representation[]} voRepresentations
   * @return {Representation[]}
   */
  function _filterByPossibleBitrate(voRepresentations) {
    try {
      const filteredArray = voRepresentations.filter(voRepresentation => {
        const type = voRepresentation.mediaInfo.type;
        const representationBitrate = voRepresentation.bitrateInKbit;
        const maxBitrate = mediaPlayerModel.getAbrBitrateParameter('maxBitrate', type);
        const minBitrate = mediaPlayerModel.getAbrBitrateParameter('minBitrate', type);
        if (maxBitrate > -1 && representationBitrate > maxBitrate) {
          return false;
        }
        return !(minBitrate > -1 && representationBitrate < minBitrate);
      });
      if (filteredArray.length > 0) {
        return filteredArray;
      }
      return voRepresentations;
    } catch (e) {
      logger.error(e);
      return voRepresentations;
    }
  }

  /**
   * @param {Representation[]} voRepresentations
   * @return {Representation[]}
   * @private
   */
  function _filterByPortalSize(voRepresentations) {
    try {
      if (!settings.get().streaming.abr.limitBitrateByPortal) {
        return voRepresentations;
      }
      const {
        elementWidth
      } = videoModel.getVideoElementSize();
      const filteredArray = voRepresentations.filter(voRepresentation => {
        return voRepresentation.mediaInfo.type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO || voRepresentation.width <= elementWidth;
      });
      if (filteredArray.length > 0) {
        return filteredArray;
      }
      return voRepresentations;
    } catch (e) {
      logger.error(e);
      return voRepresentations;
    }
  }

  /**
   * @param {Representation[]} voRepresentations
   * @return {Representation[]}
   */
  function _filterByCmsdMaxBitrate(voRepresentations) {
    try {
      // Check CMSD max suggested bitrate only for video segments
      if (!settings.get().streaming.cmsd.enabled || !settings.get().streaming.cmsd.abr.applyMb) {
        return voRepresentations;
      }
      const filteredArray = voRepresentations.filter(voRepresentation => {
        const type = voRepresentation.mediaInfo.type;
        let maxCmsdBitrate = cmsdModel.getMaxBitrate(type);
        if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO || maxCmsdBitrate < 0) {
          return true;
        }
        // Subtract audio bitrate
        const streamId = voRepresentation.mediaInfo.streamInfo.id;
        const streamProcessor = streamProcessorDict[streamId][_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO];
        const representation = streamProcessor.getRepresentation();
        const audioBitrate = representation.bitrateInKbit;
        maxCmsdBitrate -= audioBitrate ? audioBitrate : 0;
        return voRepresentation.bitrateInKbit <= maxCmsdBitrate;
      });
      if (filteredArray.length > 0) {
        return filteredArray;
      }
      return voRepresentations;
    } catch (e) {
      logger.error(e);
      return voRepresentations;
    }
  }
  function _sortRepresentationsByQuality(voRepresentations) {
    if (_shouldSortByQualityRankingAttribute(voRepresentations)) {
      voRepresentations = _sortByQualityRankingAttribute(voRepresentations);
    } else {
      voRepresentations = _sortByDefaultParameters(voRepresentations);
    }
    return voRepresentations;
  }
  function _shouldSortByQualityRankingAttribute(voRepresentations) {
    let firstMediaInfo = null;
    const filteredRepresentations = voRepresentations.filter(rep => {
      if (!firstMediaInfo) {
        firstMediaInfo = rep.mediaInfo;
      }
      return !isNaN(rep.qualityRanking) && adapter.areMediaInfosEqual(firstMediaInfo, rep.mediaInfo);
    });
    return filteredRepresentations.length === voRepresentations.length;
  }
  function _sortByQualityRankingAttribute(voRepresentations) {
    voRepresentations.sort((a, b) => {
      return b.qualityRanking - a.qualityRanking;
    });
    return voRepresentations;
  }
  function _sortByDefaultParameters(voRepresentations) {
    voRepresentations.sort((a, b) => {
      // In case both Representations are coming from the same MediaInfo then choose the one with the highest resolution and highest bitrate
      if (adapter.areMediaInfosEqual(a.mediaInfo, b.mediaInfo)) {
        if (!isNaN(a.pixelsPerSecond) && !isNaN(b.pixelsPerSecond) && a.pixelsPerSecond !== b.pixelsPerSecond) {
          return a.pixelsPerSecond - b.pixelsPerSecond;
        } else {
          return a.bandwidth - b.bandwidth;
        }
      }

      // In case the Representations are coming from different MediaInfos they might have different codecs. The bandwidth is not a good indicator, use bits per pixel instead
      else {
        if (!isNaN(a.pixelsPerSecond) && !isNaN(b.pixelsPerSecond) && a.pixelsPerSecond !== b.pixelsPerSecond) {
          return a.pixelsPerSecond - b.pixelsPerSecond;
        } else if (!isNaN(a.bitsPerPixel) && !isNaN(b.bitsPerPixel)) {
          return b.bitsPerPixel - a.bitsPerPixel;
        } else {
          return a.bandwidth - b.bandwidth;
        }
      }
    });
    return voRepresentations;
  }

  /**
   * While fragment loading is in progress we check if we might need to abort the request
   * @param {object} e
   * @private
   */
  function _onFragmentLoadProgress(e) {
    const type = e.request.mediaType;
    const streamId = e.streamId;
    if (!type || !streamId || !streamProcessorDict[streamId] || !settings.get().streaming.abr.autoSwitchBitrate[type]) {
      return;
    }
    const streamProcessor = streamProcessorDict[streamId][type];
    if (!streamProcessor) {
      return;
    }
    const rulesContext = (0,_rules_RulesContext_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).create({
      abrController: instance,
      streamProcessor,
      currentRequest: e.request,
      throughputController,
      adapter,
      videoModel
    });
    const switchRequest = abrRulesCollection.shouldAbandonFragment(rulesContext);
    if (switchRequest && switchRequest.representation !== _rules_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_8__["default"].NO_CHANGE) {
      _onSegmentDownloadShouldBeAbandoned(e, streamId, type, streamProcessor, switchRequest);
    }
  }
  function _onSegmentDownloadShouldBeAbandoned(e, streamId, type, streamProcessor, switchRequest) {
    const fragmentModel = streamProcessor.getFragmentModel();
    const request = fragmentModel.getRequests({
      state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_3__["default"].FRAGMENT_MODEL_LOADING,
      index: e.request.index
    })[0];
    if (request) {
      const targetAbandonmentStateDict = _getAbandonmentStateDictFor(streamId, type);
      if (targetAbandonmentStateDict) {
        targetAbandonmentStateDict.state = _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ABANDON_LOAD;
      }
      switchRequestHistory.reset();
      setPlaybackQuality(type, streamController.getActiveStreamInfo(), switchRequest.representation, switchRequest.reason);
      clearTimeout(abandonmentTimeout);
      abandonmentTimeout = setTimeout(() => {
        if (targetAbandonmentStateDict) {
          abandonmentStateDict[streamId][type].state = _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ALLOW_LOAD;
        }
        abandonmentTimeout = null;
      }, settings.get().streaming.abandonLoadTimeout);
    }
  }

  /**
   * Update dropped frames history when the quality was changed
   * @param {object} e
   * @private
   */
  function _onQualityChangeRendered(e) {
    if (e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO) {
      if (playbackRepresentationId !== undefined) {
        droppedFramesHistory.push(e.streamId, playbackRepresentationId, videoModel.getPlaybackQuality());
      }
      playbackRepresentationId = e.newRepresentation.id;
    }
  }

  /**
   * When the buffer level is updated we check if we need to change the ABR strategy
   * @param e
   * @private
   */
  function _onMetricAdded(e) {
    if (_shouldApplyDynamicAbrStrategy() && e.metric === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].BUFFER_LEVEL && (e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO || e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO)) {
      _updateDynamicAbrStrategy(e.mediaType, 0.001 * e.value.level);
    }
  }

  /**
   * Returns the initial bitrate for a specific media type
   * @param {string} type
   * @returns {number} A value of the initial bitrate, kbps
   * @memberof AbrController#
   */
  function getInitialBitrateFor(type) {
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].TEXT) {
      return NaN;
    }
    let configBitrate = mediaPlayerModel.getAbrBitrateParameter('initialBitrate', type);
    if (configBitrate > 0) {
      return configBitrate;
    }
    let savedBitrate = NaN;
    if (domStorage && domStorage.hasOwnProperty('getSavedBitrateSettings')) {
      savedBitrate = domStorage.getSavedBitrateSettings(type);
    }
    if (!isNaN(savedBitrate)) {
      return savedBitrate;
    }
    const averageThroughput = throughputController.getAverageThroughput(type);
    if (!isNaN(averageThroughput) && averageThroughput > 0) {
      return averageThroughput;
    }
    return type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO ? DEFAULT_VIDEO_BITRATE : DEFAULT_BITRATE;
  }

  /**
   * This function is called by the scheduleControllers to check if the quality should be changed.
   * Consider this the main entry point for the ABR decision logic
   * @param {string} type
   * @param {string} streamId
   */
  function checkPlaybackQuality(type, streamId) {
    try {
      if (!type || !streamProcessorDict || !streamProcessorDict[streamId] || !streamProcessorDict[streamId][type]) {
        return false;
      }
      if (droppedFramesHistory) {
        const playbackQuality = videoModel.getPlaybackQuality();
        if (playbackQuality) {
          droppedFramesHistory.push(streamId, playbackRepresentationId, playbackQuality);
        }
      }
      if (!settings.get().streaming.abr.autoSwitchBitrate[type]) {
        return false;
      }
      const streamProcessor = streamProcessorDict[streamId][type];
      const currentRepresentation = streamProcessor.getRepresentation();
      const rulesContext = (0,_rules_RulesContext_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).create({
        abrController: instance,
        throughputController,
        switchRequestHistory,
        droppedFramesHistory,
        streamProcessor,
        adapter,
        videoModel
      });
      const switchRequest = abrRulesCollection.getBestPossibleSwitchRequest(rulesContext);
      if (!switchRequest || !switchRequest.representation) {
        return false;
      }
      let newRepresentation = switchRequest.representation;
      switchRequestHistory.push({
        currentRepresentation,
        newRepresentation
      });
      if (newRepresentation.id !== currentRepresentation.id && (abandonmentStateDict[streamId][type].state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ALLOW_LOAD || newRepresentation.absoluteIndex < currentRepresentation.absoluteIndex)) {
        _changeQuality(currentRepresentation, newRepresentation, switchRequest.reason);
        return true;
      }
      return false;
    } catch (e) {
      logger.error(e);
      return false;
    }
  }

  /**
   * Sets the new playback quality. Starts from index 0.
   * If the index of the new quality is the same as the old one changeQuality will not be called.
   * @param {string} type
   * @param {object} streamInfo
   * @param {Representation} representation
   * @param {string} reason
   * @param {string} rule
   */
  function setPlaybackQuality(type, streamInfo, representation) {
    let reason = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
    if (!streamInfo || !streamInfo.id || !type || !streamProcessorDict || !streamProcessorDict[streamInfo.id] || !streamProcessorDict[streamInfo.id][type] || !representation) {
      return;
    }
    const streamProcessor = streamProcessorDict[streamInfo.id][type];
    const currentRepresentation = streamProcessor.getRepresentation();
    if (!currentRepresentation || representation.id !== currentRepresentation.id) {
      _changeQuality(currentRepresentation, representation, reason);
    }
  }

  /**
   *
   * @param {string} streamId
   * @param {type} type
   * @return {*|null}
   */
  function getAbandonmentStateFor(streamId, type) {
    return abandonmentStateDict[streamId] && abandonmentStateDict[streamId][type] ? abandonmentStateDict[streamId][type].state : null;
  }
  function _getAbandonmentStateDictFor(streamId, type) {
    return abandonmentStateDict[streamId] && abandonmentStateDict[streamId][type] ? abandonmentStateDict[streamId][type] : null;
  }

  /**
   * Changes the internal qualityDict values according to the new quality
   * @param {Representation} oldRepresentation
   * @param {Representation} newRepresentation
   * @param {string} reason
   * @private
   */
  function _changeQuality(oldRepresentation, newRepresentation, reason) {
    const streamId = newRepresentation.mediaInfo.streamInfo.id;
    const type = newRepresentation.mediaInfo.type;
    if (type && streamProcessorDict[streamId] && streamProcessorDict[streamId][type]) {
      const streamInfo = streamProcessorDict[streamId][type].getStreamInfo();
      const bufferLevel = dashMetrics.getCurrentBufferLevel(type);
      const isAdaptationSetSwitch = oldRepresentation !== null && !adapter.areMediaInfosEqual(oldRepresentation.mediaInfo, newRepresentation.mediaInfo);
      const oldBitrate = oldRepresentation ? oldRepresentation.bitrateInKbit : 0;
      logger.info(`[AbrController]: Switching quality in period ${streamId} for media type ${type}. Switch from bitrate ${oldBitrate} to bitrate ${newRepresentation.bitrateInKbit}. Current buffer level: ${bufferLevel}. Reason:` + (reason ? JSON.stringify(reason) : '/'));
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].QUALITY_CHANGE_REQUESTED, {
        oldRepresentation: oldRepresentation,
        newRepresentation: newRepresentation,
        reason,
        streamInfo,
        mediaType: type,
        isAdaptationSetSwitch
      }, {
        streamId: streamInfo.id,
        mediaType: type
      });
      const bitrate = throughputController.getAverageThroughput(type);
      if (!isNaN(bitrate)) {
        domStorage.setSavedBitrateSettings(type, bitrate);
      }
    }
  }

  /**
   * If both BOLA and Throughput Rule are active we switch dynamically between both of them
   * @returns {boolean}
   * @private
   */
  function _shouldApplyDynamicAbrStrategy() {
    return settings.get().streaming.abr.rules.bolaRule.active && settings.get().streaming.abr.rules.throughputRule.active;
  }

  /**
   * Switch between BOLA and ThroughputRule
   * @param mediaType
   * @param bufferLevel
   * @private
   */
  function _updateDynamicAbrStrategy(mediaType, bufferLevel) {
    try {
      const bufferTimeDefault = mediaPlayerModel.getBufferTimeDefault();
      const switchOnThreshold = bufferTimeDefault;
      const switchOffThreshold = 0.5 * bufferTimeDefault;
      const isUsingBolaRule = abrRulesCollection.getBolaState(mediaType);
      const shouldUseBolaRule = bufferLevel >= (isUsingBolaRule ? switchOffThreshold : switchOnThreshold); // use hysteresis to avoid oscillating rules
      abrRulesCollection.setBolaState(mediaType, shouldUseBolaRule);
      if (shouldUseBolaRule !== isUsingBolaRule) {
        if (shouldUseBolaRule) {
          logger.info('[' + mediaType + '] switching from throughput to buffer occupancy ABR rule (buffer: ' + bufferLevel.toFixed(3) + ').');
        } else {
          logger.info('[' + mediaType + '] switching from buffer occupancy to throughput ABR rule (buffer: ' + bufferLevel.toFixed(3) + ').');
        }
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Checks if the provided Representation has the lowest possible quality
   * @param representation
   * @returns {boolean}
   */
  function isPlayingAtLowestQuality(representation) {
    const voRepresentations = getPossibleVoRepresentationsFilteredBySettings(representation.mediaInfo, true);
    return voRepresentations[0].id === representation.id;
  }

  /**
   * Checks if the provided Representation has the highest possible quality
   * @param representation
   * @returns {boolean}
   */
  function isPlayingAtTopQuality(representation) {
    if (!representation) {
      return true;
    }
    const voRepresentations = getPossibleVoRepresentationsFilteredBySettings(representation.mediaInfo, true);
    return voRepresentations[voRepresentations.length - 1].id === representation.id;
  }
  function setWindowResizeEventCalled(value) {
    windowResizeEventCalled = value;
  }
  function clearDataForStream(streamId) {
    if (droppedFramesHistory) {
      droppedFramesHistory.clearForStream(streamId);
    }
    if (streamProcessorDict[streamId]) {
      delete streamProcessorDict[streamId];
    }
    if (switchRequestHistory) {
      switchRequestHistory.clearForStream(streamId);
    }
    if (abandonmentStateDict[streamId]) {
      delete abandonmentStateDict[streamId];
    }
    abrRulesCollection.clearDataForStream(streamId);
  }
  function handleNewMediaInfo(newMediaInfo) {
    abrRulesCollection.handleNewMediaInfo(newMediaInfo);
  }
  instance = {
    checkPlaybackQuality,
    clearDataForStream,
    getAbandonmentStateFor,
    getInitialBitrateFor,
    getOptimalRepresentationForBitrate,
    getPossibleVoRepresentations,
    getPossibleVoRepresentationsFilteredBySettings,
    getRepresentationByAbsoluteIndex,
    handleNewMediaInfo,
    initialize,
    isPlayingAtLowestQuality,
    isPlayingAtTopQuality,
    registerStreamType,
    reset,
    setConfig,
    setPlaybackQuality,
    setWindowResizeEventCalled,
    unRegisterStreamType
  };
  setup();
  return instance;
}
AbrController.__dashjs_factory_name = 'AbrController';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__["default"].getSingletonFactory(AbrController);
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__["default"].updateSingletonFactory(AbrController.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/controllers/BaseURLController.js":
/*!********************************************************!*\
  !*** ./src/streaming/controllers/BaseURLController.js ***!
  \********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _models_BaseURLTreeModel_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../models/BaseURLTreeModel.js */ "./src/streaming/models/BaseURLTreeModel.js");
/* harmony import */ var _utils_BaseURLSelector_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/BaseURLSelector.js */ "./src/streaming/utils/BaseURLSelector.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _dash_vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../dash/vo/BaseURL.js */ "./src/dash/vo/BaseURL.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









function BaseURLController() {
  let instance, adapter;
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let baseURLTreeModel, baseURLSelector, contentSteeringController;
  function onBlackListChanged(e) {
    baseURLTreeModel.invalidateSelectedIndexes(e.entry);
  }
  function setup() {
    baseURLTreeModel = (0,_models_BaseURLTreeModel_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create();
    baseURLSelector = (0,_utils_BaseURLSelector_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SERVICE_LOCATION_BASE_URL_BLACKLIST_CHANGED, onBlackListChanged, instance);
  }
  function setConfig(config) {
    if (config.baseURLTreeModel) {
      baseURLTreeModel = config.baseURLTreeModel;
    }
    if (config.baseURLSelector) {
      baseURLSelector = config.baseURLSelector;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
  }
  function update(manifest) {
    baseURLTreeModel.update(manifest);
    baseURLSelector.chooseSelector(adapter.getIsDVB(manifest));
    eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].BASE_URLS_UPDATED, {
      baseUrls: getBaseUrls(manifest)
    });
  }
  function resolve(path) {
    const baseUrls = baseURLTreeModel.getForPath(path);
    const baseUrl = baseUrls.reduce((p, c) => {
      const b = baseURLSelector.select(c);
      if (b) {
        if (!urlUtils.isRelative(b.url)) {
          p.url = b.url;
          p.serviceLocation = b.serviceLocation;
        } else {
          p.url = urlUtils.resolve(b.url, p.url);
        }
        p.availabilityTimeOffset = b.availabilityTimeOffset;
        p.availabilityTimeComplete = b.availabilityTimeComplete;
        p.queryParams = b.queryParams;
      } else {
        return new _dash_vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_3__["default"]();
      }
      return p;
    }, new _dash_vo_BaseURL_js__WEBPACK_IMPORTED_MODULE_3__["default"]());
    if (!urlUtils.isRelative(baseUrl.url)) {
      return baseUrl;
    }
  }
  function reset() {
    baseURLTreeModel.reset();
    baseURLSelector.reset();
  }
  function getBaseUrls(manifest) {
    return baseURLTreeModel.getBaseUrls(manifest);
  }
  function initialize(data) {
    // report config to baseURLTreeModel and baseURLSelector
    baseURLTreeModel.setConfig({
      adapter,
      contentSteeringController
    });
    update(data);
  }
  instance = {
    reset,
    initialize,
    resolve,
    setConfig,
    getBaseUrls,
    update
  };
  setup();
  return instance;
}
BaseURLController.__dashjs_factory_name = 'BaseURLController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__["default"].getClassFactory(BaseURLController));

/***/ }),

/***/ "./src/streaming/controllers/BlacklistController.js":
/*!**********************************************************!*\
  !*** ./src/streaming/controllers/BlacklistController.js ***!
  \**********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function BlackListController(config) {
  config = config || {};
  let instance;
  let blacklist = [];
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(this.context).getInstance();
  const updateEventName = config.updateEventName;
  const addBlacklistEventName = config.addBlacklistEventName;
  function contains(query) {
    if (!blacklist.length || !query || !query.length) {
      return false;
    }
    return blacklist.indexOf(query) !== -1;
  }
  function add(entry) {
    if (blacklist.indexOf(entry) !== -1) {
      return;
    }
    blacklist.push(entry);
    eventBus.trigger(updateEventName, {
      entry: entry
    });
  }
  function remove(entry) {
    const index = blacklist.indexOf(entry);
    if (index !== -1) {
      blacklist.splice(index, 1);
    }
  }
  function onAddBlackList(e) {
    add(e.entry);
  }
  function setup() {
    if (addBlacklistEventName) {
      eventBus.on(addBlacklistEventName, onAddBlackList, instance);
    }
  }
  function reset() {
    if (addBlacklistEventName) {
      eventBus.off(addBlacklistEventName, onAddBlackList, instance);
    }
    blacklist = [];
  }
  instance = {
    add: add,
    remove: remove,
    contains: contains,
    reset: reset
  };
  setup();
  return instance;
}
BlackListController.__dashjs_factory_name = 'BlackListController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(BlackListController));

/***/ }),

/***/ "./src/streaming/controllers/BufferController.js":
/*!*******************************************************!*\
  !*** ./src/streaming/controllers/BufferController.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../models/FragmentModel.js */ "./src/streaming/models/FragmentModel.js");
/* harmony import */ var _SourceBufferSink_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../SourceBufferSink.js */ "./src/streaming/SourceBufferSink.js");
/* harmony import */ var _PreBufferSink_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../PreBufferSink.js */ "./src/streaming/PreBufferSink.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _utils_InitCache_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../utils/InitCache.js */ "./src/streaming/utils/InitCache.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */












const BUFFER_END_THRESHOLD = 0.5;
const BUFFER_RANGE_CALCULATION_THRESHOLD = 0.01;
const QUOTA_EXCEEDED_ERROR_CODE = 22;
const BUFFER_CONTROLLER_TYPE = 'BufferController';
function BufferController(config) {
  config = config || {};
  const capabilities = config.capabilities;
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
  const fragmentModel = config.fragmentModel;
  const playbackController = config.playbackController;
  const representationController = config.representationController;
  const settings = config.settings;
  const streamInfo = config.streamInfo;
  const textController = config.textController;
  const type = config.type;
  let instance, logger, isBufferingCompleted, bufferLevel, criticalBufferLevel, mediaSource, maxAppendedIndex, maximumIndex, sourceBufferSink, dischargeBuffer, isPrebuffering, dischargeFragments, bufferState, appendedBytesInfo, wallclockTicked, isPruningInProgress, isQuotaExceeded, initCache, pendingPruningRanges, replacingBuffer, seekTarget;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance().getLogger(instance);
    initCache = (0,_utils_InitCache_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
    resetInitialSettings();
  }

  /**
   * Initialize the BufferController. Sets the media source and registers the event handlers.
   * @param {object} mediaSource
   */
  function initialize(mediaSource) {
    setMediaSource(mediaSource);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].INIT_FRAGMENT_LOADED, _onInitFragmentLoaded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].WALLCLOCK_TIME_UPDATED, _onWallclockTimeUpdated, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_PLAYING, _onPlaybackPlaying, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_PROGRESS, _onPlaybackProgression, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackProgression, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_RATE_CHANGED, _onPlaybackRateChanged, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_STALLED, _onPlaybackStalled, instance);
  }

  /**
   * Returns the stream id
   * @return {string}
   */
  function getStreamId() {
    return streamInfo.id;
  }

  /**
   * Returns the media type
   * @return {type}
   */
  function getType() {
    return type;
  }

  /**
   * Returns the type of the BufferController. We distinguish between standard buffer controllers and buffer controllers related to texttracks.
   * @return {string}
   */
  function getBufferControllerType() {
    return BUFFER_CONTROLLER_TYPE;
  }

  /**
   * Sets the mediasource.
   * @param {object} value
   * @param {object} mediaInfo
   */
  function setMediaSource(value) {
    let mediaInfo = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    return new Promise((resolve, reject) => {
      mediaSource = value;
      // if we have a prebuffer, we should prepare to discharge it, and make a new sourceBuffer ready
      if (sourceBufferSink && mediaInfo && typeof sourceBufferSink.discharge === 'function') {
        dischargeBuffer = sourceBufferSink;
        createBufferSink(mediaInfo).then(() => {
          resolve();
        }).catch(e => {
          reject(e);
        });
      } else {
        resolve();
      }
    });
  }

  /**
   * Creates a SourceBufferSink object
   * @param {object} mediaInfo
   * @param {array} oldBufferSinks
   * @return {Promise<Object>} SourceBufferSink
   */
  function createBufferSink(mediaInfo) {
    let oldBufferSinks = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
    let oldRepresentation = arguments.length > 2 ? arguments[2] : undefined;
    return new Promise((resolve, reject) => {
      if (!initCache || !mediaInfo) {
        resolve(null);
        return;
      }
      if (mediaSource) {
        isPrebuffering = false;
        _initializeSinkForMseBuffering(mediaInfo, oldBufferSinks, oldRepresentation).then(sink => {
          resolve(sink);
        }).catch(e => {
          reject(e);
        });
      } else {
        isPrebuffering = true;
        _initializeSinkForPrebuffering().then(sink => {
          resolve(sink);
        }).catch(e => {
          reject(e);
        });
      }
    });
  }
  function _initializeSinkForPrebuffering() {
    return new Promise((resolve, reject) => {
      sourceBufferSink = (0,_PreBufferSink_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create(_onAppended.bind(this));
      updateBufferTimestampOffset(representationController.getCurrentRepresentation()).then(() => {
        resolve(sourceBufferSink);
      }).catch(() => {
        reject();
      });
    });
  }
  function _initializeSinkForMseBuffering(mediaInfo, oldBufferSinks, oldRepresentation) {
    return new Promise(resolve => {
      sourceBufferSink = (0,_SourceBufferSink_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create({
        mediaSource,
        textController,
        eventBus
      });
      _initializeSink(mediaInfo, oldBufferSinks, oldRepresentation).then(() => {
        return updateBufferTimestampOffset(representationController.getCurrentRepresentation());
      }).then(() => {
        resolve(sourceBufferSink);
      }).catch(e => {
        logger.warn('Caught error on create SourceBuffer: ' + e);
        resolve(sourceBufferSink);
      });
    });
  }
  function _initializeSink(mediaInfo, oldBufferSinks, oldRepresentation) {
    const newRepresentation = representationController.getCurrentRepresentation();
    if (oldBufferSinks && oldBufferSinks[type] && (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO)) {
      return _initializeSinkForStreamSwitch(mediaInfo, newRepresentation, oldBufferSinks, oldRepresentation);
    } else {
      return _initializeSinkForFirstUse(mediaInfo, newRepresentation);
    }
  }
  function _initializeSinkForStreamSwitch(mediaInfo, newRepresentation, oldBufferSinks, oldRepresentation) {
    sourceBufferSink.initializeForStreamSwitch(mediaInfo, newRepresentation, oldBufferSinks[type]);
    const promises = [];
    promises.push(sourceBufferSink.abortBeforeAppend());
    promises.push(updateAppendWindow());
    promises.push(_changeCodec(newRepresentation, oldRepresentation));
    if (newRepresentation && newRepresentation.mseTimeOffset !== undefined) {
      promises.push(updateBufferTimestampOffset(newRepresentation));
    }
    return Promise.allSettled(promises);
  }
  function _initializeSinkForFirstUse(mediaInfo, newRepresentation) {
    return sourceBufferSink.initializeForFirstUse(mediaInfo, newRepresentation);
  }
  function dischargePreBuffer() {
    if (sourceBufferSink && dischargeBuffer && typeof dischargeBuffer.discharge === 'function') {
      const ranges = dischargeBuffer.getAllBufferRanges();
      if (ranges.length > 0) {
        let rangeStr = 'Beginning ' + type + 'PreBuffer discharge, adding buffer for:';
        for (let i = 0; i < ranges.length; i++) {
          rangeStr += ' start: ' + ranges.start(i) + ', end: ' + ranges.end(i) + ';';
        }
        logger.debug(rangeStr);
      } else {
        logger.debug('PreBuffer discharge requested, but there were no media segments in the PreBuffer.');
      }

      //A list of fragments to supress bytesAppended events for. This makes transferring from a prebuffer to a sourcebuffer silent.
      dischargeFragments = [];
      let chunks = dischargeBuffer.discharge();
      let lastInit = null;
      for (let j = 0; j < chunks.length; j++) {
        const chunk = chunks[j];
        if (chunk.segmentType !== _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_10__.HTTPRequest.INIT_SEGMENT_TYPE) {
          const initChunk = initCache.extract(chunk.streamId, chunk.representation.id);
          if (initChunk) {
            if (lastInit !== initChunk) {
              dischargeFragments.push(initChunk);
              sourceBufferSink.append(initChunk);
              lastInit = initChunk;
            }
          }
        }
        dischargeFragments.push(chunk);
        sourceBufferSink.append(chunk);
      }
      dischargeBuffer.reset();
      dischargeBuffer = null;
    }
  }

  /**
   * Callback handler when init segment has been loaded. Based on settings, the init segment is saved to the cache, and appended to the buffer.
   * @param {object} e
   * @private
   */
  function _onInitFragmentLoaded(e) {
    if (settings.get().streaming.cacheInitSegments) {
      logger.info('Init fragment finished loading saving to', type + '\'s init cache');
      initCache.save(e.chunk);
    }
    logger.debug(`Appending init fragment for type ${type}, representationId ${e.chunk.representation.id} and bandwidth ${e.chunk.representation.bandwidth}`);
    _appendToBuffer(e.chunk);
  }

  /**
   * Append the init segment for a certain representation to the buffer. If the init segment is cached we take the one from the cache. Otherwise the function returns false and the segment has to be requested again.
   * @param {string} representationId
   * @return {boolean}
   */
  function appendInitSegmentFromCache(representationId) {
    // Get init segment from cache
    const chunk = initCache.extract(streamInfo.id, representationId);
    if (!chunk) {
      // Init segment not in cache, shall be requested
      return false;
    }

    // Append init segment into buffer
    logger.debug(`Appending init fragment for type ${type}, representationId ${chunk.representation.id} and bandwidth ${chunk.representation.bandwidth}`);
    _appendToBuffer(chunk);
    return true;
  }

  /**
   * Calls the _appendToBuffer function to append the segment to the buffer. In case of a track switch the buffer might be cleared.
   * @param {object} e
   */
  function _onMediaFragmentLoaded(e) {
    _appendToBuffer(e.chunk, e.request);
  }

  /**
   * Append data to the MSE buffer using the SourceBufferSink
   * @param {object} chunk
   * @param {object} request
   * @private
   */
  function _appendToBuffer(chunk) {
    let request = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    if (!sourceBufferSink) {
      return;
    }
    sourceBufferSink.append(chunk, request).then(e => {
      _onAppended(e);
    }).catch(e => {
      _onAppended(e);
    });
    if (chunk.representation.mediaInfo.type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].VIDEO_CHUNK_RECEIVED, {
        chunk: chunk
      });
    }
  }
  function _showBufferRanges(ranges) {
    if (ranges && ranges.length > 0) {
      for (let i = 0, len = ranges.length; i < len; i++) {
        logger.debug('Buffered range: ' + ranges.start(i) + ' - ' + ranges.end(i) + ', currentTime = ', playbackController.getTime());
      }
    }
  }
  function _onAppended(e) {
    if (e.error) {
      // If we receive a QUOTA_EXCEEDED_ERROR_CODE we should adjust the target buffer times to avoid this error in the future.
      if (e.error.code === QUOTA_EXCEEDED_ERROR_CODE) {
        _handleQuotaExceededError();
      }
      if (e.error.code === QUOTA_EXCEEDED_ERROR_CODE || !hasEnoughSpaceToAppend()) {
        logger.warn('Clearing playback buffer to overcome quota exceed situation');
        // Notify ScheduleController to stop scheduling until buffer has been pruned
        _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].QUOTA_EXCEEDED, {
          criticalBufferLevel: criticalBufferLevel,
          quotaExceededTime: e.chunk.start
        });
        clearBuffers(getClearRanges());
      }
      return;
    }

    // Check if session has not been stopped in the meantime (while last segment was being appended)
    if (!sourceBufferSink) {
      return;
    }
    _updateBufferLevel();
    isQuotaExceeded = false;
    appendedBytesInfo = e.chunk;
    if (!appendedBytesInfo || !appendedBytesInfo.endFragment) {
      return;
    }
    if (appendedBytesInfo && !isNaN(appendedBytesInfo.index)) {
      maxAppendedIndex = Math.max(appendedBytesInfo.index, maxAppendedIndex);
      _checkIfBufferingCompleted();
    }
    const ranges = sourceBufferSink.getAllBufferRanges();
    if (appendedBytesInfo.segmentType === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_10__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
      _showBufferRanges(ranges);
      _onPlaybackProgression();
      _adjustSeekTarget();
    }
    let suppressAppendedEvent = false;
    if (dischargeFragments) {
      if (dischargeFragments.indexOf(appendedBytesInfo) > 0) {
        suppressAppendedEvent = true;
      }
      dischargeFragments = null;
    }
    if (appendedBytesInfo && !suppressAppendedEvent) {
      _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BYTES_APPENDED_END_FRAGMENT, {
        startTime: appendedBytesInfo.start,
        index: appendedBytesInfo.index,
        bufferedRanges: ranges,
        segmentType: appendedBytesInfo.segmentType,
        mediaType: type,
        representationId: appendedBytesInfo.representation.id
      });
    }
  }

  /**
   * In some cases the segment we requested might start at a different time than we initially aimed for. segments timeline/template tolerance.
   * We might need to do an internal seek if there is drift.
   * @private
   */
  function _adjustSeekTarget() {
    if (isNaN(seekTarget) || isPrebuffering) {
      return;
    }
    // Check buffered data only for audio and video
    if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      seekTarget = NaN;
      return;
    }

    // Check if current buffered range already contains seek target (and current video element time)
    const currentTime = playbackController.getTime();
    const rangeAtCurrenTime = getRangeAt(currentTime, 0);
    const rangeAtSeekTarget = getRangeAt(seekTarget, 0);
    if (rangeAtCurrenTime && rangeAtSeekTarget && rangeAtCurrenTime.start === rangeAtSeekTarget.start) {
      seekTarget = NaN;
      return;
    }

    // Get buffered range corresponding to the seek target
    const segmentDuration = representationController.getCurrentRepresentation().segmentDuration;
    const range = getRangeAt(seekTarget, segmentDuration);
    if (!range) {
      return;
    }
    if (settings.get().streaming.buffer.enableSeekDecorrelationFix && Math.abs(currentTime - seekTarget) > segmentDuration) {
      // If current video model time is decorrelated from seek target (and appended buffer) then seek video element
      // (in case of live streams on some browsers/devices for which we can't set video element time at unavalaible range)

      // Check if appended segment is not anterior from seek target (segments timeline/template tolerance)
      if (seekTarget <= range.end) {
        // Seek video element to seek target or range start if appended buffer starts after seek target (segments timeline/template tolerance)
        playbackController.seek(Math.max(seekTarget, range.start), false, true);
      }
    } else if (currentTime < range.start) {
      // If appended buffer starts after seek target (segments timeline/template tolerance) then seek to range start
      playbackController.seek(range.start, false, true);
    }
  }
  function _handleQuotaExceededError() {
    isQuotaExceeded = true;
    criticalBufferLevel = getTotalBufferedTime() * 0.8;
    logger.warn('Quota exceeded, Critical Buffer: ' + criticalBufferLevel);
    if (criticalBufferLevel > 0) {
      // recalculate buffer lengths according to criticalBufferLevel
      const bufferToKeep = Math.max(0.2 * criticalBufferLevel, 1);
      const bufferAhead = criticalBufferLevel - bufferToKeep;
      const bufferTimeAtTopQuality = Math.min(settings.get().streaming.buffer.bufferTimeAtTopQuality, bufferAhead * 0.9);
      const bufferTimeAtTopQualityLongForm = Math.min(settings.get().streaming.buffer.bufferTimeAtTopQualityLongForm, bufferAhead * 0.9);
      const s = {
        streaming: {
          buffer: {
            bufferToKeep: parseFloat(bufferToKeep.toFixed(5)),
            bufferTimeAtTopQuality: parseFloat(bufferTimeAtTopQuality.toFixed(5)),
            bufferTimeAtTopQualityLongForm: parseFloat(bufferTimeAtTopQualityLongForm.toFixed(5))
          }
        }
      };
      settings.update(s);
    }
  }
  function prepareForPlaybackSeek() {
    if (isBufferingCompleted) {
      setIsBufferingCompleted(false);
    }

    // Abort the current request and empty all possible segments to be appended
    return sourceBufferSink.abort();
  }
  function prepareForForceReplacementQualitySwitch(newRepresentation, oldRepresentation) {
    return new Promise(resolve => {
      const promises = [];
      promises.push(sourceBufferSink.abort());
      promises.push(updateAppendWindow());
      promises.push(pruneAllSafely());
      promises.push(updateBufferTimestampOffset(newRepresentation));
      promises.push(_changeCodec(newRepresentation, oldRepresentation));
      Promise.allSettled(promises).then(() => {
        setIsBufferingCompleted(false);
        resolve();
      });
    });
  }
  function prepareForAbandonQualitySwitch(newRepresentation, oldRepresentation) {
    return _defaultQualitySwitchPreparation(newRepresentation, oldRepresentation);
  }
  function prepareForFastQualitySwitch(newRepresentation, oldRepresentation) {
    return _defaultQualitySwitchPreparation(newRepresentation, oldRepresentation);
  }
  function prepareForDefaultQualitySwitch(newRepresentation, oldRepresentation) {
    return _defaultQualitySwitchPreparation(newRepresentation, oldRepresentation);
  }
  function _defaultQualitySwitchPreparation(newRepresentation, oldRepresentation) {
    const promises = [];
    promises.push(updateBufferTimestampOffset(newRepresentation));
    promises.push(abort());
    promises.push(_changeCodec(newRepresentation, oldRepresentation));
    return Promise.allSettled(promises);
  }
  function prepareForReplacementTrackSwitch(newRepresentation, oldRepresentation) {
    return new Promise(resolve => {
      const promises = [];
      promises.push(sourceBufferSink.abort());
      promises.push(updateAppendWindow());
      promises.push(_changeCodec(newRepresentation, oldRepresentation));
      promises.push(pruneAllSafely());
      promises.push(updateBufferTimestampOffset(newRepresentation));
      Promise.allSettled(promises).then(() => {
        setIsBufferingCompleted(false);
        resolve();
      });
    });
  }
  function prepareForNonReplacementTrackSwitch(newRepresentation, oldRepresentation) {
    return new Promise(resolve => {
      const promises = [];
      promises.push(updateAppendWindow());
      promises.push(_changeCodec(newRepresentation, oldRepresentation));
      Promise.allSettled(promises).then(() => {
        resolve();
      });
    });
  }
  function _changeCodec(newRepresentation, oldRepresentation) {
    if (!newRepresentation || !oldRepresentation) {
      logger.warn(`BufferController._changeCodec() is missing the information about the Representations. Doing nothing`);
      return Promise.resolve();
    }

    // we dont need change type for the codec change if we have the same mime type and codec family
    if (newRepresentation && oldRepresentation && newRepresentation.mimeType === oldRepresentation.mimeType && newRepresentation.codecFamily === oldRepresentation.codecFamily) {
      logger.debug(`Switching to new codec ${newRepresentation.codecs} without changeType as previous codec ${oldRepresentation.codecs} is compatible.`);
      return Promise.resolve();
    }

    // change type should not be used or is not supported
    if (!settings.get().streaming.buffer.useChangeType || !capabilities.supportsChangeType()) {
      logger.debug(`changeType() not available`);
      return Promise.resolve();
    }
    logger.debug(`Using changeType() to switch from codec ${oldRepresentation.codecs} to ${newRepresentation.codecs}`);
    return sourceBufferSink.changeType(newRepresentation);
  }
  function pruneAllSafely() {
    return new Promise((resolve, reject) => {
      let ranges = getAllRangesWithSafetyFactor();
      if (!ranges || ranges.length === 0) {
        _onPlaybackProgression();
        resolve();
        return;
      }
      clearBuffers(ranges).then(() => {
        resolve();
      }).catch(e => {
        reject(e);
      });
    });
  }
  function getAllRangesWithSafetyFactor(seekTime) {
    const clearRanges = [];
    const ranges = sourceBufferSink.getAllBufferRanges();

    // no valid ranges
    if (!ranges || ranges.length === 0) {
      return clearRanges;
    }

    // if no target time is provided we clear everything
    if (!seekTime && seekTime !== 0 || isNaN(seekTime)) {
      clearRanges.push({
        start: ranges.start(0),
        end: ranges.end(ranges.length - 1) + BUFFER_END_THRESHOLD
      });
    }

    // otherwise we need to calculate the correct pruning range
    else {
      const behindPruningRange = _getRangeBehindForPruning(seekTime, ranges);
      const aheadPruningRange = _getRangeAheadForPruning(seekTime, ranges);
      if (behindPruningRange) {
        clearRanges.push(behindPruningRange);
      }
      if (aheadPruningRange) {
        clearRanges.push(aheadPruningRange);
      }
    }
    return clearRanges;
  }
  function _getRangeBehindForPruning(targetTime, ranges) {
    const bufferToKeepBehind = settings.get().streaming.buffer.bufferToKeep;
    const startOfBuffer = ranges.start(0);

    // if we do a seek ahead of the current play position we do need to prune behind the new play position
    const behindDiff = targetTime - startOfBuffer;
    if (behindDiff > bufferToKeepBehind) {
      let rangeEnd = Math.max(0, targetTime - bufferToKeepBehind);
      // Ensure we keep full range of current fragment
      const currentTimeRequest = fragmentModel.getRequests({
        state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_2__["default"].FRAGMENT_MODEL_EXECUTED,
        time: targetTime,
        threshold: BUFFER_RANGE_CALCULATION_THRESHOLD
      })[0];
      if (currentTimeRequest) {
        rangeEnd = Math.min(currentTimeRequest.startTime, rangeEnd);
      }
      if (rangeEnd > 0) {
        return {
          start: startOfBuffer,
          end: rangeEnd
        };
      }
    }
    return null;
  }
  function _getRangeAheadForPruning(targetTime, ranges) {
    // if we do a seek behind the current play position we do need to prune ahead of the new play position
    // we keep everything that is within bufferToKeepAhead but only if the buffer is continuous.
    // Otherwise we have gaps once the seek is done which might trigger an unintentional gap jump
    const endOfBuffer = ranges.end(ranges.length - 1) + BUFFER_END_THRESHOLD;
    const continuousBufferTime = getContinuousBufferTimeForTargetTime(targetTime);

    // This is the maximum range we keep ahead
    const isLongFormContent = streamInfo.manifestInfo.duration >= settings.get().streaming.buffer.longFormContentDurationThreshold;
    const bufferToKeepAhead = isLongFormContent ? settings.get().streaming.buffer.bufferTimeAtTopQualityLongForm : settings.get().streaming.buffer.bufferTimeAtTopQuality;

    // Define the start time from which we will prune. If there is no continuous range from the targettime we start immediately at the target time
    // Otherwise we set the start point to the end of the continuous range taking the maximum buffer to keep ahead into account
    let rangeStart = !isNaN(continuousBufferTime) ? Math.min(continuousBufferTime, targetTime + bufferToKeepAhead) : targetTime;

    // Check if we are done buffering, no need to prune then
    if (rangeStart >= ranges.end(ranges.length - 1)) {
      return null;
    }

    // Ensure we keep full range of current fragment
    const currentTimeRequest = fragmentModel.getRequests({
      state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_2__["default"].FRAGMENT_MODEL_EXECUTED,
      time: targetTime,
      threshold: BUFFER_RANGE_CALCULATION_THRESHOLD
    })[0];
    if (currentTimeRequest) {
      rangeStart = Math.max(currentTimeRequest.startTime + currentTimeRequest.duration, rangeStart);
    }

    // Never remove the contiguous range of targetTime in order to avoid flushes & reenqueues when the user doesn't want it
    const avoidCurrentTimeRangePruning = settings.get().streaming.buffer.avoidCurrentTimeRangePruning;
    if (avoidCurrentTimeRangePruning) {
      for (let i = 0; i < ranges.length; i++) {
        if (ranges.start(i) <= targetTime && targetTime <= ranges.end(i) && ranges.start(i) <= rangeStart && rangeStart <= ranges.end(i)) {
          let oldRangeStart = rangeStart;
          if (i + 1 < ranges.length) {
            rangeStart = ranges.start(i + 1);
          } else {
            rangeStart = ranges.end(i) + 1;
          }
          logger.debug('Buffered range [' + ranges.start(i) + ', ' + ranges.end(i) + '] overlaps with targetTime ' + targetTime + ' and range to be pruned [' + oldRangeStart + ', ' + endOfBuffer + '], using [' + rangeStart + ', ' + endOfBuffer + '] instead' + (rangeStart < endOfBuffer ? '' : ' (no actual pruning)'));
          break;
        }
      }
    }
    if (rangeStart < ranges.end(ranges.length - 1)) {
      return {
        start: rangeStart,
        end: endOfBuffer
      };
    }
    return null;
  }
  function _onPlaybackProgression() {
    if (!replacingBuffer || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && textController.isTextEnabled()) {
      _updateBufferLevel();
    }
  }
  function _onPlaybackStalled() {
    checkIfSufficientBuffer();
  }
  function _onPlaybackPlaying() {
    checkIfSufficientBuffer();
    seekTarget = NaN;
  }
  function hasBufferAtTime(time) {
    try {
      const ranges = sourceBufferSink.getAllBufferRanges();
      if (!ranges || ranges.length === 0) {
        return false;
      }
      let i = 0;
      while (i < ranges.length) {
        const start = ranges.start(i);
        const end = ranges.end(i);
        if (time >= start && time <= end) {
          return true;
        }
        i += 1;
      }
      return false;
    } catch (e) {
      logger.error(e);
      return false;
    }
  }
  function getRangeAt(time, tolerance) {
    if (!sourceBufferSink) {
      return null;
    }
    const ranges = sourceBufferSink.getAllBufferRanges();
    let start = 0;
    let end = 0;
    let firstStart = null;
    let lastEnd = null;
    let gap = 0;
    let len, i;
    const toler = !isNaN(tolerance) ? tolerance : 0.15;
    if (ranges !== null && ranges !== undefined) {
      for (i = 0, len = ranges.length; i < len; i++) {
        start = ranges.start(i);
        end = ranges.end(i);
        if (firstStart === null) {
          gap = Math.abs(start - time);
          if (time >= start && time < end) {
            // start the range
            firstStart = start;
            lastEnd = end;
          } else if (gap <= toler) {
            // start the range even though the buffer does not contain time 0
            firstStart = start;
            lastEnd = end;
          }
        } else {
          gap = start - lastEnd;
          if (gap <= toler) {
            // the discontinuity is smaller than the tolerance, combine the ranges
            lastEnd = end;
          } else {
            break;
          }
        }
      }
      if (firstStart !== null) {
        return {
          start: firstStart,
          end: lastEnd
        };
      }
    }
    return null;
  }
  function getBufferLength(time, tolerance) {
    let range, length;

    // Consider gap/discontinuity limit as tolerance
    if (settings.get().streaming.gaps.jumpGaps) {
      tolerance = settings.get().streaming.gaps.smallGapLimit;
    }
    range = getRangeAt(time, tolerance);
    if (range === null) {
      length = 0;
    } else {
      length = range.end - time;
    }
    return length;
  }
  function _updateBufferLevel() {
    if (playbackController) {
      let referenceTime = playbackController.getTime() || 0;
      // In case we are prebuffering we dont have a current time yet
      if (isPrebuffering) {
        referenceTime = !isNaN(seekTarget) ? seekTarget : 0;
      }
      const tolerance = settings.get().streaming.gaps.jumpGaps && !isNaN(settings.get().streaming.gaps.smallGapLimit) ? settings.get().streaming.gaps.smallGapLimit : NaN;
      bufferLevel = Math.max(getBufferLength(referenceTime, tolerance), 0);
      _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_LEVEL_UPDATED, {
        mediaType: type,
        bufferLevel: bufferLevel
      });
      checkIfSufficientBuffer();
    }
  }
  function _checkIfBufferingCompleted() {
    const isLastIdxAppended = maxAppendedIndex >= maximumIndex - 1; // Handles 0 and non 0 based request index
    // To avoid rounding error when comparing, the stream time and buffer level only must be within 5 decimal places
    const periodBuffered = playbackController.getTimeToStreamEnd(streamInfo) - bufferLevel < 0.00001;
    if ((isLastIdxAppended || periodBuffered) && !isBufferingCompleted) {
      setIsBufferingCompleted(true);
      logger.debug(`checkIfBufferingCompleted trigger BUFFERING_COMPLETED for stream id ${streamInfo.id} and type ${type}`);
    }
  }
  function checkIfSufficientBuffer() {
    // No need to check buffer if type is not audio or video (for example if several errors occur during text parsing, so that the buffer cannot be filled, no error must occur on video playback)
    if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      return;
    }

    //Set stall threshold based on player mode
    const stallThreshold = playbackController.getLowLatencyModeEnabled() ? settings.get().streaming.buffer.lowLatencyStallThreshold : settings.get().streaming.buffer.stallThreshold;
    if (bufferLevel <= stallThreshold && !isBufferingCompleted) {
      _notifyBufferStateChanged(_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_EMPTY);
    } else if (isBufferingCompleted || bufferLevel > stallThreshold) {
      _notifyBufferStateChanged(_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_LOADED);
    }
  }
  function _notifyBufferStateChanged(state) {
    if (bufferState === state || state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_EMPTY && playbackController.getTime() === 0 ||
    // Don't trigger BUFFER_EMPTY if it's initial loading
    type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !textController.isTextEnabled()) {
      return;
    }
    bufferState = state;
    _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_LEVEL_STATE_CHANGED, {
      state: state
    });
    _triggerEvent(state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_LOADED ? _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_LOADED : _core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_EMPTY);
    logger.debug(state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_LOADED ? 'Got enough buffer to start' : 'Waiting for more buffer before starting playback');
  }

  /* prune buffer on our own in background to avoid browsers pruning buffer silently */
  function pruneBuffer() {
    if (!sourceBufferSink || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT) {
      return;
    }
    if (!isBufferingCompleted) {
      clearBuffers(getClearRanges());
    }
  }
  function getClearRanges() {
    const clearRanges = [];
    const ranges = sourceBufferSink.getAllBufferRanges();
    if (!ranges || ranges.length === 0) {
      return clearRanges;
    }
    const currentTime = playbackController.getTime();
    let startRangeToKeep = Math.max(0, currentTime - settings.get().streaming.buffer.bufferToKeep);
    const currentTimeRequest = fragmentModel.getRequests({
      state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_2__["default"].FRAGMENT_MODEL_EXECUTED,
      time: currentTime,
      threshold: BUFFER_RANGE_CALCULATION_THRESHOLD
    })[0];

    // Ensure we keep full range of current fragment
    if (currentTimeRequest) {
      startRangeToKeep = Math.min(currentTimeRequest.startTime, startRangeToKeep);
    } else if (currentTime === 0 && playbackController.getIsDynamic()) {
      // Don't prune before the live stream starts, it messes with low latency
      return [];
    }
    if (ranges.start(0) <= startRangeToKeep) {
      const behindRange = {
        start: 0,
        end: startRangeToKeep
      };
      for (let i = 0; i < ranges.length && ranges.end(i) <= startRangeToKeep; i++) {
        behindRange.end = ranges.end(i);
      }
      if (behindRange.start < behindRange.end) {
        clearRanges.push(behindRange);
      }
    }
    return clearRanges;
  }
  function clearBuffers(ranges) {
    return new Promise((resolve, reject) => {
      if (!ranges || !sourceBufferSink || ranges.length === 0) {
        _updateBufferLevel();
        resolve();
        return;
      }
      const promises = [];
      ranges.forEach(range => {
        promises.push(_addClearRangeWithPromise(range));
      });
      if (!isPruningInProgress) {
        clearNextRange();
      }
      Promise.all(promises).then(() => {
        resolve();
      }).catch(e => {
        reject(e);
      });
    });
  }
  function _addClearRangeWithPromise(range) {
    return new Promise((resolve, reject) => {
      range.resolve = resolve;
      range.reject = reject;
      pendingPruningRanges.push(range);
    });
  }
  function clearNextRange() {
    try {
      // If there's nothing to prune reset state
      if (pendingPruningRanges.length === 0 || !sourceBufferSink) {
        logger.debug('Nothing to prune, halt pruning');
        pendingPruningRanges = [];
        isPruningInProgress = false;
        return;
      }
      const sourceBuffer = sourceBufferSink.getBuffer();
      // If there's nothing buffered any pruning is invalid, so reset our state
      if (!sourceBuffer || !sourceBuffer.buffered || sourceBuffer.buffered.length === 0) {
        logger.debug('SourceBuffer is empty (or does not exist), halt pruning');
        pendingPruningRanges = [];
        isPruningInProgress = false;
        return;
      }
      const range = pendingPruningRanges.shift();
      logger.debug(`${type}: Removing buffer from: ${range.start} to ${range.end}`);
      isPruningInProgress = true;

      // If removing buffer ahead current playback position, update maxAppendedIndex
      const currentTime = playbackController.getTime();
      if (currentTime < range.end) {
        setIsBufferingCompleted(false);
      }
      sourceBufferSink.remove(range).then(e => {
        _onRemoved(e);
      }).catch(e => {
        _onRemoved(e);
      });
    } catch (e) {
      isPruningInProgress = false;
    }
  }
  function _onRemoved(e) {
    logger.debug('onRemoved buffer from:', e.from, 'to', e.to);
    if (!sourceBufferSink) {
      return;
    }
    const ranges = sourceBufferSink.getAllBufferRanges();
    _showBufferRanges(ranges);
    if (pendingPruningRanges.length === 0) {
      isPruningInProgress = false;
      _updateBufferLevel();
    }
    if (e.unintended) {
      logger.warn('Detected unintended removal from:', e.from, 'to', e.to, 'setting streamprocessor time to', e.from);
      _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].SEEK_TARGET, {
        time: e.from
      });
    }
    if (isPruningInProgress) {
      clearNextRange();
    } else {
      if (!replacingBuffer) {
        _updateBufferLevel();
      } else {
        replacingBuffer = false;
      }
      _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_CLEARED, {
        from: e.from,
        to: e.to,
        unintended: e.unintended,
        hasEnoughSpaceToAppend: hasEnoughSpaceToAppend(),
        quotaExceeded: isQuotaExceeded
      });
    }
  }
  function updateBufferTimestampOffset(voRepresentation) {
    return new Promise(resolve => {
      if (!voRepresentation || voRepresentation.mseTimeOffset === undefined || !sourceBufferSink || !sourceBufferSink.updateTimestampOffset) {
        resolve();
        return;
      }
      // Each track can have its own @presentationTimeOffset, so we should set the offset
      // if it has changed after switching the quality or updating an MPD
      sourceBufferSink.updateTimestampOffset(voRepresentation.mseTimeOffset).then(() => {
        resolve();
      }).catch(() => {
        resolve();
      });
    });
  }
  function abort() {
    if (sourceBufferSink) {
      return sourceBufferSink.abort();
    }
    return Promise.resolve();
  }
  function updateAppendWindow() {
    if (sourceBufferSink && !isBufferingCompleted) {
      return sourceBufferSink.updateAppendWindow(streamInfo);
    }
    return Promise.resolve();
  }
  function segmentRequestingCompleted(segmentIndex) {
    if (!isNaN(segmentIndex)) {
      maximumIndex = segmentIndex;
      _checkIfBufferingCompleted();
    }
  }
  function _onWallclockTimeUpdated() {
    wallclockTicked++;
    const secondsElapsed = wallclockTicked * (settings.get().streaming.wallclockTimeUpdateInterval / 1000);
    if (secondsElapsed >= settings.get().streaming.buffer.bufferPruningInterval) {
      wallclockTicked = 0;
      pruneBuffer();
    }
  }
  function _onPlaybackRateChanged() {
    checkIfSufficientBuffer();
  }
  function getBuffer() {
    return sourceBufferSink;
  }
  function getBufferLevel() {
    return bufferLevel;
  }
  function getMediaSource() {
    return mediaSource;
  }
  function getIsBufferingCompleted() {
    return isBufferingCompleted;
  }
  function setIsBufferingCompleted(value) {
    isBufferingCompleted = value;
    if (isBufferingCompleted) {
      _triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFERING_COMPLETED);
    } else {
      maximumIndex = Number.POSITIVE_INFINITY;
    }
  }
  function getIsPruningInProgress() {
    return isPruningInProgress;
  }
  function getTotalBufferedTime() {
    try {
      const ranges = sourceBufferSink.getAllBufferRanges();
      let totalBufferedTime = 0;
      let ln, i;
      if (!ranges) {
        return totalBufferedTime;
      }
      for (i = 0, ln = ranges.length; i < ln; i++) {
        totalBufferedTime += ranges.end(i) - ranges.start(i);
      }
      return totalBufferedTime;
    } catch (e) {
      return 0;
    }
  }

  /**
   * This function returns the maximum time for which the buffer is continuous starting from a target time.
   * As soon as there is a gap we return the time before the gap starts
   * @param {number} targetTime
   */
  function getContinuousBufferTimeForTargetTime(targetTime) {
    try {
      let adjustedTime = targetTime;
      const ranges = sourceBufferSink.getAllBufferRanges();
      if (!ranges || ranges.length === 0) {
        return NaN;
      }
      let i = 0;
      while (adjustedTime === targetTime && i < ranges.length) {
        const start = ranges.start(i);
        const end = ranges.end(i);
        if (adjustedTime >= start && adjustedTime <= end) {
          adjustedTime = end;
        }
        i += 1;
      }
      return adjustedTime === targetTime ? NaN : adjustedTime;
    } catch (e) {
      return NaN;
    }
  }
  function hasEnoughSpaceToAppend() {
    const totalBufferedTime = getTotalBufferedTime();
    return isNaN(totalBufferedTime) || totalBufferedTime < criticalBufferLevel;
  }
  function setSeekTarget(value) {
    seekTarget = value;
  }
  function _triggerEvent(eventType, data) {
    let payload = data || {};
    eventBus.trigger(eventType, payload, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  function resetInitialSettings(errored, keepBuffers) {
    criticalBufferLevel = Number.POSITIVE_INFINITY;
    bufferState = undefined;
    maximumIndex = Number.POSITIVE_INFINITY;
    maxAppendedIndex = 0;
    appendedBytesInfo = null;
    isBufferingCompleted = false;
    isPruningInProgress = false;
    isQuotaExceeded = false;
    bufferLevel = 0;
    wallclockTicked = 0;
    pendingPruningRanges = [];
    seekTarget = NaN;
    isPrebuffering = false;
    if (sourceBufferSink) {
      let tmpSourceBufferSinkToReset = sourceBufferSink;
      sourceBufferSink = null;
      if (!errored) {
        if (!keepBuffers) {
          tmpSourceBufferSinkToReset.abort().then(() => {
            tmpSourceBufferSinkToReset.reset(keepBuffers);
            tmpSourceBufferSinkToReset = null;
          });
        } else {
          tmpSourceBufferSinkToReset.removeEventListeners();
        }
      }
    }
    replacingBuffer = false;
  }
  function reset(errored, keepBuffers) {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].INIT_FRAGMENT_LOADED, _onInitFragmentLoaded, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_6__["default"].WALLCLOCK_TIME_UPDATED, _onWallclockTimeUpdated, this);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_PLAYING, _onPlaybackPlaying, this);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_PROGRESS, _onPlaybackProgression, this);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackProgression, this);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_RATE_CHANGED, _onPlaybackRateChanged, this);
    eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_11__["default"].PLAYBACK_STALLED, _onPlaybackStalled, this);
    resetInitialSettings(errored, keepBuffers);
  }
  instance = {
    appendInitSegmentFromCache,
    clearBuffers,
    createBufferSink,
    dischargePreBuffer,
    getAllRangesWithSafetyFactor,
    getBuffer,
    getBufferControllerType,
    getBufferLevel,
    getContinuousBufferTimeForTargetTime,
    getIsBufferingCompleted,
    getIsPruningInProgress,
    getMediaSource,
    getRangeAt,
    getStreamId,
    getType,
    hasBufferAtTime,
    initialize,
    prepareForAbandonQualitySwitch,
    prepareForDefaultQualitySwitch,
    prepareForFastQualitySwitch,
    prepareForForceReplacementQualitySwitch,
    prepareForNonReplacementTrackSwitch,
    prepareForPlaybackSeek,
    prepareForReplacementTrackSwitch,
    pruneAllSafely,
    pruneBuffer,
    reset,
    segmentRequestingCompleted,
    setIsBufferingCompleted,
    setMediaSource,
    setSeekTarget,
    updateAppendWindow,
    updateBufferTimestampOffset
  };
  setup();
  return instance;
}
BufferController.__dashjs_factory_name = BUFFER_CONTROLLER_TYPE;
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_7__["default"].getClassFactory(BufferController));

/***/ }),

/***/ "./src/streaming/controllers/CatchupController.js":
/*!********************************************************!*\
  !*** ./src/streaming/controllers/CatchupController.js ***!
  \********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








function CatchupController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let instance, isCatchupSeekInProgress, isSafari, videoModel, settings, streamController, playbackController, mediaPlayerModel, playbackStalled, logger;
  function initialize() {
    _registerEvents();
    _checkPlaybackRates();
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.videoModel) {
      videoModel = config.videoModel;
    }
    if (config.streamController) {
      streamController = config.streamController;
    }
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
  }
  function _registerEvents() {
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].BUFFER_LEVEL_UPDATED, _onBufferLevelUpdated, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].PLAYBACK_PROGRESS, _onPlaybackProgression, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackProgression, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].PLAYBACK_SEEKED, _onPlaybackSeeked, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_CATCHUP_ENABLED, _onCatchupSettingUpdated, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_PLAYBACK_RATE_MIN, _checkPlaybackRates, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_PLAYBACK_RATE_MAX, _checkPlaybackRates, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].STREAM_INITIALIZED, _checkPlaybackRates, instance);
  }
  function _unregisterEvents() {
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].BUFFER_LEVEL_UPDATED, _onBufferLevelUpdated, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].PLAYBACK_PROGRESS, _onPlaybackProgression, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackProgression, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].PLAYBACK_SEEKED, _onPlaybackSeeked, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_CATCHUP_ENABLED, _onCatchupSettingUpdated, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_PLAYBACK_RATE_MIN, _checkPlaybackRates, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_PLAYBACK_RATE_MAX, _checkPlaybackRates, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].STREAM_INITIALIZED, _checkPlaybackRates, instance);
  }
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
  }
  function reset() {
    _unregisterEvents();
    _resetInitialSettings();
    videoModel.setPlaybackRate(1.0, true);
  }
  function _resetInitialSettings() {
    isCatchupSeekInProgress = false;
    const ua = _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__["default"].parseUserAgent();
    isSafari = ua && ua.browser && ua.browser.name && ua.browser.name.toLowerCase() === 'safari';
  }
  function _onPlaybackSeeked() {
    isCatchupSeekInProgress = false;
  }

  /**
   * When the buffer level updated we check if we can remove the stalled state
   * @param {object} e
   * @private
   */
  function _onBufferLevelUpdated(e) {
    // do not stop when getting an event from Stream that is not active
    if (e.streamId !== streamController.getActiveStreamInfo().id || !playbackStalled) {
      return;
    }

    // we remove the stalled state once we reach a certain buffer level
    const liveDelay = playbackController.getLiveDelay();
    const bufferLevel = playbackController.getBufferLevel();
    if (bufferLevel > liveDelay / 2) {
      playbackStalled = false;
    }
  }

  /**
   * When the buffer state changed to BUFFER_EMPTY we update the stalled state
   * @param {object} e
   * @private
   */
  function _onBufferLevelStateChanged(e) {
    // do not stop when getting an event from Stream that is not active
    if (e.streamId !== streamController.getActiveStreamInfo().id) {
      return;
    }
    playbackStalled = e.state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_EMPTY;
  }

  /**
   * If the catchup mode is disabled in the settings we reset playback rate to 1.0
   * @private
   */
  function _onCatchupSettingUpdated() {
    if (!mediaPlayerModel.getCatchupModeEnabled()) {
      videoModel.setPlaybackRate(1.0);
    }
  }

  /**
   * While playback is progressing we check if we need to start or stop the catchup mechanism to reach the target latency
   * @private
   */
  function _onPlaybackProgression() {
    if (playbackController.getIsDynamic() && mediaPlayerModel.getCatchupModeEnabled() && (mediaPlayerModel.getCatchupPlaybackRates().max > 0 || mediaPlayerModel.getCatchupPlaybackRates().min < 0) && !playbackController.isPaused() && !playbackController.isSeeking() && _shouldStartCatchUp()) {
      _startPlaybackCatchUp();
    }
  }

  /**
   * Apply catchup mode. We either seek back to the target live edge or increase the playback rate.
   */
  function _startPlaybackCatchUp() {
    // we are seeking dont do anything for now
    if (isCatchupSeekInProgress) {
      return;
    }
    if (videoModel) {
      let newRate;
      const currentPlaybackRate = videoModel.getPlaybackRate();
      const liveCatchupPlaybackRates = mediaPlayerModel.getCatchupPlaybackRates();
      const bufferLevel = playbackController.getBufferLevel();
      const deltaLatency = _getLatencyDrift();

      // we reached the maxDrift. Do a seek
      const maxDrift = mediaPlayerModel.getCatchupMaxDrift();
      if (!isNaN(maxDrift) && maxDrift > 0 && deltaLatency > maxDrift) {
        logger.info('[CatchupController]: Low Latency catchup mechanism. Latency too high, doing a seek to live point');
        isCatchupSeekInProgress = true;
        playbackController.seekToCurrentLive(true, false);
      }

      // try to reach the target latency by adjusting the playback rate
      else {
        const currentLiveLatency = playbackController.getCurrentLiveLatency();
        const targetLiveDelay = playbackController.getLiveDelay();
        if (_getCatchupMode() === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LIVE_CATCHUP_MODE_LOLP) {
          // Custom playback control: Based on buffer level
          const playbackBufferMin = settings.get().streaming.liveCatchup.playbackBufferMin;
          newRate = _calculateNewPlaybackRateLolP(liveCatchupPlaybackRates, currentLiveLatency, targetLiveDelay, playbackBufferMin, bufferLevel);
        } else {
          // Default playback control: Based on target and current latency
          newRate = _calculateNewPlaybackRateDefault(liveCatchupPlaybackRates, currentLiveLatency, targetLiveDelay, bufferLevel);
        }

        // We adjust the min change linear, depending on the maximum catchup rate. Default is 0.02 for rate 0.5.
        // For Safari we stick to a fixed value because of  https://bugs.webkit.org/show_bug.cgi?id=208142
        const minPlaybackRateChange = isSafari ? 0.25 : 0.02 / (0.5 / liveCatchupPlaybackRates.max);

        // Obtain newRate and apply to video model.  Don't change playbackrate for small variations (don't overload element with playbackrate changes)
        if (newRate && Math.abs(currentPlaybackRate - newRate) >= minPlaybackRateChange || newRate == 1.0) {
          // non-null
          logger.debug(`[CatchupController]: Setting playback rate to ${newRate}`);
          videoModel.setPlaybackRate(newRate);
        }
      }
    }
  }

  /**
   * Calculates the drift between the current latency and the target latency
   * @return {number}
   * @private
   */
  function _getLatencyDrift() {
    const currentLiveLatency = playbackController.getCurrentLiveLatency();
    const targetLiveDelay = playbackController.getLiveDelay();
    return currentLiveLatency - targetLiveDelay;
  }

  /**
   * Checks whether the catchup mechanism should be enabled. We use different subfunctions here depending on the catchup mode.
   * @return {boolean}
   */
  function _shouldStartCatchUp() {
    try {
      if (!playbackController.getTime() > 0 || isCatchupSeekInProgress) {
        return false;
      }
      const catchupMode = _getCatchupMode();
      if (catchupMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LIVE_CATCHUP_MODE_LOLP) {
        const currentBuffer = playbackController.getBufferLevel();
        const playbackBufferMin = settings.get().streaming.liveCatchup.playbackBufferMin;
        return _lolpNeedToCatchUpCustom(currentBuffer, playbackBufferMin);
      } else {
        return _defaultNeedToCatchUp();
      }
    } catch (e) {
      return false;
    }
  }

  /**
   * Returns the mode for live playback catchup.
   * @return {String}
   * @private
   */
  function _getCatchupMode() {
    const playbackBufferMin = settings.get().streaming.liveCatchup.playbackBufferMin;
    return settings.get().streaming.liveCatchup.mode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LIVE_CATCHUP_MODE_LOLP && playbackBufferMin !== null && !isNaN(playbackBufferMin) ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LIVE_CATCHUP_MODE_LOLP : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].LIVE_CATCHUP_MODE_DEFAULT;
  }

  /**
   * Default algorithm to determine if catchup mode should be enabled
   * @return {boolean}
   * @private
   */
  function _defaultNeedToCatchUp() {
    try {
      const latencyDrift = Math.abs(_getLatencyDrift());
      return latencyDrift > 0;
    } catch (e) {
      return false;
    }
  }

  /**
   * LoL+ logic to determine if catchup mode should be enabled
   * @param {number} currentBuffer
   * @param {number} playbackBufferMin
   * @return {boolean}
   * @private
   */
  function _lolpNeedToCatchUpCustom(currentBuffer, playbackBufferMin) {
    try {
      const latencyDrift = Math.abs(_getLatencyDrift());
      return latencyDrift > 0 || currentBuffer < playbackBufferMin;
    } catch (e) {
      return false;
    }
  }

  /**
   * Default algorithm to calculate the new playback rate
   * @param {object} liveCatchUpPlaybackRates
   * @param {number} liveCatchUpPlaybackRates.min - minimum playback rate decrease limit
   * @param {number} liveCatchUpPlaybackRates.max - maximum playback rate increase limit
   * @param {number} currentLiveLatency
   * @param {number} liveDelay
   * @param {number} bufferLevel
   * @param {number} currentPlaybackRate
   * @return {number}
   * @private
   */
  function _calculateNewPlaybackRateDefault(liveCatchUpPlaybackRates, currentLiveLatency, liveDelay, bufferLevel) {
    // if we recently ran into an empty buffer we wait for the buffer to recover before applying a new rate
    if (playbackStalled) {
      return 1.0;
    }
    const deltaLatency = currentLiveLatency - liveDelay;
    const cpr = deltaLatency < 0 ? Math.abs(liveCatchUpPlaybackRates.min) : liveCatchUpPlaybackRates.max;
    const d = deltaLatency * 5;

    // Playback rate must be between (1 - cpr) - (1 + cpr)
    // ex: if cpr is 0.5, it can have values between 0.5 - 1.5
    const s = cpr * 2 / (1 + Math.pow(Math.E, -d));
    let newRate = 1 - cpr + s;
    // take into account situations in which there are buffer stalls,
    // in which increasing playbackRate to reach target latency will
    // just cause more and more stall situations
    if (playbackController.getPlaybackStalled()) {
      if (bufferLevel <= liveDelay / 2 && deltaLatency > 0) {
        newRate = 1.0;
      }
    }
    return newRate;
  }

  /**
   * Lol+ algorithm to calculate the new playback rate
   * @param {object} liveCatchUpPlaybackRates
   * @param {number} liveCatchUpPlaybackRates.min - minimum playback rate decrease limit
   * @param {number} liveCatchUpPlaybackRates.max - maximum playback rate increase limit
   * @param {number} currentLiveLatency
   * @param {number} liveDelay
   * @param {number} playbackBufferMin
   * @param {number} bufferLevel
   * @param {number} currentPlaybackRate
   * @return {number}
   * @private
   */
  function _calculateNewPlaybackRateLolP(liveCatchUpPlaybackRates, currentLiveLatency, liveDelay, playbackBufferMin, bufferLevel) {
    let newRate;

    // Hybrid: Buffer-based
    if (bufferLevel < playbackBufferMin) {
      // Buffer in danger, slow down
      const cpr = Math.abs(liveCatchUpPlaybackRates.min); // Absolute value as negative delta value will be used.
      const deltaBuffer = bufferLevel - playbackBufferMin; // -ve value
      const d = deltaBuffer * 5;

      // Playback rate must be between (1 - cpr) - (1 + cpr)
      // ex: if cpr is 0.5, it can have values between 0.5 - 1.5
      const s = cpr * 2 / (1 + Math.pow(Math.E, -d));
      newRate = 1 - cpr + s;
      logger.debug('[LoL+ playback control_buffer-based] bufferLevel: ' + bufferLevel + ', newRate: ' + newRate);
    } else {
      // Hybrid: Latency-based
      // Check if latency is within range of target latency
      const minDifference = 0.02;
      if (Math.abs(currentLiveLatency - liveDelay) <= minDifference * liveDelay) {
        newRate = 1;
      } else {
        const deltaLatency = currentLiveLatency - liveDelay;
        // Buffer is safe, vary playback rate based on latency
        const cpr = deltaLatency < 0 ? Math.abs(liveCatchUpPlaybackRates.min) : liveCatchUpPlaybackRates.max;
        const d = deltaLatency * 5;

        // Playback rate must be between (1 - cpr) - (1 + cpr)
        // ex: if cpr is 0.5, it can have values between 0.5 - 1.5
        const s = cpr * 2 / (1 + Math.pow(Math.E, -d));
        newRate = 1 - cpr + s;
      }
      logger.debug('[LoL+ playback control_latency-based] latency: ' + currentLiveLatency + ', newRate: ' + newRate);
    }
    return newRate;
  }
  function _checkPlaybackRates() {
    mediaPlayerModel.getCatchupPlaybackRates(true);
  }
  instance = {
    reset,
    setConfig,
    initialize
  };
  setup();
  return instance;
}
CatchupController.__dashjs_factory_name = 'CatchupController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(CatchupController));

/***/ }),

/***/ "./src/streaming/controllers/ClientDataReportingController.js":
/*!********************************************************************!*\
  !*** ./src/streaming/controllers/ClientDataReportingController.js ***!
  \********************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2024, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


function ClientDataReportingController() {
  let instance, serviceDescriptionController;
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
  }
  function isServiceLocationIncluded(requestType, serviceLocation) {
    if (requestType === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.CONTENT_STEERING_TYPE) {
      return true;
    }
    const {
      serviceLocationsArray
    } = serviceDescriptionController?.getServiceDescriptionSettings()?.clientDataReporting ?? {};
    const isIncluded = serviceLocationsArray ? serviceLocationsArray?.length === 0 || serviceLocationsArray.includes(serviceLocation) : true;
    return isIncluded;
  }
  function isAdaptationsIncluded(adaptationSet) {
    const {
      adaptationSetsArray
    } = serviceDescriptionController?.getServiceDescriptionSettings()?.clientDataReporting ?? {};
    const isIncluded = adaptationSetsArray ? adaptationSetsArray?.length === 0 || adaptationSetsArray.includes(adaptationSet) : true;
    return isIncluded;
  }
  instance = {
    setConfig,
    isAdaptationsIncluded,
    isServiceLocationIncluded
  };
  return instance;
}
ClientDataReportingController.__dashjs_factory_name = 'ClientDataReportingController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(ClientDataReportingController));

/***/ }),

/***/ "./src/streaming/controllers/CommonAccessTokenController.js":
/*!******************************************************************!*\
  !*** ./src/streaming/controllers/CommonAccessTokenController.js ***!
  \******************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function CommonAccessTokenController() {
  let instance, hostTokenMap;
  function processResponseHeaders(httpResponse) {
    if (!httpResponse || !httpResponse.headers || !httpResponse.request || !httpResponse.request.url) {
      return;
    }
    const commonAccessTokenHeader = httpResponse.headers[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].COMMON_ACCESS_TOKEN_HEADER];
    if (commonAccessTokenHeader) {
      const host = _core_Utils_js__WEBPACK_IMPORTED_MODULE_2__["default"].getHostFromUrl(httpResponse.request.url);
      if (host) {
        hostTokenMap[host] = commonAccessTokenHeader;
      }
    }
  }
  function getCommonAccessTokenForUrl(url) {
    if (!url) {
      return null;
    }
    const host = _core_Utils_js__WEBPACK_IMPORTED_MODULE_2__["default"].getHostFromUrl(url);
    if (host) {
      return hostTokenMap[host] ? hostTokenMap[host] : null;
    }
  }
  function setup() {
    _resetInitialSettings();
  }
  function reset() {
    _resetInitialSettings();
  }
  function _resetInitialSettings() {
    hostTokenMap = {};
  }
  instance = {
    reset,
    processResponseHeaders,
    getCommonAccessTokenForUrl
  };
  setup();
  return instance;
}
CommonAccessTokenController.__dashjs_factory_name = 'CommonAccessTokenController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(CommonAccessTokenController));

/***/ }),

/***/ "./src/streaming/controllers/EventController.js":
/*!******************************************************!*\
  !*** ./src/streaming/controllers/EventController.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _net_XHRLoader_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../net/XHRLoader.js */ "./src/streaming/net/XHRLoader.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _vo_CommonMediaRequest_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../vo/CommonMediaRequest.js */ "./src/streaming/vo/CommonMediaRequest.js");
/* harmony import */ var _vo_CommonMediaResponse_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../vo/CommonMediaResponse.js */ "./src/streaming/vo/CommonMediaResponse.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









function EventController() {
  const MPD_RELOAD_SCHEME = 'urn:mpeg:dash:event:2012';
  const MPD_RELOAD_VALUE = 1;
  const MPD_CALLBACK_SCHEME = 'urn:mpeg:dash:event:callback:2015';
  const MPD_CALLBACK_VALUE = 1;
  const REMAINING_EVENTS_THRESHOLD = 300;
  const EVENT_HANDLED_STATES = {
    DISCARDED: 'discarded',
    UPDATED: 'updated',
    ADDED: 'added'
  };
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let instance, logger, inlineEvents,
    // Holds all Inline Events not triggered yet
    inbandEvents,
    // Holds all Inband Events not triggered yet
    eventInterval,
    // variable holding the setInterval
    lastEventTimerCall, manifestUpdater, playbackController, settings, eventHandlingInProgress, isStarted;

  /**
   * Internal setup when class is instanced
   */
  function _setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
  }

  /**
   * Checks if the provded configuration is valid
   */
  function checkConfig() {
    if (!manifestUpdater || !playbackController) {
      throw new Error('setConfig function has to be called previously');
    }
  }

  /**
   * Reset to initial settings
   */
  function _resetInitialSettings() {
    isStarted = false;
    inlineEvents = {}; // Format inlineEvents[periodID][schemeIdUri]
    inbandEvents = {}; // Format inbandEvents[periodID][schemeIdUri]
    eventInterval = null;
    eventHandlingInProgress = false;
    lastEventTimerCall = Date.now() / 1000;
  }

  /**
   * Stops the EventController by clearing the event interval
   */
  function _stop() {
    try {
      if (eventInterval !== null && isStarted) {
        clearInterval(eventInterval);
        eventInterval = null;
        isStarted = false;
        _onStopEventController();
      }
    } catch (e) {
      throw e;
    }
  }

  /**
   * Starts the interval function of the EventController
   */
  function start() {
    try {
      checkConfig();
      logger.debug('Start Event Controller');
      const refreshDelay = settings.get().streaming.events.eventControllerRefreshDelay;
      if (!isStarted && !isNaN(refreshDelay)) {
        isStarted = true;
        eventInterval = setInterval(_onEventTimer, refreshDelay);
      }
    } catch (e) {
      throw e;
    }
  }

  /**
   * Iterate through the eventList and trigger the events
   */
  function _onEventTimer() {
    try {
      if (!eventHandlingInProgress) {
        eventHandlingInProgress = true;
        const currentVideoTime = playbackController.getTime();
        let presentationTimeThreshold = currentVideoTime - lastEventTimerCall;

        // For dynamic streams lastEventTimeCall will be large in the first iteration. Avoid firing all events at once.
        presentationTimeThreshold = lastEventTimerCall > 0 ? Math.max(0, presentationTimeThreshold) : 0;
        _triggerEvents(inbandEvents, presentationTimeThreshold, currentVideoTime);
        _triggerEvents(inlineEvents, presentationTimeThreshold, currentVideoTime);
        _removeOutdatedEventObjects(inbandEvents);
        _removeOutdatedEventObjects(inlineEvents);
        lastEventTimerCall = currentVideoTime;
        eventHandlingInProgress = false;
      }
    } catch (e) {
      eventHandlingInProgress = false;
      logger.error(e);
    }
  }

  /**
   * Iterate over a list of events and trigger the ones for which the presentation time is within the current timing interval
   * @param {object} events
   * @param {number} presentationTimeThreshold
   * @param {number} currentVideoTime
   * @private
   */
  function _triggerEvents(events, presentationTimeThreshold, currentVideoTime) {
    try {
      const callback = function (event) {
        if (event !== undefined) {
          const duration = !isNaN(event.duration) ? event.duration : 0;
          // The event is either about to start or has already been started and we are within its duration
          if (event.calculatedPresentationTime <= currentVideoTime && event.calculatedPresentationTime + presentationTimeThreshold + duration >= currentVideoTime) {
            _startEvent(event, _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].EVENT_MODE_ON_START);
          } else if (_eventHasExpired(currentVideoTime, duration + presentationTimeThreshold, event.calculatedPresentationTime) || _eventIsInvalid(event)) {
            logger.debug(`Removing event ${event.id} from period ${event.eventStream.period.id} as it is expired or invalid`);
            _removeEvent(events, event);
          }
        }
      };
      _iterateAndTriggerCallback(events, callback);
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Iterates over the entries of the events object and deletes the entries for which no events are present
   * @param {object} events
   * @private
   */
  function _removeOutdatedEventObjects(events) {
    try {
      for (const key in events) {
        if (events.hasOwnProperty(key)) {
          if (Object.keys(events[key]).length === 0) {
            delete events[key];
          }
        }
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Add MPD events to the list of events.
   * Events that are not in the MPD anymore but not triggered yet will still be deleted.
   * Existing events might get updated.
   * @param {Array.<Object>} values
   * @param {string} periodId
   */
  function addInlineEvents(values, periodId) {
    try {
      checkConfig();
      if (!inlineEvents[periodId]) {
        inlineEvents[periodId] = {};
      }
      if (values) {
        for (let i = 0; i < values.length; i++) {
          let event = values[i];
          const currentTime = playbackController.getTime();
          const duration = !isNaN(event.duration) ? event.duration : 0;
          if (!_eventHasExpired(currentTime, duration, event.calculatedPresentationTime)) {
            let result = _addOrUpdateEvent(event, inlineEvents[periodId], true);
            if (result === EVENT_HANDLED_STATES.ADDED) {
              logger.debug(`Added inline event with id ${event.id} from period ${periodId}`);
              // If we see the event for the first time we trigger it in onReceive mode
              _startEvent(event, _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].EVENT_MODE_ON_RECEIVE);
            } else if (result === EVENT_HANDLED_STATES.UPDATED) {
              logger.debug(`Updated inline event with id ${event.id} from period ${periodId}`);
            }
          }
        }
      }
    } catch (e) {
      throw e;
    }
  }

  /**
   * Add EMSG events to the list of events
   * Messages with the same id within the scope of the same scheme_id_uri and value pair are equivalent , i.e. processing of any one event message box with the same id is sufficient.
   * @param {Array.<Object>} values
   * @param {string} periodId
   */
  function addInbandEvents(values, periodId) {
    try {
      checkConfig();
      if (!inbandEvents[periodId]) {
        inbandEvents[periodId] = {};
      }
      for (let i = 0; i < values.length; i++) {
        let event = values[i];
        const currentTime = playbackController.getTime();
        const duration = !isNaN(event.duration) ? event.duration : 0;
        if (!_eventHasExpired(currentTime, duration, event.calculatedPresentationTime)) {
          let result = _addOrUpdateEvent(event, inbandEvents[periodId], false);
          if (result === EVENT_HANDLED_STATES.ADDED) {
            if (event.eventStream.schemeIdUri === MPD_RELOAD_SCHEME) {
              _handleManifestReloadEvent(event);
            }
            logger.debug(`Added inband event with id ${event.id} from period ${periodId}`);
            _startEvent(event, _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].EVENT_MODE_ON_RECEIVE);
          } else {
            logger.debug(`Inband event with scheme_id_uri ${event.eventStream.schemeIdUri}, value ${event.eventStream.value}, period id ${periodId} and event id ${event.id} was ignored because it has been added before.`);
          }
        }
      }
      _onEventTimer();
    } catch (e) {
      throw e;
    }
  }

  /**
   * Adds or updates an event to/in the list of events
   * @param {object} event
   * @param {object} events
   * @param {boolean} shouldOverwriteExistingEvents
   * @return {string}
   * @private
   */
  function _addOrUpdateEvent(event, events) {
    let shouldOverwriteExistingEvents = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    const schemeIdUri = event.eventStream.schemeIdUri;
    const value = event.eventStream.value;
    const id = event.id;
    let eventState = EVENT_HANDLED_STATES.DISCARDED;
    if (!events[schemeIdUri]) {
      events[schemeIdUri] = [];
    }
    const indexOfExistingEvent = events[schemeIdUri].findIndex(e => {
      return (!value || e.eventStream.value && e.eventStream.value === value) && e.id === id;
    });

    // New event, we add it to our list of events
    if (indexOfExistingEvent === -1) {
      events[schemeIdUri].push(event);
      event.triggeredReceivedEvent = false;
      event.triggeredStartEvent = false;
      eventState = EVENT_HANDLED_STATES.ADDED;
    }

    // We have a similar event for this period with the same schemeIdUri, value and id. Overwrite it or ignore it
    else if (shouldOverwriteExistingEvents) {
      const oldEvent = events[schemeIdUri][indexOfExistingEvent];
      event.triggeredReceivedEvent = oldEvent.triggeredReceivedEvent;
      event.triggeredStartEvent = oldEvent.triggeredStartEvent;
      events[schemeIdUri][indexOfExistingEvent] = event;
      eventState = EVENT_HANDLED_STATES.UPDATED;
    }
    return eventState;
  }

  /**
   * Triggers an MPD reload
   * @param {object} event
   * @private
   */
  function _handleManifestReloadEvent(event) {
    try {
      if (event.eventStream.value == MPD_RELOAD_VALUE) {
        const validUntil = event.calculatedPresentationTime;
        let newDuration;
        if (event.calculatedPresentationTime == 0xFFFFFFFF) {
          //0xFF... means remaining duration unknown
          newDuration = NaN;
        } else {
          newDuration = event.calculatedPresentationTime + event.duration;
        }
        //logger.info('Manifest validity changed: Valid until: ' + validUntil + '; remaining duration: ' + newDuration);
        eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].MANIFEST_VALIDITY_CHANGED, {
          id: event.id,
          validUntil: validUntil,
          newDuration: newDuration,
          newManifestValidAfter: NaN //event.message_data - this is an arraybuffer with a timestring in it, but not used yet
        }, {
          mode: _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].EVENT_MODE_ON_START
        });
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * When the EventController is stopped this callback is triggered. Starts the remaining events.
   * @private
   */
  function _onStopEventController() {
    try {
      // EventController might be stopped before the period is over. Before we stop the event controller we check for events that needs to be triggered at the period boundary.
      _triggerRemainingEvents(inbandEvents);
      _triggerRemainingEvents(inlineEvents);
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Triggers the remaining events after the EventController has been stopped
   * @param {object} events
   * @private
   */
  function _triggerRemainingEvents(events) {
    try {
      const currentTime = playbackController.getTime();
      const callback = function (event) {
        const periodDuration = event.eventStream && event.eventStream.period && !isNaN(event.eventStream.period.duration) ? event.eventStream.period.duration : NaN;
        const periodStart = event.eventStream && event.eventStream.period && !isNaN(event.eventStream.period.start) ? event.eventStream.period.start : NaN;
        if (isNaN(periodDuration) || isNaN(periodStart)) {
          return;
        }
        const calculatedPresentationTimeInSeconds = event.calculatedPresentationTime;
        if (Math.abs(calculatedPresentationTimeInSeconds - currentTime) < REMAINING_EVENTS_THRESHOLD) {
          _startEvent(event, _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].EVENT_MODE_ON_START);
        }
      };
      _iterateAndTriggerCallback(events, callback);
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Iterates over the inline/inband event object and triggers a callback for each event
   * @param {object} events
   * @param {function} callback
   * @private
   */
  function _iterateAndTriggerCallback(events, callback) {
    try {
      if (events) {
        const periodIds = Object.keys(events);
        for (let i = 0; i < periodIds.length; i++) {
          const currentPeriod = events[periodIds[i]];
          const schemeIdUris = Object.keys(currentPeriod);
          for (let j = 0; j < schemeIdUris.length; j++) {
            const schemeIdEvents = currentPeriod[schemeIdUris[j]];
            schemeIdEvents.forEach(event => {
              if (event !== undefined) {
                callback(event);
              }
            });
          }
        }
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Checks if an event is expired. For instance if the presentationTime + the duration of an event are smaller than the current video time.
   * @param {number} currentVideoTime
   * @param {number} threshold
   * @param {number} calculatedPresentationTimeInSeconds
   * @return {boolean}
   * @private
   */
  function _eventHasExpired(currentVideoTime, threshold, calculatedPresentationTimeInSeconds) {
    try {
      return currentVideoTime - threshold > calculatedPresentationTimeInSeconds;
    } catch (e) {
      logger.error(e);
      return false;
    }
  }

  /**
   * Checks if an event is invalid. This is the case if the end time of the parent period is smaller than the presentation time of the event.
   * @param {object} event
   * @return {boolean}
   * @private
   */
  function _eventIsInvalid(event) {
    try {
      const periodEndTime = event.eventStream.period.start + event.eventStream.period.duration;
      return event.calculatedPresentationTime > periodEndTime;
    } catch (e) {
      logger.error(e);
      return false;
    }
  }

  /**
   * Starts an event. Depending on the schemeIdUri we distinguish between
   * - MPD Reload events
   * - MPD Callback events
   * - Events to be dispatched to the application
   * @param {object} event
   * @param {String} mode
   * @private
   */
  function _startEvent(event, mode) {
    try {
      const currentVideoTime = playbackController.getTime();
      const eventId = event.id;
      if (mode === _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].EVENT_MODE_ON_RECEIVE && !event.triggeredReceivedEvent) {
        logger.debug(`Received event ${eventId}`);
        event.triggeredReceivedEvent = true;
        eventBus.trigger(event.eventStream.schemeIdUri, {
          event
        }, {
          mode
        });
        return;
      }
      if (!event.triggeredStartEvent) {
        if (event.eventStream.schemeIdUri === MPD_RELOAD_SCHEME && event.eventStream.value == MPD_RELOAD_VALUE) {
          //If both are set to zero, it indicates the media is over at this point. Don't reload the manifest.
          if (event.duration !== 0 || event.presentationTimeDelta !== 0) {
            logger.debug(`Starting manifest refresh event ${eventId} at ${currentVideoTime}`);
            _refreshManifest();
          }
        } else if (event.eventStream.schemeIdUri === MPD_CALLBACK_SCHEME && event.eventStream.value == MPD_CALLBACK_VALUE) {
          logger.debug(`Starting callback event ${eventId} at ${currentVideoTime}`);
          const url = event.messageData instanceof Uint8Array ? _core_Utils_js__WEBPACK_IMPORTED_MODULE_5__["default"].uint8ArrayToString(event.messageData) : event.messageData;
          _sendCallbackRequest(url);
        } else {
          logger.debug(`Starting event ${eventId} from period ${event.eventStream.period.id} at ${currentVideoTime}`);
          eventBus.trigger(event.eventStream.schemeIdUri, {
            event
          }, {
            mode
          });
          if (settings.get().streaming.events.deleteEventMessageDataTimeout > -1) {
            setTimeout(() => {
              delete event.messageData;
              delete event.parsedMessageData;
            }, settings.get().streaming.events.deleteEventMessageDataTimeout);
          }
        }
        event.triggeredStartEvent = true;
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Removes an event from the list. If this is the last event of type "schemeIdUri"  the corresponding schemeIdUri Object in the list of events is deleted.
   * @param {object} events
   * @param {object} event
   * @private
   */
  function _removeEvent(events, event) {
    try {
      const schemeIdUri = event.eventStream.schemeIdUri;
      const periodId = event.eventStream.period.id;
      const value = event.eventStream.value;
      const id = event.id;
      events[periodId][schemeIdUri] = events[periodId][schemeIdUri].filter(e => {
        return value && e.eventStream.value && e.eventStream.value !== value || e.id !== id;
      });
      if (events[periodId][schemeIdUri].length === 0) {
        delete events[periodId][schemeIdUri];
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Refresh the manifest
   * @private
   */
  function _refreshManifest() {
    try {
      checkConfig();
      manifestUpdater.refreshManifest();
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Send a callback request
   * @param {String} url
   * @private
   */
  function _sendCallbackRequest(url) {
    try {
      let loader = (0,_net_XHRLoader_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create({});
      const commonMediaRequest = new _vo_CommonMediaRequest_js__WEBPACK_IMPORTED_MODULE_6__["default"]({
        method: 'get',
        url: url,
        responseType: 'arraybuffer',
        customData: {}
      });
      const commonMediaResponse = new _vo_CommonMediaResponse_js__WEBPACK_IMPORTED_MODULE_7__["default"]({
        request: commonMediaRequest
      });
      loader.load(commonMediaRequest, commonMediaResponse);
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Set the config of the EventController
   * @param {object} config
   */
  function setConfig(config) {
    try {
      if (!config) {
        return;
      }
      if (config.manifestUpdater) {
        manifestUpdater = config.manifestUpdater;
      }
      if (config.playbackController) {
        playbackController = config.playbackController;
      }
      if (config.settings) {
        settings = config.settings;
      }
    } catch (e) {
      throw e;
    }
  }

  /**
   * Returns all inline events that have not been triggered yet
   * @return {object}
   */
  function getInlineEvents() {
    return inlineEvents;
  }

  /**
   * Returns all inband events that have not been triggered yet
   * @return {object}
   */
  function getInbandEvents() {
    return inbandEvents;
  }

  /**
   * Stop the EventController and reset all initial settings
   */
  function reset() {
    _stop();
    _resetInitialSettings();
  }
  instance = {
    addInlineEvents,
    addInbandEvents,
    getInbandEvents,
    getInlineEvents,
    start,
    setConfig,
    reset
  };
  _setup();
  return instance;
}
EventController.__dashjs_factory_name = 'EventController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(EventController));

/***/ }),

/***/ "./src/streaming/controllers/ExtUrlQueryInfoController.js":
/*!****************************************************************!*\
  !*** ./src/streaming/controllers/ExtUrlQueryInfoController.js ***!
  \****************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */







function ExtUrlQueryInfoController() {
  let instance, logger, mpdQueryStringInformation;
  const context = this.context;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance().getLogger(instance);
  }
  function _generateQueryParams(resultObject, manifestObject, mpdUrlQuery, parentLevelInfo, mpdElement) {
    const property = _getDescriptorTypeFromManifestObject(manifestObject, mpdElement);
    _generateInitialQueryString(property, parentLevelInfo.initialQueryString, resultObject, mpdUrlQuery);
    _generateFinalQueryString(property, resultObject, parentLevelInfo.finalQueryString);
    resultObject.sameOriginOnly = property?.ExtUrlQueryInfo?.sameOriginOnly;
    resultObject.queryParams = _core_Utils_js__WEBPACK_IMPORTED_MODULE_1__["default"].parseQueryParams(resultObject?.finalQueryString);
    resultObject.includeInRequests = _getIncludeInRequestFromProperty(property, parentLevelInfo.includeInRequests);
  }
  function _getDescriptorTypeFromManifestObject(manifestObject, mpdElement) {
    let properties = [];
    if (mpdElement === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].PERIOD) {
      properties = manifestObject[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SUPPLEMENTAL_PROPERTY] || [];
    } else {
      properties = [...(manifestObject[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ESSENTIAL_PROPERTY] || []), ...(manifestObject[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SUPPLEMENTAL_PROPERTY] || [])];
    }
    return properties.find(prop => prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].URL_QUERY_INFO_SCHEME && prop.UrlQueryInfo || prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_3__["default"].EXT_URL_QUERY_INFO_SCHEME && prop.ExtUrlQueryInfo);
  }
  function _generateInitialQueryString(property, defaultInitialString, dst, mpdUrlQuery) {
    dst.initialQueryString = '';
    let initialQueryString = '';
    const queryInfo = property?.ExtUrlQueryInfo || property?.UrlQueryInfo;
    if (queryInfo && queryInfo.queryString) {
      if (defaultInitialString && defaultInitialString.length > 0) {
        initialQueryString = defaultInitialString + '&' + queryInfo.queryString;
      } else {
        initialQueryString = queryInfo.queryString;
      }
    } else {
      initialQueryString = defaultInitialString;
    }
    if (queryInfo?.useMPDUrlQuery === 'true' && mpdUrlQuery) {
      initialQueryString = initialQueryString ? initialQueryString + '&' + mpdUrlQuery : mpdUrlQuery;
    }
    dst.initialQueryString = initialQueryString;
  }

  // The logic for supporting templates with queryTemplate=$query:<param>$ is not in place yet, this only support queryTemplate="$querypart$".
  function _generateFinalQueryString(property, resultObject, parentQueryString) {
    if (!property) {
      resultObject.finalQueryString = parentQueryString;
      return;
    }
    const queryTemplate = property?.ExtUrlQueryInfo?.queryTemplate || property?.UrlQueryInfo?.queryTemplate || '';
    resultObject.finalQueryString = queryTemplate === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].QUERY_PART ? resultObject?.initialQueryString : '';
  }
  function _getIncludeInRequestFromProperty(property, parentIncludeInRequests) {
    if (!property) {
      return parentIncludeInRequests;
    }
    if (property.ExtUrlQueryInfo?.includeInRequests) {
      return property.ExtUrlQueryInfo.includeInRequests.split(' ');
    } else {
      return [_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SEGMENT_TYPE];
    }
  }
  function createFinalQueryStrings(manifest) {
    mpdQueryStringInformation = {
      origin: new URL(manifest.url).origin,
      period: []
    };
    const mpdUrlQuery = manifest.url.split('?')[1];
    const initialMpdObject = {
      initialQueryString: '',
      includeInRequests: []
    };
    _generateQueryParams(mpdQueryStringInformation, manifest, mpdUrlQuery, initialMpdObject, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MPD);
    manifest.Period.forEach(period => {
      const periodObject = {
        adaptation: []
      };
      _generateQueryParams(periodObject, period, mpdUrlQuery, mpdQueryStringInformation, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].PERIOD);
      period.AdaptationSet.forEach(adaptationSet => {
        const adaptationObject = {
          representation: []
        };
        _generateQueryParams(adaptationObject, adaptationSet, mpdUrlQuery, periodObject, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ADAPTATION_SET);
        adaptationSet.Representation.forEach(representation => {
          const representationObject = {};
          _generateQueryParams(representationObject, representation, mpdUrlQuery, adaptationObject, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].REPRESENTATION);
          adaptationObject.representation.push(representationObject);
        });
        periodObject.adaptation.push(adaptationObject);
      });
      mpdQueryStringInformation.period.push(periodObject);
    });
  }
  function getFinalQueryString(request) {
    try {
      if (!mpdQueryStringInformation) {
        return null;
      }
      if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MEDIA_SEGMENT_TYPE || request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.INIT_SEGMENT_TYPE) {
        const representation = request.representation;
        if (!representation) {
          return null;
        }
        const adaptation = representation.adaptation;
        const period = adaptation.period;
        const queryInfo = mpdQueryStringInformation.period[period.index].adaptation[adaptation.index].representation[representation.index];
        const requestUrl = new URL(request.url);
        const canSendToOrigin = !queryInfo.sameOriginOnly || mpdQueryStringInformation.origin === requestUrl.origin;
        const inRequest = queryInfo.includeInRequests.includes(_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].SEGMENT_TYPE);
        if (inRequest && canSendToOrigin) {
          return queryInfo.queryParams;
        }
      } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MPD_TYPE) {
        const inRequest = [_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MPD_TYPE, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MPD_PATCH_TYPE].some(r => mpdQueryStringInformation.includeInRequests.includes(r));
        if (inRequest) {
          return mpdQueryStringInformation.queryParams;
        }
      } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.CONTENT_STEERING_TYPE) {
        const inRequest = mpdQueryStringInformation.includeInRequests.includes(_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].STEERING_TYPE);
        if (inRequest) {
          return mpdQueryStringInformation.queryParams;
        }
      }
    } catch (e) {
      logger.error(e);
      return null;
    }
  }
  setup();
  instance = {
    getFinalQueryString,
    createFinalQueryStrings
  };
  return instance;
}
ExtUrlQueryInfoController.__dashjs_factory_name = 'ExtUrlQueryInfoController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(ExtUrlQueryInfoController));

/***/ }),

/***/ "./src/streaming/controllers/FragmentController.js":
/*!*********************************************************!*\
  !*** ./src/streaming/controllers/FragmentController.js ***!
  \*********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _vo_DataChunk_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/DataChunk.js */ "./src/streaming/vo/DataChunk.js");
/* harmony import */ var _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../models/FragmentModel.js */ "./src/streaming/models/FragmentModel.js");
/* harmony import */ var _FragmentLoader_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../FragmentLoader.js */ "./src/streaming/FragmentLoader.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */










function FragmentController(config) {
  config = config || {};
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  const errHandler = config.errHandler;
  const mediaPlayerModel = config.mediaPlayerModel;
  const dashMetrics = config.dashMetrics;
  const debug = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
  const streamInfo = config.streamInfo;
  let instance, logger, fragmentModels;
  function setup() {
    logger = debug.getLogger(instance);
    resetInitialSettings();
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_6__["default"].FRAGMENT_LOADING_COMPLETED, onFragmentLoadingCompleted, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_6__["default"].FRAGMENT_LOADING_PROGRESS, onFragmentLoadingCompleted, instance);
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function getModel(type) {
    let model = fragmentModels[type];
    if (!model) {
      model = (0,_models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
        streamInfo: streamInfo,
        type: type,
        dashMetrics: dashMetrics,
        fragmentLoader: (0,_FragmentLoader_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create({
          dashMetrics: dashMetrics,
          mediaPlayerModel: mediaPlayerModel,
          errHandler: errHandler,
          settings: config.settings,
          boxParser: config.boxParser,
          eventBus: eventBus,
          events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"],
          errors: _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_7__["default"],
          dashConstants: config.dashConstants,
          urlUtils: config.urlUtils,
          streamId: getStreamId()
        }),
        debug: debug,
        eventBus: eventBus,
        events: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"]
      });
      fragmentModels[type] = model;
    }
    return model;
  }
  function resetInitialSettings() {
    for (let model in fragmentModels) {
      fragmentModels[model].reset();
    }
    fragmentModels = {};
  }
  function reset() {
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_6__["default"].FRAGMENT_LOADING_COMPLETED, onFragmentLoadingCompleted, this);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_6__["default"].FRAGMENT_LOADING_PROGRESS, onFragmentLoadingCompleted, this);
    resetInitialSettings();
  }
  function createDataChunk(bytes, request, streamId, endFragment) {
    const chunk = new _vo_DataChunk_js__WEBPACK_IMPORTED_MODULE_1__["default"]();
    chunk.streamId = streamId;
    chunk.segmentType = request.type;
    chunk.start = request.startTime;
    chunk.duration = request.duration;
    chunk.end = chunk.start + chunk.duration;
    chunk.bytes = bytes;
    chunk.index = request.index;
    chunk.representation = request.representation;
    chunk.endFragment = endFragment;
    return chunk;
  }
  function onFragmentLoadingCompleted(e) {
    // Event propagation may have been stopped (see MssHandler)
    if (!e.sender) {
      return;
    }
    const request = e.request;
    const bytes = e.response;
    const isInit = request.isInitializationRequest();
    const strInfo = request.representation.mediaInfo.streamInfo;
    if (e.error) {
      if (request.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || request.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || request.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && request.representation.mediaInfo.isFragmented) {
        // add service location to blacklist controller - only for audio or video. text should not set errors
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SERVICE_LOCATION_BASE_URL_BLACKLIST_ADD, {
          entry: e.request.serviceLocation
        });
      }
    }
    if (!bytes || !strInfo) {
      logger.warn('No ' + request.mediaType + ' bytes to push or stream is inactive.');
      return;
    }
    const chunk = createDataChunk(bytes, request, streamInfo.id, e.type !== _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].FRAGMENT_LOADING_PROGRESS);
    eventBus.trigger(isInit ? _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].INIT_FRAGMENT_LOADED : _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MEDIA_FRAGMENT_LOADED, {
      chunk,
      request
    }, {
      streamId: strInfo.id,
      mediaType: request.mediaType
    });
  }
  instance = {
    getStreamId,
    getModel,
    reset
  };
  setup();
  return instance;
}
FragmentController.__dashjs_factory_name = 'FragmentController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__["default"].getClassFactory(FragmentController));

/***/ }),

/***/ "./src/streaming/controllers/GapController.js":
/*!****************************************************!*\
  !*** ./src/streaming/controllers/GapController.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





const GAP_HANDLER_INTERVAL = 100;
const THRESHOLD_TO_STALLS = 10;
const GAP_JUMP_WAITING_TIME_OFFSET = 0.1;
function GapController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
  let instance, lastPlaybackTime, settings, wallclockTicked, gapHandlerInterval, lastGapJumpPosition, playbackController, streamController, videoModel, jumpTimeoutHandler, trackSwitchByMediaType, logger;
  function initialize() {
    _registerEvents();
  }
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    reset();
  }
  function reset() {
    _stopGapHandler();
    _unregisterEvents();
    resetInitialSettings();
  }
  function resetInitialSettings() {
    gapHandlerInterval = null;
    lastGapJumpPosition = NaN;
    wallclockTicked = 0;
    jumpTimeoutHandler = null;
    trackSwitchByMediaType = {};
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
    if (config.streamController) {
      streamController = config.streamController;
    }
    if (config.videoModel) {
      videoModel = config.videoModel;
    }
  }
  function _registerEvents() {
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].WALLCLOCK_TIME_UPDATED, _onWallclockTimeUpdated, this);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].INITIAL_STREAM_SWITCH, _onInitialStreamSwitch, this);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, this);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].BUFFER_REPLACEMENT_STARTED, _onBufferReplacementStarted, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRACK_CHANGE_RENDERED, _onBufferReplacementEnded, instance);
  }
  function _unregisterEvents() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].WALLCLOCK_TIME_UPDATED, _onWallclockTimeUpdated, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].INITIAL_STREAM_SWITCH, _onInitialStreamSwitch, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, this);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].BUFFER_REPLACEMENT_STARTED, _onBufferReplacementStarted, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRACK_CHANGE_RENDERED, _onBufferReplacementEnded, instance);
  }

  /**
   * Clear scheduled gap jump when seeking
   * @private
   */
  function _onPlaybackSeeking() {
    if (jumpTimeoutHandler) {
      clearTimeout(jumpTimeoutHandler);
      jumpTimeoutHandler = null;
    }
  }

  /**
   *  If the track was changed in the current active period and the player might aggressively replace segments the buffer will be empty for a short period of time. Avoid gap jumping at that time.
   *  We wait until the next media fragment of the target type has been appended before activating again
   * @param {object} e
   * @private
   */
  function _onBufferReplacementStarted(e) {
    try {
      if (e.streamId !== streamController.getActiveStreamInfo().id || e.mediaType !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO && e.mediaType !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].AUDIO) {
        return;
      }
      if (e.streamId === streamController.getActiveStreamInfo().id) {
        trackSwitchByMediaType[e.mediaType] = true;
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Activate gap jumping again once segment of target type has been appended
   * @param {object} e
   * @private
   */
  function _onBufferReplacementEnded(e) {
    if (!e || !e.mediaType) {
      return;
    }
    trackSwitchByMediaType[e.mediaType] = false;
  }

  /**
   * Activate the gap handler after the first stream switch
   * @private
   */
  function _onInitialStreamSwitch() {
    if (!gapHandlerInterval) {
      _startGapHandler();
    }
  }

  /**
   * Callback handler for when the wallclock time has been updated
   * @private
   */
  function _onWallclockTimeUpdated(/*e*/
  ) {
    if (!_shouldCheckForGaps(settings.get().streaming.gaps.enableSeekFix)) {
      return;
    }
    wallclockTicked++;
    if (wallclockTicked >= THRESHOLD_TO_STALLS) {
      const currentTime = playbackController.getTime();
      if (lastPlaybackTime === currentTime) {
        _jumpGap(currentTime, true);
      } else {
        lastPlaybackTime = currentTime;
        lastGapJumpPosition = NaN;
      }
      wallclockTicked = 0;
    }
  }

  /**
   * Returns if we are supposed to check for gaps
   * @param {boolean} checkSeekingState - Usually we are not checking for gaps in the videolement is in seeking state. If this flag is set to true we check for a potential exceptions of this rule.
   * @return {boolean}
   * @private
   */
  function _shouldCheckForGaps() {
    let checkSeekingState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    if (!streamController.getActiveStream()) {
      return false;
    }
    const trackSwitchInProgress = Object.keys(trackSwitchByMediaType).some(key => {
      return trackSwitchByMediaType[key];
    });
    const shouldIgnoreSeekingState = checkSeekingState ? _shouldIgnoreSeekingState() : false;
    return !trackSwitchInProgress && settings.get().streaming.gaps.jumpGaps && streamController.getActiveStreamProcessors().length > 0 && (!playbackController.isSeeking() || shouldIgnoreSeekingState) && !playbackController.isPaused() && !streamController.getIsStreamSwitchInProgress() && !streamController.getHasMediaOrInitialisationError();
  }

  /**
   * There are cases in which we never transition out of the seeking state and still need to jump a gap. For instance if the user seeks right before a gap and video element will not transition out of the seeking state.
   * For now limit this to period boundaries. In this case the current period is completely buffered and we are right before the end of the period.
   * @private
   */
  function _shouldIgnoreSeekingState() {
    const activeStream = streamController.getActiveStream();
    const streamEnd = parseFloat((activeStream.getStartTime() + activeStream.getDuration()).toFixed(5));
    return playbackController.getTime() + settings.get().streaming.gaps.threshold >= streamEnd;
  }

  /**
   * Returns the index of the range object that comes after the current time
   * @param {object} ranges
   * @param {number} currentTime
   * @private
   * @return {null|number}
   */
  function _getNextRangeIndex(ranges, currentTime) {
    try {
      if (!ranges || ranges.length <= 1 && currentTime > 0) {
        return NaN;
      }
      let nextRangeIndex = NaN;
      let j = 0;
      while (isNaN(nextRangeIndex) && j < ranges.length) {
        const rangeEnd = j > 0 ? ranges.end(j - 1) : 0;
        if (currentTime < ranges.start(j) && rangeEnd - currentTime < settings.get().streaming.gaps.threshold) {
          nextRangeIndex = j;
        }
        j += 1;
      }
      return nextRangeIndex;
    } catch (e) {
      return null;
    }
  }

  /**
   * Check if the currentTime exist within the buffered range
   * @param {object} ranges
   * @param {number} currentTime
   * @private
   * @return {boolean}
   */
  function _isTimeBuffered(ranges, currentTime) {
    for (let i = 0, len = ranges.length; i < len; i++) {
      if (currentTime >= ranges.start(i) && currentTime <= ranges.end(i)) {
        return true;
      }
    }
    return false;
  }

  /**
   * Starts the interval that checks for gaps
   * @private
   */
  function _startGapHandler() {
    try {
      if (!gapHandlerInterval) {
        logger.debug('Starting the gap controller');
        gapHandlerInterval = setInterval(() => {
          if (!_shouldCheckForGaps()) {
            return;
          }
          const currentTime = playbackController.getTime();
          _jumpGap(currentTime);
        }, GAP_HANDLER_INTERVAL);
      }
    } catch (e) {}
  }

  /**
   * Clears the gap interval handler
   * @private
   */
  function _stopGapHandler() {
    logger.debug('Stopping the gap controller');
    if (gapHandlerInterval) {
      clearInterval(gapHandlerInterval);
      gapHandlerInterval = null;
    }
  }

  /**
   * Jump a gap
   * @param {number} currentTime
   * @param {boolean} playbackStalled
   * @private
   */
  function _jumpGap(currentTime) {
    let playbackStalled = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    const enableStallFix = settings.get().streaming.gaps.enableStallFix;
    const stallSeek = settings.get().streaming.gaps.stallSeek;
    const smallGapLimit = settings.get().streaming.gaps.smallGapLimit;
    const jumpLargeGaps = settings.get().streaming.gaps.jumpLargeGaps;
    const ranges = videoModel.getBufferRange();
    let nextRangeIndex;
    let seekToPosition = NaN;
    let jumpToStreamEnd = false;

    // Get the range just after current time position
    nextRangeIndex = _getNextRangeIndex(ranges, currentTime);
    if (!isNaN(nextRangeIndex)) {
      const start = ranges.start(nextRangeIndex);
      const gap = start - currentTime;
      if (gap > 0 && (gap <= smallGapLimit || jumpLargeGaps)) {
        seekToPosition = start;
      }
    }

    // Playback has stalled before period end. We seek to the end of the period
    const timeToStreamEnd = playbackController.getTimeToStreamEnd();
    if (isNaN(seekToPosition) && playbackStalled && isFinite(timeToStreamEnd) && !isNaN(timeToStreamEnd) && timeToStreamEnd < smallGapLimit) {
      seekToPosition = parseFloat(playbackController.getStreamEndTime().toFixed(5));
      jumpToStreamEnd = true;
    }
    if (enableStallFix && isNaN(seekToPosition) && playbackStalled && isNaN(nextRangeIndex) && _isTimeBuffered(ranges, currentTime)) {
      if (stallSeek === 0) {
        logger.warn(`Toggle play pause to break stall`);
        videoModel.pause();
        videoModel.play();
      } else {
        logger.warn(`Jumping ${stallSeek}s to break stall`);
        seekToPosition = currentTime + stallSeek;
      }
    }
    if (seekToPosition > 0 && lastGapJumpPosition !== seekToPosition && seekToPosition > currentTime && !jumpTimeoutHandler) {
      const timeUntilGapEnd = seekToPosition - currentTime;
      if (jumpToStreamEnd) {
        const nextStream = streamController.getStreamForTime(seekToPosition);
        const internalSeek = nextStream && !!nextStream.getPreloaded();
        logger.warn(`Jumping to end of stream because of gap from ${currentTime} to ${seekToPosition}. Gap duration: ${timeUntilGapEnd}`);
        playbackController.seek(seekToPosition, true, internalSeek);
      } else {
        const isDynamic = playbackController.getIsDynamic();
        const start = nextRangeIndex > 0 ? ranges.end(nextRangeIndex - 1) : currentTime;
        const timeToWait = !isDynamic ? 0 : Math.max(0, timeUntilGapEnd - GAP_JUMP_WAITING_TIME_OFFSET) * 1000;
        jumpTimeoutHandler = window.setTimeout(() => {
          playbackController.seek(seekToPosition, true, true);
          logger.warn(`Jumping gap occuring in period ${streamController.getActiveStream().getStreamId()} starting at ${start} and ending at ${seekToPosition}. Jumping by: ${seekToPosition - start}`);
          jumpTimeoutHandler = null;
        }, timeToWait);
      }
      lastGapJumpPosition = seekToPosition;
    }
  }
  instance = {
    reset,
    setConfig,
    initialize
  };
  setup();
  return instance;
}
GapController.__dashjs_factory_name = 'GapController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(GapController));

/***/ }),

/***/ "./src/streaming/controllers/MediaController.js":
/*!******************************************************!*\
  !*** ./src/streaming/controllers/MediaController.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var bcp_47_normalize__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! bcp-47-normalize */ "./node_modules/bcp-47-normalize/lib/index.js");
/* harmony import */ var bcp_47_match__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! bcp-47-match */ "./node_modules/bcp-47-match/index.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _utils_AudioChannelConfiguration_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/AudioChannelConfiguration.js */ "./src/streaming/utils/AudioChannelConfiguration.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */










function MediaController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let instance, logger, tracks, settings, initialSettings, lastSelectedTracks, lastSelectedRepresentations, customParametersModel, mediaPlayerModel, videoModel, domStorage;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance().getLogger(instance);
    reset();
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.domStorage) {
      domStorage = config.domStorage;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.customParametersModel) {
      customParametersModel = config.customParametersModel;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
    if (config.videoModel) {
      videoModel = config.videoModel;
    }
  }
  function initialize() {
    _registerEvents();
  }
  function _registerEvents() {
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].REPRESENTATION_SWITCH, _onRepresentationSwitched, instance);
  }
  function _unRegisterEvents() {
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].REPRESENTATION_SWITCH, _onRepresentationSwitched, instance);
  }

  /**
   * Save the last selected bitrate for each media type. In case we transition to a new period and have multiple AdaptationSets that we can choose
   * from we choose the one with a bitrate closest to the current one.
   * @param e
   * @private
   */
  function _onRepresentationSwitched(e) {
    if (!e || !e.currentRepresentation || !e.currentRepresentation.mediaInfo || !e.currentRepresentation.mediaInfo.type) {
      return;
    }
    const type = e.currentRepresentation.mediaInfo.type;
    lastSelectedRepresentations[type] = e.currentRepresentation;
  }

  /**
   * @param {string} type
   * @param {StreamInfo} streamInfo
   * @memberof MediaController#
   */
  function setInitialMediaSettingsForType(type, streamInfo) {
    let settings = lastSelectedTracks[type] || getInitialSettings(type);
    const possibleTracks = getTracksFor(type, streamInfo.id);
    let filteredTracks = [];
    if (!settings || Object.keys(settings).length === 0) {
      settings = domStorage.getSavedMediaSettings(type);
      if (settings) {
        // If the settings are defined locally, do not take codec into account or it'll be too strict.
        // eg: An audio track should not be selected by codec but merely by lang.
        delete settings.codec;
      }
      setInitialSettings(type, settings);
    }
    if (!possibleTracks || possibleTracks.length === 0) {
      return;
    }
    if (settings) {
      filteredTracks = Array.from(possibleTracks);
      logger.info('Filtering ' + filteredTracks.length + ' ' + type + ' tracks based on settings');
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsId, settings);
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsLang, settings);
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsIndex, settings);
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsViewPoint, settings);
      if (!(type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && !!lastSelectedTracks[type])) {
        filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsRole, settings);
      }
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsAccessibility, settings);
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsAudioChannelConfig, settings);
      filteredTracks = filterTracksBySettings(filteredTracks, matchSettingsCodec, settings);
      logger.info('Filtering ' + type + ' tracks ended, found ' + filteredTracks.length + ' matching track(s).');
    }

    // We did not apply any filter. We can select from all possible tracks
    if (filteredTracks.length === 0) {
      setTrack(selectInitialTrack(type, possibleTracks));
    }

    // We have some tracks based on the filtering we did.
    else {
      // More than one possibility
      if (filteredTracks.length > 1) {
        setTrack(selectInitialTrack(type, filteredTracks));
      }
      // Only one possibility use this one
      else {
        setTrack(filteredTracks[0]);
      }
    }
  }

  /**
   * @param {MediaInfo} track
   * @memberof MediaController#
   */
  function addTrack(track) {
    if (!track) {
      return;
    }
    const mediaType = track.type;
    if (!_isMultiTrackSupportedByType(mediaType)) {
      return;
    }
    let streamId = track.streamInfo.id;
    if (!tracks[streamId]) {
      tracks[streamId] = createTrackInfo();
    }
    const mediaTracks = tracks[streamId][mediaType].list;
    for (let i = 0, len = mediaTracks.length; i < len; ++i) {
      //track is already set.
      if (areTracksEqual(mediaTracks[i], track)) {
        return;
      }
    }
    mediaTracks.push(track);
  }

  /**
   * @param {string} type
   * @param {string} streamId
   * @returns {Array}
   * @memberof MediaController#
   */
  function getTracksFor(type, streamId) {
    if (!type) {
      return [];
    }
    if (!tracks[streamId] || !tracks[streamId][type]) {
      return [];
    }
    return tracks[streamId][type].list;
  }

  /**
   * @param {string} type
   * @param {string} streamId
   * @returns {Object|null}
   * @memberof MediaController#
   */
  function getCurrentTrackFor(type, streamId) {
    if (!type || !tracks[streamId] || !tracks[streamId][type]) {
      return null;
    }
    return tracks[streamId][type].current;
  }

  /**
   * @param {MediaInfo} track
   * @returns {boolean}
   * @memberof MediaController#
   */
  function isCurrentTrack(track) {
    if (!track) {
      return false;
    }
    const type = track.type;
    const id = track.streamInfo.id;
    return tracks[id] && tracks[id][type] && areTracksEqual(tracks[id][type].current, track);
  }

  /**
   * @param {MediaInfo} track
   * @param {object} options
   * @memberof MediaController#
   */
  function setTrack(track) {
    let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    if (!track || !track.streamInfo) {
      return;
    }
    const type = track.type;
    const streamInfo = track.streamInfo;
    const id = streamInfo.id;
    const current = getCurrentTrackFor(type, id);
    if (!tracks[id] || !tracks[id][type]) {
      return;
    }
    tracks[id][type].current = track;
    if (tracks[id][type].current && (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !areTracksEqual(track, current) || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && track.isFragmented)) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].CURRENT_TRACK_CHANGED, {
        oldMediaInfo: current,
        newMediaInfo: track,
        switchMode: settings.get().streaming.trackSwitchMode[type],
        options
      }, {
        streamId: id
      });
    }
    if (!options.hasOwnProperty('noSettingsSave') || !options.noSettingsSave) {
      let settings = extractSettings(track);
      if (!settings || !tracks[id][type].storeLastSettings) {
        return;
      }
      if (settings.roles) {
        settings.role = settings.roles[0];
        delete settings.roles;
      }
      if (settings.accessibility) {
        settings.accessibility = settings.accessibility[0];
      }
      if (settings.audioChannelConfiguration) {
        settings.audioChannelConfiguration = settings.audioChannelConfiguration[0];
      }
      lastSelectedTracks[type] = settings;
      domStorage.setSavedMediaSettings(type, settings);
    }
  }

  /**
   * @param {string} type
   * @param {Object} value
   * @memberof MediaController#
   */
  function setInitialSettings(type, value) {
    if (!type || !value) {
      return;
    }
    initialSettings[type] = value;
  }

  /**
   * @param {string} type
   * @returns {Object|null}
   * @memberof MediaController#
   */
  function getInitialSettings(type) {
    if (!type) {
      return null;
    }
    return initialSettings[type];
  }

  /**
   * @memberof MediaController#
   */
  function saveTextSettingsDisabled() {
    domStorage.setSavedMediaSettings(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, null);
  }

  /**
   * @param {string} type
   * @returns {boolean}
   * @memberof MediaController#
   */
  function _isMultiTrackSupportedByType(type) {
    return type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE;
  }

  /**
   * @param {MediaInfo} t1 - first track to compare
   * @param {MediaInfo} t2 - second track to compare
   * @returns {boolean}
   * @memberof MediaController#
   */
  function areTracksEqual(t1, t2) {
    if (!t1 && !t2) {
      return true;
    }
    if (!t1 || !t2) {
      return false;
    }
    const sameId = t1.id === t2.id;
    const sameViewpoint = JSON.stringify(t1.viewpoint) === JSON.stringify(t2.viewpoint);
    const sameLang = t1.lang === t2.lang;
    const sameCodec = t1.codec === t2.codec;
    const sameRoles = JSON.stringify(t1.roles) === JSON.stringify(t2.roles);
    const sameAccessibility = JSON.stringify(t1.accessibility) === JSON.stringify(t2.accessibility);
    const sameAudioChannelConfiguration = JSON.stringify(t1.audioChannelConfiguration) === JSON.stringify(t2.audioChannelConfiguration);
    return sameId && sameCodec && sameViewpoint && sameLang && sameRoles && sameAccessibility && sameAudioChannelConfiguration;
  }

  /**
   * @memberof MediaController#
   */
  function reset() {
    tracks = {};
    lastSelectedTracks = {};
    lastSelectedRepresentations = {};
    resetInitialSettings();
    _unRegisterEvents();
  }
  function extractSettings(mediaInfo) {
    const settings = {
      lang: mediaInfo.lang,
      viewpoint: mediaInfo.viewpoint,
      roles: mediaInfo.roles,
      accessibility: mediaInfo.accessibility,
      audioChannelConfiguration: mediaInfo.audioChannelConfiguration,
      codec: mediaInfo.codec
    };
    let notEmpty = settings.lang || settings.viewpoint || settings.role && settings.role.length > 0 || settings.accessibility && settings.accessibility.length > 0 || settings.audioChannelConfiguration && settings.audioChannelConfiguration.length > 0;
    return notEmpty ? settings : null;
  }
  function filterTracksBySettings(tracks, filterFn, preferences) {
    let tracksAfterMatcher = [];
    tracks.forEach(function (track) {
      if (filterFn(preferences, track)) {
        tracksAfterMatcher.push(track);
      }
    });
    if (tracksAfterMatcher.length !== 0) {
      return tracksAfterMatcher;
    }
    if (filterFn === matchSettingsRole && settings.get().streaming.assumeDefaultRoleAsMain && _compareDescriptorType(preferences.role, {
      schemeIdUri: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DASH_ROLE_SCHEME_ID,
      value: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].MAIN
    })) {
      logger.info('no track with Role set to main - assuming main as default and searching again');
      tracksAfterMatcher = filterTracksBySettings(tracks, _matchRoleAbsent, null);
      if (tracksAfterMatcher.length !== 0) {
        return tracksAfterMatcher;
      }
    }
    logger.info('Filter-Function (' + filterFn.name + ') resulted in no tracks; setting ignored');
    return tracks;
  }
  function matchSettingsLang(settings, track) {
    try {
      return !settings.lang || settings.lang instanceof RegExp ? track.lang.match(settings.lang) : track.lang !== '' ? (0,bcp_47_match__WEBPACK_IMPORTED_MODULE_8__.extendedFilter)(track.lang, (0,bcp_47_normalize__WEBPACK_IMPORTED_MODULE_9__.bcp47Normalize)(settings.lang)).length > 0 : false;
    } catch (e) {
      return false;
    }
  }
  function matchSettingsIndex(settings, track) {
    return settings.index === undefined || settings.index === null || track.index === settings.index;
  }
  function matchSettingsId(settings, track) {
    return settings.id === undefined || settings.id === null || track.id === settings.id;
  }
  function matchSettingsViewPoint(settings, track) {
    const matchViewPoint = !settings.viewpoint || !!track.viewpoint.filter(function (item) {
      return _compareDescriptorType(item, settings.viewpoint);
    })[0];
    return matchViewPoint;
  }
  function matchSettingsRole(settings, track) {
    let isTrackActive = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    if (!track.roles) {
      return false;
    }
    const matchRole = !settings.role || !!track.roles.filter(function (item) {
      return _compareDescriptorType(item, settings.role);
    })[0];
    return matchRole || track.type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && isTrackActive;
  }
  function _matchRoleAbsent(_, track) {
    return !track.roles || track.roles.length === 0;
  }
  function matchSettingsAccessibility(settings, track) {
    let matchAccessibility;
    if (!settings.accessibility) {
      // if no accessibility is requested (or request is empty string),
      // match only those tracks having no accessibility element present
      matchAccessibility = !track.accessibility.length;
    } else {
      matchAccessibility = !!track.accessibility.filter(function (item) {
        return _compareDescriptorType(item, settings.accessibility);
      })[0];
    }
    return matchAccessibility;
  }
  function matchSettingsAudioChannelConfig(settings, track) {
    let matchAudioChannelConfiguration = !settings.audioChannelConfiguration || !!track.audioChannelConfiguration.filter(function (item) {
      return _compareDescriptorType(item, settings.audioChannelConfiguration);
    })[0];
    return matchAudioChannelConfiguration;
  }
  function matchSettingsCodec(settings, track) {
    return !settings.codec || settings.codec === track.codec;
  }
  function matchSettings(settings, track) {
    let isTrackActive = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    try {
      let matchLang = false;

      // If there is no language defined in the target settings we got a match
      if (!settings.lang) {
        matchLang = true;
      }

      // If the target language is provided as a RegExp apply match function
      else if (settings.lang instanceof RegExp) {
        matchLang = track.lang.match(settings.lang);
      }

      // If the track has a language and we can normalize the target language check if we got a match
      else if (track.lang !== '') {
        const normalizedSettingsLang = (0,bcp_47_normalize__WEBPACK_IMPORTED_MODULE_9__.bcp47Normalize)(settings.lang);
        if (normalizedSettingsLang) {
          matchLang = (0,bcp_47_match__WEBPACK_IMPORTED_MODULE_8__.extendedFilter)(track.lang, normalizedSettingsLang).length > 0;
        }
      }
      const matchIndex = settings.index === undefined || settings.index === null || track.index === settings.index;
      const matchViewPoint = !settings.viewpoint || !!track.viewpoint.filter(function (item) {
        return _compareDescriptorType(item, settings.viewpoint);
      })[0];
      const matchRole = !settings.role || !!track.roles.filter(function (item) {
        return _compareDescriptorType(item, settings.role);
      })[0];
      let matchAccessibility = !settings.accessibility || !!track.accessibility.filter(function (item) {
        return _compareDescriptorType(item, settings.accessibility);
      })[0];
      let matchAudioChannelConfiguration = !settings.audioChannelConfiguration || !!track.audioChannelConfiguration.filter(function (item) {
        return _compareDescriptorType(item, settings.audioChannelConfiguration);
      })[0];
      return matchLang && matchIndex && matchViewPoint && (matchRole || track.type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && isTrackActive) && matchAccessibility && matchAudioChannelConfiguration;
    } catch (e) {
      return false;
      logger.error(e);
    }
  }
  function resetInitialSettings() {
    initialSettings = {
      audio: null,
      video: null,
      text: null
    };
  }
  function getTracksWithHighestSelectionPriority(trackArr) {
    let max = 0;
    let result = [];
    trackArr.forEach(track => {
      if (!isNaN(track.selectionPriority)) {
        // Higher max value. Reset list and add new entry
        if (track.selectionPriority > max) {
          max = track.selectionPriority;
          result = [track];
        }
        // Same max value add to list
        else if (track.selectionPriority === max) {
          result.push(track);
        }
      }
    });
    return result;
  }
  function getTracksWithHighestBitrate(trackArr) {
    let max = 0;
    let result = [];
    let tmp;
    trackArr.forEach(function (track) {
      tmp = Math.max.apply(Math, track.bitrateList.map(function (obj) {
        return obj.bandwidth;
      }));
      if (tmp > max) {
        max = tmp;
        result = [track];
      } else if (tmp === max) {
        result.push(track);
      }
    });
    return result;
  }
  function _getVideoTracksWithHighestEfficiency(trackArr) {
    let min = Infinity;
    let result = [];
    let tmp;
    trackArr.forEach(function (track) {
      const sum = track.bitrateList.reduce(function (acc, obj) {
        const resolution = Math.max(1, obj.width * obj.height);
        const efficiency = obj.bandwidth / resolution;
        return acc + efficiency;
      }, 0);
      tmp = sum / track.bitrateList.length;
      if (tmp < min) {
        min = tmp;
        result = [track];
      } else if (tmp === min) {
        result.push(track);
      }
    });
    return result;
  }
  function _getAudioTracksWithHighestEfficiency(trackArr) {
    let min = Infinity;
    let result = [];

    // Note:
    // we ignore potential AudioChannelConfiguration descriptors assigned to different bitrates=Representations
    // since this should not happen per IOP
    trackArr.forEach(function (track) {
      const tmp = track.audioChannelConfiguration.reduce(function (acc, audioChanCfg) {
        let nChan = (0,_utils_AudioChannelConfiguration_js__WEBPACK_IMPORTED_MODULE_7__["default"])(audioChanCfg) || 0;
        return acc + nChan;
      }, 0);
      let avgChan = tmp / track.audioChannelConfiguration.length;
      if (track.hasOwnProperty('supplementalProperties')) {
        if (track.supplementalProperties.some(prop => {
          return prop.schemeIdUri === 'tag:dolby.com,2018:dash:EC3_ExtensionType:2018' && prop.value === 'JOC';
        })) {
          avgChan = 16;
        }
      }

      // avgChan may be undefined, e.g. when audioChannelConfiguration is absent
      if (!avgChan) {
        avgChan = 1;
      }
      let sumEff = track.bitrateList.reduce(function (acc, t) {
        const trackEff = t.bandwidth / avgChan;
        return acc + trackEff;
      }, 0);
      let eff = sumEff / track.bitrateList.length;
      if (eff < min) {
        min = eff;
        result = [track];
      } else if (eff === min) {
        result.push(track);
      }
    });
    return result;
  }
  function getTracksWithHighestEfficiency(trackArr) {
    if (trackArr[0] && trackArr[0].type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      return _getVideoTracksWithHighestEfficiency(trackArr);
    } else if (trackArr[0] && trackArr[0].type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO) {
      return _getAudioTracksWithHighestEfficiency(trackArr);
    }
    return trackArr;
  }
  function getTracksWithWidestRange(trackArr) {
    let max = 0;
    let result = [];
    let tmp;
    trackArr.forEach(function (track) {
      tmp = track.representationCount;
      if (tmp > max) {
        max = tmp;
        result = [track];
      } else if (tmp === max) {
        result.push(track);
      }
    });
    return result;
  }
  function selectInitialTrack(type, mediaInfos) {
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT) {
      return _handleInitialTextTrackSelection(mediaInfos);
    }
    let tmpArr;
    const customInitialTrackSelectionFunction = customParametersModel.getCustomInitialTrackSelectionFunction();
    tmpArr = _initialFilterMediaInfosByAllowedSettings(mediaInfos);

    // If we have a custom function that selects the track we use this one
    if (customInitialTrackSelectionFunction && typeof customInitialTrackSelectionFunction === 'function') {
      tmpArr = customInitialTrackSelectionFunction(tmpArr);
    }

    // If we know the current selected bitrate for the media type we select the AdaptationSet that comes closest to this. This should only be relevant for multiperiod when we transition to the next period.
    else if (lastSelectedRepresentations[type]) {
      tmpArr = _trackSelectionModeClosestBitrate(tmpArr, type);
    }

    // Use the track selection function that is defined in the settings
    else {
      if (!settings.get().streaming.ignoreSelectionPriority) {
        logger.info('Trying to find track with highest selectionPriority');
        tmpArr = _trackSelectionModeHighestSelectionPriority(tmpArr);
      }
      if (tmpArr.length > 1 && settings.get().streaming.prioritizeRoleMain) {
        logger.info('Trying to find a main track');
        tmpArr = filterTracksBySettings(tmpArr, matchSettingsRole, {
          role: {
            schemeIdUri: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DASH_ROLE_SCHEME_ID,
            value: _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].MAIN
          }
        });
      }
      if (tmpArr.length > 1) {
        logger.info('Selecting track based on selectionModeForInitialTrack');
        let mode = settings.get().streaming.selectionModeForInitialTrack;
        switch (mode) {
          case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TRACK_SELECTION_MODE_HIGHEST_BITRATE:
            tmpArr = _trackSelectionModeHighestBitrate(tmpArr);
            break;
          case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TRACK_SELECTION_MODE_FIRST_TRACK:
            tmpArr = _trackSelectionModeFirstTrack(tmpArr);
            break;
          case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TRACK_SELECTION_MODE_HIGHEST_EFFICIENCY:
            tmpArr = _trackSelectionModeHighestEfficiency(tmpArr);
            break;
          case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TRACK_SELECTION_MODE_WIDEST_RANGE:
            tmpArr = _trackSelectionModeWidestRange(tmpArr);
            break;
          default:
            logger.warn(`Track selection mode ${mode} is not supported. Falling back to TRACK_SELECTION_MODE_FIRST_TRACK`);
            tmpArr = _trackSelectionModeFirstTrack(tmpArr);
            break;
        }
      }
    }
    return tmpArr.length > 0 ? tmpArr[0] : mediaInfos[0];
  }
  function _handleInitialTextTrackSelection(mediaInfos) {
    if (!mediaInfos || mediaInfos.length === 0) {
      return null;
    }
    const filteredMediaInfos = mediaInfos.filter(mediaInfo => {
      if (mediaInfo && mediaInfo.roles && mediaInfo.roles.length > 0) {
        return mediaInfo.roles.every(role => {
          return role.schemeIdUri !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DASH_ROLE_SCHEME_ID || role.value !== _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].FORCED_SUBTITLE;
        });
      }
      return true;
    });
    if (filteredMediaInfos.length > 0) {
      return filteredMediaInfos[0];
    }
    return mediaInfos[0];
  }

  /**
   * @param {MediaInfo[]} mediaInfos
   * @return {MediaInfo[]}
   */
  function _initialFilterMediaInfosByAllowedSettings(mediaInfos) {
    try {
      let tmpArr;
      tmpArr = _filterMediaInfosByPossibleBitrate(mediaInfos);
      tmpArr = _filterMediaInfosByPortalSize(tmpArr);
      return tmpArr;
    } catch (e) {
      logger.error(e);
      return mediaInfos;
    }
  }

  /**
   * Returns all MediaInfo objects that have at least one bitrate that fulfills the constraint.
   * If all fail the constraint we return the original array.
   * @param {MediaInfo[]} mediaInfos
   * @return {MediaInfo[]}
   */
  function _filterMediaInfosByPossibleBitrate(mediaInfos) {
    try {
      const filteredArray = mediaInfos.filter(mediaInfo => {
        const type = mediaInfo.type;
        return mediaInfo.bitrateList.some(bitrateInfo => {
          const maxBitrate = mediaPlayerModel.getAbrBitrateParameter('maxBitrate', type);
          const minBitrate = mediaPlayerModel.getAbrBitrateParameter('minBitrate', type);
          if (maxBitrate > -1 && bitrateInfo.bandwidth > maxBitrate * 1000) {
            return false;
          }
          return !(minBitrate > -1 && bitrateInfo.bandwidth < minBitrate * 1000);
        });
      });
      if (filteredArray.length > 0) {
        return filteredArray;
      }
      return mediaInfos;
    } catch (e) {
      logger.error(e);
      return mediaInfos;
    }
  }

  /**
   * @param {MediaInfo[]} mediaInfos
   * @return {MediaInfo[]}
   * @private
   */
  function _filterMediaInfosByPortalSize(mediaInfos) {
    try {
      if (!settings.get().streaming.abr.limitBitrateByPortal) {
        return mediaInfos;
      }
      const {
        elementWidth
      } = videoModel.getVideoElementSize();
      const filteredArray = mediaInfos.filter(mediaInfo => {
        return mediaInfo.type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO || mediaInfo.bitrateList.some(bitrateInfo => {
          return bitrateInfo.width <= elementWidth;
        });
      });
      if (filteredArray.length > 0) {
        return filteredArray;
      }
      return mediaInfos;
    } catch (e) {
      logger.error(e);
      return mediaInfos;
    }
  }

  /**
   * Find the track that has a bitrate that matches the currenly selected one
   * @param tracks
   * @param type
   * @returns {*}
   * @private
   */
  function _trackSelectionModeClosestBitrate(tracks, type) {
    if (!tracks || tracks.length === 0 || !type || !lastSelectedRepresentations[type]) {
      return tracks;
    }
    const targetBitrate = lastSelectedRepresentations[type].bandwidth;
    if (!targetBitrate || isNaN(targetBitrate)) {
      return tracks;
    }
    let current = {
      min: NaN,
      track: null
    };
    tracks.forEach(track => {
      track.bitrateList.forEach(entry => {
        const diff = Math.abs(entry.bandwidth - targetBitrate);
        if (isNaN(current.min) || diff < current.min) {
          current.min = diff;
          current.track = track;
        }
      });
    });
    return current.track ? [current.track] : tracks;
  }
  function _trackSelectionModeHighestSelectionPriority(tracks) {
    let tmpArr = getTracksWithHighestSelectionPriority(tracks);
    return tmpArr;
  }
  function _trackSelectionModeHighestBitrate(tracks) {
    let tmpArr = getTracksWithHighestBitrate(tracks);
    if (tmpArr.length > 1) {
      tmpArr = getTracksWithWidestRange(tmpArr);
    }
    return tmpArr;
  }
  function _trackSelectionModeFirstTrack(tracks) {
    return tracks[0];
  }
  function _trackSelectionModeHighestEfficiency(tracks) {
    let tmpArr = getTracksWithHighestEfficiency(tracks);
    if (tmpArr.length > 1) {
      tmpArr = getTracksWithHighestBitrate(tmpArr);
    }
    return tmpArr;
  }
  function _trackSelectionModeWidestRange(tracks) {
    let tmpArr = getTracksWithWidestRange(tracks);
    if (tmpArr.length > 1) {
      tmpArr = getTracksWithHighestBitrate(tracks);
    }
    return tmpArr;
  }
  function _compareDescriptorType(v1, v2) {
    if (v1 && v2) {
      let t1 = JSON.stringify({
        schemeIdUri: v1.schemeIdUri,
        value: v1.value
      });
      let t2 = JSON.stringify({
        schemeIdUri: v2.schemeIdUri,
        value: v2.value
      });
      return t1 === t2;
    }
    return false;
  }
  function createTrackInfo() {
    const storeLastSettings = settings.get().streaming.saveLastMediaSettingsForCurrentStreamingSession;
    return {
      audio: {
        list: [],
        storeLastSettings,
        current: null
      },
      video: {
        list: [],
        storeLastSettings,
        current: null
      },
      text: {
        list: [],
        storeLastSettings,
        current: null
      },
      image: {
        list: [],
        storeLastSettings,
        current: null
      }
    };
  }
  function clearDataForStream(streamId) {
    if (tracks[streamId]) {
      delete tracks[streamId];
    }
  }
  instance = {
    addTrack,
    areTracksEqual,
    clearDataForStream,
    getCurrentTrackFor,
    getInitialSettings,
    getTracksFor,
    getTracksWithHighestSelectionPriority,
    getTracksWithHighestBitrate,
    getTracksWithHighestEfficiency,
    getTracksWithWidestRange,
    initialize,
    isCurrentTrack,
    matchSettings,
    matchSettingsAccessibility,
    matchSettingsAudioChannelConfig,
    matchSettingsIndex,
    matchSettingsLang,
    matchSettingsRole,
    matchSettingsViewPoint,
    reset,
    saveTextSettingsDisabled,
    selectInitialTrack,
    setConfig,
    setInitialMediaSettingsForType,
    setInitialSettings,
    setTrack
  };
  setup();
  return instance;
}
MediaController.__dashjs_factory_name = 'MediaController';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].getSingletonFactory(MediaController);
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].updateSingletonFactory(MediaController.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/controllers/MediaSourceController.js":
/*!************************************************************!*\
  !*** ./src/streaming/controllers/MediaSourceController.js ***!
  \************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function MediaSourceController() {
  let instance, mediaSource, settings, mediaSourceType, logger;
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
  }
  function createMediaSource() {
    let hasWebKit = 'WebKitMediaSource' in window;
    let hasMediaSource = 'MediaSource' in window;
    let hasManagedMediaSource = 'ManagedMediaSource' in window;
    if (hasManagedMediaSource) {
      mediaSource = new ManagedMediaSource();
      mediaSourceType = 'managedMediaSource';
      logger.info(`Created ManagedMediaSource`);
    } else if (hasMediaSource) {
      mediaSource = new MediaSource();
      mediaSourceType = 'mediaSource';
      logger.info(`Created MediaSource`);
    } else if (hasWebKit) {
      mediaSource = new WebKitMediaSource();
      logger.info(`Created WebkitMediaSource`);
    }
    return mediaSource;
  }
  function attachMediaSource(videoModel) {
    let objectURL = window.URL.createObjectURL(mediaSource);
    videoModel.setSource(objectURL);
    if (mediaSourceType === 'managedMediaSource') {
      videoModel.setDisableRemotePlayback(true);
      mediaSource.addEventListener('startstreaming', () => {
        eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].MANAGED_MEDIA_SOURCE_START_STREAMING);
      });
      mediaSource.addEventListener('endstreaming', () => {
        eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].MANAGED_MEDIA_SOURCE_END_STREAMING);
      });
    }
    return objectURL;
  }
  function detachMediaSource(videoModel) {
    videoModel.setSource(null);
  }
  function setDuration(value) {
    if (!mediaSource || mediaSource.readyState !== 'open') {
      return;
    }
    if (value === null && isNaN(value)) {
      return;
    }
    if (mediaSource.duration === value) {
      return;
    }
    if (value === Infinity && !settings.get().streaming.buffer.mediaSourceDurationInfinity) {
      value = Math.pow(2, 32);
    }
    if (!isBufferUpdating(mediaSource)) {
      logger.info('Set MediaSource duration:' + value);
      mediaSource.duration = value;
    } else {
      setTimeout(setDuration.bind(null, value), 50);
    }
  }
  function setSeekable(start, end) {
    if (mediaSource && typeof mediaSource.setLiveSeekableRange === 'function' && typeof mediaSource.clearLiveSeekableRange === 'function' && mediaSource.readyState === 'open' && start >= 0 && start < end) {
      mediaSource.clearLiveSeekableRange();
      mediaSource.setLiveSeekableRange(start, end);
    }
  }
  function signalEndOfStream(source) {
    if (!source || source.readyState !== 'open') {
      return;
    }
    let buffers = source.sourceBuffers;
    for (let i = 0; i < buffers.length; i++) {
      if (buffers[i].updating) {
        return;
      }
      if (buffers[i].buffered.length === 0) {
        return;
      }
    }
    logger.info('call to mediaSource endOfStream');
    source.endOfStream();
  }
  function isBufferUpdating(source) {
    let buffers = source.sourceBuffers;
    for (let i = 0; i < buffers.length; i++) {
      if (buffers[i].updating) {
        return true;
      }
    }
    return false;
  }

  /**
   * Set the config of the MediaSourceController
   * @param {object} config
   */
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.settings) {
      settings = config.settings;
    }
  }
  instance = {
    attachMediaSource,
    createMediaSource,
    detachMediaSource,
    setConfig,
    setDuration,
    setSeekable,
    signalEndOfStream
  };
  setup();
  return instance;
}
MediaSourceController.__dashjs_factory_name = 'MediaSourceController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(MediaSourceController));

/***/ }),

/***/ "./src/streaming/controllers/PlaybackController.js":
/*!*********************************************************!*\
  !*** ./src/streaming/controllers/PlaybackController.js ***!
  \*********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */







const LIVE_UPDATE_PLAYBACK_TIME_INTERVAL_MS = 500;
function PlaybackController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  let instance, logger, streamController, serviceDescriptionController, dashMetrics, adapter, videoModel, timelineConverter, wallclockTimeIntervalId, liveDelay, originalLiveDelay, streamInfo, isDynamic, playOnceInitialized, lastLivePlaybackTime, lastLiveUpdateTime, availabilityStartTime, availabilityTimeComplete, lowLatencyModeEnabled, seekTarget, internalSeek, playbackStalled, manifestUpdateInProgress, initialCatchupModeActivated, settings;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance().getLogger(instance);
    reset();
  }

  /**
   * Reset all settings
   */
  function reset() {
    pause();
    playOnceInitialized = false;
    liveDelay = 0;
    originalLiveDelay = 0;
    availabilityStartTime = 0;
    manifestUpdateInProgress = false;
    availabilityTimeComplete = true;
    lowLatencyModeEnabled = false;
    initialCatchupModeActivated = false;
    seekTarget = NaN;
    lastLiveUpdateTime = NaN;
    if (videoModel) {
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].DATA_UPDATE_COMPLETED, _onDataUpdateCompleted, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].MANIFEST_UPDATED, _onManifestUpdated, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].STREAMS_COMPOSED, _onStreamsComposed, instance);
      eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_ENDED, _onPlaybackEnded, instance);
      eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].STREAM_INITIALIZING, _onStreamInitializing, instance);
      eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].REPRESENTATION_SWITCH, _onRepresentationSwitch, instance);
      eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
      stopUpdatingWallclockTime();
      removeAllListeners();
    }
    wallclockTimeIntervalId = null;
    videoModel = null;
    streamInfo = null;
    isDynamic = null;
  }

  /**
   * Initializes the PlaybackController. This function is called whenever the stream is switched.
   * @param {object} sInfo
   * @param {boolean} periodSwitch
   */
  function initialize(sInfo, periodSwitch) {
    streamInfo = sInfo;
    if (periodSwitch !== true) {
      _initializeForFirstStream();
    }
  }

  /**
   * Initializes the PlaybackController when the first stream is to be played.
   * @private
   */
  function _initializeForFirstStream() {
    addAllListeners();
    isDynamic = streamInfo.manifestInfo.isDynamic;
    playbackStalled = false;
    internalSeek = false;
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].DATA_UPDATE_COMPLETED, _onDataUpdateCompleted, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].MANIFEST_UPDATED, _onManifestUpdated, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].STREAMS_COMPOSED, _onStreamsComposed, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_ENDED, _onPlaybackEnded, instance, {
      priority: _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"].EVENT_PRIORITY_HIGH
    });
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].STREAM_INITIALIZING, _onStreamInitializing, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].REPRESENTATION_SWITCH, _onRepresentationSwitch, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].DYNAMIC_TO_STATIC, _onDynamicToStatic, instance);
    if (playOnceInitialized) {
      playOnceInitialized = false;
      play();
    }
  }

  /**
   * Returns stalled state
   * @return {boolean}
   */
  function getPlaybackStalled() {
    return playbackStalled;
  }

  /**
   * Returns remaining duration of a period
   * @param {object} sInfo
   * @return {number}
   */
  function getTimeToStreamEnd() {
    let sInfo = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    return parseFloat((getStreamEndTime(sInfo) - getTime()).toFixed(5));
  }

  /**
   * Returns end time of a period
   * @param {object} sInfo
   * @return {number}
   */
  function getStreamEndTime(sInfo) {
    const refInfo = sInfo ? sInfo : streamInfo;
    return refInfo.start + refInfo.duration;
  }

  /**
   * Triggers play() on the video element
   */
  function play() {
    let adjustLiveDelay = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    if (streamInfo && videoModel && videoModel.getElement()) {
      if (adjustLiveDelay && isDynamic) {
        _adjustLiveDelayAfterUserInteraction(getTime());
      }
      videoModel.play();
    } else {
      playOnceInitialized = true;
    }
  }

  /**
   * Triggers pause() on the video element
   */
  function pause() {
    if (streamInfo && videoModel) {
      videoModel.pause();
    }
  }

  /**
   * Triggers a seek to the specified media time. If internal is enabled there will be now "seeked" event dispatched
   * @param {number} time
   * @param {boolean} stickToBuffered
   * @param {boolean} internal
   * @param {boolean} adjustLiveDelay
   */
  function seek(time) {
    let stickToBuffered = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    let internal = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    let adjustLiveDelay = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
    if (!streamInfo || !videoModel || !videoModel.getElement()) {
      return;
    }
    let currentTime = !isNaN(seekTarget) ? seekTarget : videoModel.getTime();
    if (time === currentTime) {
      return;
    }
    internalSeek = internal === true;
    if (!internalSeek) {
      seekTarget = time;
    }
    logger.info('Requesting seek to time: ' + time + (internalSeek ? ' (internal)' : ''));

    // We adjust the current latency. If catchup is enabled we will maintain this new latency
    if (isDynamic && adjustLiveDelay) {
      _adjustLiveDelayAfterUserInteraction(time);
    }
    videoModel.setCurrentTime(time, stickToBuffered);
  }

  /**
   * Seeks back to the live edge as defined by the originally calculated live delay
   * @param {boolean} stickToBuffered
   * @param {boolean} internal
   * @param {boolean} adjustLiveDelay
   */
  function seekToOriginalLive() {
    let stickToBuffered = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    let internal = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    let adjustLiveDelay = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    const dvrWindowEnd = _getDvrWindowEnd();
    if (dvrWindowEnd === 0) {
      return;
    }
    liveDelay = originalLiveDelay;
    const seektime = dvrWindowEnd - liveDelay;
    seek(seektime, stickToBuffered, internal, adjustLiveDelay);
  }

  /**
   * Seeks to the live edge as currently defined by liveDelay
   * @param {boolean} stickToBuffered
   * @param {boolean} internal
   * @param {boolean} adjustLiveDelay
   */
  function seekToCurrentLive() {
    let stickToBuffered = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    let internal = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    let adjustLiveDelay = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    const dvrWindowEnd = _getDvrWindowEnd();
    if (dvrWindowEnd === 0) {
      return;
    }
    const seektime = dvrWindowEnd - liveDelay;
    seek(seektime, stickToBuffered, internal, adjustLiveDelay);
  }
  function _getDvrWindowEnd() {
    if (!streamInfo || !videoModel || !isDynamic) {
      return;
    }
    const type = streamController && streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO;
    const dvrInfo = dashMetrics.getCurrentDVRInfo(type);
    return dvrInfo && dvrInfo.range ? dvrInfo.range.end : 0;
  }
  function _adjustLiveDelayAfterUserInteraction(time) {
    const now = new Date(timelineConverter.getClientReferenceTime());
    const period = adapter.getRegularPeriods()[0];
    const nowAsPresentationTime = timelineConverter.calcPresentationTimeFromWallTime(now, period);
    liveDelay = nowAsPresentationTime - time;
  }

  /**
   * Returns current time of video element
   * @return {number|null}
   */
  function getTime() {
    return streamInfo && videoModel ? videoModel.getTime() : null;
  }

  /**
   * Returns paused state of the video element
   * @return {boolean|null}
   */
  function isPaused() {
    return streamInfo && videoModel ? videoModel.isPaused() : null;
  }

  /**
   * Returns seeking state of the video element
   * @return {boolean|null}
   */
  function isSeeking() {
    return streamInfo && videoModel ? videoModel.isSeeking() : null;
  }

  /**
   * Returns stalled state of the video element
   * @return {boolean|null}
   */
  function isStalled() {
    return streamInfo && videoModel ? videoModel.isStalled() : null;
  }
  function isProgressing() {
    let timeoutValue = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 500;
    return new Promise(resolve => {
      let startTime = -1;
      let timeout = null;
      const _onComplete = res => {
        clearTimeout(timeout);
        timeout = null;
        eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
        resolve(res);
      };
      const _onTimeout = () => {
        _onComplete(false);
      };
      const _onPlaybackTimeUpdated = e => {
        if (startTime < 0) {
          startTime = e.time;
        } else {
          if (e.time > startTime + 0.1) {
            _onComplete(true);
          }
        }
      };
      timeout = setTimeout(_onTimeout, timeoutValue);
      eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
    });
  }

  /**
   * Returns current playback rate of the video element
   * @return {number|null}
   */
  function getPlaybackRate() {
    return streamInfo && videoModel ? videoModel.getPlaybackRate() : null;
  }

  /**
   * Returns the played ranges of the video element
   * @return {array}
   */
  function getPlayedRanges() {
    return streamInfo && videoModel ? videoModel.getPlayedRanges() : null;
  }

  /**
   * Returns ended attribute of the video element
   * @return {boolean|null}
   */
  function getEnded() {
    return streamInfo && videoModel ? videoModel.getEnded() : null;
  }

  /**
   * Returns whether a stream is type dynamic or not
   * @return {boolean}
   */
  function getIsDynamic() {
    return isDynamic;
  }

  /**
   * Returns the StreamController
   * @return {object}
   */
  function getStreamController() {
    return streamController;
  }

  /**
   * Returns whether a manifest update is in progress
   * @return {boolean}
   */
  function getIsManifestUpdateInProgress() {
    return manifestUpdateInProgress;
  }

  /**
   * Returns the availabilityStartTime
   * @return {number}
   */
  function getAvailabilityStartTime() {
    return availabilityStartTime;
  }

  /**
   * Returns the current live delay. A seek triggered by the user adjusts this value.
   * @return {number}
   */
  function getLiveDelay() {
    return liveDelay;
  }

  /**
   * Returns the original live delay as calculated at playback start
   */
  function getOriginalLiveDelay() {
    return originalLiveDelay;
  }

  /**
   * Returns the current live latency
   * @return {number}
   */
  function getCurrentLiveLatency() {
    if (!isDynamic || isNaN(availabilityStartTime)) {
      return NaN;
    }
    let currentTime = getTime();
    if (isNaN(currentTime) || currentTime === 0) {
      return 0;
    }
    const now = new Date().getTime() + timelineConverter.getClientTimeOffset() * 1000;
    return Math.max(((now - availabilityStartTime - currentTime * 1000) / 1000).toFixed(3), 0);
  }

  /**
   * Computes the desirable delay for the live edge to avoid a risk of getting 404 when playing at the bleeding edge
   * @param {number} fragmentDuration - seconds?
   * @param {object} manifestInfo
   * @returns {number} object
   * @memberof PlaybackController#
   */
  function computeAndSetLiveDelay(fragmentDuration, manifestInfo) {
    let delay, ret, startTime;
    const MIN_BUFFER_TIME_FACTOR = 4;
    const FRAGMENT_DURATION_FACTOR = 4;
    const adjustedFragmentDuration = !isNaN(fragmentDuration) && isFinite(fragmentDuration) ? fragmentDuration : NaN;
    let suggestedPresentationDelay = adapter.getSuggestedPresentationDelay();
    const serviceDescriptionSettings = serviceDescriptionController.getServiceDescriptionSettings();

    // Live delay specified by the user
    if (!isNaN(settings.get().streaming.delay.liveDelay)) {
      delay = settings.get().streaming.delay.liveDelay;
    }

    // Live delay fragment count specified by the user
    else if (settings.get().streaming.delay.liveDelayFragmentCount !== null && !isNaN(settings.get().streaming.delay.liveDelayFragmentCount) && !isNaN(adjustedFragmentDuration)) {
      delay = adjustedFragmentDuration * settings.get().streaming.delay.liveDelayFragmentCount;
    }

    // Live delay set via ServiceDescription element
    else if (serviceDescriptionSettings && !isNaN(serviceDescriptionSettings.liveDelay) && serviceDescriptionSettings.liveDelay > 0) {
      delay = serviceDescriptionSettings.liveDelay;
    }
    // Live delay set in the manifest using @suggestedPresentation Delay
    else if (settings.get().streaming.delay.useSuggestedPresentationDelay === true && suggestedPresentationDelay !== null && !isNaN(suggestedPresentationDelay) && suggestedPresentationDelay > 0) {
      delay = suggestedPresentationDelay;
    }

    // We found a fragment duration, use that to calculcate live delay
    else if (!isNaN(adjustedFragmentDuration)) {
      delay = adjustedFragmentDuration * FRAGMENT_DURATION_FACTOR;
    }

    // Fall back to @minBufferTime to calculate the live delay
    else {
      delay = manifestInfo && !isNaN(manifestInfo.minBufferTime) ? manifestInfo.minBufferTime * MIN_BUFFER_TIME_FACTOR : streamInfo.manifestInfo.minBufferTime * MIN_BUFFER_TIME_FACTOR;
    }
    startTime = adapter.getAvailabilityStartTime();
    if (startTime !== null) {
      availabilityStartTime = startTime;
    }
    if (manifestInfo && manifestInfo.dvrWindowSize > 0) {
      // Latency can not be higher than DVR window size
      ret = Math.min(delay, manifestInfo.dvrWindowSize);
    } else {
      ret = delay;
    }
    liveDelay = ret;
    originalLiveDelay = ret;
    return ret;
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.streamController) {
      streamController = config.streamController;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.videoModel) {
      videoModel = config.videoModel;
    }
    if (config.timelineConverter) {
      timelineConverter = config.timelineConverter;
    }
    if (config.settings) {
      settings = config.settings;
    }
  }

  /**
   * Compare the current time of the video against the DVR window. If we are out of the DVR window we need to seek.
   * @param {object} mediaType
   */
  function updateCurrentTime() {
    let mediaType = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    if (isPaused() || !isDynamic || videoModel.getReadyState() === 0 || isSeeking() || manifestUpdateInProgress) {
      return;
    }

    // Note: In some cases we filter certain media types completely (for instance due to an unsupported video codec). This happens after the first entry to the DVR metric has been added.
    // Now the DVR window for the filtered media type is not updated anymore. Consequently, always use a mediaType that is available to get a valid DVR window.
    if (!mediaType) {
      mediaType = streamController.hasVideoTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO;
    }
    // Compare the current time of the video element against the range defined in the DVR window.
    const currentTime = getTime();
    const actualTime = _getAdjustedPresentationTime(currentTime, mediaType);
    const timeChanged = !isNaN(actualTime) && actualTime !== currentTime;
    if (timeChanged && !isSeeking() && (isStalled() || playbackStalled || videoModel.getReadyState() === 1)) {
      logger.debug(`UpdateCurrentTime: Seek to actual time: ${actualTime} from currentTime: ${currentTime}`);
      seek(actualTime, false, false);
    }
  }

  /**
   * Adjust the presentation time based on the DVR window. If we are out of the DVR window we return a corrected time
   * @param {number} currentTime
   * @param {string} mediatype
   * @return {number}
   * @private
   */
  function _getAdjustedPresentationTime(currentTime, mediatype) {
    const DVRMetrics = dashMetrics.getCurrentDVRInfo(mediatype);
    const DVRWindow = DVRMetrics ? DVRMetrics.range : null;
    let actualTime;
    if (!DVRWindow) {
      return NaN;
    }
    if (currentTime > DVRWindow.end) {
      actualTime = Math.max(DVRWindow.end - liveDelay, DVRWindow.start);
    } else if (currentTime > 0 && currentTime + 0.250 < DVRWindow.start && Math.abs(currentTime - DVRWindow.start) < 315360000) {
      // Checking currentTime plus 250ms as the 'timeupdate' is fired with a frequency between 4Hz and 66Hz
      // https://developer.mozilla.org/en-US/docs/Web/Events/timeupdate
      // http://w3c.github.io/html/single-page.html#offsets-into-the-media-resource
      // Checking also duration of the DVR makes sense. We detected temporary situations in which currentTime
      // is bad reported by the browser which causes playback to jump to start (315360000 = 1 year)
      if (lowLatencyModeEnabled) {
        actualTime = Math.max(DVRWindow.end - liveDelay, DVRWindow.start);
      } else {
        actualTime = DVRWindow.start;
      }
    } else {
      actualTime = currentTime;
    }
    return actualTime;
  }

  /**
   * Start interval handler for wallclock time update
   */
  function startUpdatingWallclockTime() {
    if (wallclockTimeIntervalId !== null) {
      return;
    }
    wallclockTimeIntervalId = setInterval(() => {
      _onWallclockTime();
    }, settings.get().streaming.wallclockTimeUpdateInterval);
  }

  /**
   * Stop the interval handler for the wallclock time update
   */
  function stopUpdatingWallclockTime() {
    clearInterval(wallclockTimeIntervalId);
    wallclockTimeIntervalId = null;
  }
  function _onDataUpdateCompleted(e) {
    const voRepresentation = e.currentRepresentation;
    const info = voRepresentation ? voRepresentation.mediaInfo.streamInfo : null;
    if (info === null || streamInfo.id !== info.id) {
      return;
    }
    streamInfo = info;
  }
  function _onCanPlay() {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].CAN_PLAY);
  }
  function _onCanPlayThrough() {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].CAN_PLAY_THROUGH);
  }
  function _onBufferLevelStateChanged(e) {
    // do not stall playback when get an event from Stream that is not active
    if (e.streamId !== streamController.getActiveStreamInfo().id) {
      return;
    }
    playbackStalled = e.state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_EMPTY;
    if (settings.get().streaming.buffer.setStallState) {
      videoModel.setStallState(e.mediaType, e.state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_EMPTY);
    }
  }
  function _onPlaybackStart() {
    logger.info('Native video element event: play');
    updateCurrentTime();
    startUpdatingWallclockTime();
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_STARTED, {
      startTime: getTime()
    });
  }
  function _onPlaybackWaiting() {
    logger.info('Native video element event: waiting');
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_WAITING, {
      playingTime: getTime()
    });
  }
  function _onPlaybackPlaying() {
    logger.info('Native video element event: playing');
    internalSeek = false;
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PLAYING, {
      playingTime: getTime()
    });
  }
  function _onPlaybackPaused() {
    logger.info('Native video element event: pause');
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PAUSED, {
      ended: getEnded()
    });
  }
  function _onPlaybackSeeking() {
    // Check if internal seeking to be ignored
    if (internalSeek) {
      return;
    }
    let seekTime = getTime();
    // On some browsers/devices, in case of live streams, setting current time on video element fails when there is no buffered data at requested time
    // Then re-set seek target time and video element will be seeked afterwhile once data is buffered (see BufferContoller)
    if (!isNaN(seekTarget) && seekTarget !== seekTime) {
      seekTime = seekTarget;
    }
    seekTarget = NaN;
    logger.info('Seeking to: ' + seekTime);
    startUpdatingWallclockTime();
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_SEEKING, {
      seekTime: seekTime,
      streamId: streamInfo.id
    });
  }
  function _onPlaybackSeeked() {
    logger.info('Native video element event: seeked');
    internalSeek = false;
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_SEEKED);
  }
  function _onPlaybackTimeUpdated() {
    if (streamInfo) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_TIME_UPDATED, {
        timeToEnd: getTimeToStreamEnd(),
        time: getTime(),
        streamId: streamInfo.id
      });
    }
  }
  function _onPlaybackProgress() {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PROGRESS, {
      streamId: streamInfo.id
    });
  }
  function _onPlaybackRateChanged() {
    const rate = getPlaybackRate();
    logger.info('Native video element event: ratechange: ', rate);
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_RATE_CHANGED, {
      playbackRate: rate
    });
  }
  function _onPlaybackMetaDataLoaded() {
    logger.info('Native video element event: loadedmetadata');
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_METADATA_LOADED);
    startUpdatingWallclockTime();
  }
  function _onPlaybackLoadedData() {
    logger.info('Native video element event: loadeddata');
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_LOADED_DATA);
  }

  // Event to handle the native video element ended event
  function _onNativePlaybackEnded() {
    logger.info('Native video element event: ended');
    pause();
    stopUpdatingWallclockTime();
    const streamInfo = streamController ? streamController.getActiveStreamInfo() : null;
    if (!streamInfo) {
      return;
    }
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_ENDED, {
      'isLast': streamInfo.isLast
    });
  }
  function _onVolumeChanged() {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_VOLUME_CHANGED);
  }

  // Handle DASH PLAYBACK_ENDED event
  function _onPlaybackEnded(e) {
    if (wallclockTimeIntervalId && e.isLast) {
      // PLAYBACK_ENDED was triggered elsewhere, react.
      logger.info('onPlaybackEnded -- PLAYBACK_ENDED but native video element didn\'t fire ended');
      const seekTime = e.seekTime ? e.seekTime : getStreamEndTime();
      videoModel.setCurrentTime(seekTime);
      pause();
      stopUpdatingWallclockTime();
    }
  }
  function _onPlaybackError(event) {
    const target = event.target || event.srcElement;
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_ERROR, {
      error: target.error
    });
  }
  function _onWallclockTime() {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].WALLCLOCK_TIME_UPDATED, {
      isDynamic: isDynamic,
      time: new Date()
    });

    // Updates playback time for paused dynamic streams
    // (video element doesn't call timeupdate when the playback is paused)
    if (getIsDynamic()) {
      const now = Date.now();
      if (isNaN(lastLiveUpdateTime) || now > lastLiveUpdateTime + settings.get().streaming.liveUpdateTimeThresholdInMilliseconds) {
        streamController.addDVRMetric();
        if (isPaused()) {
          _updateLivePlaybackTime();
        } else {
          updateCurrentTime();
        }
        lastLiveUpdateTime = now;
      }
    }
  }
  function _onDynamicToStatic() {
    isDynamic = false;
  }
  function _updateLivePlaybackTime() {
    const now = Date.now();
    if (!lastLivePlaybackTime || now > lastLivePlaybackTime + LIVE_UPDATE_PLAYBACK_TIME_INTERVAL_MS) {
      lastLivePlaybackTime = now;
      _onPlaybackTimeUpdated();
    }
  }

  /**
   * Returns the combined minimum buffer level of all StreamProcessors. If a filter list is provided the types specified in the filter list are excluded.
   * @param {array} filterList StreamProcessor types to exclude
   * @return {null}
   */
  function getBufferLevel() {
    let filterList = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    let bufferLevel = null;
    streamController.getActiveStreamProcessors().forEach(p => {
      if (!filterList || filterList.length === 0 || filterList.indexOf(p.getType()) === -1) {
        const bl = p.getBufferLevel();
        if (bufferLevel === null) {
          bufferLevel = bl;
        } else {
          bufferLevel = Math.min(bufferLevel, bl);
        }
      }
    });
    return bufferLevel;
  }

  /**
   * Returns the value of lowLatencyModeEnabled
   * @return {boolean} lowLatencyModeEnabled
   */
  function getLowLatencyModeEnabled() {
    return lowLatencyModeEnabled;
  }
  function onPlaybackStalled(e) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_STALLED, {
      e: e
    });
  }
  function _onStreamInitializing(e) {
    _checkEnableLowLatency(e.mediaInfo);
  }

  /**
   * We enable low latency playback if for the current representation availabilityTimeComplete is set to false
   * @param e
   * @private
   */
  function _onRepresentationSwitch(e) {
    const activeStreamInfo = streamController.getActiveStreamInfo();
    if (!e || !activeStreamInfo || !e.currentRepresentation || !e.streamId || e.streamId !== activeStreamInfo.id || !e.mediaType || e.mediaType !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO && e.mediaType !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO) {
      return;
    }
    availabilityTimeComplete = e.currentRepresentation.availabilityTimeComplete;
    lowLatencyModeEnabled = !availabilityTimeComplete;

    // If we enable low latency mode for the first time we also enable the catchup mechanism. This can be deactivated again for instance if the user seeks within the DVR window. We leave deactivation up to the application but also do not activate automatically again.
    if (lowLatencyModeEnabled && !initialCatchupModeActivated) {
      initialCatchupModeActivated = true;
    }
  }
  function getInitialCatchupModeActivated() {
    return initialCatchupModeActivated;
  }

  /**
   * A new manifest has been loaded, updating is still in progress.
   * @private
   */
  function _onManifestUpdated() {
    manifestUpdateInProgress = true;
  }

  /**
   * Manifest update was completed
   * @private
   */
  function _onStreamsComposed() {
    manifestUpdateInProgress = false;
  }
  function _checkEnableLowLatency(mediaInfo) {
    if (mediaInfo && mediaInfo.supplementalProperties && mediaInfo.supplementalProperties.find(item => item.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].SUPPLEMENTAL_PROPERTY_DVB_LL_SCHEME)) {
      logger.debug('Low Latency critical SupplementalProperty set: Enabling low Latency');
      lowLatencyModeEnabled = true;
    }
  }
  function addAllListeners() {
    videoModel.addEventListener('canplay', _onCanPlay);
    videoModel.addEventListener('canplaythrough', _onCanPlayThrough);
    videoModel.addEventListener('play', _onPlaybackStart);
    videoModel.addEventListener('waiting', _onPlaybackWaiting);
    videoModel.addEventListener('playing', _onPlaybackPlaying);
    videoModel.addEventListener('pause', _onPlaybackPaused);
    videoModel.addEventListener('error', _onPlaybackError);
    videoModel.addEventListener('seeking', _onPlaybackSeeking);
    videoModel.addEventListener('seeked', _onPlaybackSeeked);
    videoModel.addEventListener('timeupdate', _onPlaybackTimeUpdated);
    videoModel.addEventListener('progress', _onPlaybackProgress);
    videoModel.addEventListener('ratechange', _onPlaybackRateChanged);
    videoModel.addEventListener('loadedmetadata', _onPlaybackMetaDataLoaded);
    videoModel.addEventListener('loadeddata', _onPlaybackLoadedData);
    videoModel.addEventListener('stalled', onPlaybackStalled);
    videoModel.addEventListener('ended', _onNativePlaybackEnded);
    videoModel.addEventListener('volumechange', _onVolumeChanged);
  }
  function removeAllListeners() {
    videoModel.removeEventListener('canplay', _onCanPlay);
    videoModel.removeEventListener('canplaythrough', _onCanPlayThrough);
    videoModel.removeEventListener('play', _onPlaybackStart);
    videoModel.removeEventListener('waiting', _onPlaybackWaiting);
    videoModel.removeEventListener('playing', _onPlaybackPlaying);
    videoModel.removeEventListener('pause', _onPlaybackPaused);
    videoModel.removeEventListener('error', _onPlaybackError);
    videoModel.removeEventListener('seeking', _onPlaybackSeeking);
    videoModel.removeEventListener('seeked', _onPlaybackSeeked);
    videoModel.removeEventListener('timeupdate', _onPlaybackTimeUpdated);
    videoModel.removeEventListener('progress', _onPlaybackProgress);
    videoModel.removeEventListener('ratechange', _onPlaybackRateChanged);
    videoModel.removeEventListener('loadedmetadata', _onPlaybackMetaDataLoaded);
    videoModel.removeEventListener('loadeddata', _onPlaybackLoadedData);
    videoModel.removeEventListener('stalled', onPlaybackStalled);
    videoModel.removeEventListener('ended', _onNativePlaybackEnded);
    videoModel.removeEventListener('volumechange', _onVolumeChanged);
  }
  instance = {
    computeAndSetLiveDelay,
    getAvailabilityStartTime,
    getBufferLevel,
    getCurrentLiveLatency,
    getEnded,
    getInitialCatchupModeActivated,
    getIsDynamic,
    getIsManifestUpdateInProgress,
    getLiveDelay,
    getLowLatencyModeEnabled,
    getOriginalLiveDelay,
    getPlaybackRate,
    getPlaybackStalled,
    getPlayedRanges,
    getStreamController,
    getStreamEndTime,
    getTime,
    getTimeToStreamEnd,
    initialize,
    isPaused,
    isProgressing,
    isSeeking,
    isStalled,
    pause,
    play,
    reset,
    seek,
    seekToCurrentLive,
    seekToOriginalLive,
    setConfig,
    updateCurrentTime
  };
  setup();
  return instance;
}
PlaybackController.__dashjs_factory_name = 'PlaybackController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].getSingletonFactory(PlaybackController));

/***/ }),

/***/ "./src/streaming/controllers/ScheduleController.js":
/*!*********************************************************!*\
  !*** ./src/streaming/controllers/ScheduleController.js ***!
  \*********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../models/FragmentModel.js */ "./src/streaming/models/FragmentModel.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








function ScheduleController(config) {
  config = config || {};
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  const dashMetrics = config.dashMetrics;
  const mediaPlayerModel = config.mediaPlayerModel;
  const fragmentModel = config.fragmentModel;
  const abrController = config.abrController;
  const playbackController = config.playbackController;
  const textController = config.textController;
  const type = config.type;
  const bufferController = config.bufferController;
  const representationController = config.representationController;
  const settings = config.settings;
  let instance, streamInfo, logger, timeToLoadDelay, scheduleTimeout, hasVideoTrack, lastFragmentRequest, lastInitializedRepresentationId, switchTrack, initSegmentRequired, managedMediaSourceAllowsRequest, checkPlaybackQuality;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance().getLogger(instance);
    resetInitialSettings();
    streamInfo = config.streamInfo;
  }
  function initialize(_hasVideoTrack) {
    hasVideoTrack = _hasVideoTrack;
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].URL_RESOLUTION_FAILED, _onURLResolutionFailed, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_STARTED, _onPlaybackStarted, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_RATE_CHANGED, _onPlaybackRateChanged, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].MANAGED_MEDIA_SOURCE_START_STREAMING, _onManagedMediaSourceStartStreaming, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].MANAGED_MEDIA_SOURCE_END_STREAMING, _onManagedMediaSourceEndStreaming, instance);
  }
  function _onManagedMediaSourceStartStreaming() {
    managedMediaSourceAllowsRequest = true;
  }
  function _onManagedMediaSourceEndStreaming() {
    managedMediaSourceAllowsRequest = false;
  }
  function getType() {
    return type;
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function startScheduleTimer(value) {
    //return if both buffering and playback have ended
    if (bufferController.getIsBufferingCompleted()) {
      return;
    }
    clearScheduleTimer();
    const timeoutValue = !isNaN(value) ? value : 0;
    scheduleTimeout = setTimeout(schedule, timeoutValue);
  }
  function clearScheduleTimer() {
    if (scheduleTimeout) {
      clearTimeout(scheduleTimeout);
      scheduleTimeout = null;
    }
  }

  /**
   * Schedule the request for an init or a media segment
   */
  function schedule() {
    try {
      // Check if we are supposed to stop scheduling
      if (_shouldClearScheduleTimer()) {
        clearScheduleTimer();
        return;
      }
      if (_shouldScheduleNextRequest()) {
        let qualityChange = false;
        if (checkPlaybackQuality) {
          // in case the playback quality is supposed to be changed, the corresponding StreamProcessor will update the currentRepresentation.
          // The StreamProcessor will also start the schedule timer again once the quality switch has beeen prepared. Consequently, we only call _getNextFragment if the quality is not changed.
          qualityChange = abrController.checkPlaybackQuality(type, streamInfo.id);
        }
        if (!qualityChange) {
          _getNextFragment();
        }
      } else {
        startScheduleTimer(playbackController.getLowLatencyModeEnabled() ? settings.get().streaming.scheduling.lowLatencyTimeout : settings.get().streaming.scheduling.defaultTimeout);
      }
    } catch (e) {
      startScheduleTimer(playbackController.getLowLatencyModeEnabled() ? settings.get().streaming.scheduling.lowLatencyTimeout : settings.get().streaming.scheduling.defaultTimeout);
    }
  }

  /**
   * Triggers the events to start requesting an init or a media segment. This will be picked up by the corresponding StreamProcessor.
   * @private
   */
  function _getNextFragment() {
    const currentRepresentation = representationController.getCurrentRepresentation();

    // A quality changed occured or we are switching the AdaptationSet. In that case we need to load a new init segment
    if (initSegmentRequired || currentRepresentation.id !== lastInitializedRepresentationId || switchTrack) {
      if (switchTrack) {
        logger.debug('Switch track for ' + type + ', representation id = ' + currentRepresentation.id);
        switchTrack = false;
      } else {
        logger.debug('Quality has changed, get init request for representationid = ' + currentRepresentation.id);
      }
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].INIT_FRAGMENT_NEEDED, {
        representationId: currentRepresentation.id,
        sender: instance
      }, {
        streamId: streamInfo.id,
        mediaType: type
      });
      checkPlaybackQuality = false;
      initSegmentRequired = false;
    }

    // Request a media segment instead
    else {
      logger.debug(`Media segment needed for ${type} and stream id ${streamInfo.id}`);
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].MEDIA_FRAGMENT_NEEDED, {}, {
        streamId: streamInfo.id,
        mediaType: type
      });
      checkPlaybackQuality = true;
    }
  }

  /**
   * Check if we need to stop scheduling for now.
   * @return {boolean}
   * @private
   */
  function _shouldClearScheduleTimer() {
    try {
      return type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && !textController.isTextEnabled() || playbackController.isPaused() && (!playbackController.getStreamController().getInitialPlayback() || !playbackController.getStreamController().getAutoPlay()) && !settings.get().streaming.scheduling.scheduleWhilePaused;
    } catch (e) {
      return false;
    }
  }

  /**
   * Check if we can start scheduling the next request
   * @return {boolean}
   * @private
   */
  function _shouldScheduleNextRequest() {
    try {
      if (!managedMediaSourceAllowsRequest) {
        return false;
      }
      const currentRepresentation = representationController.getCurrentRepresentation();
      return currentRepresentation && (lastInitializedRepresentationId == null || switchTrack || _shouldBuffer());
    } catch (e) {
      return false;
    }
  }

  /**
   * Check if the current buffer level is below our buffer target.
   * @return {boolean}
   * @private
   */
  function _shouldBuffer() {
    const currentRepresentation = representationController.getCurrentRepresentation();
    if (!type || !currentRepresentation) {
      return true;
    }
    let segmentDurationToAddToBufferLevel = currentRepresentation && currentRepresentation.segmentDuration && !isNaN(currentRepresentation.segmentDuration) ? currentRepresentation.segmentDuration : 0;
    const bufferLevel = dashMetrics.getCurrentBufferLevel(type);
    const bufferTarget = getBufferTarget();

    // If the buffer target is smaller than the segment duration we do not take it into account. For low latency playback do not delay the buffering.
    if (bufferTarget <= segmentDurationToAddToBufferLevel || playbackController.getLowLatencyModeEnabled() || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && hasVideoTrack) {
      segmentDurationToAddToBufferLevel = 0;
    }
    return bufferLevel + segmentDurationToAddToBufferLevel < bufferTarget;
  }

  /**
   * Determine the buffer target depending on the type and whether we have audio and video AdaptationSets available
   * @return {number}
   */
  function getBufferTarget() {
    let bufferTarget = NaN;
    const currentRepresentation = representationController.getCurrentRepresentation();
    if (!type || !currentRepresentation) {
      return bufferTarget;
    }
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT) {
      bufferTarget = _getBufferTargetForFragmentedText();
    } else if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && hasVideoTrack) {
      bufferTarget = _getBufferTargetForAudio();
    } else {
      bufferTarget = _getGenericBufferTarget();
    }
    return bufferTarget;
  }

  /**
   * Returns the buffer target for fragmented text tracks
   * @return {number}
   * @private
   */
  function _getBufferTargetForFragmentedText() {
    try {
      if (textController.isTextEnabled()) {
        const currentRepresentation = representationController.getCurrentRepresentation();
        if (isNaN(currentRepresentation.fragmentDuration)) {
          // call metrics function to have data in the latest scheduling info...
          // if no metric, returns 0. In this case, rule will return false.
          const schedulingInfo = dashMetrics.getCurrentSchedulingInfo(_constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].SCHEDULING_INFO);
          return schedulingInfo ? schedulingInfo.duration : 0;
        } else {
          return currentRepresentation.fragmentDuration;
        }
      } else {
        // text is disabled, rule will return false
        return 0;
      }
    } catch (e) {
      return 0;
    }
  }

  /**
   * Returns the buffer target for audio tracks in case we have a video track available as well
   * @return {number}
   * @private
   */
  function _getBufferTargetForAudio() {
    try {
      const videoBufferLevel = dashMetrics.getCurrentBufferLevel(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO);
      const currentRepresentation = representationController.getCurrentRepresentation();
      // For multiperiod we need to consider that audio and video segments might have different durations.
      // This can lead to scenarios in which we completely buffered the video segments and the video buffer level for the current period is not changing anymore. However we might still need a small audio segment to finish buffering audio as well.
      // If we set the buffer time of audio equal to the video buffer time scheduling for the remaining audio segment will only be triggered when audio fragmentDuration > videoBufferLevel. That will delay preloading of the upcoming period.
      // Should find a better solution than just adding 1
      if (isNaN(currentRepresentation.fragmentDuration)) {
        return videoBufferLevel + 1;
      } else {
        return Math.max(videoBufferLevel + 1, currentRepresentation.fragmentDuration);
      }
    } catch (e) {
      return 0;
    }
  }

  /**
   * Determines the generic buffer target, for instance for video tracks or when we got an audio only stream
   * @return {number}
   * @private
   */
  function _getGenericBufferTarget() {
    try {
      const currentRepresentation = representationController.getCurrentRepresentation();
      const streamInfo = currentRepresentation.mediaInfo.streamInfo;
      if (abrController.isPlayingAtTopQuality(currentRepresentation)) {
        const isLongFormContent = streamInfo.manifestInfo.duration >= settings.get().streaming.buffer.longFormContentDurationThreshold;
        return isLongFormContent ? settings.get().streaming.buffer.bufferTimeAtTopQualityLongForm : settings.get().streaming.buffer.bufferTimeAtTopQuality;
      } else {
        return mediaPlayerModel.getBufferTimeDefaultUnadjusted();
      }
    } catch (e) {
      return mediaPlayerModel.getBufferTimeDefaultUnadjusted();
    }
  }
  function setSwitchTrack(value) {
    switchTrack = value;
  }
  function getSwitchTrack() {
    return switchTrack;
  }
  function _onPlaybackTimeUpdated() {
    _completeQualityChange(true);
  }
  function _completeQualityChange(trigger) {
    if (playbackController && fragmentModel) {
      const item = fragmentModel.getRequests({
        state: _models_FragmentModel_js__WEBPACK_IMPORTED_MODULE_1__["default"].FRAGMENT_MODEL_EXECUTED,
        time: playbackController.getTime(),
        threshold: 0
      })[0];
      if (item && playbackController.getTime() >= item.startTime) {
        if ((!lastFragmentRequest.representation || item.representation.mediaInfo.type === lastFragmentRequest.representation.mediaInfo.type && item.representation.mediaInfo.index !== lastFragmentRequest.representation.mediaInfo.index) && trigger) {
          logger.debug(`Track change rendered for streamId ${streamInfo.id} and type ${type}`);
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].TRACK_CHANGE_RENDERED, {
            mediaType: type,
            oldMediaInfo: lastFragmentRequest && lastFragmentRequest.representation && lastFragmentRequest.representation.mediaInfo ? lastFragmentRequest.representation.mediaInfo : null,
            newMediaInfo: item.representation.mediaInfo,
            streamId: streamInfo.id
          });
        }
        if ((!lastFragmentRequest.representation || item.representation.id !== lastFragmentRequest.representation.id) && trigger) {
          logger.debug(`Quality change rendered for streamId ${streamInfo.id} and type ${type}`);
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].QUALITY_CHANGE_RENDERED, {
            mediaType: type,
            oldRepresentation: lastFragmentRequest.representation ? lastFragmentRequest.representation : null,
            newRepresentation: item.representation,
            streamId: streamInfo.id
          });
        }
        lastFragmentRequest.representation = item.representation;
      }
    }
  }
  function _onURLResolutionFailed() {
    fragmentModel.abortRequests();
    clearScheduleTimer();
  }
  function _onPlaybackStarted() {
    if (!settings.get().streaming.scheduling.scheduleWhilePaused) {
      startScheduleTimer();
    }
  }
  function _onPlaybackRateChanged(e) {
    dashMetrics.updatePlayListTraceMetrics({
      playbackspeed: e.playbackRate.toString()
    });
  }
  function setTimeToLoadDelay(value) {
    timeToLoadDelay = value;
  }
  function getTimeToLoadDelay() {
    return timeToLoadDelay;
  }
  function setCheckPlaybackQuality(value) {
    checkPlaybackQuality = value;
  }
  function setInitSegmentRequired(value) {
    initSegmentRequired = value;
  }
  function setLastInitializedRepresentationId(value) {
    lastInitializedRepresentationId = value;
  }
  function resetInitialSettings() {
    checkPlaybackQuality = true;
    timeToLoadDelay = 0;
    lastInitializedRepresentationId = null;
    lastFragmentRequest = {
      representation: null
    };
    switchTrack = false;
    initSegmentRequired = false;
    managedMediaSourceAllowsRequest = true;
  }
  function reset() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].URL_RESOLUTION_FAILED, _onURLResolutionFailed, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_STARTED, _onPlaybackStarted, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_RATE_CHANGED, _onPlaybackRateChanged, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].MANAGED_MEDIA_SOURCE_START_STREAMING, _onManagedMediaSourceStartStreaming, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].MANAGED_MEDIA_SOURCE_END_STREAMING, _onManagedMediaSourceEndStreaming, instance);
    clearScheduleTimer();
    _completeQualityChange(false);
    resetInitialSettings();
    streamInfo = null;
  }
  function getPlaybackController() {
    return playbackController;
  }
  instance = {
    clearScheduleTimer,
    getBufferTarget,
    getPlaybackController,
    getStreamId,
    getSwitchTrack,
    getTimeToLoadDelay,
    getType,
    initialize,
    reset,
    setCheckPlaybackQuality,
    setInitSegmentRequired,
    setLastInitializedRepresentationId,
    setSwitchTrack,
    setTimeToLoadDelay,
    startScheduleTimer
  };
  setup();
  return instance;
}
ScheduleController.__dashjs_factory_name = 'ScheduleController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__["default"].getClassFactory(ScheduleController));

/***/ }),

/***/ "./src/streaming/controllers/StreamController.js":
/*!*******************************************************!*\
  !*** ./src/streaming/controllers/StreamController.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _Stream_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Stream.js */ "./src/streaming/Stream.js");
/* harmony import */ var _ManifestUpdater_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../ManifestUpdater.js */ "./src/streaming/ManifestUpdater.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../vo/metrics/PlayList.js */ "./src/streaming/vo/metrics/PlayList.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _utils_InitCache_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../utils/InitCache.js */ "./src/streaming/utils/InitCache.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _TimeSyncController_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./TimeSyncController.js */ "./src/streaming/controllers/TimeSyncController.js");
/* harmony import */ var _MediaSourceController_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./MediaSourceController.js */ "./src/streaming/controllers/MediaSourceController.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _EventController_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./EventController.js */ "./src/streaming/controllers/EventController.js");
/* harmony import */ var _constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../constants/ConformanceViolationConstants.js */ "./src/streaming/constants/ConformanceViolationConstants.js");
/* harmony import */ var _ExtUrlQueryInfoController_js__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./ExtUrlQueryInfoController.js */ "./src/streaming/controllers/ExtUrlQueryInfoController.js");
/* harmony import */ var _protection_ProtectionEvents_js__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ../protection/ProtectionEvents.js */ "./src/streaming/protection/ProtectionEvents.js");
/* harmony import */ var _protection_errors_ProtectionErrors_js__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ../protection/errors/ProtectionErrors.js */ "./src/streaming/protection/errors/ProtectionErrors.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




















const PLAYBACK_ENDED_TIMER_INTERVAL = 200;
const DVR_WAITING_OFFSET = 2;
function StreamController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let instance, logger, capabilities, capabilitiesFilter, manifestUpdater, manifestLoader, manifestModel, adapter, dashMetrics, mediaSourceController, timeSyncController, contentSteeringController, baseURLController, segmentBaseController, uriFragmentModel, abrController, throughputController, mediaController, eventController, initCache, errHandler, timelineConverter, streams, activeStream, protectionController, textController, protectionData, extUrlQueryInfoController, autoPlay, isStreamSwitchingInProgress, hasMediaError, hasInitialisationError, mediaSource, videoModel, playbackController, serviceDescriptionController, mediaPlayerModel, customParametersModel, isPaused, initialPlayback, initialSteeringRequest, playbackEndedTimerInterval, bufferSinks, preloadingStreams, settings, firstLicenseIsFetched, waitForPlaybackStartTimeout, providedStartTime, errorInformation;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance().getLogger(instance);
    timeSyncController = (0,_TimeSyncController_js__WEBPACK_IMPORTED_MODULE_11__["default"])(context).getInstance();
    mediaSourceController = (0,_MediaSourceController_js__WEBPACK_IMPORTED_MODULE_12__["default"])(context).getInstance();
    initCache = (0,_utils_InitCache_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
    resetInitialSettings();
  }
  function initialize(autoPl, protData) {
    _checkConfig();
    autoPlay = autoPl;
    protectionData = protData;
    timelineConverter.initialize();
    manifestUpdater = (0,_ManifestUpdater_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create();
    manifestUpdater.setConfig({
      manifestModel,
      adapter,
      manifestLoader,
      errHandler,
      settings,
      contentSteeringController
    });
    manifestUpdater.initialize();
    eventController = (0,_EventController_js__WEBPACK_IMPORTED_MODULE_15__["default"])(context).getInstance();
    eventController.setConfig({
      manifestUpdater: manifestUpdater,
      playbackController: playbackController,
      settings
    });
    eventController.start();
    extUrlQueryInfoController = (0,_ExtUrlQueryInfoController_js__WEBPACK_IMPORTED_MODULE_17__["default"])(context).getInstance();
    timeSyncController.setConfig({
      dashMetrics,
      baseURLController,
      errHandler,
      settings
    });
    timeSyncController.initialize();
    mediaSourceController.setConfig({
      settings
    });
    if (protectionController) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PROTECTION_CREATED, {
        controller: protectionController
      });
      protectionController.setMediaElement(videoModel.getElement());
      if (protectionData) {
        protectionController.setProtectionData(protectionData);
      }
    }
    registerEvents();
  }
  function registerEvents() {
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_ERROR, _onPlaybackError, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_STARTED, _onPlaybackStarted, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_PAUSED, _onPlaybackPaused, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_ENDED, _onPlaybackEnded, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].METRIC_ADDED, _onMetricAdded, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_VALIDITY_CHANGED, _onManifestValidityChanged, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].BUFFER_LEVEL_UPDATED, _onBufferLevelUpdated, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].QUALITY_CHANGE_REQUESTED, _onQualityChanged, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].CONTENT_STEERING_REQUEST_COMPLETED, _onSteeringManifestUpdated, instance);
    if (_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].KEY_SESSION_UPDATED) {
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].KEY_SESSION_UPDATED, _onKeySessionUpdated, instance);
    }
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MANIFEST_UPDATED, _onManifestUpdated, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].STREAM_BUFFERING_COMPLETED, _onStreamBufferingCompleted, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].TIME_SYNCHRONIZATION_COMPLETED, _onTimeSyncCompleted, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].CURRENT_TRACK_CHANGED, _onCurrentTrackChanged, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_LIVE_DELAY, _onLiveDelaySettingUpdated, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_LIVE_DELAY_FRAGMENT_COUNT, _onLiveDelaySettingUpdated, instance);
    eventBus.on(_protection_ProtectionEvents_js__WEBPACK_IMPORTED_MODULE_18__["default"].INTERNAL_KEY_STATUSES_CHANGED, _onInternalKeyStatusesChanged, instance);
  }
  function unRegisterEvents() {
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_ERROR, _onPlaybackError, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_STARTED, _onPlaybackStarted, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_PAUSED, _onPlaybackPaused, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].PLAYBACK_ENDED, _onPlaybackEnded, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].METRIC_ADDED, _onMetricAdded, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_VALIDITY_CHANGED, _onManifestValidityChanged, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].BUFFER_LEVEL_UPDATED, _onBufferLevelUpdated, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].QUALITY_CHANGE_REQUESTED, _onQualityChanged, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].CONTENT_STEERING_REQUEST_COMPLETED, _onSteeringManifestUpdated, instance);
    if (_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].KEY_SESSION_UPDATED) {
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].KEY_SESSION_UPDATED, _onKeySessionUpdated, instance);
    }
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MANIFEST_UPDATED, _onManifestUpdated, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].STREAM_BUFFERING_COMPLETED, _onStreamBufferingCompleted, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].TIME_SYNCHRONIZATION_COMPLETED, _onTimeSyncCompleted, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].CURRENT_TRACK_CHANGED, _onCurrentTrackChanged, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_LIVE_DELAY, _onLiveDelaySettingUpdated, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_LIVE_DELAY_FRAGMENT_COUNT, _onLiveDelaySettingUpdated, instance);
    eventBus.off(_protection_ProtectionEvents_js__WEBPACK_IMPORTED_MODULE_18__["default"].INTERNAL_KEY_STATUSES_CHANGED, _onInternalKeyStatusesChanged, instance);
  }
  function _checkConfig() {
    if (!manifestLoader || !manifestLoader.hasOwnProperty('load') || !timelineConverter || !timelineConverter.hasOwnProperty('initialize') || !timelineConverter.hasOwnProperty('reset') || !timelineConverter.hasOwnProperty('getClientTimeOffset') || !manifestModel || !errHandler || !dashMetrics || !playbackController) {
      throw new Error(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function _checkInitialize() {
    if (!manifestUpdater || !manifestUpdater.hasOwnProperty('setManifest')) {
      throw new Error('initialize function has to be called previously');
    }
  }

  /**
   * Start the streaming session by loading the target manifest
   * @param {string} url
   * @param {number} startTime
   */
  function load(url) {
    let startTime = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : NaN;
    _checkConfig();
    providedStartTime = startTime;
    manifestLoader.load(url);
  }

  /**
   * Start the streaming session by using the provided manifest object
   * @param {object} manifest
   * @param {number} startTime
   */
  function loadWithManifest(manifest) {
    let startTime = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : NaN;
    _checkInitialize();
    providedStartTime = startTime;
    manifestUpdater.setManifest(manifest);
  }

  /**
   * When the UTC snychronization is completed we can compose the streams
   * @private
   */
  function _onTimeSyncCompleted(/*e*/
  ) {
    _composePeriods();
  }

  /**
   *
   * @private
   */
  function _onKeySessionUpdated() {
    firstLicenseIsFetched = true;
  }

  /**
   * Setup the stream objects after the stream start and each MPD reload. This function is called after the UTC sync has been done (TIME_SYNCHRONIZATION_COMPLETED)
   * @private
   */
  function _composePeriods() {
    try {
      const streamsInfo = adapter.getStreamsInfo();
      if (!activeStream && streamsInfo.length === 0) {
        throw new Error('There are no periods in the MPD');
      }
      if (activeStream && streamsInfo.length > 0) {
        dashMetrics.updateManifestUpdateInfo({
          currentTime: playbackController.getTime(),
          buffered: videoModel.getBufferRange(),
          presentationStartTime: streamsInfo[0].start,
          clientTimeOffset: timelineConverter.getClientTimeOffset()
        });
      }

      // Filter streams that are outdated and not included in the MPD anymore
      if (streams.length > 0) {
        _filterOutdatedStreams(streamsInfo);
      }
      const promises = [];
      for (let i = 0, ln = streamsInfo.length; i < ln; i++) {
        const streamInfo = streamsInfo[i];
        promises.push(_initializeOrUpdateStream(streamInfo));
        dashMetrics.addManifestUpdateStreamInfo(streamInfo);
      }
      Promise.all(promises).then(() => {
        return new Promise((resolve, reject) => {
          if (!activeStream) {
            _initializeForFirstStream(streamsInfo, resolve, reject);
          } else {
            resolve();
          }
        });
      }).then(() => {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].STREAMS_COMPOSED);
        // Additional periods might have been added after an MPD update. Check again if we can start prebuffering.
        _checkIfPrebufferingCanStart();
      }).catch(e => {
        throw e;
      });
    } catch (e) {
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_13__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"].MANIFEST_ERROR_ID_NOSTREAMS_CODE, e.message + ' nostreamscomposed', manifestModel.getValue()));
      hasInitialisationError = true;
      reset();
    }
  }

  /**
   * Called for each stream when composition is performed. Either a new instance of Stream is created or the existing one is updated.
   * @param {object} streamInfo
   * @private
   */
  function _initializeOrUpdateStream(streamInfo) {
    let stream = getStreamById(streamInfo.id);

    // If the Stream object does not exist we probably loaded the manifest the first time or it was
    // introduced in the updated manifest, so we need to create a new Stream and perform all the initialization operations
    if (!stream) {
      stream = (0,_Stream_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
        manifestModel,
        mediaPlayerModel,
        dashMetrics,
        manifestUpdater,
        adapter,
        timelineConverter,
        capabilities,
        capabilitiesFilter,
        errHandler,
        baseURLController,
        segmentBaseController,
        textController,
        abrController,
        playbackController,
        throughputController,
        eventController,
        mediaController,
        protectionController,
        videoModel,
        streamInfo,
        settings
      });
      streams.push(stream);
      stream.initialize();
      return Promise.resolve();
    } else {
      return stream.updateData(streamInfo);
    }
  }

  /**
   * Initialize playback for the first period.
   * @param {array} streamsInfo
   * @private
   */
  function _initializeForFirstStream(streamsInfo, resolve, reject) {
    try {
      // Add the DVR window so we can calculate the right starting point
      addDVRMetric();

      // If the start is in the future we need to wait
      const dvrRange = dashMetrics.getCurrentDVRInfo().range;
      if (dvrRange.end < dvrRange.start) {
        if (waitForPlaybackStartTimeout) {
          clearTimeout(waitForPlaybackStartTimeout);
        }
        const waitingTime = Math.min(((dvrRange.end - dvrRange.start) * -1 + DVR_WAITING_OFFSET) * 1000, 2147483647);
        logger.debug(`Waiting for ${waitingTime} ms before playback can start`);
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].AST_IN_FUTURE, {
          delay: waitingTime
        });
        waitForPlaybackStartTimeout = setTimeout(() => {
          _initializeForFirstStream(streamsInfo, resolve, reject);
        }, waitingTime);
        return;
      }

      // Calculate the producer reference time offsets if given
      if (settings.get().streaming.applyProducerReferenceTime) {
        serviceDescriptionController.calculateProducerReferenceTimeOffsets(streamsInfo);
      }

      // Apply Service description parameters.
      const manifestInfo = streamsInfo[0].manifestInfo;
      if (settings.get().streaming.applyServiceDescription) {
        serviceDescriptionController.applyServiceDescription(manifestInfo);
      }

      // Compute and set the live delay
      if (adapter.getIsDynamic()) {
        const fragmentDuration = _getFragmentDurationForLiveDelayCalculation(streamsInfo, manifestInfo);
        playbackController.computeAndSetLiveDelay(fragmentDuration, manifestInfo);
      }

      // Apply content steering
      _applyContentSteeringBeforeStart().then(() => {
        const manifest = manifestModel.getValue();
        if (manifest) {
          baseURLController.update(manifest);
        }
        _calculateStartTimeAndSwitchStream();
        resolve();
      }).catch(e => {
        logger.error(e);
        _calculateStartTimeAndSwitchStream();
        resolve();
      });
    } catch (e) {
      reject(e);
    }
  }
  function _applyContentSteeringBeforeStart() {
    if (settings.get().streaming.applyContentSteering && contentSteeringController.shouldQueryBeforeStart()) {
      return contentSteeringController.loadSteeringData();
    }
    return Promise.resolve();
  }
  function _calculateStartTimeAndSwitchStream() {
    // Figure out the correct start time and the correct start period
    const startTime = _getInitialStartTime();
    let initialStream = getStreamForTime(startTime);
    const startStream = initialStream !== null ? initialStream : streams[0];
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].INITIAL_STREAM_SWITCH, {
      startTime
    });
    _switchStream(startStream, null, startTime);
    _startPlaybackEndedTimerInterval();
  }

  /**
   * Switch from the current stream (period) to the next stream (period).
   * @param {object} stream
   * @param {object} previousStream
   * @param {number} seekTime
   * @private
   */
  function _switchStream(stream, previousStream, seekTime) {
    try {
      if (isStreamSwitchingInProgress || !stream || previousStream === stream && stream.getIsActive()) {
        return;
      }
      isStreamSwitchingInProgress = true;
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD_SWITCH_STARTED, {
        fromStreamInfo: previousStream ? previousStream.getStreamInfo() : null,
        toStreamInfo: stream.getStreamInfo()
      });
      let keepBuffers = false;
      let representationsFromPreviousPeriod = [];
      activeStream = stream;
      if (previousStream) {
        keepBuffers = _canSourceBuffersBeKept(stream, previousStream);
        representationsFromPreviousPeriod = _getRepresentationsFromPreviousPeriod(previousStream);
        previousStream.deactivate(keepBuffers);
      }

      // Determine seek time when switching to new period
      // - seek at given seek time
      // - or seek at period start if upcoming period is not prebuffered
      seekTime = !isNaN(seekTime) ? seekTime : !keepBuffers && previousStream ? stream.getStreamInfo().start : NaN;
      logger.info(`Switch to stream ${stream.getId()}. Seektime is ${seekTime}, current playback time is ${playbackController.getTime()}. Seamless period switch is set to ${keepBuffers}`);
      preloadingStreams = preloadingStreams.filter(s => {
        return s.getId() !== activeStream.getId();
      });
      playbackController.initialize(getActiveStreamInfo(), !!previousStream);

      // If we have a video element we are not preloading into a virtual buffer
      if (videoModel.getElement()) {
        _openMediaSource({
          seekTime,
          keepBuffers,
          streamActivated: false,
          representationsFromPreviousPeriod
        });
      } else {
        _activateStream({
          seekTime,
          keepBuffers
        });
      }
    } catch (e) {
      isStreamSwitchingInProgress = false;
    }
  }

  /**
   * Setup the Media Source. Open MSE and attach event listeners
   * @private
   * @param inputParameters
   */
  function _openMediaSource(inputParameters) {
    let sourceUrl;
    function _onMediaSourceOpen() {
      // Manage situations in which a call to reset happens while MediaSource is being opened
      if (!mediaSource || mediaSource.readyState !== 'open') {
        return;
      }
      logger.debug('MediaSource is open!');
      window.URL.revokeObjectURL(sourceUrl);
      mediaSource.removeEventListener('sourceopen', _onMediaSourceOpen);
      mediaSource.removeEventListener('webkitsourceopen', _onMediaSourceOpen);
      _setMediaDuration();
      const dvrInfo = dashMetrics.getCurrentDVRInfo();
      mediaSourceController.setSeekable(dvrInfo.range.start, dvrInfo.range.end);
      if (inputParameters.streamActivated) {
        if (!isNaN(inputParameters.seekTime)) {
          playbackController.seek(inputParameters.seekTime, true, true);
        }
        // Set the media source for all StreamProcessors
        activeStream.setMediaSource(mediaSource).then(() => {
          // Start text processing now that we have a video element
          activeStream.initializeForTextWithMediaSource(mediaSource);
        });
      } else {
        _activateStream(inputParameters);
      }
    }
    function _open() {
      mediaSource.addEventListener('sourceopen', _onMediaSourceOpen, false);
      mediaSource.addEventListener('webkitsourceopen', _onMediaSourceOpen, false);
      sourceUrl = mediaSourceController.attachMediaSource(videoModel);
      logger.debug('MediaSource attached to element.  Waiting on open...');
    }
    if (!mediaSource) {
      mediaSource = mediaSourceController.createMediaSource();
      _open();
    } else {
      if (inputParameters.keepBuffers) {
        _activateStream(inputParameters);
      } else {
        mediaSourceController.detachMediaSource(videoModel);
        _open();
      }
    }
  }

  /**
   * Activates a new stream.
   * @param {number} seekTime
   * @param {boolean} keepBuffers
   */
  function _activateStream(inputParameters) {
    const representationsFromPreviousPeriod = inputParameters.representationsFromPreviousPeriod || [];
    activeStream.activate(mediaSource, inputParameters.keepBuffers ? bufferSinks : undefined, representationsFromPreviousPeriod).then(sinks => {
      if (sinks) {
        bufferSinks = sinks;
      }

      // Set the initial time for this stream in the StreamProcessor
      if (!isNaN(inputParameters.seekTime)) {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SEEK_TARGET, {
          time: inputParameters.seekTime
        }, {
          streamId: activeStream.getId()
        });
        playbackController.seek(inputParameters.seekTime, false, true);
        activeStream.startScheduleControllers();
      }
      isStreamSwitchingInProgress = false;
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD_SWITCH_COMPLETED, {
        toStreamInfo: getActiveStreamInfo()
      });
    });
  }
  function _getRepresentationsFromPreviousPeriod(previousStream) {
    const previousStreamProcessors = previousStream ? previousStream.getStreamProcessors() : [];
    return previousStreamProcessors.map(streamProcessor => {
      return streamProcessor.getRepresentation();
    });
  }

  /**
   * A playback seeking event was triggered. We need to disable the preloading streams and call the respective seeking handler.
   * We distinguish between inner period seeks and outer period seeks
   * @param {object} e
   * @private
   */
  function _onPlaybackSeeking(e) {
    const newTime = e.seekTime;
    const seekToStream = getStreamForTime(newTime);
    if (!seekToStream || seekToStream === activeStream) {
      _cancelPreloading();
      _handleInnerPeriodSeek(e);
    } else if (seekToStream && seekToStream !== activeStream) {
      _cancelPreloading(seekToStream);
      _handleOuterPeriodSeek(e, seekToStream);
    }
    _createPlaylistMetrics(_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayList.SEEK_START_REASON);
  }

  /**
   * Cancels the preloading of certain streams based on the position we are seeking to.
   * @param {object} seekToStream
   * @private
   */
  function _cancelPreloading() {
    let seekToStream = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    // Inner period seek
    if (!seekToStream) {
      _deactivateAllPreloadingStreams();
    }

    // Outer period seek: Deactivate everything for now
    else {
      _deactivateAllPreloadingStreams();
    }
  }

  /**
   * Deactivates all preloading streams
   * @private
   */
  function _deactivateAllPreloadingStreams() {
    if (preloadingStreams && preloadingStreams.length > 0) {
      preloadingStreams.forEach(s => {
        s.deactivate(true);
      });
      preloadingStreams = [];
    }
  }

  /**
   * Handle an inner period seek. Prepare all StreamProcessors for the seek.
   * @param {object} e
   * @private
   */
  function _handleInnerPeriodSeek(e) {
    const streamProcessors = activeStream.getStreamProcessors();
    streamProcessors.forEach(sp => {
      return sp.prepareInnerPeriodPlaybackSeeking(e);
    });
    _flushPlaylistMetrics(_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace.USER_REQUEST_STOP_REASON);
  }

  /**
   * Handle an outer period seek. Dispatch the corresponding event to be handled in the BufferControllers and the ScheduleControllers
   * @param {object} e
   * @param {object} seekToStream
   * @private
   */
  function _handleOuterPeriodSeek(e, seekToStream) {
    // Stop segment requests
    const seekTime = e && !isNaN(e.seekTime) ? e.seekTime : NaN;
    const streamProcessors = activeStream.getStreamProcessors();
    const promises = streamProcessors.map(sp => {
      // Cancel everything in case the active stream is still buffering
      return sp.prepareOuterPeriodPlaybackSeeking(e);
    });
    Promise.all(promises).then(() => {
      _switchStream(seekToStream, activeStream, seekTime);
    }).catch(e => {
      errHandler.error(e);
    });
  }

  /**
   * A track change occured. We deactivate the preloading streams
   * @param {object} e
   * @private
   */
  function _onCurrentTrackChanged(e) {
    // Track was changed in non-active stream. No need to do anything, this only happens when a stream starts preloading
    if (e.newMediaInfo.streamInfo.id !== activeStream.getId()) {
      return;
    }

    // If the track was changed in the active stream we need to stop preloading and remove the already prebuffered stuff. Since we do not support preloading specific handling of specific AdaptationSets yet.
    _deactivateAllPreloadingStreams();
    if (settings.get().streaming.buffer.resetSourceBuffersForTrackSwitch && e.oldMediaInfo && e.oldMediaInfo.codec !== e.newMediaInfo.codec) {
      const seekTime = playbackController.getTime();
      activeStream.deactivate(false);
      _openMediaSource({
        seekTime,
        keepBuffers: false,
        streamActivated: false
      });
      return;
    }
    activeStream.prepareTrackChange(e);
  }

  /**
   * If the source buffer can be reused we can potentially start buffering the next period
   * @param {object} nextStream
   * @param {object} previousStream
   * @return {boolean}
   * @private
   */
  function _canSourceBuffersBeKept(nextStream, previousStream) {
    try {
      // Seamless period switch allowed only if:
      // - none of the periods uses contentProtection.
      // - AND changeType method is implemented
      return settings.get().streaming.buffer.reuseExistingSourceBuffers && (capabilities.isProtectionCompatible(previousStream.getStreamInfo(), nextStream.getStreamInfo()) || firstLicenseIsFetched) && capabilities.supportsChangeType() && settings.get().streaming.buffer.useChangeType;
    } catch (e) {
      return false;
    }
  }

  /**
   * Initiate the preloading of the next stream
   * @param {object} nextStream
   * @param {object} previousStream
   * @private
   */
  function _onStreamCanLoadNext(nextStream) {
    let previousStream = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    if (mediaSource && !nextStream.getPreloaded()) {
      let seamlessPeriodSwitch = _canSourceBuffersBeKept(nextStream, previousStream);
      if (seamlessPeriodSwitch) {
        const representationsFromPreviousPeriod = _getRepresentationsFromPreviousPeriod(previousStream);
        nextStream.startPreloading(mediaSource, bufferSinks, representationsFromPreviousPeriod).then(() => {
          preloadingStreams.push(nextStream);
        });
      }
    }
  }

  /**
   * Returns the corresponding stream object for a specific presentation time.
   * @param {number} time
   * @return {null|object}
   */
  function getStreamForTime(time) {
    if (isNaN(time)) {
      return null;
    }
    const ln = streams.length;
    for (let i = 0; i < ln; i++) {
      const stream = streams[i];
      const streamEnd = parseFloat((stream.getStartTime() + stream.getDuration()).toFixed(5));
      if (time < streamEnd) {
        return stream;
      }
    }
    return null;
  }

  /**
   * Add the DVR window to the metric list. We need the DVR window to restrict the seeking and calculate the right start time.
   */
  function addDVRMetric() {
    try {
      const isDynamic = adapter.getIsDynamic();
      const streamsInfo = adapter.getStreamsInfo();
      const manifestInfo = streamsInfo[0].manifestInfo;
      const time = playbackController.getTime();
      const range = timelineConverter.calcTimeShiftBufferWindow(streams, isDynamic);
      const activeStreamProcessors = getActiveStreamProcessors();
      if (typeof range.start === 'undefined' || typeof range.end === 'undefined') {
        return;
      }
      if (!activeStreamProcessors || activeStreamProcessors.length === 0) {
        dashMetrics.addDVRInfo(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO, time, manifestInfo, range);
      } else {
        activeStreamProcessors.forEach(sp => {
          dashMetrics.addDVRInfo(sp.getType(), time, manifestInfo, range);
        });
      }
    } catch (e) {}
  }

  /**
   * The buffer level for a certain media type has been updated. If this is the initial playback and we want to autoplay the content we check if we can start playback now.
   * For livestreams we might have a drift of the target live delay compared to the current live delay because reaching the initial buffer level took time.
   * @param {object} e
   * @private
   */
  function _onBufferLevelUpdated(e) {
    // check if this is the initial playback and we reached the buffer target. If autoplay is true we start playback
    if (initialPlayback && autoPlay) {
      const initialBufferLevel = mediaPlayerModel.getInitialBufferLevel();
      const excludedStreamProcessors = [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT];
      if (isNaN(initialBufferLevel) || initialBufferLevel <= playbackController.getBufferLevel(excludedStreamProcessors) || adapter.getIsDynamic() && initialBufferLevel > playbackController.getLiveDelay()) {
        initialPlayback = false;
        _createPlaylistMetrics(_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayList.INITIAL_PLAYOUT_START_REASON);
        playbackController.play();
      }
    }
    if (e && e.mediaType) {
      dashMetrics.addBufferLevel(e.mediaType, new Date(), e.bufferLevel * 1000);
    }
  }

  /**
   * When the quality is changed in the currently active stream we stop the prebuffering to avoid inconsistencies in the buffer settings like codec and append window
   * @param e
   * @private
   */
  function _onQualityChanged(e) {
    if (e.streamInfo.id === activeStream.getId()) {
      _deactivateAllPreloadingStreams();
    }
    const stream = getStreamById(e.streamInfo.id);
    stream.prepareQualityChange(e);
  }

  /**
   * A setting related to the live delay was updated. Check if one of the latency values changed. If so, recalculate the live delay.
   * @private
   */
  function _onLiveDelaySettingUpdated() {
    if (adapter.getIsDynamic() && playbackController.getOriginalLiveDelay() !== 0 && activeStream) {
      const streamsInfo = adapter.getStreamsInfo();
      if (streamsInfo.length > 0) {
        const manifestInfo = streamsInfo[0].manifestInfo;
        const fragmentDuration = _getFragmentDurationForLiveDelayCalculation(streamsInfo, manifestInfo);
        playbackController.computeAndSetLiveDelay(fragmentDuration, manifestInfo);
      }
    }
  }

  /**
   * When the playback time is updated we add the droppedFrames metric to the dash metric object
   * @private
   */
  function _onPlaybackTimeUpdated(/*e*/
  ) {
    if (hasVideoTrack()) {
      const playbackQuality = videoModel.getPlaybackQuality();
      if (playbackQuality) {
        dashMetrics.addDroppedFrames(playbackQuality);
      }
    }
  }

  /**
   * Once playback starts add playlist metrics depending on whether this was the first playback or playback resumed after pause
   * @private
   */
  function _onPlaybackStarted(/*e*/
  ) {
    logger.debug('[onPlaybackStarted]');
    if (!initialPlayback && isPaused) {
      _createPlaylistMetrics(_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayList.RESUME_FROM_PAUSE_START_REASON);
    }
    if (initialPlayback) {
      initialPlayback = false;
    }
    if (initialSteeringRequest) {
      initialSteeringRequest = false;
      // If this is the initial playback attempt and we have not yet triggered content steering now is the time
      if (settings.get().streaming.applyContentSteering && !contentSteeringController.shouldQueryBeforeStart()) {
        contentSteeringController.loadSteeringData();
      }
    }
    isPaused = false;
  }

  /**
   * Once playback is paused flush metrics
   * @param {object} e
   * @private
   */
  function _onPlaybackPaused(e) {
    logger.debug('[onPlaybackPaused]');
    if (!e.ended) {
      isPaused = true;
      _flushPlaylistMetrics(_vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace.USER_REQUEST_STOP_REASON);
    }
  }

  /**
   * Callback once a stream/period is completely buffered. We can either signal the end of the stream or start prebuffering the next period.
   * @param {object} e
   * @private
   */
  function _onStreamBufferingCompleted(e) {
    logger.debug(`Stream with id ${e.streamInfo.id} finished buffering`);
    const isLast = e.streamInfo.isLast;
    if (mediaSource && isLast) {
      logger.info('[onStreamBufferingCompleted] calls signalEndOfStream of mediaSourceController.');
      mediaSourceController.signalEndOfStream(mediaSource);
    } else {
      _checkIfPrebufferingCanStart();
    }
  }

  /**
   * Check if we can start prebuffering the next period.
   * @private
   */
  function _checkIfPrebufferingCanStart() {
    if (!activeStream) {
      return;
    }

    // Check if we are finished buffering. In case this is the case the prebuffering will be triggered automatically
    if (!activeStream.getHasFinishedBuffering()) {
      activeStream.checkAndHandleCompletedBuffering();
      return;
    }

    // In case we have finished buffering already we can preload
    const upcomingStreams = _getNextStreams(activeStream);
    let i = 0;
    while (i < upcomingStreams.length) {
      const stream = upcomingStreams[i];
      const previousStream = i === 0 ? activeStream : upcomingStreams[i - 1];

      // If the preloading for the current stream is not scheduled, but its predecessor has finished buffering we can start prebuffering this stream
      if (!stream.getPreloaded() && previousStream.getHasFinishedBuffering()) {
        if (mediaSource) {
          _onStreamCanLoadNext(stream, previousStream);
        }
      }
      i += 1;
    }
  }

  /**
   * In some cases we need to fire the playback ended event manually
   * @private
   */
  function _startPlaybackEndedTimerInterval() {
    if (!playbackEndedTimerInterval) {
      playbackEndedTimerInterval = setInterval(function () {
        if (!isStreamSwitchingInProgress && playbackController.getTimeToStreamEnd() <= 0 && !playbackController.isSeeking()) {
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_ENDED, {
            'isLast': getActiveStreamInfo().isLast
          });
        }
      }, PLAYBACK_ENDED_TIMER_INTERVAL);
    }
  }

  /**
   * Stop the check if the playback has ended
   * @private
   */
  function _stopPlaybackEndedTimerInterval() {
    if (playbackEndedTimerInterval) {
      clearInterval(playbackEndedTimerInterval);
      playbackEndedTimerInterval = null;
    }
  }

  /**
   * Returns a playhead time, in seconds, converted to be relative
   * to the start of an identified stream/period or null if no such stream
   * @param {number} time
   * @param {string} id
   * @returns {number|null}
   */
  function getTimeRelativeToStreamId(time, id) {
    let stream = null;
    let baseStart = 0;
    let streamStart = 0;
    let streamDur = null;
    for (let i = 0; i < streams.length; i++) {
      stream = streams[i];
      streamStart = stream.getStartTime();
      streamDur = stream.getDuration();

      // use start time, if not undefined or NaN or similar
      if (Number.isFinite(streamStart)) {
        baseStart = streamStart;
      }
      if (stream.getId() === id) {
        return time - baseStart;
      } else {
        // use duration if not undefined or NaN or similar
        if (Number.isFinite(streamDur)) {
          baseStart += streamDur;
        }
      }
    }
    return null;
  }

  /**
   * Returns the streamProcessors of the active stream.
   * @return {array}
   */
  function getActiveStreamProcessors() {
    return activeStream ? activeStream.getStreamProcessors() : [];
  }

  /**
   * Once playback has ended we switch to the next stream
   * @param {object} e
   */
  function _onPlaybackEnded(e) {
    if (activeStream && !activeStream.getIsEndedEventSignaled()) {
      activeStream.setIsEndedEventSignaled(true);
      const nextStream = _getNextStream();
      if (nextStream) {
        logger.debug(`StreamController onEnded, found next stream with id ${nextStream.getStreamInfo().id}. Switching from ${activeStream.getStreamInfo().id} to ${nextStream.getStreamInfo().id}`);
        _switchStream(nextStream, activeStream, NaN);
      } else {
        logger.debug('StreamController no next stream found');
        activeStream.setIsEndedEventSignaled(false);
      }
      _flushPlaylistMetrics(nextStream ? _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace.END_OF_PERIOD_STOP_REASON : _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace.END_OF_CONTENT_STOP_REASON);
    }
    if (e && e.isLast) {
      _stopPlaybackEndedTimerInterval();
      contentSteeringController.stopSteeringRequestTimer();
    }
  }

  /**
   * Returns the next stream to be played relative to the stream provided. If no stream is provided we use the active stream.
   * In order to avoid rounding issues we should not use the duration of the periods. Instead find the stream with starttime closest to startTime of the previous stream.
   * @param {object} stream
   * @return {null|object}
   */
  function _getNextStream() {
    let stream = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    const refStream = stream ? stream : activeStream ? activeStream : null;
    if (!refStream) {
      return null;
    }
    const refStreamInfo = refStream.getStreamInfo();
    const start = refStreamInfo.start;
    let i = 0;
    let targetIndex = -1;
    let lastDiff = NaN;
    while (i < streams.length) {
      const s = streams[i];
      const sInfo = s.getStreamInfo();
      const diff = sInfo.start - start;
      if (diff > 0 && (isNaN(lastDiff) || diff < lastDiff) && refStreamInfo.id !== sInfo.id) {
        lastDiff = diff;
        targetIndex = i;
      }
      i += 1;
    }
    if (targetIndex >= 0) {
      return streams[targetIndex];
    }
    return null;
  }

  /**
   * Returns all upcoming streams relative to the provided stream. If no stream is provided we use the active stream.
   * @param {object} stream
   * @return {array}
   */
  function _getNextStreams() {
    let stream = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    try {
      const refStream = stream ? stream : activeStream ? activeStream : null;
      if (refStream) {
        const refStreamInfo = refStream.getStreamInfo();
        return streams.filter(function (stream) {
          const sInfo = stream.getStreamInfo();
          return sInfo.start > refStreamInfo.start && refStreamInfo.id !== sInfo.id;
        });
      }
    } catch (e) {
      return [];
    }
  }

  /**
   * Sets the duration attribute of the MediaSource using the MediaSourceController.
   * @param {number} duration
   * @private
   */
  function _setMediaDuration(duration) {
    const manifestDuration = duration ? duration : getActiveStreamInfo().manifestInfo.duration;
    mediaSourceController.setDuration(manifestDuration);
  }

  /**
   * Returns the active stream
   * @return {object}
   */
  function getActiveStream() {
    return activeStream;
  }

  /**
   * Initial playback indicates if we have called play() for the first time yet.
   * @return {*}
   */
  function getInitialPlayback() {
    return initialPlayback;
  }

  /**
   * Auto Play indicates if the stream starts automatically as soon as it is initialized.
   * @return {boolean}
   */
  function getAutoPlay() {
    return autoPlay;
  }

  /**
   * Called once the first stream has been initialized. We only use this function to seek to the right start time.
   * @return {number}
   * @private
   */
  function _getInitialStartTime() {
    // Seek new stream in priority order:
    // - at start time provided via the application
    // - at start time provided in URI parameters
    // - at stream/period start time (for static streams) or live start time (for dynamic streams)
    let startTime;
    const isDynamic = adapter.getIsDynamic();
    if (isDynamic) {
      // For dynamic stream, start by default at (live edge - live delay)
      const dvrInfo = dashMetrics.getCurrentDVRInfo();
      const liveEdge = dvrInfo && dvrInfo.range ? dvrInfo.range.end : 0;
      // we are already in the right start period. so time should not be smaller than period@start and should not be larger than period@end
      startTime = liveEdge - playbackController.getOriginalLiveDelay();
      // If start time in URI, take min value between live edge time and time from URI (capped by DVR window range)
      const dvrWindow = dvrInfo ? dvrInfo.range : null;
      if (dvrWindow) {
        // If start time was provided by the application as part of the call to initialize() or attachSource() use this value
        if (!isNaN(providedStartTime) || providedStartTime.toString().indexOf('posix:') !== -1) {
          logger.info(`Start time provided by the app: ${providedStartTime}`);
          const providedStartTimeAsPresentationTime = _getStartTimeFromProvidedData(true, providedStartTime);
          if (!isNaN(providedStartTimeAsPresentationTime)) {
            // Do not move closer to the live edge as defined by live delay
            startTime = Math.min(startTime, providedStartTimeAsPresentationTime);
          }
        } else {
          // #t shall be relative to period start
          const startTimeFromUri = _getStartTimeFromUriParameters(true);
          if (!isNaN(startTimeFromUri)) {
            logger.info(`Start time from URI parameters: ${startTimeFromUri}`);
            // Do not move closer to the live edge as defined by live delay
            startTime = Math.min(startTime, startTimeFromUri);
          }
        }
        // If calcFromSegmentTimeline is enabled we saw problems caused by the MSE.seekableRange when starting at dvrWindow.start. Apply a small offset to avoid this problem.
        const offset = settings.get().streaming.timeShiftBuffer.calcFromSegmentTimeline ? 0.1 : 0;
        startTime = Math.max(startTime, dvrWindow.start + offset);
      }
    } else {
      // For static stream, start by default at period start
      const streams = getStreams();
      const streamInfo = streams[0].getStreamInfo();
      startTime = streamInfo.start;

      // If start time was provided by the application as part of the call to initialize() or attachSource() use this value
      if (!isNaN(providedStartTime)) {
        logger.info(`Start time provided by the app: ${providedStartTime}`);
        const providedStartTimeAsPresentationTime = _getStartTimeFromProvidedData(false, providedStartTime);
        if (!isNaN(providedStartTimeAsPresentationTime)) {
          // Do not play earlier than the start of the first period
          startTime = Math.max(startTime, providedStartTimeAsPresentationTime);
        }
      } else {
        // If start time in URI, take max value between period start and time from URI (if in period range)
        const startTimeFromUri = _getStartTimeFromUriParameters(false);
        if (!isNaN(startTimeFromUri)) {
          logger.info(`Start time from URI parameters: ${startTimeFromUri}`);
          // Do not play earlier than the start of the first period
          startTime = Math.max(startTime, startTimeFromUri);
        }
      }
    }
    return startTime;
  }

  /**
   * 23009-1 Annex C.4 defines MPD anchors to use URI fragment syntax to start a presentation at a given time and a given state
   * @param {boolean} isDynamic
   * @return {number}
   * @private
   */
  function _getStartTimeFromUriParameters(isDynamic) {
    const fragData = uriFragmentModel.getURIFragmentData();
    if (!fragData || !fragData.t) {
      return NaN;
    }
    const refStream = getStreams()[0];
    const referenceTime = refStream.getStreamInfo().start;
    fragData.t = fragData.t.split(',')[0];
    return _getStartTimeFromString(isDynamic, fragData.t, referenceTime);
  }

  /**
   * Calculate start time using the value that was provided via the application as part of attachSource() or initialize()
   * @param {boolean} isDynamic
   * @param {number | string} providedStartTime
   * @return {number}
   * @private
   */
  function _getStartTimeFromProvidedData(isDynamic, providedStartTime) {
    let referenceTime = 0;
    if (!isDynamic) {
      const refStream = getStreams()[0];
      referenceTime = refStream.getStreamInfo().start;
    }
    return _getStartTimeFromString(isDynamic, providedStartTime, referenceTime);
  }
  function _getStartTimeFromString(isDynamic, targetValue, referenceTime) {
    // Consider only start time of MediaRange
    // TODO: consider end time of MediaRange to stop playback at provided end time
    // "t=<time>" : time is relative to 1st period start
    // "t=posix:<time>" : time is absolute start time as number of seconds since 01-01-1970
    const period = adapter.getRegularPeriods()[0];
    const targetString = targetValue.toString();
    const posix = targetString.indexOf('posix:') !== -1 ? targetString.substring(6) === 'now' ? Date.now() / 1000 : parseFloat(targetString.substring(6)) : NaN;
    return isDynamic && !isNaN(posix) ? timelineConverter.calcPresentationTimeFromWallTime(new Date(posix * 1000), period) : parseFloat(targetString) + referenceTime;
  }

  /**
   * Streams that are no longer in the manifest can be filtered
   * @param {object} streamsInfo
   * @private
   */
  function _filterOutdatedStreams(streamsInfo) {
    if (streamsInfo.length === 0) {
      logger.warn(`No periods included in the current manifest. Skipping the filtering of outdated stream objects.`);
      return;
    }
    streams = streams.filter(stream => {
      const isStillIncluded = streamsInfo.filter(sInfo => {
        return sInfo.id === stream.getId();
      }).length > 0;
      const shouldKeepStream = isStillIncluded || stream.getId() === activeStream.getId();
      if (!shouldKeepStream) {
        logger.debug(`Removing stream ${stream.getId()}`);
        stream.reset(true);
        stream = null;
      }
      return shouldKeepStream;
    });
  }

  /**
   * In order to calculate the initial live delay we might required the duration of the segments.
   * @param {array} streamInfos
   * @param {object} manifestInfo
   * @return {number}
   * @private
   */
  function _getFragmentDurationForLiveDelayCalculation(streamInfos, manifestInfo) {
    try {
      let segmentDuration = NaN;

      //  We use the maxFragmentDuration attribute if present
      if (manifestInfo && !isNaN(manifestInfo.maxFragmentDuration) && isFinite(manifestInfo.maxFragmentDuration)) {
        return manifestInfo.maxFragmentDuration;
      }
      return isFinite(segmentDuration) ? segmentDuration : NaN;
    } catch (e) {
      return NaN;
    }
  }

  /**
   * Callback handler after the steering manifest was updated
   * @param {object} e
   * @private
   */
  function _onSteeringManifestUpdated() {
    const manifest = manifestModel.getValue();
    baseURLController.initialize(manifest);
  }

  /**
   * Callback handler after the manifest has been updated. Trigger an update in the adapter and filter unsupported stuff.
   * Finally, attempt UTC sync
   * @param {object} e
   * @private
   */
  function _onManifestUpdated(e) {
    if (!e.error) {
      logger.info('Manifest updated... updating data system wide.');

      //Since streams are not composed yet , need to manually look up useCalculatedLiveEdgeTime to detect if stream
      //is SegmentTimeline to avoid using time source
      const manifest = e.manifest;
      adapter.updatePeriods(manifest);

      // It is important to filter before initializing the baseUrlController. Otherwise we might end up with wrong references in case we remove AdaptationSets.
      capabilitiesFilter.filterUnsupportedFeatures(manifest).then(() => {
        baseURLController.initialize(manifest);
        let manifestUTCTimingSources = adapter.getUTCTimingSources();
        if (adapter.getIsDynamic() && (!manifestUTCTimingSources || manifestUTCTimingSources.length === 0)) {
          eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].CONFORMANCE_VIOLATION, {
            level: _constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_16__["default"].LEVELS.WARNING,
            event: _constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_16__["default"].EVENTS.NO_UTC_TIMING_ELEMENT
          });
        }
        let allUTCTimingSources = !adapter.getIsDynamic() ? manifestUTCTimingSources : manifestUTCTimingSources.concat(customParametersModel.getUTCTimingSources());
        timeSyncController.attemptSync(allUTCTimingSources, adapter.getIsDynamic());
        extUrlQueryInfoController.createFinalQueryStrings(manifest);
      });
    } else {
      hasInitialisationError = true;
      reset();
    }
  }

  /**
   * Check if the stream has a video track
   * @return {boolean}
   */
  function hasVideoTrack() {
    return activeStream ? activeStream.getHasVideoTrack() : false;
  }

  /**
   * Check if the stream has an audio track
   * @return {boolean}
   */
  function hasAudioTrack() {
    return activeStream ? activeStream.getHasAudioTrack() : false;
  }
  function switchToVideoElement(seekTime) {
    if (activeStream) {
      playbackController.initialize(getActiveStreamInfo());
      _openMediaSource({
        seekTime,
        keepBuffers: false,
        streamActivated: true
      });
    }
  }
  function _flushPlaylistMetrics(reason, time) {
    time = time || new Date();
    getActiveStreamProcessors().forEach(p => {
      p.finalisePlayList(time, reason);
    });
    dashMetrics.addPlayList();
  }
  function _createPlaylistMetrics(startReason) {
    dashMetrics.createPlaylistMetrics(playbackController.getTime() * 1000, startReason);
  }
  function _onInternalKeyStatusesChanged(e) {
    protectionController.updateKeyStatusesMap(e);
    _handleKeyStatuses();
  }
  function _handleKeyStatuses() {
    const streamProcessors = getActiveStreamProcessors();
    let hasUnusableKey = false;
    streamProcessors.forEach(streamProcessor => {
      const currentMediaInfo = streamProcessor.getMediaInfo();
      const areKeyIdsUsable = currentMediaInfo ? capabilities.areKeyIdsUsable(currentMediaInfo) : true;
      if (!areKeyIdsUsable) {
        hasUnusableKey = true;
        _handleUnusableKeyId(streamProcessor);
      } else {
        const areKeyIdsExpired = currentMediaInfo ? capabilities.areKeyIdsExpired(currentMediaInfo) : false;
        if (areKeyIdsExpired) {
          _handleExpiredKeyId(streamProcessor);
        }
      }
    });
    // we observed that playback still stalls if we replace the buffer when playhead is at 0. Do a minimal seek to avoid this
    if (hasUnusableKey) {
      _handleUnusableKeyStall();
    }
  }
  function _handleUnusableKeyStall() {
    if (playbackController.getTime() === 0) {
      eventBus.once(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].FRAGMENT_LOADING_COMPLETED, () => {
        _triggerUnusableKeySeek();
      }, instance);
    } else {
      playbackController.isProgressing(500).then(isProgressing => {
        if (!isProgressing) {
          _triggerUnusableKeySeek();
        }
      });
    }
  }
  function _triggerUnusableKeySeek() {
    const time = playbackController.getTime();
    playbackController.seek(time + 0.01, false, false);
  }
  function _handleUnusableKeyId(streamProcessor) {
    const possibleMediaInfos = streamProcessor.getAllMediaInfos();
    const supportedMediaInfos = possibleMediaInfos.filter(mediaInfo => {
      return capabilities.areKeyIdsUsable(mediaInfo);
    });
    if (!supportedMediaInfos || supportedMediaInfos.length === 0) {
      const type = streamProcessor.getType();
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_13__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"].NO_SUPPORTED_KEY_IDS, `Type: ${type}: ${_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_14__["default"].NO_SUPPORTED_KEY_IDS_MESSAGE}`));
      return;
    }
    mediaController.setTrack(supportedMediaInfos[0], {
      replaceBuffer: true
    });
  }
  function _handleExpiredKeyId(streamProcessor) {
    const streamId = streamProcessor.getStreamId();
    const stream = getStreamById(streamId);
    if (stream) {
      stream.triggerProtectionError({
        error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_13__["default"](_protection_errors_ProtectionErrors_js__WEBPACK_IMPORTED_MODULE_19__["default"].KEY_STATUS_CHANGED_EXPIRED_ERROR_CODE, _protection_errors_ProtectionErrors_js__WEBPACK_IMPORTED_MODULE_19__["default"].KEY_STATUS_CHANGED_EXPIRED_ERROR_MESSAGE)
      });
    }
  }
  function _onPlaybackError(e) {
    if (!e.error) {
      return;
    }
    let msg;
    switch (e.error.code) {
      case 1:
        msg = 'MEDIA_ERR_ABORTED';
        break;
      case 2:
        msg = 'MEDIA_ERR_NETWORK';
        break;
      case 3:
        msg = 'MEDIA_ERR_DECODE';
        errorInformation.counts.mediaErrorDecode += 1;
        break;
      case 4:
        msg = 'MEDIA_ERR_SRC_NOT_SUPPORTED';
        break;
      case 5:
        msg = 'MEDIA_ERR_ENCRYPTED';
        break;
      default:
        msg = 'UNKNOWN';
        break;
    }
    if (msg === 'MEDIA_ERR_DECODE' && settings.get().errors.recoverAttempts.mediaErrorDecode >= errorInformation.counts.mediaErrorDecode) {
      _handleMediaErrorDecode();
      return;
    }
    hasMediaError = true;
    if (e.error.message) {
      msg += ' (' + e.error.message + ')';
    }
    if (e.error.msExtendedCode) {
      msg += ' (0x' + (e.error.msExtendedCode >>> 0).toString(16).toUpperCase() + ')';
    }
    logger.fatal('Video Element Error: ' + msg);
    if (e.error) {
      logger.fatal(e.error);
    }
    errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_13__["default"](e.error.code, msg));
    reset();
  }

  /**
   * Handles mediaError
   * @private
   */
  function _handleMediaErrorDecode() {
    logger.error('A MEDIA_ERR_DECODE occured: Resetting the MediaSource');
    const seekTime = playbackController.getTime();
    // Deactivate the current stream.
    activeStream.deactivate(false);

    // Reset MSE
    logger.info(`MediaSource has been resetted. Resuming playback from time ${seekTime}`);
    _openMediaSource({
      seekTime,
      keepBuffers: false,
      streamActivated: false
    });
  }
  function getActiveStreamInfo() {
    return activeStream ? activeStream.getStreamInfo() : null;
  }
  function getIsStreamSwitchInProgress() {
    return isStreamSwitchingInProgress;
  }
  function getHasMediaOrInitialisationError() {
    return hasMediaError || hasInitialisationError;
  }
  function getStreamById(id) {
    for (let i = 0, ln = streams.length; i < ln; i++) {
      if (streams[i].getId() === id) {
        return streams[i];
      }
    }
    return null;
  }
  function _onManifestValidityChanged(e) {
    if (!isNaN(e.newDuration)) {
      _setMediaDuration(e.newDuration);
    }
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.capabilities) {
      capabilities = config.capabilities;
    }
    if (config.capabilitiesFilter) {
      capabilitiesFilter = config.capabilitiesFilter;
    }
    if (config.manifestLoader) {
      manifestLoader = config.manifestLoader;
    }
    if (config.manifestModel) {
      manifestModel = config.manifestModel;
    }
    if (config.mediaPlayerModel) {
      mediaPlayerModel = config.mediaPlayerModel;
    }
    if (config.customParametersModel) {
      customParametersModel = config.customParametersModel;
    }
    if (config.protectionController) {
      protectionController = config.protectionController;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.errHandler) {
      errHandler = config.errHandler;
    }
    if (config.timelineConverter) {
      timelineConverter = config.timelineConverter;
    }
    if (config.videoModel) {
      videoModel = config.videoModel;
    }
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
    if (config.throughputController) {
      throughputController = config.throughputController;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
    if (config.textController) {
      textController = config.textController;
    }
    if (config.abrController) {
      abrController = config.abrController;
    }
    if (config.mediaController) {
      mediaController = config.mediaController;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.baseURLController) {
      baseURLController = config.baseURLController;
    }
    if (config.uriFragmentModel) {
      uriFragmentModel = config.uriFragmentModel;
    }
    if (config.segmentBaseController) {
      segmentBaseController = config.segmentBaseController;
    }
    if (config.manifestUpdater) {
      manifestUpdater = config.manifestUpdater;
    }
  }
  function setProtectionData(protData) {
    protectionData = protData;
    if (protectionController) {
      protectionController.setProtectionData(protectionData);
    }
  }
  function resetInitialSettings() {
    streams = [];
    providedStartTime = NaN;
    protectionController = null;
    isStreamSwitchingInProgress = false;
    activeStream = null;
    hasMediaError = false;
    hasInitialisationError = false;
    initialPlayback = true;
    initialSteeringRequest = true;
    isPaused = false;
    autoPlay = true;
    playbackEndedTimerInterval = null;
    firstLicenseIsFetched = false;
    preloadingStreams = [];
    waitForPlaybackStartTimeout = null;
    errorInformation = {
      counts: {
        mediaErrorDecode: 0
      }
    };
  }
  function reset() {
    _checkConfig();
    timeSyncController.reset();
    _flushPlaylistMetrics(hasMediaError || hasInitialisationError ? _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace.FAILURE_STOP_REASON : _vo_metrics_PlayList_js__WEBPACK_IMPORTED_MODULE_7__.PlayListTrace.USER_REQUEST_STOP_REASON);
    for (let i = 0, ln = streams ? streams.length : 0; i < ln; i++) {
      const stream = streams[i];
      stream.reset(hasMediaError);
    }
    unRegisterEvents();
    baseURLController.reset();
    manifestUpdater.reset();
    eventController.reset();
    dashMetrics.clearAllCurrentMetrics();
    manifestModel.setValue(null);
    manifestLoader.reset();
    timelineConverter.reset();
    initCache.reset();
    if (mediaSource) {
      mediaSourceController.detachMediaSource(videoModel);
      mediaSource = null;
    }
    videoModel = null;
    if (protectionController) {
      protectionController = null;
      protectionData = null;
      if (manifestModel.getValue()) {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PROTECTION_DESTROYED, {
          data: manifestModel.getValue().url
        });
      }
    }
    _stopPlaybackEndedTimerInterval();
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].STREAM_TEARDOWN_COMPLETE);
    resetInitialSettings();
  }
  function _onMetricAdded(e) {
    if (e.metric === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].DVR_INFO) {
      //Match media type? How can DVR window be different for media types?
      //Should we normalize and union the two?
      const targetMediaType = hasAudioTrack() ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO;
      if (e.mediaType === targetMediaType) {
        mediaSourceController.setSeekable(e.value.range.start, e.value.range.end);
      }
    }
  }
  function refreshManifest() {
    if (!manifestUpdater.getIsUpdating()) {
      manifestUpdater.refreshManifest();
    }
  }
  function getStreams() {
    return streams;
  }
  instance = {
    addDVRMetric,
    getActiveStream,
    getActiveStreamInfo,
    getActiveStreamProcessors,
    getAutoPlay,
    getHasMediaOrInitialisationError,
    getInitialPlayback,
    getIsStreamSwitchInProgress,
    getStreamById,
    getStreamForTime,
    getStreams,
    getTimeRelativeToStreamId,
    hasAudioTrack,
    hasVideoTrack,
    initialize,
    load,
    loadWithManifest,
    refreshManifest,
    reset,
    setConfig,
    setProtectionData,
    switchToVideoElement
  };
  setup();
  return instance;
}
StreamController.__dashjs_factory_name = 'StreamController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__["default"].getSingletonFactory(StreamController));

/***/ }),

/***/ "./src/streaming/controllers/ThroughputController.js":
/*!***********************************************************!*\
  !*** ./src/streaming/controllers/ThroughputController.js ***!
  \***********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _models_ThroughputModel_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../models/ThroughputModel.js */ "./src/streaming/models/ThroughputModel.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2017, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









/**
 * @constructor
 * @ignore
 */
function ThroughputController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance();
  let throughputModel, playbackController, settings;
  function initialize() {
    throughputModel = (0,_models_ThroughputModel_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      settings
    });
    _registerEvents();
  }
  function setConfig(config) {
    if (config.settings) {
      settings = config.settings;
    }
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
  }
  function _registerEvents() {
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].METRIC_ADDED, _onMetricAdded, instance);
    if (performance) {
      performance.addEventListener('resourcetimingbufferfull', _onResourceTimingBufferFull);
    }
  }
  function _resetEvents() {
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].METRIC_ADDED, _onMetricAdded, instance);
    if (performance) {
      performance.removeEventListener('resourcetimingbufferfull', _onResourceTimingBufferFull);
    }
  }
  function _onResourceTimingBufferFull() {
    performance.clearResourceTimings();
  }

  /**
   * Push new values to the throughput model once an HTTP request completed
   * @param {object} e
   * @private
   */
  function _onMetricAdded(e) {
    if (e.metric === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_3__["default"].HTTP_REQUEST && e.value && (e.value.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MPD_TYPE || e.value.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_4__.HTTPRequest.MEDIA_SEGMENT_TYPE && (e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO))) {
      throughputModel.addEntry(e.mediaType, e.value);
    }
  }

  /**
   * Get average value
   * @param {string} throughputType
   * @param {string} mediaType
   * @param {string|null} calculationMode
   * @param {number} sampleSize
   * @return {number}
   * @private
   */
  function _getAverage(throughputType, mediaType) {
    let calculationMode = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
    let sampleSize = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : NaN;
    let dict = null;
    let ewmaHalfLife = throughputModel.getEwmaHalfLife();
    let halfLife = null;
    let useMin = true;
    if (!calculationMode) {
      calculationMode = settings.get().streaming.abr.throughput.averageCalculationMode;
    }
    switch (throughputType) {
      // Set the parameters for the standard bandwidth calculation based on throughput values for a media type
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_TYPES.BANDWIDTH:
        dict = calculationMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.EWMA ? throughputModel.getEwmaThroughputDict(mediaType) : throughputModel.getThroughputDict(mediaType);
        halfLife = ewmaHalfLife.bandwidthHalfLife;
        useMin = true;
        sampleSize = !isNaN(sampleSize) ? sampleSize : playbackController.getIsDynamic() ? settings.get().streaming.abr.throughput.sampleSettings.live : settings.get().streaming.abr.throughput.sampleSettings.vod;
        break;

      // Set the parameters for the standard latency calculation based on throughput values for a media type
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_TYPES.LATENCY:
        dict = calculationMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.EWMA ? throughputModel.getEwmaLatencyDict(mediaType) : throughputModel.getLatencyDict(mediaType);
        halfLife = ewmaHalfLife.latencyHalfLife;
        useMin = false;
        sampleSize = !isNaN(sampleSize) ? sampleSize : settings.get().streaming.abr.throughput.sampleSettings.averageLatencySampleAmount;
        break;
    }
    if (!dict || dict.length === 0) {
      return NaN;
    }
    let adjustedSampleSize;
    switch (calculationMode) {
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.ARITHMETIC_MEAN:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getArithmeticMean(dict, adjustedSampleSize);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.BYTE_SIZE_WEIGHTED_ARITHMETIC_MEAN:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getByteSizeWeightedArithmeticMean(dict, adjustedSampleSize);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.DATE_WEIGHTED_ARITHMETIC_MEAN:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getDateWeightedArithmeticMean(dict, adjustedSampleSize);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.HARMONIC_MEAN:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getHarmonicMean(dict, adjustedSampleSize);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.BYTE_SIZE_WEIGHTED_HARMONIC_MEAN:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getByteSizeWeightedHarmonicMean(dict, adjustedSampleSize);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.DATE_WEIGHTED_HARMONIC_MEAN:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getDateWeightedHarmonicMean(dict, adjustedSampleSize);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.EWMA:
        return getEwma(dict, halfLife, useMin);
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_CALCULATION_MODES.ZLEMA:
        adjustedSampleSize = _getAdjustedSampleSize(dict, sampleSize, throughputType);
        return getZlema(dict, adjustedSampleSize);
    }
  }

  /**
   * @param {array} dict
   * @param {number} sampleSize
   * @param {string} type
   * @return {number}
   * @private
   */
  function _getAdjustedSampleSize(dict, sampleSize, type) {
    if (!dict) {
      sampleSize = 0;
    } else if (sampleSize >= dict.length) {
      sampleSize = dict.length;
    } else if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_TYPES.BANDWIDTH && settings.get().streaming.abr.throughput.sampleSettings.enableSampleSizeAdjustment) {
      // if throughput samples vary a lot, average over a wider sample
      for (let i = 1; i < sampleSize; ++i) {
        const ratio = dict[dict.length - i].value / dict[dict.length - i - 1].value;
        if (ratio >= settings.get().streaming.abr.throughput.sampleSettings.increaseScale || ratio <= settings.get().streaming.abr.throughput.sampleSettings.decreaseScale) {
          sampleSize += 1;
          if (sampleSize === dict.length) {
            // cannot increase sampleSize beyond arr.length
            break;
          }
        }
      }
    }
    return sampleSize;
  }

  /**
   * Calculate the arithmetic mean of the values provided via the dict
   * @param {array} dict
   * @param {number} sampleSize
   * @return {number|*}
   * @private
   */
  function getArithmeticMean(dict, sampleSize) {
    let arr = dict;
    if (sampleSize === 0 || !arr || arr.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    arr = arr.slice(-sampleSize);
    return arr.reduce((total, entry) => {
      return total + entry.value;
    }, 0) / arr.length;
  }

  /**
   * Calculates the byte size weighted arithmetic mean of the values provided via the dict
   * @param {array} dict
   * @param {number} sampleSize
   * @return {number|*}
   * @private
   */
  function getByteSizeWeightedArithmeticMean(dict, sampleSize) {
    let arr = dict;
    if (sampleSize === 0 || !arr || arr.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    arr = arr.slice(-sampleSize);
    let divideBy = 0;
    return arr.reduce((total, entry) => {
      let weight = Math.sqrt(entry.downloadedBytes);
      divideBy += weight;
      return total + entry.value * weight;
    }, 0) / divideBy;
  }

  /**
   * Calculates the time weighted arithmetic mean of the values provided via the dict
   * @param {array} dict
   * @param {number} sampleSize
   * @return {number|*}
   * @private
   */
  function getDateWeightedArithmeticMean(dict, sampleSize) {
    let arr = dict;
    if (sampleSize === 0 || !arr || arr.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    arr = arr.slice(-sampleSize);
    let divideBy = 0;
    return arr.reduce((total, entry, index) => {
      let weight = index + 1;
      divideBy += weight;
      return total + entry.value * weight;
    }, 0) / divideBy;
  }

  /**
   * Calculate the harmonic mean of the values provided via the dict
   * @param {array} dict
   * @param {number} sampleSize
   * @return {number|*}
   * @private
   */
  function getHarmonicMean(dict, sampleSize) {
    let arr = dict;
    if (sampleSize === 0 || !arr || arr.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    arr = arr.slice(-sampleSize);
    const value = arr.reduce((total, entry) => {
      return total + 1 / entry.value;
    }, 0);
    return arr.length / value;
  }

  /**
   * Calculate the harmonic mean of the values provided via the dict
   * @param {array} dict
   * @param {number} sampleSize
   * @return {number|*}
   * @private
   */
  function getByteSizeWeightedHarmonicMean(dict, sampleSize) {
    let arr = dict;
    if (sampleSize === 0 || !arr || arr.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    arr = arr.slice(-sampleSize);
    let dividend = 0;
    const value = arr.reduce((total, entry) => {
      let weight = Math.sqrt(entry.downloadedBytes);
      dividend += weight;
      return total + 1 / entry.value * weight;
    }, 0);
    return dividend / value;
  }

  /**
   * Calculates the time weighted harmonic mean of the values provided via the dict
   * @param {array} dict
   * @param {number} sampleSize
   * @return {number|*}
   * @private
   */
  function getDateWeightedHarmonicMean(dict, sampleSize) {
    let arr = dict;
    if (sampleSize === 0 || !arr || arr.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    arr = arr.slice(-sampleSize);
    let dividend = 0;
    const value = arr.reduce((total, entry, index) => {
      let weight = index + 1;
      dividend += weight;
      return total + 1 / entry.value * weight;
    }, 0);
    return dividend / value;
  }

  /**
   * Calculated the exponential weighted moving average for the values provided via the dict
   * @param {object} dict
   * @param {object} halfLife
   * @param {boolean} useMin - Whether to apply Math.min of the fastEstimate and the slowEstimate
   * @return {number}
   * @private
   */
  function getEwma(dict, halfLife) {
    let useMin = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    if (!dict || dict.totalWeight <= 0) {
      return NaN;
    }

    // to correct for startup, divide by zero factor = 1 - Math.pow(0.5, ewmaObj.totalWeight / halfLife)
    const fastEstimate = dict.fastEstimate / (1 - Math.pow(0.5, dict.totalWeight / halfLife.fast));
    const slowEstimate = dict.slowEstimate / (1 - Math.pow(0.5, dict.totalWeight / halfLife.slow));
    return useMin ? Math.min(fastEstimate, slowEstimate) : Math.max(fastEstimate, slowEstimate);
  }

  /**
   * Calculates the Zero-Lag Exponential Moving Average
   * @param {array} dict
   * @param {number} sampleSize
   * @returns {number}
   */
  function getZlema(dict, sampleSize) {
    if (sampleSize === 0 || !dict || dict.length === 0) {
      return NaN;
    }

    // Extract the last n elements
    let values = dict.slice(-sampleSize).map(entry => {
      return entry.value;
    });
    let alpha = 2 / (values.length + 1);
    let ema = values[values.length - 1];
    let zlema = values[values.length - 1];
    for (let i = 0; i < values.length; i++) {
      ema = alpha * values[i] + (1 - alpha) * ema;
      zlema = alpha * ema + (1 - alpha) * zlema;
    }
    return zlema;
  }

  /**
   * Returns the average throughput based on the provided calculation mode. The returned value is depicted in kbit/s
   * @param {string} mediaType
   * @param {string | null} calculationMode
   * @param {number | NaN} sampleSize
   * @return {number}
   */
  function getAverageThroughput(mediaType) {
    let calculationMode = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let sampleSize = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : NaN;
    const value = _getAverage(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_TYPES.BANDWIDTH, mediaType, calculationMode, sampleSize);
    return Math.round(value);
  }

  /**
   * Returns the average throughout applying the bandwidth safety factor provided in the settings. The returned value is depicted in kbit/s
   * @param {string} mediaType
   * @param {string | null} calculationMode
   * @param {number | NaN} sampleSize
   * @return {number}
   */
  function getSafeAverageThroughput(mediaType) {
    let calculationMode = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let sampleSize = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : NaN;
    let average = getAverageThroughput(mediaType, calculationMode, sampleSize);
    if (!isNaN(average)) {
      average *= settings.get().streaming.abr.throughput.bandwidthSafetyFactor;
    }
    return average;
  }

  /**
   * Returns the average latency based on the provided calculation mode
   * @param {string} mediaType
   * @param {string | null} calculationMode
   * @param {number | NaN} sampleSize
   * @return {number}
   */
  function getAverageLatency(mediaType) {
    let calculationMode = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    let sampleSize = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : NaN;
    const value = _getAverage(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THROUGHPUT_TYPES.LATENCY, mediaType, calculationMode, sampleSize);
    return Math.round(value);
  }

  /**
   * Returns the raw throughput measurements without calculating the average
   * @param mediaType
   * @returns {*}
   */
  function getRawThroughputData(mediaType) {
    if (!mediaType) {
      return [];
    }
    return throughputModel.getThroughputDict(mediaType);
  }
  function reset() {
    throughputModel.reset();
    _resetEvents();
  }
  const instance = {
    getArithmeticMean,
    getAverageLatency,
    getAverageThroughput,
    getByteSizeWeightedArithmeticMean,
    getByteSizeWeightedHarmonicMean,
    getDateWeightedArithmeticMean,
    getDateWeightedHarmonicMean,
    getEwma,
    getHarmonicMean,
    getRawThroughputData,
    getSafeAverageThroughput,
    getZlema,
    initialize,
    reset,
    setConfig
  };
  return instance;
}
ThroughputController.__dashjs_factory_name = 'ThroughputController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getSingletonFactory(ThroughputController));

/***/ }),

/***/ "./src/streaming/controllers/TimeSyncController.js":
/*!*********************************************************!*\
  !*** ./src/streaming/controllers/TimeSyncController.js ***!
  \*********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./../vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








const HTTP_TIMEOUT_MS = 5000;
const DEFAULT_MAXIMUM_ALLOWED_DRIFT = 100;
const DEFAULT_TIME_BETWEEN_SYNC_ATTEMPTS_ADJUSTMENT_FACTOR = 2;
const DEFAULT_BACKGROUND_ATTEMPTS = 2;
const DEFAULT_TIME_BETWEEN_SYNC_ATTEMPTS = 30;
const DEFAULT_MINIMUM_TIME_BETWEEN_BACKGROUND_SYNC_ATTEMPTS = 30;
const DEFAULT_MAXIMUM_TIME_BETWEEN_SYNC = 600;
const DEFAULT_MINIMUM_TIME_BETWEEN_SYNC = 2;
function TimeSyncController() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
  let instance, logger, isSynchronizing, isBackgroundSynchronizing, settings, handlers, dashMetrics, backgroundSyncTimeOffsets, timingSources, timeOfLastSync, timeOfLastBackgroundSync, lastOffset, lastTimingSource, internalTimeBetweenSyncAttempts, errHandler, baseURLController;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance().getLogger(instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].ATTEMPT_BACKGROUND_SYNC, _onAttemptBackgroundSync, instance);
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.baseURLController) {
      baseURLController = config.baseURLController;
    }
    if (config.errHandler) {
      errHandler = config.errHandler;
    }
    if (config.settings) {
      settings = config.settings;
    }
  }
  function _resetInitialSettings() {
    backgroundSyncTimeOffsets = [];
    timingSources = [];
    timeOfLastSync = null;
    timeOfLastBackgroundSync = null;
    lastTimingSource = null;
    lastOffset = NaN;
    isSynchronizing = false;
    isBackgroundSynchronizing = false;
    internalTimeBetweenSyncAttempts = settings.get().streaming.utcSynchronization.timeBetweenSyncAttempts;
  }

  /**
   * Register the timing handler depending on the schemeIdUris. This method is called once when the StreamController is initialized
   */
  function initialize() {
    _resetInitialSettings();

    // a list of known schemeIdUris and a method to call with @value
    handlers = {
      'urn:mpeg:dash:utc:http-head:2014': _httpHeadHandler,
      'urn:mpeg:dash:utc:http-xsdate:2014': _httpHandler.bind(null, _xsdatetimeDecoder),
      'urn:mpeg:dash:utc:http-iso:2014': _httpHandler.bind(null, _iso8601Decoder),
      'urn:mpeg:dash:utc:direct:2014': _directHandler,
      // some specs referencing early ISO23009-1 drafts incorrectly use
      // 2012 in the URI, rather than 2014. support these for now.
      'urn:mpeg:dash:utc:http-head:2012': _httpHeadHandler,
      'urn:mpeg:dash:utc:http-xsdate:2012': _httpHandler.bind(null, _xsdatetimeDecoder),
      'urn:mpeg:dash:utc:http-iso:2012': _httpHandler.bind(null, _iso8601Decoder),
      'urn:mpeg:dash:utc:direct:2012': _directHandler,
      // it isn't clear how the data returned would be formatted, and
      // no public examples available so http-ntp not supported for now.
      // presumably you would do an arraybuffer type xhr and decode the
      // binary data returned but I would want to see a sample first.
      'urn:mpeg:dash:utc:http-ntp:2014': _notSupportedHandler,
      // not clear how this would be supported in javascript (in browser)
      'urn:mpeg:dash:utc:ntp:2014': _notSupportedHandler,
      'urn:mpeg:dash:utc:sntp:2014': _notSupportedHandler
    };
  }

  /**
   * Sync against a timing source. T
   * @param {array} tSources
   * @param {boolean} isDynamic
   */
  function attemptSync(tSources, isDynamic) {
    timingSources = tSources;

    // Stop if we are already synchronizing
    if (isSynchronizing) {
      return;
    }

    // No synchronization required we can signal the completion immediately
    if (!_shouldPerformSynchronization(isDynamic)) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].TIME_SYNCHRONIZATION_COMPLETED);
      return;
    }
    isSynchronizing = true;
    _attemptRecursiveSync();
  }

  /**
   * Does a synchronization in the background in case the last offset should be verified or a 404 occurs
   */
  function _onAttemptBackgroundSync() {
    if (!settings.get().streaming.utcSynchronization.enabled || isSynchronizing || isBackgroundSynchronizing || !lastTimingSource || !lastTimingSource.value || !lastTimingSource.schemeIdUri || isNaN(lastOffset) || isNaN(settings.get().streaming.utcSynchronization.backgroundAttempts)) {
      return;
    }
    if (timeOfLastBackgroundSync && (Date.now() - timeOfLastBackgroundSync) / 1000 < DEFAULT_MINIMUM_TIME_BETWEEN_BACKGROUND_SYNC_ATTEMPTS) {
      return;
    }
    backgroundSyncTimeOffsets = [];
    isBackgroundSynchronizing = true;
    const backgroundAttempts = !isNaN(settings.get().streaming.utcSynchronization.backgroundAttempts) ? settings.get().streaming.utcSynchronization.backgroundAttempts : DEFAULT_BACKGROUND_ATTEMPTS;
    _attemptBackgroundSync(backgroundAttempts);
  }

  /**
   * Perform a defined number of background attempts
   * @param {number} attempts
   * @private
   */
  function _attemptBackgroundSync(attempts) {
    try {
      if (attempts <= 0) {
        _completeBackgroundTimeSyncSequence();
        return;
      }
      const deviceTimeBeforeSync = Date.now();
      handlers[lastTimingSource.schemeIdUri](lastTimingSource.value, function (serverTime) {
        // the timing source returned something useful
        const deviceTimeAfterSync = Date.now();
        const offset = _calculateOffset(deviceTimeBeforeSync, deviceTimeAfterSync, serverTime);
        backgroundSyncTimeOffsets.push(offset);
        _attemptBackgroundSync(attempts - 1);
      }, function () {
        _completeBackgroundTimeSyncSequence();
      });
    } catch (e) {
      _completeBackgroundTimeSyncSequence();
    }
  }

  /**
   * Sync against a timing source. This method is called recursively if the time sync for the first entry in timingSources fails.
   * @param {number} sourceIndex
   */
  function _attemptRecursiveSync() {
    let sourceIndex = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    // if called with no sourceIndex, use zero (highest priority)
    let index = sourceIndex || 0;

    // the sources should be ordered in priority from the manifest.
    // try each in turn, from the top, until either something
    // sensible happens, or we run out of sources to try.
    if (!timingSources || timingSources.length === 0 || index >= timingSources.length) {
      _onComplete();
      return;
    }
    let source = timingSources[index];
    if (source) {
      // check if there is a handler for this @schemeIdUri
      if (handlers.hasOwnProperty(source.schemeIdUri)) {
        // if so, call it with its @value
        const deviceTimeBeforeSync = new Date().getTime();
        handlers[source.schemeIdUri](source.value, function (serverTime) {
          // the timing source returned something useful
          const deviceTimeAfterSync = new Date().getTime();
          const offset = _calculateOffset(deviceTimeBeforeSync, deviceTimeAfterSync, serverTime);
          lastTimingSource = source;
          _onComplete(offset);
        }, function () {
          // the timing source was probably uncontactable
          // or returned something we can't use - try again
          // with the remaining sources
          _attemptRecursiveSync(index + 1);
        });
      } else {
        // an unknown schemeIdUri must have been found
        // try again with the remaining sources
        _attemptRecursiveSync(index + 1);
      }
    } else {
      // no valid time source could be found, just use device time
      _onComplete();
    }
  }

  /**
   * Calculate the offset between client and server. Account for the roundtrip time
   * @param {number} deviceTimeBeforeSync
   * @param {number} deviceTimeAfterSync
   * @param {number} serverTime
   * @return {number}
   * @private
   */
  function _calculateOffset(deviceTimeBeforeSync, deviceTimeAfterSync, serverTime) {
    const deviceReferenceTime = deviceTimeAfterSync - (deviceTimeAfterSync - deviceTimeBeforeSync) / 2;
    return serverTime - deviceReferenceTime;
  }

  /**
   * Checks if a synchronization is required
   * @param {boolean} isDynamic
   * @return {boolean}
   * @private
   */
  function _shouldPerformSynchronization(isDynamic) {
    try {
      if (!isDynamic || !settings.get().streaming.utcSynchronization.enabled) {
        return false;
      }
      const timeBetweenSyncAttempts = !isNaN(internalTimeBetweenSyncAttempts) ? internalTimeBetweenSyncAttempts : DEFAULT_TIME_BETWEEN_SYNC_ATTEMPTS;
      if (!timeOfLastSync || !timeBetweenSyncAttempts || isNaN(timeBetweenSyncAttempts)) {
        return true;
      }
      return (Date.now() - timeOfLastSync) / 1000 >= timeBetweenSyncAttempts;
    } catch (e) {
      return true;
    }
  }

  /**
   * Callback after sync has been completed
   * @param {number} offset
   * @private
   */
  function _onComplete() {
    let offset = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : NaN;
    let failed = isNaN(offset);
    if (failed && settings.get().streaming.utcSynchronization.useManifestDateHeaderTimeSource) {
      //Before falling back to binary search , check if date header exists on MPD. if so, use for a time source.
      _checkForDateHeader();
    } else {
      _completeTimeSyncSequence(failed, offset);
    }
  }

  /**
   * Takes xsdatetime and returns milliseconds since UNIX epoch. May not be necessary as xsdatetime is very similar to ISO 8601 which is natively understood by javascript Date parser
   * @param {string} xsdatetimeStr
   * @return {number}
   * @private
   */
  function _alternateXsdatetimeDecoder(xsdatetimeStr) {
    // taken from DashParser - should probably refactor both uses
    const SECONDS_IN_MIN = 60;
    const MINUTES_IN_HOUR = 60;
    const MILLISECONDS_IN_SECONDS = 1000;
    let datetimeRegex = /^([0-9]{4})-([0-9]{2})-([0-9]{2})T([0-9]{2}):([0-9]{2})(?::([0-9]*)(\.[0-9]*)?)?(?:([+\-])([0-9]{2})([0-9]{2}))?/;
    let utcDate, timezoneOffset;
    let match = datetimeRegex.exec(xsdatetimeStr);

    // If the string does not contain a timezone offset different browsers can interpret it either
    // as UTC or as a local time so we have to parse the string manually to normalize the given date value for
    // all browsers
    utcDate = Date.UTC(parseInt(match[1], 10), parseInt(match[2], 10) - 1,
    // months start from zero
    parseInt(match[3], 10), parseInt(match[4], 10), parseInt(match[5], 10), match[6] && (parseInt(match[6], 10) || 0), match[7] && parseFloat(match[7]) * MILLISECONDS_IN_SECONDS || 0);
    // If the date has timezone offset take it into account as well
    if (match[9] && match[10]) {
      timezoneOffset = parseInt(match[9], 10) * MINUTES_IN_HOUR + parseInt(match[10], 10);
      utcDate += (match[8] === '+' ? -1 : +1) * timezoneOffset * SECONDS_IN_MIN * MILLISECONDS_IN_SECONDS;
    }
    return new Date(utcDate).getTime();
  }

  /**
   * Try to use the built in parser, since xsdate is a constrained ISO8601 which is supported natively by Date.parse. if that fails, try a regex-based version used elsewhere in this application.
   * @param {string} xsdatetimeStr
   * @return {number}
   */
  function _xsdatetimeDecoder(xsdatetimeStr) {
    let parsedDate = Date.parse(xsdatetimeStr);
    if (isNaN(parsedDate)) {
      parsedDate = _alternateXsdatetimeDecoder(xsdatetimeStr);
    }
    return parsedDate;
  }

  /**
   * Takes ISO 8601 timestamp and returns milliseconds since UNIX epoch
   * @param {string} isoStr
   * @return {number}
   */
  function _iso8601Decoder(isoStr) {
    return Date.parse(isoStr);
  }

  /**
   * Takes RFC 1123 timestamp (which is same as ISO8601) and returns milliseconds since UNIX epoch
   * @param {string} dateStr
   * @return {number}
   */
  function _rfc1123Decoder(dateStr) {
    return Date.parse(dateStr);
  }

  /**
   * Handler for unsupported scheme ids.
   * @param {string} url
   * @param {function} onSuccessCB
   * @param {function} onFailureCB
   * @private
   */
  function _notSupportedHandler(url, onSuccessCB, onFailureCB) {
    onFailureCB();
  }

  /**
   * Direct handler
   * @param {string} xsdatetimeStr
   * @param {function} onSuccessCB
   * @param {function} onFailureCB
   */
  function _directHandler(xsdatetimeStr, onSuccessCB, onFailureCB) {
    let time = _xsdatetimeDecoder(xsdatetimeStr);
    if (!isNaN(time)) {
      onSuccessCB(time);
      return;
    }
    onFailureCB();
  }

  /**
   * Generic http handler
   * @param {function} decoder
   * @param {string} url
   * @param {function} onSuccessCB
   * @param {function} onFailureCB
   * @param {boolean} isHeadRequest
   * @private
   */
  function _httpHandler(decoder, url, onSuccessCB, onFailureCB, isHeadRequest) {
    let oncomplete, onload;
    let complete = false;
    let req = new XMLHttpRequest();
    let verb = isHeadRequest ? _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.HEAD : _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.GET;
    let urls = url.match(/\S+/g);

    // according to ISO 23009-1, url could be a white-space
    // separated list of URLs. just handle one at a time.
    url = urls.shift();
    oncomplete = function () {
      if (complete) {
        return;
      }

      // we only want to pass through here once per xhr,
      // regardless of whether the load was successful.
      complete = true;

      // if there are more urls to try, call self.
      if (urls.length) {
        _httpHandler(decoder, urls.join(' '), onSuccessCB, onFailureCB, isHeadRequest);
      } else {
        onFailureCB();
      }
    };
    onload = function () {
      let time, result;
      if (req.status === 200) {
        time = isHeadRequest ? req.getResponseHeader('Date') : req.response;
        result = decoder(time);

        // decoder returns NaN if non-standard input
        if (!isNaN(result)) {
          onSuccessCB(result);
          complete = true;
        }
      }
    };
    if (urlUtils.isRelative(url)) {
      // passing no path to resolve will return just MPD BaseURL/baseUri
      const baseUrl = baseURLController.resolve();
      if (baseUrl) {
        url = urlUtils.resolve(url, baseUrl.url);
      }
    }
    req.open(verb, url);
    req.timeout = HTTP_TIMEOUT_MS || 0;
    req.onload = onload;
    req.onloadend = oncomplete;
    req.send();
  }

  /**
   * Handler for http-head schemeIdUri
   * @param {string} url
   * @param {function} onSuccessCB
   * @param {function} onFailureCB
   * @private
   */
  function _httpHeadHandler(url, onSuccessCB, onFailureCB) {
    _httpHandler(_rfc1123Decoder, url, onSuccessCB, onFailureCB, true);
  }

  /**
   * Checks if a date header is present in the MPD response and calculates the offset based on the header
   * @private
   */
  function _checkForDateHeader() {
    let dateHeaderValue = dashMetrics.getLatestMPDRequestHeaderValueByID('Date');
    let dateHeaderTime = dateHeaderValue !== null ? new Date(dateHeaderValue).getTime() : Number.NaN;
    if (!isNaN(dateHeaderTime)) {
      const offsetToDeviceTimeMs = dateHeaderTime - Date.now();
      _completeTimeSyncSequence(false, offsetToDeviceTimeMs);
    } else {
      _completeTimeSyncSequence(true);
    }
  }

  /**
   * Triggers the event to signal that the time synchronization was completed
   * @param {boolean} failed
   * @param {number} offset
   * @private
   */
  function _completeTimeSyncSequence(failed, offset) {
    // Adjust the time of the next sync based on the drift between current offset and last offset
    if (!isNaN(lastOffset) && !isNaN(offset) && !failed) {
      _adjustTimeBetweenSyncAttempts(offset);
    }

    // Update the internal data
    if (!failed && !isNaN(offset)) {
      timeOfLastSync = Date.now();
      isSynchronizing = false;

      // if this is the first sync we are doing perform background syncs as well to confirm current offset
      const shouldAttemptBackgroundSync = isNaN(lastOffset);
      lastOffset = offset;
      if (shouldAttemptBackgroundSync) {
        _onAttemptBackgroundSync();
      }
      logger.debug(`Completed UTC sync. Setting client - server offset to ${offset}`);
    }
    if (failed) {
      lastTimingSource = null;
      isSynchronizing = false;
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_0__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_4__["default"].TIME_SYNC_FAILED_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_4__["default"].TIME_SYNC_FAILED_ERROR_MESSAGE));
    }

    // Notify other classes
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].UPDATE_TIME_SYNC_OFFSET, {
      offset: offset
    });
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].TIME_SYNCHRONIZATION_COMPLETED);
  }
  function _adjustTimeBetweenSyncAttempts(offset) {
    try {
      const isOffsetDriftWithinThreshold = _isOffsetDriftWithinThreshold(offset);
      const timeBetweenSyncAttempts = !isNaN(internalTimeBetweenSyncAttempts) ? internalTimeBetweenSyncAttempts : DEFAULT_TIME_BETWEEN_SYNC_ATTEMPTS;
      const timeBetweenSyncAttemptsAdjustmentFactor = !isNaN(settings.get().streaming.utcSynchronization.timeBetweenSyncAttemptsAdjustmentFactor) ? settings.get().streaming.utcSynchronization.timeBetweenSyncAttemptsAdjustmentFactor : DEFAULT_TIME_BETWEEN_SYNC_ATTEMPTS_ADJUSTMENT_FACTOR;
      const maximumTimeBetweenSyncAttempts = !isNaN(settings.get().streaming.utcSynchronization.maximumTimeBetweenSyncAttempts) ? settings.get().streaming.utcSynchronization.maximumTimeBetweenSyncAttempts : DEFAULT_MAXIMUM_TIME_BETWEEN_SYNC;
      const minimumTimeBetweenSyncAttempts = !isNaN(settings.get().streaming.utcSynchronization.minimumTimeBetweenSyncAttempts) ? settings.get().streaming.utcSynchronization.minimumTimeBetweenSyncAttempts : DEFAULT_MINIMUM_TIME_BETWEEN_SYNC;
      let adjustedTimeBetweenSyncAttempts;
      if (isOffsetDriftWithinThreshold) {
        // The drift between the current offset and the last offset is within the allowed threshold. Increase sync time
        adjustedTimeBetweenSyncAttempts = Math.min(timeBetweenSyncAttempts * timeBetweenSyncAttemptsAdjustmentFactor, maximumTimeBetweenSyncAttempts);
        logger.debug(`Increasing timeBetweenSyncAttempts to ${adjustedTimeBetweenSyncAttempts}`);
      } else {
        // Drift between the current offset and the last offset is not within the allowed threshold. Decrease sync time
        adjustedTimeBetweenSyncAttempts = Math.max(timeBetweenSyncAttempts / timeBetweenSyncAttemptsAdjustmentFactor, minimumTimeBetweenSyncAttempts);
        logger.debug(`Decreasing timeBetweenSyncAttempts to ${adjustedTimeBetweenSyncAttempts}`);
      }
      internalTimeBetweenSyncAttempts = adjustedTimeBetweenSyncAttempts;
    } catch (e) {}
  }

  /**
   * Callback after all background syncs have been completed.
   * @private
   */
  function _completeBackgroundTimeSyncSequence() {
    if (!backgroundSyncTimeOffsets || backgroundSyncTimeOffsets.length === 0) {
      return;
    }
    const averageOffset = backgroundSyncTimeOffsets.reduce((acc, curr) => {
      return acc + curr;
    }, 0) / backgroundSyncTimeOffsets.length;
    if (!_isOffsetDriftWithinThreshold(averageOffset)) {
      logger.debug(`Completed background UTC sync. Setting client - server offset to ${averageOffset}`);
      lastOffset = averageOffset;
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].UPDATE_TIME_SYNC_OFFSET, {
        offset: lastOffset
      });
    } else {
      logger.debug(`Completed background UTC sync. Offset is within allowed threshold and is not adjusted.`);
    }
    isBackgroundSynchronizing = false;
    timeOfLastBackgroundSync = Date.now();
  }
  function _isOffsetDriftWithinThreshold(offset) {
    try {
      if (isNaN(lastOffset)) {
        return true;
      }
      const maxAllowedDrift = settings.get().streaming.utcSynchronization.maximumAllowedDrift && !isNaN(settings.get().streaming.utcSynchronization.maximumAllowedDrift) ? settings.get().streaming.utcSynchronization.maximumAllowedDrift : DEFAULT_MAXIMUM_ALLOWED_DRIFT;
      const lowerBound = lastOffset - maxAllowedDrift;
      const upperBound = lastOffset + maxAllowedDrift;
      return offset >= lowerBound && offset <= upperBound;
    } catch (e) {
      return true;
    }
  }
  function reset() {
    _resetInitialSettings();
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].ATTEMPT_BACKGROUND_SYNC, _onAttemptBackgroundSync, instance);
  }
  instance = {
    initialize,
    attemptSync,
    setConfig,
    reset
  };
  setup();
  return instance;
}
TimeSyncController.__dashjs_factory_name = 'TimeSyncController';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__["default"].getSingletonFactory(TimeSyncController);
factory.HTTP_TIMEOUT_MS = HTTP_TIMEOUT_MS;
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__["default"].updateSingletonFactory(TimeSyncController.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/controllers/XlinkController.js":
/*!******************************************************!*\
  !*** ./src/streaming/controllers/XlinkController.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _XlinkLoader_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../XlinkLoader.js */ "./src/streaming/XlinkLoader.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






const RESOLVE_TYPE_ONLOAD = 'onLoad';
const RESOLVE_TYPE_ONACTUATE = 'onActuate';
const RESOLVE_TO_ZERO = 'urn:mpeg:dash:resolve-to-zero:2013';
function XlinkController(config) {
  config = config || {};
  let context = this.context;
  let eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let instance, parser, manifest, xlinkLoader;
  function setup() {
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].XLINK_ELEMENT_LOADED, onXlinkElementLoaded, instance);
    xlinkLoader = (0,_XlinkLoader_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create({
      errHandler: config.errHandler,
      dashMetrics: config.dashMetrics,
      mediaPlayerModel: config.mediaPlayerModel,
      settings: config.settings
    });
  }
  function setParser(value) {
    if (value) {
      parser = value;
    }
  }

  /**
   * <p>Triggers the resolution of the xlink.onLoad attributes in the manifest file </p>
   * @param {Object} mpd - the manifest
   */
  function resolveManifestOnLoad(mpd) {
    let elements;
    // First resolve all periods, so unnecessary requests inside onLoad Periods with Default content are avoided
    manifest = mpd;
    if (manifest.Period) {
      elements = getElementsToResolve(manifest.Period, manifest, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD, RESOLVE_TYPE_ONLOAD);
      resolve(elements, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD, RESOLVE_TYPE_ONLOAD);
    } else {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].XLINK_READY, {
        manifest: manifest
      });
    }
  }
  function reset() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].XLINK_ELEMENT_LOADED, onXlinkElementLoaded, instance);
    if (xlinkLoader) {
      xlinkLoader.reset();
      xlinkLoader = null;
    }
  }
  function resolve(elements, type, resolveType) {
    let resolveObject = {};
    let element, url;
    resolveObject.elements = elements;
    resolveObject.type = type;
    resolveObject.resolveType = resolveType;
    // If nothing to resolve, directly call allElementsLoaded
    if (resolveObject.elements.length === 0) {
      onXlinkAllElementsLoaded(resolveObject);
    }
    for (let i = 0; i < resolveObject.elements.length; i++) {
      element = resolveObject.elements[i];
      if (urlUtils.isHTTPURL(element.url)) {
        url = element.url;
      } else {
        url = element.originalContent.BaseURL + element.url;
      }
      xlinkLoader.load(url, element, resolveObject);
    }
  }
  function onXlinkElementLoaded(event) {
    let element, resolveObject;
    const openingTag = '<response>';
    const closingTag = '</response>';
    let mergedContent = '';
    element = event.element;
    resolveObject = event.resolveObject;
    // if the element resolved into content parse the content
    if (element.resolvedContent) {
      let index = 0;
      // we add a parent elements so the converter is able to parse multiple elements of the same type which are not wrapped inside a container
      if (element.resolvedContent.indexOf('<?xml') === 0) {
        index = element.resolvedContent.indexOf('?>') + 2; //find the closing position of the xml declaration, if it exists.
      }
      mergedContent = element.resolvedContent.substr(0, index) + openingTag + element.resolvedContent.substr(index) + closingTag;
      element.resolvedContent = parser.parseXml(mergedContent).response;
    }
    if (isResolvingFinished(resolveObject)) {
      onXlinkAllElementsLoaded(resolveObject);
    }
  }

  // We got to wait till all elements of the current queue are resolved before merging back
  function onXlinkAllElementsLoaded(resolveObject) {
    let elements = [];
    let i, obj;
    mergeElementsBack(resolveObject);
    if (resolveObject.resolveType === RESOLVE_TYPE_ONACTUATE) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].XLINK_READY, {
        manifest: manifest
      });
    }
    if (resolveObject.resolveType === RESOLVE_TYPE_ONLOAD) {
      switch (resolveObject.type) {
        // Start resolving the other elements. We can do Adaptation Set and EventStream in parallel
        case _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD:
          for (i = 0; i < manifest[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD].length; i++) {
            obj = manifest[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].PERIOD][i];
            if (obj.hasOwnProperty(_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].ADAPTATION_SET)) {
              elements = elements.concat(getElementsToResolve(obj[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].ADAPTATION_SET], obj, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].ADAPTATION_SET, RESOLVE_TYPE_ONLOAD));
            }
            if (obj.hasOwnProperty(_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].EVENT_STREAM)) {
              elements = elements.concat(getElementsToResolve(obj[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].EVENT_STREAM], obj, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].EVENT_STREAM, RESOLVE_TYPE_ONLOAD));
            }
          }
          resolve(elements, _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].ADAPTATION_SET, RESOLVE_TYPE_ONLOAD);
          break;
        case _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].ADAPTATION_SET:
          // TODO: Resolve SegmentList here
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].XLINK_READY, {
            manifest: manifest
          });
          break;
      }
    }
  }

  // Returns the elements with the specific resolve Type
  function getElementsToResolve(elements, parentElement, type, resolveType) {
    let toResolve = [];
    let element, i, xlinkObject;
    // first remove all the resolve-to-zero elements
    for (i = elements.length - 1; i >= 0; i--) {
      element = elements[i];
      if (element.hasOwnProperty('xlink:href') && element['xlink:href'] === RESOLVE_TO_ZERO) {
        elements.splice(i, 1);
      }
    }
    // now get the elements with the right resolve type
    for (i = 0; i < elements.length; i++) {
      element = elements[i];
      if (element.hasOwnProperty('xlink:href') && element.hasOwnProperty('xlink:actuate') && element['xlink:actuate'] === resolveType) {
        xlinkObject = createXlinkObject(element['xlink:href'], parentElement, type, i, resolveType, element);
        toResolve.push(xlinkObject);
      }
    }
    return toResolve;
  }
  function mergeElementsBack(resolveObject) {
    let resolvedElements = [];
    let element, type, obj, i, j, k;
    // Start merging back from the end because of index shifting. Note that the elements with the same parent have to be ordered by index ascending
    for (i = resolveObject.elements.length - 1; i >= 0; i--) {
      element = resolveObject.elements[i];
      type = element.type;

      // Element couldn't be resolved or is TODO Inappropriate target: Remove all Xlink attributes
      if (!element.resolvedContent || isInappropriateTarget()) {
        delete element.originalContent['xlink:actuate'];
        delete element.originalContent['xlink:href'];
        resolvedElements.push(element.originalContent);
      }
      // Element was successfully resolved
      else if (element.resolvedContent) {
        for (j = 0; j < element.resolvedContent[type].length; j++) {
          //TODO Contains another Xlink attribute with xlink:actuate set to onload. Remove all xLink attributes
          obj = element.resolvedContent[type][j];
          resolvedElements.push(obj);
        }
      }
      // Replace the old elements in the parent with the resolved ones
      element.parentElement[type].splice(element.index, 1);
      for (k = 0; k < resolvedElements.length; k++) {
        element.parentElement[type].splice(element.index + k, 0, resolvedElements[k]);
      }
      resolvedElements = [];
    }
    if (resolveObject.elements.length > 0) {
      parser.getIron().run(manifest);
    }
  }
  function createXlinkObject(url, parentElement, type, index, resolveType, originalContent) {
    return {
      url: url,
      parentElement: parentElement,
      type: type,
      index: index,
      resolveType: resolveType,
      originalContent: originalContent,
      resolvedContent: null,
      resolved: false
    };
  }

  // Check if all pending requests are finished
  function isResolvingFinished(elementsToResolve) {
    let i, obj;
    for (i = 0; i < elementsToResolve.elements.length; i++) {
      obj = elementsToResolve.elements[i];
      if (obj.resolved === false) {
        return false;
      }
    }
    return true;
  }

  // TODO : Do some syntax check here if the target is valid or not
  function isInappropriateTarget() {
    return false;
  }
  instance = {
    resolveManifestOnLoad: resolveManifestOnLoad,
    setParser: setParser,
    reset: reset
  };
  setup();
  return instance;
}
XlinkController.__dashjs_factory_name = 'XlinkController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].getClassFactory(XlinkController));

/***/ }),

/***/ "./src/streaming/metrics/MetricsReportingEvents.js":
/*!*********************************************************!*\
  !*** ./src/streaming/metrics/MetricsReportingEvents.js ***!
  \*********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_events_EventsBase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/events/EventsBase.js */ "./src/core/events/EventsBase.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * @class
 * @implements EventsBase
 */
class MetricsReportingEvents extends _core_events_EventsBase_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.METRICS_INITIALISATION_COMPLETE = 'internal_metricsReportingInitialized';
    this.BECAME_REPORTING_PLAYER = 'internal_becameReportingPlayer';

    /**
     * Triggered when CMCD data was generated for a HTTP request
     * @event MetricsReportingEvents#CMCD_DATA_GENERATED
     */
    this.CMCD_DATA_GENERATED = 'cmcdDataGenerated';
  }
}
let metricsReportingEvents = new MetricsReportingEvents();
/* harmony default export */ __webpack_exports__["default"] = (metricsReportingEvents);

/***/ }),

/***/ "./src/streaming/models/BaseURLTreeModel.js":
/*!**************************************************!*\
  !*** ./src/streaming/models/BaseURLTreeModel.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _utils_ObjectUtils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/ObjectUtils.js */ "./src/streaming/utils/ObjectUtils.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



const DEFAULT_INDEX = NaN;
class Node {
  constructor(_baseUrls, _selectedIdx) {
    this.data = {
      baseUrls: _baseUrls || null,
      selectedIdx: _selectedIdx || DEFAULT_INDEX
    };
    this.children = [];
  }
}
function BaseURLTreeModel() {
  let instance, root, adapter, contentSteeringController;
  const context = this.context;
  const objectUtils = (0,_utils_ObjectUtils_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  function setup() {
    reset();
  }
  function setConfig(config) {
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
  }
  function checkConfig() {
    if (!adapter || !adapter.hasOwnProperty('getBaseURLsFromElement') || !adapter.hasOwnProperty('getRepresentationSortFunction')) {
      throw new Error('setConfig function has to be called previously');
    }
  }
  function updateChildData(node, index, element) {
    const baseUrls = _getAvailableBaseUrls(element);
    if (!node[index]) {
      node[index] = new Node(baseUrls);
    } else {
      if (!objectUtils.areEqual(baseUrls, node[index].data.baseUrls)) {
        node[index].data.baseUrls = baseUrls;
        node[index].data.selectedIdx = DEFAULT_INDEX;
      }
    }
  }
  function getBaseURLCollectionsFromManifest(manifest) {
    checkConfig();
    const baseUrls = _getAvailableBaseUrls(manifest);
    if (!objectUtils.areEqual(baseUrls, root.data.baseUrls)) {
      root.data.baseUrls = baseUrls;
      root.data.selectedIdx = DEFAULT_INDEX;
    }
    if (manifest && manifest.Period) {
      manifest.Period.forEach((p, pi) => {
        updateChildData(root.children, pi, p);
        if (p.AdaptationSet) {
          p.AdaptationSet.forEach((a, ai) => {
            updateChildData(root.children[pi].children, ai, a);
            if (a.Representation) {
              a.Representation.sort(adapter.getRepresentationSortFunction()).forEach((r, ri) => {
                updateChildData(root.children[pi].children[ai].children, ri, r);
              });
            }
          });
        }
      });
    }
  }
  function _getAvailableBaseUrls(root) {
    let targetBaseUrls = adapter.getBaseURLsFromElement(root);
    const synthesizedBaseUrls = contentSteeringController.getSynthesizedBaseUrlElements(targetBaseUrls);
    if (synthesizedBaseUrls && synthesizedBaseUrls.length > 0) {
      synthesizedBaseUrls.forEach(synthesizedBaseUrl => {
        // If we already have a BaseURL with the same serviceLocation, we overwrite it with the synthesized one
        const foundIndex = targetBaseUrls.findIndex(elem => {
          return elem.serviceLocation === synthesizedBaseUrl.serviceLocation;
        });
        if (foundIndex !== -1) {
          targetBaseUrls[foundIndex] = synthesizedBaseUrl;
        } else {
          targetBaseUrls.push(synthesizedBaseUrl);
        }
      });
    }
    return targetBaseUrls;
  }
  function getBaseUrls(manifest) {
    return _getAvailableBaseUrls(manifest);
  }
  function walk(callback, node) {
    const target = node || root;
    callback(target.data);
    if (target.children) {
      target.children.forEach(child => walk(callback, child));
    }
  }
  function invalidateSelectedIndexes(serviceLocation) {
    walk(data => {
      if (!isNaN(data.selectedIdx)) {
        if (serviceLocation === data.baseUrls[data.selectedIdx].serviceLocation) {
          data.selectedIdx = DEFAULT_INDEX;
        }
      }
    });
  }
  function update(manifest) {
    getBaseURLCollectionsFromManifest(manifest);
  }
  function reset() {
    root = new Node();
  }
  function getForPath(path) {
    let target = root;
    const nodes = [target.data];
    if (path) {
      path.forEach(p => {
        target = target.children[p];
        if (target) {
          nodes.push(target.data);
        }
      });
    }
    return nodes.filter(n => n.baseUrls.length);
  }
  instance = {
    reset,
    update,
    getForPath,
    invalidateSelectedIndexes,
    setConfig,
    getBaseUrls
  };
  setup();
  return instance;
}
BaseURLTreeModel.__dashjs_factory_name = 'BaseURLTreeModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(BaseURLTreeModel));

/***/ }),

/***/ "./src/streaming/models/CmcdModel.js":
/*!*******************************************!*\
  !*** ./src/streaming/models/CmcdModel.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _metrics_MetricsReportingEvents_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../metrics/MetricsReportingEvents.js */ "./src/streaming/metrics/MetricsReportingEvents.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../streaming/constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _dash_models_DashManifestModel_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../dash/models/DashManifestModel.js */ "./src/dash/models/DashManifestModel.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _svta_common_media_library_cmcd_CMCD_PARAM__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @svta/common-media-library/cmcd/CMCD_PARAM */ "./node_modules/@svta/common-media-library/dist/cmcd/CMCD_PARAM.js");
/* harmony import */ var _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @svta/common-media-library/cmcd/CmcdObjectType */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdObjectType.js");
/* harmony import */ var _svta_common_media_library_cmcd_CmcdStreamType__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @svta/common-media-library/cmcd/CmcdStreamType */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdStreamType.js");
/* harmony import */ var _svta_common_media_library_cmcd_CmcdStreamingFormat__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @svta/common-media-library/cmcd/CmcdStreamingFormat */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdStreamingFormat.js");
/* harmony import */ var _svta_common_media_library_cmcd_encodeCmcd__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @svta/common-media-library/cmcd/encodeCmcd */ "./node_modules/@svta/common-media-library/dist/cmcd/encodeCmcd.js");
/* harmony import */ var _svta_common_media_library_cmcd_toCmcdHeaders__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! @svta/common-media-library/cmcd/toCmcdHeaders */ "./node_modules/@svta/common-media-library/dist/cmcd/toCmcdHeaders.js");
/* harmony import */ var _svta_common_media_library_cmcd_CmcdHeaderField__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! @svta/common-media-library/cmcd/CmcdHeaderField */ "./node_modules/@svta/common-media-library/dist/cmcd/CmcdHeaderField.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

















const DEFAULT_CMCD_VERSION = 1;
const DEFAULT_INCLUDE_IN_REQUESTS = 'segment';
const RTP_SAFETY_FACTOR = 5;
function CmcdModel() {
  let dashManifestModel, instance, logger, internalData, abrController, dashMetrics, playbackController, serviceDescriptionController, throughputController, streamProcessors, _lastMediaTypeRequest, _isStartup, _bufferLevelStarved, _initialMediaRequestsDone, _playbackStartedTime, _msdSent;
  let context = this.context;
  let eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  let settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let debug = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance();
  function setup() {
    dashManifestModel = (0,_dash_models_DashManifestModel_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
    logger = debug.getLogger(instance);
    _resetInitialSettings();
  }
  function initialize(autoPlay) {
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_RATE_CHANGED, _onPlaybackRateChanged, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_LOADED, _onManifestLoaded, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_SEEKED, _onPlaybackSeeked, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PERIOD_SWITCH_COMPLETED, _onPeriodSwitchComplete, instance);
    if (autoPlay) {
      eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_LOADING_STARTED, _onPlaybackStarted, instance);
    } else {
      eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_STARTED, _onPlaybackStarted, instance);
    }
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_PLAYING, _onPlaybackPlaying, instance);
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.abrController) {
      abrController = config.abrController;
    }
    if (config.dashMetrics) {
      dashMetrics = config.dashMetrics;
    }
    if (config.throughputController) {
      throughputController = config.throughputController;
    }
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
  }
  function _resetInitialSettings() {
    internalData = {
      pr: 1,
      nor: null,
      st: null,
      sf: null,
      sid: `${_core_Utils_js__WEBPACK_IMPORTED_MODULE_9__["default"].generateUuid()}`,
      cid: null
    };
    _bufferLevelStarved = {};
    _isStartup = {};
    _initialMediaRequestsDone = {};
    _lastMediaTypeRequest = undefined;
    _playbackStartedTime = undefined;
    _msdSent = false;
    _updateStreamProcessors();
  }
  function _onPeriodSwitchComplete() {
    _updateStreamProcessors();
  }
  function _onPlaybackStarted() {
    if (!_playbackStartedTime) {
      _playbackStartedTime = Date.now();
    }
  }
  function _onPlaybackPlaying() {
    if (!_playbackStartedTime || internalData.msd) {
      return;
    }
    internalData.msd = Date.now() - _playbackStartedTime;
  }
  function _updateStreamProcessors() {
    if (!playbackController) {
      return;
    }
    const streamController = playbackController.getStreamController();
    if (!streamController) {
      return;
    }
    if (typeof streamController.getActiveStream !== 'function') {
      return;
    }
    const activeStream = streamController.getActiveStream();
    if (!activeStream) {
      return;
    }
    streamProcessors = activeStream.getStreamProcessors();
  }
  function getQueryParameter(request) {
    try {
      if (isCmcdEnabled()) {
        const cmcdData = getCmcdData(request);
        const filteredCmcdData = _applyWhitelist(cmcdData);
        const finalPayloadString = (0,_svta_common_media_library_cmcd_encodeCmcd__WEBPACK_IMPORTED_MODULE_14__.encodeCmcd)(filteredCmcdData);
        eventBus.trigger(_metrics_MetricsReportingEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].CMCD_DATA_GENERATED, {
          url: request.url,
          mediaType: request.mediaType,
          cmcdData,
          cmcdString: finalPayloadString
        });
        return {
          key: _svta_common_media_library_cmcd_CMCD_PARAM__WEBPACK_IMPORTED_MODULE_10__.CMCD_PARAM,
          value: finalPayloadString
        };
      }
      return null;
    } catch (e) {
      return null;
    }
  }
  function _applyWhitelist(cmcdData) {
    try {
      const cmcdParametersFromManifest = getCmcdParametersFromManifest();
      const enabledCMCDKeys = cmcdParametersFromManifest.version ? cmcdParametersFromManifest.keys : settings.get().streaming.cmcd.enabledKeys;
      return Object.keys(cmcdData).filter(key => enabledCMCDKeys.includes(key)).reduce((obj, key) => {
        obj[key] = cmcdData[key];
        return obj;
      }, {});
    } catch (e) {
      return cmcdData;
    }
  }
  function getHeaderParameters(request) {
    try {
      if (isCmcdEnabled()) {
        const cmcdData = getCmcdData(request);
        const filteredCmcdData = _applyWhitelist(cmcdData);
        const options = _createCmcdV2HeadersCustomMap();
        const headers = (0,_svta_common_media_library_cmcd_toCmcdHeaders__WEBPACK_IMPORTED_MODULE_15__.toCmcdHeaders)(filteredCmcdData, options);
        eventBus.trigger(_metrics_MetricsReportingEvents_js__WEBPACK_IMPORTED_MODULE_2__["default"].CMCD_DATA_GENERATED, {
          url: request.url,
          mediaType: request.mediaType,
          cmcdData,
          headers
        });
        return headers;
      }
      return null;
    } catch (e) {
      return null;
    }
  }
  function isCmcdEnabled() {
    const cmcdParametersFromManifest = getCmcdParametersFromManifest();
    return _canBeEnabled(cmcdParametersFromManifest) && _checkIncludeInRequests(cmcdParametersFromManifest) && _checkAvailableKeys(cmcdParametersFromManifest);
  }
  function _canBeEnabled(cmcdParametersFromManifest) {
    if (Object.keys(cmcdParametersFromManifest).length) {
      if (parseInt(cmcdParametersFromManifest.version) !== 1) {
        logger.error(`version parameter must be defined in 1.`);
        return false;
      }
      if (!cmcdParametersFromManifest.keys) {
        logger.error(`keys parameter must be defined.`);
        return false;
      }
    }
    const isEnabledFromManifest = cmcdParametersFromManifest.version;
    const isEnabledFromSettings = settings.get().streaming.cmcd && settings.get().streaming.cmcd.enabled;
    return isEnabledFromManifest || isEnabledFromSettings;
  }
  function _checkIncludeInRequests(cmcdParametersFromManifest) {
    let enabledRequests = settings.get().streaming.cmcd.includeInRequests;
    if (cmcdParametersFromManifest.version) {
      enabledRequests = cmcdParametersFromManifest.includeInRequests ?? [DEFAULT_INCLUDE_IN_REQUESTS];
    }
    const defaultAvailableRequests = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].CMCD_AVAILABLE_REQUESTS;
    const invalidRequests = enabledRequests.filter(k => !defaultAvailableRequests.includes(k));
    if (invalidRequests.length === enabledRequests.length) {
      logger.error(`None of the request types are supported.`);
      return false;
    }
    invalidRequests.map(k => {
      logger.warn(`request type ${k} is not supported.`);
    });
    return true;
  }
  function _checkAvailableKeys(cmcdParametersFromManifest) {
    const defaultAvailableKeys = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].CMCD_AVAILABLE_KEYS;
    const defaultV2AvailableKeys = _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].CMCD_V2_AVAILABLE_KEYS;
    const enabledCMCDKeys = cmcdParametersFromManifest.version ? cmcdParametersFromManifest.keys : settings.get().streaming.cmcd.enabledKeys;
    const cmcdVersion = settings.get().streaming.cmcd.version;
    const invalidKeys = enabledCMCDKeys.filter(k => !defaultAvailableKeys.includes(k) && !(cmcdVersion === 2 && defaultV2AvailableKeys.includes(k)));
    if (invalidKeys.length === enabledCMCDKeys.length && enabledCMCDKeys.length > 0) {
      logger.error(`None of the keys are implemented for CMCD version ${cmcdVersion}.`);
      return false;
    }
    invalidKeys.map(k => {
      logger.warn(`key parameter ${k} is not implemented for CMCD version ${cmcdVersion}.`);
    });
    return true;
  }
  function getCmcdParametersFromManifest() {
    let cmcdParametersFromManifest = {};
    if (serviceDescriptionController) {
      const serviceDescription = serviceDescriptionController.getServiceDescriptionSettings();
      if (settings.get().streaming.cmcd.applyParametersFromMpd && serviceDescription.clientDataReporting && serviceDescription.clientDataReporting.cmcdParameters) {
        cmcdParametersFromManifest = serviceDescription.clientDataReporting.cmcdParameters;
      }
    }
    return cmcdParametersFromManifest;
  }
  function _isIncludedInRequestFilter(type) {
    const cmcdParametersFromManifest = getCmcdParametersFromManifest();
    let includeInRequestsArray = settings.get().streaming.cmcd.includeInRequests;
    if (cmcdParametersFromManifest.version) {
      includeInRequestsArray = cmcdParametersFromManifest.includeInRequests ? cmcdParametersFromManifest.includeInRequests : [DEFAULT_INCLUDE_IN_REQUESTS];
    }
    const filtersTypes = {
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.INIT_SEGMENT_TYPE]: 'segment',
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.MEDIA_SEGMENT_TYPE]: 'segment',
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.XLINK_EXPANSION_TYPE]: 'xlink',
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.MPD_TYPE]: 'mpd',
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.CONTENT_STEERING_TYPE]: 'steering',
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.OTHER_TYPE]: 'other'
    };
    return includeInRequestsArray.some(t => filtersTypes[type] === t);
  }
  function getCmcdData(request) {
    try {
      let cmcdData = null;
      _updateLastMediaTypeRequest(request.type, request.mediaType);
      if (_isIncludedInRequestFilter(request.type)) {
        if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.MPD_TYPE) {
          return _getCmcdDataForMpd(request);
        } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
          _initForMediaType(request.mediaType);
          return _getCmcdDataForMediaSegment(request, request.mediaType);
        } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.INIT_SEGMENT_TYPE) {
          return _getCmcdDataForInitSegment(request);
        } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.OTHER_TYPE || request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.XLINK_EXPANSION_TYPE) {
          return _getCmcdDataForOther(request);
        } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.LICENSE) {
          return _getCmcdDataForLicense(request);
        } else if (request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_6__.HTTPRequest.CONTENT_STEERING_TYPE) {
          return _getCmcdDataForSteering(request);
        }
      }
      return cmcdData;
    } catch (e) {
      return null;
    }
  }
  function _updateLastMediaTypeRequest(type, mediatype) {
    // Video > Audio > None
    if (mediatype === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].VIDEO || mediatype === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].AUDIO) {
      if (!_lastMediaTypeRequest || _lastMediaTypeRequest == _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].AUDIO) {
        _lastMediaTypeRequest = mediatype;
      }
    }
  }
  function _getCmcdDataForSteering(request) {
    const data = !_lastMediaTypeRequest ? _getGenericCmcdData(request) : _getCmcdDataForMediaSegment(request, _lastMediaTypeRequest);
    data.ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.OTHER;
    return data;
  }
  function _getCmcdDataForLicense(request) {
    const data = _getGenericCmcdData(request);
    data.ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.KEY;
    return data;
  }
  function _getCmcdDataForMpd() {
    const data = _getGenericCmcdData();
    data.ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.MANIFEST;
    return data;
  }
  function _getCmcdDataForMediaSegment(request, mediaType) {
    _initForMediaType(mediaType);
    const data = _getGenericCmcdData();
    const encodedBitrate = _getBitrateByRequest(request);
    const d = _getObjectDurationByRequest(request);
    const mtp = _getMeasuredThroughputByType(mediaType);
    const dl = _getDeadlineByType(mediaType);
    const bl = _getBufferLevelByType(mediaType);
    const tb = _getTopBitrateByType(request.representation?.mediaInfo);
    const pr = internalData.pr;
    const nextRequest = _probeNextRequest(mediaType);
    let ot;
    if (mediaType === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].VIDEO) {
      ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.VIDEO;
    }
    if (mediaType === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].AUDIO) {
      ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.AUDIO;
    }
    if (mediaType === _streaming_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].TEXT) {
      if (request.representation.mediaInfo.mimeType === 'application/mp4') {
        ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.TIMED_TEXT;
      } else {
        ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.CAPTION;
      }
    }
    let rtp = settings.get().streaming.cmcd.rtp;
    if (!rtp) {
      rtp = _calculateRtp(request);
    }
    if (!isNaN(rtp)) {
      data.rtp = rtp;
    }
    if (nextRequest) {
      if (request.url !== nextRequest.url) {
        data.nor = encodeURIComponent(_core_Utils_js__WEBPACK_IMPORTED_MODULE_9__["default"].getRelativeUrl(request.url, nextRequest.url));
      } else if (nextRequest.range) {
        data.nrr = nextRequest.range;
      }
    }
    if (encodedBitrate) {
      data.br = encodedBitrate;
    }
    if (ot) {
      data.ot = ot;
    }
    if (!isNaN(d)) {
      data.d = d;
    }
    if (!isNaN(mtp)) {
      data.mtp = mtp;
    }
    if (!isNaN(dl)) {
      data.dl = dl;
    }
    if (!isNaN(bl)) {
      data.bl = bl;
    }
    if (!isNaN(tb)) {
      data.tb = tb;
    }
    if (!isNaN(pr) && pr !== 1) {
      data.pr = pr;
    }
    if (_bufferLevelStarved[mediaType]) {
      data.bs = true;
      _bufferLevelStarved[mediaType] = false;
    }
    if (_isStartup[mediaType] || !_initialMediaRequestsDone[mediaType]) {
      data.su = true;
      _isStartup[mediaType] = false;
      _initialMediaRequestsDone[mediaType] = true;
    }
    return data;
  }
  function _initForMediaType(mediaType) {
    if (!_initialMediaRequestsDone.hasOwnProperty(mediaType)) {
      _initialMediaRequestsDone[mediaType] = false;
    }
    if (!_isStartup.hasOwnProperty(mediaType)) {
      _isStartup[mediaType] = false;
    }
    if (!_bufferLevelStarved.hasOwnProperty(mediaType)) {
      _bufferLevelStarved[mediaType] = false;
    }
  }
  function _getCmcdDataForInitSegment() {
    const data = _getGenericCmcdData();
    data.ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.INIT;
    data.su = true;
    return data;
  }
  function _getCmcdDataForOther() {
    const data = _getGenericCmcdData();
    data.ot = _svta_common_media_library_cmcd_CmcdObjectType__WEBPACK_IMPORTED_MODULE_11__.CmcdObjectType.OTHER;
    return data;
  }
  function _getGenericCmcdData() {
    const cmcdParametersFromManifest = getCmcdParametersFromManifest();
    const data = {};
    let cid = settings.get().streaming.cmcd.cid ? settings.get().streaming.cmcd.cid : internalData.cid;
    cid = cmcdParametersFromManifest.contentID ? cmcdParametersFromManifest.contentID : cid;
    data.v = settings.get().streaming.cmcd.version ?? DEFAULT_CMCD_VERSION;
    data.sid = settings.get().streaming.cmcd.sid ? settings.get().streaming.cmcd.sid : internalData.sid;
    data.sid = cmcdParametersFromManifest.sessionID ? cmcdParametersFromManifest.sessionID : data.sid;
    data.sid = `${data.sid}`;
    if (cid) {
      data.cid = `${cid}`;
    }
    if (!isNaN(internalData.pr) && internalData.pr !== 1 && internalData.pr !== null) {
      data.pr = internalData.pr;
    }
    if (internalData.st) {
      data.st = internalData.st;
    }
    if (internalData.sf) {
      data.sf = internalData.sf;
    }
    if (data.v === 2) {
      let ltc = playbackController.getCurrentLiveLatency() * 1000;
      if (!isNaN(ltc)) {
        data.ltc = ltc;
      }
      const msd = internalData.msd;
      if (!_msdSent && !isNaN(msd)) {
        data.msd = msd;
        _msdSent = true;
      }
    }
    return data;
  }
  function _createCmcdV2HeadersCustomMap() {
    const cmcdVersion = settings.get().streaming.cmcd.version;
    return cmcdVersion === 1 ? {} : {
      customHeaderMap: {
        [_svta_common_media_library_cmcd_CmcdHeaderField__WEBPACK_IMPORTED_MODULE_16__.CmcdHeaderField.REQUEST]: ['ltc'],
        [_svta_common_media_library_cmcd_CmcdHeaderField__WEBPACK_IMPORTED_MODULE_16__.CmcdHeaderField.SESSION]: ['msd']
      }
    };
  }
  function _getBitrateByRequest(request) {
    try {
      return parseInt(request.bandwidth / 1000);
    } catch (e) {
      return null;
    }
  }
  function _getTopBitrateByType(mediaInfo) {
    try {
      const bitrates = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo).map(rep => {
        return rep.bitrateInKbit;
      });
      return Math.max(...bitrates);
    } catch (e) {
      return null;
    }
  }
  function _getObjectDurationByRequest(request) {
    try {
      return !isNaN(request.duration) ? Math.round(request.duration * 1000) : NaN;
    } catch (e) {
      return null;
    }
  }
  function _getMeasuredThroughputByType(mediaType) {
    try {
      return parseInt(throughputController.getSafeAverageThroughput(mediaType) / 100) * 100;
    } catch (e) {
      return null;
    }
  }
  function _getDeadlineByType(mediaType) {
    try {
      const playbackRate = internalData.pr;
      const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
      if (!isNaN(playbackRate) && !isNaN(bufferLevel)) {
        return parseInt(bufferLevel / playbackRate * 10) * 100;
      }
      return null;
    } catch (e) {
      return null;
    }
  }
  function _getBufferLevelByType(mediaType) {
    try {
      const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
      if (!isNaN(bufferLevel)) {
        return parseInt(bufferLevel * 10) * 100;
      }
      return null;
    } catch (e) {
      return null;
    }
  }
  function _onPlaybackRateChanged(data) {
    try {
      internalData.pr = data.playbackRate;
    } catch (e) {}
  }
  function _onManifestLoaded(data) {
    try {
      const isDynamic = dashManifestModel.getIsDynamic(data.data);
      const st = isDynamic ? _svta_common_media_library_cmcd_CmcdStreamType__WEBPACK_IMPORTED_MODULE_12__.CmcdStreamType.LIVE : _svta_common_media_library_cmcd_CmcdStreamType__WEBPACK_IMPORTED_MODULE_12__.CmcdStreamType.VOD;
      const sf = data.protocol && data.protocol === 'MSS' ? _svta_common_media_library_cmcd_CmcdStreamingFormat__WEBPACK_IMPORTED_MODULE_13__.CmcdStreamingFormat.SMOOTH : _svta_common_media_library_cmcd_CmcdStreamingFormat__WEBPACK_IMPORTED_MODULE_13__.CmcdStreamingFormat.DASH;
      internalData.st = `${st}`;
      internalData.sf = `${sf}`;
    } catch (e) {}
  }
  function _onBufferLevelStateChanged(data) {
    try {
      if (data.state && data.mediaType) {
        if (data.state === _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_EMPTY) {
          if (!_bufferLevelStarved[data.mediaType]) {
            _bufferLevelStarved[data.mediaType] = true;
          }
          if (!_isStartup[data.mediaType]) {
            _isStartup[data.mediaType] = true;
          }
        }
      }
    } catch (e) {}
  }
  function _onPlaybackSeeked() {
    for (let key in _bufferLevelStarved) {
      if (_bufferLevelStarved.hasOwnProperty(key)) {
        _bufferLevelStarved[key] = true;
      }
    }
    for (let key in _isStartup) {
      if (_isStartup.hasOwnProperty(key)) {
        _isStartup[key] = true;
      }
    }
  }
  function _probeNextRequest(mediaType) {
    if (!streamProcessors || streamProcessors.length === 0) {
      return;
    }
    for (let streamProcessor of streamProcessors) {
      if (streamProcessor.getType() === mediaType) {
        return streamProcessor.probeNextRequest();
      }
    }
  }
  function _calculateRtp(request) {
    try {
      // Get the values we need
      let playbackRate = playbackController.getPlaybackRate();
      if (!playbackRate) {
        playbackRate = 1;
      }
      let {
        bandwidth,
        mediaType,
        representation,
        duration
      } = request;
      const mediaInfo = representation.mediaInfo;
      if (!mediaInfo) {
        return NaN;
      }
      let currentBufferLevel = _getBufferLevelByType(mediaType);
      if (currentBufferLevel === 0) {
        currentBufferLevel = 500;
      }

      // Calculate RTP
      let segmentSize = bandwidth * duration / 1000; // Calculate file size in kilobits
      let timeToLoad = currentBufferLevel / playbackRate / 1000; // Calculate time available to load file in seconds
      let minBandwidth = segmentSize / timeToLoad; // Calculate the exact bandwidth required
      let rtpSafetyFactor = settings.get().streaming.cmcd.rtpSafetyFactor && !isNaN(settings.get().streaming.cmcd.rtpSafetyFactor) ? settings.get().streaming.cmcd.rtpSafetyFactor : RTP_SAFETY_FACTOR;
      let maxBandwidth = minBandwidth * rtpSafetyFactor; // Include a safety buffer

      // Round to the next multiple of 100
      return (parseInt(maxBandwidth / 100) + 1) * 100;
    } catch (e) {
      return NaN;
    }
  }
  function reset() {
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_RATE_CHANGED, _onPlaybackRateChanged, this);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_LOADED, _onManifestLoaded, this);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_LEVEL_STATE_CHANGED, _onBufferLevelStateChanged, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_SEEKED, _onPlaybackSeeked, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_STARTED, _onPlaybackStarted, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAYBACK_PLAYING, _onPlaybackPlaying, instance);
    _resetInitialSettings();
  }
  instance = {
    getCmcdData,
    getQueryParameter,
    getHeaderParameters,
    getCmcdParametersFromManifest,
    setConfig,
    reset,
    initialize,
    isCmcdEnabled
  };
  setup();
  return instance;
}
CmcdModel.__dashjs_factory_name = 'CmcdModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].getSingletonFactory(CmcdModel));

/***/ }),

/***/ "./src/streaming/models/CmsdModel.js":
/*!*******************************************!*\
  !*** ./src/streaming/models/CmsdModel.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _svta_common_media_library_cmsd_CMSD_DYNAMIC_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @svta/common-media-library/cmsd/CMSD_DYNAMIC.js */ "./node_modules/@svta/common-media-library/dist/cmsd/CMSD_DYNAMIC.js");
/* harmony import */ var _svta_common_media_library_cmsd_CMSD_STATIC_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @svta/common-media-library/cmsd/CMSD_STATIC.js */ "./node_modules/@svta/common-media-library/dist/cmsd/CMSD_STATIC.js");
/* harmony import */ var _svta_common_media_library_cmsd_CmsdObjectType_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @svta/common-media-library/cmsd/CmsdObjectType.js */ "./node_modules/@svta/common-media-library/dist/cmsd/CmsdObjectType.js");
/* harmony import */ var _svta_common_media_library_cmsd_decodeCmsdDynamic_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @svta/common-media-library/cmsd/decodeCmsdDynamic.js */ "./node_modules/@svta/common-media-library/dist/cmsd/decodeCmsdDynamic.js");
/* harmony import */ var _svta_common_media_library_cmsd_decodeCmsdStatic_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @svta/common-media-library/cmsd/decodeCmsdStatic.js */ "./node_modules/@svta/common-media-library/dist/cmsd/decodeCmsdStatic.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2022, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */










// Note: in modern browsers, the header names are returned in all lower case
const CMSD_STATIC_RESPONSE_FIELD_NAME = _svta_common_media_library_cmsd_CMSD_STATIC_js__WEBPACK_IMPORTED_MODULE_5__.CMSD_STATIC.toLowerCase();
const CMSD_DYNAMIC_RESPONSE_FIELD_NAME = _svta_common_media_library_cmsd_CMSD_DYNAMIC_js__WEBPACK_IMPORTED_MODULE_4__.CMSD_DYNAMIC.toLowerCase();
const CMSD_KEYS = {
  AVAILABILITY_TIME: 'at',
  DURESS: 'du',
  ENCODED_BITRATE: 'br',
  ESTIMATED_THROUGHPUT: 'etp',
  HELD_TIME: 'ht',
  INTERMEDIARY_IDENTIFIER: 'n',
  MAX_SUGGESTED_BITRATE: 'mb',
  NEXT_OBJECT_RESPONSE: 'nor',
  NEXT_RANGE_RESPONSE: 'nrr',
  OBJECT_DURATION: 'd',
  OBJECT_TYPE: 'ot',
  RESPONSE_DELAY: 'rd',
  ROUND_TRIP_TIME: 'rtt',
  STARTUP: 'su',
  STREAM_TYPE: 'st',
  STREAMING_FORMAT: 'sf',
  VERSION: 'v'
};
const PERSISTENT_PARAMS = [CMSD_KEYS.MAX_SUGGESTED_BITRATE, CMSD_KEYS.STREAM_TYPE, CMSD_KEYS.STREAMING_FORMAT, CMSD_KEYS.VERSION];
const STREAM = 'stream';
const MEDIATYPE_TO_OBJECTTYPE = {
  'video': _svta_common_media_library_cmsd_CmsdObjectType_js__WEBPACK_IMPORTED_MODULE_6__.CmsdObjectType.VIDEO,
  'audio': _svta_common_media_library_cmsd_CmsdObjectType_js__WEBPACK_IMPORTED_MODULE_6__.CmsdObjectType.AUDIO,
  'text': _svta_common_media_library_cmsd_CmsdObjectType_js__WEBPACK_IMPORTED_MODULE_6__.CmsdObjectType.TIMED_TEXT,
  'stream': STREAM // Specific value for parameters without object type, which apply for all media/objects
};
function CmsdModel() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  let instance, logger, _staticParamsDict, _dynamicParamsDict;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
  }
  function initialize() {}
  function setConfig(/*config*/) {}
  function _resetInitialSettings() {
    _staticParamsDict = {};
    _dynamicParamsDict = {};
  }
  function _clearParams(params) {
    if (!params) {
      return;
    }
    Object.keys(params).forEach(key => {
      if (!PERSISTENT_PARAMS.includes(key)) {
        delete params[key];
      }
    });
  }
  function _parseCMSDStatic(value) {
    try {
      return (0,_svta_common_media_library_cmsd_decodeCmsdStatic_js__WEBPACK_IMPORTED_MODULE_8__.decodeCmsdStatic)(value);
    } catch (e) {
      logger.error('Failed to parse CMSD-Static response header value:', e);
    }
  }
  function _parseCMSDDynamic(value) {
    try {
      const items = (0,_svta_common_media_library_cmsd_decodeCmsdDynamic_js__WEBPACK_IMPORTED_MODULE_7__.decodeCmsdDynamic)(value);
      const last = items[items.length - 1];
      return last?.params || {};
    } catch (e) {
      logger.error('Failed to parse CMSD-Dynamic response header value:', e);
      return {};
    }
  }
  function _mediaTypetoObjectType(mediaType) {
    return MEDIATYPE_TO_OBJECTTYPE[mediaType] || _svta_common_media_library_cmsd_CmsdObjectType_js__WEBPACK_IMPORTED_MODULE_6__.CmsdObjectType.OTHER;
  }
  function _getParamValueForObjectType(paramsType, ot, key) {
    const params = paramsType === _svta_common_media_library_cmsd_CMSD_STATIC_js__WEBPACK_IMPORTED_MODULE_5__.CMSD_STATIC ? _staticParamsDict : _dynamicParamsDict;
    const otParams = params[ot] || {};
    const streamParams = params[STREAM] || {};
    const value = otParams[key] || streamParams[key];
    return value;
  }
  function parseResponseHeaders(responseHeaders, mediaType) {
    let staticParams = null;
    let dynamicParams = null;

    // Note: responseHeaders as a record of key:value
    for (const key in responseHeaders) {
      const value = responseHeaders[key];
      switch (key) {
        case CMSD_STATIC_RESPONSE_FIELD_NAME:
          staticParams = _parseCMSDStatic(value);
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].CMSD_STATIC_HEADER, staticParams);
          break;
        case CMSD_DYNAMIC_RESPONSE_FIELD_NAME:
          if (!dynamicParams) {
            dynamicParams = _parseCMSDDynamic(value);
          }
          break;
        default:
          break;
      }
    }

    // Get object type
    let ot = STREAM;
    if (staticParams && staticParams[CMSD_KEYS.OBJECT_TYPE]) {
      ot = staticParams[CMSD_KEYS.OBJECT_TYPE];
    } else if (mediaType) {
      ot = _mediaTypetoObjectType(mediaType);
    }

    // Clear previously received params except persistent ones
    _clearParams(_staticParamsDict[ot]);
    _clearParams(_dynamicParamsDict[ot]);

    // Merge params with previously received params
    if (staticParams) {
      _staticParamsDict[ot] = Object.assign(_staticParamsDict[ot] || {}, staticParams);
    }
    if (dynamicParams) {
      _dynamicParamsDict[ot] = Object.assign(_dynamicParamsDict[ot] || {}, dynamicParams);
    }
    return {
      static: staticParams,
      dynamic: dynamicParams
    };
  }
  function getMaxBitrate(type) {
    let ot = _mediaTypetoObjectType(type);
    let mb = _getParamValueForObjectType(_svta_common_media_library_cmsd_CMSD_DYNAMIC_js__WEBPACK_IMPORTED_MODULE_4__.CMSD_DYNAMIC, ot, CMSD_KEYS.MAX_SUGGESTED_BITRATE);
    return mb ? mb : -1;
  }
  function getEstimatedThroughput(type) {
    let ot = _mediaTypetoObjectType(type);
    let etp = _getParamValueForObjectType(_svta_common_media_library_cmsd_CMSD_DYNAMIC_js__WEBPACK_IMPORTED_MODULE_4__.CMSD_DYNAMIC, ot, CMSD_KEYS.ESTIMATED_THROUGHPUT);
    return etp ? etp : null;
  }
  function getResponseDelay(type) {
    let ot = _mediaTypetoObjectType(type);
    let rd = _getParamValueForObjectType(_svta_common_media_library_cmsd_CMSD_DYNAMIC_js__WEBPACK_IMPORTED_MODULE_4__.CMSD_DYNAMIC, ot, CMSD_KEYS.RESPONSE_DELAY);
    return rd ? rd : null;
  }
  function getRoundTripTime(type) {
    let ot = _mediaTypetoObjectType(type);
    let rd = _getParamValueForObjectType(_svta_common_media_library_cmsd_CMSD_DYNAMIC_js__WEBPACK_IMPORTED_MODULE_4__.CMSD_DYNAMIC, ot, CMSD_KEYS.ROUND_TRIP_TIME);
    return rd ? rd : null;
  }
  function reset() {
    _resetInitialSettings();
  }
  instance = {
    setConfig,
    initialize,
    reset,
    parseResponseHeaders,
    getMaxBitrate,
    getEstimatedThroughput,
    getResponseDelay,
    getRoundTripTime
  };
  setup();
  return instance;
}
CmsdModel.__dashjs_factory_name = 'CmsdModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(CmsdModel));

/***/ }),

/***/ "./src/streaming/models/CustomParametersModel.js":
/*!*******************************************************!*\
  !*** ./src/streaming/models/CustomParametersModel.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _dash_vo_UTCTiming_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../dash/vo/UTCTiming.js */ "./src/dash/vo/UTCTiming.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/SupervisorTools.js */ "./src/streaming/utils/SupervisorTools.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





const DEFAULT_XHR_WITH_CREDENTIALS = false;
function CustomParametersModel() {
  let instance, utcTimingSources, xhrWithCredentials, requestInterceptors, responseInterceptors, licenseRequestFilters, licenseResponseFilters, customCapabilitiesFilters, customInitialTrackSelectionFunction, customAbrRules;
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  function setup() {
    xhrWithCredentials = {
      default: DEFAULT_XHR_WITH_CREDENTIALS
    };
    _resetInitialSettings();
  }
  function _resetInitialSettings() {
    requestInterceptors = [];
    responseInterceptors = [];
    licenseRequestFilters = [];
    licenseResponseFilters = [];
    customCapabilitiesFilters = [];
    customAbrRules = [];
    customInitialTrackSelectionFunction = null;
    utcTimingSources = [];
  }
  function reset() {
    _resetInitialSettings();
  }
  function setConfig() {}

  /**
   * Registers a custom initial track selection function. Only one function is allowed. Calling this method will overwrite a potentially existing function.
   * @param {function} customFunc - the custom function that returns the initial track
   */
  function setCustomInitialTrackSelectionFunction(customFunc) {
    customInitialTrackSelectionFunction = customFunc;
  }

  /**
   * Resets the custom initial track selection
   */
  function resetCustomInitialTrackSelectionFunction() {
    customInitialTrackSelectionFunction = null;
  }

  /**
   * Returns the initial track selection function
   * @return {function}
   */
  function getCustomInitialTrackSelectionFunction() {
    return customInitialTrackSelectionFunction;
  }

  /**
   * Returns all license request filters
   * @return {array}
   */
  function getLicenseRequestFilters() {
    return licenseRequestFilters;
  }

  /**
   * Returns all license response filters
   * @return {array}
   */
  function getLicenseResponseFilters() {
    return licenseResponseFilters;
  }

  /**
   * Registers a license request filter. This enables application to manipulate/overwrite any request parameter and/or request data.
   * The provided callback function shall return a promise that shall be resolved once the filter process is completed.
   * The filters are applied in the order they are registered.
   * @param {function} filter - the license request filter callback
   */
  function registerLicenseRequestFilter(filter) {
    licenseRequestFilters.push(filter);
  }

  /**
   * Registers a license response filter. This enables application to manipulate/overwrite the response data
   * The provided callback function shall return a promise that shall be resolved once the filter process is completed.
   * The filters are applied in the order they are registered.
   * @param {function} filter - the license response filter callback
   */
  function registerLicenseResponseFilter(filter) {
    licenseResponseFilters.push(filter);
  }

  /**
   * Unregisters a license request filter.
   * @param {function} filter - the license request filter callback
   */
  function unregisterLicenseRequestFilter(filter) {
    _unregisterFilter(licenseRequestFilters, filter);
  }

  /**
   * Unregisters a license response filter.
   * @param {function} filter - the license response filter callback
   */
  function unregisterLicenseResponseFilter(filter) {
    _unregisterFilter(licenseResponseFilters, filter);
  }

  /**
   * Returns all custom capabilities filter
   * @return {array}
   */
  function getCustomCapabilitiesFilters() {
    return customCapabilitiesFilters;
  }

  /**
   * Registers a custom capabilities filter. This enables application to filter representations to use.
   * The provided callback function shall return a boolean or promise resolving to a boolean based on whether or not to use the representation.
   * The filters are applied in the order they are registered.
   * @param {function} filter - the custom capabilities filter callback
   */
  function registerCustomCapabilitiesFilter(filter) {
    customCapabilitiesFilters.push(filter);
  }

  /**
   * Unregisters a custom capabilities filter.
   * @param {function} filter - the custom capabilities filter callback
   */
  function unregisterCustomCapabilitiesFilter(filter) {
    _unregisterFilter(customCapabilitiesFilters, filter);
  }

  /**
   * Unregister a filter from the list of existing filers.
   * @param {array} filters
   * @param {function} filter
   * @private
   */
  function _unregisterFilter(filters, filter) {
    let index = -1;
    filters.some((item, i) => {
      if (item === filter) {
        index = i;
        return true;
      }
    });
    if (index < 0) {
      return;
    }
    filters.splice(index, 1);
  }

  /**
   * Iterate through the list of custom ABR rules and find the right rule by name
   * @param {string} rulename
   * @return {number} rule number
   */
  function _findAbrCustomRuleIndex(rulename) {
    let i;
    for (i = 0; i < customAbrRules.length; i++) {
      if (customAbrRules[i].rulename === rulename) {
        return i;
      }
    }
    return -1;
  }

  /**
   * Add a custom ABR Rule
   * Rule will be apply on next stream if a stream is being played
   *
   * @param {string} type - rule type (one of ['qualitySwitchRules','abandonFragmentRules'])
   * @param {string} rulename - name of rule (used to identify custom rule). If one rule of same name has been added, then existing rule will be updated
   * @param {object} rule - the rule object instance
   * @throws {@link Constants#BAD_ARGUMENT_ERROR BAD_ARGUMENT_ERROR} if called with invalid arguments.
   */
  function addAbrCustomRule(type, rulename, rule) {
    if (typeof type !== 'string' || type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].RULES_TYPES.ABANDON_FRAGMENT_RULES && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].RULES_TYPES.QUALITY_SWITCH_RULES || typeof rulename !== 'string') {
      throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].BAD_ARGUMENT_ERROR;
    }
    let index = _findAbrCustomRuleIndex(rulename);
    if (index === -1) {
      // add rule
      customAbrRules.push({
        type: type,
        rulename: rulename,
        rule: rule
      });
    } else {
      // update rule
      customAbrRules[index].type = type;
      customAbrRules[index].rule = rule;
    }
  }

  /**
   * Remove a custom ABR Rule
   *
   * @param {string} rulename - name of the rule to be removed
   */
  function removeAbrCustomRule(rulename) {
    if (rulename) {
      let index = _findAbrCustomRuleIndex(rulename);
      //if no rulename custom rule has been found, do nothing
      if (index !== -1) {
        // remove rule
        customAbrRules.splice(index, 1);
      }
    } else {
      //if no rulename is defined, remove all ABR custome rules
      customAbrRules = [];
    }
  }

  /**
   * Remove all custom rules
   */
  function removeAllAbrCustomRule() {
    customAbrRules = [];
  }

  /**
   * Return all ABR custom rules
   * @return {array}
   */
  function getAbrCustomRules() {
    return customAbrRules;
  }

  /**
   * Adds a request interceptor. This enables application to monitor, manipulate, overwrite any request parameter and/or request data.
   * The provided callback function shall return a promise with updated request that shall be resolved once the process of the request is completed.
   * The interceptors are applied in the order they are added.
   * @param {function} interceptor - the request interceptor callback
   */
  function addRequestInterceptor(interceptor) {
    requestInterceptors.push(interceptor);
  }

  /**
   * Adds a response interceptor. This enables application to monitor, manipulate, overwrite the response data
   * The provided callback function shall return a promise with updated response that shall be resolved once the process of the response is completed.
   * The interceptors are applied in the order they are added.
   * @param {function} interceptor - the response interceptor callback
   */
  function addResponseInterceptor(interceptor) {
    responseInterceptors.push(interceptor);
  }

  /**
   * Unregisters a request interceptor.
   * @param {function} interceptor - the request interceptor callback
   */
  function removeRequestInterceptor(interceptor) {
    _unregisterFilter(requestInterceptors, interceptor);
  }

  /**
   * Unregisters a response interceptor.
   * @param {function} interceptor - the request interceptor callback
   */
  function removeResponseInterceptor(interceptor) {
    _unregisterFilter(responseInterceptors, interceptor);
  }

  /**
   * Returns all request interceptors
   * @return {array}
   */
  function getRequestInterceptors() {
    return requestInterceptors;
  }

  /**
   * Returns all response interceptors
   * @return {array}
   */
  function getResponseInterceptors() {
    return responseInterceptors;
  }

  /**
   * Add a UTC timing source at the top of the list
   * @param {string} schemeIdUri
   * @param {string} value
   */
  function addUTCTimingSource(schemeIdUri, value) {
    removeUTCTimingSource(schemeIdUri, value); //check if it already exists and remove if so.
    let vo = new _dash_vo_UTCTiming_js__WEBPACK_IMPORTED_MODULE_0__["default"]();
    vo.schemeIdUri = schemeIdUri;
    vo.value = value;
    utcTimingSources.push(vo);
  }

  /**
   * Return all UTC timing sources
   * @return {array}
   */
  function getUTCTimingSources() {
    return utcTimingSources;
  }

  /**
   * Remove a specific timing source from the array
   * @param {string} schemeIdUri
   * @param {string} value
   */
  function removeUTCTimingSource(schemeIdUri, value) {
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_3__.checkParameterType)(schemeIdUri, 'string');
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_3__.checkParameterType)(value, 'string');
    utcTimingSources.forEach(function (obj, idx) {
      if (obj.schemeIdUri === schemeIdUri && obj.value === value) {
        utcTimingSources.splice(idx, 1);
      }
    });
  }

  /**
   * Remove all timing sources
   */
  function clearDefaultUTCTimingSources() {
    utcTimingSources = [];
  }

  /**
   * Add the default timing source to the list
   */
  function restoreDefaultUTCTimingSources() {
    let defaultUtcTimingSource = settings.get().streaming.utcSynchronization.defaultTimingSource;
    addUTCTimingSource(defaultUtcTimingSource.scheme, defaultUtcTimingSource.value);
  }
  function setXHRWithCredentialsForType(type, value) {
    if (!type) {
      Object.keys(xhrWithCredentials).forEach(key => {
        setXHRWithCredentialsForType(key, value);
      });
    } else {
      xhrWithCredentials[type] = !!value;
    }
  }
  function getXHRWithCredentialsForType(type) {
    const useCreds = xhrWithCredentials[type];
    return useCreds === undefined ? xhrWithCredentials.default : useCreds;
  }
  instance = {
    addAbrCustomRule,
    addRequestInterceptor,
    addResponseInterceptor,
    addUTCTimingSource,
    clearDefaultUTCTimingSources,
    getAbrCustomRules,
    getCustomCapabilitiesFilters,
    getCustomInitialTrackSelectionFunction,
    getLicenseRequestFilters,
    getLicenseResponseFilters,
    getRequestInterceptors,
    getResponseInterceptors,
    getUTCTimingSources,
    getXHRWithCredentialsForType,
    registerCustomCapabilitiesFilter,
    registerLicenseRequestFilter,
    registerLicenseResponseFilter,
    removeAbrCustomRule,
    removeAllAbrCustomRule,
    removeRequestInterceptor,
    removeResponseInterceptor,
    removeUTCTimingSource,
    reset,
    resetCustomInitialTrackSelectionFunction,
    restoreDefaultUTCTimingSources,
    setConfig,
    setCustomInitialTrackSelectionFunction,
    setXHRWithCredentialsForType,
    unregisterCustomCapabilitiesFilter,
    unregisterLicenseRequestFilter,
    unregisterLicenseResponseFilter
  };
  setup();
  return instance;
}
CustomParametersModel.__dashjs_factory_name = 'CustomParametersModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getSingletonFactory(CustomParametersModel));

/***/ }),

/***/ "./src/streaming/models/FragmentModel.js":
/*!***********************************************!*\
  !*** ./src/streaming/models/FragmentModel.js ***!
  \***********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/FragmentRequest.js */ "./src/streaming/vo/FragmentRequest.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



const FRAGMENT_MODEL_LOADING = 'loading';
const FRAGMENT_MODEL_EXECUTED = 'executed';
const FRAGMENT_MODEL_CANCELED = 'canceled';
const FRAGMENT_MODEL_FAILED = 'failed';
function FragmentModel(config) {
  config = config || {};
  const eventBus = config.eventBus;
  const events = config.events;
  const dashMetrics = config.dashMetrics;
  const fragmentLoader = config.fragmentLoader;
  const debug = config.debug;
  const streamInfo = config.streamInfo;
  const type = config.type;
  let instance, logger, executedRequests, loadingRequests;
  function setup() {
    logger = debug.getLogger(instance);
    resetInitialSettings();
    eventBus.on(events.LOADING_COMPLETED, onLoadingCompleted, instance);
    eventBus.on(events.LOADING_DATA_PROGRESS, onLoadingInProgress, instance);
    eventBus.on(events.LOADING_ABANDONED, onLoadingAborted, instance);
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function getType() {
    return type;
  }
  function isFragmentLoaded(request) {
    const isEqualComplete = function (req1, req2) {
      return req1.action === _vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"].ACTION_COMPLETE && req1.action === req2.action;
    };
    const isEqualMedia = function (req1, req2) {
      return !isNaN(req1.index) && req1.startTime === req2.startTime && req1.adaptationIndex === req2.adaptationIndex && req1.type === req2.type;
    };
    const isEqualInit = function (req1, req2) {
      return req1.representation.id === req2.representation.id;
    };
    const check = function (requests) {
      let isLoaded = false;
      requests.some(req => {
        if (isEqualMedia(request, req) || isEqualInit(request, req) || isEqualComplete(request, req)) {
          isLoaded = true;
          return isLoaded;
        }
      });
      return isLoaded;
    };
    if (!request) {
      return false;
    }
    return check(executedRequests);
  }
  function isFragmentLoadedOrPending(request) {
    let isLoaded = false;
    let i = 0;
    let req;

    // First, check if the fragment has already been loaded
    isLoaded = isFragmentLoaded(request);

    // Then, check if the fragment is about to be loeaded
    if (!isLoaded) {
      for (i = 0; i < loadingRequests.length; i++) {
        req = loadingRequests[i];
        if (request.url === req.url && request.startTime === req.startTime) {
          isLoaded = true;
        }
      }
    }
    return isLoaded;
  }

  /**
   *
   * Gets an array of {@link FragmentRequest} objects
   *
   * @param {Object} filter The object with properties by which the method filters the requests to be returned.
   *  the only mandatory property is state, which must be a value from
   *  other properties should match the properties of {@link FragmentRequest}. E.g.:
   *  getRequests({state: FragmentModel.FRAGMENT_MODEL_EXECUTED, quality: 0})
   *
   * @returns {Array}
   * @memberof FragmentModel#
   */
  function getRequests(filter) {
    const states = filter ? filter.state instanceof Array ? filter.state : [filter.state] : [];
    let filteredRequests = [];
    states.forEach(state => {
      const requests = getRequestsForState(state);
      filteredRequests = filteredRequests.concat(filterRequests(requests, filter));
    });
    return filteredRequests;
  }
  function getRequestThreshold(req) {
    return isNaN(req.duration) ? 0.25 : Math.min(req.duration / 8, 0.5);
  }
  function removeExecutedRequestsBeforeTime(time) {
    executedRequests = executedRequests.filter(req => {
      const threshold = getRequestThreshold(req);
      return isNaN(req.startTime) || (time !== undefined ? req.startTime >= time - threshold : false);
    });
  }
  function removeExecutedRequestsAfterTime(time) {
    executedRequests = executedRequests.filter(req => {
      return isNaN(req.startTime) || (time !== undefined ? req.startTime < time : false);
    });
  }
  function removeExecutedRequestsInTimeRange(start, end) {
    if (end <= start + 0.5) {
      return;
    }
    executedRequests = executedRequests.filter(req => {
      const threshold = getRequestThreshold(req);
      return isNaN(req.startTime) || req.startTime >= end - threshold || isNaN(req.duration) || req.startTime + req.duration <= start + threshold;
    });
  }

  // Remove requests that are not "represented" by any of buffered ranges
  function syncExecutedRequestsWithBufferedRange(bufferedRanges, streamDuration) {
    if (!bufferedRanges || bufferedRanges.length === 0) {
      removeExecutedRequestsBeforeTime();
      return;
    }
    let start = 0;
    for (let i = 0, ln = bufferedRanges.length; i < ln; i++) {
      removeExecutedRequestsInTimeRange(start, bufferedRanges.start(i));
      start = bufferedRanges.end(i);
    }
    if (streamDuration > 0) {
      removeExecutedRequestsInTimeRange(start, streamDuration);
    }
  }
  function abortRequests() {
    logger.debug('abort requests');
    fragmentLoader.abort();
    loadingRequests = [];
  }
  function executeRequest(request) {
    switch (request.action) {
      case _vo_FragmentRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"].ACTION_DOWNLOAD:
        addSchedulingInfoMetrics(request, FRAGMENT_MODEL_LOADING);
        loadingRequests.push(request);
        loadCurrentFragment(request);
        break;
      default:
        logger.warn('Unknown request action.');
    }
  }
  function loadCurrentFragment(request) {
    eventBus.trigger(events.FRAGMENT_LOADING_STARTED, {
      request: request
    }, {
      streamId: streamInfo.id,
      mediaType: type
    });
    fragmentLoader.load(request);
  }
  function getRequestForTime(arr, time, threshold) {
    // loop through the executed requests and pick the one for which the playback interval matches the given time
    const lastIdx = arr.length - 1;
    for (let i = lastIdx; i >= 0; i--) {
      const req = arr[i];
      const start = req.startTime;
      const end = start + req.duration;
      threshold = !isNaN(threshold) ? threshold : getRequestThreshold(req);
      if (!isNaN(start) && !isNaN(end) && time + threshold >= start && time - threshold < end || isNaN(start) && isNaN(time)) {
        return req;
      }
    }
    return null;
  }
  function filterRequests(arr, filter) {
    // for time use a specific filtration function
    if (filter.hasOwnProperty('time')) {
      return [getRequestForTime(arr, filter.time, filter.threshold)];
    }
    return arr.filter(request => {
      for (const prop in filter) {
        if (prop === 'state') {
          continue;
        }
        if (filter.hasOwnProperty(prop) && request[prop] != filter[prop]) {
          return false;
        }
      }
      return true;
    });
  }
  function getRequestsForState(state) {
    let requests;
    switch (state) {
      case FRAGMENT_MODEL_LOADING:
        requests = loadingRequests;
        break;
      case FRAGMENT_MODEL_EXECUTED:
        requests = executedRequests;
        break;
      default:
        requests = [];
    }
    return requests;
  }
  function addSchedulingInfoMetrics(request, state) {
    dashMetrics.addSchedulingInfo(request, state);
    dashMetrics.addRequestsQueue(request.mediaType, loadingRequests, executedRequests);
  }
  function onLoadingCompleted(e) {
    if (e.sender !== fragmentLoader) {
      return;
    }
    loadingRequests.splice(loadingRequests.indexOf(e.request), 1);
    if (e.response && !e.error) {
      executedRequests.push(e.request);
    }
    addSchedulingInfoMetrics(e.request, e.error ? FRAGMENT_MODEL_FAILED : FRAGMENT_MODEL_EXECUTED);
    eventBus.trigger(events.FRAGMENT_LOADING_COMPLETED, {
      request: e.request,
      response: e.response,
      error: e.error,
      sender: this
    }, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  function onLoadingInProgress(e) {
    if (e.sender !== fragmentLoader) {
      return;
    }
    eventBus.trigger(events.FRAGMENT_LOADING_PROGRESS, {
      request: e.request,
      response: e.response,
      error: e.error,
      sender: this
    }, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  function onLoadingAborted(e) {
    if (e.sender !== fragmentLoader) {
      return;
    }
    eventBus.trigger(events.FRAGMENT_LOADING_ABANDONED, {
      request: e.request
    }, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  function resetInitialSettings() {
    executedRequests = [];
    loadingRequests = [];
    if (fragmentLoader) {
      fragmentLoader.resetInitialSettings();
    }
  }
  function reset() {
    eventBus.off(events.LOADING_COMPLETED, onLoadingCompleted, this);
    eventBus.off(events.LOADING_DATA_PROGRESS, onLoadingInProgress, this);
    eventBus.off(events.LOADING_ABANDONED, onLoadingAborted, this);
    if (fragmentLoader) {
      fragmentLoader.reset();
    }
    resetInitialSettings();
  }
  instance = {
    abortRequests,
    executeRequest,
    getRequests,
    getStreamId,
    getType,
    isFragmentLoaded,
    isFragmentLoadedOrPending,
    removeExecutedRequestsAfterTime,
    removeExecutedRequestsBeforeTime,
    reset,
    resetInitialSettings,
    syncExecutedRequestsWithBufferedRange
  };
  setup();
  return instance;
}
FragmentModel.__dashjs_factory_name = 'FragmentModel';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(FragmentModel);
factory.FRAGMENT_MODEL_LOADING = FRAGMENT_MODEL_LOADING;
factory.FRAGMENT_MODEL_EXECUTED = FRAGMENT_MODEL_EXECUTED;
factory.FRAGMENT_MODEL_CANCELED = FRAGMENT_MODEL_CANCELED;
factory.FRAGMENT_MODEL_FAILED = FRAGMENT_MODEL_FAILED;
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].updateClassFactory(FragmentModel.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/models/ManifestModel.js":
/*!***********************************************!*\
  !*** ./src/streaming/models/ManifestModel.js ***!
  \***********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function ManifestModel() {
  let context = this.context;
  let eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  let instance, manifest;
  function getValue() {
    return manifest;
  }
  function setValue(value) {
    manifest = value;
    if (value) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_LOADED, {
        data: value
      });
    }
  }
  instance = {
    getValue,
    setValue
  };
  return instance;
}
ManifestModel.__dashjs_factory_name = 'ManifestModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(ManifestModel));

/***/ }),

/***/ "./src/streaming/models/MediaPlayerModel.js":
/*!**************************************************!*\
  !*** ./src/streaming/models/MediaPlayerModel.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



const CATCHUP_PLAYBACK_RATE_MAX_LIMIT = 1;
const CATCHUP_PLAYBACK_RATE_MIN_LIMIT = -0.5;
const DEFAULT_CATCHUP_MAX_DRIFT = 12;
const DEFAULT_CATCHUP_PLAYBACK_RATE_MAX = 0.5;
const DEFAULT_CATCHUP_PLAYBACK_RATE_MIN = -0.5;
const DEFAULT_MIN_BUFFER_TIME = 12;
const DEFAULT_MIN_BUFFER_TIME_FAST_SWITCH = 20;
const LOW_LATENCY_MULTIPLY_FACTOR = 5;
const LOW_LATENCY_REDUCTION_FACTOR = 10;

/**
 * We use this model as a wrapper/proxy between Settings.js and classes that are using parameters from Settings.js.
 * In some cases we require additional logic to be applied and the settings might need to be adjusted before being used.
 * @class
 * @ignore
 * @constructor
 */
function MediaPlayerModel() {
  let instance, logger, playbackController, serviceDescriptionController;
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance().getLogger(instance);
  }
  function setConfig(config) {
    if (config.playbackController) {
      playbackController = config.playbackController;
    }
    if (config.serviceDescriptionController) {
      serviceDescriptionController = config.serviceDescriptionController;
    }
  }

  /**
   * Checks the supplied min playback rate is a valid vlaue and within supported limits
   * @param {number} rate - Supplied min playback rate
   * @param {boolean} log - wether to shown warning or not
   * @returns {number} corrected min playback rate
   */
  function _checkMinPlaybackRate(rate, log) {
    if (isNaN(rate)) {
      return 0;
    }
    if (rate > 0) {
      if (log) {
        logger.warn(`Supplied minimum playback rate is a positive value when it should be negative or 0. The supplied rate will not be applied and set to 0: 100% playback speed.`);
      }
      return 0;
    }
    if (rate < CATCHUP_PLAYBACK_RATE_MIN_LIMIT) {
      if (log) {
        logger.warn(`Supplied minimum playback rate is out of range and will be limited to ${CATCHUP_PLAYBACK_RATE_MIN_LIMIT}: ${CATCHUP_PLAYBACK_RATE_MIN_LIMIT * 100}% playback speed.`);
      }
      return CATCHUP_PLAYBACK_RATE_MIN_LIMIT;
    }
    return rate;
  }
  ;

  /**
   * Checks the supplied max playback rate is a valid vlaue and within supported limits
   * @param {number} rate - Supplied max playback rate
   * @param {boolean} log - wether to shown warning or not
   * @returns {number} corrected max playback rate
   */
  function _checkMaxPlaybackRate(rate, log) {
    if (isNaN(rate)) {
      return 0;
    }
    if (rate < 0) {
      if (log) {
        logger.warn(`Supplied maximum playback rate is a negative value when it should be negative or 0. The supplied rate will not be applied and set to 0: 100% playback speed.`);
      }
      return 0;
    }
    if (rate > CATCHUP_PLAYBACK_RATE_MAX_LIMIT) {
      if (log) {
        logger.warn(`Supplied maximum playback rate is out of range and will be limited to ${CATCHUP_PLAYBACK_RATE_MAX_LIMIT}: ${(1 + CATCHUP_PLAYBACK_RATE_MAX_LIMIT) * 100}% playback speed.`);
      }
      return CATCHUP_PLAYBACK_RATE_MAX_LIMIT;
    }
    return rate;
  }
  ;

  /**
   * Returns the maximum drift allowed before applying a seek back to the live edge when the catchup mode is enabled
   * @return {number}
   */
  function getCatchupMaxDrift() {
    if (!isNaN(settings.get().streaming.liveCatchup.maxDrift) && settings.get().streaming.liveCatchup.maxDrift >= 0) {
      return settings.get().streaming.liveCatchup.maxDrift;
    }
    const serviceDescriptionSettings = serviceDescriptionController.getServiceDescriptionSettings();
    if (serviceDescriptionSettings && serviceDescriptionSettings.liveCatchup && !isNaN(serviceDescriptionSettings.liveCatchup.maxDrift) && serviceDescriptionSettings.liveCatchup.maxDrift >= 0) {
      return serviceDescriptionSettings.liveCatchup.maxDrift;
    }
    return DEFAULT_CATCHUP_MAX_DRIFT;
  }

  /**
   * Returns the minimum and maximum playback rates to be used when applying the catchup mechanism
   * If only one of the min/max values has been set then the other will default to 0 (no playback rate change).
   * @return {number}
   */
  function getCatchupPlaybackRates(log) {
    const settingsPlaybackRate = settings.get().streaming.liveCatchup.playbackRate;
    if (!isNaN(settingsPlaybackRate.min) || !isNaN(settingsPlaybackRate.max)) {
      return {
        min: _checkMinPlaybackRate(settingsPlaybackRate.min, log),
        max: _checkMaxPlaybackRate(settingsPlaybackRate.max, log)
      };
    }
    const serviceDescriptionSettings = serviceDescriptionController.getServiceDescriptionSettings();
    if (serviceDescriptionSettings && serviceDescriptionSettings.liveCatchup && (!isNaN(serviceDescriptionSettings.liveCatchup.playbackRate.min) || !isNaN(serviceDescriptionSettings.liveCatchup.playbackRate.max))) {
      const sdPlaybackRate = serviceDescriptionSettings.liveCatchup.playbackRate;
      return {
        min: _checkMinPlaybackRate(sdPlaybackRate.min, log),
        max: _checkMaxPlaybackRate(sdPlaybackRate.max, log)
      };
    }
    return {
      min: DEFAULT_CATCHUP_PLAYBACK_RATE_MIN,
      max: DEFAULT_CATCHUP_PLAYBACK_RATE_MAX
    };
  }

  /**
   * Returns whether the catchup mode is activated via the settings or internally in the PlaybackController
   * @return {boolean}
   */
  function getCatchupModeEnabled() {
    if (settings.get().streaming.liveCatchup.enabled !== null) {
      return settings.get().streaming.liveCatchup.enabled;
    }
    return playbackController.getInitialCatchupModeActivated();
  }

  /**
   * Returns the min,max or initial bitrate for a specific media type.
   * @param {string} field
   * @param {string} mediaType
   */
  function getAbrBitrateParameter(field, mediaType) {
    try {
      const setting = settings.get().streaming.abr[field][mediaType];
      if (!isNaN(setting) && setting !== -1) {
        return setting;
      }
      const serviceDescriptionSettings = serviceDescriptionController.getServiceDescriptionSettings();
      if (serviceDescriptionSettings && serviceDescriptionSettings[field] && !isNaN(serviceDescriptionSettings[field][mediaType])) {
        return serviceDescriptionSettings[field][mediaType];
      }
      return -1;
    } catch (e) {
      return -1;
    }
  }

  /**
   * Returns the initial buffer level taking the stable buffer time into account
   * @return {number}
   */
  function getInitialBufferLevel() {
    const initialBufferLevel = settings.get().streaming.buffer.initialBufferLevel;
    if (isNaN(initialBufferLevel) || initialBufferLevel < 0) {
      return 0;
    }
    return Math.min(getBufferTimeDefault(), initialBufferLevel);
  }

  /**
   * Returns the stable buffer time taking the live delay into account
   * @return {number}
   */
  function getBufferTimeDefault() {
    const bufferTimeDefault = getBufferTimeDefaultUnadjusted();
    const liveDelay = playbackController.getLiveDelay();
    return !isNaN(liveDelay) && liveDelay > 0 ? Math.min(bufferTimeDefault, liveDelay) : bufferTimeDefault;
  }

  /**
   * Returns the stable buffer
   * @return {number}
   */
  function getBufferTimeDefaultUnadjusted() {
    return settings.get().streaming.buffer.bufferTimeDefault > 0 ? settings.get().streaming.buffer.bufferTimeDefault : getFastSwitchEnabled() ? DEFAULT_MIN_BUFFER_TIME_FAST_SWITCH : DEFAULT_MIN_BUFFER_TIME;
  }

  /**
   * Returns the number of retry attempts for a specific media type
   * @param type
   * @return {number}
   */
  function getRetryAttemptsForType(type) {
    const lowLatencyMultiplyFactor = !isNaN(settings.get().streaming.retryAttempts.lowLatencyMultiplyFactor) ? settings.get().streaming.retryAttempts.lowLatencyMultiplyFactor : LOW_LATENCY_MULTIPLY_FACTOR;
    return playbackController.getLowLatencyModeEnabled() ? settings.get().streaming.retryAttempts[type] * lowLatencyMultiplyFactor : settings.get().streaming.retryAttempts[type];
  }

  /**
   * Returns the retry interval for a specific media type
   * @param type
   * @return {number}
   */
  function getRetryIntervalsForType(type) {
    const lowLatencyReductionFactor = !isNaN(settings.get().streaming.retryIntervals.lowLatencyReductionFactor) ? settings.get().streaming.retryIntervals.lowLatencyReductionFactor : LOW_LATENCY_REDUCTION_FACTOR;
    return playbackController.getLowLatencyModeEnabled() ? settings.get().streaming.retryIntervals[type] / lowLatencyReductionFactor : settings.get().streaming.retryIntervals[type];
  }

  /**
   * Returns whether the fast switch mode is defined in the settings options. If not we enable it by default but only for non low-latency playback.
   * @return {boolean}
   */
  function getFastSwitchEnabled() {
    if (settings.get().streaming.buffer.fastSwitchEnabled !== null) {
      return settings.get().streaming.buffer.fastSwitchEnabled;
    }
    return !playbackController.getLowLatencyModeEnabled();
  }
  function reset() {}
  instance = {
    getCatchupMaxDrift,
    getCatchupModeEnabled,
    getBufferTimeDefault,
    getBufferTimeDefaultUnadjusted,
    getFastSwitchEnabled,
    getInitialBufferLevel,
    getRetryAttemptsForType,
    getRetryIntervalsForType,
    getCatchupPlaybackRates,
    getAbrBitrateParameter,
    setConfig,
    reset
  };
  setup();
  return instance;
}
MediaPlayerModel.__dashjs_factory_name = 'MediaPlayerModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getSingletonFactory(MediaPlayerModel));

/***/ }),

/***/ "./src/streaming/models/MetricsModel.js":
/*!**********************************************!*\
  !*** ./src/streaming/models/MetricsModel.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _vo_MetricsList_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../vo/MetricsList.js */ "./src/streaming/vo/MetricsList.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _vo_metrics_RepresentationSwitch_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/metrics/RepresentationSwitch.js */ "./src/streaming/vo/metrics/RepresentationSwitch.js");
/* harmony import */ var _vo_metrics_BufferLevel_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../vo/metrics/BufferLevel.js */ "./src/streaming/vo/metrics/BufferLevel.js");
/* harmony import */ var _vo_metrics_BufferState_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../vo/metrics/BufferState.js */ "./src/streaming/vo/metrics/BufferState.js");
/* harmony import */ var _vo_metrics_DVRInfo_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../vo/metrics/DVRInfo.js */ "./src/streaming/vo/metrics/DVRInfo.js");
/* harmony import */ var _vo_metrics_DroppedFrames_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../vo/metrics/DroppedFrames.js */ "./src/streaming/vo/metrics/DroppedFrames.js");
/* harmony import */ var _vo_metrics_ManifestUpdate_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../vo/metrics/ManifestUpdate.js */ "./src/streaming/vo/metrics/ManifestUpdate.js");
/* harmony import */ var _vo_metrics_SchedulingInfo_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../vo/metrics/SchedulingInfo.js */ "./src/streaming/vo/metrics/SchedulingInfo.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _vo_metrics_RequestsQueue_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../vo/metrics/RequestsQueue.js */ "./src/streaming/vo/metrics/RequestsQueue.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */















function MetricsModel(config) {
  config = config || {};
  const settings = config.settings;
  let context = this.context;
  let eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_11__["default"])(context).getInstance();
  let instance, streamMetrics;
  function setup() {
    streamMetrics = {};
  }
  function metricsChanged() {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_13__["default"].METRICS_CHANGED);
  }
  function metricChanged(mediaType) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_13__["default"].METRIC_CHANGED, {
      mediaType: mediaType
    });
    metricsChanged();
  }
  function metricUpdated(mediaType, metricType, vo) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_13__["default"].METRIC_UPDATED, {
      mediaType: mediaType,
      metric: metricType,
      value: vo
    });
    metricChanged(mediaType);
  }
  function metricAdded(mediaType, metricType, vo) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_13__["default"].METRIC_ADDED, {
      mediaType: mediaType,
      metric: metricType,
      value: vo
    });
    metricChanged(mediaType);
  }
  function clearCurrentMetricsForType(type) {
    delete streamMetrics[type];
    metricChanged(type);
  }
  function clearAllCurrentMetrics() {
    streamMetrics = {};
    metricsChanged();
  }
  function getMetricsFor(type, readOnly) {
    let metrics = null;
    if (!type) {
      return metrics;
    }
    if (streamMetrics.hasOwnProperty(type)) {
      metrics = streamMetrics[type];
    } else if (!readOnly) {
      metrics = new _vo_MetricsList_js__WEBPACK_IMPORTED_MODULE_2__["default"]();
      streamMetrics[type] = metrics;
    }
    return metrics;
  }
  function pushMetrics(type, list, value) {
    let metrics = getMetricsFor(type);
    if (metrics !== null) {
      metrics[list].push(value);
      if (metrics[list].length > settings.get().streaming.metrics.maxListDepth) {
        metrics[list].shift();
      }
    }
  }
  function appendHttpTrace(httpRequest, s, d, b) {
    let vo = new _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__.HTTPRequestTrace();
    vo.s = s;
    vo.d = d;
    vo.b = b;
    httpRequest.trace.push(vo);
    if (!httpRequest.interval) {
      httpRequest.interval = 0;
    }
    httpRequest.interval += d;
    return vo;
  }
  function addHttpRequest(request, response, traces, cmsd) {
    let vo = new _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__.HTTPRequest();

    // ISO 23009-1 D.4.3 NOTE 2:
    // All entries for a given object will have the same URL and range
    // and so can easily be correlated. If there were redirects or
    // failures there will be one entry for each redirect/failure.
    // The redirect-to URL or alternative url (where multiple have been
    // provided in the MPD) will appear as the actualurl of the next
    // entry with the same url value.
    if (response.url && response.url !== request.url) {
      const adjustedRequest = {
        mediaType: request.mediaType,
        type: request.type,
        url: request.url,
        serviceLocation: null,
        range: request.range,
        startDate: request.startDate,
        firstByteDate: null,
        endDate: null,
        duration: request.duration,
        fileLoaderType: request.fileLoaderType,
        resourceTimingValues: request.resourceTimingValues
      };
      const adjustedResponse = {
        url: null,
        status: null,
        headers: null
      };
      addHttpRequest(adjustedRequest, adjustedResponse, null, cmsd);
      vo.actualurl = response.url;
    }
    vo.tcpid = null;
    vo.type = request.type;
    vo.url = request.url;
    vo.range = request.range || null;
    vo.trequest = request.startDate;
    vo.tresponse = request.firstByteDate;
    vo.responsecode = response.status;
    vo.cmsd = cmsd;
    vo._tfinish = request.endDate;
    vo._stream = request.mediaType;
    vo._mediaduration = request.duration;
    // For backward compatibility, convert response headers into string representation
    vo._responseHeaders = '';
    for (const key in response.headers) {
      vo._responseHeaders += key + ': ' + response.headers[key] + '\r\n';
    }
    vo._serviceLocation = request.serviceLocation || null;
    vo._fileLoaderType = request.fileLoaderType;
    vo._resourceTimingValues = request.resourceTimingValues;
    vo._streamId = request && request.representation && request.representation.mediaInfo && request.representation.mediaInfo.streamInfo ? request.representation.mediaInfo.streamInfo.id : null;
    if (traces) {
      traces.forEach(trace => {
        appendHttpTrace(vo, trace.s, trace.d, trace.b, trace.t);
      });
    } else {
      // The interval and trace shall be absent for redirect and failure records.
      delete vo.interval;
      delete vo.trace;
    }
    pushAndNotify(request.mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].HTTP_REQUEST, vo);
  }
  function addRepresentationSwitch(mediaType, t, mt, to, lto) {
    let vo = new _vo_metrics_RepresentationSwitch_js__WEBPACK_IMPORTED_MODULE_4__["default"]();
    vo.t = t;
    vo.mt = mt;
    vo.to = to;
    if (lto) {
      vo.lto = lto;
    } else {
      delete vo.lto;
    }
    pushAndNotify(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].TRACK_SWITCH, vo);
  }
  function pushAndNotify(mediaType, metricType, metricObject) {
    pushMetrics(mediaType, metricType, metricObject);
    metricAdded(mediaType, metricType, metricObject);
  }
  function addBufferLevel(mediaType, t, level) {
    let vo = new _vo_metrics_BufferLevel_js__WEBPACK_IMPORTED_MODULE_5__["default"]();
    vo.t = t;
    vo.level = level;
    pushAndNotify(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_LEVEL, vo);
  }
  function addBufferState(mediaType, state, target) {
    let vo = new _vo_metrics_BufferState_js__WEBPACK_IMPORTED_MODULE_6__["default"]();
    vo.target = target;
    vo.state = state;
    pushAndNotify(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFER_STATE, vo);
  }
  function addDVRInfo(mediaType, currentTime, mpd, range) {
    let vo = new _vo_metrics_DVRInfo_js__WEBPACK_IMPORTED_MODULE_7__["default"]();
    vo.time = currentTime;
    vo.range = range;
    vo.manifestInfo = mpd;
    pushAndNotify(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].DVR_INFO, vo);
  }
  function addDroppedFrames(mediaType, quality) {
    let vo = new _vo_metrics_DroppedFrames_js__WEBPACK_IMPORTED_MODULE_8__["default"]();
    let list = getMetricsFor(mediaType).DroppedFrames;
    if (!quality) {
      return;
    }
    vo.time = quality.creationTime;
    vo.droppedFrames = quality.droppedVideoFrames;
    if (list.length > 0 && list[list.length - 1] == vo) {
      return;
    }
    pushAndNotify(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].DROPPED_FRAMES, vo);
  }
  function addSchedulingInfo(mediaType, t, type, startTime, availabilityStartTime, duration, bandwidth, range, state) {
    let vo = new _vo_metrics_SchedulingInfo_js__WEBPACK_IMPORTED_MODULE_10__["default"]();
    vo.mediaType = mediaType;
    vo.t = t;
    vo.type = type;
    vo.startTime = startTime;
    vo.availabilityStartTime = availabilityStartTime;
    vo.duration = duration;
    vo.bandwidth = bandwidth;
    vo.range = range;
    vo.state = state;
    pushAndNotify(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SCHEDULING_INFO, vo);
  }
  function addRequestsQueue(mediaType, loadingRequests, executedRequests) {
    let vo = new _vo_metrics_RequestsQueue_js__WEBPACK_IMPORTED_MODULE_12__["default"]();
    vo.loadingRequests = loadingRequests;
    vo.executedRequests = executedRequests;
    getMetricsFor(mediaType).RequestsQueue = vo;
    metricAdded(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].REQUESTS_QUEUE, vo);
  }
  function addManifestUpdate(mediaType, type, requestTime, fetchTime) {
    let vo = new _vo_metrics_ManifestUpdate_js__WEBPACK_IMPORTED_MODULE_9__.ManifestUpdate();
    vo.mediaType = mediaType;
    vo.type = type;
    vo.requestTime = requestTime; // when this manifest update was requested
    vo.fetchTime = fetchTime; // when this manifest update was received

    pushMetrics(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_UPDATE, vo);
    metricAdded(mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_UPDATE, vo);
  }
  function updateManifestUpdateInfo(manifestUpdate, updatedFields) {
    if (manifestUpdate) {
      for (let field in updatedFields) {
        manifestUpdate[field] = updatedFields[field];
      }
      metricUpdated(manifestUpdate.mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_UPDATE, manifestUpdate);
    }
  }
  function addManifestUpdateStreamInfo(manifestUpdate, id, index, start, duration) {
    if (manifestUpdate) {
      let vo = new _vo_metrics_ManifestUpdate_js__WEBPACK_IMPORTED_MODULE_9__.ManifestUpdateStreamInfo();
      vo.id = id;
      vo.index = index;
      vo.start = start;
      vo.duration = duration;
      manifestUpdate.streamInfo.push(vo);
      metricUpdated(manifestUpdate.mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_UPDATE_STREAM_INFO, manifestUpdate);
    }
  }
  function addManifestUpdateRepresentationInfo(manifestUpdate, representation, mediaType) {
    if (manifestUpdate && manifestUpdate.representationInfo) {
      const vo = new _vo_metrics_ManifestUpdate_js__WEBPACK_IMPORTED_MODULE_9__.ManifestUpdateRepresentationInfo();
      vo.id = representation ? representation.id : null;
      vo.index = representation ? representation.index : null;
      vo.mediaType = mediaType;
      vo.startNumber = representation ? representation.startNumber : null;
      vo.presentationTimeOffset = representation ? representation.presentationTimeOffset : null;
      manifestUpdate.representationInfo.push(vo);
      metricUpdated(manifestUpdate.mediaType, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MANIFEST_UPDATE_TRACK_INFO, manifestUpdate);
    }
  }
  function addPlayList(vo) {
    if (vo.trace && Array.isArray(vo.trace)) {
      vo.trace.forEach(trace => {
        if (trace.hasOwnProperty('subreplevel') && !trace.subreplevel) {
          delete trace.subreplevel;
        }
      });
    } else {
      delete vo.trace;
    }
    pushAndNotify(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].PLAY_LIST, vo);
  }
  function addDVBErrors(vo) {
    pushAndNotify(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM, _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].DVB_ERRORS, vo);
  }
  instance = {
    addBufferLevel,
    addBufferState,
    addDVBErrors,
    addDVRInfo,
    addDroppedFrames,
    addHttpRequest,
    addManifestUpdate,
    addManifestUpdateRepresentationInfo,
    addManifestUpdateStreamInfo,
    addPlayList,
    addRepresentationSwitch,
    addRequestsQueue,
    addSchedulingInfo,
    clearAllCurrentMetrics,
    clearCurrentMetricsForType,
    getMetricsFor,
    updateManifestUpdateInfo
  };
  setup();
  return instance;
}
MetricsModel.__dashjs_factory_name = 'MetricsModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_14__["default"].getSingletonFactory(MetricsModel));

/***/ }),

/***/ "./src/streaming/models/ThroughputModel.js":
/*!*************************************************!*\
  !*** ./src/streaming/models/ThroughputModel.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2017, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */








/**
 * Throughput generally stored in kbit/s
 * Latency generally stored in ms
 * @param {object} config
 * @ignore
 * @constructor
 */
function ThroughputModel(config) {
  config = config || {};
  const context = this.context;
  const debug = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  const settings = config.settings;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
  let throughputDict, latencyDict, ewmaThroughputDict, ewmaLatencyDict, ewmaHalfLife, logger;
  function setup() {
    logger = debug.getLogger(instance);
    ewmaHalfLife = {
      bandwidthHalfLife: {
        fast: settings.get().streaming.abr.throughput.ewma.throughputFastHalfLifeSeconds,
        slow: settings.get().streaming.abr.throughput.ewma.throughputSlowHalfLifeSeconds
      },
      latencyHalfLife: {
        fast: settings.get().streaming.abr.throughput.ewma.latencyFastHalfLifeCount,
        slow: settings.get().streaming.abr.throughput.ewma.latencySlowHalfLifeCount
      }
    };
    reset();
  }

  /**
   * Use the provided request to add new entries for throughput and latency. Update the EWMA state as well.
   * @param {MediaType} mediaType
   * @param {object} httpRequest
   */
  function addEntry(mediaType, httpRequest) {
    try {
      if (!mediaType || !httpRequest || !httpRequest.trace || !httpRequest.trace.length) {
        return;
      }
      _createSettingsForMediaType(mediaType);
      const latencyInMs = httpRequest.tresponse.getTime() - httpRequest.trequest.getTime() || 1;
      let throughputValues = _calculateThroughputValues(httpRequest, latencyInMs);
      throughputValues.latencyInMs = latencyInMs;
      if (isNaN(throughputValues.value) || !isFinite(throughputValues.value)) {
        return;
      }

      // Get estimated throughput (etp, in kbits/s) from CMSD response headers
      if (httpRequest.cmsd) {
        const etp = httpRequest.cmsd.dynamic && httpRequest.cmsd.dynamic.etp ? httpRequest.cmsd.dynamic.etp : null;
        if (etp) {
          // Apply weight ratio on etp
          const etpWeightRatio = settings.get().streaming.cmsd.abr.etpWeightRatio;
          if (etpWeightRatio > 0 && etpWeightRatio <= 1) {
            throughputValues.value = throughputValues.value * (1 - etpWeightRatio) + etp * etpWeightRatio;
          }
        }
      }
      const cacheReferenceTime = httpRequest._tfinish.getTime() - httpRequest.trequest.getTime();
      if (_isCachedResponse(mediaType, cacheReferenceTime, httpRequest)) {
        logger.debug(`${mediaType} Assuming segment ${httpRequest.url} came from cache, ignoring it for throughput calculation`);
        return;
      }
      logger.debug(`Added throughput entry for ${mediaType}: ${throughputValues.value} kbit/s`);
      throughputValues.serviceLocation = httpRequest._serviceLocation;
      throughputDict[mediaType].push(throughputValues);
      latencyDict[mediaType].push({
        value: latencyInMs
      });
      _cleanupDict(mediaType);
      eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].THROUGHPUT_MEASUREMENT_STORED, {
        throughputValues
      });
      if (httpRequest.type !== _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__.HTTPRequest.MPD_TYPE) {
        _updateEwmaValues(ewmaThroughputDict[mediaType], throughputValues.value, settings.get().streaming.abr.throughput.ewma.weightDownloadTimeMultiplicationFactor * throughputValues.downloadTimeInMs, ewmaHalfLife.bandwidthHalfLife);
        _updateEwmaValues(ewmaLatencyDict[mediaType], latencyInMs, 1, ewmaHalfLife.latencyHalfLife);
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * Returns the throughput in kbit/s , the download time in ms and the downloaded bytes for an HTTP request
   * @param {object} httpRequest
   * @param {number} latencyInMs
   * @return {object}
   * @private
   */
  function _calculateThroughputValues(httpRequest, latencyInMs) {
    // Low latency is enabled, we used the fetch API and received chunks
    if (httpRequest._fileLoaderType && httpRequest._fileLoaderType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].FILE_LOADER_TYPES.FETCH) {
      return _calculateThroughputValuesForFetch(httpRequest);
    }

    // Standard case, we used standard XHR requests
    else {
      return _calculateThroughputValuesForXhr(httpRequest, latencyInMs);
    }
  }

  /**
   * Calculates the throughput for requests using the Fetch API
   * @param {object} httpRequest
   * @param {number} latencyInMs
   * @return {number}
   * @private
   */
  function _calculateThroughputValuesForFetch(httpRequest) {
    const downloadedBytes = httpRequest.trace.reduce((prev, curr) => prev + curr.b[0], 0);
    const downloadTimeInMs = httpRequest.trace.reduce((prev, curr) => prev + curr.d, 0);
    let throughputInKbit = NaN;
    if (settings.get().streaming.abr.throughput.useNetworkInformationApi.fetch) {
      throughputInKbit = _deriveThroughputFromNetworkApi();
    }
    if (isNaN(throughputInKbit)) {
      throughputInKbit = Math.round(8 * downloadedBytes / downloadTimeInMs); // bits/ms = kbits/s
    }
    return {
      downloadedBytes,
      value: throughputInKbit,
      downloadTimeInMs
    };
  }

  /**
   * Returns the throughput in kbit/s and the download time in ms for requests using XHR
   * @param {object} httpRequest
   * @param {number} latencyInMs
   * @return {object}
   * @private
   */
  function _calculateThroughputValuesForXhr(httpRequest, latencyInMs) {
    let downloadedBytes = NaN;
    let downloadTimeInMs = NaN;
    let deriveThroughputViaResourceTimingApi = false;

    // Calculate the throughput using the ResourceTimingAPI if available
    if (settings.get().streaming.abr.throughput.useResourceTimingApi && httpRequest._resourceTimingValues) {
      downloadedBytes = httpRequest._resourceTimingValues.transferSize;
      downloadTimeInMs = httpRequest._resourceTimingValues.responseEnd - httpRequest._resourceTimingValues.responseStart;
      deriveThroughputViaResourceTimingApi = true;
    }

    // Use the standard throughput calculation if we can not use the Resource Timing API
    else {
      // We need at least two entries in the traces. The first entry includes the latency and the XHR progress event was thrown once bytes have already been received.
      // The second progress event can be set in relation to the first progress event and therefor gives us more accurate values
      if (httpRequest.trace.length <= 1) {
        return {
          throughput: NaN,
          downloadTimeInMs: NaN
        };
      }
      downloadedBytes = httpRequest.trace.reduce((prev, curr) => prev + curr.b[0], 0) - httpRequest.trace[0].b[0];
      downloadTimeInMs = Math.max(httpRequest.trace.reduce((prev, curr) => prev + curr.d, 0) - httpRequest.trace[0].d, 1);
    }

    // If available and enabled use the Network Information API
    let throughputInKbit = NaN;
    if (!deriveThroughputViaResourceTimingApi && settings.get().streaming.abr.throughput.useNetworkInformationApi.xhr) {
      throughputInKbit = _deriveThroughputFromNetworkApi();
    }
    if (isNaN(throughputInKbit)) {
      const referenceTimeInMs = settings.get().streaming.abr.throughput.useDeadTimeLatency ? downloadTimeInMs : downloadTimeInMs + latencyInMs;
      throughputInKbit = Math.round(8 * downloadedBytes / referenceTimeInMs); // bits/ms = kbits/s
    }
    return {
      downloadedBytes,
      value: throughputInKbit,
      downloadTimeInMs
    };
  }

  /**
   * Return the current estimated bandwidth based on NetworkInformation.downlink if the API is available
   * @returns {*|number}
   * @private
   */
  function _deriveThroughputFromNetworkApi() {
    // NetworkInformation.downlink: Returns the effective bandwidth estimate in megabits per second, rounded to the nearest multiple of 25 kilobits per seconds.
    if (navigator && navigator.connection && !isNaN(navigator.connection.downlink) && navigator.connection.downlink > 0) {
      return navigator.connection.downlink * 1000;
    }
    return NaN;
  }

  /**
   * Check if the response was cached.
   * @param {MediaType} mediaType
   * @param {number} cacheReferenceTime
   * @param {object} httpRequest
   * @return {boolean}
   * @private
   */
  function _isCachedResponse(mediaType, cacheReferenceTime, httpRequest) {
    if (settings.get().streaming.abr.throughput.useResourceTimingApi && httpRequest._resourceTimingValues) {
      return httpRequest._resourceTimingValues.transferSize === 0 && httpRequest._resourceTimingValues.decodedBodySize > 0;
    }
    if (isNaN(cacheReferenceTime)) {
      return false;
    }
    if (mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      return cacheReferenceTime < settings.get().streaming.cacheLoadThresholds[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO];
    } else if (mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO) {
      return cacheReferenceTime < settings.get().streaming.cacheLoadThresholds[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO];
    }
  }

  /**
   *
   * @param {object} ewmaObj
   * @param {number} value
   * @param {number} weight
   * @param {object} halfLife
   * @private
   */
  function _updateEwmaValues(ewmaObj, value, weight, halfLife) {
    // Note about startup:
    // Estimates start at 0, so early values are underestimated.
    // This effect is countered in getAverageEwma() by dividing the estimates by:
    //     1 - Math.pow(0.5, ewmaObj.totalWeight / halfLife)

    const fastAlpha = Math.pow(0.5, weight / halfLife.fast);
    ewmaObj.fastEstimate = (1 - fastAlpha) * value + fastAlpha * ewmaObj.fastEstimate;
    const slowAlpha = Math.pow(0.5, weight / halfLife.slow);
    ewmaObj.slowEstimate = (1 - slowAlpha) * value + slowAlpha * ewmaObj.slowEstimate;
    ewmaObj.totalWeight += weight;
  }

  /**
   * Shift old entries once we reached the threshold
   * @param {MediaType} mediaType
   * @private
   */
  function _cleanupDict(mediaType) {
    if (throughputDict[mediaType].length > settings.get().streaming.abr.throughput.sampleSettings.maxMeasurementsToKeep) {
      throughputDict[mediaType].shift();
    }
    if (latencyDict[mediaType].length > settings.get().streaming.abr.throughput.sampleSettings.maxMeasurementsToKeep) {
      latencyDict[mediaType].shift();
    }
  }

  /**
   * Setup the dict objects for a specific media type
   * @param mediaType
   * @private
   */
  function _createSettingsForMediaType(mediaType) {
    throughputDict[mediaType] = throughputDict[mediaType] || [];
    latencyDict[mediaType] = latencyDict[mediaType] || [];
    ewmaThroughputDict[mediaType] = ewmaThroughputDict[mediaType] || {
      fastEstimate: 0,
      slowEstimate: 0,
      totalWeight: 0
    };
    ewmaLatencyDict[mediaType] = ewmaLatencyDict[mediaType] || {
      fastEstimate: 0,
      slowEstimate: 0,
      totalWeight: 0
    };
  }
  function getThroughputDict(mediaType) {
    if (!mediaType) {
      return throughputDict;
    }
    return throughputDict[mediaType];
  }
  function getEwmaThroughputDict(mediaType) {
    if (!mediaType) {
      return ewmaThroughputDict;
    }
    return ewmaThroughputDict[mediaType];
  }
  function getLatencyDict(mediaType) {
    if (!mediaType) {
      return latencyDict;
    }
    return latencyDict[mediaType];
  }
  function getEwmaLatencyDict(mediaType) {
    if (!mediaType) {
      return ewmaLatencyDict;
    }
    return ewmaLatencyDict[mediaType];
  }
  function getEwmaHalfLife() {
    return ewmaHalfLife;
  }

  /**
   * Reset all values
   */
  function reset() {
    throughputDict = {};
    latencyDict = {};
    ewmaThroughputDict = {};
    ewmaLatencyDict = {};
  }
  const instance = {
    addEntry,
    getThroughputDict,
    getEwmaThroughputDict,
    getEwmaLatencyDict,
    getEwmaHalfLife,
    getLatencyDict,
    reset
  };
  setup();
  return instance;
}
ThroughputModel.__dashjs_factory_name = 'ThroughputModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(ThroughputModel));

/***/ }),

/***/ "./src/streaming/models/URIFragmentModel.js":
/*!**************************************************!*\
  !*** ./src/streaming/models/URIFragmentModel.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _vo_URIFragmentData_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../vo/URIFragmentData.js */ "./src/streaming/vo/URIFragmentData.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




/**
 * Model class managing URI fragments.
 * @ignore
 */
function URIFragmentModel() {
  let instance, URIFragmentDataVO;

  /**
   * @param {string} uri The URI to parse for fragment extraction
   * @memberof module:URIFragmentModel
   * @instance
   */
  function initialize(uri) {
    URIFragmentDataVO = new _vo_URIFragmentData_js__WEBPACK_IMPORTED_MODULE_0__["default"]();
    if (!uri) {
      return null;
    }
    const hashIndex = uri.indexOf('#');
    if (hashIndex !== -1) {
      const fragments = uri.substr(hashIndex + 1).split('&');
      for (let i = 0, len = fragments.length; i < len; ++i) {
        const fragment = fragments[i];
        const equalIndex = fragment.indexOf('=');
        if (equalIndex !== -1) {
          const key = fragment.substring(0, equalIndex);
          if (URIFragmentDataVO.hasOwnProperty(key)) {
            URIFragmentDataVO[key] = fragment.substr(equalIndex + 1);
          }
        }
      }
    }
  }

  /**
   * @returns {URIFragmentData} Object containing supported URI fragments
   * @memberof module:URIFragmentModel
   * @instance
   */
  function getURIFragmentData() {
    return URIFragmentDataVO;
  }
  instance = {
    initialize: initialize,
    getURIFragmentData: getURIFragmentData
  };
  return instance;
}
URIFragmentModel.__dashjs_factory_name = 'URIFragmentModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getSingletonFactory(URIFragmentModel));

/***/ }),

/***/ "./src/streaming/models/VideoModel.js":
/*!********************************************!*\
  !*** ./src/streaming/models/VideoModel.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */







const READY_STATES_TO_EVENT_NAMES = new Map([[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_METADATA, 'loadedmetadata'], [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_CURRENT_DATA, 'loadeddata'], [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_FUTURE_DATA, 'canplay'], [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_ENOUGH_DATA, 'canplaythrough']]);
function VideoModel() {
  let instance, logger, settings, element, _currentTime, setCurrentTimeReadyStateFunction, resumeReadyStateFunction, TTMLRenderingDiv, vttRenderingDiv, previousPlaybackRate, timeout;
  const VIDEO_MODEL_WRONG_ELEMENT_TYPE = 'element is not video or audio DOM type!';
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  const stalledStreams = [];
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance().getLogger(instance);
    settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
    _currentTime = NaN;
  }
  function initialize() {
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PLAYING, onPlaying, this);
  }
  function reset() {
    clearTimeout(timeout);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_PLAYING, onPlaying, this);
    stalledStreams.length = 0;
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.settings) {
      settings = config.settings;
    }
  }
  function setPlaybackRate(value) {
    let ignoreReadyState = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    if (!element) {
      return;
    }
    if (ignoreReadyState) {
      element.playbackRate = value;
      return;
    }

    // If media element hasn't loaded enough data to play yet, wait until it has
    waitForReadyState(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_FUTURE_DATA, () => {
      element.playbackRate = value;
    });
  }

  //TODO Move the DVR window calculations from MediaPlayer to Here.
  function setCurrentTime(currentTime, stickToBuffered) {
    if (element) {
      if (setCurrentTimeReadyStateFunction && setCurrentTimeReadyStateFunction.func && setCurrentTimeReadyStateFunction.event) {
        removeEventListener(setCurrentTimeReadyStateFunction.event, setCurrentTimeReadyStateFunction.func);
      }
      _currentTime = currentTime;
      setCurrentTimeReadyStateFunction = waitForReadyState(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_METADATA, () => {
        if (!element) {
          return;
        }

        // We don't set the same currentTime because it can cause firing unexpected Pause event in IE11
        // providing playbackRate property equals to zero.
        if (element.currentTime === _currentTime) {
          _currentTime = NaN;
          return;
        }

        // TODO Despite the fact that MediaSource 'open' event has been fired IE11 cannot set videoElement.currentTime
        // immediately (it throws InvalidStateError). It seems that this is related to videoElement.readyState property
        // Initially it is 0, but soon after 'open' event it goes to 1 and setting currentTime is allowed. Chrome allows to
        // set currentTime even if readyState = 0.
        // setTimeout is used to workaround InvalidStateError in IE11
        try {
          _currentTime = stickToBuffered ? stickTimeToBuffered(_currentTime) : _currentTime;
          if (!isNaN(_currentTime)) {
            element.currentTime = _currentTime;
          }
          _currentTime = NaN;
        } catch (e) {
          if (element.readyState === 0 && e.code === e.INVALID_STATE_ERR) {
            timeout = setTimeout(function () {
              element.currentTime = _currentTime;
              _currentTime = NaN;
            }, 400);
          }
        }
      });
    }
  }
  function stickTimeToBuffered(time) {
    const buffered = getBufferRange();
    let closestTime = time;
    let closestDistance = 9999999999;
    if (buffered) {
      for (let i = 0; i < buffered.length; i++) {
        const start = buffered.start(i);
        const end = buffered.end(i);
        const distanceToStart = Math.abs(start - time);
        const distanceToEnd = Math.abs(end - time);
        if (time >= start && time <= end) {
          return time;
        }
        if (distanceToStart < closestDistance) {
          closestDistance = distanceToStart;
          closestTime = start;
        }
        if (distanceToEnd < closestDistance) {
          closestDistance = distanceToEnd;
          closestTime = end;
        }
      }
    }
    return closestTime;
  }
  function getElement() {
    return element;
  }
  function setElement(value) {
    //add check of value type
    if (value === null || value === undefined || value && /^(VIDEO|AUDIO)$/i.test(value.nodeName)) {
      element = value;
      // Workaround to force Firefox to fire the canplay event.
      if (element) {
        element.preload = 'auto';
      }
    } else {
      throw VIDEO_MODEL_WRONG_ELEMENT_TYPE;
    }
  }
  function setSource(source) {
    if (element) {
      if (source) {
        element.src = source;
      } else {
        element.removeAttribute('src');
        element.load();
      }
    }
  }
  function setDisableRemotePlayback(value) {
    if (element) {
      element.disableRemotePlayback = value;
    }
  }
  function getSource() {
    return element ? element.src : null;
  }
  function getTTMLRenderingDiv() {
    return TTMLRenderingDiv;
  }
  function getVttRenderingDiv() {
    return vttRenderingDiv;
  }
  function setTTMLRenderingDiv(div) {
    TTMLRenderingDiv = div;
    // The styling will allow the captions to match the video window size and position.
    TTMLRenderingDiv.style.position = 'absolute';
    TTMLRenderingDiv.style.display = 'flex';
    TTMLRenderingDiv.style.overflow = 'hidden';
    TTMLRenderingDiv.style.pointerEvents = 'none';
    TTMLRenderingDiv.style.top = 0;
    TTMLRenderingDiv.style.left = 0;
  }
  function setVttRenderingDiv(div) {
    vttRenderingDiv = div;
  }
  function setStallState(type, state) {
    stallStream(type, state);
  }
  function isStalled() {
    return stalledStreams.length > 0;
  }
  function addStalledStream(type) {
    if (type === null || !element || element.seeking || stalledStreams.indexOf(type) !== -1) {
      return;
    }
    stalledStreams.push(type);
    if (settings.get().streaming.buffer.syntheticStallEvents.enabled && element && stalledStreams.length === 1 && (settings.get().streaming.buffer.syntheticStallEvents.ignoreReadyState || getReadyState() >= _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_FUTURE_DATA)) {
      // Halt playback until nothing is stalled
      previousPlaybackRate = element.playbackRate;
      setPlaybackRate(0, true);
      const event = document.createEvent('Event');
      event.initEvent('waiting', true, false);
      element.dispatchEvent(event);
    }
  }
  function removeStalledStream(type) {
    let index = stalledStreams.indexOf(type);
    if (type === null) {
      return;
    }
    if (index !== -1) {
      stalledStreams.splice(index, 1);
    }
    if (settings.get().streaming.buffer.syntheticStallEvents.enabled && element && !isStalled()) {
      const resume = () => {
        setPlaybackRate(previousPlaybackRate || 1, settings.get().streaming.buffer.syntheticStallEvents.ignoreReadyState);
        if (!element.paused) {
          const event = document.createEvent('Event');
          event.initEvent('playing', true, false);
          element.dispatchEvent(event);
        }
      };
      if (settings.get().streaming.buffer.syntheticStallEvents.ignoreReadyState) {
        resume();
      } else {
        if (resumeReadyStateFunction && resumeReadyStateFunction.func && resumeReadyStateFunction.event) {
          removeEventListener(resumeReadyStateFunction.event, resumeReadyStateFunction.func);
        }
        resumeReadyStateFunction = waitForReadyState(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_FUTURE_DATA, resume);
      }
    }
  }
  function stallStream(type, isStalled) {
    if (isStalled) {
      addStalledStream(type);
    } else {
      removeStalledStream(type);
    }
  }

  //Calling play on the element will emit playing - even if the stream is stalled. If the stream is stalled, emit a waiting event.
  function onPlaying() {
    if (element && isStalled() && element.playbackRate === 0) {
      const event = document.createEvent('Event');
      event.initEvent('waiting', true, false);
      element.dispatchEvent(event);
    }
  }
  function getPlaybackQuality() {
    if (!element) {
      return null;
    }
    let hasWebKit = 'webkitDroppedFrameCount' in element && 'webkitDecodedFrameCount' in element;
    let hasQuality = 'getVideoPlaybackQuality' in element;
    let result = null;
    if (hasQuality) {
      result = element.getVideoPlaybackQuality();
    } else if (hasWebKit) {
      result = {
        droppedVideoFrames: element.webkitDroppedFrameCount,
        totalVideoFrames: element.webkitDroppedFrameCount + element.webkitDecodedFrameCount,
        creationTime: new Date()
      };
    }
    return result;
  }
  function play() {
    if (element) {
      element.autoplay = true;
      const p = element.play();
      if (p && p.catch && typeof Promise !== 'undefined') {
        p.catch(e => {
          if (e.name === 'NotAllowedError') {
            eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].PLAYBACK_NOT_ALLOWED);
          }
          logger.warn(`Caught pending play exception - continuing (${e})`);
        });
      }
    }
  }
  function isPaused() {
    return element ? element.paused : null;
  }
  function pause() {
    if (element) {
      element.pause();
      element.autoplay = false;
    }
  }
  function isSeeking() {
    return element ? element.seeking || !isNaN(_currentTime) : null;
  }
  function getTime() {
    return element ? !isNaN(_currentTime) ? _currentTime : element.currentTime : null;
  }
  function getPlaybackRate() {
    return element ? element.playbackRate : null;
  }
  function getPlayedRanges() {
    return element ? element.played : null;
  }
  function getEnded() {
    return element ? element.ended : null;
  }
  function addEventListener(eventName, eventCallBack) {
    if (element) {
      element.addEventListener(eventName, eventCallBack);
    }
  }
  function removeEventListener(eventName, eventCallBack) {
    if (element) {
      element.removeEventListener(eventName, eventCallBack);
    }
  }
  function getReadyState() {
    return element ? element.readyState : NaN;
  }
  function getBufferRange() {
    return element ? element.buffered : null;
  }
  function getClientWidth() {
    return element ? element.clientWidth : NaN;
  }
  function getClientHeight() {
    return element ? element.clientHeight : NaN;
  }
  function getVideoWidth() {
    return element ? element.videoWidth : NaN;
  }
  function getVideoHeight() {
    return element ? element.videoHeight : NaN;
  }
  function getVideoRelativeOffsetTop() {
    if (element) {
      const parentElement = element.parentNode.host || element.parentNode;
      return parentElement ? element.getBoundingClientRect().top - parentElement.getBoundingClientRect().top : NaN;
    }
    return NaN;
  }
  function getVideoRelativeOffsetLeft() {
    if (element) {
      const parentElement = element.parentNode.host || element.parentNode;
      return parentElement ? element.getBoundingClientRect().left - parentElement.getBoundingClientRect().left : NaN;
    }
    return NaN;
  }
  function getTextTracks() {
    return element ? element.textTracks : [];
  }
  function getTextTrack(kind, label, lang, isTTML, isEmbedded) {
    if (element) {
      for (let i = 0; i < element.textTracks.length; i++) {
        //label parameter could be a number (due to adaptationSet), but label, the attribute of textTrack, is a string => to modify...
        //label could also be undefined (due to adaptationSet)
        if (element.textTracks[i].kind === kind && (label ? element.textTracks[i].label == label : true) && element.textTracks[i].language === lang && element.textTracks[i].isTTML === isTTML && element.textTracks[i].isEmbedded === isEmbedded) {
          return element.textTracks[i];
        }
      }
    }
    return null;
  }
  function addTextTrack(kind, label, lang, isTTML, isEmbedded) {
    if (!element) {
      return null;
    }
    // check if track of same type has not been already created for previous stream
    // then use it (no way to remove existing text track from video element)
    let track = getTextTrack(kind, label, lang, isTTML, isEmbedded);
    if (!track) {
      track = element.addTextTrack(kind, label, lang);
      track.isEmbedded = isEmbedded;
      track.isTTML = isTTML;
    }
    return track;
  }
  function appendChild(childElement) {
    if (element) {
      element.appendChild(childElement);
      //in Chrome, we need to differenciate textTrack with same lang, kind and label but different format (vtt, ttml, etc...)
      if (childElement.isTTML !== undefined) {
        element.textTracks[element.textTracks.length - 1].isTTML = childElement.isTTML;
        element.textTracks[element.textTracks.length - 1].isEmbedded = childElement.isEmbedded;
      }
    }
  }
  function removeChild(childElement) {
    if (element) {
      element.removeChild(childElement);
    }
  }
  function waitForReadyState(targetReadyState, callback) {
    if (targetReadyState === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_4__["default"].VIDEO_ELEMENT_READY_STATES.HAVE_NOTHING || getReadyState() >= targetReadyState) {
      callback();
      return null;
    } else {
      // wait for the appropriate callback before checking again
      const event = READY_STATES_TO_EVENT_NAMES.get(targetReadyState);
      return _listenOnce(event, callback);
    }
  }
  function _listenOnce(event, callback) {
    const func = () => {
      // Stop listening to this event.
      removeEventListener(event, func);
      // Call the original listener.
      callback(event);
    };
    addEventListener(event, func);
    return {
      func,
      event
    };
  }
  function getVideoElementSize() {
    const hasPixelRatio = settings.get().streaming.abr.usePixelRatioInLimitBitrateByPortal && window.hasOwnProperty('devicePixelRatio');
    const pixelRatio = hasPixelRatio ? window.devicePixelRatio : 1;
    const elementWidth = getClientWidth() * pixelRatio;
    const elementHeight = getClientHeight() * pixelRatio;
    return {
      elementWidth,
      elementHeight
    };
  }
  instance = {
    addEventListener,
    addTextTrack,
    appendChild,
    getBufferRange,
    getClientHeight,
    getClientWidth,
    getElement,
    getEnded,
    getPlaybackQuality,
    getPlaybackRate,
    getPlayedRanges,
    getReadyState,
    getSource,
    getTTMLRenderingDiv,
    getTextTrack,
    getTextTracks,
    getTime,
    getVideoElementSize,
    getVideoHeight,
    getVideoRelativeOffsetLeft,
    getVideoRelativeOffsetTop,
    getVideoWidth,
    getVttRenderingDiv,
    initialize,
    isPaused,
    isSeeking,
    isStalled,
    pause,
    play,
    removeChild,
    removeEventListener,
    reset,
    setConfig,
    setCurrentTime,
    setDisableRemotePlayback,
    setElement,
    setPlaybackRate,
    setSource,
    setStallState,
    setTTMLRenderingDiv,
    setVttRenderingDiv,
    waitForReadyState
  };
  setup();
  return instance;
}
VideoModel.__dashjs_factory_name = 'VideoModel';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(VideoModel));

/***/ }),

/***/ "./src/streaming/net/FetchLoader.js":
/*!******************************************!*\
  !*** ./src/streaming/net/FetchLoader.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






/**
 * @module FetchLoader
 * @ignore
 * @description Manages download of resources via HTTP using fetch.
 */
function FetchLoader() {
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  let instance, boxParser, logger;
  function setConfig(cfg) {
    boxParser = cfg.boxParser;
  }
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance().getLogger(instance);
  }

  /**
   * Load request
   * With HTTP responses that use chunked transfer encoding, the promise returned by fetch will resolve as soon as the response's headers are received.
   * @param {CommonMediaRequest} commonMediaRequest
   * @param {CommonMediaResponse} commonMediaResponse
   */
  function load(commonMediaRequest, commonMediaResponse) {
    const headers = _getHeaders(commonMediaRequest);
    const abortController = _setupAbortMechanism(commonMediaRequest);
    const fetchResourceRequestObject = _getFetchResourceRequestObject(commonMediaRequest, headers, abortController);
    fetch(fetchResourceRequestObject).then(fetchResponse => {
      _handleFetchResponse(fetchResponse, commonMediaRequest, commonMediaResponse);
    }).catch(() => {
      _handleFetchError(commonMediaRequest);
    });
  }
  function _handleFetchResponse(fetchResponse, commonMediaRequest, commonMediaResponse) {
    _updateCommonMediaResponseInstance(commonMediaResponse, fetchResponse);
    if (!fetchResponse.ok) {
      commonMediaRequest.customData.onloadend();
    }
    let totalBytesReceived = 0;
    let signaledFirstByte = false;
    let receivedData = new Uint8Array();
    let endPositionOfLastProcessedBoxInReceivedData = 0;
    commonMediaRequest.customData.reader = fetchResponse.body.getReader();
    let downloadedData = [];
    let moofStartTimeData = [];
    let mdatEndTimeData = [];
    let lastChunkWasFinished = true;
    const calculationMode = settings.get().streaming.abr.throughput.lowLatencyDownloadTimeCalculationMode;

    /**
     * Callback function for ReadableStreamDefaultReader
     * @param value - chunk data. Always undefined when done is true.
     * @param done - true if the stream has already given you all its data.
     */
    const _processResult = _ref => {
      let {
        value,
        done
      } = _ref;
      if (done) {
        _handleRequestComplete();
        return;
      }
      if (value && value.length > 0) {
        _handleReceivedChunkData(value);
      }
      _readResponseBody(commonMediaRequest, commonMediaResponse, _processResult);
    };

    /**
     * Once a request is completed throw final progress event with the calculated bytes and download time
     * @private
     */
    function _handleRequestComplete() {
      if (receivedData) {
        const calculatedDownloadTime = _calculateDownloadTime();

        // In this case we push an entry to the traces.
        // This is the only entry we push as the other calls to onprogress use noTrace = true
        commonMediaRequest.customData.onprogress({
          loaded: totalBytesReceived,
          total: totalBytesReceived,
          lengthComputable: true,
          time: calculatedDownloadTime
        });
        commonMediaResponse.data = receivedData.buffer;
      }
      commonMediaRequest.customData.onloadend();
    }
    function _calculateDownloadTime() {
      // If there is pending data, call progress so network metrics
      // are correctly generated
      // Same structure as https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequestEventTarget/
      let downloadTime = null;
      if (calculationMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.MOOF_PARSING) {
        downloadTime = _getDownloadTimeForMoofParsing();
      } else if (calculationMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.DOWNLOADED_DATA) {
        downloadTime = _getDownloadTimeForDownloadedData();
      }
      return downloadTime;
    }
    function _getDownloadTimeForMoofParsing() {
      const calculatedThroughput = _calculateThroughputByMoofMdatTimes(moofStartTimeData, mdatEndTimeData);
      if (calculatedThroughput) {
        return totalBytesReceived * 8 / calculatedThroughput;
      }
      return null;
    }
    function _getDownloadTimeForDownloadedData() {
      return calculateDownloadedTime(downloadedData, totalBytesReceived);
    }

    /**
     * Called every time we received data if the request is not completed
     * @param value
     * @private
     */
    function _handleReceivedChunkData(value) {
      receivedData = _concatTypedArray(receivedData, value);
      totalBytesReceived += value.length;
      downloadedData.push({
        timestamp: _getCurrentTimestamp(),
        bytes: value.length
      });
      if (calculationMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.MOOF_PARSING && lastChunkWasFinished) {
        _findMoofBoxInChunkData();
      }
      const boxesInfo = boxParser.findLastTopIsoBoxCompleted(['moov', 'mdat'], receivedData, endPositionOfLastProcessedBoxInReceivedData);
      if (boxesInfo.found) {
        _handleTopIsoBoxCompleted(boxesInfo);
      } else {
        _handleNoCompletedTopIsoBox(boxesInfo);
      }
    }
    function _findMoofBoxInChunkData() {
      const boxesInfo = boxParser.findLastTopIsoBoxCompleted(['moof'], receivedData, endPositionOfLastProcessedBoxInReceivedData);
      if (boxesInfo.found) {
        lastChunkWasFinished = false;
        moofStartTimeData.push({
          timestamp: _getCurrentTimestamp()
        });
      }
    }
    function _handleTopIsoBoxCompleted(boxesInfo) {
      const endPositionOfLastTargetBox = boxesInfo.startOffsetOfLastFoundTargetBox + boxesInfo.sizeOfLastFoundTargetBox;
      const data = _getDataForMediaSourceBufferAndAdjustReceivedData(endPositionOfLastTargetBox);

      // Store the end time of each chunk download  with its size in array EndTimeData
      if (calculationMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].LOW_LATENCY_DOWNLOAD_TIME_CALCULATION_MODE.MOOF_PARSING && !lastChunkWasFinished) {
        lastChunkWasFinished = true;
        mdatEndTimeData.push({
          timestamp: _getCurrentTimestamp(),
          bytes: data.length
        });
      }

      // Announce progress but don't track traces. Throughput measures are quite unstable
      // when they are based in small amount of data
      commonMediaRequest.customData.onprogress({
        data: data.buffer,
        lengthComputable: false,
        noTrace: true
      });
      endPositionOfLastProcessedBoxInReceivedData = 0;
    }

    /**
     * Make the data that we received available for playback
     * If we are going to pass full buffer, avoid copying it and pass
     * complete buffer. Otherwise, clone the part of the buffer that is completed
     * and adjust remaining buffer. A clone is needed because ArrayBuffer of a typed-array
     * keeps a reference to the original data
     * @param endPositionOfLastTargetBox
     * @returns {Uint8Array}
     * @private
     */
    function _getDataForMediaSourceBufferAndAdjustReceivedData(endPositionOfLastTargetBox) {
      let data;
      if (endPositionOfLastTargetBox === receivedData.length) {
        data = receivedData;
        receivedData = new Uint8Array();
      } else {
        data = new Uint8Array(receivedData.subarray(0, endPositionOfLastTargetBox));
        receivedData = receivedData.subarray(endPositionOfLastTargetBox);
      }
      return data;
    }
    function _handleNoCompletedTopIsoBox(boxesInfo) {
      endPositionOfLastProcessedBoxInReceivedData = boxesInfo.startOffsetOfLastCompletedBox + boxesInfo.sizeOfLastCompletedBox;
      // Call progress, so it generates traces that will be later used to know when the first byte
      // were received
      if (!signaledFirstByte) {
        commonMediaRequest.customData.onprogress({
          lengthComputable: false,
          noTrace: true
        });
        signaledFirstByte = true;
      }
    }
    _readResponseBody(commonMediaRequest, commonMediaResponse, _processResult);
  }

  /**
   * Reads the response of the request. For details refer to https://developer.mozilla.org/en-US/docs/Web/API/ReadableStreamDefaultReader/read
   * @param {CommonMediaRequest} commonMediaRequest
   * @param {CommonMediaResponse} commonMediaResponse
   * @param processResult
   * @private
   */
  function _readResponseBody(commonMediaRequest, commonMediaResponse, processResult) {
    commonMediaRequest.customData.reader.read().then(processResult).catch(function () {
      _handleFetchError(commonMediaRequest);
    });
  }
  function _handleFetchError(commonMediaRequest) {
    if (commonMediaRequest.customData.onloadend) {
      commonMediaRequest.customData.onloadend();
    }
  }
  function _updateCommonMediaResponseInstance(commonMediaResponse, fetchResponse) {
    commonMediaResponse.status = fetchResponse.status;
    commonMediaResponse.statusText = fetchResponse.statusText;
    commonMediaResponse.url = fetchResponse.url;
    const responseHeaders = {};
    for (const key of fetchResponse.headers.keys()) {
      responseHeaders[key] = fetchResponse.headers.get(key);
    }
    commonMediaResponse.headers = responseHeaders;
  }
  function _getHeaders(commonMediaRequest) {
    const headers = new Headers();
    if (commonMediaRequest.headers) {
      for (let header in commonMediaRequest.headers) {
        let value = commonMediaRequest.headers[header];
        if (value) {
          headers.append(header, value);
        }
      }
    }
    return headers;
  }
  function _setupAbortMechanism(commonMediaRequest) {
    let abortController;
    if (typeof window.AbortController === 'function') {
      abortController = new AbortController();
      commonMediaRequest.customData.abortController = abortController;
      abortController.signal.onabort = commonMediaRequest.customData.onabort;
    }
    commonMediaRequest.customData.abort = abort.bind(commonMediaRequest);
    return abortController;
  }
  function _getFetchResourceRequestObject(commonMediaRequest, headers, abortController) {
    const fetchResourceRequestObject = new Request(commonMediaRequest.url, {
      method: commonMediaRequest.method,
      headers: headers,
      credentials: commonMediaRequest.credentials,
      signal: abortController ? abortController.signal : undefined
    });
    return fetchResourceRequestObject;
  }
  function _getCurrentTimestamp() {
    if (typeof performance !== 'undefined' && typeof performance.now === 'function') {
      return performance.now();
    } else {
      return Date.now();
    }
  }

  /**
   * Creates a new Uint8 array and adds the existing data as well as new data
   * @param receivedData
   * @param data
   * @returns {Uint8Array|*}
   * @private
   */
  function _concatTypedArray(receivedData, data) {
    if (receivedData.length === 0) {
      return data;
    }
    const result = new Uint8Array(receivedData.length + data.length);
    result.set(receivedData);

    // set(typedarray, targetOffset)
    result.set(data, receivedData.length);
    return result;
  }

  /**
   * Use the AbortController to abort a request
   * @param request
   */
  function abort() {
    // this = httpRequest (CommonMediaRequest)
    if (this.customData.abortController) {
      // For firefox and edge
      this.customData.abortController.abort();
    } else if (this.customData.reader) {
      // For Chrome
      try {
        this.customData.reader.cancel();
        this.onabort();
      } catch (e) {
        // throw exceptions (TypeError) when reader was previously closed,
        // for example, because a network issue
      }
    }
  }
  function reset() {}

  /**
   * Default throughput calculation
   * @param downloadedData
   * @param bytesReceived
   * @returns {number|null}
   * @private
   */
  function calculateDownloadedTime(downloadedData, bytesReceived) {
    try {
      downloadedData = downloadedData.filter(data => data.bytes > bytesReceived / 4 / downloadedData.length);
      if (downloadedData.length > 1) {
        let time = 0;
        const avgTimeDistance = (downloadedData[downloadedData.length - 1].timestamp - downloadedData[0].timestamp) / downloadedData.length;
        downloadedData.forEach((data, index) => {
          // To be counted the data has to be over a threshold
          const next = downloadedData[index + 1];
          if (next) {
            const distance = next.timestamp - data.timestamp;
            time += distance < avgTimeDistance ? distance : 0;
          }
        });
        return time;
      }
      return null;
    } catch (e) {
      return null;
    }
  }
  function _calculateThroughputByMoofMdatTimes(moofStartTimeData, mdatEndTimeData) {
    try {
      let filteredMoofStartTimeData, filteredMdatEndTimeData;

      // Filter the last chunks in a segment in both arrays [StartTimeData and EndTimeData]
      filteredMoofStartTimeData = moofStartTimeData.slice(0, -1);
      filteredMdatEndTimeData = mdatEndTimeData.slice(0, -1);
      if (filteredMoofStartTimeData.length !== filteredMdatEndTimeData.length) {
        logger.warn(`[FetchLoader] Moof and Mdat data arrays have different lengths. Moof: ${filteredMoofStartTimeData.length}, Mdat: ${filteredMdatEndTimeData.length}`);
      }
      if (filteredMoofStartTimeData.length <= 1) {
        return null;
      }
      let chunkThroughputValues = [];
      let shortDurationBytesReceived = 0;
      let shortDurationStartTime = 0;
      for (let i = 0; i < filteredMoofStartTimeData.length; i++) {
        if (filteredMoofStartTimeData[i] && filteredMdatEndTimeData[i]) {
          let chunkDownloadTime = filteredMdatEndTimeData[i].timestamp - filteredMoofStartTimeData[i].timestamp;
          if (chunkDownloadTime > 1) {
            const throughput = _getThroughputInBitPerMs(filteredMdatEndTimeData[i].bytes, chunkDownloadTime);
            chunkThroughputValues.push(throughput);
            shortDurationStartTime = 0;
          } else {
            if (shortDurationStartTime === 0) {
              shortDurationStartTime = filteredMoofStartTimeData[i].timestamp;
              shortDurationBytesReceived = 0;
            }
            let cumulatedChunkDownloadTime = filteredMdatEndTimeData[i].timestamp - shortDurationStartTime;
            if (cumulatedChunkDownloadTime > 1) {
              shortDurationBytesReceived += filteredMdatEndTimeData[i].bytes;
              const throughput = _getThroughputInBitPerMs(shortDurationBytesReceived, cumulatedChunkDownloadTime);
              chunkThroughputValues.push(throughput);
              shortDurationStartTime = 0;
            } else {
              // continue cumulating short duration data
              shortDurationBytesReceived += filteredMdatEndTimeData[i].bytes;
            }
          }
        }
      }
      if (chunkThroughputValues.length > 0) {
        const sumOfChunkThroughputValues = chunkThroughputValues.reduce((a, b) => a + b, 0);
        return sumOfChunkThroughputValues / chunkThroughputValues.length;
      }
      return null;
    } catch (e) {
      return null;
    }
  }
  function _getThroughputInBitPerMs(bytes, timeInMs) {
    return 8 * bytes / timeInMs;
  }
  setup();
  instance = {
    abort,
    calculateDownloadedTime,
    load,
    reset,
    setConfig
  };
  return instance;
}
FetchLoader.__dashjs_factory_name = 'FetchLoader';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(FetchLoader);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/net/HTTPLoader.js":
/*!*****************************************!*\
  !*** ./src/streaming/net/HTTPLoader.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _XHRLoader_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./XHRLoader.js */ "./src/streaming/net/XHRLoader.js");
/* harmony import */ var _FetchLoader_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./FetchLoader.js */ "./src/streaming/net/FetchLoader.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _models_CmcdModel_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../models/CmcdModel.js */ "./src/streaming/models/CmcdModel.js");
/* harmony import */ var _models_CmsdModel_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../models/CmsdModel.js */ "./src/streaming/models/CmsdModel.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _models_CustomParametersModel_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../models/CustomParametersModel.js */ "./src/streaming/models/CustomParametersModel.js");
/* harmony import */ var _controllers_CommonAccessTokenController_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../controllers/CommonAccessTokenController.js */ "./src/streaming/controllers/CommonAccessTokenController.js");
/* harmony import */ var _controllers_ClientDataReportingController_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../controllers/ClientDataReportingController.js */ "./src/streaming/controllers/ClientDataReportingController.js");
/* harmony import */ var _controllers_ExtUrlQueryInfoController_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../controllers/ExtUrlQueryInfoController.js */ "./src/streaming/controllers/ExtUrlQueryInfoController.js");
/* harmony import */ var _vo_CommonMediaRequest_js__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../vo/CommonMediaRequest.js */ "./src/streaming/vo/CommonMediaRequest.js");
/* harmony import */ var _vo_CommonMediaResponse_js__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ../vo/CommonMediaResponse.js */ "./src/streaming/vo/CommonMediaResponse.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




















/**
 * @module HTTPLoader
 * @ignore
 * @description Manages download of resources via HTTP.
 * @param {Object} cfg - dependencies from parent
 */
function HTTPLoader(cfg) {
  cfg = cfg || {};
  const context = this.context;
  const errHandler = cfg.errHandler;
  const dashMetrics = cfg.dashMetrics;
  const mediaPlayerModel = cfg.mediaPlayerModel;
  const boxParser = cfg.boxParser;
  const errors = cfg.errors;
  const requestTimeout = cfg.requestTimeout || 0;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_11__["default"])(context).getInstance();
  let instance, httpRequests, delayedRequests, retryRequests, downloadErrorToRequestTypeMap, cmcdModel, cmsdModel, xhrLoader, fetchLoader, customParametersModel, commonAccessTokenController, clientDataReportingController, extUrlQueryInfoController, logger;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance().getLogger(instance);
    httpRequests = [];
    delayedRequests = [];
    retryRequests = [];
    cmcdModel = (0,_models_CmcdModel_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
    clientDataReportingController = (0,_controllers_ClientDataReportingController_js__WEBPACK_IMPORTED_MODULE_15__["default"])(context).getInstance();
    cmsdModel = (0,_models_CmsdModel_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance();
    customParametersModel = (0,_models_CustomParametersModel_js__WEBPACK_IMPORTED_MODULE_13__["default"])(context).getInstance();
    commonAccessTokenController = (0,_controllers_CommonAccessTokenController_js__WEBPACK_IMPORTED_MODULE_14__["default"])(context).getInstance();
    extUrlQueryInfoController = (0,_controllers_ExtUrlQueryInfoController_js__WEBPACK_IMPORTED_MODULE_16__["default"])(context).getInstance();
    downloadErrorToRequestTypeMap = {
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MPD_TYPE]: errors.DOWNLOAD_ERROR_ID_MANIFEST_CODE,
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.XLINK_EXPANSION_TYPE]: errors.DOWNLOAD_ERROR_ID_XLINK_CODE,
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.INIT_SEGMENT_TYPE]: errors.DOWNLOAD_ERROR_ID_INITIALIZATION_CODE,
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MEDIA_SEGMENT_TYPE]: errors.DOWNLOAD_ERROR_ID_CONTENT_CODE,
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.INDEX_SEGMENT_TYPE]: errors.DOWNLOAD_ERROR_ID_CONTENT_CODE,
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.BITSTREAM_SWITCHING_SEGMENT_TYPE]: errors.DOWNLOAD_ERROR_ID_CONTENT_CODE,
      [_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.OTHER_TYPE]: errors.DOWNLOAD_ERROR_ID_CONTENT_CODE
    };
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.commonAccessTokenController) {
      commonAccessTokenController = config.commonAccessTokenController;
    }
    if (config.extUrlQueryInfoController) {
      extUrlQueryInfoController = config.extUrlQueryInfoController;
    }
  }

  /**
   * Initiates a download of the resource described by config.request.
   * @param {Object} config - contains request (FragmentRequest or derived type), and callbacks
   * @memberof module:HTTPLoader
   * @instance
   */
  function load(config) {
    if (config.request) {
      const retryAttempts = mediaPlayerModel.getRetryAttemptsForType(config.request.type);
      return _internalLoad(config, retryAttempts);
    } else {
      if (config.error) {
        config.error(config.request, 'error');
      }
      return Promise.resolve();
    }
  }

  /**
   * Initiates or re-initiates a download of the resource
   * @param {object} config
   * @param {number} remainingAttempts
   * @private
   */
  function _internalLoad(config, remainingAttempts) {
    /**
     * Fired when a request has completed, whether successfully (after load) or unsuccessfully (after abort, timeout or error).
     */
    const _onloadend = function () {
      _onRequestEnd();
    };

    /**
     * Fired when a request has started to load data.
     * @param event
     */
    const _onprogress = function (event) {
      const currentTime = new Date();

      // If we did not transfer all data yet and this is the first time we are getting a progress event we use this time as firstByteDate.
      if (firstProgress) {
        firstProgress = false;
        // event.loaded: the amount of data currently transferred
        // event.total: the total amount of data to be transferred.
        // If lengthComputable is false within the XMLHttpRequestProgressEvent, that means the server never sent a Content-Length header in the response.
        if (!event.lengthComputable || event.lengthComputable && event.total !== event.loaded) {
          requestObject.firstByteDate = currentTime;
          commonMediaResponse.resourceTiming.responseStart = currentTime.getTime();
        }
      }

      // lengthComputable indicating if the resource concerned by the ProgressEvent has a length that can be calculated. If not, the ProgressEvent.total property has no significant value.
      if (event.lengthComputable) {
        requestObject.bytesLoaded = commonMediaResponse.length = event.loaded;
        requestObject.bytesTotal = commonMediaResponse.resourceTiming.encodedBodySize = event.total;
        commonMediaResponse.length = event.total;
        commonMediaResponse.resourceTiming.encodedBodySize = event.loaded;
      }
      if (!event.noTrace) {
        traces.push({
          s: lastTraceTime,
          d: event.time ? event.time : currentTime.getTime() - lastTraceTime.getTime(),
          b: [event.loaded ? event.loaded - lastTraceReceivedCount : 0],
          // event.loaded: When downloading a resource using HTTP, this value is specified in bytes (not bits), and only represents the part of the content itself, not headers and other overhead
          t: event.throughput
        });
        requestObject.traces = traces;
        lastTraceTime = currentTime;
        lastTraceReceivedCount = event.loaded;
      }
      if (progressTimeout) {
        clearTimeout(progressTimeout);
        progressTimeout = null;
      }
      if (settings.get().streaming.fragmentRequestProgressTimeout > 0) {
        progressTimeout = setTimeout(function () {
          // No more progress => abort request and treat as an error
          logger.warn('Abort request ' + commonMediaRequest.url + ' due to progress timeout');
          loader.abort(commonMediaRequest);
          _onloadend();
        }, settings.get().streaming.fragmentRequestProgressTimeout);
      }
      if (config.progress && event) {
        config.progress(event);
      }
    };

    /**
     * Fired when a request has been aborted, for example because the program called XMLHttpRequest.abort().
     */
    const _onabort = function () {
      _onRequestEnd(true);
    };

    /**
     * Fired when progress is terminated due to preset time expiring.
     * @param event
     */
    const _ontimeout = function (event) {
      let timeoutMessage;
      // We know how much we already downloaded by looking at the timeout event
      if (event.lengthComputable) {
        let percentageComplete = event.loaded / event.total * 100;
        timeoutMessage = 'Request timeout: loaded: ' + event.loaded + ', out of: ' + event.total + ' : ' + percentageComplete.toFixed(3) + '% Completed';
      } else {
        timeoutMessage = 'Request timeout: non-computable download size';
      }
      logger.warn(timeoutMessage);
    };
    const _onRequestEnd = function () {
      let aborted = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
      // Remove the request from our list of requests
      if (httpRequests.indexOf(commonMediaRequest) !== -1) {
        httpRequests.splice(httpRequests.indexOf(commonMediaRequest), 1);
      }
      if (progressTimeout) {
        clearTimeout(progressTimeout);
        progressTimeout = null;
      }
      commonAccessTokenController.processResponseHeaders(commonMediaResponse);
      _updateRequestTimingInfo();
      _updateResourceTimingInfo();
      _applyResponseInterceptors(commonMediaResponse).then(_httpResponse => {
        commonMediaResponse = _httpResponse;
        _addHttpRequestMetric(commonMediaRequest, commonMediaResponse, traces);

        // Ignore aborted requests
        if (aborted) {
          if (config.abort) {
            config.abort(requestObject);
          }
          return;
        }
        if (requestObject.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MPD_TYPE) {
          dashMetrics.addManifestUpdate(requestObject);
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__["default"].MANIFEST_LOADING_FINISHED, {
            requestObject
          });
        }
        if (commonMediaResponse.status >= 200 && commonMediaResponse.status <= 299 && commonMediaResponse.data) {
          if (config.success) {
            config.success(commonMediaResponse.data, commonMediaResponse.statusText, commonMediaResponse.url);
          }
          if (config.complete) {
            config.complete(requestObject, commonMediaResponse.statusText);
          }
        } else {
          // If we get a 404 to a media segment we should check the client clock again and perform a UTC sync in the background.
          try {
            if (commonMediaResponse.status === 404 && settings.get().streaming.utcSynchronization.enableBackgroundSyncAfterSegmentDownloadError && requestObject.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
              // Only trigger a sync if the loading failed for the first time
              const initialNumberOfAttempts = mediaPlayerModel.getRetryAttemptsForType(_vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MEDIA_SEGMENT_TYPE);
              if (initialNumberOfAttempts === remainingAttempts) {
                eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__["default"].ATTEMPT_BACKGROUND_SYNC);
              }
            }
          } catch (e) {}
          _retriggerRequest();
        }
      });
    };
    const _updateRequestTimingInfo = function () {
      requestObject.startDate = requestStartTime;
      requestObject.endDate = new Date();
      requestObject.firstByteDate = requestObject.firstByteDate || requestStartTime;
    };
    const _updateResourceTimingInfo = function () {
      commonMediaResponse.resourceTiming.responseEnd = Date.now();

      // If enabled the ResourceTimingApi we add the corresponding information to the request object.
      // These values are more accurate and can be used by the ThroughputController later
      _addResourceTimingValues(commonMediaRequest, commonMediaResponse);
    };
    const _loadRequest = function (loader, httpRequest, httpResponse) {
      return new Promise(resolve => {
        _applyRequestInterceptors(httpRequest).then(_httpRequest => {
          httpRequest = _httpRequest;
          httpRequest.customData.onloadend = _onloadend;
          httpRequest.customData.onprogress = _onprogress;
          httpRequest.customData.onabort = _onabort;
          httpRequest.customData.ontimeout = _ontimeout;
          httpResponse.resourceTiming.startTime = Date.now();
          loader.load(httpRequest, httpResponse);
          resolve();
        });
      });
    };

    /**
     * Retriggers the request in case we did not exceed the number of retry attempts
     * @private
     */
    const _retriggerRequest = function () {
      if (remainingAttempts > 0) {
        remainingAttempts--;
        if (config && config.request) {
          config.request.retryAttempts += 1;
        }
        let retryRequest = {
          config: config
        };
        retryRequests.push(retryRequest);
        retryRequest.timeout = setTimeout(function () {
          if (retryRequests.indexOf(retryRequest) === -1) {
            return;
          } else {
            retryRequests.splice(retryRequests.indexOf(retryRequest), 1);
          }
          _internalLoad(config, remainingAttempts);
        }, mediaPlayerModel.getRetryIntervalsForType(requestObject.type));
      } else {
        if (requestObject.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE) {
          return;
        }
        errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_4__["default"](downloadErrorToRequestTypeMap[requestObject.type], requestObject.url + ' is not available', {
          request: requestObject,
          response: commonMediaResponse
        }));
        if (config.error) {
          config.error(requestObject, 'error', commonMediaResponse.statusText, commonMediaResponse);
        }
        if (config.complete) {
          config.complete(requestObject, commonMediaResponse.statusText);
        }
      }
    };

    // Main code after inline functions
    const requestObject = config.request;
    const traces = [];
    let firstProgress, requestStartTime, lastTraceTime, lastTraceReceivedCount, progressTimeout;
    let commonMediaRequest;
    let commonMediaResponse;
    requestObject.bytesLoaded = NaN;
    requestObject.bytesTotal = NaN;
    requestObject.firstByteDate = null;
    requestObject.traces = [];
    firstProgress = true;
    requestStartTime = new Date();
    lastTraceTime = requestStartTime;
    lastTraceReceivedCount = 0;
    progressTimeout = null;
    if (!dashMetrics || !errHandler) {
      throw new Error('config object is not correct or missing');
    }
    const loaderInformation = _getLoader(requestObject);
    const loader = loaderInformation.loader;
    requestObject.fileLoaderType = loaderInformation.fileLoaderType;
    requestObject.headers = {};
    _updateRequestUrlAndHeaders(requestObject);
    if (requestObject.range) {
      requestObject.headers['Range'] = 'bytes=' + requestObject.range;
    }
    const withCredentials = customParametersModel.getXHRWithCredentialsForType(requestObject.type);
    commonMediaRequest = new _vo_CommonMediaRequest_js__WEBPACK_IMPORTED_MODULE_17__["default"]({
      url: requestObject.url,
      method: _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.GET,
      responseType: requestObject.responseType,
      headers: requestObject.headers,
      credentials: withCredentials ? 'include' : 'omit',
      timeout: requestTimeout,
      cmcd: cmcdModel.getCmcdData(requestObject),
      customData: {
        request: requestObject
      }
    });
    commonMediaResponse = new _vo_CommonMediaResponse_js__WEBPACK_IMPORTED_MODULE_18__["default"]({
      request: commonMediaRequest,
      resourceTiming: {
        startTime: Date.now(),
        encodedBodySize: 0
      },
      status: 0
    });

    // Adds the ability to delay single fragment loading time to control buffer.
    let now = new Date().getTime();
    if (isNaN(requestObject.delayLoadingTime) || now >= requestObject.delayLoadingTime) {
      // no delay - just send
      httpRequests.push(commonMediaRequest);
      return _loadRequest(loader, commonMediaRequest, commonMediaResponse);
    } else {
      // delay
      let delayedRequest = {
        httpRequest: commonMediaRequest,
        httpResponse: commonMediaResponse
      };
      delayedRequests.push(delayedRequest);
      delayedRequest.delayTimeout = setTimeout(function () {
        if (delayedRequests.indexOf(delayedRequest) === -1) {
          return;
        } else {
          delayedRequests.splice(delayedRequests.indexOf(delayedRequest), 1);
        }
        try {
          requestStartTime = new Date();
          lastTraceTime = requestStartTime;
          httpRequests.push(delayedRequest.httpRequest);
          _loadRequest(loader, delayedRequest.httpRequest, delayedRequest.httpResponse);
        } catch (e) {
          delayedRequest.httpRequest.onloadend();
        }
      }, requestObject.delayLoadingTime - now);
      return Promise.resolve();
    }
  }
  function _applyRequestInterceptors(httpRequest) {
    const interceptors = customParametersModel.getRequestInterceptors();
    if (!interceptors) {
      return Promise.resolve(httpRequest);
    }
    return interceptors.reduce((prev, next) => {
      return prev.then(request => {
        return next(request);
      });
    }, Promise.resolve(httpRequest));
  }
  function _applyResponseInterceptors(response) {
    const interceptors = customParametersModel.getResponseInterceptors();
    if (!interceptors) {
      return Promise.resolve(response);
    }
    return interceptors.reduce((prev, next) => {
      return prev.then(resp => {
        return next(resp);
      });
    }, Promise.resolve(response));
  }
  function _addHttpRequestMetric(httpRequest, httpResponse, traces) {
    const requestObject = httpRequest.customData.request;
    const cmsd = settings.get().streaming.cmsd && settings.get().streaming.cmsd.enabled ? cmsdModel.parseResponseHeaders(httpResponse.headers, requestObject.mediaType) : null;
    dashMetrics.addHttpRequest(requestObject, httpResponse.url, httpResponse.status, httpResponse.headers, traces, cmsd);
  }

  /**
   * Adds the values from the Resource Timing API, see https://developer.mozilla.org/en-US/docs/Web/API/Resource_Timing_API/Using_the_Resource_Timing_API
   * @param requestObject
   * @private
   */
  function _addResourceTimingValues(httpRequest, httpResponse) {
    if (!settings.get().streaming.abr.throughput.useResourceTimingApi) {
      return;
    }
    // Check performance support. We do not support range requests, needs to figure out how to find the right resource here.
    if (typeof performance === 'undefined' || httpRequest.range) {
      return;
    }

    // Get a list of "resource" performance entries
    const resources = performance.getEntriesByType('resource');
    if (resources === undefined || resources.length <= 0) {
      return;
    }

    // Find the right resource
    let i = 0;
    let resource = null;
    while (i < resources.length) {
      if (resources[i].name === httpRequest.url) {
        resource = resources[i];
        break;
      }
      i += 1;
    }

    // Check if PerformanceResourceTiming values are usable
    // Note: to allow seeing cross-origin timing information, the Timing-Allow-Origin HTTP response header needs to be set
    // See https://developer.mozilla.org/en-US/docs/Web/API/PerformanceResourceTiming#cross-origin_timing_information
    if (!_areResourceTimingValuesUsable(resource)) {
      return;
    }
    httpRequest.customData.request.resourceTimingValues = resource;

    // Update CommonMediaResponse Resource Timing info
    httpResponse.resourceTiming.startTime = resource.startTime;
    httpResponse.resourceTiming.encodedBodySize = resource.encodedBodySize;
    httpResponse.resourceTiming.responseStart = resource.startTime;
    httpResponse.resourceTiming.responseEnd = resource.responseEnd;
    httpResponse.resourceTiming.duration = resource.duration;
  }

  /**
   * Checks if we got usable ResourceTimingAPI values
   * @param httpRequest
   * @returns {boolean}
   * @private
   */
  function _areResourceTimingValuesUsable(resource) {
    return resource && !isNaN(resource.responseStart) && resource.responseStart > 0 && !isNaN(resource.responseEnd) && resource.responseEnd > 0 && !isNaN(resource.transferSize) && resource.transferSize > 0;
  }

  /**
   * Returns either the FetchLoader or the XHRLoader depending on the request type and playback mode.
   * @param {object} request
   * @return {*}
   * @private
   */
  function _getLoader(request) {
    let loader;
    let fileLoaderType;
    if (request.hasOwnProperty('availabilityTimeComplete') && request.availabilityTimeComplete === false && window.fetch && request.responseType === 'arraybuffer' && request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
      if (!fetchLoader) {
        fetchLoader = (0,_FetchLoader_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
        fetchLoader.setConfig({
          dashMetrics,
          boxParser
        });
      }
      loader = fetchLoader;
      fileLoaderType = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].FILE_LOADER_TYPES.FETCH;
    } else {
      if (!xhrLoader) {
        xhrLoader = (0,_XHRLoader_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create();
      }
      loader = xhrLoader;
      fileLoaderType = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].FILE_LOADER_TYPES.XHR;
    }
    return {
      loader,
      fileLoaderType
    };
  }

  /**
   * Updates the request url and headers according to CMCD and content steering (pathway cloning)
   * @param request
   * @private
   */
  function _updateRequestUrlAndHeaders(request) {
    _updateRequestUrlAndHeadersWithCmcd(request);
    if (request.retryAttempts === 0) {
      _addExtUrlQueryParameters(request);
    }
    _addPathwayCloningParameters(request);
    _addCommonAccessToken(request);
  }
  function _addExtUrlQueryParameters(request) {
    // Add ExtUrlQueryInfo parameters
    let finalQueryString = extUrlQueryInfoController.getFinalQueryString(request);
    if (finalQueryString) {
      request.url = _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__["default"].addAdditionalQueryParameterToUrl(request.url, finalQueryString);
    }
  }
  function _addPathwayCloningParameters(request) {
    // Add queryParams that came from pathway cloning
    if (request.queryParams) {
      const queryParams = Object.keys(request.queryParams).map(key => {
        return {
          key,
          value: request.queryParams[key]
        };
      });
      request.url = _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__["default"].addAdditionalQueryParameterToUrl(request.url, queryParams);
    }
  }
  function _addCommonAccessToken(request) {
    const commonAccessToken = commonAccessTokenController.getCommonAccessTokenForUrl(request.url);
    if (commonAccessToken) {
      request.headers[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].COMMON_ACCESS_TOKEN_HEADER] = commonAccessToken;
    }
  }

  /**
   * Updates the request url and headers with CMCD data
   * @param request
   * @private
   */
  function _updateRequestUrlAndHeadersWithCmcd(request) {
    const currentServiceLocation = request?.serviceLocation;
    const currentAdaptationSetId = request?.mediaInfo?.id?.toString();
    const isIncludedFilters = clientDataReportingController.isServiceLocationIncluded(request.type, currentServiceLocation) && clientDataReportingController.isAdaptationsIncluded(currentAdaptationSetId);
    if (isIncludedFilters && cmcdModel.isCmcdEnabled()) {
      const cmcdParameters = cmcdModel.getCmcdParametersFromManifest();
      const cmcdMode = cmcdParameters.mode ? cmcdParameters.mode : settings.get().streaming.cmcd.mode;
      if (cmcdMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].CMCD_MODE_QUERY) {
        request.url = _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__["default"].removeQueryParameterFromUrl(request.url, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].CMCD_QUERY_KEY);
        const additionalQueryParameter = _getAdditionalQueryParameter(request);
        request.url = _core_Utils_js__WEBPACK_IMPORTED_MODULE_7__["default"].addAdditionalQueryParameterToUrl(request.url, additionalQueryParameter);
      } else if (cmcdMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].CMCD_MODE_HEADER) {
        request.headers = Object.assign(request.headers, cmcdModel.getHeaderParameters(request));
      }
    }
  }

  /**
   * Generates the additional query parameters to be appended to the request url
   * @param {object} request
   * @return {array}
   * @private
   */
  function _getAdditionalQueryParameter(request) {
    try {
      const additionalQueryParameter = [];
      const cmcdQueryParameter = cmcdModel.getQueryParameter(request);
      if (cmcdQueryParameter) {
        additionalQueryParameter.push(cmcdQueryParameter);
      }
      return additionalQueryParameter;
    } catch (e) {
      return [];
    }
  }

  /**
   * Aborts any inflight downloads
   * @memberof module:HTTPLoader
   * @instance
   */
  function abort() {
    retryRequests.forEach(t => {
      clearTimeout(t.timeout);
      // abort request in order to trigger LOADING_ABANDONED event
      if (t.config.request && t.config.abort) {
        t.config.abort(t.config.request);
      }
    });
    retryRequests = [];
    delayedRequests.forEach(x => clearTimeout(x.delayTimeout));
    delayedRequests = [];
    httpRequests.forEach(req => {
      const reqData = req.customData;
      if (!reqData) {
        return;
      }
      // MSS patch: ignore FragmentInfo requests
      if (reqData.request && reqData.request.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_2__.HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE) {
        return;
      }

      // abort will trigger onloadend which we don't want
      // when deliberately aborting inflight requests -
      // set them to undefined so they are not called
      reqData.onloadend = reqData.onprogress = undefined;
      if (reqData.abort) {
        reqData.abort();
      }
    });
    httpRequests = [];
  }
  function resetInitialSettings() {
    if (xhrLoader) {
      xhrLoader.resetInitialSettings();
    }
  }
  function reset() {
    httpRequests = [];
    delayedRequests = [];
    retryRequests = [];
    if (xhrLoader) {
      xhrLoader.reset();
    }
    if (fetchLoader) {
      fetchLoader.reset();
    }
    xhrLoader = null;
    fetchLoader = null;
  }
  instance = {
    abort,
    load,
    reset,
    resetInitialSettings,
    setConfig
  };
  setup();
  return instance;
}
HTTPLoader.__dashjs_factory_name = 'HTTPLoader';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_3__["default"].getClassFactory(HTTPLoader);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/net/SchemeLoaderFactory.js":
/*!**************************************************!*\
  !*** ./src/streaming/net/SchemeLoaderFactory.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_net_HTTPLoader_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../streaming/net/HTTPLoader.js */ "./src/streaming/net/HTTPLoader.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @module
 * @description Choose right url loader for scheme
 * @ignore
 */
function SchemeLoaderFactory() {
  let instance;
  let schemeLoaderMap;
  function registerLoader(scheme, loader) {
    schemeLoaderMap[scheme] = loader;
  }
  function unregisterLoader(scheme) {
    if (schemeLoaderMap[scheme]) {
      delete schemeLoaderMap[scheme];
    }
  }
  function unregisterAllLoader() {
    schemeLoaderMap = {};
  }
  function getLoader(url) {
    // iterates through schemeLoaderMap to find a loader for the scheme
    for (var scheme in schemeLoaderMap) {
      if (schemeLoaderMap.hasOwnProperty(scheme) && url.startsWith(scheme)) {
        return schemeLoaderMap[scheme];
      }
    }
    return _streaming_net_HTTPLoader_js__WEBPACK_IMPORTED_MODULE_1__["default"];
  }
  function reset() {
    unregisterAllLoader();
  }
  function setup() {
    reset();
  }
  setup();
  instance = {
    getLoader,
    registerLoader,
    unregisterLoader,
    unregisterAllLoader,
    reset
  };
  return instance;
}
SchemeLoaderFactory.__dashjs_factory_name = 'SchemeLoaderFactory';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(SchemeLoaderFactory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/net/URLLoader.js":
/*!****************************************!*\
  !*** ./src/streaming/net/URLLoader.js ***!
  \****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _streaming_net_SchemeLoaderFactory_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../streaming/net/SchemeLoaderFactory.js */ "./src/streaming/net/SchemeLoaderFactory.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @class URLLoader
 * @description  Call Offline Loader or Online Loader depending on URL
 * @param {Object} cfg - dependencies
 * @ignore
 */
function URLLoader(cfg) {
  cfg = cfg || {};
  const context = this.context;
  let instance, schemeLoaderFactory, loader;
  schemeLoaderFactory = (0,_streaming_net_SchemeLoaderFactory_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  function load(config) {
    if (!loader) {
      let loaderFactory = schemeLoaderFactory.getLoader(config && config.request ? config.request.url : null);
      loader = loaderFactory(context).create({
        errHandler: cfg.errHandler,
        mediaPlayerModel: cfg.mediaPlayerModel,
        dashMetrics: cfg.dashMetrics,
        boxParser: cfg.boxParser ? cfg.boxParser : null,
        constants: cfg.constants ? cfg.constants : null,
        dashConstants: cfg.dashConstants ? cfg.dashConstants : null,
        urlUtils: cfg.urlUtils ? cfg.urlUtils : null,
        requestTimeout: !isNaN(cfg.requestTimeout) ? cfg.requestTimeout : 0,
        errors: cfg.errors
      });
    }
    loader.load(config);
  }
  function abort() {
    if (loader) {
      loader.abort();
    }
  }
  function resetInitialSettings() {
    if (loader && typeof loader.resetInitialSettings === 'function') {
      loader.resetInitialSettings();
    }
  }
  function reset() {
    if (schemeLoaderFactory) {
      schemeLoaderFactory.reset();
      schemeLoaderFactory = null;
    }
    if (loader && typeof loader.reset === 'function') {
      loader.reset();
    }
    loader = null;
  }
  instance = {
    abort,
    load,
    reset,
    resetInitialSettings
  };
  return instance;
}
URLLoader.__dashjs_factory_name = 'URLLoader';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(URLLoader);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/net/XHRLoader.js":
/*!****************************************!*\
  !*** ./src/streaming/net/XHRLoader.js ***!
  \****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @module XHRLoader
 * @ignore
 * @description Manages download of resources via HTTP.
 */
function XHRLoader() {
  let instance;
  let xhr;

  /**
   * Load request
   * @param {CommonMediaRequest} commonMediaRequest
   * @param {CommonMediaResponse} commonMediaResponse
   */
  function load(commonMediaRequest, commonMediaResponse) {
    xhr = null;
    xhr = new XMLHttpRequest();
    xhr.open(commonMediaRequest.method, commonMediaRequest.url, true);
    if (commonMediaRequest.responseType) {
      xhr.responseType = commonMediaRequest.responseType;
    }
    if (commonMediaRequest.headers) {
      for (let header in commonMediaRequest.headers) {
        let value = commonMediaRequest.headers[header];
        if (value) {
          xhr.setRequestHeader(header, value);
        }
      }
    }
    xhr.withCredentials = commonMediaRequest.credentials === 'include';
    xhr.timeout = commonMediaRequest.timeout;
    xhr.onload = function () {
      commonMediaResponse.url = this.responseURL;
      commonMediaResponse.status = this.status;
      commonMediaResponse.statusText = this.statusText;
      commonMediaResponse.headers = _core_Utils_js__WEBPACK_IMPORTED_MODULE_1__["default"].parseHttpHeaders(this.getAllResponseHeaders());
      commonMediaResponse.data = this.response;
    };
    if (commonMediaRequest.customData) {
      xhr.onloadend = commonMediaRequest.customData.onloadend;
      xhr.onprogress = commonMediaRequest.customData.onprogress;
      xhr.onabort = commonMediaRequest.customData.onabort;
      xhr.ontimeout = commonMediaRequest.customData.ontimeout;
    }
    xhr.send();
    commonMediaRequest.customData.abort = abort.bind(this);
    return true;
  }
  function abort() {
    if (xhr) {
      xhr.onloadend = xhr.onerror = xhr.onprogress = xhr.onload = null; // Remove event listeners
      xhr.abort();
      xhr = null;
    }
  }
  function getXhr() {
    return xhr;
  }
  function resetInitialSettings() {
    abort();
  }
  function reset() {
    abort();
    instance = null;
  }
  instance = {
    load,
    abort,
    getXhr,
    reset,
    resetInitialSettings
  };
  return instance;
}
XHRLoader.__dashjs_factory_name = 'XHRLoader';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(XHRLoader);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/protection/ProtectionEvents.js":
/*!******************************************************!*\
  !*** ./src/streaming/protection/ProtectionEvents.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_events_EventsBase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/events/EventsBase.js */ "./src/core/events/EventsBase.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * @class
 */
class ProtectionEvents extends _core_events_EventsBase_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  /**
   * @description Public facing external events to be used when including protection package.
   * All public events will be aggregated into the MediaPlayerEvents Class and can be accessed
   * via MediaPlayer.events.  public_ is the prefix that we use to move event names to MediaPlayerEvents.
   */
  constructor() {
    super();

    /**
     * Event ID for events delivered when the protection set receives
     * a key message from the CDM
     *
     * @ignore
     */
    this.INTERNAL_KEY_MESSAGE = 'internalKeyMessage';

    /**
     * Event ID for events delivered when the status of one decryption keys has changed
     * @ignore
     */
    this.INTERNAL_KEY_STATUSES_CHANGED = 'internalkeyStatusesChanged';

    /**
     * Event ID for events delivered when a new key has been added
     *
     * @constant
     * @deprecated The latest versions of the EME specification no longer
     * use this event.  {@MediaPlayer.models.protectionModel.eventList.KEY_STATUSES_CHANGED}
     * is preferred.
     * @event ProtectionEvents#KEY_ADDED
     */
    this.KEY_ADDED = 'public_keyAdded';
    /**
     * Event ID for events delivered when an error is encountered by the CDM
     * while processing a license server response message
     * @event ProtectionEvents#KEY_ERROR
     */
    this.KEY_ERROR = 'public_keyError';

    /**
     * Event ID for events delivered when the protection set receives
     * a key message from the CDM
     * @event ProtectionEvents#KEY_MESSAGE
     */
    this.KEY_MESSAGE = 'public_keyMessage';

    /**
     * Event ID for events delivered when a key session close
     * process has completed
     * @event ProtectionEvents#KEY_SESSION_CLOSED
     */
    this.KEY_SESSION_CLOSED = 'public_keySessionClosed';

    /**
     * Event ID for events delivered when a new key sessions creation
     * process has completed
     * @event ProtectionEvents#KEY_SESSION_CREATED
     */
    this.KEY_SESSION_CREATED = 'public_keySessionCreated';

    /**
     * Event ID for events delivered when a key session removal
     * process has completed
     * @event ProtectionEvents#KEY_SESSION_REMOVED
     */
    this.KEY_SESSION_REMOVED = 'public_keySessionRemoved';

    /**
     * Event ID for events delivered when the status of one or more
     * decryption keys has changed
     * @event ProtectionEvents#KEY_STATUSES_CHANGED
     */
    this.KEY_STATUSES_CHANGED = 'public_keyStatusesChanged';

    /**
     * Triggered when the key statuses Map() of the ProtectionController was updated. This happens after there is a keystatuseschange.
     * The event can be used as an indicator when to refresh the list of possible Representations
     * @event ProtectionEvents#KEY_STATUSES_MAP_UPDATED
     */
    this.KEY_STATUSES_MAP_UPDATED = 'keyStatusesMapUpdated';

    /**
     * Event ID for events delivered when a key system access procedure
     * has completed
     * @event ProtectionEvents#KEY_SYSTEM_ACCESS_COMPLETE
     */
    this.KEY_SYSTEM_ACCESS_COMPLETE = 'public_keySystemAccessComplete';

    /**
     * Event ID for events delivered when a key system selection procedure
     * completes
     * @event ProtectionEvents#KEY_SYSTEM_SELECTED
     */
    this.KEY_SYSTEM_SELECTED = 'public_keySystemSelected';

    /**
     * Event ID for events delivered when a license request procedure
     * has completed
     * @event ProtectionEvents#LICENSE_REQUEST_COMPLETE
     */
    this.LICENSE_REQUEST_COMPLETE = 'public_licenseRequestComplete';

    /**
     * Sending a license rquest
     * @event ProtectionEvents#LICENSE_REQUEST_SENDING
     */
    this.LICENSE_REQUEST_SENDING = 'public_licenseRequestSending';

    /**
     * Event ID for needkey/encrypted events
     * @ignore
     */
    this.NEED_KEY = 'needkey';

    /**
     * Event ID for events delivered when the Protection system is detected and created.
     * @event ProtectionEvents#PROTECTION_CREATED
     */
    this.PROTECTION_CREATED = 'public_protectioncreated';

    /**
     * Event ID for events delivered when the Protection system is destroyed.
     * @event ProtectionEvents#PROTECTION_DESTROYED
     */
    this.PROTECTION_DESTROYED = 'public_protectiondestroyed';

    /**
     * Event ID for events delivered when a new server certificate has
     * been delivered to the CDM
     * @ignore
     */
    this.SERVER_CERTIFICATE_UPDATED = 'serverCertificateUpdated';

    /**
     * Event ID for events delivered when the process of shutting down
     * a protection set has completed
     * @ignore
     */
    this.TEARDOWN_COMPLETE = 'protectionTeardownComplete';

    /**
     * Event ID for events delivered when a HTMLMediaElement has been
     * associated with the protection set
     * @ignore
     */
    this.VIDEO_ELEMENT_SELECTED = 'videoElementSelected';

    /**
     * Triggered when the key session has been updated successfully
     * @ignore
     */
    this.KEY_SESSION_UPDATED = 'public_keySessionUpdated';
  }
}
let protectionEvents = new ProtectionEvents();
/* harmony default export */ __webpack_exports__["default"] = (protectionEvents);

/***/ }),

/***/ "./src/streaming/protection/errors/ProtectionErrors.js":
/*!*************************************************************!*\
  !*** ./src/streaming/protection/errors/ProtectionErrors.js ***!
  \*************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_errors_ErrorsBase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/errors/ErrorsBase.js */ "./src/core/errors/ErrorsBase.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * @class
 */
class ProtectionErrors extends _core_errors_ErrorsBase_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();

    /**
     *  Generid key Error code
     */
    this.MEDIA_KEYERR_CODE = 100;
    /**
     *  Error code returned by keyerror api for ProtectionModel_01b
     */
    this.MEDIA_KEYERR_UNKNOWN_CODE = 101;
    /**
     *  Error code returned by keyerror api for ProtectionModel_01b
     */
    this.MEDIA_KEYERR_CLIENT_CODE = 102;
    /**
     *  Error code returned by keyerror api for ProtectionModel_01b
     */
    this.MEDIA_KEYERR_SERVICE_CODE = 103;
    /**
     *  Error code returned by keyerror api for ProtectionModel_01b
     */
    this.MEDIA_KEYERR_OUTPUT_CODE = 104;
    /**
     *  Error code returned by keyerror api for ProtectionModel_01b
     */
    this.MEDIA_KEYERR_HARDWARECHANGE_CODE = 105;
    /**
     *  Error code returned by keyerror api for ProtectionModel_01b
     */
    this.MEDIA_KEYERR_DOMAIN_CODE = 106;

    /**
     *  Error code returned when an error occured in keymessage event for ProtectionModel_01b
     */
    this.MEDIA_KEY_MESSAGE_ERROR_CODE = 107;
    /**
     *  Error code returned when challenge is invalid in keymessage event (event triggered by CDM)
     */
    this.MEDIA_KEY_MESSAGE_NO_CHALLENGE_ERROR_CODE = 108;
    /**
     *  Error code returned when License server certificate has not been successfully updated
     */
    this.SERVER_CERTIFICATE_UPDATED_ERROR_CODE = 109;
    /**
     *  Error code returned when license validity has expired
     */
    this.KEY_STATUS_CHANGED_EXPIRED_ERROR_CODE = 110;
    /**
     *  Error code returned when no licenser url is defined
     */
    this.MEDIA_KEY_MESSAGE_NO_LICENSE_SERVER_URL_ERROR_CODE = 111;
    /**
     *  Error code returned when key system access is denied
     */
    this.KEY_SYSTEM_ACCESS_DENIED_ERROR_CODE = 112;
    /**
     *  Error code returned when key session has not been successfully created
     */
    this.KEY_SESSION_CREATED_ERROR_CODE = 113;
    /**
     *  Error code returned when license request failed after a keymessage event has been triggered
     */
    this.MEDIA_KEY_MESSAGE_LICENSER_ERROR_CODE = 114;
    this.MEDIA_KEYERR_UNKNOWN_MESSAGE = 'An unspecified error occurred. This value is used for errors that don\'t match any of the other codes.';
    this.MEDIA_KEYERR_CLIENT_MESSAGE = 'The Key System could not be installed or updated.';
    this.MEDIA_KEYERR_SERVICE_MESSAGE = 'The message passed into update indicated an error from the license service.';
    this.MEDIA_KEYERR_OUTPUT_MESSAGE = 'There is no available output device with the required characteristics for the content protection system.';
    this.MEDIA_KEYERR_HARDWARECHANGE_MESSAGE = 'A hardware configuration change caused a content protection error.';
    this.MEDIA_KEYERR_DOMAIN_MESSAGE = 'An error occurred in a multi-device domain licensing configuration. The most common error is a failure to join the domain.';
    this.MEDIA_KEY_MESSAGE_ERROR_MESSAGE = 'Multiple key sessions were creates with a user-agent that does not support sessionIDs!! Unpredictable behavior ahead!';
    this.MEDIA_KEY_MESSAGE_NO_CHALLENGE_ERROR_MESSAGE = 'DRM: Empty key message from CDM';
    this.SERVER_CERTIFICATE_UPDATED_ERROR_MESSAGE = 'Error updating server certificate -- ';
    this.KEY_STATUS_CHANGED_EXPIRED_ERROR_MESSAGE = 'DRM: KeyStatusChange error! -- License has expired';
    this.MEDIA_KEY_MESSAGE_NO_LICENSE_SERVER_URL_ERROR_MESSAGE = 'DRM: No license server URL specified!';
    this.KEY_SYSTEM_ACCESS_DENIED_ERROR_MESSAGE = 'DRM: KeySystem Access Denied! -- ';
    this.KEY_SESSION_CREATED_ERROR_MESSAGE = 'DRM: unable to create session! --';
    this.MEDIA_KEY_MESSAGE_LICENSER_ERROR_MESSAGE = 'DRM: licenser error! --';
  }
}
let protectionErrors = new ProtectionErrors();
/* harmony default export */ __webpack_exports__["default"] = (protectionErrors);

/***/ }),

/***/ "./src/streaming/rules/DroppedFramesHistory.js":
/*!*****************************************************!*\
  !*** ./src/streaming/rules/DroppedFramesHistory.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");

function DroppedFramesHistory() {
  let values = {};
  let lastDroppedFrames = {};
  let lastTotalFrames = {};
  function push(streamId, representationId, playbackQuality) {
    if (!representationId) {
      return;
    }
    if (!values[streamId]) {
      _initializeForStream(streamId);
    }
    let droppedVideoFrames = playbackQuality && playbackQuality.droppedVideoFrames ? playbackQuality.droppedVideoFrames : 0;
    let totalVideoFrames = playbackQuality && playbackQuality.totalVideoFrames ? playbackQuality.totalVideoFrames : 0;
    let intervalDroppedFrames = droppedVideoFrames - lastDroppedFrames[streamId];
    lastDroppedFrames[streamId] = droppedVideoFrames;
    let intervalTotalFrames = totalVideoFrames - lastTotalFrames[streamId];
    lastTotalFrames[streamId] = totalVideoFrames;
    const current = values[streamId];
    if (!current[representationId]) {
      current[representationId] = {
        droppedVideoFrames: intervalDroppedFrames,
        totalVideoFrames: intervalTotalFrames
      };
    } else {
      current[representationId].droppedVideoFrames += intervalDroppedFrames;
      current[representationId].totalVideoFrames += intervalTotalFrames;
    }
  }
  function _initializeForStream(streamId) {
    values[streamId] = [];
    lastDroppedFrames[streamId] = 0;
    lastTotalFrames[streamId] = 0;
  }
  function getFrameHistory(streamId) {
    return values[streamId];
  }
  function clearForStream(streamId) {
    delete values[streamId];
    delete lastDroppedFrames[streamId];
    delete lastTotalFrames[streamId];
  }
  function reset() {
    values = {};
    lastDroppedFrames = {};
    lastTotalFrames = {};
  }
  return {
    clearForStream,
    getFrameHistory,
    push,
    reset
  };
}
DroppedFramesHistory.__dashjs_factory_name = 'DroppedFramesHistory';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(DroppedFramesHistory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/rules/RulesContext.js":
/*!*********************************************!*\
  !*** ./src/streaming/rules/RulesContext.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


function RulesContext(config) {
  config = config || {};
  let instance;
  const abrController = config.abrController;
  const throughputController = config.throughputController;
  const switchRequestHistory = config.switchRequestHistory;
  const droppedFramesHistory = config.droppedFramesHistory;
  const currentRequest = config.currentRequest;
  const scheduleController = config.streamProcessor ? config.streamProcessor.getScheduleController() : null;
  const voRepresentation = config.streamProcessor ? config.streamProcessor.getRepresentation() : null;
  const videoModel = config.videoModel ? config.videoModel : null;
  function getMediaType() {
    const mediaInfo = getMediaInfo();
    return mediaInfo ? mediaInfo.type : null;
  }
  function getStreamInfo() {
    const mediaInfo = getMediaInfo();
    return mediaInfo ? mediaInfo.streamInfo : null;
  }
  function getMediaInfo() {
    return voRepresentation ? voRepresentation.mediaInfo : null;
  }
  function getRepresentation() {
    return voRepresentation;
  }
  function getScheduleController() {
    return scheduleController;
  }
  function getAbrController() {
    return abrController;
  }
  function getThroughputController() {
    return throughputController;
  }
  function getSwitchRequestHistory() {
    return switchRequestHistory;
  }
  function getVideoModel() {
    return videoModel;
  }
  function getDroppedFramesHistory() {
    return droppedFramesHistory;
  }
  function getCurrentRequest() {
    return currentRequest;
  }
  instance = {
    getAbrController,
    getCurrentRequest,
    getDroppedFramesHistory,
    getMediaInfo,
    getMediaType,
    getRepresentation,
    getScheduleController,
    getStreamInfo,
    getSwitchRequestHistory,
    getThroughputController,
    getVideoModel
  };
  return instance;
}
RulesContext.__dashjs_factory_name = 'RulesContext';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(RulesContext));

/***/ }),

/***/ "./src/streaming/rules/SwitchRequest.js":
/*!**********************************************!*\
  !*** ./src/streaming/rules/SwitchRequest.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


const NO_CHANGE = null;
const PRIORITY = {
  DEFAULT: 0.5,
  STRONG: 1,
  WEAK: 0
};
function SwitchRequest(rep, reas, prio, r) {
  let instance, representation, priority, reason, rule;

  // check priority value
  function getPriority(p) {
    let ret = PRIORITY.DEFAULT;

    // check that p is one of declared priority value
    if (p === PRIORITY.DEFAULT || p === PRIORITY.STRONG || p === PRIORITY.WEAK) {
      ret = p;
    }
    return ret;
  }

  // init attributes
  representation = rep === undefined ? NO_CHANGE : rep;
  priority = getPriority(prio);
  reason = reas === undefined ? null : reas;
  rule = r === undefined ? null : r;
  instance = {
    representation,
    reason,
    rule,
    priority
  };
  return instance;
}
SwitchRequest.__dashjs_factory_name = 'SwitchRequest';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(SwitchRequest);
factory.NO_CHANGE = NO_CHANGE;
factory.PRIORITY = PRIORITY;
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].updateClassFactory(SwitchRequest.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/rules/SwitchRequestHistory.js":
/*!*****************************************************!*\
  !*** ./src/streaming/rules/SwitchRequestHistory.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function SwitchRequestHistory() {
  let switchRequests = {};
  let switchRequestHistory = {};
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  function push(switchRequest) {
    const currentRepresentation = switchRequest.currentRepresentation;
    const newRepresentation = switchRequest.newRepresentation;

    // Don`t compare quality switches between different periods or different AdaptationSets
    if (currentRepresentation.mediaInfo.streamInfo.id !== newRepresentation.mediaInfo.streamInfo.id || newRepresentation.mediaInfo.id !== currentRepresentation.mediaInfo.id) {
      return;
    }
    const streamId = currentRepresentation.mediaInfo.streamInfo.id;
    if (!switchRequests[streamId]) {
      _initializeForStream(streamId);
    }
    const mediaType = currentRepresentation.mediaInfo.type;
    if (!switchRequests[streamId][mediaType]) {
      _initializeForMediaType(streamId, mediaType);
    }
    const currentRepresentationId = switchRequest.currentRepresentation.id;
    if (!switchRequests[streamId][mediaType][currentRepresentationId]) {
      _initializeForRepresentation(streamId, mediaType, currentRepresentationId);
    }

    // Set switch details
    let indexDiff = switchRequest.newRepresentation.absoluteIndex - switchRequest.currentRepresentation.absoluteIndex;
    let drop = indexDiff < 0 ? 1 : 0;
    let dropSize = drop ? -indexDiff : 0;
    let noDrop = drop ? 0 : 1;

    // Update running totals
    switchRequests[streamId][mediaType][switchRequest.currentRepresentation.id].drops += drop;
    switchRequests[streamId][mediaType][switchRequest.currentRepresentation.id].dropSize += dropSize;
    switchRequests[streamId][mediaType][switchRequest.currentRepresentation.id].noDrops += noDrop;

    // Save to history
    switchRequestHistory[streamId][mediaType].push({
      id: switchRequest.currentRepresentation.id,
      noDrop: noDrop,
      drop: drop,
      dropSize: dropSize
    });

    // Remove outdated entries from history
    const removedHistorySample = _adjustSwitchRequestHistory(streamId, mediaType);

    // Adjust current values based on the removed sample
    if (removedHistorySample) {
      _adjustSwitchRequestDrops(streamId, mediaType, removedHistorySample);
    }
  }
  function _initializeForStream(streamId) {
    switchRequests[streamId] = {};
    switchRequestHistory[streamId] = {};
  }
  function _initializeForMediaType(streamId, mediaType) {
    switchRequests[streamId][mediaType] = {};
    switchRequestHistory[streamId][mediaType] = [];
  }
  function _initializeForRepresentation(streamId, mediaType, representationId) {
    switchRequests[streamId][mediaType][representationId] = {
      noDrops: 0,
      drops: 0,
      dropSize: 0
    };
  }
  function _adjustSwitchRequestHistory(streamId, mediaType) {
    // Shift the earliest switch off srHistory and readjust to keep depth of running totals constant
    if (switchRequestHistory[streamId][mediaType].length > settings.get().streaming.abr.rules.switchHistoryRule.parameters.sampleSize) {
      return switchRequestHistory[streamId][mediaType].shift();
    }
    return null;
  }
  function _adjustSwitchRequestDrops(streamId, mediaType, removedHistorySample) {
    switchRequests[streamId][mediaType][removedHistorySample.id].drops -= removedHistorySample.drop;
    switchRequests[streamId][mediaType][removedHistorySample.id].dropSize -= removedHistorySample.dropSize;
    switchRequests[streamId][mediaType][removedHistorySample.id].noDrops -= removedHistorySample.noDrop;
  }
  function getSwitchRequests(streamId, mediaType) {
    if (streamId === null || typeof streamId === 'undefined' || mediaType === null || typeof mediaType === 'undefined' || !switchRequests[streamId] || !switchRequests[streamId][mediaType]) {
      return {};
    }
    return switchRequests[streamId][mediaType];
  }
  function clearForStream(streamId) {
    delete switchRequests[streamId];
    delete switchRequestHistory[streamId];
  }
  function reset() {
    switchRequests = {};
    switchRequestHistory = {};
  }
  return {
    clearForStream,
    getSwitchRequests,
    push,
    reset
  };
}
SwitchRequestHistory.__dashjs_factory_name = 'SwitchRequestHistory';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(SwitchRequestHistory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/rules/abr/ABRRulesCollection.js":
/*!*******************************************************!*\
  !*** ./src/streaming/rules/abr/ABRRulesCollection.js ***!
  \*******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _ThroughputRule_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./ThroughputRule.js */ "./src/streaming/rules/abr/ThroughputRule.js");
/* harmony import */ var _InsufficientBufferRule_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./InsufficientBufferRule.js */ "./src/streaming/rules/abr/InsufficientBufferRule.js");
/* harmony import */ var _AbandonRequestsRule_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./AbandonRequestsRule.js */ "./src/streaming/rules/abr/AbandonRequestsRule.js");
/* harmony import */ var _DroppedFramesRule_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./DroppedFramesRule.js */ "./src/streaming/rules/abr/DroppedFramesRule.js");
/* harmony import */ var _SwitchHistoryRule_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./SwitchHistoryRule.js */ "./src/streaming/rules/abr/SwitchHistoryRule.js");
/* harmony import */ var _BolaRule_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./BolaRule.js */ "./src/streaming/rules/abr/BolaRule.js");
/* harmony import */ var _L2ARule_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./L2ARule.js */ "./src/streaming/rules/abr/L2ARule.js");
/* harmony import */ var _lolp_LoLpRule_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./lolp/LoLpRule.js */ "./src/streaming/rules/abr/lolp/LoLpRule.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */













function ABRRulesCollection(config) {
  config = config || {};
  const context = this.context;
  const mediaPlayerModel = config.mediaPlayerModel;
  const customParametersModel = config.customParametersModel;
  const dashMetrics = config.dashMetrics;
  const settings = config.settings;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_10__["default"])(context).getInstance();
  let instance, qualitySwitchRules, abandonFragmentRules, shouldUseBolaRuleByMediaType;
  function initialize() {
    qualitySwitchRules = [];
    abandonFragmentRules = [];
    shouldUseBolaRuleByMediaType = {};
    _updateRules();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES, _onAbrSettingsActiveRulesUpdated, instance);
  }

  /**
   * Adds and removes rules to/from the respective rules arrays
   * @private
   */
  function _updateRules() {
    let qualitySwitchRulesList = Object.values(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES);
    qualitySwitchRulesList.forEach(ruleName => {
      qualitySwitchRules = _handleRuleUpdate(ruleName, qualitySwitchRules);
    });
    let abandonFragmentRulesList = Object.values(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].ABANDON_FRAGMENT_RULES);
    abandonFragmentRulesList.forEach(ruleName => {
      abandonFragmentRules = _handleRuleUpdate(ruleName, abandonFragmentRules);
    });

    // add custom ABR rules if any
    const customRules = customParametersModel.getAbrCustomRules();
    customRules.forEach(function (rule) {
      if (rule.type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].RULES_TYPES.QUALITY_SWITCH_RULES) {
        qualitySwitchRules.push(rule.rule(context).create());
      }
      if (rule.type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].RULES_TYPES.ABANDON_FRAGMENT_RULES) {
        abandonFragmentRules.push(rule.rule(context).create());
      }
    });

    // If we still got no rule for quality switch use Throughput and Bola
    if (qualitySwitchRules.length === 0) {
      qualitySwitchRules.push((0,_BolaRule_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).create({
        dashMetrics: dashMetrics,
        mediaPlayerModel: mediaPlayerModel,
        settings: settings
      }));
      qualitySwitchRules.push((0,_ThroughputRule_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create({
        dashMetrics: dashMetrics
      }));
    }
  }
  function _handleRuleUpdate(ruleName, rulesCollection) {
    // we use camel case in the settings while the rules start with a capital latter. Not ideal but convert between these formats
    const attribute = ruleName.charAt(0).toLowerCase() + ruleName.slice(1);
    if (settings.get().streaming.abr.rules[attribute].active && !_arrayContainsRule(rulesCollection, ruleName)) {
      rulesCollection.push(_createRuleInstance(ruleName));
      return rulesCollection;
    } else if (!settings.get().streaming.abr.rules[attribute].active) {
      return _removeRuleFromArray(rulesCollection, ruleName);
    }
    return rulesCollection;
  }
  function _createRuleInstance(rule) {
    switch (rule) {
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.BOLA_RULE:
        return (0,_BolaRule_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).create({
          dashMetrics: dashMetrics,
          mediaPlayerModel: mediaPlayerModel,
          settings: settings
        });
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.THROUGHPUT_RULE:
        return (0,_ThroughputRule_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create({
          dashMetrics: dashMetrics
        });
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.INSUFFICIENT_BUFFER_RULE:
        return (0,_InsufficientBufferRule_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create({
          dashMetrics: dashMetrics,
          settings
        });
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.SWITCH_HISTORY_RULE:
        return (0,_SwitchHistoryRule_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create();
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.DROPPED_FRAMES_RULE:
        return (0,_DroppedFramesRule_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create();
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.LEARN_TO_ADAPT_RULE:
        return (0,_L2ARule_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).create({
          dashMetrics: dashMetrics,
          settings: settings
        });
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.LOL_PLUS_RULE:
        return (0,_lolp_LoLpRule_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).create({
          dashMetrics: dashMetrics
        });
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].ABANDON_FRAGMENT_RULES.ABANDON_REQUEST_RULE:
        return (0,_AbandonRequestsRule_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
          dashMetrics: dashMetrics,
          mediaPlayerModel: mediaPlayerModel,
          settings: settings
        });
    }
  }
  function _arrayContainsRule(arr, ruleName) {
    return arr.filter(rule => {
      return rule.getClassName() === ruleName;
    }).length > 0;
  }
  function _removeRuleFromArray(arr, ruleName) {
    return arr.filter(rule => {
      return rule.getClassName() !== ruleName;
    });
  }
  function _getRulesWithChange(srArray) {
    return srArray.filter(sr => sr.representation !== _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].NO_CHANGE);
  }

  /**
   *
   * @param {array} srArray
   * @return {object} SwitchRequest
   */
  function getMinSwitchRequest(srArray) {
    const values = {};
    let newSwitchReq = null;
    let i, len, currentSwitchRequest;
    if (srArray.length === 0) {
      return;
    }
    values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.STRONG] = null;
    values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.WEAK] = null;
    values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.DEFAULT] = null;
    for (i = 0, len = srArray.length; i < len; i += 1) {
      currentSwitchRequest = srArray[i];
      if (currentSwitchRequest.representation !== _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].NO_CHANGE) {
        // We only use the new quality in case the bitrate is lower than the already saved one or if no new quality has been selected for the respective priority
        if (values[currentSwitchRequest.priority] === null || values[currentSwitchRequest.priority].representation !== _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].NO_CHANGE && currentSwitchRequest.representation.bitrateInKbit < values[currentSwitchRequest.priority].representation.bitrateInKbit) {
          values[currentSwitchRequest.priority] = currentSwitchRequest;
        }
      }
    }
    if (values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.WEAK] && values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.WEAK].representation !== _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].NO_CHANGE) {
      newSwitchReq = values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.WEAK];
    }
    if (values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.DEFAULT] && values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.DEFAULT].representation !== _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].NO_CHANGE) {
      newSwitchReq = values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.DEFAULT];
    }
    if (values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.STRONG] && values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.STRONG].representation !== _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].NO_CHANGE) {
      newSwitchReq = values[_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"].PRIORITY.STRONG];
    }
    return newSwitchReq;
  }
  function getBestPossibleSwitchRequest(rulesContext) {
    if (!rulesContext) {
      return (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create();
    }
    // Only Throughput or Bola are active at the same time.
    const activeQualitySwitchRules = qualitySwitchRules.filter(rule => {
      const ruleName = rule.getClassName();
      if (ruleName !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.BOLA_RULE && ruleName !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.THROUGHPUT_RULE) {
        return true;
      }
      const mediaType = rulesContext.getMediaType();
      return shouldUseBolaRuleByMediaType[mediaType] && ruleName === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.BOLA_RULE || !shouldUseBolaRuleByMediaType[mediaType] && ruleName === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_12__["default"].QUALITY_SWITCH_RULES.THROUGHPUT_RULE;
    });
    const switchRequestArray = activeQualitySwitchRules.map(rule => rule.getSwitchRequest(rulesContext));
    const activeRules = _getRulesWithChange(switchRequestArray);
    const maxQuality = getMinSwitchRequest(activeRules);
    return maxQuality || (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create();
  }
  function shouldAbandonFragment(rulesContext) {
    if (!rulesContext) {
      return (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create();
    }
    const abandonRequestArray = abandonFragmentRules.map(rule => rule.shouldAbandon(rulesContext));
    const activeRules = _getRulesWithChange(abandonRequestArray);
    const shouldAbandon = getMinSwitchRequest(activeRules);
    if (shouldAbandon) {
      shouldAbandon.reason.forceAbandon = true;
    }
    return shouldAbandon || (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create();
  }
  function reset() {
    [qualitySwitchRules, abandonFragmentRules].forEach(rules => {
      if (rules && rules.length) {
        rules.forEach(rule => rule.reset && rule.reset());
      }
    });
    qualitySwitchRules = [];
    abandonFragmentRules = [];
    shouldUseBolaRuleByMediaType = {};
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_11__["default"].SETTING_UPDATED_ABR_ACTIVE_RULES, _onAbrSettingsActiveRulesUpdated, instance);
  }
  function clearDataForStream(streamId) {
    [qualitySwitchRules, abandonFragmentRules].forEach(rules => {
      if (rules && rules.length) {
        rules.forEach(rule => rule.clearDataForStream && typeof rule.clearDataForStream === 'function' && rule.clearDataForStream(streamId));
      }
    });
  }
  function getQualitySwitchRules() {
    return qualitySwitchRules;
  }
  function getAbandonFragmentRules() {
    return abandonFragmentRules;
  }
  function setBolaState(mediaType, value) {
    shouldUseBolaRuleByMediaType[mediaType] = value;
  }
  function getBolaState(mediaType) {
    return shouldUseBolaRuleByMediaType[mediaType];
  }
  function _onAbrSettingsActiveRulesUpdated() {
    _updateRules();
  }
  function handleNewMediaInfo(newMediaInfo) {
    qualitySwitchRules.forEach(rule => rule.handleNewMediaInfo && rule.handleNewMediaInfo(newMediaInfo));
    abandonFragmentRules.forEach(rule => rule.handleNewMediaInfo && rule.handleNewMediaInfo(newMediaInfo));
  }
  instance = {
    clearDataForStream,
    getAbandonFragmentRules,
    getBestPossibleSwitchRequest,
    getBolaState,
    getMinSwitchRequest,
    getQualitySwitchRules,
    handleNewMediaInfo,
    initialize,
    reset,
    setBolaState,
    shouldAbandonFragment
  };
  return instance;
}
ABRRulesCollection.__dashjs_factory_name = 'ABRRulesCollection';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__["default"].getClassFactory(ABRRulesCollection);
_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_8__["default"].updateSingletonFactory(ABRRulesCollection.__dashjs_factory_name, factory);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/rules/abr/AbandonRequestsRule.js":
/*!********************************************************!*\
  !*** ./src/streaming/rules/abr/AbandonRequestsRule.js ***!
  \********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../core/Settings.js */ "./src/core/Settings.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function AbandonRequestsRule(config) {
  config = config || {};
  const mediaPlayerModel = config.mediaPlayerModel;
  const dashMetrics = config.dashMetrics;
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
  let instance, logger, abandonDict;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance().getLogger(instance);
    reset();
  }
  function shouldAbandon(rulesContext) {
    const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).create();
    switchRequest.rule = this.getClassName();
    try {
      if (!rulesContext) {
        return switchRequest;
      }
      const request = rulesContext.getCurrentRequest();
      if (!isNaN(request.index)) {
        // In case we abandoned already or do not have enough information to proceed we return here
        if (request.firstByteDate === null || abandonDict.hasOwnProperty(request.index)) {
          return switchRequest;
        }

        // Do not abandon if the buffer level is larger than the stable time
        const stableBufferTime = mediaPlayerModel.getBufferTimeDefault();
        const mediaType = rulesContext.getMediaType();
        const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
        if (bufferLevel > stableBufferTime) {
          return switchRequest;
        }

        // Activate rule once we have enough samples, the initial startup time has elapsed and the download is not finished yet
        const elapsedTimeSinceFirstByteInMs = Date.now() - request.firstByteDate.getTime();
        if (request.traces.length >= settings.get().streaming.abr.rules.abandonRequestsRule.parameters.minThroughputSamplesThreshold && elapsedTimeSinceFirstByteInMs > settings.get().streaming.abr.rules.abandonRequestsRule.parameters.minSegmentDownloadTimeThresholdInMs && request.bytesLoaded < request.bytesTotal) {
          return _getSwitchRequest(rulesContext, request, switchRequest);
        }
      }
      return switchRequest;
    } catch (e) {
      logger.error(e);
      return switchRequest;
    }
  }
  function _getSwitchRequest(rulesContext, request, switchRequest) {
    const mediaInfo = rulesContext.getMediaInfo();
    const mediaType = rulesContext.getMediaType();

    // Use the traces of the request to derive the mean throughput. We ignore the first entries as they contain the latency of the request.
    const downloadedBytes = request.traces.reduce((prev, curr) => prev + curr.b[0], 0) - request.traces[0].b[0];
    const downloadTimeInMs = Math.max(request.traces.reduce((prev, curr) => prev + curr.d, 0) - request.traces[0].d, 1);
    const throughputInKbit = Math.round(8 * downloadedBytes / downloadTimeInMs);
    const estimatedTimeOfDownloadInSeconds = Number(request.bytesTotal * 8 / throughputInKbit / 1000).toFixed(2);

    // We do not abandon if the estimated download time is below a constant multiple of the segment duration, or if we are on the lowest quality anyway.
    const representation = rulesContext.getRepresentation();
    const abrController = rulesContext.getAbrController();
    if (estimatedTimeOfDownloadInSeconds < request.duration * settings.get().streaming.abr.rules.abandonRequestsRule.parameters.abandonDurationMultiplier || abrController.isPlayingAtLowestQuality(representation)) {
      return switchRequest;
    }
    if (!abandonDict.hasOwnProperty(request.index)) {
      const abrController = rulesContext.getAbrController();
      const remainingBytesToDownload = request.bytesTotal - request.bytesLoaded;
      const optimalRepresentationForBitrate = abrController.getOptimalRepresentationForBitrate(mediaInfo, throughputInKbit, true);
      const currentRequestedRepresentation = request.representation;
      const totalBytesForOptimalRepresentation = request.bytesTotal * optimalRepresentationForBitrate.bitrateInKbit / currentRequestedRepresentation.bitrateInKbit;
      if (remainingBytesToDownload > totalBytesForOptimalRepresentation) {
        switchRequest.representation = optimalRepresentationForBitrate;
        switchRequest.reason = {
          throughputInKbit,
          message: `[AbandonRequestRule][${mediaType} is asking to abandon and switch to quality to ${optimalRepresentationForBitrate.absoluteIndex}. The measured bandwidth was ${throughputInKbit} kbit/s`
        };
        abandonDict[request.index] = true;
      }
    }
    return switchRequest;
  }
  function reset() {
    abandonDict = {};
  }
  instance = {
    shouldAbandon,
    reset
  };
  setup();
  return instance;
}
AbandonRequestsRule.__dashjs_factory_name = 'AbandonRequestsRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(AbandonRequestsRule));

/***/ }),

/***/ "./src/streaming/rules/abr/BolaRule.js":
/*!*********************************************!*\
  !*** ./src/streaming/rules/abr/BolaRule.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _controllers_AbrController_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../controllers/AbrController.js */ "./src/streaming/controllers/AbrController.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2016, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

// For a description of the BOLA adaptive bitrate (ABR) algorithm, see http://arxiv.org/abs/1601.06748












// BOLA_STATE_ONE_BITRATE   : If there is only one bitrate (or initialization failed), always return NO_CHANGE.
// BOLA_STATE_STARTUP       : Set placeholder buffer such that we download fragments at most recently measured throughput.
// BOLA_STATE_STEADY        : Buffer primed, we switch to steady operation.
// TODO: add BOLA_STATE_SEEK and tune BOLA behavior on seeking
const BOLA_STATE_ONE_BITRATE = 'BOLA_STATE_ONE_BITRATE';
const BOLA_STATE_STARTUP = 'BOLA_STATE_STARTUP';
const BOLA_STATE_STEADY = 'BOLA_STATE_STEADY';
const MINIMUM_BUFFER_S = 10; // BOLA should never add artificial delays if buffer is less than MINIMUM_BUFFER_S.
const MINIMUM_BUFFER_PER_BITRATE_LEVEL_S = 2;
// E.g. if there are 5 bitrates, BOLA switches to top bitrate at buffer = 10 + 5 * 2 = 20s.
// If Schedule Controller does not allow buffer to reach that level, it can be achieved through the placeholder buffer level.

const PLACEHOLDER_BUFFER_DECAY = 0.99; // Make sure placeholder buffer does not stick around too long.

function BolaRule(config) {
  config = config || {};
  const context = this.context;
  const dashMetrics = config.dashMetrics;
  const mediaPlayerModel = config.mediaPlayerModel;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  const abrController = (0,_controllers_AbrController_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
  let instance, logger, bolaStateDict;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance().getLogger(instance);
    resetInitialSettings();
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].BUFFER_EMPTY, _onBufferEmpty, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].METRIC_ADDED, _onMetricAdded, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].QUALITY_CHANGE_REQUESTED, _onQualityChangeRequested, instance);
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].FRAGMENT_LOADING_ABANDONED, _onFragmentLoadingAbandoned, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_MAX_BITRATE, _onMinMaxBitrateUpdated, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_MIN_BITRATE, _onMinMaxBitrateUpdated, instance);
  }

  /**
   * If the buffer is empty, we don't want the placeholder buffer to artificially raise BOLA quality
   * @param {object} e
   * @private
   */
  function _onBufferEmpty(e) {
    const mediaType = e.mediaType;
    const streamId = e.streamId;
    // if audio buffer runs empty (due to track switch for example) then reset placeholder buffer only for audio (to avoid decrease video BOLA quality)
    const stateDict = mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_8__["default"].AUDIO ? [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_8__["default"].AUDIO] : bolaStateDict[streamId];
    for (const mediaType in stateDict) {
      if (bolaStateDict[streamId] && bolaStateDict[streamId].hasOwnProperty(mediaType) && bolaStateDict[streamId][mediaType].state === BOLA_STATE_STEADY) {
        bolaStateDict[streamId][mediaType].placeholderBuffer = 0;
      }
    }
  }

  /**
   * Clear BOLA parameters for each media type once we seek. By setting to BOLA_STATE_STARTUP we use the throughput to get the possible quality.
   * @private
   */
  function _onPlaybackSeeking(e) {
    // TODO: 1. Verify what happens if we seek mid-fragment.
    // TODO: 2. If e.g. we have 10s fragments and seek, we might want to download the first fragment at a lower quality to restart playback quickly.
    const streamId = e.streamId;
    for (const mediaType in bolaStateDict[streamId]) {
      if (bolaStateDict[streamId].hasOwnProperty(mediaType)) {
        const bolaState = bolaStateDict[streamId][mediaType];
        if (bolaState.state !== BOLA_STATE_ONE_BITRATE) {
          bolaState.state = BOLA_STATE_STARTUP;
          _clearBolaStateOnSeek(bolaState);
        }
      }
    }
  }
  function _clearBolaStateOnSeek(bolaState) {
    bolaState.placeholderBuffer = 0;
    bolaState.mostAdvancedSegmentStart = NaN;
    bolaState.lastSegmentWasReplacement = false;
    bolaState.lastSegmentStart = NaN;
    bolaState.lastSegmentDurationS = NaN;
    bolaState.lastSegmentRequestTimeMs = NaN;
    bolaState.lastSegmentFinishTimeMs = NaN;
  }

  /**
   * Handle situations in which the downloaded quality differs from what the BOLA algorithm recommended
   * @param e
   * @private
   */
  function _onMetricAdded(e) {
    try {
      if (e && e.metric === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].HTTP_REQUEST && e.value && e.value.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__.HTTPRequest.MEDIA_SEGMENT_TYPE && e.value.trace && e.value.trace.length) {
        const bolaState = bolaStateDict[e.value._streamId] && bolaStateDict[e.value._streamId][e.mediaType] ? bolaStateDict[e.value._streamId][e.mediaType] : null;
        if (bolaState && bolaState.state !== BOLA_STATE_ONE_BITRATE) {
          bolaState.lastSegmentRequestTimeMs = e.value.trequest.getTime();
          bolaState.lastSegmentFinishTimeMs = e.value._tfinish.getTime();
          _checkNewSegment(bolaState, e.mediaType);
        }
      }
    } catch (e) {
      logger.error(e);
    }
  }

  /**
   * When a new segment is downloaded, we get two notifications: onMediaFragmentLoaded() and onMetricAdded(). It is
   * possible that the quality for the downloaded segment was lower (not higher) than the quality indicated by BOLA.
   * This might happen because of other rules such as the DroppedFramesRule. When this happens, we trim the
   * placeholder buffer to make BOLA more stable. This mechanism also avoids inflating the buffer when BOLA itself
   * decides not to increase the quality to avoid oscillations.
   *
   * We should also check for replacement segments (fast switching). In this case, a segment is downloaded but does
   * not grow the actual buffer. Fast switching might cause the buffer to deplete, causing BOLA to drop the bitrate.
   * We avoid this by growing the placeholder buffer.
   * @param bolaState
   * @param mediaType
   */
  function _checkNewSegment(bolaState, mediaType) {
    if (!isNaN(bolaState.lastSegmentStart) && !isNaN(bolaState.lastSegmentRequestTimeMs) && !isNaN(bolaState.placeholderBuffer)) {
      bolaState.placeholderBuffer *= PLACEHOLDER_BUFFER_DECAY;

      // Find what maximum buffer corresponding to last segment was, and ensure placeholder is not relatively larger.
      if (!isNaN(bolaState.lastSegmentFinishTimeMs)) {
        const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
        const bufferAtLastSegmentRequest = bufferLevel + 0.001 * (bolaState.lastSegmentFinishTimeMs - bolaState.lastSegmentRequestTimeMs); // estimate
        const maxEffectiveBufferForLastSegment = _maxBufferLevelForRepresentation(bolaState, bolaState.currentRepresentation);
        const maxPlaceholderBuffer = Math.max(0, maxEffectiveBufferForLastSegment - bufferAtLastSegmentRequest);
        bolaState.placeholderBuffer = Math.min(maxPlaceholderBuffer, bolaState.placeholderBuffer);
      }

      // then see if we should grow placeholder buffer
      if (bolaState.lastSegmentWasReplacement && !isNaN(bolaState.lastSegmentDurationS)) {
        // compensate for segments that were downloaded but did not grow the buffer
        bolaState.placeholderBuffer += bolaState.lastSegmentDurationS;
      }
      bolaState.lastSegmentStart = NaN;
      bolaState.lastSegmentRequestTimeMs = NaN;
    }
  }

  /**
   * Useful to store change requests when abandoning a download.
   * @param e
   * @private
   */
  function _onQualityChangeRequested(e) {
    if (e && bolaStateDict[e.streamId] && bolaStateDict[e.streamId][e.mediaType]) {
      const bolaState = bolaStateDict[e.streamId][e.mediaType];
      if (bolaState && bolaState.state !== BOLA_STATE_ONE_BITRATE) {
        bolaState.currentRepresentation = e.newRepresentation;
      }
    }
  }

  /**
   *
   * @param rulesContext
   * @returns {{}}
   * @private
   */
  function _getInitialBolaState(rulesContext) {
    const initialState = {};
    const mediaInfo = rulesContext.getMediaInfo();
    const representations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
    const bitrates = representations.map(r => r.bandwidth);
    let utilities = bitrates.map(b => Math.log(b));
    utilities = utilities.map(u => u - utilities[0] + 1); // normalize
    const bufferTimeDefault = mediaPlayerModel.getBufferTimeDefault();
    const params = _calculateBolaParameters(bufferTimeDefault, representations, utilities);

    // only happens when there is only one bitrate level
    if (!params) {
      initialState.state = BOLA_STATE_ONE_BITRATE;
    } else {
      initialState.state = BOLA_STATE_STARTUP;
      initialState.representations = representations;
      initialState.utilities = utilities;
      initialState.bufferTimeDefault = bufferTimeDefault;
      initialState.Vp = params.Vp;
      initialState.gp = params.gp;
      initialState.currentRepresentation = null;
      _clearBolaStateOnSeek(initialState);
    }
    return initialState;
  }

  /**
   *  NOTE: in live streaming, the real buffer level can drop below minimumBufferS, but BOLA should not stick to lowest bitrate by using a placeholder buffer level
   * @param bufferTimeDefault
   * @param representations
   * @param utilities
   * @returns {{gp: number, Vp: number}|null}
   * @private
   */
  function _calculateBolaParameters(bufferTimeDefault, representations, utilities) {
    const highestUtilityIndex = utilities.reduce((highestIndex, u, uIndex) => u > utilities[highestIndex] ? uIndex : highestIndex, 0);

    // if highestUtilityIndex === 0, then always use lowest bitrate
    if (highestUtilityIndex === 0) {
      return null;
    }
    const bufferTime = Math.max(bufferTimeDefault, MINIMUM_BUFFER_S + MINIMUM_BUFFER_PER_BITRATE_LEVEL_S * representations.length);

    // TODO: Investigate if following can be better if utilities are not the default Math.log utilities.
    // If using Math.log utilities, we can choose Vp and gp to always prefer bitrates[0] at minimumBufferS and bitrates[max] at bufferTarget.
    // (Vp * (utility + gp) - bufferLevel) / bitrate has the maxima described when:
    // Vp * (utilities[0] + gp - 1) === minimumBufferS and Vp * (utilities[max] + gp - 1) === bufferTarget
    // giving:
    const gp = (utilities[highestUtilityIndex] - 1) / (bufferTime / MINIMUM_BUFFER_S - 1);
    const Vp = MINIMUM_BUFFER_S / gp;
    // note that expressions for gp and Vp assume utilities[0] === 1, which is true because of normalization

    return {
      gp: gp,
      Vp: Vp
    };
  }

  /**
   * If the buffer target is changed (can this happen mid-stream?), then adjust BOLA parameters accordingly.
   * @param bolaState
   * @param mediaType
   * @private
   */
  function _checkBolaStateBufferTimeDefault(bolaState, mediaType) {
    const bufferTimeDefault = mediaPlayerModel.getBufferTimeDefault();
    if (bolaState.bufferTimeDefault !== bufferTimeDefault) {
      const params = _calculateBolaParameters(bufferTimeDefault, bolaState.representations, bolaState.utilities);
      if (params.Vp !== bolaState.Vp || params.gp !== bolaState.gp) {
        // correct placeholder buffer using two criteria:
        // 1. do not change effective buffer level at effectiveBufferLevel === MINIMUM_BUFFER_S ( === Vp * gp )
        // 2. scale placeholder buffer by Vp subject to offset indicated in 1.

        const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
        let effectiveBufferLevel = bufferLevel + bolaState.placeholderBuffer;
        effectiveBufferLevel -= MINIMUM_BUFFER_S;
        effectiveBufferLevel *= params.Vp / bolaState.Vp;
        effectiveBufferLevel += MINIMUM_BUFFER_S;
        bolaState.bufferTimeDefault = bufferTimeDefault;
        bolaState.Vp = params.Vp;
        bolaState.gp = params.gp;
        bolaState.placeholderBuffer = Math.max(0, effectiveBufferLevel - bufferLevel);
      }
    }
  }

  /**
   * The core idea of BOLA.
   * @param bolaState
   * @param bufferLevel
   * @returns {Representation}
   * @private
   */
  function _getRepresentationFromBufferLevel(bolaState, bufferLevel) {
    const bitrateCount = bolaState.representations.length;
    let quality = NaN;
    let score = NaN;
    for (let i = 0; i < bitrateCount; ++i) {
      let s = (bolaState.Vp * (bolaState.utilities[i] - 1 + bolaState.gp) - bufferLevel) / bolaState.representations[i].bandwidth;
      if (isNaN(score) || s >= score) {
        score = s;
        quality = i;
      }
    }
    return bolaState.representations[quality];
  }

  /**
   * Maximum buffer level which prefers to download at quality rather than wait
   * @param bolaState
   * @param representation
   * @returns {number}
   * @private
   */
  function _maxBufferLevelForRepresentation(bolaState, representation) {
    return bolaState.Vp * (bolaState.utilities[representation.absoluteIndex] + bolaState.gp);
  }

  /**
   *  The placeholder buffer increases the effective buffer that is used to calculate the bitrate.
   *  There are two main reasons we might want to increase the placeholder buffer:
   *
   *  1. When a segment finishes downloading, we would expect to get a call on getSwitchRequest() regarding the quality for
   *  the next segment. However, there might be a delay before the next call. E.g. when streaming live content, the
   *  next segment might not be available yet. If the call to getSwitchRequest() does happens after a delay, we don't
   *  want the delay to change the BOLA decision - we only want to factor download time to decide on bitrate level.
   *
   * 2. It is possible to get a call to getSwitchRequest() without having a segment download. The buffer target in dash.js
   * is different for top-quality segments and lower-quality segments. If getSwitchRequest() returns a lower-than-top
   * quality, then the buffer controller might decide not to download a segment. When dash.js is ready for the next
   * segment, getSwitchRequest() will be called again. We don't want this extra delay to factor in the bitrate decision.
   * @param bolaState
   * @param mediaType
   * @private
   */
  function _updatePlaceholderBuffer(bolaState, mediaType) {
    const nowMs = Date.now();
    if (!isNaN(bolaState.lastSegmentFinishTimeMs)) {
      // compensate for non-bandwidth-derived delays, e.g., live streaming availability, buffer controller
      const delay = 0.001 * (nowMs - bolaState.lastSegmentFinishTimeMs);
      bolaState.placeholderBuffer += Math.max(0, delay);
    } else if (!isNaN(bolaState.lastCallTimeMs)) {
      // no download after last call, compensate for delay between calls
      const delay = 0.001 * (nowMs - bolaState.lastCallTimeMs);
      bolaState.placeholderBuffer += Math.max(0, delay);
    }
    bolaState.lastCallTimeMs = nowMs;
    bolaState.lastSegmentStart = NaN;
    bolaState.lastSegmentRequestTimeMs = NaN;
    bolaState.lastSegmentFinishTimeMs = NaN;
    _checkBolaStateBufferTimeDefault(bolaState, mediaType);
  }
  function _onMediaFragmentLoaded(e) {
    if (e && e.chunk && e.chunk.representation.mediaInfo && bolaStateDict[e.streamId]) {
      const bolaState = bolaStateDict[e.streamId][e.chunk.representation.mediaInfo.type];
      if (bolaState && bolaState.state !== BOLA_STATE_ONE_BITRATE) {
        const start = e.chunk.start;
        if (isNaN(bolaState.mostAdvancedSegmentStart) || start > bolaState.mostAdvancedSegmentStart) {
          bolaState.mostAdvancedSegmentStart = start;
          bolaState.lastSegmentWasReplacement = false;
        } else {
          bolaState.lastSegmentWasReplacement = true;
        }
        bolaState.lastSegmentStart = start;
        bolaState.lastSegmentDurationS = e.chunk.duration;
        bolaState.currentRepresentation = e.chunk.representation;
        _checkNewSegment(bolaState, e.chunk.representation.mediaInfo.type);
      }
    }
  }

  /**
   * We need to reset the Bola State once the min/max bitrate settings have been updated. Otherwise, the utility function works on outdated values
   * @private
   */
  function _onMinMaxBitrateUpdated() {
    resetInitialSettings();
  }

  /**
   * The minimum buffer level that would cause BOLA to choose target quality rather than a lower bitrate
   * @param bolaState
   * @param representation
   * @returns {number}
   * @private
   */
  function _minBufferLevelForRepresentation(bolaState, representation) {
    const absoluteIndex = representation.absoluteIndex;
    const qBitrate = representation.bandwidth;
    const qUtility = bolaState.utilities[absoluteIndex];
    let min = 0;

    // for each bitrate less than bitrates[absoluteIndex], BOLA should prefer quality (unless other bitrate has higher utility)
    for (let i = absoluteIndex - 1; i >= 0; --i) {
      if (bolaState.utilities[i] < bolaState.utilities[absoluteIndex]) {
        const iBitrate = bolaState.representations[i].bandwidth;
        const iUtility = bolaState.utilities[i];
        const level = bolaState.Vp * (bolaState.gp + (qBitrate * iUtility - iBitrate * qUtility) / (qBitrate - iBitrate));
        min = Math.max(min, level); // we want min to be small but at least level(i) for all i
      }
    }
    return min;
  }

  /**
   *
   * @param e
   * @private
   */
  function _onFragmentLoadingAbandoned(e) {
    if (e && bolaStateDict[e.streamId]) {
      const bolaState = bolaStateDict[e.streamId][e.mediaType];
      if (bolaState && bolaState.state !== BOLA_STATE_ONE_BITRATE) {
        // deflate placeholderBuffer - note that we want to be conservative when abandoning
        const bufferLevel = dashMetrics.getCurrentBufferLevel(e.mediaType);
        let wantEffectiveBufferLevel;
        if (bolaState.currentRepresentation.absoluteIndex > 0) {
          // deflate to point where BOLA just chooses newQuality over newQuality-1
          wantEffectiveBufferLevel = _minBufferLevelForRepresentation(bolaState, bolaState.currentRepresentation);
        } else {
          wantEffectiveBufferLevel = MINIMUM_BUFFER_S;
        }
        const maxPlaceholderBuffer = Math.max(0, wantEffectiveBufferLevel - bufferLevel);
        bolaState.placeholderBuffer = Math.min(bolaState.placeholderBuffer, maxPlaceholderBuffer);
      }
    }
  }
  function handleNewMediaInfo(newMediaInfo) {
    if (!newMediaInfo || !newMediaInfo.streamInfo || !newMediaInfo.type) {
      return;
    }
    if (bolaStateDict[newMediaInfo.streamInfo.id] && bolaStateDict[newMediaInfo.streamInfo.id][newMediaInfo.type]) {
      delete bolaStateDict[newMediaInfo.streamInfo.id][newMediaInfo.type];
    }
  }

  /**
   * At startup we decide on the best quality based on the throughput. The placeholderBuffer is adjusted accordingly.
   * @param switchRequest
   * @param rulesContext
   * @param bolaState
   * @private
   */
  function _handleBolaStateStartup(switchRequest, rulesContext, bolaState) {
    const mediaType = rulesContext.getMediaType();
    const throughputController = rulesContext.getThroughputController();
    const safeThroughput = throughputController.getSafeAverageThroughput(mediaType);
    if (isNaN(safeThroughput)) {
      return;
    }
    const mediaInfo = rulesContext.getMediaInfo();
    const representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, safeThroughput, true);
    const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
    switchRequest.representation = representation;
    switchRequest.reason.throughput = safeThroughput;
    bolaState.placeholderBuffer = Math.max(0, _minBufferLevelForRepresentation(bolaState, representation) - bufferLevel);
    bolaState.currentRepresentation = representation;
    if (!isNaN(bolaState.lastSegmentDurationS) && bufferLevel >= bolaState.lastSegmentDurationS) {
      bolaState.state = BOLA_STATE_STEADY;
    }
  }

  /**
   *
   * @param switchRequest
   * @param rulesContext
   * @param bolaState
   * @private
   */
  function _handleBolaStateSteady(switchRequest, rulesContext, bolaState) {
    const mediaType = rulesContext.getMediaType();
    const throughputController = rulesContext.getThroughputController();
    const mediaInfo = rulesContext.getMediaInfo();
    const safeThroughput = throughputController.getSafeAverageThroughput(mediaType);
    const scheduleController = rulesContext.getScheduleController();
    _updatePlaceholderBuffer(bolaState, mediaType);
    const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
    // NB: The placeholder buffer is added to bufferLevel to come up with a bitrate.
    //     This might lead BOLA to be too optimistic and to choose a bitrate that would lead to rebuffering -
    //     if the real buffer bufferLevel runs out, the placeholder buffer cannot prevent rebuffering.
    //     However, the InsufficientBufferRule takes care of this scenario.
    let representation = _getRepresentationFromBufferLevel(bolaState, bufferLevel + bolaState.placeholderBuffer);

    // we want to avoid oscillations
    // We implement the "BOLA-O" variant: when network bandwidth lies between two encoded bitrate levels, stick to the lowest level.
    const representationForThroughput = abrController.getOptimalRepresentationForBitrate(mediaInfo, safeThroughput, true);
    if (representation.absoluteIndex > bolaState.currentRepresentation.absoluteIndex && representation.absoluteIndex > representationForThroughput.absoluteIndex) {
      // only intervene if we are trying to *increase* quality to an *unsustainable* level
      // we are only avoid oscillations - do not drop below last quality
      representation = representationForThroughput.absoluteIndex > bolaState.currentRepresentation.absoluteIndex ? representationForThroughput : bolaState.currentRepresentation;
    }

    // We do not want to overfill buffer with low quality chunks.
    // Note that there will be no delay if buffer level is below MINIMUM_BUFFER_S, probably even with some margin higher than MINIMUM_BUFFER_S.
    let delayS = Math.max(0, bufferLevel + bolaState.placeholderBuffer - _maxBufferLevelForRepresentation(bolaState, representation));

    // First reduce placeholder buffer, then tell schedule controller to pause.
    if (delayS <= bolaState.placeholderBuffer) {
      bolaState.placeholderBuffer -= delayS;
      delayS = 0;
    } else {
      delayS -= bolaState.placeholderBuffer;
      bolaState.placeholderBuffer = 0;
      if (!abrController.isPlayingAtTopQuality(representation)) {
        // At top quality, allow schedule controller to decide how far to fill buffer.
        scheduleController.setTimeToLoadDelay(1000 * delayS);
      } else {
        delayS = 0;
      }
    }
    switchRequest.representation = representation;
    switchRequest.reason.throughput = safeThroughput;
    switchRequest.reason.bufferLevel = bufferLevel;
    switchRequest.reason.placeholderBuffer = bolaState.placeholderBuffer;
    switchRequest.reason.delay = delayS;
    bolaState.currentRepresentation = representation;
  }

  /**
   * Bad state we should not have arrived here. Try to recover.
   * @param switchRequest
   * @param rulesContext
   * @param bolaState
   */
  function _handleBolaStateBad(switchRequest, rulesContext, bolaState) {
    logger.debug('BOLA ABR rule invoked in bad state.');
    const mediaInfo = rulesContext.getMediaInfo();
    const mediaType = rulesContext.getMediaType();
    const throughputController = rulesContext.getThroughputController();
    const safeThroughput = throughputController.getSafeAverageThroughput(mediaType);
    switchRequest.representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, safeThroughput, true);
    switchRequest.reason.state = bolaState.state;
    switchRequest.reason.throughput = safeThroughput;
    bolaState.state = BOLA_STATE_STARTUP;
    _clearBolaStateOnSeek(bolaState);
  }
  function getSwitchRequest(rulesContext) {
    try {
      const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
      const scheduleController = rulesContext.getScheduleController();
      scheduleController.setTimeToLoadDelay(0);
      switchRequest.rule = this.getClassName();
      switchRequest.reason = switchRequest.reason || {};
      const bolaState = _getBolaState(rulesContext);
      switchRequest.reason.state = bolaState.state;
      switch (bolaState.state) {
        case BOLA_STATE_ONE_BITRATE:
          break;
        case BOLA_STATE_STARTUP:
          _handleBolaStateStartup(switchRequest, rulesContext, bolaState);
          break;
        case BOLA_STATE_STEADY:
          _handleBolaStateSteady(switchRequest, rulesContext, bolaState);
          break;
        default:
          _handleBolaStateBad(switchRequest, rulesContext, bolaState);
          break;
      }
      return switchRequest;
    } catch (e) {
      logger.error(e);
      return (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    }
  }
  function _getBolaState(rulesContext) {
    const mediaType = rulesContext.getMediaType();
    const streamId = rulesContext.getStreamInfo().id;
    if (!bolaStateDict[streamId]) {
      bolaStateDict = {};
      bolaStateDict[streamId] = {};
    }
    let bolaState = bolaStateDict[streamId][mediaType];
    if (!bolaState) {
      bolaState = _getInitialBolaState(rulesContext);
      bolaStateDict[streamId][mediaType] = bolaState;
    } else if (bolaState.state !== BOLA_STATE_ONE_BITRATE) {
      _checkBolaStateBufferTimeDefault(bolaState, mediaType);
    }
    return bolaState;
  }
  function resetInitialSettings() {
    bolaStateDict = {};
  }
  function reset() {
    resetInitialSettings();
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].BUFFER_EMPTY, _onBufferEmpty, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].METRIC_ADDED, _onMetricAdded, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].QUALITY_CHANGE_REQUESTED, _onQualityChangeRequested, instance);
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].FRAGMENT_LOADING_ABANDONED, _onFragmentLoadingAbandoned, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_MAX_BITRATE, _onMinMaxBitrateUpdated, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].SETTING_UPDATED_MIN_BITRATE, _onMinMaxBitrateUpdated, instance);
  }
  instance = {
    getSwitchRequest,
    handleNewMediaInfo,
    reset
  };
  setup();
  return instance;
}
BolaRule.__dashjs_factory_name = 'BolaRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(BolaRule));

/***/ }),

/***/ "./src/streaming/rules/abr/DroppedFramesRule.js":
/*!******************************************************!*\
  !*** ./src/streaming/rules/abr/DroppedFramesRule.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/Settings.js */ "./src/core/Settings.js");



function DroppedFramesRule() {
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let instance;
  function getSwitchRequest(rulesContext) {
    const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    switchRequest.rule = this.getClassName();
    if (!rulesContext || !rulesContext.hasOwnProperty('getDroppedFramesHistory')) {
      return switchRequest;
    }
    const droppedFramesHistory = rulesContext.getDroppedFramesHistory();
    if (!droppedFramesHistory) {
      return switchRequest;
    }
    const streamId = rulesContext.getStreamInfo().id;
    const mediaInfo = rulesContext.getMediaInfo();
    const abrController = rulesContext.getAbrController();
    const droppedFramesHistoryData = droppedFramesHistory.getFrameHistory(streamId);
    if (!droppedFramesHistoryData || Object.keys(droppedFramesHistoryData).length === 0) {
      return switchRequest;
    }
    let droppedFrames = 0;
    let totalFrames = 0;
    const representations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
    let newRepresentation = null;

    //No point in measuring dropped frames for the first index.
    for (let i = 1; i < representations.length; i++) {
      const currentRepresentation = representations[i];
      if (currentRepresentation && droppedFramesHistoryData[currentRepresentation.id]) {
        droppedFrames = droppedFramesHistoryData[currentRepresentation.id].droppedVideoFrames;
        totalFrames = droppedFramesHistoryData[currentRepresentation.id].totalVideoFrames;
        if (totalFrames > settings.get().streaming.abr.rules.droppedFramesRule.parameters.minimumSampleSize && droppedFrames / totalFrames > settings.get().streaming.abr.rules.droppedFramesRule.parameters.droppedFramesPercentageThreshold) {
          newRepresentation = representations[i - 1];
          break;
        }
      }
    }
    if (newRepresentation) {
      switchRequest.representation = newRepresentation;
      switchRequest.reason = {
        droppedFrames,
        message: `[DroppedFramesRule]: Switching to index ${newRepresentation.absoluteIndex}. Dropped Frames: ${droppedFrames}, Total Frames: ${totalFrames}`
      };
    }
    return switchRequest;
  }
  instance = {
    getSwitchRequest
  };
  return instance;
}
DroppedFramesRule.__dashjs_factory_name = 'DroppedFramesRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(DroppedFramesRule));

/***/ }),

/***/ "./src/streaming/rules/abr/InsufficientBufferRule.js":
/*!***********************************************************!*\
  !*** ./src/streaming/rules/abr/InsufficientBufferRule.js ***!
  \***********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../core/Settings.js */ "./src/core/Settings.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









function InsufficientBufferRule(config) {
  config = config || {};
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  const dashMetrics = config.dashMetrics;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance();
  let instance, logger, bufferStateDict;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
    eventBus.on(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].BYTES_APPENDED_END_FRAGMENT, _onBytesAppended, instance);
  }

  /**
   * If a BUFFER_EMPTY event happens, then InsufficientBufferRule returns switchRequest. Quality=0 until BUFFER_LOADED happens.
   * Otherwise, InsufficientBufferRule gives a maximum bitrate depending on throughput and bufferLevel such that
   * a whole fragment can be downloaded before the buffer runs out, subject to a conservative safety factor of 0.5.
   * If the bufferLevel is low, then InsufficientBufferRule avoids rebuffering risk.
   * If the bufferLevel is high, then InsufficientBufferRule give a high MaxIndex allowing other rules to take over.
   * @param rulesContext
   * @return {object}
   */
  function getSwitchRequest(rulesContext) {
    const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create();
    switchRequest.rule = this.getClassName();
    if (!rulesContext || !rulesContext.hasOwnProperty('getMediaType')) {
      return switchRequest;
    }
    const mediaType = rulesContext.getMediaType();
    const currentBufferState = dashMetrics.getCurrentBufferState(mediaType);
    const voRepresentation = rulesContext.getRepresentation();
    const fragmentDuration = voRepresentation.fragmentDuration;
    const scheduleController = rulesContext.getScheduleController();
    const playbackController = scheduleController.getPlaybackController();
    if (!_shouldExecuteRule(playbackController, mediaType, fragmentDuration)) {
      return switchRequest;
    }
    const mediaInfo = rulesContext.getMediaInfo();
    const abrController = rulesContext.getAbrController();
    if (currentBufferState && currentBufferState.state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].BUFFER_EMPTY) {
      logger.debug('[' + mediaType + '] Switch to index 0; buffer is empty.');
      switchRequest.representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, 0, true);
      switchRequest.reason = {
        message: '[InsufficientBufferRule]: Switching to lowest Representation because buffer is empty'
      };
    } else {
      const throughputController = rulesContext.getThroughputController();
      const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType);
      const throughput = throughputController.getAverageThroughput(mediaType, null, NaN);
      const safeThroughput = throughput * settings.get().streaming.abr.rules.insufficientBufferRule.parameters.throughputSafetyFactor;
      const bitrate = safeThroughput * bufferLevel / fragmentDuration;
      if (isNaN(bitrate) || bitrate <= 0) {
        return switchRequest;
      }
      switchRequest.representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, bitrate, true);
      switchRequest.reason = {
        message: '[InsufficientBufferRule]: Limiting maximum bitrate to avoid a buffer underrun.',
        bitrate
      };
    }
    return switchRequest;
  }
  function _shouldExecuteRule(playbackController, mediaType, fragmentDuration) {
    const lowLatencyEnabled = playbackController.getLowLatencyModeEnabled();
    return !lowLatencyEnabled && bufferStateDict[mediaType].ignoreCount <= 0 && fragmentDuration;
  }
  function _resetInitialSettings() {
    const segmentIgnoreCount = settings.get().streaming.abr.rules.insufficientBufferRule.parameters.segmentIgnoreCount;
    bufferStateDict = {};
    bufferStateDict[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].VIDEO] = {
      ignoreCount: segmentIgnoreCount
    };
    bufferStateDict[_constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].AUDIO] = {
      ignoreCount: segmentIgnoreCount
    };
  }
  function _onPlaybackSeeking() {
    _resetInitialSettings();
  }
  function _onBytesAppended(e) {
    if (!isNaN(e.startTime) && (e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].AUDIO || e.mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_5__["default"].VIDEO)) {
      if (bufferStateDict[e.mediaType].ignoreCount > 0) {
        bufferStateDict[e.mediaType].ignoreCount--;
      }
    }
  }
  function reset() {
    _resetInitialSettings();
    eventBus.off(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_7__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].BYTES_APPENDED_END_FRAGMENT, _onBytesAppended, instance);
  }
  instance = {
    getSwitchRequest,
    reset
  };
  setup();
  return instance;
}
InsufficientBufferRule.__dashjs_factory_name = 'InsufficientBufferRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(InsufficientBufferRule));

/***/ }),

/***/ "./src/streaming/rules/abr/L2ARule.js":
/*!********************************************!*\
  !*** ./src/streaming/rules/abr/L2ARule.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2020, Unified Streaming.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

// For a description of the Learn2Adapt-LowLatency (L2A-LL) bitrate adaptation algorithm, see https://github.com/unifiedstreaming/Learn2Adapt-LowLatency/blob/master/Online_learning_for_bitrate_adaptation_in_low_latency_live_streaming_CR.pdf









const L2A_STATE_ONE_BITRATE = 'L2A_STATE_ONE_BITRATE'; // If there is only one bitrate (or initialization failed), always return NO_CHANGE.
const L2A_STATE_STARTUP = 'L2A_STATE_STARTUP'; // Set placeholder buffer such that we download fragments at most recently measured throughput.
const L2A_STATE_STEADY = 'L2A_STATE_STEADY'; // Buffer primed, we switch to steady operation.
const HORIZON = 4; // Optimization horizon (The amount of steps required to achieve convergence)
const VL = Math.pow(HORIZON, 0.99); // Cautiousness parameter, used to control aggressiveness of the bitrate decision process.
const REACT = 2;
function L2ARule(config) {
  config = config || {};
  const context = this.context;
  const dashMetrics = config.dashMetrics;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let instance, l2AStateDict, l2AParameterDict, logger;

  /**
   * Setup function to initialize L2ARule
   */
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].METRIC_ADDED, _onMetricAdded, instance);
  }

  /**
   * Sets the initial state of the algorithm. Calls the initialize function for the paramteters.
   * @param {object} rulesContext
   * @return {object} initialState
   * @private
   */
  function _getInitialL2AState(rulesContext) {
    const initialState = {};
    const mediaInfo = rulesContext.getMediaInfo();
    initialState.state = L2A_STATE_STARTUP;
    initialState.currentRepresentation = null;
    _initializeL2AParameters(mediaInfo);
    _clearL2AStateOnSeek(initialState);
    return initialState;
  }

  /**
   * Initializes the parameters of the algorithm. This will be done once for each media type.
   * @param {object} mediaInfo
   * @private
   */
  function _initializeL2AParameters(mediaInfo) {
    if (!mediaInfo || !mediaInfo.type) {
      return;
    }
    l2AParameterDict[mediaInfo.type] = {};
    l2AParameterDict[mediaInfo.type].w = []; //Vector of probabilities associated with bitrate decisions
    l2AParameterDict[mediaInfo.type].prev_w = []; //Vector of probabilities associated with bitrate decisions calculated in the previous step
    l2AParameterDict[mediaInfo.type].Q = 0; //Initialization of Lagrangian multiplier (This keeps track of the buffer displacement)
    l2AParameterDict[mediaInfo.type].segment_request_start_s = 0;
    l2AParameterDict[mediaInfo.type].segment_download_finish_s = 0;
    l2AParameterDict[mediaInfo.type].B_target = 1.5; //Target buffer level
  }

  /**
   * Clears the state object
   * @param {object} l2AState
   * @private
   */
  function _clearL2AStateOnSeek(l2AState) {
    l2AState.placeholderBuffer = 0;
    l2AState.mostAdvancedSegmentStart = NaN;
    l2AState.lastSegmentWasReplacement = false;
    l2AState.lastSegmentStart = NaN;
    l2AState.lastSegmentDurationS = NaN;
    l2AState.lastSegmentRequestTimeMs = NaN;
    l2AState.lastSegmentFinishTimeMs = NaN;
    l2AState.lastSegmentUrl = '';
  }

  /**
   * Returns the state object for a fiven media type. If the state object is not yet defined _getInitialL2AState is called
   * @param {object} rulesContext
   * @return {object} l2AState
   * @private
   */
  function _getL2AState(rulesContext) {
    const mediaType = rulesContext.getMediaType();
    let l2AState = l2AStateDict[mediaType];
    if (!l2AState) {
      l2AState = _getInitialL2AState(rulesContext);
      l2AStateDict[mediaType] = l2AState;
    }
    return l2AState;
  }

  /**
   * Event handler for the seeking event.
   * @private
   */
  function _onPlaybackSeeking() {
    for (const mediaType in l2AStateDict) {
      if (l2AStateDict.hasOwnProperty(mediaType)) {
        const l2aState = l2AStateDict[mediaType];
        if (l2aState.state !== L2A_STATE_ONE_BITRATE) {
          l2aState.state = L2A_STATE_STARTUP;
          _clearL2AStateOnSeek(l2aState);
        }
      }
    }
  }

  /**
   * Event handler for the mediaFragmentLoaded event
   * @param {object} e
   * @private
   */
  function _onMediaFragmentLoaded(e) {
    if (e && e.chunk && e.chunk.representation && e.chunk.representation.mediaInfo) {
      const l2AState = l2AStateDict[e.chunk.representation.mediaInfo.type];
      const l2AParameters = l2AParameterDict[e.chunk.representation.mediaInfo.type];
      if (l2AState && l2AState.state !== L2A_STATE_ONE_BITRATE) {
        const start = e.chunk.start;
        if (isNaN(l2AState.mostAdvancedSegmentStart) || start > l2AState.mostAdvancedSegmentStart) {
          l2AState.mostAdvancedSegmentStart = start;
          l2AState.lastSegmentWasReplacement = false;
        } else {
          l2AState.lastSegmentWasReplacement = true;
        }
        l2AState.lastSegmentStart = start;
        l2AState.lastSegmentDurationS = e.chunk.duration;
        l2AState.currentRepresentation = e.chunk.representation;
        _checkNewSegment(l2AState, l2AParameters);
      }
    }
  }

  /**
   * Event handler for the metricAdded event
   * @param {object} e
   * @private
   */
  function _onMetricAdded(e) {
    if (e && e.metric === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].HTTP_REQUEST && e.value && e.value.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__.HTTPRequest.MEDIA_SEGMENT_TYPE && e.value.trace && e.value.trace.length) {
      const l2AState = l2AStateDict[e.mediaType];
      const l2AParameters = l2AParameterDict[e.mediaType];
      if (l2AState && l2AState.state !== L2A_STATE_ONE_BITRATE) {
        l2AState.lastSegmentRequestTimeMs = e.value.trequest.getTime();
        l2AState.lastSegmentFinishTimeMs = e.value._tfinish.getTime();
        _checkNewSegment(l2AState, l2AParameters);
      }
    }
  }

  /**
   * When a new metric has been added or a media fragment has been loaded the state is adjusted accordingly
   * @param {object} L2AState
   * @param {object} l2AParameters
   * @private
   */
  function _checkNewSegment(L2AState, l2AParameters) {
    if (!isNaN(L2AState.lastSegmentStart) && !isNaN(L2AState.lastSegmentRequestTimeMs)) {
      l2AParameters.segment_request_start_s = 0.001 * L2AState.lastSegmentRequestTimeMs;
      l2AParameters.segment_download_finish_s = 0.001 * L2AState.lastSegmentFinishTimeMs;
      L2AState.lastSegmentStart = NaN;
      L2AState.lastSegmentRequestTimeMs = NaN;
    }
  }

  /**
   * Dot multiplication of two arrays
   * @param {array} arr1
   * @param {array} arr2
   * @return {number} sumdot
   * @private
   */

  function _dotmultiplication(arr1, arr2) {
    if (arr1.length !== arr2.length) {
      return -1;
    }
    let sumdot = 0;
    for (let i = 0; i < arr1.length; i++) {
      sumdot = sumdot + arr1[i] * arr2[i];
    }
    return sumdot;
  }

  /**
   * Project an n-dim vector y to the simplex Dn
   * Dn = { x : x n-dim, 1 >= x >= 0, sum(x) = 1}
   * Algorithm is explained at http://arxiv.org/abs/1101.6081
   * @param {array} arr
   * @return {array}
   */
  function euclideanProjection(arr) {
    const m = arr.length;
    let bget = false;
    let arr2 = [];
    for (let ii = 0; ii < m; ++ii) {
      arr2[ii] = arr[ii];
    }
    let s = arr.sort(function (a, b) {
      return b - a;
    });
    let tmpsum = 0;
    let tmax = 0;
    let x = [];
    for (let ii = 0; ii < m - 1; ++ii) {
      tmpsum = tmpsum + s[ii];
      tmax = (tmpsum - 1) / (ii + 1);
      if (tmax >= s[ii + 1]) {
        bget = true;
        break;
      }
    }
    if (!bget) {
      tmax = (tmpsum + s[m - 1] - 1) / m;
    }
    for (let ii = 0; ii < m; ++ii) {
      x[ii] = Math.max(arr2[ii] - tmax, 0);
    }
    return x;
  }

  /**
   *
   * @param rulesContext
   * @param switchRequest
   * @param l2AState
   * @private
   */
  function _handleStartupState(rulesContext, switchRequest, l2AState) {
    const mediaInfo = rulesContext.getMediaInfo();
    const mediaType = rulesContext.getMediaType();
    const throughputController = rulesContext.getThroughputController();
    const safeThroughput = throughputController.getSafeAverageThroughput(mediaType);
    if (isNaN(safeThroughput)) {
      // still starting up - not enough information
      return switchRequest;
    }
    const abrController = rulesContext.getAbrController();
    const representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, safeThroughput, true); //During strat-up phase abr.controller is responsible for bitrate decisions.
    const bufferLevel = dashMetrics.getCurrentBufferLevel(mediaType, true);
    const l2AParameter = l2AParameterDict[mediaType];
    const possibleRepresentations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
    switchRequest.representation = representation;
    switchRequest.reason.throughput = safeThroughput;
    l2AState.currentRepresentation = representation;
    if (!isNaN(l2AState.lastSegmentDurationS) && bufferLevel >= l2AParameter.B_target) {
      l2AState.state = L2A_STATE_STEADY;
      l2AParameter.Q = VL; // Initialization of Q langrangian multiplier
      // Update of probability vector w, to be used in main adaptation logic of L2A below (steady state)
      for (let i = 0; i < possibleRepresentations.length; ++i) {
        const rep = possibleRepresentations[i];
        if (rep.id === l2AState.currentRepresentation.id) {
          l2AParameter.prev_w[i] = 1;
        } else {
          l2AParameter.prev_w[i] = 0;
        }
      }
    }
  }
  function _handleSteadyState(rulesContext, switchRequest, l2AState) {
    let diff1 = []; //Used to calculate the difference between consecutive decisions (w-w_prev)
    const throughputController = rulesContext.getThroughputController();
    const mediaType = rulesContext.getMediaType();
    let lastThroughput = throughputController.getAverageThroughput(mediaType, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_7__["default"].THROUGHPUT_CALCULATION_MODES.ARITHMETIC_MEAN, 1);
    let currentHttpRequest = dashMetrics.getCurrentHttpRequest(mediaType);
    let selectedRepresentation = null;
    const l2AParameter = l2AParameterDict[mediaType];

    //To avoid division with 0 (avoid infinity) in case of an absolute network outage
    if (lastThroughput < 1) {
      lastThroughput = 1;
    }

    // Note that for SegmentBase addressing the request url does not change.
    // As this is not relevant for low latency streaming at this point the check below is sufficient
    if (currentHttpRequest.url === l2AState.lastSegmentUrl || currentHttpRequest.type === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_3__.HTTPRequest.INIT_SEGMENT_TYPE) {
      // No change to inputs or init segment so use previously calculated quality
      selectedRepresentation = l2AState.currentRepresentation;
    } else {
      // Recalculate Q
      let V = l2AState.lastSegmentDurationS;
      let sign = 1;

      //Main adaptation logic of L2A-LL
      const abrController = rulesContext.getAbrController();
      const mediaInfo = rulesContext.getMediaInfo();
      const possibleRepresentations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
      const videoModel = rulesContext.getVideoModel();
      let currentPlaybackRate = videoModel.getPlaybackRate();
      const alpha = Math.max(Math.pow(HORIZON, 1), VL * Math.sqrt(HORIZON)); // Step size, used for gradient descent exploration granularity
      for (let i = 0; i < possibleRepresentations.length; ++i) {
        const rep = possibleRepresentations[i];

        // In this case buffer would deplete, leading to a stall, which increases latency and thus the particular probability of selection of bitrate[i] should be decreased.
        if (currentPlaybackRate * rep.bitrateInKbit > lastThroughput) {
          sign = -1;
        }

        // The objective of L2A is to minimize the overall latency=request-response time + buffer length after download+ potential stalling (if buffer less than chunk downlad time)
        l2AParameter.w[i] = l2AParameter.prev_w[i] + sign * (V / (2 * alpha)) * ((l2AParameter.Q + VL) * (currentPlaybackRate * rep.bitrateInKbit / lastThroughput)); //Lagrangian descent
      }

      // Apply euclidean projection on w to ensure w expresses a probability distribution
      l2AParameter.w = euclideanProjection(l2AParameter.w);
      for (let i = 0; i < possibleRepresentations.length; ++i) {
        diff1[i] = l2AParameter.w[i] - l2AParameter.prev_w[i];
        l2AParameter.prev_w[i] = l2AParameter.w[i];
      }

      // Lagrangian multiplier Q calculation:
      const bitrates = possibleRepresentations.map(rep => {
        return rep.bandwidth;
      });
      l2AParameter.Q = Math.max(0, l2AParameter.Q - V + V * currentPlaybackRate * ((_dotmultiplication(bitrates, l2AParameter.prev_w) + _dotmultiplication(bitrates, diff1)) / lastThroughput));

      // Quality is calculated as argmin of the absolute difference between available bitrates (bitrates[i]) and bitrate estimation (dotmultiplication(w,bitrates)).
      let temp = [];
      for (let i = 0; i < bitrates.length; ++i) {
        temp[i] = Math.abs(bitrates[i] - _dotmultiplication(l2AParameter.w, bitrates));
      }

      // Quality is calculated based on the probability distribution w (the output of L2A)
      const absoluteIndex = temp.indexOf(Math.min(...temp));
      selectedRepresentation = abrController.getRepresentationByAbsoluteIndex(absoluteIndex, mediaInfo, true);

      // We employ a cautious -stepwise- ascent
      if (selectedRepresentation.absoluteIndex > l2AState.currentRepresentation.absoluteIndex) {
        if (bitrates[l2AState.currentRepresentation.absoluteIndex + 1] <= lastThroughput) {
          selectedRepresentation = abrController.getRepresentationByAbsoluteIndex(l2AState.currentRepresentation.absoluteIndex + 1, mediaInfo, true);
        }
      }

      // Provision against bitrate over-estimation, by re-calibrating the Lagrangian multiplier Q, to be taken into account for the next chunk
      if (selectedRepresentation.bitrateInKbit >= lastThroughput) {
        l2AParameter.Q = REACT * Math.max(VL, l2AParameter.Q);
      }
      l2AState.lastSegmentUrl = currentHttpRequest.url;
    }
    switchRequest.representation = selectedRepresentation;
    l2AState.currentRepresentation = switchRequest.representation;
  }
  function _handleErrorState(rulesContext, switchRequest, l2AState) {
    const abrController = rulesContext.getAbrController();
    const mediaInfo = rulesContext.getMediaInfo();
    const mediaType = rulesContext.getMediaType();
    const throughputController = rulesContext.getThroughputController();
    const safeThroughput = throughputController.getSafeAverageThroughput(mediaType);
    switchRequest.representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, safeThroughput, true); //During strat-up phase abr.controller is responsible for bitrate decisions.
    switchRequest.reason.throughput = safeThroughput;
    l2AState.state = L2A_STATE_STARTUP;
    _clearL2AStateOnSeek(l2AState);
  }

  /**
   * Returns a switch request object indicating which quality is to be played
   * @param {object} rulesContext
   * @return {object}
   */
  function getSwitchRequest(rulesContext) {
    try {
      const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
      switchRequest.rule = this.getClassName();
      const mediaType = rulesContext.getMediaType();
      const scheduleController = rulesContext.getScheduleController();
      switchRequest.reason = switchRequest.reason || {};

      // L2A decides bitrate only for video. Audio to be included in decision process in a later stage
      if (mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO) {
        return switchRequest;
      }
      scheduleController.setTimeToLoadDelay(0);
      const l2AState = _getL2AState(rulesContext);
      const l2AParameter = l2AParameterDict[mediaType];
      if (!l2AParameter) {
        return switchRequest;
      }
      switchRequest.reason.state = l2AState.state;
      switch (l2AState.state) {
        case L2A_STATE_ONE_BITRATE:
          break;
        case L2A_STATE_STARTUP:
          _handleStartupState(rulesContext, switchRequest, l2AState);
          break;
        case L2A_STATE_STEADY:
          _handleSteadyState(rulesContext, switchRequest, l2AState);
          break;
        default:
          _handleErrorState(rulesContext, switchRequest, l2AState);
      }
      return switchRequest;
    } catch (e) {
      logger.error(e);
      return (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    }
  }

  /**
   * Reset objects to their initial state
   * @private
   */
  function _resetInitialSettings() {
    l2AStateDict = {};
    l2AParameterDict = {};
  }

  /**
   * Reset the rule
   */
  function reset() {
    _resetInitialSettings();
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].MEDIA_FRAGMENT_LOADED, _onMediaFragmentLoaded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_5__["default"].METRIC_ADDED, _onMetricAdded, instance);
  }
  instance = {
    getSwitchRequest,
    reset
  };
  setup();
  return instance;
}
L2ARule.__dashjs_factory_name = 'L2ARule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(L2ARule));

/***/ }),

/***/ "./src/streaming/rules/abr/SwitchHistoryRule.js":
/*!******************************************************!*\
  !*** ./src/streaming/rules/abr/SwitchHistoryRule.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/Settings.js */ "./src/core/Settings.js");



function SwitchHistoryRule() {
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let instance;
  function getSwitchRequest(rulesContext) {
    const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    switchRequest.rule = this.getClassName();
    if (!rulesContext) {
      return switchRequest;
    }
    const streamId = rulesContext.getStreamInfo().id;
    const mediaType = rulesContext.getMediaType();
    const switchRequestHistory = rulesContext ? rulesContext.getSwitchRequestHistory() : null;
    const switchRequests = switchRequestHistory ? switchRequestHistory.getSwitchRequests(streamId, mediaType) : {};
    const abrController = rulesContext.getAbrController();
    const mediaInfo = rulesContext.getMediaInfo();
    const representations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
    let drops = 0;
    let noDrops = 0;
    for (let i = 0; i < representations.length; i++) {
      const currentPossibleRepresentation = representations[i];
      if (currentPossibleRepresentation && switchRequests[currentPossibleRepresentation.id]) {
        drops += switchRequests[currentPossibleRepresentation.id].drops;
        noDrops += switchRequests[currentPossibleRepresentation.id].noDrops;
        if (drops + noDrops >= settings.get().streaming.abr.rules.switchHistoryRule.parameters.sampleSize && drops / noDrops > settings.get().streaming.abr.rules.switchHistoryRule.parameters.switchPercentageThreshold) {
          switchRequest.representation = i > 0 && switchRequests[currentPossibleRepresentation.id].drops > 0 ? representations[i - 1] : currentPossibleRepresentation;
          switchRequest.reason = {
            drops: drops,
            noDrops: noDrops,
            message: `[SwitchHistoryRule]: Switch to index: ${switchRequest.representation.absoluteIndex} samples: ${drops + noDrops} drops:  ${drops}`
          };
          break;
        }
      }
    }
    return switchRequest;
  }
  instance = {
    getSwitchRequest
  };
  return instance;
}
SwitchHistoryRule.__dashjs_factory_name = 'SwitchHistoryRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(SwitchHistoryRule));

/***/ }),

/***/ "./src/streaming/rules/abr/ThroughputRule.js":
/*!***************************************************!*\
  !*** ./src/streaming/rules/abr/ThroughputRule.js ***!
  \***************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function ThroughputRule(config) {
  config = config || {};
  const context = this.context;
  const dashMetrics = config.dashMetrics;
  let instance, logger;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance().getLogger(instance);
  }
  function getSwitchRequest(rulesContext) {
    try {
      const switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
      switchRequest.rule = this.getClassName();
      const mediaInfo = rulesContext.getMediaInfo();
      const mediaType = rulesContext.getMediaType();
      const currentBufferState = dashMetrics.getCurrentBufferState(mediaType);
      const scheduleController = rulesContext.getScheduleController();
      const abrController = rulesContext.getAbrController();
      const streamInfo = rulesContext.getStreamInfo();
      const streamId = streamInfo ? streamInfo.id : null;
      const isDynamic = streamInfo && streamInfo.manifestInfo ? streamInfo.manifestInfo.isDynamic : null;
      const throughputController = rulesContext.getThroughputController();
      const throughput = throughputController.getSafeAverageThroughput(mediaType);
      const latency = throughputController.getAverageLatency(mediaType);
      if (isNaN(throughput) || !currentBufferState) {
        return switchRequest;
      }
      if (abrController.getAbandonmentStateFor(streamId, mediaType) === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ALLOW_LOAD) {
        if (currentBufferState.state === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].BUFFER_LOADED || isDynamic) {
          switchRequest.representation = abrController.getOptimalRepresentationForBitrate(mediaInfo, throughput, true);
          switchRequest.reason = {
            throughput,
            latency,
            message: `[ThroughputRule]: Switching to Representation with bitrate ${switchRequest.representation ? switchRequest.representation.bitrateInKbit : 'n/a'} kbit/s. Throughput: ${throughput}`
          };
          scheduleController.setTimeToLoadDelay(0);
        }
      }
      return switchRequest;
    } catch (e) {
      logger.error(e);
      return (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    }
  }
  function reset() {
    // no persistent information to reset
  }
  instance = {
    getSwitchRequest,
    reset
  };
  setup();
  return instance;
}
ThroughputRule.__dashjs_factory_name = 'ThroughputRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(ThroughputRule));

/***/ }),

/***/ "./src/streaming/rules/abr/lolp/LearningAbrController.js":
/*!***************************************************************!*\
  !*** ./src/streaming/rules/abr/lolp/LearningAbrController.js ***!
  \***************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Authors:
 * Abdelhak Bentaleb | National University of Singapore | bentaleb@comp.nus.edu.sg
 * Mehmet N. Akcay | Ozyegin University | necmettin.akcay@ozu.edu.tr
 * May Lim | National University of Singapore | maylim@comp.nus.edu.sg
 */



const WEIGHT_SELECTION_MODES = {
  MANUAL: 'manual_weight_selection',
  RANDOM: 'random_weight_selection',
  DYNAMIC: 'dynamic_weight_selection'
};
function LearningAbrController() {
  const context = this.context;
  let instance, logger, somBitrateNeurons, bitrateNormalizationFactor, latencyNormalizationFactor, minBitrate, weights, sortedCenters, weightSelectionMode;

  /**
   * Setup the class
   */
  function _setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    _resetInitialSettings();
  }

  /**
   * Reset all values
   */
  function reset() {
    _resetInitialSettings();
  }

  /**
   * Reset to initial settings
   * @private
   */
  function _resetInitialSettings() {
    somBitrateNeurons = null;
    bitrateNormalizationFactor = 1;
    latencyNormalizationFactor = 100;
    minBitrate = 0;
    weights = null;
    sortedCenters = null;
    weightSelectionMode = WEIGHT_SELECTION_MODES.DYNAMIC;
  }

  /**
   * Returns the maximum throughput
   * @return {number}
   * @private
   */
  function _getMaxThroughput() {
    let maxThroughput = 0;
    if (somBitrateNeurons) {
      for (let i = 0; i < somBitrateNeurons.length; i++) {
        let neuron = somBitrateNeurons[i];
        if (neuron.state.throughput > maxThroughput) {
          maxThroughput = neuron.state.throughput;
        }
      }
    }
    return maxThroughput;
  }

  /**
   *
   * @param {array} w
   * @return {number}
   * @private
   */
  function _getMagnitude(w) {
    const magnitude = w.map(x => Math.pow(x, 2)).reduce((sum, now) => sum + now);
    return Math.sqrt(magnitude);
  }

  /**
   *
   * @param {array} a
   * @param {array} b
   * @param {array} w
   * @return {number}
   * @private
   */
  function _getDistance(a, b, w) {
    let sum = a.map((x, i) => w[i] * Math.pow(x - b[i], 2)) // square the difference*w
    .reduce((sum, now) => sum + now); // sum
    let sign = sum < 0 ? -1 : 1;
    return sign * Math.sqrt(Math.abs(sum));
  }

  /**
   *
   * @param {object} a
   * @param {object} b
   * @return {number}
   * @private
   */
  function _getNeuronDistance(a, b) {
    let aState = [a.state.throughput, a.state.latency, a.state.rebuffer, a.state.switch];
    let bState = [b.state.throughput, b.state.latency, b.state.rebuffer, b.state.switch];
    return _getDistance(aState, bState, [1, 1, 1, 1]);
  }

  /**
   *
   * @param {object} winnerNeuron
   * @param {array} somElements
   * @param {array} x
   * @private
   */
  function _updateNeurons(winnerNeuron, x) {
    for (let i = 0; i < somBitrateNeurons.length; i++) {
      let somNeuron = somBitrateNeurons[i];
      let sigma = 0.1;
      const neuronDistance = _getNeuronDistance(somNeuron, winnerNeuron);
      let neighbourHood = Math.exp(-1 * Math.pow(neuronDistance, 2) / (2 * Math.pow(sigma, 2)));
      _updateNeuronState(somNeuron, x, neighbourHood);
    }
  }

  /**
   *
   * @param {object} neuron
   * @param {array} x
   * @param {object} neighbourHood
   * @private
   */
  function _updateNeuronState(neuron, x, neighbourHood) {
    let state = neuron.state;
    let w = [0.01, 0.01, 0.01, 0.01]; // learning rate

    state.throughput = state.throughput + (x[0] - state.throughput) * w[0] * neighbourHood;
    state.latency = state.latency + (x[1] - state.latency) * w[1] * neighbourHood;
    state.rebuffer = state.rebuffer + (x[2] - state.rebuffer) * w[2] * neighbourHood;
    state.switch = state.switch + (x[3] - state.switch) * w[3] * neighbourHood;
  }

  /**
   *
   * @param {object} currentNeuron
   * @param {number} currentThroughput
   * @return {object}
   * @private
   */
  function _getDownShiftNeuron(currentNeuron, currentThroughput) {
    let maxSuitableBitrate = 0;
    let result = currentNeuron;
    if (somBitrateNeurons) {
      for (let i = 0; i < somBitrateNeurons.length; i++) {
        let n = somBitrateNeurons[i];
        if (n.representation.bandwidth < currentNeuron.representation.bandwidth && n.representation.bandwidth > maxSuitableBitrate && currentThroughput > n.representation.bandwidth) {
          // possible downshiftable neuron
          maxSuitableBitrate = n.representation.bandwidth;
          result = n;
        }
      }
    }
    return result;
  }

  /**
   *
   * @param {object} abrController
   * @param {object} mediaInfo
   * @param {number} throughput
   * @param {number} latency
   * @param {number} currentBufferLevel
   * @param {number} playbackRate
   * @param {object} currentRepresentation
   * @param {object} dynamicWeightsSelector
   * @return {null|*}
   */
  function getNextQuality(abrController, mediaInfo, throughput, latency, currentBufferLevel, playbackRate, currentRepresentation, dynamicWeightsSelector) {
    // For Dynamic Weights Selector
    let currentLatency = latency;
    let currentThroughput = throughput;
    _setSomBitrateNeurons(mediaInfo, abrController);
    // normalize throughput
    let throughputNormalized = throughput / bitrateNormalizationFactor;
    // saturate values higher than 1
    if (throughputNormalized > 1) {
      throughputNormalized = _getMaxThroughput();
    }
    // normalize latency
    latency = latency / latencyNormalizationFactor;
    const targetLatency = 0;
    const targetRebufferLevel = 0;
    // 10K + video encoding is the recommended throughput
    const throughputDelta = 10000;
    let currentNeuron = somBitrateNeurons.find(entry => entry.representation.id === currentRepresentation.id);
    let downloadTime = currentNeuron.representation.bandwidth * dynamicWeightsSelector.getSegmentDuration() / currentThroughput;
    let rebuffer = Math.max(0, downloadTime - currentBufferLevel);

    // check buffer for possible stall
    if (currentBufferLevel - downloadTime < dynamicWeightsSelector.getMinBuffer()) {
      logger.debug(`Buffer is low for bitrate= ${currentNeuron.representation.bandwidth} downloadTime=${downloadTime} currentBuffer=${currentBufferLevel} rebuffer=${rebuffer}`);
      return _getDownShiftNeuron(currentNeuron, currentThroughput).representation;
    }
    switch (weightSelectionMode) {
      case WEIGHT_SELECTION_MODES.MANUAL:
        _manualWeightSelection();
        break;
      case WEIGHT_SELECTION_MODES.RANDOM:
        _randomWeightSelection();
        break;
      case WEIGHT_SELECTION_MODES.DYNAMIC:
        _dynamicWeightSelection(dynamicWeightsSelector, currentLatency, currentBufferLevel, rebuffer, currentThroughput, playbackRate);
        break;
      default:
        _dynamicWeightSelection(dynamicWeightsSelector, currentLatency, currentBufferLevel, rebuffer, currentThroughput, playbackRate);
    }
    let minDistance = null;
    let targetRepresentation = null;
    let winnerNeuron = null;
    for (let i = 0; i < somBitrateNeurons.length; i++) {
      let somNeuron = somBitrateNeurons[i];
      let somNeuronState = somNeuron.state;
      let somData = [somNeuronState.throughput, somNeuronState.latency, somNeuronState.rebuffer, somNeuronState.switch];
      let distanceWeights = weights.slice();
      let nextBuffer = dynamicWeightsSelector.getNextBufferWithBitrate(somNeuron.representation.bandwidth, currentBufferLevel, currentThroughput);
      let isBufferLow = nextBuffer < dynamicWeightsSelector.getMinBuffer();
      if (isBufferLow) {
        logger.debug(`Buffer is low for bitrate=${somNeuron.representation.bandwidth} downloadTime=${downloadTime} currentBuffer=${currentBufferLevel} nextBuffer=${nextBuffer}`);
      }
      // special condition downshift immediately
      if (somNeuron.representation.bandwidth > throughput - throughputDelta || isBufferLow) {
        if (somNeuron.representation.bandwidth !== minBitrate) {
          // encourage to pick smaller bitrates throughputWeight=100
          distanceWeights[0] = 100;
        }
      }

      // calculate the distance with the target
      let distance = _getDistance(somData, [throughputNormalized, targetLatency, targetRebufferLevel, 0], distanceWeights);
      if (minDistance === null || distance < minDistance) {
        minDistance = distance;
        targetRepresentation = somNeuron.representation;
        winnerNeuron = somNeuron;
      }
    }

    // update current neuron and the neighbourhood with the calculated QoE
    // will punish current if it is not picked
    let bitrateSwitch = Math.abs(currentNeuron.representation.bandwidth - winnerNeuron.representation.bandwidth) / bitrateNormalizationFactor;
    _updateNeurons(currentNeuron, [throughputNormalized, latency, rebuffer, bitrateSwitch]);

    // update bmu and  neighbours with targetQoE=1, targetLatency=0
    _updateNeurons(winnerNeuron, [throughputNormalized, targetLatency, targetRebufferLevel, bitrateSwitch]);
    return targetRepresentation;
  }

  /**
   * Option 1: Manual weights
   * @private
   */
  function _manualWeightSelection() {
    let throughputWeight = 0.4;
    let latencyWeight = 0.4;
    let bufferWeight = 0.4;
    let switchWeight = 0.4;
    weights = [throughputWeight, latencyWeight, bufferWeight, switchWeight]; // throughput, latency, buffer, switch
  }

  /**
   * Option 2: Random (Xavier) weights
   * @private
   */
  function _randomWeightSelection() {
    weights = _getXavierWeights(somBitrateNeurons.length, 4);
  }

  /**
   * Dynamic Weight Selector weights
   * @param {object} dynamicWeightsSelector
   * @param {array} somElements
   * @param {number} currentLatency
   * @param {number} currentBuffer
   * @param {number} rebuffer
   * @param {number} currentThroughput
   * @param {number} playbackRate
   * @private
   */
  function _dynamicWeightSelection(dynamicWeightsSelector, currentLatency, currentBuffer, rebuffer, currentThroughput, playbackRate) {
    if (!weights) {
      weights = sortedCenters[sortedCenters.length - 1];
    }
    // Dynamic Weights Selector (step 2/2: find weights)
    let weightVector = dynamicWeightsSelector.findWeightVector(somBitrateNeurons, currentLatency, currentBuffer, rebuffer, currentThroughput, playbackRate);
    if (weightVector !== null && weightVector !== -1) {
      // null: something went wrong, -1: constraints not met
      weights = weightVector;
    }
  }

  /**
   *
   * @param {number }neuronCount
   * @param {number }weightCount
   * @return {array}
   * @private
   */
  function _getXavierWeights(neuronCount, weightCount) {
    let W = [];
    let upperBound = Math.sqrt(2 / neuronCount);
    for (let i = 0; i < weightCount; i++) {
      W.push(Math.random() * upperBound);
    }
    weights = W;
    return weights;
  }

  /**
   *
   * @param {object} mediaInfo
   * @param abrController
   * @return {array}
   * @private
   */
  function _setSomBitrateNeurons(mediaInfo, abrController) {
    if (!somBitrateNeurons) {
      somBitrateNeurons = [];
      const possibleRepresentations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
      const bitrateList = possibleRepresentations.map(r => r.bandwidth);
      minBitrate = Math.min(...bitrateList);
      bitrateNormalizationFactor = _getMagnitude(bitrateList);
      possibleRepresentations.forEach(rep => {
        let neuron = {
          representation: rep,
          state: {
            // normalize throughputs
            throughput: rep.bandwidth / bitrateNormalizationFactor,
            latency: 0,
            rebuffer: 0,
            switch: 0
          }
        };
        somBitrateNeurons.push(neuron);
      });
      sortedCenters = _getInitialKmeansPlusPlusCenters(somBitrateNeurons);
    }
    return somBitrateNeurons;
  }

  /**
   *
   * @param {number} size
   * @return {array}
   * @private
   */
  function _getRandomData(size) {
    let dataArray = [];
    for (let i = 0; i < size; i++) {
      let data = [Math.random() * _getMaxThroughput(),
      //throughput
      Math.random(),
      //latency
      Math.random(),
      //buffersize
      Math.random() //switch
      ];
      dataArray.push(data);
    }
    return dataArray;
  }

  /**
   *
   * @param {array} somBitrateNeurons
   * @return {array}
   * @private
   */
  function _getInitialKmeansPlusPlusCenters(somBitrateNeurons) {
    let centers = [];
    let randomDataSet = _getRandomData(Math.pow(somBitrateNeurons.length, 2));
    centers.push(randomDataSet[0]);
    let distanceWeights = [1, 1, 1, 1];
    for (let k = 1; k < somBitrateNeurons.length; k++) {
      let nextPoint = null;
      let maxDistance = null;
      for (let i = 0; i < randomDataSet.length; i++) {
        let currentPoint = randomDataSet[i];
        let minDistance = null;
        for (let j = 0; j < centers.length; j++) {
          let distance = _getDistance(currentPoint, centers[j], distanceWeights);
          if (minDistance === null || distance < minDistance) {
            minDistance = distance;
          }
        }
        if (maxDistance === null || minDistance > maxDistance) {
          nextPoint = currentPoint;
          maxDistance = minDistance;
        }
      }
      centers.push(nextPoint);
    }

    // find the least similar center
    let maxDistance = null;
    let leastSimilarIndex = null;
    for (let i = 0; i < centers.length; i++) {
      let distance = 0;
      for (let j = 0; j < centers.length; j++) {
        if (i === j) {
          continue;
        }
        distance += _getDistance(centers[i], centers[j], distanceWeights);
      }
      if (maxDistance === null || distance > maxDistance) {
        maxDistance = distance;
        leastSimilarIndex = i;
      }
    }

    // move centers to sortedCenters
    let sortedCenters = [];
    sortedCenters.push(centers[leastSimilarIndex]);
    centers.splice(leastSimilarIndex, 1);
    while (centers.length > 0) {
      let minDistance = null;
      let minIndex = null;
      for (let i = 0; i < centers.length; i++) {
        let distance = _getDistance(sortedCenters[0], centers[i], distanceWeights);
        if (minDistance === null || distance < minDistance) {
          minDistance = distance;
          minIndex = i;
        }
      }
      sortedCenters.push(centers[minIndex]);
      centers.splice(minIndex, 1);
    }
    return sortedCenters;
  }
  instance = {
    getNextQuality,
    reset
  };
  _setup();
  return instance;
}
LearningAbrController.__dashjs_factory_name = 'LearningAbrController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(LearningAbrController));

/***/ }),

/***/ "./src/streaming/rules/abr/lolp/LoLpQoEEvaluator.js":
/*!**********************************************************!*\
  !*** ./src/streaming/rules/abr/lolp/LoLpQoEEvaluator.js ***!
  \**********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _QoeInfo_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./QoeInfo.js */ "./src/streaming/rules/abr/lolp/QoeInfo.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Authors:
 * Abdelhak Bentaleb | National University of Singapore | bentaleb@comp.nus.edu.sg
 * Mehmet N. Akcay | Ozyegin University | necmettin.akcay@ozu.edu.tr
 * May Lim | National University of Singapore | maylim@comp.nus.edu.sg
 */


function LoLpQoeEvaluator() {
  let instance, voPerSegmentQoeInfo, segmentDuration, maxBitrateKbps, minBitrateKbps;
  function _setup() {
    _resetInitialSettings();
  }
  function _resetInitialSettings() {
    voPerSegmentQoeInfo = null;
    segmentDuration = null;
    maxBitrateKbps = null;
    minBitrateKbps = null;
  }
  function setupPerSegmentQoe(sDuration, maxBrKbps, minBrKbps) {
    // Set up Per Segment QoeInfo
    voPerSegmentQoeInfo = _createQoeInfo('segment', sDuration, maxBrKbps, minBrKbps);
    segmentDuration = sDuration;
    maxBitrateKbps = maxBrKbps;
    minBitrateKbps = minBrKbps;
  }
  function _createQoeInfo(fragmentType, fragmentDuration, maxBitrateKbps, minBitrateKbps) {
    /*
     * [Weights][Source: Abdelhak Bentaleb, 2020 (last updated: 30 Mar 2020)]
     * bitrateReward:           segment duration, e.g. 0.5s
     * bitrateSwitchPenalty:    0.02s or 1s if the bitrate switch is too important
     * rebufferPenalty:         max encoding bitrate, e.g. 1000kbps
     * latencyPenalty:          if L ≤ 1.1 seconds then = min encoding bitrate * 0.05, otherwise = max encoding bitrate * 0.1
     * playbackSpeedPenalty:    min encoding bitrate, e.g. 200kbps
     */

    // Create new QoeInfo object
    let qoeInfo = new _QoeInfo_js__WEBPACK_IMPORTED_MODULE_1__["default"]();
    qoeInfo.type = fragmentType;

    // Set weight: bitrateReward
    // set some safe value, else consider throwing error
    if (!fragmentDuration) {
      qoeInfo.weights.bitrateReward = 1;
    } else {
      qoeInfo.weights.bitrateReward = fragmentDuration;
    }

    // Set weight: bitrateSwitchPenalty
    // qoeInfo.weights.bitrateSwitchPenalty = 0.02;
    qoeInfo.weights.bitrateSwitchPenalty = 1;

    // Set weight: rebufferPenalty
    // set some safe value, else consider throwing error
    if (!maxBitrateKbps) {
      qoeInfo.weights.rebufferPenalty = 1000;
    } else {
      qoeInfo.weights.rebufferPenalty = maxBitrateKbps;
    }

    // Set weight: latencyPenalty
    qoeInfo.weights.latencyPenalty = [];
    qoeInfo.weights.latencyPenalty.push({
      threshold: 1.1,
      penalty: minBitrateKbps * 0.05
    });
    qoeInfo.weights.latencyPenalty.push({
      threshold: 100000000,
      penalty: maxBitrateKbps * 0.1
    });

    // Set weight: playbackSpeedPenalty
    if (!minBitrateKbps) {
      qoeInfo.weights.playbackSpeedPenalty = 200;
    } // set some safe value, else consider throwing error
    else {
      qoeInfo.weights.playbackSpeedPenalty = minBitrateKbps;
    }
    return qoeInfo;
  }
  function logSegmentMetrics(segmentBitrate, segmentRebufferTime, currentLatency, currentPlaybackSpeed) {
    if (voPerSegmentQoeInfo) {
      _logMetricsInQoeInfo(segmentBitrate, segmentRebufferTime, currentLatency, currentPlaybackSpeed, voPerSegmentQoeInfo);
    }
  }
  function _logMetricsInQoeInfo(bitrate, rebufferTime, latency, playbackSpeed, qoeInfo) {
    // Update: bitrate Weighted Sum value
    qoeInfo.bitrateWSum += qoeInfo.weights.bitrateReward * bitrate;

    // Update: bitrateSwitch Weighted Sum value
    if (qoeInfo.lastBitrate) {
      qoeInfo.bitrateSwitchWSum += qoeInfo.weights.bitrateSwitchPenalty * Math.abs(bitrate - qoeInfo.lastBitrate);
    }
    qoeInfo.lastBitrate = bitrate;

    // Update: rebuffer Weighted Sum value
    qoeInfo.rebufferWSum += qoeInfo.weights.rebufferPenalty * rebufferTime;

    // Update: latency Weighted Sum value
    for (let i = 0; i < qoeInfo.weights.latencyPenalty.length; i++) {
      let latencyRange = qoeInfo.weights.latencyPenalty[i];
      if (latency <= latencyRange.threshold) {
        qoeInfo.latencyWSum += latencyRange.penalty * latency;
        break;
      }
    }

    // Update: playbackSpeed Weighted Sum value
    qoeInfo.playbackSpeedWSum += qoeInfo.weights.playbackSpeedPenalty * Math.abs(1 - playbackSpeed);

    // Update: Total Qoe value
    qoeInfo.totalQoe = qoeInfo.bitrateWSum - qoeInfo.bitrateSwitchWSum - qoeInfo.rebufferWSum - qoeInfo.latencyWSum - qoeInfo.playbackSpeedWSum;
  }

  // Returns current Per Segment QoeInfo
  function getPerSegmentQoe() {
    return voPerSegmentQoeInfo;
  }

  // For one-time use only
  // Returns totalQoe based on a single set of metrics.
  function calculateSingleUseQoe(segmentBitrate, segmentRebufferTime, currentLatency, currentPlaybackSpeed) {
    let singleUseQoeInfo = null;
    if (segmentDuration && maxBitrateKbps && minBitrateKbps) {
      singleUseQoeInfo = _createQoeInfo('segment', segmentDuration, maxBitrateKbps, minBitrateKbps);
    }
    if (singleUseQoeInfo) {
      _logMetricsInQoeInfo(segmentBitrate, segmentRebufferTime, currentLatency, currentPlaybackSpeed, singleUseQoeInfo);
      return singleUseQoeInfo.totalQoe;
    } else {
      // Something went wrong..
      return 0;
    }
  }
  function reset() {
    _resetInitialSettings();
  }
  instance = {
    setupPerSegmentQoe,
    logSegmentMetrics,
    getPerSegmentQoe,
    calculateSingleUseQoe,
    reset
  };
  _setup();
  return instance;
}
LoLpQoeEvaluator.__dashjs_factory_name = 'LoLpQoeEvaluator';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(LoLpQoeEvaluator));

/***/ }),

/***/ "./src/streaming/rules/abr/lolp/LoLpRule.js":
/*!**************************************************!*\
  !*** ./src/streaming/rules/abr/lolp/LoLpRule.js ***!
  \**************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _LearningAbrController_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./LearningAbrController.js */ "./src/streaming/rules/abr/lolp/LearningAbrController.js");
/* harmony import */ var _LoLpQoEEvaluator_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./LoLpQoEEvaluator.js */ "./src/streaming/rules/abr/lolp/LoLpQoEEvaluator.js");
/* harmony import */ var _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../SwitchRequest.js */ "./src/streaming/rules/SwitchRequest.js");
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/* harmony import */ var _LoLpWeightSelector_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./LoLpWeightSelector.js */ "./src/streaming/rules/abr/lolp/LoLpWeightSelector.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Authors:
 * Abdelhak Bentaleb | National University of Singapore | bentaleb@comp.nus.edu.sg
 * Mehmet N. Akcay | Ozyegin University | necmettin.akcay@ozu.edu.tr
 * May Lim | National University of Singapore | maylim@comp.nus.edu.sg
 */









const DWS_TARGET_LATENCY = 1.5;
const DWS_BUFFER_MIN = 0.3;
function LoLPRule(config) {
  config = config || {};
  let dashMetrics = config.dashMetrics;
  let context = this.context;
  let logger, instance, learningController, qoeEvaluator;
  function _setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance().getLogger(instance);
    learningController = (0,_LearningAbrController_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create();
    qoeEvaluator = (0,_LoLpQoEEvaluator_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create();
  }
  function getSwitchRequest(rulesContext) {
    try {
      let switchRequest = (0,_SwitchRequest_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create();
      switchRequest.rule = this.getClassName();
      let mediaType = rulesContext.getMediaInfo().type;
      let abrController = rulesContext.getAbrController();
      const streamInfo = rulesContext.getStreamInfo();
      let currentRepresentation = rulesContext.getRepresentation();
      const mediaInfo = rulesContext.getMediaInfo();
      const bufferStateVO = dashMetrics.getCurrentBufferState(mediaType);
      const scheduleController = rulesContext.getScheduleController();
      const currentBufferLevel = dashMetrics.getCurrentBufferLevel(mediaType, true);
      const playbackController = scheduleController.getPlaybackController();
      let latency = playbackController.getCurrentLiveLatency();
      if (mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_7__["default"].AUDIO) {
        return switchRequest;
      }
      if (!latency) {
        latency = 0;
      }
      const playbackRate = playbackController.getPlaybackRate();
      const throughputController = rulesContext.getThroughputController();
      const throughput = throughputController.getSafeAverageThroughput(mediaType);
      logger.debug(`Throughput ${Math.round(throughput)} kbps`);
      if (isNaN(throughput) || !bufferStateVO) {
        return switchRequest;
      }
      if (abrController.getAbandonmentStateFor(streamInfo.id, mediaType) === _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].ABANDON_LOAD) {
        return switchRequest;
      }

      // QoE parameters
      const possibleRepresentations = abrController.getPossibleVoRepresentationsFilteredBySettings(mediaInfo, true);
      let bandwidths = possibleRepresentations.map(r => r.bandwidth);
      let segmentDuration = rulesContext.getRepresentation().fragmentDuration;
      let minBitrateKbps = Math.min(...bandwidths) / 1000.0; // min bitrate level
      let maxBitrateKbps = Math.max(...bandwidths) / 1000.0; // max bitrate level

      // Learning rule pre-calculations
      let currentBitrate = currentRepresentation.bandwidth;
      let currentBitrateKbps = currentBitrate / 1000.0;
      let httpRequest = dashMetrics.getCurrentHttpRequest(mediaType, true);
      let lastFragmentDownloadTime = (httpRequest.tresponse.getTime() - httpRequest.trequest.getTime()) / 1000;
      let segmentRebufferTime = lastFragmentDownloadTime > segmentDuration ? lastFragmentDownloadTime - segmentDuration : 0;
      qoeEvaluator.setupPerSegmentQoe(segmentDuration, maxBitrateKbps, minBitrateKbps);
      qoeEvaluator.logSegmentMetrics(currentBitrateKbps, segmentRebufferTime, latency, playbackRate);

      /*
      * Dynamic Weights Selector (step 1/2: initialization)
      */
      let dynamicWeightsSelector = (0,_LoLpWeightSelector_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).create({
        targetLatency: DWS_TARGET_LATENCY,
        bufferMin: DWS_BUFFER_MIN,
        segmentDuration,
        qoeEvaluator
      });

      /*
       * Select next quality
       */
      switchRequest.representation = learningController.getNextQuality(abrController, mediaInfo, throughput * 1000, latency, currentBufferLevel, playbackRate, currentRepresentation, dynamicWeightsSelector);
      switchRequest.reason = {
        throughput: throughput,
        latency: latency
      };
      switchRequest.priority = _SwitchRequest_js__WEBPACK_IMPORTED_MODULE_4__["default"].PRIORITY.STRONG;
      scheduleController.setTimeToLoadDelay(0);
      return switchRequest;
    } catch (e) {
      throw e;
    }
  }

  /**
   * Reset objects to their initial state
   * @private
   */
  function _resetInitialSettings() {
    learningController.reset();
    qoeEvaluator.reset();
  }

  /**
   * Reset the rule
   */
  function reset() {
    _resetInitialSettings();
  }
  instance = {
    getSwitchRequest,
    reset
  };
  _setup();
  return instance;
}
LoLPRule.__dashjs_factory_name = 'LoLPRule';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(LoLPRule));

/***/ }),

/***/ "./src/streaming/rules/abr/lolp/LoLpWeightSelector.js":
/*!************************************************************!*\
  !*** ./src/streaming/rules/abr/lolp/LoLpWeightSelector.js ***!
  \************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Authors:
 * Abdelhak Bentaleb | National University of Singapore | bentaleb@comp.nus.edu.sg
 * Mehmet N. Akcay | Ozyegin University | necmettin.akcay@ozu.edu.tr
 * May Lim | National University of Singapore | maylim@comp.nus.edu.sg
 */


function LoLpWeightSelector(config) {
  let targetLatency = config.targetLatency;
  let bufferMin = config.bufferMin;
  let segmentDuration = config.segmentDuration;
  let qoeEvaluator = config.qoeEvaluator;
  let instance, valueList, weightTypeCount, weightOptions, previousLatency;

  /**
   *
   * @private
   */
  function _setup() {
    _resetInitialSettings();
  }

  /**
   *
   * @private
   */
  function _resetInitialSettings() {
    valueList = [0.2, 0.4, 0.6, 0.8, 1];
    weightTypeCount = 4;
    weightOptions = _getPermutations(valueList, weightTypeCount);
    previousLatency = 0;
  }

  /**
   * Next, at each segment boundary, ABR to input current neurons and target state (only used in Method II) to find the desired weight vector
   * @param {array} neurons
   * @param {number} currentLatency
   * @param {number} currentBuffer
   * @param {number} currentRebuffer
   * @param {number} currentThroughput
   * @param {number} playbackRate
   * @return {number|null}
   * @private
   */
  function findWeightVector(neurons, currentLatency, currentBuffer, currentRebuffer, currentThroughput, playbackRate) {
    let maxQoE = null;
    let winnerWeights = null;
    let winnerBitrate = null;
    let deltaLatency = Math.abs(currentLatency - previousLatency);

    // For each neuron, m
    neurons.forEach(neuron => {
      // For each possible weight vector, z
      // E.g. For [ throughput, latency, buffer, playbackRate, QoE ]
      //      Possible weightVector = [ 0.2, 0.4, 0.2, 0, 0.2 ]
      weightOptions.forEach(weightVector => {
        // Apply weightVector to neuron, compute utility and determine winnerWeights
        // Method I: Utility based on QoE given current state

        let weightsObj = {
          throughput: weightVector[0],
          latency: weightVector[1],
          buffer: weightVector[2],
          switch: weightVector[3]
        };
        let downloadTime = neuron.representation.bandwidth * segmentDuration / currentThroughput;
        let nextBuffer = getNextBuffer(currentBuffer, downloadTime);
        let rebuffer = Math.max(0.00001, downloadTime - nextBuffer);
        let wt;
        if (weightsObj.buffer === 0) {
          wt = 10;
        } else {
          wt = 1 / weightsObj.buffer;
        }
        let weightedRebuffer = wt * rebuffer;
        if (weightsObj.latency === 0) {
          wt = 10;
        } else {
          wt = 1 / weightsObj.latency; // inverse the weight because wt and latency should have positive relationship, i.e., higher latency = higher wt
        }
        let weightedLatency = wt * neuron.state.latency;
        let totalQoE = qoeEvaluator.calculateSingleUseQoe(neuron.representation.bandwidth, weightedRebuffer, weightedLatency, playbackRate);
        if ((maxQoE === null || totalQoE > maxQoE) && _checkConstraints(currentLatency, nextBuffer, deltaLatency)) {
          maxQoE = totalQoE;
          winnerWeights = weightVector;
          winnerBitrate = neuron.representation.bandwidth;
        }
      });
    });

    // winnerWeights was found, check if constraints are satisfied
    if (winnerWeights === null && winnerBitrate === null) {
      winnerWeights = -1;
    }
    previousLatency = currentLatency;
    return winnerWeights;
  }

  /**
   *
   * @param {number} nextLatency
   * @param {number} nextBuffer
   * @param {number} deltaLatency
   * @return {boolean}
   * @private
   */
  function _checkConstraints(nextLatency, nextBuffer, deltaLatency) {
    // A1
    // disabled till we find a better way of estimating latency
    // fails for all with current value
    if (nextLatency > targetLatency + deltaLatency) {
      return false;
    }
    return nextBuffer >= bufferMin;
  }

  /**
   *
   * @param {array} list
   * @param {number} length
   * @return {*}
   * @private
   */
  function _getPermutations(list, length) {
    // Copy initial values as arrays
    let perm = list.map(function (val) {
      return [val];
    });
    // Our permutation generator
    let generate = function (perm, length, currLen) {
      // Reached desired length
      if (currLen === length) {
        return perm;
      }
      // For each existing permutation
      let len = perm.length;
      for (let i = 0; i < len; i++) {
        let currPerm = perm.shift();
        // Create new permutation
        for (let k = 0; k < list.length; k++) {
          perm.push(currPerm.concat(list[k]));
        }
      }
      // Recurse
      return generate(perm, length, currLen + 1);
    };
    // Start with size 1 because of initial values
    return generate(perm, length, 1);
  }

  /**
   *
   * @return {number}
   */
  function getMinBuffer() {
    return bufferMin;
  }

  /**
   *
   * @return {number}
   */
  function getSegmentDuration() {
    return segmentDuration;
  }

  /**
   *
   * @param {number} bitrateToDownload
   * @param {number} currentBuffer
   * @param {number} currentThroughput
   * @return {number}
   */
  function getNextBufferWithBitrate(bitrateToDownload, currentBuffer, currentThroughput) {
    let downloadTime = bitrateToDownload * segmentDuration / currentThroughput;
    return getNextBuffer(currentBuffer, downloadTime);
  }

  /**
   *
   * @param {number} currentBuffer
   * @param {number} downloadTime
   * @return {number}
   */
  function getNextBuffer(currentBuffer, downloadTime) {
    const segmentDuration = getSegmentDuration();
    let nextBuffer;
    if (downloadTime > segmentDuration) {
      nextBuffer = currentBuffer - segmentDuration;
    } else {
      nextBuffer = currentBuffer + segmentDuration - downloadTime;
    }
    return nextBuffer;
  }
  instance = {
    getMinBuffer,
    getSegmentDuration,
    getNextBufferWithBitrate,
    getNextBuffer,
    findWeightVector
  };
  _setup();
  return instance;
}
LoLpWeightSelector.__dashjs_factory_name = 'LoLpWeightSelector';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(LoLpWeightSelector));

/***/ }),

/***/ "./src/streaming/rules/abr/lolp/QoeInfo.js":
/*!*************************************************!*\
  !*** ./src/streaming/rules/abr/lolp/QoeInfo.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @class
 * @ignore
 */
class QoeInfo {
  constructor() {
    // Type e.g. 'segment'
    this.type = null;

    // Store lastBitrate for calculation of bitrateSwitchWSum
    this.lastBitrate = null;

    // Weights for each Qoe factor
    this.weights = {};
    this.weights.bitrateReward = null;
    this.weights.bitrateSwitchPenalty = null;
    this.weights.rebufferPenalty = null;
    this.weights.latencyPenalty = null;
    this.weights.playbackSpeedPenalty = null;

    // Weighted Sum for each Qoe factor
    this.bitrateWSum = 0; // kbps
    this.bitrateSwitchWSum = 0; // kbps
    this.rebufferWSum = 0; // seconds
    this.latencyWSum = 0; // seconds
    this.playbackSpeedWSum = 0; // e.g. 0.95, 1.0, 1.05

    // Store total Qoe value based on current Weighted Sum values
    this.totalQoe = 0;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (QoeInfo);

/***/ }),

/***/ "./src/streaming/text/CueSet.js":
/*!**************************************!*\
  !*** ./src/streaming/text/CueSet.js ***!
  \**************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CueSet: function() { return /* binding */ CueSet; }
/* harmony export */ });
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @classdesc Similar to Set<TextTrackCue>, but using the {@link areCuesEqual} function to compare cues, instead of ===.
 * @ignore
 */
class CueSet {
  /**
   * The cues contained in the set, grouped by start time.
   *
   * @instance
   * @type {Map<number, TextTrackCue[]>}
   * @name CueSet.cues
   * @memberof CueSet
   */

  /**
   * Creates a new CueSet instance.
   *
   * @param {ArrayLike<TextTrackCue>} [initialCues] - Optional initial cues to add to the set.
   */
  constructor(initialCues) {
    this.cues = new Map();
    if (initialCues) {
      for (const cue of initialCues) {
        this.addCue(cue);
      }
    }
  }

  /**
   * Checks if a cue is already in the set.
   *
   * @param {TextTrackCue} cue
   * @returns {boolean}
   */
  hasCue(cue) {
    const cuesWithSameStartTime = this.cues.get(cue.startTime);
    return cuesWithSameStartTime && cuesWithSameStartTime.some(c => areCuesEqual(c, cue));
  }

  /**
   * Adds a cue to the set, if it is not already present.
   *
   * @param {TextTrackCue} cue
   */
  addCue(cue) {
    const cuesWithSameStartTime = this.cues.get(cue.startTime);
    if (!cuesWithSameStartTime) {
      this.cues.set(cue.startTime, [cue]);
    } else if (!this.hasCue(cue)) {
      cuesWithSameStartTime.push(cue);
    }
  }
}

/**
 * Compares two cues for equality.
 *
 * @param {TextTrackCue} cue1
 * @param {TextTrackCue} cue2
 * @returns {boolean}
 * @private
 */
function areCuesEqual(cue1, cue2) {
  if (cue1.startTime !== cue2.startTime || cue1.endTime !== cue2.endTime) {
    return false;
  }
  if (cue1 instanceof VTTCue && cue2 instanceof VTTCue) {
    return cue1.text === cue2.text;
  }
  return false;
}


/***/ }),

/***/ "./src/streaming/text/DVBFonts.js":
/*!****************************************!*\
  !*** ./src/streaming/text/DVBFonts.js ***!
  \****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2024, BBC.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of BBC nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






function DVBFonts(config) {
  let context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
  const urlUtils = (0,_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  const adapter = config.adapter;
  const baseURLController = config.baseURLController;
  const FONT_DOWNLOAD_STATUS = {
    ERROR: 'error',
    LOADED: 'loaded',
    UNLOADED: 'unloaded'
  };
  let instance, logger, dvbFontList;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance().getLogger(instance);
    resetInitialSettings();
  }

  /**
   * Add any dvb fonts from a single track to the dvbFontList
   * @param {object} track - A text track
   * @param {string} streamId - Id of current stream
   * @private
   */
  function _addFontFromTrack(track, streamId) {
    let asBaseUrl;
    let isEssential = false;
    let dvbFontProps;

    // If there is a baseurl in the manifest resolve against a representation inside the current adaptation set
    if (baseURLController.resolve()) {
      const reps = adapter.getVoRepresentations(track);
      if (reps && reps.length > 0) {
        asBaseUrl = baseURLController.resolve(reps[0].path).url;
      }
    }
    const essentialTags = track.essentialProperties.filter(tag => tag.schemeIdUri && tag.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].FONT_DOWNLOAD_DVB_SCHEME);
    const supplementalTags = track.supplementalProperties.filter(tag => tag.schemeIdUri && tag.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].FONT_DOWNLOAD_DVB_SCHEME);

    // When it comes to the property descriptors it's Essential OR Supplementary, with Essential taking preference
    if (essentialTags.length > 0) {
      isEssential = true;
      dvbFontProps = essentialTags;
    } else {
      dvbFontProps = supplementalTags;
    }
    dvbFontProps.forEach(attrs => {
      if (_hasMandatoryDvbFontAttributes(attrs)) {
        let resolvedUrl = _resolveFontUrl(attrs.dvbUrl, asBaseUrl);
        dvbFontList.push({
          fontFamily: attrs.dvbFontFamily,
          url: resolvedUrl,
          mimeType: attrs.dvbMimeType,
          trackId: track.id,
          streamId,
          isEssential,
          status: FONT_DOWNLOAD_STATUS.UNLOADED,
          fontFace: new FontFace(attrs.dvbFontFamily, `url(${resolvedUrl})`, {
            display: 'swap'
          })
        });
      }
    });
  }

  /**
   * Clean up dvb font downloads
   * @private
   */
  function _cleanUpDvbCustomFonts() {
    for (const font of dvbFontList) {
      let deleted = document.fonts.delete(font.fontFace);
      logger.debug(`Removal of fontFamily: ${font.fontFamily} was ${deleted ? 'successful' : 'unsuccessful'}`);
    }
  }

  /**
   * Check the attributes of a supplemental or essential property descriptor to establish if
   * it has the mandatory values for a dvb font download
   * @param {object} attrs - property descriptor attributes
   * @returns {boolean} true if mandatory attributes present
   * @private
   */
  function _hasMandatoryDvbFontAttributes(attrs) {
    return !!(attrs.value && parseInt(attrs.value) === 1 && attrs.dvbUrl && attrs.dvbUrl.length > 0 && attrs.dvbFontFamily && attrs.dvbFontFamily.length > 0 && attrs.dvbMimeType && (attrs.dvbMimeType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].OFF_MIMETYPE || attrs.dvbMimeType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].WOFF_MIMETYPE));
  }

  /**
   * Resolves a given font download URL.
   * @param {string} fontUrl - URL as in the 'dvb:url' property
   * @param {string} baseUrl - BaseURL for Adaptation Set
   * @returns {string} resolved URL
   * @private
   */
  function _resolveFontUrl(fontUrl, baseUrl) {
    if (urlUtils.isPathAbsolute(fontUrl)) {
      return fontUrl;
    } else if (urlUtils.isRelative(fontUrl)) {
      if (baseUrl) {
        return urlUtils.resolve(fontUrl, baseUrl);
      } else {
        return urlUtils.resolve(fontUrl);
      }
    } else {
      return fontUrl;
    }
  }

  /**
   * Updates the status of a given dvb font relative to whether it is loaded in the browser
   * or if the download has failed
   * @param {number} index - Index of font in dvbFontList
   * @param {string} newStatus - Status value to update. Property of FONT_DOWNLOAD_STATUS
   * @private
   */
  function _updateFontStatus(index, newStatus) {
    const font = dvbFontList[index];
    dvbFontList[index] = {
      ...font,
      status: newStatus
    };
  }

  /**
   * Adds all fonts to the dvb font list from all tracks
   * @param {array} tracks - All text tracks
   * @param {string} streamId - Id of the stream
   */
  function addFontsFromTracks(tracks, streamId) {
    if (tracks && Array.isArray(tracks) && streamId) {
      for (let i = 0; i < tracks.length; i++) {
        let track = tracks[i];
        _addFontFromTrack(track, streamId);
      }
    }
  }

  /**
   * Initiate the download of a dvb custom font.
   * The browser will neatly handle duplicate fonts
   */
  function downloadFonts() {
    for (let i = 0; i < dvbFontList.length; i++) {
      let font = dvbFontList[i];
      document.fonts.add(font.fontFace);
      eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].DVB_FONT_DOWNLOAD_ADDED, font);
      font.fontFace.load().then(() => {
        _updateFontStatus(i, FONT_DOWNLOAD_STATUS.LOADED);
        eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].DVB_FONT_DOWNLOAD_COMPLETE, font);
      }, err => {
        _updateFontStatus(i, FONT_DOWNLOAD_STATUS.ERROR);
        logger.debug('Font download error: ', err);
        eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_4__["default"].DVB_FONT_DOWNLOAD_FAILED, font);
      });
    }
  }

  /**
   * Returns current list of all known DVB Fonts
   * @returns {array} dvbFontList
   */
  function getFonts() {
    return dvbFontList;
  }

  /**
   * Returns dvbFonts relative to a track given a trackId
   * @param {number} - TrackId
   * @returns {array} filtered DVBFontList
   */
  function getFontsForTrackId(trackId) {
    return dvbFontList.filter(font => font.trackId && font.trackId === trackId);
  }
  function resetInitialSettings() {
    dvbFontList = [];
  }

  /** Reset DVBFonts instance */
  function reset() {
    _cleanUpDvbCustomFonts();
    resetInitialSettings();
  }
  instance = {
    addFontsFromTracks,
    downloadFonts,
    getFonts,
    getFontsForTrackId,
    reset
  };
  setup();
  return instance;
}
DVBFonts.__dashjs_factory_name = 'DVBFonts';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(DVBFonts));

/***/ }),

/***/ "./src/streaming/text/EmbeddedTextHtmlRender.js":
/*!******************************************************!*\
  !*** ./src/streaming/text/EmbeddedTextHtmlRender.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

function EmbeddedTextHtmlRender() {
  let captionId = 0;
  let instance;

  /* HTML Rendering functions */
  function checkIndent(chars) {
    let line = '';
    for (let c = 0; c < chars.length; ++c) {
      const uc = chars[c];
      line += uc.uchar;
    }
    const l = line.length;
    const ll = line.replace(/^\s+/, '').length;
    return l - ll;
  }
  function getRegionProperties(region) {
    return 'left: ' + region.x * 3.125 + '%; top: ' + region.y1 * 6.66 + '%; width: ' + (100 - region.x * 3.125) + '%; height: ' + Math.max(region.y2 - 1 - region.y1, 1) * 6.66 + '%; align-items: flex-start; overflow: visible; -webkit-writing-mode: horizontal-tb;';
  }
  function createRGB(color) {
    if (color === 'red') {
      return 'rgb(255, 0, 0)';
    } else if (color === 'green') {
      return 'rgb(0, 255, 0)';
    } else if (color === 'blue') {
      return 'rgb(0, 0, 255)';
    } else if (color === 'cyan') {
      return 'rgb(0, 255, 255)';
    } else if (color === 'magenta') {
      return 'rgb(255, 0, 255)';
    } else if (color === 'yellow') {
      return 'rgb(255, 255, 0)';
    } else if (color === 'white') {
      return 'rgb(255, 255, 255)';
    } else if (color === 'black') {
      return 'rgb(0, 0, 0)';
    }
    return color;
  }
  function getStyle(videoElement, style) {
    const fontSize = videoElement.videoHeight / 15.0;
    if (style) {
      return 'font-size: ' + fontSize + 'px; font-family: Menlo, Consolas, \'Cutive Mono\', monospace; color: ' + (style.foreground ? createRGB(style.foreground) : 'rgb(255, 255, 255)') + '; font-style: ' + (style.italics ? 'italic' : 'normal') + '; text-decoration: ' + (style.underline ? 'underline' : 'none') + '; white-space: pre; background-color: ' + (style.background ? createRGB(style.background) : 'transparent') + ';';
    } else {
      return 'font-size: ' + fontSize + 'px; font-family: Menlo, Consolas, \'Cutive Mono\', monospace; justify-content: flex-start; text-align: left; color: rgb(255, 255, 255); font-style: normal; white-space: pre; line-height: normal; font-weight: normal; text-decoration: none; width: 100%; display: flex;';
    }
  }
  function ltrim(s) {
    return s.replace(/^\s+/g, '');
  }
  function rtrim(s) {
    return s.replace(/\s+$/g, '');
  }
  function createHTMLCaptionsFromScreen(videoElement, startTime, endTime, captionScreen) {
    let currRegion = null;
    let existingRegion = null;
    let lastRowHasText = false;
    let lastRowIndentL = -1;
    let currP = {
      start: startTime,
      end: endTime,
      spans: []
    };
    let currentStyle = 'style_cea608_white_black';
    const seenRegions = {};
    const styleStates = {};
    const regions = [];
    let r, s;
    for (r = 0; r < 15; ++r) {
      const row = captionScreen.rows[r];
      let line = '';
      let prevPenState = null;
      if (false === row.isEmpty()) {
        /* Row is not empty */

        /* Get indentation of this row */
        const rowIndent = checkIndent(row.chars);

        /* Create a new region is there is none */
        if (currRegion === null) {
          currRegion = {
            x: rowIndent,
            y1: r,
            y2: r + 1,
            p: []
          };
        }

        /* Check if indentation has changed and we had text of last row */
        if (rowIndent !== lastRowIndentL && lastRowHasText) {
          currRegion.p.push(currP);
          currP = {
            start: startTime,
            end: endTime,
            spans: []
          };
          currRegion.y2 = r;
          currRegion.name = 'region_' + currRegion.x + '_' + currRegion.y1 + '_' + currRegion.y2;
          if (false === seenRegions.hasOwnProperty(currRegion.name)) {
            regions.push(currRegion);
            seenRegions[currRegion.name] = currRegion;
          } else {
            existingRegion = seenRegions[currRegion.name];
            existingRegion.p.contat(currRegion.p);
          }
          currRegion = {
            x: rowIndent,
            y1: r,
            y2: r + 1,
            p: []
          };
        }
        for (let c = 0; c < row.chars.length; ++c) {
          const uc = row.chars[c];
          const currPenState = uc.penState;
          if (prevPenState === null || !currPenState.equals(prevPenState)) {
            if (line.trim().length > 0) {
              currP.spans.push({
                name: currentStyle,
                line: line,
                row: r
              });
              line = '';
            }
            let currPenStateString = 'style_cea608_' + currPenState.foreground + '_' + currPenState.background;
            if (currPenState.underline) {
              currPenStateString += '_underline';
            }
            if (currPenState.italics) {
              currPenStateString += '_italics';
            }
            if (!styleStates.hasOwnProperty(currPenStateString)) {
              styleStates[currPenStateString] = JSON.parse(JSON.stringify(currPenState));
            }
            prevPenState = currPenState;
            currentStyle = currPenStateString;
          }
          line += uc.uchar;
        }
        if (line.trim().length > 0) {
          currP.spans.push({
            name: currentStyle,
            line: line,
            row: r
          });
        }
        lastRowHasText = true;
        lastRowIndentL = rowIndent;
      } else {
        /* Row is empty */
        lastRowHasText = false;
        lastRowIndentL = -1;
        if (currRegion) {
          currRegion.p.push(currP);
          currP = {
            start: startTime,
            end: endTime,
            spans: []
          };
          currRegion.y2 = r;
          currRegion.name = 'region_' + currRegion.x + '_' + currRegion.y1 + '_' + currRegion.y2;
          if (false === seenRegions.hasOwnProperty(currRegion.name)) {
            regions.push(currRegion);
            seenRegions[currRegion.name] = currRegion;
          } else {
            existingRegion = seenRegions[currRegion.name];
            existingRegion.p.contat(currRegion.p);
          }
          currRegion = null;
        }
      }
    }
    if (currRegion) {
      currRegion.p.push(currP);
      currRegion.y2 = r + 1;
      currRegion.name = 'region_' + currRegion.x + '_' + currRegion.y1 + '_' + currRegion.y2;
      if (false === seenRegions.hasOwnProperty(currRegion.name)) {
        regions.push(currRegion);
        seenRegions[currRegion.name] = currRegion;
      } else {
        existingRegion = seenRegions[currRegion.name];
        existingRegion.p.contat(currRegion.p);
      }
      currRegion = null;
    }
    const captionsArray = [];

    /* Loop thru regions */
    for (r = 0; r < regions.length; ++r) {
      const region = regions[r];
      const cueID = 'sub_cea608_' + captionId++;
      const finalDiv = document.createElement('div');
      finalDiv.id = cueID;
      const cueRegionProperties = getRegionProperties(region);
      finalDiv.style.cssText = 'position: absolute; margin: 0; display: flex; box-sizing: border-box; pointer-events: none;' + cueRegionProperties;
      const bodyDiv = document.createElement('div');
      bodyDiv.className = 'paragraph bodyStyle';
      bodyDiv.style.cssText = getStyle(videoElement);
      const cueUniWrapper = document.createElement('div');
      cueUniWrapper.className = 'cueUniWrapper';
      cueUniWrapper.style.cssText = 'unicode-bidi: normal; direction: ltr;';
      for (let p = 0; p < region.p.length; ++p) {
        const ptag = region.p[p];
        let lastSpanRow = 0;
        for (s = 0; s < ptag.spans.length; ++s) {
          let span = ptag.spans[s];
          if (span.line.length > 0) {
            if (s !== 0 && lastSpanRow != span.row) {
              const brElement = document.createElement('br');
              brElement.className = 'lineBreak';
              cueUniWrapper.appendChild(brElement);
            }
            let sameRow = false;
            if (lastSpanRow === span.row) {
              sameRow = true;
            }
            lastSpanRow = span.row;
            const spanStyle = styleStates[span.name];
            const spanElement = document.createElement('span');
            spanElement.className = 'spanPadding ' + span.name + ' customSpanColor';
            spanElement.style.cssText = getStyle(videoElement, spanStyle);
            /* If this is not the first span, and it's on the same
             * row as the last one */
            if (s !== 0 && sameRow) {
              /* and it's the last span on this row */
              if (s === ptag.spans.length - 1) {
                /* trim only the right side */
                spanElement.textContent = rtrim(span.line);
              } else {
                /* don't trim at all */
                spanElement.textContent = span.line;
              }
            } else {
              /* if there is more than 1 span and this isn't the last span */
              if (ptag.spans.length > 1 && s < ptag.spans.length - 1) {
                /* Check if next text is on same row */
                if (span.row === ptag.spans[s + 1].row) {
                  /* Next element on same row, trim start */
                  spanElement.textContent = ltrim(span.line);
                } else {
                  /* Different rows, trim both */
                  spanElement.textContent = span.line.trim();
                }
              } else {
                spanElement.textContent = span.line.trim();
              }
            }
            cueUniWrapper.appendChild(spanElement);
          }
        }
      }
      bodyDiv.appendChild(cueUniWrapper);
      finalDiv.appendChild(bodyDiv);
      const fontSize = {
        'bodyStyle': ['%', 90]
      };
      for (const s in styleStates) {
        if (styleStates.hasOwnProperty(s)) {
          fontSize[s] = ['%', 90];
        }
      }
      captionsArray.push({
        type: 'html',
        start: startTime,
        end: endTime,
        cueHTMLElement: finalDiv,
        cueID: cueID,
        cellResolution: [32, 15],
        isFromCEA608: true,
        fontSize: fontSize,
        lineHeight: {},
        linePadding: {}
      });
    }
    return captionsArray;
  }
  instance = {
    createHTMLCaptionsFromScreen: createHTMLCaptionsFromScreen
  };
  return instance;
}
EmbeddedTextHtmlRender.__dashjs_factory_name = 'EmbeddedTextHtmlRender';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(EmbeddedTextHtmlRender));

/***/ }),

/***/ "./src/streaming/text/NotFragmentedTextBufferController.js":
/*!*****************************************************************!*\
  !*** ./src/streaming/text/NotFragmentedTextBufferController.js ***!
  \*****************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _utils_InitCache_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/InitCache.js */ "./src/streaming/utils/InitCache.js");
/* harmony import */ var _SourceBufferSink_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../SourceBufferSink.js */ "./src/streaming/SourceBufferSink.js");
/* harmony import */ var _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../streaming/vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */







const BUFFER_CONTROLLER_TYPE = 'NotFragmentedTextBufferController';
function NotFragmentedTextBufferController(config) {
  config = config || {};
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();
  const textController = config.textController;
  const errHandler = config.errHandler;
  const streamInfo = config.streamInfo;
  const type = config.type;
  let instance, isBufferingCompleted, initialized, mediaSource, sourceBufferSink, initCache;
  function setup() {
    initialized = false;
    mediaSource = null;
    isBufferingCompleted = false;
    initCache = (0,_utils_InitCache_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].INIT_FRAGMENT_LOADED, _onInitFragmentLoaded, instance);
  }
  function getBufferControllerType() {
    return BUFFER_CONTROLLER_TYPE;
  }
  function initialize(source) {
    setMediaSource(source);
  }
  function createBufferSink(mediaInfo) {
    return new Promise((resolve, reject) => {
      try {
        sourceBufferSink = (0,_SourceBufferSink_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create({
          mediaSource,
          textController,
          eventBus
        });
        sourceBufferSink.initializeForFirstUse(mediaInfo);
        if (!initialized) {
          if (sourceBufferSink.getBuffer() && typeof sourceBufferSink.getBuffer().initialize === 'function') {
            sourceBufferSink.getBuffer().initialize();
          }
          initialized = true;
        }
        resolve(sourceBufferSink);
      } catch (e) {
        errHandler.error(new _streaming_vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_5__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_6__["default"].MEDIASOURCE_TYPE_UNSUPPORTED_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_6__["default"].MEDIASOURCE_TYPE_UNSUPPORTED_MESSAGE + type));
        reject(e);
      }
    });
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function getType() {
    return type;
  }
  function getBuffer() {
    return sourceBufferSink;
  }
  function setMediaSource(value) {
    mediaSource = value;
  }
  function getMediaSource() {
    return mediaSource;
  }
  function getIsPruningInProgress() {
    return false;
  }
  function dischargePreBuffer() {}
  function getBufferLevel() {
    return 0;
  }
  function getIsBufferingCompleted() {
    return isBufferingCompleted;
  }
  function setIsBufferingCompleted(value) {
    if (isBufferingCompleted === value) {
      return;
    }
    isBufferingCompleted = value;
    if (isBufferingCompleted) {
      triggerEvent(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].BUFFERING_COMPLETED);
    }
  }
  function reset(errored) {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].INIT_FRAGMENT_LOADED, _onInitFragmentLoaded, instance);
    if (!errored && sourceBufferSink) {
      sourceBufferSink.abort();
      sourceBufferSink.reset();
      sourceBufferSink = null;
    }
  }
  function appendInitSegmentFromCache(representationId) {
    // If text data file already in cache then no need to append it again
    return initCache.extract(streamInfo.id, representationId) !== null;
  }
  function _onInitFragmentLoaded(e) {
    if (!e.chunk.bytes || isBufferingCompleted) {
      return;
    }
    initCache.save(e.chunk);
    sourceBufferSink.append(e.chunk);
    setIsBufferingCompleted(true);
  }
  function getRangeAt() {
    return null;
  }
  function hasBufferAtTime() {
    return true;
  }
  function getAllRangesWithSafetyFactor() {
    return [];
  }
  function getContinuousBufferTimeForTargetTime() {
    return Number.POSITIVE_INFINITY;
  }
  function clearBuffers() {
    return Promise.resolve();
  }
  function pruneBuffer() {
    return;
  }
  function updateBufferTimestampOffset() {
    return Promise.resolve();
  }
  function prepareForPlaybackSeek() {
    return Promise.resolve();
  }
  function prepareForReplacementTrackSwitch() {
    isBufferingCompleted = false;
    return Promise.resolve();
  }
  function updateAppendWindow() {
    return Promise.resolve();
  }
  function setSeekTarget() {}
  function segmentRequestingCompleted() {}
  function pruneAllSafely() {
    return Promise.resolve();
  }
  function triggerEvent(eventType, data) {
    let payload = data || {};
    eventBus.trigger(eventType, payload, {
      streamId: streamInfo.id,
      mediaType: type
    });
  }
  instance = {
    initialize,
    getStreamId,
    getType,
    getBufferControllerType,
    createBufferSink,
    dischargePreBuffer,
    getBuffer,
    getBufferLevel,
    getRangeAt,
    pruneBuffer,
    hasBufferAtTime,
    getAllRangesWithSafetyFactor,
    getContinuousBufferTimeForTargetTime,
    setMediaSource,
    getMediaSource,
    appendInitSegmentFromCache,
    getIsBufferingCompleted,
    setIsBufferingCompleted,
    getIsPruningInProgress,
    reset,
    clearBuffers,
    prepareForPlaybackSeek,
    prepareForReplacementTrackSwitch,
    setSeekTarget,
    updateAppendWindow,
    pruneAllSafely,
    updateBufferTimestampOffset,
    segmentRequestingCompleted
  };
  setup();
  return instance;
}
NotFragmentedTextBufferController.__dashjs_factory_name = BUFFER_CONTROLLER_TYPE;
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(NotFragmentedTextBufferController));

/***/ }),

/***/ "./src/streaming/text/TextController.js":
/*!**********************************************!*\
  !*** ./src/streaming/text/TextController.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _TextSourceBuffer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./TextSourceBuffer.js */ "./src/streaming/text/TextSourceBuffer.js");
/* harmony import */ var _TextTracks_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./TextTracks.js */ "./src/streaming/text/TextTracks.js");
/* harmony import */ var _utils_VTTParser_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/VTTParser.js */ "./src/streaming/utils/VTTParser.js");
/* harmony import */ var _utils_VttCustomRenderingParser_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/VttCustomRenderingParser.js */ "./src/streaming/utils/VttCustomRenderingParser.js");
/* harmony import */ var _utils_TTMLParser_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utils/TTMLParser.js */ "./src/streaming/utils/TTMLParser.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../utils/SupervisorTools.js */ "./src/streaming/utils/SupervisorTools.js");
/* harmony import */ var _DVBFonts_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./DVBFonts.js */ "./src/streaming/text/DVBFonts.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */














function TextController(config) {
  let context = this.context;
  const adapter = config.adapter;
  const errHandler = config.errHandler;
  const manifestModel = config.manifestModel;
  const mediaController = config.mediaController;
  const baseURLController = config.baseURLController;
  const videoModel = config.videoModel;
  const settings = config.settings;
  let instance, streamData, textSourceBuffers, textTracks, vttParser, vttCustomRenderingParser, ttmlParser, eventBus, allTracksAreDisabled, forceTextStreaming, textTracksAdded, disableTextBeforeTextTracksAdded, dvbFonts, logger;
  function setup() {
    forceTextStreaming = false;
    textTracksAdded = false;
    disableTextBeforeTextTracksAdded = false;
    vttParser = (0,_utils_VTTParser_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
    vttCustomRenderingParser = (0,_utils_VttCustomRenderingParser_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance();
    ttmlParser = (0,_utils_TTMLParser_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance();
    eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).getInstance().getLogger(instance);
    resetInitialSettings();
  }
  function initialize() {
    dvbFonts = (0,_DVBFonts_js__WEBPACK_IMPORTED_MODULE_12__["default"])(context).create({
      adapter,
      baseURLController
    });
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].TEXT_TRACKS_QUEUE_INITIALIZED, _onTextTracksAdded, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].DVB_FONT_DOWNLOAD_FAILED, _onFontDownloadFailure, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].DVB_FONT_DOWNLOAD_COMPLETE, _onFontDownloadSuccess, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].MEDIAINFO_UPDATED, _onMediaInfoUpdated, instance);
    if (settings.get().streaming.text.webvtt.customRenderingEnabled) {
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
      eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    }
  }
  function initializeForStream(streamInfo) {
    const streamId = streamInfo.id;
    const tracks = (0,_TextTracks_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create({
      videoModel,
      settings,
      streamInfo
    });
    tracks.initialize();
    textTracks[streamId] = tracks;
    const textSourceBuffer = (0,_TextSourceBuffer_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      errHandler,
      adapter,
      dvbFonts,
      manifestModel,
      mediaController,
      videoModel,
      textTracks: tracks,
      vttParser,
      vttCustomRenderingParser,
      ttmlParser,
      streamInfo,
      settings
    });
    textSourceBuffer.initialize();
    textSourceBuffers[streamId] = textSourceBuffer;
    streamData[streamId] = {};
    streamData[streamId].lastEnabledIndex = -1;
  }

  /**
   * All media infos have been added. Start creating the track objects
   * @param {object} streamInfo
   */
  function createTracks(streamInfo) {
    const streamId = streamInfo.id;
    if (!textTracks[streamId]) {
      return;
    }
    textTracks[streamId].createTracks();
  }

  /**
   * Adds the new mediaInfo objects to the textSourceBuffer.
   * @param {object} streamInfo
   * @param {array} mInfos
   * @param {string|null} mimeType
   * @param {object} fragmentModel
   */
  function addMediaInfosToBuffer(streamInfo, type, mInfos) {
    let fragmentModel = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;
    const streamId = streamInfo.id;
    if (!textSourceBuffers[streamId]) {
      return;
    }
    textSourceBuffers[streamId].addMediaInfos(type, mInfos, fragmentModel);
  }
  function getTextSourceBuffer(streamInfo) {
    const streamId = streamInfo.id;
    if (textSourceBuffers && textSourceBuffers[streamId]) {
      return textSourceBuffers[streamId];
    }
  }
  function getAllTracksAreDisabled() {
    return allTracksAreDisabled;
  }
  function addEmbeddedTrack(streamInfo, mediaInfo) {
    const streamId = streamInfo.id;
    if (!textSourceBuffers[streamId]) {
      return;
    }
    textSourceBuffers[streamId].addEmbeddedTrack(mediaInfo);
  }

  /**
   * Event that is triggered if a font download of a font described in an essential property descriptor
   * tag fails.
   * @param {FontInfo} font - font information
   * @private
   */
  function _onFontDownloadFailure(font) {
    logger.error(`Could not download ${font.isEssential ? 'an essential' : 'a'} font - fontFamily: ${font.fontFamily}, url: ${font.url}`);
    if (font.isEssential) {
      let idx = textTracks[font.streamId].getTrackIdxForId(font.trackId);
      textTracks[font.streamId].setModeForTrackIdx(idx, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_DISABLED);
    }
  }
  ;

  /**
   * Set a font with an essential property
   * @private
   */
  function _onFontDownloadSuccess(font) {
    logger.debug(`Successfully downloaded ${font.isEssential ? 'an essential' : 'a'} font - fontFamily: ${font.fontFamily}, url: ${font.url}`);
    if (font.isEssential) {
      let idx = textTracks[font.streamId].getTrackIdxForId(font.trackId);
      if (idx === textTracks[font.streamId].getCurrentTrackIdx()) {
        textTracks[font.streamId].setModeForTrackIdx(idx, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING);
      } else {
        textTracks[font.streamId].setModeForTrackIdx(idx, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_HIDDEN);
      }
    }
  }
  function _onTextTracksAdded(e) {
    let tracks = e.tracks;
    let index = e.index;
    const streamId = e.streamId;
    const textDefaultEnabled = settings.get().streaming.text.defaultEnabled;
    if (textDefaultEnabled === false && !isTextEnabled() || disableTextBeforeTextTracksAdded) {
      // disable text at startup if explicitly configured with setTextDefaultEnabled(false) or if there is no defaultSettings (configuration or from domStorage)
      setTextTrack(streamId, -1);
    } else {
      const currentTrack = mediaController.getCurrentTrackFor(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, streamId);
      if (currentTrack) {
        const defaultSettings = {
          lang: currentTrack.lang,
          role: currentTrack.roles[0],
          index: currentTrack.index,
          codec: currentTrack.codec,
          accessibility: currentTrack.accessibility[0]
        };
        tracks.some((item, idx) => {
          // matchSettings is compatible with setTextDefaultLanguage and setInitialSettings
          if (mediaController.matchSettings(defaultSettings, item)) {
            setTextTrack(streamId, idx);
            index = idx;
            return true;
          }
        });
      }
      allTracksAreDisabled = false;
    }
    streamData[streamId].lastEnabledIndex = index;
    eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_10__["default"].TEXT_TRACKS_ADDED, {
      enabled: isTextEnabled(),
      index: index,
      tracks: tracks,
      streamId
    });
    textTracksAdded = true;
    dvbFonts.addFontsFromTracks(tracks, streamId);

    // Initially disable any tracks with essential property font downloads
    dvbFonts.getFonts().forEach(font => {
      if (font.isEssential) {
        let idx = textTracks[font.streamId].getTrackIdxForId(font.trackId);
        textTracks[font.streamId].setModeForTrackIdx(idx, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_DISABLED);
      }
    });
    dvbFonts.downloadFonts();
  }
  function _onPlaybackTimeUpdated(e) {
    try {
      const streamId = e.streamId;
      if (!textTracks[streamId] || isNaN(e.time)) {
        return;
      }
      textTracks[streamId].manualCueProcessing(e.time);
    } catch (err) {}
  }
  function _onPlaybackSeeking(e) {
    try {
      const streamId = e.streamId;
      if (!textTracks[streamId]) {
        return;
      }
      textTracks[streamId].disableManualTracks();
    } catch (e) {}
  }
  function _onMediaInfoUpdated(e) {
    try {
      if (!e || !e.mediaType || e.mediaType !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO || !e.currentMediaInfo) {
        return;
      }
      const currentTextTrackInfo = textTracks[e.streamId].getCurrentTextTrackInfo();
      let suitableForcedSubtitleIndex = NaN;
      if (allTracksAreDisabled) {
        suitableForcedSubtitleIndex = _getSuitableForceSubtitleTrackIndex(e.streamId);
      } else if (_isForcedSubtitleTrack(currentTextTrackInfo) && e.currentMediaInfo.lang && e.currentMediaInfo.lang !== currentTextTrackInfo.lang) {
        suitableForcedSubtitleIndex = _getSuitableForceSubtitleTrackIndex(e.streamId);
        if (isNaN(suitableForcedSubtitleIndex)) {
          suitableForcedSubtitleIndex = -1;
        }
      }
      if (!isNaN(suitableForcedSubtitleIndex)) {
        setTextTrack(e.streamId, suitableForcedSubtitleIndex);
      }
    } catch (e) {
      logger.error(e);
    }
  }
  function enableText(streamId, enable) {
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_11__.checkParameterType)(enable, 'boolean');
    if (isTextEnabled() !== enable) {
      // change track selection
      if (enable) {
        // apply last enabled track
        setTextTrack(streamId, streamData[streamId].lastEnabledIndex);
      }
      if (!enable) {
        // keep last index and disable text track
        streamData[streamId].lastEnabledIndex = getCurrentTrackIdx(streamId);
        if (!textTracksAdded) {
          disableTextBeforeTextTracksAdded = true;
        } else {
          setTextTrack(streamId, -1);
        }
      }
    }
    return true;
  }
  function isTextEnabled() {
    let enabled = true;
    if (allTracksAreDisabled && !forceTextStreaming) {
      enabled = false;
    }
    return enabled;
  }

  // when set to true ScheduleController will allow schedule of chunks even if tracks are all disabled. Allowing streaming to hidden track for external players to work with.
  function enableForcedTextStreaming(enable) {
    (0,_utils_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_11__.checkParameterType)(enable, 'boolean');
    forceTextStreaming = enable;
    return true;
  }
  function setTextTrack(streamId, idx) {
    // For external time text file, the only action needed to change a track is marking the track mode to showing.
    // Fragmented text tracks need the additional step of calling TextController.setTextTrack();
    allTracksAreDisabled = idx === -1;
    if (allTracksAreDisabled && mediaController) {
      mediaController.saveTextSettingsDisabled();
    }
    let oldTrackIdx = getCurrentTrackIdx(streamId);

    // No change, no action required
    if (oldTrackIdx === idx || !textTracks[streamId]) {
      return;
    }
    textTracks[streamId].disableManualTracks();
    let currentTrackInfo = textTracks[streamId].getCurrentTextTrackInfo();
    let currentNativeTrackInfo = currentTrackInfo ? videoModel.getTextTrack(currentTrackInfo.kind, currentTrackInfo.id, currentTrackInfo.lang, currentTrackInfo.isTTML, currentTrackInfo.isEmbedded) : null;

    // Don't change disabled tracks - dvb font download for essential property failed or not complete
    if (currentNativeTrackInfo && currentNativeTrackInfo.mode !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_DISABLED) {
      textTracks[streamId].setModeForTrackIdx(oldTrackIdx, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_HIDDEN);
    }
    textTracks[streamId].setCurrentTrackIdx(idx);
    currentTrackInfo = textTracks[streamId].getCurrentTextTrackInfo();
    const dispatchForManualRendering = settings.get().streaming.text.dispatchForManualRendering;
    if (currentTrackInfo && !dispatchForManualRendering && currentTrackInfo.mode !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_DISABLED) {
      textTracks[streamId].setModeForTrackIdx(idx, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING);
    }
    if (currentTrackInfo && currentTrackInfo.isFragmented && !currentTrackInfo.isEmbedded) {
      _setFragmentedTextTrack(streamId, currentTrackInfo, oldTrackIdx);
    } else if (currentTrackInfo && !currentTrackInfo.isFragmented) {
      _setNonFragmentedTextTrack(streamId, currentTrackInfo);
    } else if (!currentTrackInfo && allTracksAreDisabled) {
      const forcedSubtitleTrackIndex = _getSuitableForceSubtitleTrackIndex(streamId);
      if (!isNaN(forcedSubtitleTrackIndex)) {
        setTextTrack(streamId, forcedSubtitleTrackIndex);
      }
      return;
    }
    mediaController.setTrack(currentTrackInfo);
  }
  function _setFragmentedTextTrack(streamId, currentTrackInfo, oldTrackIdx) {
    if (!textSourceBuffers[streamId]) {
      return;
    }
    let config = textSourceBuffers[streamId].getConfig();
    let fragmentedTracks = config.fragmentedTracks;
    for (let i = 0; i < fragmentedTracks.length; i++) {
      let mediaInfo = fragmentedTracks[i];
      if (currentTrackInfo.lang === mediaInfo.lang && (mediaInfo.id ? currentTrackInfo.id === mediaInfo.id : currentTrackInfo.index === mediaInfo.index)) {
        let currentFragTrack = mediaController.getCurrentTrackFor(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, streamId);
        if (mediaInfo.id ? currentFragTrack.id !== mediaInfo.id : currentFragTrack.index !== mediaInfo.index) {
          textTracks[streamId].deleteCuesFromTrackIdx(oldTrackIdx);
          textSourceBuffers[streamId].setCurrentFragmentedTrackIdx(i);
        } else if (oldTrackIdx === -1) {
          // in fragmented use case, if the user selects the older track (the one selected before disabled text track)
          // no CURRENT_TRACK_CHANGED event will be triggered because the mediaInfo in the StreamProcessor is equal to the one we are selecting
          // For that reason we reactivate the StreamProcessor and the ScheduleController
          eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].SET_FRAGMENTED_TEXT_AFTER_DISABLED, {}, {
            streamId,
            mediaType: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT
          });
        }
      }
    }
  }
  function _setNonFragmentedTextTrack(streamId, currentTrackInfo) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].SET_NON_FRAGMENTED_TEXT, {
      currentTrackInfo
    }, {
      streamId,
      mediaType: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT
    });
  }
  function _getSuitableForceSubtitleTrackIndex(streamId) {
    const forcedSubtitleTracks = _getForcedSubtitleTracks(streamId);
    if (!forcedSubtitleTracks || forcedSubtitleTracks.length <= 0) {
      return NaN;
    }
    const currentAudioTrack = mediaController.getCurrentTrackFor(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO, streamId);
    if (!currentAudioTrack) {
      return NaN;
    }
    const suitableTrack = forcedSubtitleTracks.find(track => {
      return currentAudioTrack.lang === track.lang;
    });
    if (suitableTrack) {
      return suitableTrack._indexToSelect;
    }
    return NaN;
  }
  function _getForcedSubtitleTracks(streamId) {
    const textTrackInfos = textTracks[streamId].getTextTrackInfos();
    return textTrackInfos.filter((textTrackInfo, index) => {
      textTrackInfo._indexToSelect = index;
      if (textTrackInfo && textTrackInfo.roles && textTrackInfo.roles.length > 0) {
        return _isForcedSubtitleTrack(textTrackInfo);
      }
      return false;
    });
  }
  function _isForcedSubtitleTrack(textTrackInfo) {
    if (!textTrackInfo || !textTrackInfo.roles || textTrackInfo.roles.length === 0) {
      return false;
    }
    return textTrackInfo.roles.some(role => {
      return role.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].DASH_ROLE_SCHEME_ID && role.value === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_13__["default"].FORCED_SUBTITLE;
    });
  }
  function getCurrentTrackIdx(streamId) {
    return textTracks[streamId].getCurrentTrackIdx();
  }
  function deactivateStream(streamInfo) {
    if (!streamInfo) {
      return;
    }
    const streamId = streamInfo.id;
    if (textSourceBuffers[streamId]) {
      textSourceBuffers[streamId].resetMediaInfos();
    }
    if (textTracks[streamId]) {
      textTracks[streamId].deleteAllTextTracks();
    }
  }
  function clearDataForStream(streamId) {
    if (textSourceBuffers[streamId]) {
      textSourceBuffers[streamId].resetEmbedded();
      textSourceBuffers[streamId].reset();
      delete textSourceBuffers[streamId];
    }
    if (textTracks[streamId]) {
      textTracks[streamId].deleteAllTextTracks();
      delete textTracks[streamId];
    }
    if (streamData[streamId]) {
      delete streamData[streamId];
    }
  }
  function resetInitialSettings() {
    textSourceBuffers = {};
    textTracks = {};
    streamData = {};
    allTracksAreDisabled = true;
    textTracksAdded = false;
    disableTextBeforeTextTracksAdded = false;
  }
  function reset() {
    Object.keys(textSourceBuffers).forEach(key => {
      textSourceBuffers[key].resetEmbedded();
      textSourceBuffers[key].reset();
    });
    dvbFonts.reset();
    resetInitialSettings();
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].TEXT_TRACKS_QUEUE_INITIALIZED, _onTextTracksAdded, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].DVB_FONT_DOWNLOAD_FAILED, _onFontDownloadFailure, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].DVB_FONT_DOWNLOAD_COMPLETE, _onFontDownloadSuccess, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].MEDIAINFO_UPDATED, _onMediaInfoUpdated, instance);
    if (settings.get().streaming.text.webvtt.customRenderingEnabled) {
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].PLAYBACK_TIME_UPDATED, _onPlaybackTimeUpdated, instance);
      eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_9__["default"].PLAYBACK_SEEKING, _onPlaybackSeeking, instance);
    }
  }
  instance = {
    addEmbeddedTrack,
    addMediaInfosToBuffer,
    createTracks,
    deactivateStream,
    enableForcedTextStreaming,
    enableText,
    getAllTracksAreDisabled,
    getCurrentTrackIdx,
    getTextSourceBuffer,
    initialize,
    initializeForStream,
    isTextEnabled,
    reset,
    setTextTrack,
    clearDataForStream
  };
  setup();
  return instance;
}
TextController.__dashjs_factory_name = 'TextController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(TextController));

/***/ }),

/***/ "./src/streaming/text/TextSourceBuffer.js":
/*!************************************************!*\
  !*** ./src/streaming/text/TextSourceBuffer.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/* harmony import */ var _vo_TextTrackInfo_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../vo/TextTrackInfo.js */ "./src/streaming/vo/TextTrackInfo.js");
/* harmony import */ var _utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/BoxParser.js */ "./src/streaming/utils/BoxParser.js");
/* harmony import */ var _utils_CustomTimeRanges_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/CustomTimeRanges.js */ "./src/streaming/utils/CustomTimeRanges.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _EmbeddedTextHtmlRender_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./EmbeddedTextHtmlRender.js */ "./src/streaming/text/EmbeddedTextHtmlRender.js");
/* harmony import */ var codem_isoboxer__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! codem-isoboxer */ "./node_modules/codem-isoboxer/dist/iso_boxer.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _svta_common_media_library_cta_608_Cta608Parser__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @svta/common-media-library/cta/608/Cta608Parser */ "./node_modules/@svta/common-media-library/dist/cta/608/Cta608Parser.js");
/* harmony import */ var _svta_common_media_library_cta_608_extractCta608DataFromSample__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @svta/common-media-library/cta/608/extractCta608DataFromSample */ "./node_modules/@svta/common-media-library/dist/cta/608/extractCta608DataFromSample.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
















function TextSourceBuffer(config) {
  const errHandler = config.errHandler;
  const manifestModel = config.manifestModel;
  const mediaController = config.mediaController;
  const videoModel = config.videoModel;
  const textTracks = config.textTracks;
  const vttParser = config.vttParser;
  const vttCustomRenderingParser = config.vttCustomRenderingParser;
  const ttmlParser = config.ttmlParser;
  const streamInfo = config.streamInfo;
  const settings = config.settings;
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).getInstance();
  let embeddedInitialized = false;
  let instance, logger, boxParser, parser, mediaInfos, fragmentModel, initializationSegmentReceived, timescale, fragmentedTracks, firstFragmentedSubtitleStart, currFragmentedTrackIdx, embeddedTracks, embeddedTimescale, embeddedLastSequenceNumber, lastChunkEnd, embeddedCea608FieldParsers, embeddedTextHtmlRender;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance().getLogger(instance);
    boxParser = (0,_utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
    resetInitialSettings();
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function _resetFragmented() {
    fragmentModel = null;
    timescale = NaN;
    fragmentedTracks = [];
    firstFragmentedSubtitleStart = null;
    initializationSegmentReceived = false;
  }
  function resetInitialSettings() {
    _resetFragmented();
    mediaInfos = [];
    parser = null;
  }
  function initialize() {
    if (!embeddedInitialized) {
      _initEmbedded();
    }
  }

  /**
   * There might be media infos of different types. For instance text and fragmentedText.
   * @param {string} type
   * @param {array} mInfos
   * @param {object} fModel
   */
  function addMediaInfos(type, mInfos, fModel) {
    mediaInfos = mediaInfos.concat(mInfos);
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT && mInfos[0].isFragmented && !mInfos[0].isEmbedded) {
      fragmentModel = fModel;
      instance.buffered = (0,_utils_CustomTimeRanges_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create();
      fragmentedTracks = mediaController.getTracksFor(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, streamInfo.id).filter(track => track.isFragmented);
      const currFragTrack = mediaController.getCurrentTrackFor(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT, streamInfo.id);
      for (let i = 0; i < fragmentedTracks.length; i++) {
        if (fragmentedTracks[i] === currFragTrack) {
          setCurrentFragmentedTrackIdx(i);
          break;
        }
      }
    }
    for (let i = 0; i < mInfos.length; i++) {
      _createTextTrackInfoFromMediaInfo(mInfos[i]);
    }
  }

  /**
   * Create a new track based on the mediaInfo information
   * @param {object} mediaInfo
   * @private
   */
  function _createTextTrackInfoFromMediaInfo(mediaInfo) {
    // We are mapping DASH specification strings to the ones of the HTML specification.
    // See also https://html.spec.whatwg.org/multipage/media.html#text-track-kind
    const trackKindMap = {};
    trackKindMap[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_15__["default"].SUBTITLE] = 'subtitles';
    trackKindMap[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_15__["default"].CAPTION] = 'captions';
    trackKindMap[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_15__["default"].FORCED_SUBTITLE] = 'subtitles';
    const textTrackInfo = new _vo_TextTrackInfo_js__WEBPACK_IMPORTED_MODULE_2__["default"]();
    for (let key in mediaInfo) {
      textTrackInfo[key] = mediaInfo[key];
    }
    textTrackInfo.defaultTrack = getIsDefault(mediaInfo);
    textTrackInfo.isTTML = _checkTtml(mediaInfo);
    textTrackInfo.kind = _getKind(mediaInfo, trackKindMap);
    textTracks.addTextTrackInfo(textTrackInfo);
  }
  function abort() {}
  function reset() {
    resetInitialSettings();
    mediaInfos = [];
    boxParser = null;
  }
  function _onVideoChunkReceived(e) {
    const chunk = e.chunk;
    if (chunk.representation.mediaInfo.embeddedCaptions) {
      append(chunk.bytes, chunk);
    }
  }
  function _initEmbedded() {
    embeddedTracks = [];
    currFragmentedTrackIdx = null;
    embeddedTimescale = 0;
    embeddedCea608FieldParsers = [];
    embeddedLastSequenceNumber = null;
    lastChunkEnd = null;
    embeddedInitialized = true;
    embeddedTextHtmlRender = (0,_EmbeddedTextHtmlRender_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).getInstance();
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__["default"].VIDEO_CHUNK_RECEIVED, _onVideoChunkReceived, instance);
    eventBus.on(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__["default"].BUFFER_CLEARED, onVideoBufferCleared, instance);
  }
  function resetEmbedded() {
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__["default"].VIDEO_CHUNK_RECEIVED, _onVideoChunkReceived, instance);
    eventBus.off(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_10__["default"].BUFFER_CLEARED, onVideoBufferCleared, instance);
    if (textTracks) {
      textTracks.deleteAllTextTracks();
    }
    embeddedInitialized = false;
    embeddedTracks = [];
    embeddedCea608FieldParsers = [null, null];
    embeddedLastSequenceNumber = null;
    lastChunkEnd = null;
  }
  function addEmbeddedTrack(mediaInfo) {
    if (!embeddedInitialized) {
      return;
    }
    if (mediaInfo) {
      if (mediaInfo.id === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].CC1 || mediaInfo.id === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].CC3) {
        for (let i = 0; i < embeddedTracks.length; i++) {
          if (embeddedTracks[i].id === mediaInfo.id) {
            return;
          }
        }
        embeddedTracks.push(mediaInfo);
      } else {
        logger.warn('Embedded track ' + mediaInfo.id + ' not supported!');
      }
    }
  }
  function getConfig() {
    const config = {
      fragmentModel: fragmentModel,
      fragmentedTracks: fragmentedTracks,
      videoModel: videoModel
    };
    return config;
  }
  function setCurrentFragmentedTrackIdx(idx) {
    currFragmentedTrackIdx = idx;
  }
  function _checkTtml(mediaInfo) {
    return mediaInfo.codec && mediaInfo.codec.search(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STPP) >= 0 || mediaInfo.mimeType && mediaInfo.mimeType.search(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TTML) >= 0;
  }
  function _getKind(mediaInfo, trackKindMap) {
    let kind = mediaInfo.roles && mediaInfo.roles.length > 0 ? trackKindMap[mediaInfo.roles[0].value] : trackKindMap.caption;
    kind = Object.values(trackKindMap).includes(kind) ? kind : trackKindMap.caption;
    return kind;
  }
  function append(bytes, chunk) {
    const mediaInfo = chunk.representation.mediaInfo;
    const mediaType = mediaInfo.type;
    const mimeType = mediaInfo.mimeType;
    const codecType = mediaInfo.codec || mimeType;
    if (!codecType) {
      logger.error('No text type defined');
      return;
    }
    if (mediaInfo.codec.indexOf('application/mp4') !== -1) {
      _appendFragmentedText(bytes, chunk, codecType);
    } else if (mediaType === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
      _appendEmbeddedText(bytes, chunk);
    } else {
      _appendText(bytes, chunk, codecType);
    }
  }
  function _appendFragmentedText(bytes, chunk, codecType) {
    let sampleList, samplesInfo;
    if (chunk.segmentType === 'InitializationSegment') {
      initializationSegmentReceived = true;
      timescale = boxParser.getMediaTimescaleFromMoov(bytes);
    } else {
      if (!initializationSegmentReceived) {
        return;
      }
      samplesInfo = boxParser.getSamplesInfo(bytes);
      sampleList = samplesInfo.sampleList;
      if (sampleList.length > 0) {
        firstFragmentedSubtitleStart = sampleList[0].cts - chunk.start * timescale;
      }
      if (codecType.search(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STPP) >= 0) {
        _appendFragmentedSttp(bytes, sampleList, codecType);
      } else {
        _appendFragmentedWebVtt(bytes, sampleList);
      }
    }
  }
  function _appendFragmentedSttp(bytes, sampleList, codecType) {
    let i, j;
    parser = parser !== null ? parser : _getParser(codecType);
    for (i = 0; i < sampleList.length; i++) {
      const sample = sampleList[i];
      const sampleStart = sample.cts;
      const timestampOffset = _getTimestampOffset();
      const start = timestampOffset + sampleStart / timescale;
      const end = start + sample.duration / timescale;
      instance.buffered.add(start, end);
      const dataView = new DataView(bytes, sample.offset, sample.subSizes[0]);
      let ccContent = codem_isoboxer__WEBPACK_IMPORTED_MODULE_8__.Utils.dataViewToString(dataView, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].UTF8);
      const images = [];
      let subOffset = sample.offset + sample.subSizes[0];
      for (j = 1; j < sample.subSizes.length; j++) {
        const inData = new Uint8Array(bytes, subOffset, sample.subSizes[j]);
        const raw = String.fromCharCode.apply(null, inData);
        images.push(raw);
        subOffset += sample.subSizes[j];
      }
      try {
        const manifest = manifestModel.getValue();

        // Only used for Microsoft Smooth Streaming support - caption time is relative to sample time. In this case, we apply an offset.
        const offsetTime = manifest.ttmlTimeIsRelative ? sampleStart / timescale : 0;
        const result = parser.parse(ccContent, offsetTime, sampleStart / timescale, (sampleStart + sample.duration) / timescale, images);
        textTracks.addCaptions(currFragmentedTrackIdx, timestampOffset, result);
      } catch (e) {
        fragmentModel.removeExecutedRequestsBeforeTime();
        remove();
        logger.error('TTML parser error: ' + e);
      }
    }
  }
  function _appendFragmentedWebVtt(bytes, sampleList) {
    let i, j, k;
    const captionArray = [];
    for (i = 0; i < sampleList.length; i++) {
      const sample = sampleList[i];
      sample.cts -= firstFragmentedSubtitleStart;
      const timestampOffset = _getTimestampOffset();
      const start = timestampOffset + sample.cts / timescale;
      const end = start + sample.duration / timescale;
      instance.buffered.add(start, end);
      const sampleData = bytes.slice(sample.offset, sample.offset + sample.size);
      // There are boxes inside the sampleData, so we need a ISOBoxer to get at it.
      const sampleBoxes = codem_isoboxer__WEBPACK_IMPORTED_MODULE_8__.parseBuffer(sampleData);
      for (j = 0; j < sampleBoxes.boxes.length; j++) {
        const box1 = sampleBoxes.boxes[j];
        logger.debug('VTT box1: ' + box1.type);
        if (box1.type === 'vtte') {
          continue; //Empty box
        }
        if (box1.type === 'vttc') {
          logger.debug('VTT vttc boxes.length = ' + box1.boxes.length);
          let entry = {
            styles: {}
          };
          for (k = 0; k < box1.boxes.length; k++) {
            const box2 = box1.boxes[k];
            logger.debug('VTT box2: ' + box2.type);

            // Mandatory cue payload lines
            if (box2.type === 'payl') {
              entry.start = sample.cts / timescale;
              entry.end = (sample.cts + sample.duration) / timescale;
              entry.data = box2.cue_text;
            }

            // The styling information
            else if (box2.type === 'sttg' && box2.settings && box2.settings !== '') {
              try {
                const stylings = box2.settings.split(' ');
                entry.styles = vttParser.getCaptionStyles(stylings);
              } catch (e) {}
            }
          }
          if (entry && entry.data) {
            captionArray.push(entry);
            logger.debug(`VTT  ${entry.start} - ${entry.end} :  ${entry.data}`);
          }
        }
      }
    }
    if (captionArray.length > 0) {
      textTracks.addCaptions(currFragmentedTrackIdx, 0, captionArray);
    }
  }
  function _appendText(bytes, chunk, codecType) {
    let result, ccContent;
    const dataView = new DataView(bytes, 0, bytes.byteLength);
    ccContent = codem_isoboxer__WEBPACK_IMPORTED_MODULE_8__.Utils.dataViewToString(dataView, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].UTF8);
    try {
      result = _getParser(codecType).parse(ccContent, 0);
      textTracks.addCaptions(textTracks.getCurrentTrackIdx(), 0, result);
      if (instance.buffered) {
        instance.buffered.add(chunk.start, chunk.end);
      }
    } catch (e) {
      errHandler.error(new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_11__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_12__["default"].TIMED_TEXT_ERROR_ID_PARSE_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_12__["default"].TIMED_TEXT_ERROR_MESSAGE_PARSE + e.message, ccContent));
    }
  }
  function _isDiscontinuityOfChunks(embeddedLastSequenceNumber, sequenceNumber, numSequences, lastChunkEnd, chunkStart) {
    if (embeddedLastSequenceNumber === null || sequenceNumber === null || lastChunkEnd === null || chunkStart === null) {
      return false;
    }
    // Sequence number is always 1 for low latency streams
    if (sequenceNumber === embeddedLastSequenceNumber) {
      // time-based continuity check
      return lastChunkEnd !== chunkStart;
    }
    return sequenceNumber !== embeddedLastSequenceNumber + numSequences;
  }
  function _appendEmbeddedText(bytes, chunk) {
    let i, samplesInfo;

    // Init segment
    if (chunk.segmentType === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.INIT_SEGMENT_TYPE) {
      if (embeddedTimescale === 0) {
        embeddedTimescale = boxParser.getMediaTimescaleFromMoov(bytes);
      }
    }

    // MediaSegment
    else if (chunk.segmentType === _vo_metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_1__.HTTPRequest.MEDIA_SEGMENT_TYPE) {
      if (embeddedTimescale === 0) {
        logger.warn('CEA-608: No timescale for embeddedTextTrack yet');
        return;
      }
      samplesInfo = boxParser.getSamplesInfo(bytes);
      const sequenceNumber = samplesInfo.lastSequenceNumber;
      const chunkStart = Math.trunc(chunk.start);
      const chunkEnd = Math.trunc(chunk.end);
      if (!embeddedCea608FieldParsers[0] && !embeddedCea608FieldParsers[1]) {
        _setupCeaParser();
      }
      if (embeddedTimescale) {
        if (_isDiscontinuityOfChunks(embeddedLastSequenceNumber, sequenceNumber, samplesInfo.numSequences, lastChunkEnd, chunkStart)) {
          for (i = 0; i < embeddedCea608FieldParsers.length; i++) {
            if (embeddedCea608FieldParsers[i]) {
              embeddedCea608FieldParsers[i].reset();
            }
          }
        }
        const allCcData = _extractCea608Data(bytes, samplesInfo.sampleList);
        for (let fieldNr = 0; fieldNr < embeddedCea608FieldParsers.length; fieldNr++) {
          const ccData = allCcData.fields[fieldNr];
          const fieldParser = embeddedCea608FieldParsers[fieldNr];
          if (fieldParser) {
            for (i = 0; i < ccData.length; i++) {
              fieldParser.addData(ccData[i][0] / embeddedTimescale, ccData[i][1]);
            }
          }
        }
        embeddedLastSequenceNumber = sequenceNumber;
        lastChunkEnd = chunkEnd;
      }
    }
  }
  function _setupCeaParser() {
    // Time to setup the CEA-608 parsing
    let trackIdx;
    for (let i = 0; i < embeddedTracks.length; i++) {
      trackIdx = textTracks.getTrackIdxForId(embeddedTracks[i].id);
      if (trackIdx === -1) {
        logger.warn('CEA-608: data before track is ready.');
        return;
      }
      const handler = _makeCueAdderForIndex(trackIdx);
      embeddedCea608FieldParsers[i] = new _svta_common_media_library_cta_608_Cta608Parser__WEBPACK_IMPORTED_MODULE_13__.Cta608Parser(i + 1, {
        newCue: handler
      }, null);
    }
  }
  function _makeCueAdderForIndex(trackIndex) {
    function newCue(startTime, endTime, captionScreen) {
      let captionsArray;
      if (videoModel.getTTMLRenderingDiv()) {
        captionsArray = embeddedTextHtmlRender.createHTMLCaptionsFromScreen(videoModel.getElement(), startTime, endTime, captionScreen);
      } else {
        const text = captionScreen.getDisplayText();
        captionsArray = [{
          start: startTime,
          end: endTime,
          data: text,
          styles: {}
        }];
      }
      if (captionsArray) {
        textTracks.addCaptions(trackIndex, 0, captionsArray);
      }
    }
    return newCue;
  }

  /**
   * Extract CEA-608 data from a buffer of data.
   * @param {ArrayBuffer} data
   * @param {Array} samples cue information
   * @returns {Object|null} ccData corresponding to one segment.
   */
  function _extractCea608Data(data, samples) {
    if (samples.length === 0) {
      return null;
    }
    const allCcData = {
      splits: [],
      fields: [[], []]
    };
    const raw = new DataView(data);
    for (let i = 0; i < samples.length; i++) {
      const sample = samples[i];
      const ccData = (0,_svta_common_media_library_cta_608_extractCta608DataFromSample__WEBPACK_IMPORTED_MODULE_14__.extractCta608DataFromSample)(raw, sample.offset, sample.size);
      let lastSampleTime = null;
      let idx = 0;
      for (let k = 0; k < 2; k++) {
        if (ccData[k].length > 0) {
          if (sample.cts !== lastSampleTime) {
            idx = 0;
          } else {
            idx += 1;
          }
          const timestampOffset = _getTimestampOffset();
          allCcData.fields[k].push([sample.cts + timestampOffset * embeddedTimescale, ccData[k], idx]);
          lastSampleTime = sample.cts;
        }
      }
    }

    // Sort by sampleTime ascending order
    // If two packets have the same sampleTime, use them in the order
    // they were received
    allCcData.fields.forEach(function sortField(field) {
      field.sort(function (a, b) {
        if (a[0] === b[0]) {
          return a[2] - b[2];
        }
        return a[0] - b[0];
      });
    });
    return allCcData;
  }
  function _getTimestampOffset() {
    return !isNaN(instance.timestampOffset) ? instance.timestampOffset : 0;
  }
  function getIsDefault(mediaInfo) {
    //TODO How to tag default. currently same order as listed in manifest.
    // Is there a way to mark a text adaptation set as the default one? DASHIF meeting talk about using role which is being used for track KIND
    // Eg subtitles etc. You can have multiple role tags per adaptation Not defined in the spec yet.
    let isDefault = false;
    if (embeddedTracks.length > 1 && mediaInfo.isEmbedded) {
      isDefault = mediaInfo.id && mediaInfo.id === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].CC1; // CC1 if both CC1 and CC3 exist
    } else if (embeddedTracks.length === 1) {
      if (mediaInfo.id && typeof mediaInfo.id === 'string' && mediaInfo.id.substring(0, 2) === 'CC') {
        // Either CC1 or CC3
        isDefault = true;
      }
    } else if (embeddedTracks.length === 0) {
      isDefault = mediaInfo.index === mediaInfos[0].index;
    }
    return isDefault;
  }
  function _getParser(codecType) {
    let parser;
    if (codecType.search(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VTT) >= 0) {
      parser = settings.get().streaming.text.webvtt.customRenderingEnabled && vttCustomRenderingParser ? vttCustomRenderingParser : vttParser;
    } else if (codecType.search(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TTML) >= 0 || codecType.search(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STPP) >= 0) {
      parser = ttmlParser;
    }
    return parser;
  }
  function remove(start, end) {
    //if start and end are not defined, remove all
    if (start === undefined && start === end) {
      start = instance.buffered.start(0);
      end = instance.buffered.end(instance.buffered.length - 1);
    }
    instance.buffered.remove(start, end);
    textTracks.deleteCuesFromTrackIdx(currFragmentedTrackIdx, start, end);
  }
  function onVideoBufferCleared(e) {
    embeddedTracks.forEach(function (track) {
      const trackIdx = textTracks.getTrackIdxForId(track.id);
      if (trackIdx >= 0) {
        textTracks.deleteCuesFromTrackIdx(trackIdx, e.from, e.to);
      }
    });
  }
  function resetMediaInfos() {
    mediaInfos = [];
  }
  instance = {
    initialize,
    addMediaInfos,
    resetMediaInfos,
    getStreamId,
    append,
    abort,
    addEmbeddedTrack,
    resetEmbedded,
    getConfig,
    setCurrentFragmentedTrackIdx,
    remove,
    reset
  };
  setup();
  return instance;
}
TextSourceBuffer.__dashjs_factory_name = 'TextSourceBuffer';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_5__["default"].getClassFactory(TextSourceBuffer));

/***/ }),

/***/ "./src/streaming/text/TextTracks.js":
/*!******************************************!*\
  !*** ./src/streaming/text/TextTracks.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../streaming/MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_Utils_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/Utils.js */ "./src/core/Utils.js");
/* harmony import */ var _CueSet_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./CueSet.js */ "./src/streaming/text/CueSet.js");
/* harmony import */ var imsc__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! imsc */ "./node_modules/imsc/src/main/js/main.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */









const CUE_PROPS_TO_COMPARE = ['text', 'align', 'fontSize', 'id', 'isd', 'line', 'lineAlign', 'lineHeight', 'linePadding', 'position', 'positionAlign', 'region', 'size', 'snapToLines', 'vertical'];
function TextTracks(config) {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  const videoModel = config.videoModel;
  const streamInfo = config.streamInfo;
  const settings = config.settings;
  let instance, logger, Cue, textTrackInfos, nativeTexttracks, currentTrackIdx, actualVideoLeft, actualVideoTop, actualVideoWidth, actualVideoHeight, captionContainer, vttCaptionContainer, videoSizeCheckInterval, fullscreenAttribute, displayCCOnTop, previousISDState, topZIndex, resizeObserver, hasRequestAnimationFrame, currentCaptionEventCue;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).getInstance().getLogger(instance);
  }
  function initialize() {
    if (typeof window === 'undefined' || typeof navigator === 'undefined') {
      return;
    }
    Cue = window.VTTCue || window.TextTrackCue;
    textTrackInfos = [];
    nativeTexttracks = [];
    currentTrackIdx = -1;
    actualVideoLeft = 0;
    actualVideoTop = 0;
    actualVideoWidth = 0;
    actualVideoHeight = 0;
    captionContainer = null;
    vttCaptionContainer = null;
    videoSizeCheckInterval = null;
    displayCCOnTop = false;
    topZIndex = 2147483647;
    previousISDState = null;
    hasRequestAnimationFrame = 'requestAnimationFrame' in window;
    if (document.fullscreenElement !== undefined) {
      fullscreenAttribute = 'fullscreenElement'; // Standard and Edge
    } else if (document.webkitIsFullScreen !== undefined) {
      fullscreenAttribute = 'webkitIsFullScreen'; // Chrome and Safari (and Edge)
    } else if (document.msFullscreenElement) {
      // IE11
      fullscreenAttribute = 'msFullscreenElement';
    } else if (document.mozFullScreen) {
      // Firefox
      fullscreenAttribute = 'mozFullScreen';
    }
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function createTracks() {
    //Sort in same order as in manifest
    textTrackInfos.sort(function (a, b) {
      return a.index - b.index;
    });
    captionContainer = videoModel.getTTMLRenderingDiv();
    vttCaptionContainer = videoModel.getVttRenderingDiv();
    let defaultIndex = -1;
    for (let i = 0; i < textTrackInfos.length; i++) {
      const nativeTexttrack = _createNativeTextrackElement(textTrackInfos[i]);

      //used to remove tracks from video element when added manually
      nativeTexttracks.push(nativeTexttrack);
      if (textTrackInfos[i].defaultTrack) {
        // track.default is an object property identifier that is a reserved word
        nativeTexttrack.default = true;
        defaultIndex = i;
      }
      const textTrack = getTrackByIdx(i);
      if (textTrack) {
        //each time a track is created, its mode should be showing by default
        //sometime, it's not on Chrome
        textTrack.mode = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING;
        if (captionContainer && (textTrackInfos[i].isTTML || textTrackInfos[i].isEmbedded)) {
          textTrack.renderingType = 'html';
        } else {
          textTrack.renderingType = 'default';
        }
      }
      addCaptions(i, 0, textTrackInfos[i].captionData);
      eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].TEXT_TRACK_ADDED);
    }

    //set current track index in textTrackQueue array
    setCurrentTrackIdx.call(this, defaultIndex);
    if (defaultIndex >= 0) {
      let onMetadataLoaded = function () {
        const track = getTrackByIdx(defaultIndex);
        if (track && track.renderingType === 'html') {
          checkVideoSize.call(this, track, true);
        }
        eventBus.off(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].PLAYBACK_METADATA_LOADED, onMetadataLoaded, this);
      };
      eventBus.on(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].PLAYBACK_METADATA_LOADED, onMetadataLoaded, this);
      for (let idx = 0; idx < textTrackInfos.length; idx++) {
        const videoTextTrack = getTrackByIdx(idx);
        if (videoTextTrack) {
          const dispatchForManualRendering = settings.get().streaming.text.dispatchForManualRendering;
          videoTextTrack.mode = idx === defaultIndex && !dispatchForManualRendering ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_HIDDEN;
          videoTextTrack.manualMode = idx === defaultIndex ? _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING : _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_HIDDEN;
        }
      }
    }
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].TEXT_TRACKS_QUEUE_INITIALIZED, {
      index: currentTrackIdx,
      tracks: textTrackInfos,
      streamId: streamInfo.id
    });
  }
  function _createNativeTextrackElement(element) {
    const kind = element.kind;
    const label = element.id !== undefined ? element.id : element.lang;
    const lang = element.lang;
    const isTTML = element.isTTML;
    const isEmbedded = element.isEmbedded;
    const track = videoModel.addTextTrack(kind, label, lang, isTTML, isEmbedded);
    return track;
  }
  function addTextTrackInfo(textTrackInfoVO) {
    textTrackInfos.push(textTrackInfoVO);
  }
  function getVideoVisibleVideoSize(viewWidth, viewHeight, videoWidth, videoHeight, aspectRatio, use80Percent) {
    const viewAspectRatio = viewWidth / viewHeight;
    const videoAspectRatio = videoWidth / videoHeight;
    let videoPictureWidth = 0;
    let videoPictureHeight = 0;
    if (viewAspectRatio > videoAspectRatio) {
      videoPictureHeight = viewHeight;
      videoPictureWidth = videoPictureHeight / videoHeight * videoWidth;
    } else {
      videoPictureWidth = viewWidth;
      videoPictureHeight = videoPictureWidth / videoWidth * videoHeight;
    }
    let videoPictureXAspect = 0;
    let videoPictureYAspect = 0;
    let videoPictureWidthAspect = 0;
    let videoPictureHeightAspect = 0;
    const videoPictureAspect = videoPictureWidth / videoPictureHeight;
    if (videoPictureAspect > aspectRatio) {
      videoPictureHeightAspect = videoPictureHeight;
      videoPictureWidthAspect = videoPictureHeight * aspectRatio;
    } else {
      videoPictureWidthAspect = videoPictureWidth;
      videoPictureHeightAspect = videoPictureWidth / aspectRatio;
    }
    videoPictureXAspect = (viewWidth - videoPictureWidthAspect) / 2;
    videoPictureYAspect = (viewHeight - videoPictureHeightAspect) / 2;
    if (use80Percent) {
      return {
        x: videoPictureXAspect + videoPictureWidthAspect * 0.1,
        y: videoPictureYAspect + videoPictureHeightAspect * 0.1,
        w: videoPictureWidthAspect * 0.8,
        h: videoPictureHeightAspect * 0.8
      }; /* Maximal picture size in videos aspect ratio */
    } else {
      return {
        x: videoPictureXAspect,
        y: videoPictureYAspect,
        w: videoPictureWidthAspect,
        h: videoPictureHeightAspect
      }; /* Maximal picture size in videos aspect ratio */
    }
  }
  function checkVideoSize(track, forceDrawing) {
    const clientWidth = videoModel.getClientWidth();
    const clientHeight = videoModel.getClientHeight();
    const videoWidth = videoModel.getVideoWidth();
    const videoHeight = videoModel.getVideoHeight();
    const videoOffsetTop = videoModel.getVideoRelativeOffsetTop();
    const videoOffsetLeft = videoModel.getVideoRelativeOffsetLeft();
    if (videoWidth !== 0 && videoHeight !== 0) {
      let aspectRatio = videoWidth / videoHeight;
      let use80Percent = false;
      if (track.isFromCEA608) {
        // If this is CEA608 then use predefined aspect ratio
        aspectRatio = 3.5 / 3.0;
        use80Percent = true;
      }
      const realVideoSize = getVideoVisibleVideoSize.call(this, clientWidth, clientHeight, videoWidth, videoHeight, aspectRatio, use80Percent);
      const newVideoWidth = realVideoSize.w;
      const newVideoHeight = realVideoSize.h;
      const newVideoLeft = realVideoSize.x;
      const newVideoTop = realVideoSize.y;
      if (newVideoWidth != actualVideoWidth || newVideoHeight != actualVideoHeight || newVideoLeft != actualVideoLeft || newVideoTop != actualVideoTop || forceDrawing) {
        actualVideoLeft = newVideoLeft + videoOffsetLeft;
        actualVideoTop = newVideoTop + videoOffsetTop;
        actualVideoWidth = newVideoWidth;
        actualVideoHeight = newVideoHeight;
        if (captionContainer) {
          const containerStyle = captionContainer.style;
          if (containerStyle) {
            containerStyle.left = actualVideoLeft + 'px';
            containerStyle.top = actualVideoTop + 'px';
            containerStyle.width = actualVideoWidth + 'px';
            containerStyle.height = actualVideoHeight + 'px';
            containerStyle.zIndex = fullscreenAttribute && document[fullscreenAttribute] || displayCCOnTop ? topZIndex : null;
            eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].CAPTION_CONTAINER_RESIZE);
          }
        }

        // Video view has changed size, so resize any active cues
        const activeCues = track.activeCues;
        if (activeCues) {
          const len = activeCues.length;
          for (let i = 0; i < len; ++i) {
            const cue = activeCues[i];
            cue.scaleCue(cue);
          }
        }
      }
    }
  }
  function _scaleCue(activeCue) {
    const videoWidth = actualVideoWidth;
    const videoHeight = actualVideoHeight;
    let key, replaceValue, valueFontSize, valueLineHeight, elements;
    if (activeCue.cellResolution) {
      const cellUnit = [videoWidth / activeCue.cellResolution[0], videoHeight / activeCue.cellResolution[1]];
      if (activeCue.linePadding) {
        for (key in activeCue.linePadding) {
          if (activeCue.linePadding.hasOwnProperty(key)) {
            const valueLinePadding = activeCue.linePadding[key];
            replaceValue = (valueLinePadding * cellUnit[0]).toString();
            // Compute the CellResolution unit in order to process properties using sizing (fontSize, linePadding, etc).
            const elementsSpan = document.getElementsByClassName('spanPadding');
            for (let i = 0; i < elementsSpan.length; i++) {
              elementsSpan[i].style.cssText = elementsSpan[i].style.cssText.replace(/(padding-left\s*:\s*)[\d.,]+(?=\s*px)/gi, '$1' + replaceValue);
              elementsSpan[i].style.cssText = elementsSpan[i].style.cssText.replace(/(padding-right\s*:\s*)[\d.,]+(?=\s*px)/gi, '$1' + replaceValue);
            }
          }
        }
      }
      if (activeCue.fontSize) {
        for (key in activeCue.fontSize) {
          if (activeCue.fontSize.hasOwnProperty(key)) {
            if (activeCue.fontSize[key][0] === '%') {
              valueFontSize = activeCue.fontSize[key][1] / 100;
            } else if (activeCue.fontSize[key][0] === 'c') {
              valueFontSize = activeCue.fontSize[key][1];
            }
            replaceValue = (valueFontSize * cellUnit[1]).toString();
            if (key !== 'defaultFontSize') {
              elements = document.getElementsByClassName(key);
            } else {
              elements = document.getElementsByClassName('paragraph');
            }
            for (let j = 0; j < elements.length; j++) {
              elements[j].style.cssText = elements[j].style.cssText.replace(/(font-size\s*:\s*)[\d.,]+(?=\s*px)/gi, '$1' + replaceValue);
            }
          }
        }
        if (activeCue.lineHeight) {
          for (key in activeCue.lineHeight) {
            if (activeCue.lineHeight.hasOwnProperty(key)) {
              if (activeCue.lineHeight[key][0] === '%') {
                valueLineHeight = activeCue.lineHeight[key][1] / 100;
              } else if (activeCue.fontSize[key][0] === 'c') {
                valueLineHeight = activeCue.lineHeight[key][1];
              }
              replaceValue = (valueLineHeight * cellUnit[1]).toString();
              elements = document.getElementsByClassName(key);
              for (let k = 0; k < elements.length; k++) {
                elements[k].style.cssText = elements[k].style.cssText.replace(/(line-height\s*:\s*)[\d.,]+(?=\s*px)/gi, '$1' + replaceValue);
              }
            }
          }
        }
      }
    }
    if (activeCue.isd) {
      let htmlCaptionDiv = document.getElementById(activeCue.cueID);
      if (htmlCaptionDiv) {
        captionContainer.removeChild(htmlCaptionDiv);
      }
      _renderCaption(activeCue);
    }
  }
  function _resolveImageSrc(cue, src) {
    const imsc1ImgUrnTester = /^(urn:)(mpeg:[a-z0-9][a-z0-9-]{0,31}:)(subs:)([0-9]+)$/;
    const smpteImgUrnTester = /^#(.*)$/;
    if (imsc1ImgUrnTester.test(src)) {
      const match = imsc1ImgUrnTester.exec(src);
      const imageId = parseInt(match[4], 10) - 1;
      const imageData = btoa(cue.images[imageId]);
      const imageSrc = 'data:image/png;base64,' + imageData;
      return imageSrc;
    } else if (smpteImgUrnTester.test(src)) {
      const match = smpteImgUrnTester.exec(src);
      const imageId = match[1];
      const imageSrc = 'data:image/png;base64,' + cue.embeddedImages[imageId];
      return imageSrc;
    } else {
      return src;
    }
  }
  function _renderCaption(cue) {
    if (captionContainer) {
      clearCaptionContainer.call(this);
      const finalCue = document.createElement('div');
      captionContainer.appendChild(finalCue);
      previousISDState = (0,imsc__WEBPACK_IMPORTED_MODULE_8__.renderHTML)(cue.isd, finalCue, function (src) {
        return _resolveImageSrc(cue, src);
      }, captionContainer.clientHeight, captionContainer.clientWidth, settings.get().streaming.text.imsc.displayForcedOnlyMode, function (err) {
        logger.info('renderCaption :', err); /*TODO: add ErrorHandler management*/
      }, previousISDState, settings.get().streaming.text.imsc.enableRollUp);
      finalCue.id = cue.cueID;
      eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].CAPTION_RENDERED, {
        captionDiv: finalCue,
        currentTrackIdx
      });
    }
  }

  // Check that a new cue immediately follows the previous cue
  function _areCuesAdjacent(cue, prevCue) {
    if (!prevCue) {
      return false;
    }
    // Check previous cue endTime with current cue startTime
    // (should we consider an epsilon margin? for example to get around rounding issues)
    return prevCue.endTime >= cue.startTime;
  }

  // Check if cue content is identical. If it is, extend the previous cue.
  function _extendLastCue(cue, prevCue) {
    if (!settings.get().streaming.text.extendSegmentedCues) {
      return false;
    }
    if (!_cuesContentAreEqual(prevCue, cue, CUE_PROPS_TO_COMPARE)) {
      return false;
    }
    prevCue.endTime = Math.max(prevCue.endTime, cue.endTime);
    return true;
  }
  function _cuesContentAreEqual(cue1, cue2, props) {
    for (let i = 0; i < props.length; i++) {
      const key = props[i];
      if (JSON.stringify(cue1[key]) !== JSON.stringify(cue2[key])) {
        return false;
      }
    }
    return true;
  }
  function _resolveImagesInContents(cue, contents) {
    if (!contents) {
      return;
    }
    contents.forEach(c => {
      if (c.kind && c.kind === 'image') {
        c.src = _resolveImageSrc(cue, c.src);
      }
      _resolveImagesInContents(cue, c.contents);
    });
  }

  /*
   * Add captions to track, store for later adding, or add captions added before
   */
  function addCaptions(trackIdx, timeOffset, captionData) {
    const track = getTrackByIdx(trackIdx);
    const dispatchForManualRendering = settings.get().streaming.text.dispatchForManualRendering;
    if (!track) {
      return;
    }
    if (!Array.isArray(captionData) || captionData.length === 0) {
      return;
    }
    const cueSet = new _CueSet_js__WEBPACK_IMPORTED_MODULE_7__.CueSet(track.cues);
    for (let item = 0; item < captionData.length; item++) {
      let cue = null;
      const currentItem = captionData[item];
      track.cellResolution = currentItem.cellResolution;
      track.isFromCEA608 = currentItem.isFromCEA608;
      if (!isNaN(currentItem.start) && !isNaN(currentItem.end)) {
        if (dispatchForManualRendering) {
          cue = _handleCaptionEvents(currentItem, timeOffset);
        } else if (_isHTMLCue(currentItem) && captionContainer) {
          cue = _handleHtmlCaption(currentItem, timeOffset, track);
        } else if (currentItem.data) {
          cue = _handleNonHtmlCaption(currentItem, timeOffset, track);
        }
      }
      try {
        if (cue) {
          if (!cueSet.hasCue(cue)) {
            cueSet.addCue(cue);
            if (settings.get().streaming.text.webvtt.customRenderingEnabled) {
              if (!track.manualCueList) {
                track.manualCueList = [];
              }
              track.manualCueList.push(cue);
            } else {
              // Handle adjacent cues
              let prevCue;
              if (track.cues && track.cues.length !== 0) {
                prevCue = track.cues[track.cues.length - 1];
              }
              if (_areCuesAdjacent(cue, prevCue)) {
                if (!_extendLastCue(cue, prevCue)) {
                  /* If cues are adjacent but not identical (extended), let the render function of the next cue
                   * clear up the captionsContainer so removal and appending are instantaneous.
                   * Only do this for imsc subs (where isd is present).
                   */
                  if (prevCue.isd) {
                    prevCue.onexit = function () {};
                  }
                  // If cues are added when the track is disabled they can still persist in memory
                  if (track.mode !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_DISABLED) {
                    track.addCue(cue);
                  }
                }
              } else {
                if (track.mode !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_DISABLED) {
                  track.addCue(cue);
                }
              }
            }
          }

          // Remove old cues
          const bufferToKeep = settings.get().streaming.buffer.bufferToKeep;
          const currentTime = videoModel.getTime();
          _deleteOutdatedTrackCues(track, 0, currentTime - bufferToKeep);
        } else {
          logger.error('Impossible to display subtitles. You might have missed setting a TTML rendering div via player.attachTTMLRenderingDiv(TTMLRenderingDiv)');
        }
      } catch (e) {
        // Edge crash, delete everything and start adding again
        // @see https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/11979877/
        _deleteTrackCues(track);
        track.addCue(cue);
        throw e;
      }
    }
  }
  function _handleCaptionEvents(currentItem, timeOffset) {
    let cue = _getCueInformation(currentItem, timeOffset);
    cue.onenter = function () {
      // HTML Tracks don't trigger the onexit event when a new cue is entered,
      // we need to manually trigger it
      if (_isHTMLCue(currentItem) && currentCaptionEventCue && currentCaptionEventCue.cueID !== cue.cueID) {
        _triggerCueExit(currentCaptionEventCue);
      }
      // We need to delete the type attribute to be able to dispatch via th event bus
      delete cue.type;
      currentCaptionEventCue = cue;
      _triggerCueEnter(cue);
    };
    cue.onexit = function () {
      _triggerCueExit(cue);
      currentCaptionEventCue = null;
    };
    return cue;
  }
  function _triggerCueEnter(cue) {
    eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].CUE_ENTER, cue);
  }
  function _triggerCueExit(cue) {
    eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].CUE_EXIT, {
      cueID: cue.cueID
    });
  }
  function _handleHtmlCaption(currentItem, timeOffset, track) {
    const self = this;
    let cue = _getCueInformation(currentItem, timeOffset);
    captionContainer.style.left = actualVideoLeft + 'px';
    captionContainer.style.top = actualVideoTop + 'px';
    captionContainer.style.width = actualVideoWidth + 'px';
    captionContainer.style.height = actualVideoHeight + 'px';
    cue.onenter = function () {
      if (track.mode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING) {
        if (this.isd) {
          if (hasRequestAnimationFrame) {
            // Ensure everything in _renderCaption happens in the same frame
            requestAnimationFrame(() => _renderCaption(this));
          } else {
            _renderCaption(this);
          }
          logger.debug('Cue enter id:' + this.cueID);
        } else {
          captionContainer.appendChild(this.cueHTMLElement);
          _scaleCue.call(self, this);
          eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].CAPTION_RENDERED, {
            captionDiv: this.cueHTMLElement,
            currentTrackIdx
          });
        }
      }
    };

    // For imsc subs, this could be reassigned to not do anything if there is a cue that immediately follows this one
    cue.onexit = function () {
      if (captionContainer) {
        const divs = captionContainer.childNodes;
        for (let i = 0; i < divs.length; ++i) {
          if (divs[i].id === this.cueID) {
            logger.debug('Cue exit id:' + divs[i].id);
            captionContainer.removeChild(divs[i]);
            --i;
          }
        }
      }
    };
    return cue;
  }
  function _handleNonHtmlCaption(currentItem, timeOffset, track) {
    let cue = _getCueInformation(currentItem, timeOffset);
    cue.isActive = false;
    if (currentItem.styles) {
      try {
        if (currentItem.styles.align !== undefined && 'align' in cue) {
          cue.align = currentItem.styles.align;
        }
        if (currentItem.styles.line !== undefined && 'line' in cue) {
          cue.line = currentItem.styles.line;
        }
        if (currentItem.styles.lineAlign !== undefined) {
          cue.lineAlign = currentItem.styles.lineAlign;
        }
        if (currentItem.styles.snapToLines !== undefined && 'snapToLines' in cue) {
          cue.snapToLines = currentItem.styles.snapToLines;
        }
        if (currentItem.styles.position !== undefined && 'position' in cue) {
          cue.position = currentItem.styles.position;
        }
        if (currentItem.styles.positionAlign !== undefined) {
          cue.positionAlign = currentItem.styles.positionAlign;
        }
        if (currentItem.styles.size !== undefined && 'size' in cue) {
          cue.size = currentItem.styles.size;
        }
      } catch (e) {
        logger.error(e);
      }
    }
    cue.onenter = function () {
      if (track.mode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING) {
        eventBus.trigger(_streaming_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_3__["default"].CAPTION_RENDERED, {
          currentTrackIdx
        });
      }
    };
    return cue;
  }
  function _isHTMLCue(cue) {
    return cue.type === 'html';
  }
  function _getCueInformation(currentItem, timeOffset) {
    if (_isHTMLCue(currentItem)) {
      return _getCueInformationForHtml(currentItem, timeOffset);
    }
    return _getCueInformationForNonHtml(currentItem, timeOffset);
  }
  function _getCueInformationForHtml(currentItem, timeOffset) {
    let cue = new Cue(currentItem.start + timeOffset, currentItem.end + timeOffset, '');
    cue.cueHTMLElement = currentItem.cueHTMLElement;
    cue.isd = currentItem.isd;
    cue.images = currentItem.images;
    cue.embeddedImages = currentItem.embeddedImages;
    cue.cueID = currentItem.cueID;
    cue.scaleCue = _scaleCue.bind(self);
    //useful parameters for cea608 subtitles, not for TTML one.
    cue.cellResolution = currentItem.cellResolution;
    cue.lineHeight = currentItem.lineHeight;
    cue.linePadding = currentItem.linePadding;
    cue.fontSize = currentItem.fontSize;

    // Resolve images sources
    if (cue.isd) {
      _resolveImagesInContents(cue, cue.isd.contents);
    }
    return cue;
  }
  function _getCueInformationForNonHtml(currentItem, timeOffset) {
    let cue = new Cue(currentItem.start - timeOffset, currentItem.end - timeOffset, currentItem.data);
    cue.cueID = _core_Utils_js__WEBPACK_IMPORTED_MODULE_6__["default"].generateUuid();
    return cue;
  }
  function manualCueProcessing(time) {
    const activeTracks = _getManualActiveTracks();
    if (activeTracks && activeTracks.length > 0) {
      const targetTrack = activeTracks[0];
      const cues = targetTrack.manualCueList;
      if (cues && cues.length > 0) {
        cues.forEach(cue => {
          // Render cue if target time is reached and not in active state
          if (cue.startTime <= time && cue.endTime >= time && !cue.isActive) {
            cue.isActive = true;
            if (settings.get().streaming.text.dispatchForManualRendering) {
              _triggerCueEnter(cue);
            } else {
              // eslint-disable-next-line no-undef
              WebVTT.processCues(window, [cue], vttCaptionContainer, cue.cueID);
            }
          } else if (cue.isActive && (cue.startTime > time || cue.endTime < time)) {
            cue.isActive = false;
            if (settings.get().streaming.text.dispatchForManualRendering) {
              _triggerCueExit(cue);
            } else {
              _removeManualCue(cue);
            }
          }
        });
      }
    }
  }
  function _removeManualCue(cue) {
    if (vttCaptionContainer) {
      const divs = vttCaptionContainer.childNodes;
      for (let i = 0; i < divs.length; ++i) {
        if (divs[i].id === cue.cueID) {
          vttCaptionContainer.removeChild(divs[i]);
          --i;
        }
      }
    }
  }
  function disableManualTracks() {
    const activeTracks = _getManualActiveTracks();
    if (activeTracks && activeTracks.length > 0) {
      const targetTrack = activeTracks[0];
      const cues = targetTrack.manualCueList;
      if (cues && cues.length > 0) {
        cues.forEach(cue => {
          if (cue.isActive) {
            cue.isActive = false;
            if (settings.get().streaming.text.dispatchForManualRendering) {
              _triggerCueExit(cue);
            } else if (vttCaptionContainer) {
              const divs = vttCaptionContainer.childNodes;
              for (let i = 0; i < divs.length; ++i) {
                if (divs[i].id === cue.cueID) {
                  vttCaptionContainer.removeChild(divs[i]);
                  --i;
                }
              }
            }
          }
        });
      }
    }
  }
  function _getManualActiveTracks() {
    const tracks = videoModel.getTextTracks();
    const activeTracks = [];
    for (const track of tracks) {
      if (track.manualMode === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].TEXT_SHOWING) {
        activeTracks.push(track);
      }
    }
    return activeTracks;
  }
  function getTrackByIdx(idx) {
    return idx >= 0 && textTrackInfos[idx] ? videoModel.getTextTrack(textTrackInfos[idx].kind, textTrackInfos[idx].id, textTrackInfos[idx].lang, textTrackInfos[idx].isTTML, textTrackInfos[idx].isEmbedded) : null;
  }
  function getCurrentTrackIdx() {
    return currentTrackIdx;
  }
  function getTrackIdxForId(trackId) {
    let idx = -1;
    for (let i = 0; i < textTrackInfos.length; i++) {
      if (textTrackInfos[i].id === trackId) {
        idx = i;
        break;
      }
    }
    return idx;
  }
  function setCurrentTrackIdx(idx) {
    if (idx === currentTrackIdx) {
      return;
    }
    currentTrackIdx = idx;
    const track = getTrackByIdx(currentTrackIdx);
    setCueStyleOnTrack.call(this, track);
    if (videoSizeCheckInterval) {
      clearInterval(videoSizeCheckInterval);
      videoSizeCheckInterval = null;
    }
    if (track && track.renderingType === 'html') {
      checkVideoSize.call(this, track, true);
      if (window.ResizeObserver) {
        resizeObserver = new window.ResizeObserver(() => {
          checkVideoSize.call(this, track, true);
        });
        resizeObserver.observe(videoModel.getElement());
      } else {
        videoSizeCheckInterval = setInterval(checkVideoSize.bind(this, track), 500);
      }
    }
  }
  function setCueStyleOnTrack(track) {
    clearCaptionContainer.call(this);
    if (track) {
      if (track.renderingType === 'html') {
        setNativeCueStyle.call(this);
      } else {
        removeNativeCueStyle.call(this);
      }
    } else {
      removeNativeCueStyle.call(this);
    }
  }
  function cueInRange(cue, start, end) {
    let strict = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
    if (!cue) {
      return false;
    }
    return (isNaN(start) || (strict ? cue.startTime : cue.endTime) >= start) && (isNaN(end) || (strict ? cue.endTime : cue.startTime) <= end);
  }
  function _deleteOutdatedTrackCues(track, start, end) {
    if (end < start) {
      return;
    }
    if (track && (track.cues || track.manualCueList)) {
      const mode = track.cues && track.cues.length > 0 ? 'native' : 'custom';
      const cues = mode === 'native' ? track.cues : track.manualCueList;
      if (!cues || cues.length === 0) {
        return;
      }
      const lastIdx = cues.length - 1;
      for (let r = lastIdx; r >= 0; r--) {
        if (cueInRange(cues[r], start, end, true) && !_isCueActive(cues[r])) {
          if (mode === 'native') {
            track.removeCue(cues[r]);
          } else {
            _removeManualCue(cues[r]);
            delete track.manualCueList[r];
          }
        }
      }
    }
  }
  function _deleteTrackCues(track, start, end) {
    let strict = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
    if (track && (track.cues || track.manualCueList)) {
      const mode = track.cues && track.cues.length > 0 ? 'native' : 'custom';
      const cues = mode === 'native' ? track.cues : track.manualCueList;
      if (!cues || cues.length === 0) {
        return;
      }
      const lastIdx = cues.length - 1;
      for (let r = lastIdx; r >= 0; r--) {
        if (cueInRange(cues[r], start, end, strict)) {
          if (mode === 'native') {
            if (cues[r].onexit) {
              cues[r].onexit();
            }
            track.removeCue(cues[r]);
          } else {
            _removeManualCue(cues[r]);
            delete track.manualCueList[r];
          }
        }
      }
    }
  }
  function _isCueActive(cue) {
    const currentTime = videoModel.getTime();
    return currentTime >= cue.startTime && currentTime <= cue.endTime;
  }
  function deleteCuesFromTrackIdx(trackIdx, start, end) {
    const track = getTrackByIdx(trackIdx);
    if (track) {
      _deleteTrackCues(track, start, end);
    }
  }
  function deleteAllTextTracks() {
    const ln = nativeTexttracks ? nativeTexttracks.length : 0;
    for (let i = 0; i < ln; i++) {
      const track = getTrackByIdx(i);
      if (track) {
        _deleteTrackCues.call(this, track, streamInfo.start, streamInfo.start + streamInfo.duration, false);
      }
    }
    nativeTexttracks = [];
    textTrackInfos = [];
    if (videoSizeCheckInterval) {
      clearInterval(videoSizeCheckInterval);
      videoSizeCheckInterval = null;
    }
    if (resizeObserver && videoModel) {
      resizeObserver.unobserve(videoModel.getElement());
      resizeObserver = null;
    }
    currentTrackIdx = -1;
    clearCaptionContainer.call(this);
  }

  /* Set native cue style to transparent background to avoid it being displayed. */
  function setNativeCueStyle() {
    let styleElement = document.getElementById('native-cue-style');
    if (styleElement) {
      return; //Already set
    }
    styleElement = document.createElement('style');
    styleElement.id = 'native-cue-style';
    document.head.appendChild(styleElement);
    const stylesheet = styleElement.sheet;
    const video = videoModel.getElement();
    try {
      if (video) {
        if (video.id) {
          stylesheet.insertRule('#' + video.id + '::cue {background: transparent}', 0);
        } else if (video.classList.length !== 0) {
          stylesheet.insertRule('.' + video.className + '::cue {background: transparent}', 0);
        } else {
          stylesheet.insertRule('video::cue {background: transparent}', 0);
        }
      }
    } catch (e) {
      logger.info('' + e.message);
    }
  }

  /* Remove the extra cue style with transparent background for native cues. */
  function removeNativeCueStyle() {
    const styleElement = document.getElementById('native-cue-style');
    if (styleElement) {
      document.head.removeChild(styleElement);
    }
  }
  function clearCaptionContainer() {
    if (captionContainer) {
      while (captionContainer.firstChild) {
        captionContainer.removeChild(captionContainer.firstChild);
      }
    }
  }
  function setModeForTrackIdx(idx, mode) {
    const track = getTrackByIdx(idx);
    if (track && track.mode !== mode) {
      track.mode = mode;
    }
    if (track && track.manualMode !== mode) {
      track.manualMode = mode;
    }
  }
  function getCurrentTextTrackInfo() {
    return textTrackInfos[currentTrackIdx];
  }
  function getTextTrackInfos() {
    return textTrackInfos;
  }
  instance = {
    addCaptions,
    addTextTrackInfo,
    createTracks,
    deleteAllTextTracks,
    deleteCuesFromTrackIdx,
    disableManualTracks,
    getCurrentTrackIdx,
    getCurrentTextTrackInfo,
    getStreamId,
    getTextTrackInfos,
    getTrackIdxForId,
    initialize,
    manualCueProcessing,
    setCurrentTrackIdx,
    setModeForTrackIdx
  };
  setup();
  return instance;
}
TextTracks.__dashjs_factory_name = 'TextTracks';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_4__["default"].getClassFactory(TextTracks));

/***/ }),

/***/ "./src/streaming/thumbnail/ThumbnailController.js":
/*!********************************************************!*\
  !*** ./src/streaming/thumbnail/ThumbnailController.js ***!
  \********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_Thumbnail_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../vo/Thumbnail.js */ "./src/streaming/vo/Thumbnail.js");
/* harmony import */ var _ThumbnailTracks_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ThumbnailTracks.js */ "./src/streaming/thumbnail/ThumbnailTracks.js");
/* harmony import */ var _dash_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../dash/utils/SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





function ThumbnailController(config) {
  const context = this.context;
  const streamInfo = config.streamInfo;
  let instance, thumbnailTracks;
  function setup() {
    reset();
    thumbnailTracks = (0,_ThumbnailTracks_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).create({
      streamInfo: streamInfo,
      adapter: config.adapter,
      baseURLController: config.baseURLController,
      timelineConverter: config.timelineConverter,
      debug: config.debug,
      eventBus: config.eventBus,
      events: config.events,
      dashConstants: config.dashConstants,
      dashMetrics: config.dashMetrics,
      segmentBaseController: config.segmentBaseController
    });
  }
  function initialize() {
    thumbnailTracks.addTracks();
    const tracks = thumbnailTracks.getTracks();
    if (tracks && tracks.length > 0) {
      setTrackByIndex(0);
    }
  }
  function getStreamId() {
    return streamInfo.id;
  }
  function provide(time, callback) {
    if (typeof callback !== 'function') {
      return;
    }
    const track = thumbnailTracks.getCurrentTrack();
    let offset, request;
    if (!track || track.segmentDuration <= 0 || time === undefined || time === null) {
      callback(null);
      return;
    }
    request = thumbnailTracks.getThumbnailRequestForTime(time);
    if (request) {
      track.segmentDuration = request.duration;
    }
    offset = time % track.segmentDuration;
    const thumbIndex = Math.floor(offset * track.tilesHor * track.tilesVert / track.segmentDuration);
    // Create and return the thumbnail
    const thumbnail = new _vo_Thumbnail_js__WEBPACK_IMPORTED_MODULE_1__["default"]();
    thumbnail.width = Math.floor(track.widthPerTile);
    thumbnail.height = Math.floor(track.heightPerTile);
    thumbnail.x = Math.floor(thumbIndex % track.tilesHor) * track.widthPerTile;
    thumbnail.y = Math.floor(thumbIndex / track.tilesHor) * track.heightPerTile;
    if ('readThumbnail' in track) {
      return track.readThumbnail(time, url => {
        thumbnail.url = url;
        callback(thumbnail);
      });
    } else {
      if (!request) {
        const seq = Math.floor(time / track.segmentDuration);
        thumbnail.url = _buildUrlFromTemplate(track, seq);
      } else {
        thumbnail.url = request.url;
        track.segmentDuration = NaN;
      }
      callback(thumbnail);
    }
  }
  function _buildUrlFromTemplate(track, seq) {
    const seqIdx = seq + track.startNumber;
    const url = (0,_dash_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_3__.processUriTemplate)(track.templateUrl, undefined, seqIdx, undefined, track.bandwidth, (seqIdx - 1) * track.segmentDuration * track.timescale);
    return url;
  }
  function setTrackByIndex(index) {
    thumbnailTracks.setTrackByIndex(index);
  }
  function setTrackById(id) {
    thumbnailTracks.setTrackById(id);
  }
  function getCurrentTrackIndex() {
    return thumbnailTracks.getCurrentTrackIndex();
  }
  function getCurrentTrack() {
    return thumbnailTracks.getCurrentTrack();
  }
  function getPossibleVoRepresentations() {
    return thumbnailTracks.getRepresentations();
  }
  function reset() {
    if (thumbnailTracks) {
      thumbnailTracks.reset();
    }
  }
  instance = {
    getCurrentTrack,
    getCurrentTrackIndex,
    getPossibleVoRepresentations,
    getStreamId,
    initialize,
    provide,
    reset,
    setTrackByIndex,
    setTrackById
  };
  setup();
  return instance;
}
ThumbnailController.__dashjs_factory_name = 'ThumbnailController';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(ThumbnailController));

/***/ }),

/***/ "./src/streaming/thumbnail/ThumbnailTracks.js":
/*!****************************************************!*\
  !*** ./src/streaming/thumbnail/ThumbnailTracks.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_ThumbnailTrackInfo_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../vo/ThumbnailTrackInfo.js */ "./src/streaming/vo/ThumbnailTrackInfo.js");
/* harmony import */ var _streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../streaming/utils/URLUtils.js */ "./src/streaming/utils/URLUtils.js");
/* harmony import */ var _dash_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../dash/utils/SegmentsUtils.js */ "./src/dash/utils/SegmentsUtils.js");
/* harmony import */ var _streaming_utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../streaming/utils/BoxParser.js */ "./src/streaming/utils/BoxParser.js");
/* harmony import */ var _streaming_net_XHRLoader_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../streaming/net/XHRLoader.js */ "./src/streaming/net/XHRLoader.js");
/* harmony import */ var _dash_DashHandler_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../dash/DashHandler.js */ "./src/dash/DashHandler.js");
/* harmony import */ var _dash_controllers_SegmentsController_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../dash/controllers/SegmentsController.js */ "./src/dash/controllers/SegmentsController.js");
/* harmony import */ var _vo_CommonMediaRequest_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../vo/CommonMediaRequest.js */ "./src/streaming/vo/CommonMediaRequest.js");
/* harmony import */ var _vo_CommonMediaResponse_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../vo/CommonMediaResponse.js */ "./src/streaming/vo/CommonMediaResponse.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */












function ThumbnailTracks(config) {
  const context = this.context;
  const adapter = config.adapter;
  const baseURLController = config.baseURLController;
  const streamInfo = config.streamInfo;
  const timelineConverter = config.timelineConverter;
  const debug = config.debug;
  const eventBus = config.eventBus;
  const events = config.events;
  const dashConstants = config.dashConstants;
  const urlUtils = (0,_streaming_utils_URLUtils_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  let instance, tracks, representations, dashHandler, currentTrackIndex, mediaInfo, segmentsController, loader, boxParser;
  function setup() {
    reset();
    loader = (0,_streaming_net_XHRLoader_js__WEBPACK_IMPORTED_MODULE_7__["default"])(context).create({});
    boxParser = (0,_streaming_utils_BoxParser_js__WEBPACK_IMPORTED_MODULE_6__["default"])(context).getInstance();
    segmentsController = (0,_dash_controllers_SegmentsController_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create({
      events,
      eventBus,
      streamInfo,
      timelineConverter,
      dashConstants,
      dashMetrics: config.dashMetrics,
      segmentBaseController: config.segmentBaseController,
      type: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE
    });
    dashHandler = (0,_dash_DashHandler_js__WEBPACK_IMPORTED_MODULE_8__["default"])(context).create({
      streamInfo,
      type: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE,
      timelineConverter,
      segmentsController,
      baseURLController,
      debug,
      eventBus,
      events,
      dashConstants,
      urlUtils
    });

    // initialize controllers
    dashHandler.initialize(adapter ? adapter.getIsDynamic() : false);
  }
  function addTracks() {
    if (!streamInfo || !adapter) {
      return;
    }

    // Extract thumbnail tracks
    mediaInfo = adapter.getMediaInfoForType(streamInfo, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].IMAGE);
    if (!mediaInfo) {
      return;
    }
    const voReps = adapter.getVoRepresentations(mediaInfo);
    if (voReps && voReps.length > 0) {
      voReps.forEach(rep => {
        if (rep.segmentInfoType === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_TEMPLATE && rep.segmentDuration > 0 && rep.media || rep.segmentInfoType === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_TIMELINE) {
          _createTrack(rep);
        }
        if (rep.segmentInfoType === _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_1__["default"].SEGMENT_BASE) {
          _createTrack(rep, true);
        }
        representations.push(rep);
      });
    }
    if (tracks.length > 0) {
      // Sort bitrates and select the lowest bitrate rendition
      tracks.sort((a, b) => a.bitrate - b.bitrate);
    }
  }
  function _createTrack(representation, useSegmentBase) {
    const track = new _vo_ThumbnailTrackInfo_js__WEBPACK_IMPORTED_MODULE_3__["default"]();
    track.id = representation.id;
    track.bitrate = representation.bandwidth;
    track.width = representation.width;
    track.height = representation.height;
    track.tilesHor = 1;
    track.tilesVert = 1;
    if (representation.essentialProperties) {
      representation.essentialProperties.forEach(p => {
        if (_constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].THUMBNAILS_SCHEME_ID_URIS.indexOf(p.schemeIdUri) >= 0 && p.value) {
          const vars = p.value.split('x');
          if (vars.length === 2 && !isNaN(vars[0]) && !isNaN(vars[1])) {
            track.tilesHor = parseInt(vars[0], 10);
            track.tilesVert = parseInt(vars[1], 10);
          }
        }
      });
    }
    if (useSegmentBase) {
      segmentsController.updateSegmentData(representation).then(data => {
        _handleUpdatedSegmentData(track, representation, data);
      });
    } else {
      track.startNumber = representation.startNumber;
      track.segmentDuration = representation.segmentDuration;
      track.timescale = representation.timescale;
      track.templateUrl = buildTemplateUrl(representation);
    }
    if (track.tilesHor > 0 && track.tilesVert > 0) {
      // Precalculate width and heigth per tile for perf reasons
      track.widthPerTile = track.width / track.tilesHor;
      track.heightPerTile = track.height / track.tilesVert;
      tracks.push(track);
    }
  }
  function _handleUpdatedSegmentData(track, representation, data) {
    let cache = [];
    const segments = _normalizeSegments(data, representation);
    representation.segments = segments;
    representation.fragmentDuration = representation.segmentDuration || (representation.segments && representation.segments.length > 0 ? representation.segments[0].duration : NaN);
    track.segmentDuration = representation.segments[0].duration; //assume all segments have the same duration

    track.readThumbnail = function (time, callback) {
      let cached = null;
      cache.some(el => {
        if (el.start <= time && el.end > time) {
          cached = el.url;
          return true;
        }
      });
      if (cached) {
        callback(cached);
      } else {
        representation.segments.some(ss => {
          if (ss.mediaStartTime <= time && ss.mediaStartTime + ss.duration > time) {
            const baseURL = baseURLController.resolve(representation.path);
            const commonMediaRequest = new _vo_CommonMediaRequest_js__WEBPACK_IMPORTED_MODULE_10__["default"]({
              method: 'get',
              url: baseURL.url,
              responseType: 'arraybuffer',
              customData: {
                request: {
                  range: ss.mediaRange
                },
                onloadend: function (e) {
                  let info = boxParser.getSamplesInfo(e.target.response);
                  let blob = new Blob([e.target.response.slice(info.sampleList[0].offset, info.sampleList[0].offset + info.sampleList[0].size)], {
                    type: 'image/jpeg'
                  });
                  let imageUrl = window.URL.createObjectURL(blob);
                  cache.push({
                    start: ss.mediaStartTime,
                    end: ss.mediaStartTime + ss.duration,
                    url: imageUrl
                  });
                  if (callback) {
                    callback(imageUrl);
                  }
                }
              }
            });
            const commonMediaResponse = new _vo_CommonMediaResponse_js__WEBPACK_IMPORTED_MODULE_11__["default"]({
              request: commonMediaRequest
            });
            loader.load(commonMediaRequest, commonMediaResponse);
            return true;
          }
        });
      }
    };
  }
  function _normalizeSegments(data, representation) {
    const segments = [];
    let count = 0;
    let i, len, s, seg;
    for (i = 0, len = data.segments.length; i < len; i++) {
      s = data.segments[i];
      seg = (0,_dash_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_5__.getTimeBasedSegment)(timelineConverter, adapter.getIsDynamic(), representation, s.startTime, s.duration, s.timescale, s.media, s.mediaRange, count);
      if (seg) {
        segments.push(seg);
        seg = null;
        count++;
      }
    }
    return segments;
  }
  function buildTemplateUrl(representation) {
    const templateUrl = urlUtils.isRelative(representation.media) ? urlUtils.resolve(representation.media, baseURLController.resolve(representation.path).url) : representation.media;
    if (!templateUrl) {
      return '';
    }
    return (0,_dash_utils_SegmentsUtils_js__WEBPACK_IMPORTED_MODULE_5__.processUriTemplate)(templateUrl, representation.id);
  }
  function getTracks() {
    return tracks;
  }
  function getCurrentTrackIndex() {
    return currentTrackIndex;
  }
  function getCurrentTrack() {
    if (currentTrackIndex < 0) {
      return null;
    }
    return tracks[currentTrackIndex];
  }
  function setTrackByIndex(index) {
    if (!tracks || tracks.length === 0) {
      return;
    }
    // select highest bitrate in case selected index is higher than bitrate list length
    if (index >= tracks.length) {
      index = tracks.length - 1;
    }
    currentTrackIndex = index;
  }
  function setTrackById(id) {
    if (!tracks || tracks.length === 0) {
      return;
    }
    const index = tracks.findIndex(elem => {
      return elem.id === id;
    });
    if (index !== -1) {
      currentTrackIndex = index;
    }
  }
  function getThumbnailRequestForTime(time) {
    let currentVoRep;
    const voReps = adapter.getVoRepresentations(mediaInfo);
    for (let i = 0; i < voReps.length; i++) {
      if (tracks[currentTrackIndex].id === voReps[i].id) {
        currentVoRep = voReps[i];
        break;
      }
    }
    return dashHandler.getSegmentRequestForTime(mediaInfo, currentVoRep, time);
  }
  function getRepresentations() {
    return representations;
  }
  function reset() {
    tracks = [];
    representations = [];
    currentTrackIndex = -1;
    mediaInfo = null;
    if (dashHandler) {
      dashHandler.reset();
      dashHandler = null;
    }
  }
  instance = {
    addTracks,
    getCurrentTrack,
    getCurrentTrackIndex,
    getRepresentations,
    getThumbnailRequestForTime,
    getTracks,
    reset,
    setTrackById,
    setTrackByIndex
  };
  setup();
  return instance;
}
ThumbnailTracks.__dashjs_factory_name = 'ThumbnailTracks';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(ThumbnailTracks));

/***/ }),

/***/ "./src/streaming/utils/AudioChannelConfiguration.js":
/*!**********************************************************!*\
  !*** ./src/streaming/utils/AudioChannelConfiguration.js ***!
  \**********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2025, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA, OR
 *  PROFITS, OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

// derived from ISO/IEC 23091-3
const _mapping_CICP = {
  '0': undefined,
  '1': 1,
  '2': 2,
  '3': 3,
  '4': 4,
  '5': 5,
  '6': 5,
  '7': 7,
  '8': 2,
  '9': 3,
  '10': 4,
  '11': 6,
  '12': 7,
  '13': 22,
  '14': 7,
  '15': 10,
  '16': 9,
  '17': 11,
  '18': 13,
  '19': 11,
  '20': 13
};
function _countBits(n) {
  return n == 0 ? 0 : n.toString(2).match(/1/g).length;
}
function _getNChanFromBitMask(value, masks) {
  let nChan = undefined;
  let intVal = parseInt('0x' + value, 16);
  let singleChannels = intVal & masks[0];
  let ChannelPairs = intVal & masks[1];
  nChan = _countBits(singleChannels) + 2 * _countBits(ChannelPairs);
  return nChan;
}
function _getNChanDolby2011(value) {
  if (value.length !== 4) {
    return undefined;
  }

  // see ETSI TS 103190-1, table F.1:
  // 0b1111100110001000: single channel flags
  // 0b0000011001110000: channel pair flags
  return _getNChanFromBitMask(value, [0b1111100110001000, 0b0000011001110000]);
}
function _getNChanDolby2015(value) {
  if (value.length !== 6) {
    return undefined;
  }
  if (value === '800000') {
    // object audio
    return 24;
  }

  // see ETSI TS 103190-2, table A.27
  // 0b001101111000000010: single channel flags
  // 0b110010000110111101: channel pair flags
  return _getNChanFromBitMask(value, [0b001101111000000010, 0b110010000110111101]);
}
function _getNChanDTSUHD(value) {
  if (value.length > 8) {
    return undefined;
  }

  // see ETSI TS 103491, table B-5
  // LFE to exclude: 0x00010000 + 0x00000020
  return _getNChanFromBitMask(value, [0xFFFEFFDF, 0x00000000]);
}
function getNChanFromAudioChannelConfig(audioChannelConfiguration) {
  let nChan = undefined;
  if (!audioChannelConfiguration || !audioChannelConfiguration.schemeIdUri || !audioChannelConfiguration.value) {
    return undefined;
  }
  const scheme = audioChannelConfiguration['schemeIdUri'];
  const value = audioChannelConfiguration['value'];
  if (scheme === 'urn:mpeg:dash:23003:3:audio_channel_configuration:2011' || scheme === 'urn:mpeg:mpegB:cicp:ChannelConfiguration') {
    // see ISO/IEC 23091-3
    nChan = _mapping_CICP[value];
  } else if (scheme === 'tag:dolby.com,2014:dash:audio_channel_configuration:2011') {
    nChan = _getNChanDolby2011(value);
  } else if (scheme === 'tag:dolby.com,2015:dash:audio_channel_configuration:2015') {
    nChan = _getNChanDolby2015(value);
  } else if (scheme === 'tag:dts.com,2014:dash:audio_channel_configuration:2012') {
    nChan = parseInt(value); // per ETSI TS 102 114,table G.2, this includes LFE
  } else if (scheme === 'tag:dts.com,2018:uhd:audio_channel_configuration') {
    nChan = _getNChanDTSUHD(value);
  }
  return nChan;
}
/* harmony default export */ __webpack_exports__["default"] = (getNChanFromAudioChannelConfig);

/***/ }),

/***/ "./src/streaming/utils/BaseURLSelector.js":
/*!************************************************!*\
  !*** ./src/streaming/utils/BaseURLSelector.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/errors/Errors.js */ "./src/core/errors/Errors.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _controllers_BlacklistController_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../controllers/BlacklistController.js */ "./src/streaming/controllers/BlacklistController.js");
/* harmony import */ var _baseUrlResolution_DVBSelector_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./baseUrlResolution/DVBSelector.js */ "./src/streaming/utils/baseUrlResolution/DVBSelector.js");
/* harmony import */ var _baseUrlResolution_BasicSelector_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./baseUrlResolution/BasicSelector.js */ "./src/streaming/utils/baseUrlResolution/BasicSelector.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../vo/DashJSError.js */ "./src/streaming/vo/DashJSError.js");
/* harmony import */ var _SupervisorTools_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./SupervisorTools.js */ "./src/streaming/utils/SupervisorTools.js");
/* harmony import */ var _baseUrlResolution_ContentSteeringSelector_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./baseUrlResolution/ContentSteeringSelector.js */ "./src/streaming/utils/baseUrlResolution/ContentSteeringSelector.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */












function BaseURLSelector() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_10__["default"])(context).getInstance();
  let instance, serviceLocationBlacklistController, basicSelector, dvbSelector, contentSteeringSelector, selector;
  function setup() {
    serviceLocationBlacklistController = (0,_controllers_BlacklistController_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).create({
      updateEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].SERVICE_LOCATION_BASE_URL_BLACKLIST_CHANGED,
      addBlacklistEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].SERVICE_LOCATION_BASE_URL_BLACKLIST_ADD
    });
    basicSelector = (0,_baseUrlResolution_BasicSelector_js__WEBPACK_IMPORTED_MODULE_5__["default"])(context).create({
      blacklistController: serviceLocationBlacklistController
    });
    dvbSelector = (0,_baseUrlResolution_DVBSelector_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).create({
      blacklistController: serviceLocationBlacklistController
    });
    contentSteeringSelector = (0,_baseUrlResolution_ContentSteeringSelector_js__WEBPACK_IMPORTED_MODULE_9__["default"])(context).create();
    contentSteeringSelector.setConfig({
      blacklistController: serviceLocationBlacklistController,
      addBlacklistEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].SERVICE_LOCATION_BASE_URL_BLACKLIST_ADD
    });
    selector = basicSelector;
  }
  function setConfig(config) {
    if (config.selector) {
      selector = config.selector;
    }
    if (config.contentSteeringSelector) {
      contentSteeringSelector = config.contentSteeringSelector;
    }
  }
  function chooseSelector(isDVB) {
    (0,_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_8__.checkParameterType)(isDVB, 'boolean');
    selector = isDVB ? dvbSelector : basicSelector;
  }
  function select(data) {
    if (!data) {
      return;
    }

    // Check if we got any instructions from the content steering element in the MPD or from the content steering server
    if (settings.get().streaming.applyContentSteering) {
      const steeringIndex = contentSteeringSelector.selectBaseUrlIndex(data);
      if (!isNaN(steeringIndex) && steeringIndex !== -1) {
        data.selectedIdx = steeringIndex;
      }
    }

    // Once a random selection has been carried out amongst a group of BaseURLs with the same
    // @priority attribute value, then that choice should be re-used if the selection needs to be made again
    // unless the blacklist has been modified or the available BaseURLs have changed.
    if (!isNaN(data.selectedIdx)) {
      return data.baseUrls[data.selectedIdx];
    }
    let selectedBaseUrl = selector.select(data.baseUrls);
    if (!selectedBaseUrl) {
      eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_2__["default"].URL_RESOLUTION_FAILED, {
        error: new _vo_DashJSError_js__WEBPACK_IMPORTED_MODULE_7__["default"](_core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_0__["default"].URL_RESOLUTION_FAILED_GENERIC_ERROR_CODE, _core_errors_Errors_js__WEBPACK_IMPORTED_MODULE_0__["default"].URL_RESOLUTION_FAILED_GENERIC_ERROR_MESSAGE)
      });
      if (selector === basicSelector) {
        reset();
      }
      return;
    }
    data.selectedIdx = data.baseUrls.indexOf(selectedBaseUrl);
    return selectedBaseUrl;
  }
  function reset() {
    contentSteeringSelector.reset();
    serviceLocationBlacklistController.reset();
  }
  instance = {
    chooseSelector: chooseSelector,
    select: select,
    reset: reset,
    setConfig: setConfig
  };
  setup();
  return instance;
}
BaseURLSelector.__dashjs_factory_name = 'BaseURLSelector';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_6__["default"].getClassFactory(BaseURLSelector));

/***/ }),

/***/ "./src/streaming/utils/BoxParser.js":
/*!******************************************!*\
  !*** ./src/streaming/utils/BoxParser.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _IsoFile_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./IsoFile.js */ "./src/streaming/utils/IsoFile.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var codem_isoboxer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! codem-isoboxer */ "./node_modules/codem-isoboxer/dist/iso_boxer.js");
/* harmony import */ var _vo_IsoBoxSearchInfo_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../vo/IsoBoxSearchInfo.js */ "./src/streaming/vo/IsoBoxSearchInfo.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






function BoxParser(/*config*/
) {
  let logger, instance;
  let context = this.context;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance().getLogger(instance);
  }

  /**
   * @param {ArrayBuffer} data
   * @returns {IsoFile|null}
   * @memberof BoxParser#
   */
  function parse(data) {
    if (!data) {
      return null;
    }
    if (data.fileStart === undefined) {
      data.fileStart = 0;
    }
    let parsedFile = codem_isoboxer__WEBPACK_IMPORTED_MODULE_3__.parseBuffer(data);
    let dashIsoFile = (0,_IsoFile_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create();
    dashIsoFile.setData(parsedFile);
    return dashIsoFile;
  }

  /**
   * From the list of type boxes to look for, returns the latest one that is fully completed (header + payload). This
   * method only looks into the list of top boxes and doesn't analyze nested boxes.
   * @param {string[]} boxTypesToSearchFor
   * @param {ArrayBuffer|uint8Array} buffer
   * @param {number} offset
   * @returns {IsoBoxSearchInfo}
   * @memberof BoxParser#
   */
  function findLastTopIsoBoxCompleted(boxTypesToSearchFor, buffer, offset) {
    if (offset === undefined) {
      offset = 0;
    }

    // 8 = size (uint32) + type (4 characters)
    if (!buffer || offset + 8 >= buffer.byteLength) {
      return new _vo_IsoBoxSearchInfo_js__WEBPACK_IMPORTED_MODULE_4__["default"]({
        found: false
      });
    }
    const data = buffer instanceof ArrayBuffer ? new Uint8Array(buffer) : buffer;
    let boxInfo;
    let startOffsetOfLastCompletedBox = 0;
    let sizeOfLastCompletedBox = 0;
    let typeOfLastCompletedBox = null;
    while (offset < data.byteLength) {
      const boxSize = parseUint32(data, offset);
      const boxType = parseIsoBoxType(data, offset + 4);
      if (boxSize === 0) {
        break;
      }
      if (offset + boxSize <= data.byteLength) {
        if (boxTypesToSearchFor.indexOf(boxType) >= 0) {
          boxInfo = new _vo_IsoBoxSearchInfo_js__WEBPACK_IMPORTED_MODULE_4__["default"]({
            found: true,
            startOffsetOfLastFoundTargetBox: offset,
            sizeOfLastFoundTargetBox: boxSize,
            typeOfLastTargetBox: boxType
          });
        } else {
          startOffsetOfLastCompletedBox = offset;
          sizeOfLastCompletedBox = boxSize;
          typeOfLastCompletedBox = boxType;
        }
      }
      offset += boxSize;
    }
    if (!boxInfo) {
      return new _vo_IsoBoxSearchInfo_js__WEBPACK_IMPORTED_MODULE_4__["default"]({
        found: false,
        startOffsetOfLastCompletedBox,
        sizeOfLastCompletedBox,
        typeOfLastCompletedBox
      });
    }
    return boxInfo;
  }
  function getSamplesInfo(ab) {
    if (!ab || ab.byteLength === 0) {
      return {
        sampleList: [],
        lastSequenceNumber: NaN,
        totalDuration: NaN,
        numSequences: NaN
      };
    }
    let isoFile = parse(ab);
    // zero or more moofs
    let moofBoxes = isoFile.getBoxes('moof');
    // exactly one mfhd per moof
    let mfhdBoxes = isoFile.getBoxes('mfhd');
    let sampleDuration, sampleCompositionTimeOffset, sampleCount, sampleSize, sampleDts, sampleList, sample, i, j, k, l, m, n, dataOffset, lastSequenceNumber, numSequences, totalDuration;
    numSequences = isoFile.getBoxes('moof').length;
    lastSequenceNumber = mfhdBoxes[mfhdBoxes.length - 1].sequence_number;
    sampleCount = 0;
    sampleList = [];
    let subsIndex = -1;
    let nextSubsSample = -1;
    for (l = 0; l < moofBoxes.length; l++) {
      let moofBox = moofBoxes[l];
      // zero or more trafs per moof
      let trafBoxes = moofBox.getChildBoxes('traf');
      for (j = 0; j < trafBoxes.length; j++) {
        let trafBox = trafBoxes[j];
        // exactly one tfhd per traf
        let tfhdBox = trafBox.getChildBox('tfhd');
        // zero or one tfdt per traf
        let tfdtBox = trafBox.getChildBox('tfdt');
        sampleDts = tfdtBox.baseMediaDecodeTime;
        // zero or more truns per traf
        let trunBoxes = trafBox.getChildBoxes('trun');
        // zero or more subs per traf
        let subsBoxes = trafBox.getChildBoxes('subs');
        for (k = 0; k < trunBoxes.length; k++) {
          let trunBox = trunBoxes[k];
          sampleCount = trunBox.sample_count;
          dataOffset = (tfhdBox.base_data_offset || 0) + (trunBox.data_offset || 0);
          for (i = 0; i < sampleCount; i++) {
            sample = trunBox.samples[i];
            sampleDuration = sample.sample_duration !== undefined ? sample.sample_duration : tfhdBox.default_sample_duration;
            sampleSize = sample.sample_size !== undefined ? sample.sample_size : tfhdBox.default_sample_size;
            sampleCompositionTimeOffset = sample.sample_composition_time_offset !== undefined ? sample.sample_composition_time_offset : 0;
            let sampleData = {
              'dts': sampleDts,
              'cts': sampleDts + sampleCompositionTimeOffset,
              'duration': sampleDuration,
              'offset': moofBox.offset + dataOffset,
              'size': sampleSize,
              'subSizes': [sampleSize]
            };
            if (subsBoxes) {
              for (m = 0; m < subsBoxes.length; m++) {
                let subsBox = subsBoxes[m];
                if (subsIndex < subsBox.entry_count - 1 && i > nextSubsSample) {
                  subsIndex++;
                  nextSubsSample += subsBox.entries[subsIndex].sample_delta;
                }
                if (i == nextSubsSample) {
                  sampleData.subSizes = [];
                  let entry = subsBox.entries[subsIndex];
                  for (n = 0; n < entry.subsample_count; n++) {
                    sampleData.subSizes.push(entry.subsamples[n].subsample_size);
                  }
                }
              }
            }
            sampleList.push(sampleData);
            dataOffset += sampleSize;
            sampleDts += sampleDuration;
          }
        }
        totalDuration = sampleDts - tfdtBox.baseMediaDecodeTime;
      }
    }
    return {
      sampleList: sampleList,
      lastSequenceNumber: lastSequenceNumber,
      totalDuration: totalDuration,
      numSequences: numSequences
    };
  }
  function getMediaTimescaleFromMoov(ab) {
    let isoFile = parse(ab);
    let mdhdBox = isoFile ? isoFile.getBox('mdhd') : undefined;
    return mdhdBox ? mdhdBox.timescale : NaN;
  }
  function parseUint32(data, offset) {
    return data[offset + 3] >>> 0 | data[offset + 2] << 8 >>> 0 | data[offset + 1] << 16 >>> 0 | data[offset] << 24 >>> 0;
  }
  function parseIsoBoxType(data, offset) {
    return String.fromCharCode(data[offset++]) + String.fromCharCode(data[offset++]) + String.fromCharCode(data[offset++]) + String.fromCharCode(data[offset]);
  }
  function findInitRange(data) {
    let initRange = null;
    let start, end;
    const isoFile = parse(data);
    if (!isoFile) {
      return initRange;
    }
    const ftyp = isoFile.getBox('ftyp');
    const moov = isoFile.getBox('moov');
    logger.debug('Searching for initialization.');
    if (moov && moov.isComplete) {
      start = ftyp ? ftyp.offset : moov.offset;
      end = moov.offset + moov.size - 1;
      initRange = start + '-' + end;
      logger.debug('Found the initialization.  Range: ' + initRange);
    }
    return initRange;
  }
  instance = {
    findInitRange,
    findLastTopIsoBoxCompleted,
    getMediaTimescaleFromMoov,
    getSamplesInfo,
    parse
  };
  setup();
  return instance;
}
BoxParser.__dashjs_factory_name = 'BoxParser';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(BoxParser));

/***/ }),

/***/ "./src/streaming/utils/Capabilities.js":
/*!*********************************************!*\
  !*** ./src/streaming/utils/Capabilities.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   supportsMediaSource: function() { return /* binding */ supportsMediaSource; }
/* harmony export */ });
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _constants_ProtectionConstants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../constants/ProtectionConstants.js */ "./src/streaming/constants/ProtectionConstants.js");
/* harmony import */ var _ObjectUtils_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./ObjectUtils.js */ "./src/streaming/utils/ObjectUtils.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */





function supportsMediaSource() {
  let hasManagedMediaSource = 'ManagedMediaSource' in window;
  let hasWebKit = 'WebKitMediaSource' in window;
  let hasMediaSource = 'MediaSource' in window;
  return hasManagedMediaSource || hasWebKit || hasMediaSource;
}
function Capabilities() {
  let instance, settings, protectionController, testedCodecConfigurations, encryptedMediaSupported, logger;
  const context = this.context;
  const objectUtils = (0,_ObjectUtils_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
  function setup() {
    encryptedMediaSupported = false;
    testedCodecConfigurations = [];
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance().getLogger(instance);
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.protectionController) {
      protectionController = config.protectionController;
    }
  }
  function setProtectionController(data) {
    protectionController = data;
  }
  function areKeyIdsUsable(mediaInfo) {
    if (!protectionController || !mediaInfo || !mediaInfo.normalizedKeyIds || mediaInfo.normalizedKeyIds.size === 0) {
      return true;
    }
    return protectionController.areKeyIdsUsable(mediaInfo.normalizedKeyIds);
  }
  function areKeyIdsExpired(mediaInfo) {
    if (!protectionController || !mediaInfo || !mediaInfo.normalizedKeyIds || mediaInfo.normalizedKeyIds.size === 0) {
      return false;
    }
    return protectionController.areKeyIdsExpired(mediaInfo.normalizedKeyIds);
  }
  function isProtectionCompatible(previousStreamInfo, newStreamInfo) {
    if (!newStreamInfo) {
      return true;
    }
    return !(!previousStreamInfo.isEncrypted && newStreamInfo.isEncrypted);
  }

  /**
   * Returns whether Encrypted Media Extensions are supported on this
   * user agent
   *
   * @return {boolean} true if EME is supported, false otherwise
   */
  function supportsEncryptedMedia() {
    return encryptedMediaSupported;
  }

  /**
   * Checks whether SourceBuffer.changeType() is available
   * @return {boolean} true is changeType() is available
   */
  function supportsChangeType() {
    return !!window.SourceBuffer && !!SourceBuffer.prototype && !!SourceBuffer.prototype.changeType;
  }

  /**
   * @param {boolean} value
   */
  function setEncryptedMediaSupported(value) {
    encryptedMediaSupported = value;
  }

  /**
   * Check if a codec is supported by the MediaSource. We use the MediaCapabilities API or the MSE to check.
   * @param {object} basicConfiguration
   * @param {string} type
   * @return {Promise<>}
   */
  function runCodecSupportCheck(basicConfiguration, type) {
    if (type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO) {
      return Promise.resolve();
    }
    const configurationsToTest = _getEnhancedConfigurations(basicConfiguration, type);
    if (_canUseMediaCapabilitiesApi(basicConfiguration, type)) {
      return _checkCodecWithMediaCapabilities(configurationsToTest);
    }
    _checkCodecWithMse(configurationsToTest);
    return Promise.resolve();
  }

  /**
   * Checks whether a codec is supported according to the previously tested configurations.
   * Note that you need to call runCodecSupportCheck() first to populate the testedCodecConfigurations array.
   * This function only validates codec support based on previously tested configurations.
   * @param basicConfiguration
   * @param type
   * @returns {*|boolean}
   */
  function isCodecSupportedBasedOnTestedConfigurations(basicConfiguration, type) {
    if (!basicConfiguration || !basicConfiguration.codec || basicConfiguration.isSupported === false) {
      return false;
    }
    const configurationsToTest = _getEnhancedConfigurations(basicConfiguration, type);
    const testedConfigurations = configurationsToTest.map(config => {
      return _getTestedCodecConfiguration(config, type);
    }).filter(config => {
      return config !== null && config !== undefined;
    });
    if (testedConfigurations && testedConfigurations.length > 0) {
      return _isConfigSupported(testedConfigurations);
    }
    return true;
  }

  /**
   * MediaCapabilitiesAPI throws an error if one of the attribute is missing. We only use it if we have all required information.
   * @return {boolean}
   * @private
   */
  function _canUseMediaCapabilitiesApi(basicConfiguration, type) {
    return _isMediaCapabilitiesApiSupported() && (basicConfiguration.codec && type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO || type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO && basicConfiguration.codec && basicConfiguration.width && basicConfiguration.height && basicConfiguration.bitrate && basicConfiguration.framerate);
  }
  function _isMediaCapabilitiesApiSupported() {
    return settings.get().streaming.capabilities.useMediaCapabilitiesApi && navigator.mediaCapabilities && navigator.mediaCapabilities.decodingInfo;
  }

  /**
   * Check codec support using the MSE
   * @param {object} configurationsToTest
   * @private
   */
  function _checkCodecWithMse(configurationsToTest) {
    if (!configurationsToTest || !configurationsToTest.length) {
      return;
    }

    // We only need one config here as we can not add any DRM configuration to the test
    const configurationToTest = configurationsToTest[0];
    const alreadyTestedConfiguration = _getTestedCodecConfiguration(configurationToTest);
    if (alreadyTestedConfiguration) {
      return;
    }
    let decodingInfo = {
      supported: false
    };
    if ('ManagedMediaSource' in window && ManagedMediaSource.isTypeSupported(configurationToTest.mediaSourceCodecString)) {
      decodingInfo.supported = true;
    } else if ('MediaSource' in window && MediaSource.isTypeSupported(configurationToTest.mediaSourceCodecString)) {
      decodingInfo.supported = true;
    } else if ('WebKitMediaSource' in window && WebKitMediaSource.isTypeSupported(configurationToTest.mediaSourceCodecString)) {
      decodingInfo.supported = true;
    }
    configurationToTest.decodingInfo = decodingInfo;
    testedCodecConfigurations.push(configurationToTest);
  }

  /**
   * Check codec support using the MediaCapabilities API
   * @param {object} configurationsToTest
   * @return {Promise<boolean>}
   * @private
   */
  function _checkCodecWithMediaCapabilities(configurationsToTest) {
    return new Promise(resolve => {
      if (!configurationsToTest || configurationsToTest.length === 0) {
        resolve();
        return;
      }
      const promises = configurationsToTest.map(configuration => {
        return _checkSingleConfigurationWithMediaCapabilities(configuration);
      });
      Promise.allSettled(promises).then(() => {
        resolve();
      }).catch(e => {
        logger.error(e);
        resolve();
      });
    });
  }
  function _getEnhancedConfigurations(inputConfig, type) {
    let configuration;
    if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO) {
      configuration = _getGenericMediaCapabilitiesVideoConfig(inputConfig);
    } else if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO) {
      configuration = _getGenericMediaCapabilitiesAudioConfig(inputConfig);
    }
    configuration[type].contentType = inputConfig.codec;
    configuration[type].bitrate = parseInt(inputConfig.bitrate);
    configuration.type = 'media-source';
    let mediaSourceCodecString = inputConfig.codec;
    if (inputConfig.width && inputConfig.height) {
      mediaSourceCodecString += ';width="' + inputConfig.width + '";height="' + inputConfig.height + '"';
    }
    configuration.mediaSourceCodecString = mediaSourceCodecString;
    return _enhanceGenericConfigurationWithKeySystemConfiguration(configuration, inputConfig, type);
  }
  function _enhanceGenericConfigurationWithKeySystemConfiguration(genericConfiguration, inputConfig, type) {
    if (!inputConfig || !inputConfig.keySystemsMetadata || inputConfig.keySystemsMetadata.length === 0) {
      return [genericConfiguration];
    }
    return inputConfig.keySystemsMetadata.map(keySystemMetadata => {
      const curr = {
        ...genericConfiguration
      };
      if (keySystemMetadata.ks) {
        curr.keySystemConfiguration = {};
        if (keySystemMetadata.ks.systemString) {
          curr.keySystemConfiguration.keySystem = keySystemMetadata.ks.systemString;
        }
        let robustnessLevel = '';
        if (keySystemMetadata.ks.systemString === _constants_ProtectionConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].WIDEVINE_KEYSTEM_STRING) {
          robustnessLevel = _constants_ProtectionConstants_js__WEBPACK_IMPORTED_MODULE_2__["default"].ROBUSTNESS_STRINGS.WIDEVINE.SW_SECURE_CRYPTO;
        }
        const protData = keySystemMetadata.protData;
        const audioRobustness = protData && protData.audioRobustness && protData.audioRobustness.length > 0 ? protData.audioRobustness : robustnessLevel;
        const videoRobustness = protData && protData.videoRobustness && protData.videoRobustness.length > 0 ? protData.videoRobustness : robustnessLevel;
        if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO) {
          curr.keySystemConfiguration[type] = {
            robustness: audioRobustness
          };
        } else if (type === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO) {
          curr.keySystemConfiguration[type] = {
            robustness: videoRobustness
          };
        }
      }
      return curr;
    });
  }
  function _checkSingleConfigurationWithMediaCapabilities(configuration) {
    return new Promise(resolve => {
      const alreadyTestedConfiguration = _getTestedCodecConfiguration(configuration);
      if (alreadyTestedConfiguration) {
        resolve();
        return;
      }
      navigator.mediaCapabilities.decodingInfo(configuration).then(decodingInfo => {
        configuration.decodingInfo = decodingInfo;
        testedCodecConfigurations.push(configuration);
        resolve();
      }).catch(e => {
        configuration.decodingInfo = {
          supported: false
        };
        testedCodecConfigurations.push(configuration);
        logger.error(e);
        resolve();
      });
    });
  }
  function _isConfigSupported(testedConfigurations) {
    return testedConfigurations.some(testedConfiguration => {
      return testedConfiguration && testedConfiguration.decodingInfo && testedConfiguration.decodingInfo.supported;
    });
  }
  function _getTestedCodecConfiguration(configuration) {
    if (!testedCodecConfigurations || testedCodecConfigurations.length === 0 || !configuration) {
      return;
    }
    return testedCodecConfigurations.find(current => {
      const audioEqual = _isConfigEqual(configuration, current, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].AUDIO);
      const videoEqual = _isConfigEqual(configuration, current, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].VIDEO);
      const keySystemEqual = _isConfigEqual(configuration, current, 'keySystemConfiguration');
      return audioEqual && videoEqual && keySystemEqual;
    });
  }
  function _isConfigEqual(configuration, current, attribute) {
    // Config not present in both of them
    if (!configuration[attribute] && !current[attribute]) {
      return true;
    }

    // Config present in both we need to compare
    if (configuration[attribute] && current[attribute]) {
      return objectUtils.areEqual(configuration[attribute], current[attribute]);
    }
    return false;
  }
  function _getGenericMediaCapabilitiesVideoConfig(inputConfig) {
    const configuration = {
      video: {}
    };
    if (!inputConfig) {
      return configuration;
    }
    if (inputConfig.width) {
      configuration.video.width = inputConfig.width;
    }
    if (inputConfig.height) {
      configuration.video.height = inputConfig.height;
    }
    if (inputConfig.framerate) {
      configuration.video.framerate = parseFloat(inputConfig.framerate);
    }
    if (inputConfig.hdrMetadataType) {
      configuration.video.hdrMetadataType = inputConfig.hdrMetadataType;
    }
    if (inputConfig.colorGamut) {
      configuration.video.colorGamut = inputConfig.colorGamut;
    }
    if (inputConfig.transferFunction) {
      configuration.video.transferFunction = inputConfig.transferFunction;
    }
    return configuration;
  }
  function _getGenericMediaCapabilitiesAudioConfig(inputConfig) {
    const configuration = {
      audio: {}
    };
    if (inputConfig.samplerate) {
      configuration.audio.samplerate = inputConfig.samplerate;
    }
    return configuration;
  }

  /**
   * Add additional descriptors to list of descriptors,
   * avoid duplicated entries
   * @param {array} props
   * @param {array} newProps
   * @return {array}
   * @private
   */
  function _addProperties(props, newProps) {
    props = props.filter(p => {
      return !(p.schemeIdUri && newProps.some(np => np.schemeIdUri === p.schemeIdUri));
    });
    props.push(...newProps);
    return props;
  }

  /**
   * Check if a specific EssentialProperty is supported
   * @param {DescriptorType} ep
   * @return {boolean}
   */
  function supportsEssentialProperty(ep) {
    let supportedEssentialProps = settings.get().streaming.capabilities.supportedEssentialProperties;

    // we already took care of these descriptors with the codecs check
    // let's bypass them here
    if (settings.get().streaming.capabilities.useMediaCapabilitiesApi && settings.get().streaming.capabilities.filterVideoColorimetryEssentialProperties) {
      supportedEssentialProps = _addProperties(supportedEssentialProps, [{
        schemeIdUri: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI
      }, {
        schemeIdUri: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].MATRIX_COEFFICIENTS_SCHEME_ID_URI
      }, {
        schemeIdUri: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI
      }]);
    }
    if (settings.get().streaming.capabilities.useMediaCapabilitiesApi && settings.get().streaming.capabilities.filterHDRMetadataFormatEssentialProperties) {
      supportedEssentialProps = _addProperties(supportedEssentialProps, [{
        schemeIdUri: _constants_Constants_js__WEBPACK_IMPORTED_MODULE_1__["default"].HDR_METADATA_FORMAT_SCHEME_ID_URI
      }]);
    }
    try {
      return ep.inArray(supportedEssentialProps);
    } catch (e) {
      return true;
    }
  }
  instance = {
    areKeyIdsExpired,
    areKeyIdsUsable,
    isCodecSupportedBasedOnTestedConfigurations,
    isProtectionCompatible,
    runCodecSupportCheck,
    setConfig,
    setEncryptedMediaSupported,
    setProtectionController,
    supportsChangeType,
    supportsEncryptedMedia,
    supportsEssentialProperty,
    supportsMediaSource
  };
  setup();
  return instance;
}
Capabilities.__dashjs_factory_name = 'Capabilities';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(Capabilities));

/***/ }),

/***/ "./src/streaming/utils/CapabilitiesFilter.js":
/*!***************************************************!*\
  !*** ./src/streaming/utils/CapabilitiesFilter.js ***!
  \***************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../dash/constants/DashConstants.js */ "./src/dash/constants/DashConstants.js");






function CapabilitiesFilter() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
  let instance, adapter, capabilities, settings, customParametersModel, protectionController, logger;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
  }
  function setConfig(config) {
    if (!config) {
      return;
    }
    if (config.adapter) {
      adapter = config.adapter;
    }
    if (config.capabilities) {
      capabilities = config.capabilities;
    }
    if (config.settings) {
      settings = config.settings;
    }
    if (config.protectionController) {
      protectionController = config.protectionController;
    }
    if (config.customParametersModel) {
      customParametersModel = config.customParametersModel;
    }
  }
  function filterUnsupportedFeatures(manifest) {
    return new Promise(resolve => {
      const mediaTypesToCheck = [_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].VIDEO, _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].AUDIO];
      const promises = [];

      // We determine all the configurations we need to check. Each unique configuration should only be checked once.
      // This is important especially for large multiperiod MPDs. A redundant configuration check can lead to increased processing time.
      mediaTypesToCheck.forEach(mediaType => {
        const configurationsToCheck = _getConfigurationsToCheck(manifest, mediaType);
        configurationsToCheck.forEach(basicConfiguration => {
          promises.push(capabilities.runCodecSupportCheck(basicConfiguration, mediaType));
        });
      });
      Promise.allSettled(promises).then(() => {
        mediaTypesToCheck.forEach(mediaType => {
          _filterUnsupportedCodecs(mediaType, manifest);
        });
        if (settings.get().streaming.capabilities.filterUnsupportedEssentialProperties) {
          _filterUnsupportedEssentialProperties(manifest);
        }
        return _applyCustomFilters(manifest);
      }).then(() => {
        resolve();
      }).catch(e => {
        logger.error(e);
        resolve();
      });
    });
  }
  function _filterUnsupportedCodecs(type, manifest) {
    if (!manifest || !manifest.Period || manifest.Period.length === 0) {
      return;
    }
    manifest.Period.forEach(period => {
      _filterUnsupportedAdaptationSetsOfPeriod(period, type);
    });
  }
  function _filterUnsupportedAdaptationSetsOfPeriod(period, type) {
    if (!period || !period.AdaptationSet || period.AdaptationSet.length === 0) {
      return;
    }
    period.AdaptationSet = period.AdaptationSet.filter(as => {
      if (adapter.getIsTypeOf(as, type)) {
        _filterUnsupportedRepresentationsOfAdaptation(as, type);
      }
      const supported = as.Representation && as.Representation.length > 0;
      if (!supported) {
        eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_4__["default"].ADAPTATION_SET_REMOVED_NO_CAPABILITIES, {
          adaptationSet: as
        });
        logger.warn(`[CapabilitiesFilter] AdaptationSet with ID ${as.id ? as.id : 'undefined'} and codec ${as.codecs ? as.codecs : 'undefined'} has been removed because of no supported Representation`);
      }
      return supported;
    });
  }
  function _filterUnsupportedRepresentationsOfAdaptation(as, type) {
    if (!as.Representation || as.Representation.length === 0) {
      return;
    }
    as.Representation = as.Representation.filter((rep, i) => {
      const codec = adapter.getCodec(as, i, false);
      const isMainCodecSupported = _isCodecSupported(type, rep, codec);
      let isSupplementalCodecSupported = _isSupplementalCodecSupported(rep, type);
      if (isSupplementalCodecSupported) {
        logger.debug(`[CapabilitiesFilter] Codec supported. Upgrading codecs string of Representation with ID ${rep.id}`);
        rep.codecs = rep[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].SUPPLEMENTAL_CODECS];
      }
      if (!isMainCodecSupported && !isSupplementalCodecSupported) {
        logger.warn(`[CapabilitiesFilter] Codec ${codec} not supported. Removing Representation with ID ${rep.id}`);
      }
      return isMainCodecSupported || isSupplementalCodecSupported;
    });
  }
  function _isSupplementalCodecSupported(rep, type) {
    let isSupplementalCodecSupported = false;
    const supplementalCodecs = adapter.getSupplementalCodecs(rep);
    if (supplementalCodecs.length > 0) {
      if (supplementalCodecs.length > 1) {
        logger.warn(`[CapabilitiesFilter] Multiple supplemental codecs not supported; using the first in list`);
      }
      const supplementalCodec = supplementalCodecs[0];
      isSupplementalCodecSupported = _isCodecSupported(type, rep, supplementalCodec);
    }
    return isSupplementalCodecSupported;
  }
  function _isCodecSupported(type, rep, codec) {
    const config = _createConfiguration(type, rep, codec);
    return capabilities.isCodecSupportedBasedOnTestedConfigurations(config, type);
  }
  function _getConfigurationsToCheck(manifest, type) {
    if (!manifest || !manifest.Period || manifest.Period.length === 0) {
      return [];
    }
    const configurationsSet = new Set();
    const configurations = [];
    manifest.Period.forEach(period => {
      period.AdaptationSet.forEach(as => {
        if (adapter.getIsTypeOf(as, type)) {
          as.Representation.forEach((rep, i) => {
            const codec = adapter.getCodec(as, i, false);
            _processCodecToCheck(type, rep, codec, configurationsSet, configurations);
            const supplementalCodecs = adapter.getSupplementalCodecs(rep);
            if (supplementalCodecs.length > 0) {
              _processCodecToCheck(type, rep, supplementalCodecs[0], configurationsSet, configurations);
            }
          });
        }
      });
    });
    return configurations;
  }
  function _processCodecToCheck(type, rep, codec, configurationsSet, configurations) {
    const config = _createConfiguration(type, rep, codec);
    const configString = JSON.stringify(config);
    if (!configurationsSet.has(configString)) {
      configurationsSet.add(configString);
      configurations.push(config);
    }
  }
  function _createConfiguration(type, rep, codec) {
    let config = null;
    switch (type) {
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].VIDEO:
        config = _createVideoConfiguration(rep, codec);
        break;
      case _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].AUDIO:
        config = _createAudioConfiguration(rep, codec);
        break;
      default:
        return config;
    }
    return _addGenericAttributesToConfig(rep, config);
  }
  function _createVideoConfiguration(rep, codec) {
    let config = {
      codec: codec,
      width: rep.width || null,
      height: rep.height || null,
      framerate: adapter.getFramerate(rep) || null,
      bitrate: rep.bandwidth || null,
      isSupported: true
    };
    if (settings.get().streaming.capabilities.filterVideoColorimetryEssentialProperties) {
      Object.assign(config, _convertHDRColorimetryToConfig(rep));
    }
    let colorimetrySupported = config.isSupported;
    if (settings.get().streaming.capabilities.filterHDRMetadataFormatEssentialProperties) {
      Object.assign(config, _convertHDRMetadataFormatToConfig(rep));
    }
    let metadataFormatSupported = config.isSupported;
    if (!colorimetrySupported || !metadataFormatSupported) {
      config.isSupported = false; // restore this flag as it may got overridden by 2nd Object.assign
    }
    return config;
  }
  function _convertHDRColorimetryToConfig(representation) {
    let cfg = {
      colorGamut: null,
      transferFunction: null,
      isSupported: true
    };
    for (const prop of representation.EssentialProperty || []) {
      // note: MCA does not reflect a parameter related to 'urn:mpeg:mpegB:cicp:VideoFullRangeFlag'

      // translate ColourPrimaries signaling into capability queries
      if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI && ['1', '5', '6', '7'].includes(prop.value.toString())) {
        cfg.colorGamut = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.COLORGAMUT.SRGB;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI && ['11', '12'].includes(prop.value.toString())) {
        cfg.colorGamut = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.COLORGAMUT.P3;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI && ['9'].includes(prop.value.toString())) {
        cfg.colorGamut = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.COLORGAMUT.REC2020;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI && ['2'].includes(prop.value.toString())) {
        cfg.colorGamut = null;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].COLOUR_PRIMARIES_SCHEME_ID_URI) {
        cfg.isSupported = false;
      }

      // translate TransferCharacteristics signaling into capability queries
      if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI && ['1', '6', '13', '14', '15'].includes(prop.value.toString())) {
        cfg.transferFunction = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.TRANSFERFUNCTION.SRGB;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI && ['16'].includes(prop.value.toString())) {
        cfg.transferFunction = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.TRANSFERFUNCTION.PQ;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI && ['18'].includes(prop.value.toString())) {
        cfg.transferFunction = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.TRANSFERFUNCTION.HLG;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI && ['2'].includes(prop.value.toString())) {
        cfg.transferFunction = null;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].TRANSFER_CHARACTERISTICS_SCHEME_ID_URI) {
        cfg.isSupported = false;
      }
    }
    return cfg;
  }
  function _convertHDRMetadataFormatToConfig(representation) {
    let cfg = {
      isSupported: true,
      hdrMetadataType: null
    };
    for (const prop of representation.EssentialProperty || []) {
      // translate hdrMetadataType signaling into capability queries
      if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_SCHEME_ID_URI && prop.value === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_VALUES.ST2094_10) {
        cfg.hdrMetadataType = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.HDR_METADATATYPE.SMPTE_ST_2094_10;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_SCHEME_ID_URI && prop.value === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_VALUES.SL_HDR2) {
        cfg.hdrMetadataType = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.HDR_METADATATYPE.SLHDR2; // Note: This is not specified by W3C
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_SCHEME_ID_URI && prop.value === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_VALUES.ST2094_40) {
        cfg.hdrMetadataType = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MEDIA_CAPABILITIES_API.HDR_METADATATYPE.SMPTE_ST_2094_40;
      } else if (prop.schemeIdUri === _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].HDR_METADATA_FORMAT_SCHEME_ID_URI) {
        cfg.isSupported = false;
      }
    }
    return cfg;
  }
  function _createAudioConfiguration(rep, codec) {
    const samplerate = rep.audioSamplingRate || null;
    const bitrate = rep.bandwidth || null;
    return {
      codec,
      bitrate,
      samplerate,
      isSupported: true
    };
  }
  function _addGenericAttributesToConfig(rep, config) {
    if (rep && rep[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].CONTENT_PROTECTION] && rep[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].CONTENT_PROTECTION].length > 0) {
      config.keySystemsMetadata = protectionController.getSupportedKeySystemMetadataFromContentProtection(rep[_dash_constants_DashConstants_js__WEBPACK_IMPORTED_MODULE_5__["default"].CONTENT_PROTECTION]);
    }
    return config;
  }
  function _filterUnsupportedEssentialProperties(manifest) {
    if (!manifest || !manifest.Period || manifest.Period.length === 0) {
      return;
    }
    manifest.Period.forEach(period => {
      period.AdaptationSet = period.AdaptationSet.filter(as => {
        if (!as.Representation || as.Representation.length === 0) {
          return true;
        }
        const adaptationSetEssentialProperties = adapter.getEssentialPropertiesForAdaptationSet(as);
        const doesSupportEssentialProperties = _doesSupportEssentialProperties(adaptationSetEssentialProperties);
        if (!doesSupportEssentialProperties) {
          return false;
        }
        as.Representation = as.Representation.filter(rep => {
          const essentialProperties = adapter.getEssentialPropertiesForRepresentation(rep);
          return _doesSupportEssentialProperties(essentialProperties);
        });
        return as.Representation && as.Representation.length > 0;
      });
    });
  }
  function _doesSupportEssentialProperties(essentialProperties) {
    if (!essentialProperties || essentialProperties.length === 0) {
      return true;
    }
    let i = 0;
    while (i < essentialProperties.length) {
      if (!capabilities.supportsEssentialProperty(essentialProperties[i])) {
        logger.debug('[Stream] EssentialProperty not supported: ' + essentialProperties[i].schemeIdUri);
        return false;
      }
      i += 1;
    }
    return true;
  }
  function _applyCustomFilters(manifest) {
    if (!manifest || !manifest.Period || manifest.Period.length === 0) {
      return Promise.resolve();
    }
    const promises = [];
    manifest.Period.forEach(period => {
      promises.push(_applyCustomFiltersAdaptationSetsOfPeriod(period));
    });
    return Promise.all(promises);
  }
  function _applyCustomFiltersAdaptationSetsOfPeriod(period) {
    return new Promise(resolve => {
      if (!period || !period.AdaptationSet || period.AdaptationSet.length === 0) {
        resolve();
        return;
      }
      const promises = [];
      period.AdaptationSet.forEach(as => {
        promises.push(_applyCustomFiltersRepresentationsOfAdaptation(as));
      });
      Promise.all(promises).then(() => {
        period.AdaptationSet = period.AdaptationSet.filter(as => {
          return as.Representation && as.Representation.length > 0;
        });
        resolve();
      }).catch(() => {
        resolve();
      });
    });
  }
  function _applyCustomFiltersRepresentationsOfAdaptation(as) {
    return new Promise(resolve => {
      if (!as.Representation || as.Representation.length === 0) {
        resolve();
        return;
      }
      const promises = [];
      as.Representation.forEach(rep => {
        promises.push(_applyCustomFiltersRepresentation(rep));
      });
      Promise.all(promises).then(supported => {
        as.Representation = as.Representation.filter((rep, i) => {
          let isReprSupported = supported[i].every(s => {
            return s;
          });
          if (!isReprSupported) {
            logger.debug('[Stream] Representation ' + rep.id + ' has been removed because of unsupported CustomFilter');
          }
          return isReprSupported;
        });
        resolve();
      }).catch(err => {
        logger.warn('[Stream] at least one promise rejected in CustomFilter with error: ', err);
        resolve();
      });
    });
  }
  function _applyCustomFiltersRepresentation(rep) {
    const promises = [];
    const customCapabilitiesFilters = customParametersModel.getCustomCapabilitiesFilters();
    if (!customCapabilitiesFilters || customCapabilitiesFilters.length === 0) {
      promises.push(Promise.resolve(true));
    } else {
      customCapabilitiesFilters.forEach(customFilter => {
        promises.push(new Promise(resolve => resolve(customFilter(rep))));
      });
    }
    return Promise.all(promises);
  }
  instance = {
    setConfig,
    filterUnsupportedFeatures
  };
  setup();
  return instance;
}
CapabilitiesFilter.__dashjs_factory_name = 'CapabilitiesFilter';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(CapabilitiesFilter));

/***/ }),

/***/ "./src/streaming/utils/CustomTimeRanges.js":
/*!*************************************************!*\
  !*** ./src/streaming/utils/CustomTimeRanges.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _SupervisorTools_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./SupervisorTools.js */ "./src/streaming/utils/SupervisorTools.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


function CustomTimeRanges(/*config*/
) {
  let customTimeRangeArray = [];
  let length = 0;
  function add(start, end) {
    let i;

    // eslint-disable-next-line curly
    for (i = 0; i < this.customTimeRangeArray.length && start > this.customTimeRangeArray[i].start; i++);
    this.customTimeRangeArray.splice(i, 0, {
      start: start,
      end: end
    });
    for (i = 0; i < this.customTimeRangeArray.length - 1; i++) {
      if (this.mergeRanges(i, i + 1)) {
        i--;
      }
    }
    this.length = this.customTimeRangeArray.length;
  }
  function clear() {
    this.customTimeRangeArray = [];
    this.length = 0;
  }
  function remove(start, end) {
    for (let i = 0; i < this.customTimeRangeArray.length; i++) {
      if (start <= this.customTimeRangeArray[i].start && end >= this.customTimeRangeArray[i].end) {
        //      |--------------Range i-------|
        //|---------------Range to remove ---------------|
        //    or
        //|--------------Range i-------|
        //|--------------Range to remove ---------------|
        //    or
        //                 |--------------Range i-------|
        //|--------------Range to remove ---------------|
        this.customTimeRangeArray.splice(i, 1);
        i--;
      } else if (start > this.customTimeRangeArray[i].start && end < this.customTimeRangeArray[i].end) {
        //|-----------------Range i----------------|
        //        |-------Range to remove -----|
        this.customTimeRangeArray.splice(i + 1, 0, {
          start: end,
          end: this.customTimeRangeArray[i].end
        });
        this.customTimeRangeArray[i].end = start;
        break;
      } else if (start > this.customTimeRangeArray[i].start && start < this.customTimeRangeArray[i].end) {
        //|-----------Range i----------|
        //                    |---------Range to remove --------|
        //    or
        //|-----------------Range i----------------|
        //            |-------Range to remove -----|
        this.customTimeRangeArray[i].end = start;
      } else if (end > this.customTimeRangeArray[i].start && end < this.customTimeRangeArray[i].end) {
        //                     |-----------Range i----------|
        //|---------Range to remove --------|
        //            or
        //|-----------------Range i----------------|
        //|-------Range to remove -----|
        this.customTimeRangeArray[i].start = end;
      }
    }
    this.length = this.customTimeRangeArray.length;
  }
  function mergeRanges(rangeIndex1, rangeIndex2) {
    let range1 = this.customTimeRangeArray[rangeIndex1];
    let range2 = this.customTimeRangeArray[rangeIndex2];
    if (range1.start <= range2.start && range2.start <= range1.end && range1.end <= range2.end) {
      //|-----------Range1----------|
      //                    |-----------Range2----------|
      range1.end = range2.end;
      this.customTimeRangeArray.splice(rangeIndex2, 1);
      return true;
    } else if (range2.start <= range1.start && range1.start <= range2.end && range2.end <= range1.end) {
      //                |-----------Range1----------|
      //|-----------Range2----------|
      range1.start = range2.start;
      this.customTimeRangeArray.splice(rangeIndex2, 1);
      return true;
    } else if (range2.start <= range1.start && range1.start <= range2.end && range1.end <= range2.end) {
      //      |--------Range1-------|
      //|---------------Range2--------------|
      this.customTimeRangeArray.splice(rangeIndex1, 1);
      return true;
    } else if (range1.start <= range2.start && range2.start <= range1.end && range2.end <= range1.end) {
      //|-----------------Range1--------------|
      //        |-----------Range2----------|
      this.customTimeRangeArray.splice(rangeIndex2, 1);
      return true;
    }
    return false;
  }
  function start(index) {
    (0,_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_1__.checkInteger)(index);
    if (index >= this.customTimeRangeArray.length || index < 0) {
      return NaN;
    }
    return this.customTimeRangeArray[index].start;
  }
  function end(index) {
    (0,_SupervisorTools_js__WEBPACK_IMPORTED_MODULE_1__.checkInteger)(index);
    if (index >= this.customTimeRangeArray.length || index < 0) {
      return NaN;
    }
    return this.customTimeRangeArray[index].end;
  }
  return {
    customTimeRangeArray: customTimeRangeArray,
    length: length,
    add: add,
    clear: clear,
    remove: remove,
    mergeRanges: mergeRanges,
    start: start,
    end: end
  };
}
CustomTimeRanges.__dashjs_factory_name = 'CustomTimeRanges';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(CustomTimeRanges));

/***/ }),

/***/ "./src/streaming/utils/DOMStorage.js":
/*!*******************************************!*\
  !*** ./src/streaming/utils/DOMStorage.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



const legacyKeysAndReplacements = [{
  oldKey: 'dashjs_vbitrate',
  newKey: 'dashjs_video_bitrate'
}, {
  oldKey: 'dashjs_abitrate',
  newKey: 'dashjs_audio_bitrate'
}, {
  oldKey: 'dashjs_vsettings',
  newKey: 'dashjs_video_settings'
}, {
  oldKey: 'dashjs_asettings',
  newKey: 'dashjs_audio_settings'
}];
const LOCAL_STORAGE_BITRATE_KEY_TEMPLATE = 'dashjs_?_bitrate';
const LOCAL_STORAGE_SETTINGS_KEY_TEMPLATE = 'dashjs_?_settings';
const STORAGE_TYPE_LOCAL = 'localStorage';
const STORAGE_TYPE_SESSION = 'sessionStorage';
const LAST_BITRATE = 'lastBitrate';
const LAST_MEDIA_SETTINGS = 'lastMediaSettings';
function DOMStorage(config) {
  config = config || {};
  const context = this.context;
  const settings = config.settings;
  let instance, logger, supported;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    translateLegacyKeys();
  }

  //type can be local, session
  function isSupported(type) {
    if (supported !== undefined) {
      return supported;
    }
    supported = false;
    const testKey = '1';
    const testValue = '1';
    let storage;
    try {
      if (typeof window !== 'undefined') {
        storage = window[type];
      }
    } catch (error) {
      logger.warn('DOMStorage access denied: ' + error.message);
      return supported;
    }
    if (!storage || type !== STORAGE_TYPE_LOCAL && type !== STORAGE_TYPE_SESSION) {
      return supported;
    }

    /* When Safari (OS X or iOS) is in private browsing mode, it appears as though localStorage is available, but trying to call setItem throws an exception.
     http://stackoverflow.com/questions/14555347/html5-localstorage-error-with-safari-quota-exceeded-err-dom-exception-22-an
      Check if the storage can be used
     */
    try {
      storage.setItem(testKey, testValue);
      storage.removeItem(testKey);
      supported = true;
    } catch (error) {
      logger.warn('DOMStorage is supported, but cannot be used: ' + error.message);
    }
    return supported;
  }
  function translateLegacyKeys() {
    if (isSupported(STORAGE_TYPE_LOCAL)) {
      legacyKeysAndReplacements.forEach(entry => {
        const value = localStorage.getItem(entry.oldKey);
        if (value) {
          localStorage.removeItem(entry.oldKey);
          try {
            localStorage.setItem(entry.newKey, value);
          } catch (e) {
            logger.error(e.message);
          }
        }
      });
    }
  }

  // Return current epoch time, ms, rounded to the nearest 10m to avoid fingerprinting user
  function getTimestamp() {
    const ten_minutes_ms = 60 * 1000 * 10;
    return Math.round(new Date().getTime() / ten_minutes_ms) * ten_minutes_ms;
  }
  function canStore(storageType, key) {
    return isSupported(storageType) && settings.get().streaming[key + 'CachingInfo'].enabled;
  }
  function checkConfig() {
    if (!settings) {
      throw new Error(_constants_Constants_js__WEBPACK_IMPORTED_MODULE_2__["default"].MISSING_CONFIG_ERROR);
    }
  }
  function getSavedMediaSettings(type) {
    checkConfig();
    if (!settings.get().streaming.lastMediaSettingsCachingInfo.enabled) {
      return null;
    }
    let mediaSettings = null;

    //Checks local storage to see if there is valid, non-expired media settings
    if (canStore(STORAGE_TYPE_LOCAL, LAST_MEDIA_SETTINGS)) {
      const key = LOCAL_STORAGE_SETTINGS_KEY_TEMPLATE.replace(/\?/, type);
      try {
        const obj = JSON.parse(localStorage.getItem(key)) || {};
        const isExpired = new Date().getTime() - parseInt(obj.timestamp, 10) >= settings.get().streaming.lastMediaSettingsCachingInfo.ttl || false;
        mediaSettings = obj.settings;
        if (isExpired) {
          localStorage.removeItem(key);
          mediaSettings = null;
        }
      } catch (e) {
        return null;
      }
    }
    return mediaSettings;
  }
  function getSavedBitrateSettings(type) {
    checkConfig();
    if (!settings.get().streaming.lastBitrateCachingInfo.enabled) {
      return NaN;
    }
    let savedBitrate = NaN;

    //Checks local storage to see if there is valid, non-expired bit rate
    //hinting from the last play session to use as a starting bit rate.
    if (canStore(STORAGE_TYPE_LOCAL, LAST_BITRATE)) {
      const key = LOCAL_STORAGE_BITRATE_KEY_TEMPLATE.replace(/\?/, type);
      try {
        const obj = JSON.parse(localStorage.getItem(key)) || {};
        const isExpired = new Date().getTime() - parseInt(obj.timestamp, 10) >= settings.get().streaming.lastBitrateCachingInfo.ttl || false;
        const bitrate = parseFloat(obj.bitrate);
        if (!isNaN(bitrate) && !isExpired) {
          savedBitrate = bitrate;
          logger.debug('Last saved bitrate for ' + type + ' was ' + bitrate);
        } else if (isExpired) {
          localStorage.removeItem(key);
        }
      } catch (e) {
        return null;
      }
    }
    return savedBitrate;
  }
  function setSavedMediaSettings(type, value) {
    if (canStore(STORAGE_TYPE_LOCAL, LAST_MEDIA_SETTINGS)) {
      const key = LOCAL_STORAGE_SETTINGS_KEY_TEMPLATE.replace(/\?/, type);
      try {
        localStorage.setItem(key, JSON.stringify({
          settings: value,
          timestamp: getTimestamp()
        }));
      } catch (e) {
        logger.error(e.message);
      }
    }
  }
  function setSavedBitrateSettings(type, bitrate) {
    if (canStore(STORAGE_TYPE_LOCAL, LAST_BITRATE) && bitrate) {
      const key = LOCAL_STORAGE_BITRATE_KEY_TEMPLATE.replace(/\?/, type);
      try {
        localStorage.setItem(key, JSON.stringify({
          bitrate: bitrate.toFixed(3),
          timestamp: getTimestamp()
        }));
      } catch (e) {
        logger.error(e.message);
      }
    }
  }
  instance = {
    getSavedBitrateSettings,
    setSavedBitrateSettings,
    getSavedMediaSettings,
    setSavedMediaSettings
  };
  setup();
  return instance;
}
DOMStorage.__dashjs_factory_name = 'DOMStorage';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(DOMStorage);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/utils/DefaultURLUtils.js":
/*!************************************************!*\
  !*** ./src/streaming/utils/DefaultURLUtils.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @module DefaultURLUtils
 * @description Provides utility functions for operating on URLs.
 * Initially this is simply a method to determine the Base URL of a URL, but
 * should probably include other things provided all over the place such as
 * determining whether a URL is relative/absolute, resolving two paths etc.
 * @ignore
 */
function DefaultURLUtils() {
  let resolveFunction;
  const schemeRegex = /^[a-z][a-z0-9+\-_.]*:/i;
  const httpUrlRegex = /^https?:\/\//i;
  const httpsUrlRegex = /^https:\/\//i;
  const originRegex = /^([a-z][a-z0-9+\-_.]*:\/\/[^\/]+)\/?/i;

  /**
   * Resolves a url given an optional base url
   * Uses window.URL to do the resolution.
   *
   * @param {string} url
   * @param {string} [baseUrl]
   * @return {string}
   * @memberof module:DefaultURLUtils
   * @instance
   * @private
   */
  const nativeURLResolver = (url, baseUrl) => {
    try {
      return new window.URL(url, baseUrl).toString();
    } catch (e) {
      return url;
    }
  };

  /**
   * Resolves a url given an optional base url
   * Does not resolve ./, ../ etc but will do enough to construct something
   * which will satisfy XHR etc when window.URL is not available ie
   * IE11/node etc.
   *
   * @param {string} url
   * @param {string} [baseUrl]
   * @return {string}
   * @memberof module:DefaultURLUtils
   * @instance
   * @private
   */
  const dumbURLResolver = (url, baseUrl) => {
    let baseUrlParseFunc = parseBaseUrl;
    if (!baseUrl) {
      return url;
    }
    if (!isRelative(url)) {
      return url;
    }
    if (isPathAbsolute(url)) {
      baseUrlParseFunc = parseOrigin;
    }
    if (isSchemeRelative(url)) {
      baseUrlParseFunc = parseScheme;
    }
    const base = baseUrlParseFunc(baseUrl);
    const joinChar = base.charAt(base.length - 1) !== '/' && url.charAt(0) !== '/' ? '/' : '';
    return [base, url].join(joinChar);
  };
  function setup() {
    try {
      const u = new window.URL('x', 'http://y'); // eslint-disable-line
      resolveFunction = nativeURLResolver;
    } catch (e) {
      // must be IE11/Node etc
    } finally {
      resolveFunction = resolveFunction || dumbURLResolver;
    }
  }

  /**
   * Returns a string that contains the Base URL of a URL, if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function parseBaseUrl(url) {
    const slashIndex = url.indexOf('/');
    const lastSlashIndex = url.lastIndexOf('/');
    if (slashIndex !== -1) {
      // if there is only '//'
      if (lastSlashIndex === slashIndex + 1) {
        return url;
      }
      if (url.indexOf('?') !== -1) {
        url = url.substring(0, url.indexOf('?'));
      }
      return url.substring(0, lastSlashIndex + 1);
    }
    return '';
  }

  /**
   * Returns a string that contains the scheme and origin of a URL,
   * if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function parseOrigin(url) {
    const matches = url.match(originRegex);
    if (matches) {
      return matches[1];
    }
    return '';
  }

  /**
   * Returns a string that contains the fragment of a URL without scheme,
   * if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function removeHostname(url) {
    let urlParts = /^(?:\w+\:\/\/)?([^\/]+)(.*)$/.exec(url); //[1] = host / [2] = path
    return urlParts[2].substring(1);
  }

  /**
   * Returns a string that contains the scheme of a URL, if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function parseScheme(url) {
    const matches = url.match(schemeRegex);
    if (matches) {
      return matches[0];
    }
    return '';
  }

  /**
   * Determines whether the url is relative.
   * @return {boolean}
   * @param {string} url
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function isRelative(url) {
    return !schemeRegex.test(url);
  }

  /**
   * Determines whether the url is path-absolute.
   * @return {bool}
   * @param {string} url
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function isPathAbsolute(url) {
    return isRelative(url) && url.charAt(0) === '/';
  }

  /**
   * Determines whether the url is scheme-relative.
   * @return {bool}
   * @param {string} url
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function isSchemeRelative(url) {
    return url.indexOf('//') === 0;
  }

  /**
   * Determines whether the url is an HTTP-URL as defined in ISO/IEC
   * 23009-1:2014 3.1.15. ie URL with a fixed scheme of http or https
   * @return {bool}
   * @param {string} url
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function isHTTPURL(url) {
    return httpUrlRegex.test(url);
  }

  /**
   * Determines whether the supplied url has https scheme
   * @return {bool}
   * @param {string} url
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function isHTTPS(url) {
    return httpsUrlRegex.test(url);
  }

  /**
   * Resolves a url given an optional base url
   * @return {string}
   * @param {string} url
   * @param {string} [baseUrl]
   * @memberof module:DefaultURLUtils
   * @instance
   */
  function resolve(url, baseUrl) {
    return resolveFunction(url, baseUrl);
  }
  setup();
  const instance = {
    parseBaseUrl: parseBaseUrl,
    parseOrigin: parseOrigin,
    parseScheme: parseScheme,
    isRelative: isRelative,
    isPathAbsolute: isPathAbsolute,
    isSchemeRelative: isSchemeRelative,
    isHTTPURL: isHTTPURL,
    isHTTPS: isHTTPS,
    removeHostname: removeHostname,
    resolve: resolve
  };
  return instance;
}
DefaultURLUtils.__dashjs_factory_name = 'DefaultURLUtils';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(DefaultURLUtils));

/***/ }),

/***/ "./src/streaming/utils/EBMLParser.js":
/*!*******************************************!*\
  !*** ./src/streaming/utils/EBMLParser.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");


/**
 * Creates an instance of an EBMLParser class which implements a large subset
 * of the functionality required to parse Matroska EBML
 *
 * @param {Object} config object with data member which is the buffer to parse
 * @ignore
 */
function EBMLParser(config) {
  config = config || {};
  let instance;
  let data = new DataView(config.data);
  let pos = 0;
  function getPos() {
    return pos;
  }
  function setPos(value) {
    pos = value;
  }

  /**
   * Consumes an EBML tag from the data stream.
   *
   * @param {Object} tag to parse, A tag is an object with at least a {number} tag and
   * {boolean} required flag.
   * @param {boolean} test whether or not the function should throw if a required
   * tag is not found
   * @return {boolean} whether or not the tag was found
   * @throws will throw an exception if a required tag is not found and test
   * param is false or undefined, or if the stream is malformed.
   * @memberof EBMLParser
   */
  function consumeTag(tag, test) {
    let found = true;
    let bytesConsumed = 0;
    let p1, p2;
    if (test === undefined) {
      test = false;
    }
    if (tag.tag > 0xFFFFFF) {
      if (data.getUint32(pos) !== tag.tag) {
        found = false;
      }
      bytesConsumed = 4;
    } else if (tag.tag > 0xFFFF) {
      // 3 bytes
      p1 = data.getUint16(pos);
      p2 = data.getUint8(pos + 2);

      // shift p1 over a byte and add p2
      if (p1 * 256 + p2 !== tag.tag) {
        found = false;
      }
      bytesConsumed = 3;
    } else if (tag.tag > 0xFF) {
      if (data.getUint16(pos) !== tag.tag) {
        found = false;
      }
      bytesConsumed = 2;
    } else {
      if (data.getUint8(pos) !== tag.tag) {
        found = false;
      }
      bytesConsumed = 1;
    }
    if (!found && tag.required && !test) {
      throw new Error('required tag not found');
    }
    if (found) {
      pos += bytesConsumed;
    }
    return found;
  }

  /**
   * Consumes an EBML tag from the data stream.   If the tag is found then this
   * function will also remove the size field which follows the tag from the
   * data stream.
   *
   * @param {Object} tag to parse, A tag is an object with at least a {number} tag and
   * {boolean} required flag.
   * @param {boolean} test whether or not the function should throw if a required
   * tag is not found
   * @return {boolean} whether or not the tag was found
   * @throws will throw an exception if a required tag is not found and test
   * param is false or undefined, or if the stream is malformedata.
   * @memberof EBMLParser
   */
  function consumeTagAndSize(tag, test) {
    let found = consumeTag(tag, test);
    if (found) {
      getMatroskaCodedNum();
    }
    return found;
  }

  /**
   * Consumes an EBML tag from the data stream.   If the tag is found then this
   * function will also remove the size field which follows the tag from the
   * data stream.  It will use the value of the size field to parse a binary
   * field, using a parser defined in the tag itself
   *
   * @param {Object} tag to parse, A tag is an object with at least a {number} tag,
   * {boolean} required flag, and a parse function which takes a size parameter
   * @return {boolean} whether or not the tag was found
   * @throws will throw an exception if a required tag is not found,
   * or if the stream is malformed
   * @memberof EBMLParser
   */
  function parseTag(tag) {
    let size;
    consumeTag(tag);
    size = getMatroskaCodedNum();
    return instance[tag.parse](size);
  }

  /**
   * Consumes an EBML tag from the data stream.   If the tag is found then this
   * function will also remove the size field which follows the tag from the
   * data stream.  It will use the value of the size field to skip over the
   * entire section of EBML encapsulated by the tag.
   *
   * @param {Object} tag to parse, A tag is an object with at least a {number} tag, and
   * {boolean} required flag
   * @param {boolean} test a flag to indicate if an exception should be thrown
   * if a required tag is not found
   * @return {boolean} whether or not the tag was found
   * @throws will throw an exception if a required tag is not found and test is
   * false or undefined or if the stream is malformed
   * @memberof EBMLParser
   */
  function skipOverElement(tag, test) {
    let found = consumeTag(tag, test);
    let headerSize;
    if (found) {
      headerSize = getMatroskaCodedNum();
      pos += headerSize;
    }
    return found;
  }

  /**
   * Returns and consumes a number encoded according to the Matroska EBML
   * specification from the bitstream.
   *
   * @param {boolean} retainMSB whether or not to retain the Most Significant Bit (the
   * first 1). this is usually true when reading Tag IDs.
   * @return {number} the decoded number
   * @throws will throw an exception if the bit stream is malformed or there is
   * not enough data
   * @memberof EBMLParser
   */
  function getMatroskaCodedNum(retainMSB) {
    let bytesUsed = 1;
    let mask = 0x80;
    let maxBytes = 8;
    let extraBytes = -1;
    let num = 0;
    let ch = data.getUint8(pos);
    let i = 0;
    for (i = 0; i < maxBytes; i += 1) {
      if ((ch & mask) === mask) {
        num = retainMSB === undefined ? ch & ~mask : ch;
        extraBytes = i;
        break;
      }
      mask >>= 1;
    }
    for (i = 0; i < extraBytes; i += 1, bytesUsed += 1) {
      num = num << 8 | 0xff & data.getUint8(pos + bytesUsed);
    }
    pos += bytesUsed;
    return num;
  }

  /**
   * Returns and consumes a float from the bitstream.
   *
   * @param {number} size 4 or 8 byte floats are supported
   * @return {number} the decoded number
   * @throws will throw an exception if the bit stream is malformed or there is
   * not enough data
   * @memberof EBMLParser
   */
  function getMatroskaFloat(size) {
    let outFloat;
    switch (size) {
      case 4:
        outFloat = data.getFloat32(pos);
        pos += 4;
        break;
      case 8:
        outFloat = data.getFloat64(pos);
        pos += 8;
        break;
    }
    return outFloat;
  }

  /**
   * Consumes and returns an unsigned int from the bitstream.
   *
   * @param {number} size 1 to 8 bytes
   * @return {number} the decoded number
   * @throws will throw an exception if the bit stream is malformed, there is
   * not enough data, or if the value exceeds the maximum safe integer value
   * @memberof EBMLParser
   */
  function getMatroskaUint(size) {
    if (size > 4) {
      return getMatroskaUintLarge(size);
    }
    let val = 0;
    for (let i = 0; i < size; i += 1) {
      val <<= 8;
      val |= data.getUint8(pos + i) & 0xff;
    }
    pos += size;
    return val >>> 0;
  }

  /**
   * Consumes and returns an unsigned int from the bitstream.
   *
   * @param {number} size 1 to 8 bytes
   * @return {number} the decoded number
   * @throws will throw an exception if the bit stream is malformed, there is
   * not enough data, or if the value exceeds the maximum safe integer value
   */
  function getMatroskaUintLarge(size) {
    const limit = Math.floor(Number.MAX_SAFE_INTEGER / 256);
    let val = 0;
    for (let i = 0; i < size; i += 1) {
      if (val > limit) {
        throw new Error('Value exceeds safe integer limit');
      }
      val *= 256;
      const n = data.getUint8(pos + i);
      if (val > Number.MAX_SAFE_INTEGER - n) {
        throw new Error('Value exceeds safe integer limit');
      }
      val += n;
    }
    pos += size;
    return val;
  }

  /**
   * Tests whether there is more data in the bitstream for parsing
   *
   * @return {boolean} whether there is more data to parse
   * @memberof EBMLParser
   */
  function moreData() {
    return pos < data.byteLength;
  }
  instance = {
    getPos: getPos,
    setPos: setPos,
    consumeTag: consumeTag,
    consumeTagAndSize: consumeTagAndSize,
    parseTag: parseTag,
    skipOverElement: skipOverElement,
    getMatroskaCodedNum: getMatroskaCodedNum,
    getMatroskaFloat: getMatroskaFloat,
    getMatroskaUint: getMatroskaUint,
    moreData: moreData
  };
  return instance;
}
EBMLParser.__dashjs_factory_name = 'EBMLParser';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(EBMLParser));

/***/ }),

/***/ "./src/streaming/utils/ErrorHandler.js":
/*!*********************************************!*\
  !*** ./src/streaming/utils/ErrorHandler.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




/**
 * @module ErrorHandler
 * @ignore
 */
function ErrorHandler() {
  let instance;
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_0__["default"])(context).getInstance();

  /**
   * @param {object} err DashJSError with code, message and data attributes
   * @memberof module:ErrorHandler
   */
  function error(err) {
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_1__["default"].ERROR, {
      error: err
    });
  }
  instance = {
    error: error
  };
  return instance;
}
ErrorHandler.__dashjs_factory_name = 'ErrorHandler';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getSingletonFactory(ErrorHandler));

/***/ }),

/***/ "./src/streaming/utils/InitCache.js":
/*!******************************************!*\
  !*** ./src/streaming/utils/InitCache.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Represents data structure to keep and drive {DataChunk}
 */


function InitCache() {
  let data = {};
  function save(chunk) {
    const id = chunk.streamId;
    const representationId = chunk.representation.id;
    data[id] = data[id] || {};
    data[id][representationId] = chunk;
  }
  function extract(streamId, representationId) {
    if (data && data[streamId] && data[streamId][representationId]) {
      return data[streamId][representationId];
    } else {
      return null;
    }
  }
  function reset() {
    data = {};
  }
  const instance = {
    save: save,
    extract: extract,
    reset: reset
  };
  return instance;
}
InitCache.__dashjs_factory_name = 'InitCache';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(InitCache));

/***/ }),

/***/ "./src/streaming/utils/IsoFile.js":
/*!****************************************!*\
  !*** ./src/streaming/utils/IsoFile.js ***!
  \****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _vo_IsoBox_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../vo/IsoBox.js */ "./src/streaming/vo/IsoBox.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



function IsoFile() {
  let instance, parsedIsoFile;

  /**
   * @param {string} type
   * @returns {IsoBox|null}
   * @memberof IsoFile#
   */
  function getBox(type) {
    if (!type || !parsedIsoFile || !parsedIsoFile.boxes || parsedIsoFile.boxes.length === 0 || typeof parsedIsoFile.fetch !== 'function') {
      return null;
    }
    return convertToDashIsoBox(parsedIsoFile.fetch(type));
  }

  /**
   * @param {string} type
   * @returns {Array|null} array of {@link IsoBox}
   * @memberof IsoFile#
   */
  function getBoxes(type) {
    let boxes = [];
    if (!type || !parsedIsoFile || typeof parsedIsoFile.fetchAll !== 'function') {
      return boxes;
    }
    let boxData = parsedIsoFile.fetchAll(type);
    let box;
    for (let i = 0, ln = boxData.length; i < ln; i++) {
      box = convertToDashIsoBox(boxData[i]);
      if (box) {
        boxes.push(box);
      }
    }
    return boxes;
  }

  /**
   * @param {string} value
   * @memberof IsoFile#
   */
  function setData(value) {
    parsedIsoFile = value;
  }

  /**
   * @returns {IsoBox|null}
   * @memberof IsoFile#
   */
  function getLastBox() {
    if (!parsedIsoFile || !parsedIsoFile.boxes || !parsedIsoFile.boxes.length) {
      return null;
    }
    let type = parsedIsoFile.boxes[parsedIsoFile.boxes.length - 1].type;
    let boxes = getBoxes(type);
    return boxes.length > 0 ? boxes[boxes.length - 1] : null;
  }
  function convertToDashIsoBox(boxData) {
    if (!boxData) {
      return null;
    }
    let box = new _vo_IsoBox_js__WEBPACK_IMPORTED_MODULE_0__["default"](boxData);
    if (boxData.hasOwnProperty('_incomplete')) {
      box.isComplete = !boxData._incomplete;
    }
    return box;
  }
  instance = {
    getBox: getBox,
    getBoxes: getBoxes,
    setData: setData,
    getLastBox: getLastBox
  };
  return instance;
}
IsoFile.__dashjs_factory_name = 'IsoFile';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"].getClassFactory(IsoFile));

/***/ }),

/***/ "./src/streaming/utils/LocationSelector.js":
/*!*************************************************!*\
  !*** ./src/streaming/utils/LocationSelector.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var _controllers_BlacklistController_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../controllers/BlacklistController.js */ "./src/streaming/controllers/BlacklistController.js");
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Settings_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/Settings.js */ "./src/core/Settings.js");
/* harmony import */ var _dash_controllers_ContentSteeringController_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../dash/controllers/ContentSteeringController.js */ "./src/dash/controllers/ContentSteeringController.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2023, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






function LocationSelector() {
  const context = this.context;
  const settings = (0,_core_Settings_js__WEBPACK_IMPORTED_MODULE_3__["default"])(context).getInstance();
  let instance, blacklistController, contentSteeringController;
  function setup() {
    blacklistController = (0,_controllers_BlacklistController_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).create({
      updateEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_0__["default"].SERVICE_LOCATION_LOCATION_BLACKLIST_CHANGED,
      addBlacklistEventName: _core_events_Events_js__WEBPACK_IMPORTED_MODULE_0__["default"].SERVICE_LOCATION_LOCATION_BLACKLIST_ADD
    });
    contentSteeringController = (0,_dash_controllers_ContentSteeringController_js__WEBPACK_IMPORTED_MODULE_4__["default"])(context).getInstance();
  }
  function setConfig(config) {
    if (config.blacklistController) {
      blacklistController = config.blacklistController;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
  }

  /**
   *
   * @param {MpdLocation[]} mpdLocations
   * @returns {*}
   */
  function select(mpdLocations) {
    if (!mpdLocations || mpdLocations.length === 0) {
      return null;
    }
    let mpdLocation = null;
    if (settings.get().streaming.applyContentSteering) {
      mpdLocation = _selectByContentSteering(mpdLocations);
    }
    if (!mpdLocation) {
      mpdLocation = _selectByDefault(mpdLocations);
    }
    return mpdLocation;
  }
  function _selectByContentSteering(mpdLocations) {
    // Search in the response data of the steering server
    const currentSteeringResponseData = contentSteeringController.getCurrentSteeringResponseData();
    if (currentSteeringResponseData && currentSteeringResponseData.pathwayPriority && currentSteeringResponseData.pathwayPriority.length > 0) {
      return _findMpdLocation(currentSteeringResponseData.pathwayPriority, mpdLocations);
    }
    return null;
  }
  function _findMpdLocation() {
    let pathwayPriority = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    let mpdLocations = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
    let i = 0;
    let target = null;
    while (i < pathwayPriority.length) {
      const curr = pathwayPriority[i];
      const idx = mpdLocations.findIndex(elem => {
        return elem.serviceLocation && elem.serviceLocation === curr;
      });
      if (idx !== -1 && !blacklistController.contains(mpdLocations[idx].serviceLocation)) {
        target = mpdLocations[idx];
        break;
      }
      i += 1;
    }
    return target;
  }
  function _selectByDefault(mpdLocations) {
    return mpdLocations[0];
  }
  function reset() {
    blacklistController.reset();
  }
  instance = {
    select,
    setConfig,
    reset
  };
  setup();
  return instance;
}
LocationSelector.__dashjs_factory_name = 'LocationSelector';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_2__["default"].getClassFactory(LocationSelector));

/***/ }),

/***/ "./src/streaming/utils/ObjectUtils.js":
/*!********************************************!*\
  !*** ./src/streaming/utils/ObjectUtils.js ***!
  \********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var fast_deep_equal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! fast-deep-equal */ "./node_modules/fast-deep-equal/index.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




/**
 * @module ObjectUtils
 * @ignore
 * @description Provides utility functions for objects
 */
function ObjectUtils() {
  let instance;

  /**
   * Returns true if objects are equal
   * @return {boolean}
   * @param {object} obj1
   * @param {object} obj2
   * @memberof module:ObjectUtils
   * @instance
   */
  function areEqual(obj1, obj2) {
    return fast_deep_equal__WEBPACK_IMPORTED_MODULE_1__(obj1, obj2);
  }
  instance = {
    areEqual
  };
  return instance;
}
ObjectUtils.__dashjs_factory_name = 'ObjectUtils';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(ObjectUtils));

/***/ }),

/***/ "./src/streaming/utils/SupervisorTools.js":
/*!************************************************!*\
  !*** ./src/streaming/utils/SupervisorTools.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   checkInteger: function() { return /* binding */ checkInteger; },
/* harmony export */   checkIsVideoOrAudioType: function() { return /* binding */ checkIsVideoOrAudioType; },
/* harmony export */   checkParameterType: function() { return /* binding */ checkParameterType; },
/* harmony export */   checkRange: function() { return /* binding */ checkRange; }
/* harmony export */ });
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

function checkParameterType(parameter, type) {
  if (typeof parameter !== type) {
    throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].BAD_ARGUMENT_ERROR;
  }
}
function checkInteger(parameter) {
  const isInt = parameter !== null && !isNaN(parameter) && parameter % 1 === 0;
  if (!isInt) {
    throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].BAD_ARGUMENT_ERROR + ' : argument is not an integer';
  }
}
function checkRange(parameter, min, max) {
  if (parameter < min || parameter > max) {
    throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].BAD_ARGUMENT_ERROR + ' : argument out of range';
  }
}
function checkIsVideoOrAudioType(type) {
  if (typeof type !== 'string' || type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].AUDIO && type !== _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].VIDEO) {
    throw _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].BAD_ARGUMENT_ERROR;
  }
}

/***/ }),

/***/ "./src/streaming/utils/TTMLParser.js":
/*!*******************************************!*\
  !*** ./src/streaming/utils/TTMLParser.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/EventBus.js */ "./src/core/EventBus.js");
/* harmony import */ var _core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../core/events/Events.js */ "./src/core/events/Events.js");
/* harmony import */ var imsc__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! imsc */ "./node_modules/imsc/src/main/js/main.js");
/* harmony import */ var _MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../MediaPlayerEvents.js */ "./src/streaming/MediaPlayerEvents.js");
/* harmony import */ var _constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../constants/ConformanceViolationConstants.js */ "./src/streaming/constants/ConformanceViolationConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */







function TTMLParser() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();

  /*
   * This TTML parser follows "EBU-TT-D SUBTITLING DISTRIBUTION FORMAT - tech3380" spec - https://tech.ebu.ch/docs/tech/tech3380.pdf.
   * */
  let instance, logger;
  let cueCounter = 0; // Used to give every cue a unique ID.

  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
  }
  function getCueID() {
    const id = 'cue_TTML_' + cueCounter;
    cueCounter++;
    return id;
  }

  /**
   * Parse the raw data and process it to return the HTML element representing the cue.
   * Return the region to be processed and controlled (hide/show) by the caption controller.
   * @param {string} data - raw data received from the TextSourceBuffer
   * @param {number} offsetTime - offset time to apply to cue time
   * @param {integer} startTimeSegment - startTime for the current segment
   * @param {integer} endTimeSegment - endTime for the current segment
   * @param {array} images - images array referenced by subs MP4 box
   * @returns {array} captionArray
   */
  function parse(data, offsetTime, startTimeSegment, endTimeSegment, images) {
    let errorMsg = '';
    const captionArray = [];
    let startTime, endTime, i;
    const content = {};
    const embeddedImages = {};
    let currentImageId = '';
    let accumulated_image_data = '';
    let metadataHandler = {
      onOpenTag: function (ns, name, attrs) {
        // cope with existing non-compliant content
        if (attrs[' imagetype'] && !attrs[' imageType']) {
          eventBus.trigger(_MediaPlayerEvents_js__WEBPACK_IMPORTED_MODULE_5__["default"].CONFORMANCE_VIOLATION, {
            level: _constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].LEVELS.ERROR,
            event: _constants_ConformanceViolationConstants_js__WEBPACK_IMPORTED_MODULE_6__["default"].EVENTS.NON_COMPLIANT_SMPTE_IMAGE_ATTRIBUTE
          });
          attrs[' imageType'] = attrs[' imagetype'];
        }
        if (name === 'image' && (ns === 'http://www.smpte-ra.org/schemas/2052-1/2010/smpte-tt' || ns === 'http://www.smpte-ra.org/schemas/2052-1/2013/smpte-tt')) {
          if (!attrs[' imageType'] || attrs[' imageType'].value !== 'PNG') {
            logger.warn('smpte-tt imageType != PNG. Discarded');
            return;
          }
          currentImageId = attrs['http://www.w3.org/XML/1998/namespace id'].value;
        }
      },
      onCloseTag: function () {
        if (currentImageId) {
          embeddedImages[currentImageId] = accumulated_image_data.trim();
        }
        accumulated_image_data = '';
        currentImageId = '';
      },
      onText: function (contents) {
        if (currentImageId) {
          accumulated_image_data = accumulated_image_data + contents;
        }
      }
    };
    if (!data) {
      errorMsg = 'no ttml data to parse';
      throw new Error(errorMsg);
    }
    content.data = data;
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].TTML_TO_PARSE, content);
    let imsc1doc = (0,imsc__WEBPACK_IMPORTED_MODULE_4__.fromXML)(content.data, function (msg) {
      errorMsg = msg;
    }, metadataHandler);
    eventBus.trigger(_core_events_Events_js__WEBPACK_IMPORTED_MODULE_3__["default"].TTML_PARSED, {
      ttmlString: content.data,
      ttmlDoc: imsc1doc
    });
    const mediaTimeEvents = imsc1doc.getMediaTimeEvents();
    for (i = 0; i < mediaTimeEvents.length; i++) {
      let isd = (0,imsc__WEBPACK_IMPORTED_MODULE_4__.generateISD)(imsc1doc, mediaTimeEvents[i], function (error) {
        errorMsg = error;
      });
      if (isd.contents.some(topLevelContents => topLevelContents.contents.length)) {
        //be sure that mediaTimeEvents values are in the mp4 segment time ranges.
        startTime = mediaTimeEvents[i] + offsetTime;
        endTime = mediaTimeEvents[i + 1] + offsetTime;
        if (startTime < endTime) {
          captionArray.push({
            start: startTime,
            end: endTime,
            type: 'html',
            cueID: getCueID(),
            isd: isd,
            images: images,
            embeddedImages: embeddedImages
          });
        }
      }
    }
    if (errorMsg !== '') {
      logger.error(errorMsg);
      throw new Error(errorMsg);
    }
    return captionArray;
  }
  instance = {
    parse: parse
  };
  setup();
  return instance;
}
TTMLParser.__dashjs_factory_name = 'TTMLParser';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(TTMLParser));

/***/ }),

/***/ "./src/streaming/utils/TimeUtils.js":
/*!******************************************!*\
  !*** ./src/streaming/utils/TimeUtils.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @module TimeUtils
 * @ignore
 * @description Provides utility functions for time manipulation/conversion
 */
function TimeUtils() {
  let instance;

  /**
   * Convert NTP timestamp into an UTC timestamp
   * @return {number}
   * @param {number} ntpTimestamp
   * @memberof module:TimeUtils
   * @instance
   */
  function ntpToUTC(ntpTimeStamp) {
    const start = new Date(Date.UTC(1900, 0, 1, 0, 0, 0));
    return new Date(start.getTime() + ntpTimeStamp).getTime();
  }
  instance = {
    ntpToUTC
  };
  return instance;
}
TimeUtils.__dashjs_factory_name = 'TimeUtils';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(TimeUtils));

/***/ }),

/***/ "./src/streaming/utils/URLUtils.js":
/*!*****************************************!*\
  !*** ./src/streaming/utils/URLUtils.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _DefaultURLUtils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./DefaultURLUtils.js */ "./src/streaming/utils/DefaultURLUtils.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




/**
 * @module URLUtils
 * @ignore
 * @description Provides utility functions for operating on URLs.
 * Initially this is simply a method to determine the Base URL of a URL, but
 * should probably include other things provided all over the place such as
 * determining whether a URL is relative/absolute, resolving two paths etc.
 */
function URLUtils() {
  let instance;
  let defaultURLUtils;
  let regexUtils = [];
  const context = this.context;
  function getUtils(url) {
    let i;
    for (i = 0; i < regexUtils.length; i++) {
      let regex = regexUtils[i].regex;
      if (regex.test(url)) {
        return regexUtils[i].utils;
      }
    }
    return defaultURLUtils;
  }
  function setup() {
    defaultURLUtils = (0,_DefaultURLUtils_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  }

  /**
   * Register a module to handle specific url.
   * @param {regex} regex - url regex
   * @param {object} utils - object that handles the regex
   * @memberof module:URLUtils
   * @instance
   */
  function registerUrlRegex(regex, utils) {
    regexUtils.push({
      regex: regex,
      utils: utils
    });
  }
  function internalCall(functionName, url, baseUrl) {
    let utils = getUtils(baseUrl || url);
    return utils && typeof utils[functionName] === 'function' ? utils[functionName](url, baseUrl) : defaultURLUtils[functionName](url, baseUrl);
  }

  /**
   * Returns a string that contains the Base URL of a URL, if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:URLUtils
   * @instance
   */
  function parseBaseUrl(url) {
    return internalCall('parseBaseUrl', url);
  }

  /**
   * Returns a string that contains the scheme and origin of a URL,
   * if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:URLUtils
   * @instance
   */
  function parseOrigin(url) {
    return internalCall('parseOrigin', url);
  }

  /**
   * Returns a string that contains the fragment of a URL without scheme,
   * if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:URLUtils
   * @instance
   */
  function removeHostname(url) {
    return internalCall('removeHostname', url);
  }

  /**
   * Returns a string that contains the scheme of a URL, if determinable.
   * @param {string} url - full url
   * @return {string}
   * @memberof module:URLUtils
   * @instance
   */
  function parseScheme(url) {
    return internalCall('parseScheme', url);
  }

  /**
   * Determines whether the url is relative.
   * @return {boolean}
   * @param {string} url
   * @memberof module:URLUtils
   * @instance
   */
  function isRelative(url) {
    return internalCall('isRelative', url);
  }

  /**
   * Determines whether the url is path-absolute.
   * @return {bool}
   * @param {string} url
   * @memberof module:URLUtils
   * @instance
   */
  function isPathAbsolute(url) {
    return internalCall('isPathAbsolute', url);
  }

  /**
   * Determines whether the url is scheme-relative.
   * @return {bool}
   * @param {string} url
   * @memberof module:URLUtils
   * @instance
   */
  function isSchemeRelative(url) {
    return internalCall('isSchemeRelative', url);
  }

  /**
   * Determines whether the url is an HTTP-URL as defined in ISO/IEC
   * 23009-1:2014 3.1.15. ie URL with a fixed scheme of http or https
   * @return {bool}
   * @param {string} url
   * @memberof module:URLUtils
   * @instance
   */
  function isHTTPURL(url) {
    return internalCall('isHTTPURL', url);
  }

  /**
   * Determines whether the supplied url has https scheme
   * @return {bool}
   * @param {string} url
   * @memberof module:URLUtils
   * @instance
   */
  function isHTTPS(url) {
    return internalCall('isHTTPS', url);
  }

  /**
   * Resolves a url given an optional base url
   * @return {string}
   * @param {string} url
   * @param {string} [baseUrl]
   * @memberof module:URLUtils
   * @instance
   */
  function resolve(url, baseUrl) {
    return internalCall('resolve', url, baseUrl);
  }
  setup();
  instance = {
    registerUrlRegex: registerUrlRegex,
    parseBaseUrl: parseBaseUrl,
    parseOrigin: parseOrigin,
    parseScheme: parseScheme,
    isRelative: isRelative,
    isPathAbsolute: isPathAbsolute,
    isSchemeRelative: isSchemeRelative,
    isHTTPURL: isHTTPURL,
    isHTTPS: isHTTPS,
    removeHostname: removeHostname,
    resolve: resolve
  };
  return instance;
}
URLUtils.__dashjs_factory_name = 'URLUtils';
const factory = _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(URLUtils);
/* harmony default export */ __webpack_exports__["default"] = (factory);

/***/ }),

/***/ "./src/streaming/utils/VTTParser.js":
/*!******************************************!*\
  !*** ./src/streaming/utils/VTTParser.js ***!
  \******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _core_Debug_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/Debug.js */ "./src/core/Debug.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


const WEBVTT = 'WEBVTT';
function VTTParser() {
  const context = this.context;
  let instance, logger, regExNewLine, regExToken, regExWhiteSpace, regExWhiteSpaceWordBoundary;
  function setup() {
    logger = (0,_core_Debug_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance().getLogger(instance);
    regExNewLine = /(?:\r\n|\r|\n)/gm;
    regExToken = /-->/;
    regExWhiteSpace = /(^[\s]+|[\s]+$)/g;
    regExWhiteSpaceWordBoundary = /\s\b/g;
  }
  function parse(data) {
    const captionArray = [];
    let len, lastStartTime;
    if (!data) {
      return captionArray;
    }
    data = data.split(regExNewLine);
    len = data.length;
    lastStartTime = -1;
    for (let i = 0; i < len; i++) {
      let item = data[i];
      if (item.length > 0 && item !== WEBVTT) {
        if (item.match(regExToken)) {
          const attributes = parseItemAttributes(item);
          const cuePoints = attributes.cuePoints;
          const styles = attributes.styles;
          const text = getSublines(data, i + 1);
          const startTime = convertCuePointTimes(cuePoints[0].replace(regExWhiteSpace, ''));
          const endTime = convertCuePointTimes(cuePoints[1].replace(regExWhiteSpace, ''));
          if (!isNaN(startTime) && !isNaN(endTime) && startTime >= lastStartTime && endTime > startTime) {
            if (text !== '') {
              lastStartTime = startTime;
              //TODO Make VO external so other parsers can use.
              captionArray.push({
                start: startTime,
                end: endTime,
                data: text,
                styles: styles
              });
            } else {
              logger.error('Skipping cue due to empty/malformed cue text');
            }
          } else {
            logger.error('Skipping cue due to incorrect cue timing');
          }
        }
      }
    }
    return captionArray;
  }
  function convertCuePointTimes(time) {
    const timeArray = time.split(':');
    const len = timeArray.length - 1;
    time = parseInt(timeArray[len - 1], 10) * 60 + parseFloat(timeArray[len]);
    if (len === 2) {
      time += parseInt(timeArray[0], 10) * 3600;
    }
    return time;
  }
  function parseItemAttributes(data) {
    const vttCuePoints = data.split(regExToken);
    const arr = vttCuePoints[1].split(regExWhiteSpaceWordBoundary);
    arr.shift(); //remove first array index it is empty...
    vttCuePoints[1] = arr[0];
    arr.shift();
    return {
      cuePoints: vttCuePoints,
      styles: getCaptionStyles(arr)
    };
  }
  function getCaptionStyles(arr) {
    const styleObject = {};
    arr.forEach(function (element) {
      const parts = element.split(':');
      if (parts.length > 1) {
        const [settingName, settingValue] = parts;
        switch (settingName) {
          case 'align':
          case 'A':
            styleObject.align = settingValue;
            break;
          case 'line':
          case 'L':
            const [line, lineAlign] = settingValue.split(',');
            const isPercentage = line.endsWith('%');
            styleObject.line = line === 'auto' ? line : parseInt(line, 10);
            if (isPercentage) {
              styleObject.snapToLines = false;
            }
            if (lineAlign) {
              styleObject.lineAlign = lineAlign;
            }
            break;
          case 'position':
          case 'P':
            const [position, positionAlign] = settingValue.split(',');
            styleObject.position = parseInt(position, 10);
            if (positionAlign) {
              styleObject.positionAlign = positionAlign;
            }
            break;
          case 'size':
          case 'S':
            styleObject.size = parseInt(settingValue, 10);
            break;
        }
      }
    });
    return styleObject;
  }

  /*
  * VTT can have multiple lines to display per cuepoint.
  */
  function getSublines(data, idx) {
    let i = idx;
    let subline = '';
    let lineData = '';
    let lineCount;
    while (data[i] !== '' && i < data.length) {
      i++;
    }
    lineCount = i - idx;
    if (lineCount > 1) {
      for (let j = 0; j < lineCount; j++) {
        lineData = data[idx + j];
        if (!lineData.match(regExToken)) {
          subline += lineData;
          if (j !== lineCount - 1) {
            subline += '\n';
          }
        } else {
          // caption text should not have '-->' in it
          subline = '';
          break;
        }
      }
    } else {
      lineData = data[idx];
      if (!lineData.match(regExToken)) {
        subline = lineData;
      }
    }
    return subline;
  }
  instance = {
    parse: parse,
    getCaptionStyles
  };
  setup();
  return instance;
}
VTTParser.__dashjs_factory_name = 'VTTParser';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(VTTParser));

/***/ }),

/***/ "./src/streaming/utils/VttCustomRenderingParser.js":
/*!*********************************************************!*\
  !*** ./src/streaming/utils/VttCustomRenderingParser.js ***!
  \*********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

function VttCustomRenderingParser() {
  let instance, vttjs;
  function setup() {
    try {
      if (window && window.WebVTT && window.WebVTT.Parser) {
        vttjs = new window.WebVTT.Parser(window, window.vttjs, window.WebVTT.StringDecoder());
      }
    } catch (e) {}
  }
  function parse(data) {
    let cues = [];
    vttjs.oncue = function (cue) {
      cue.start = cue.startTime;
      cue.end = cue.endTime;
      cue.data = cue.text;
      cue.styles = {
        align: cue.align,
        line: cue.line,
        position: cue.position,
        size: cue.size
      };
      cues.push(cue);
    };
    vttjs.parse(data);
    return cues;
  }
  instance = {
    parse
  };
  setup();
  return instance;
}
VttCustomRenderingParser.__dashjs_factory_name = 'VttCustomRenderingParser';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getSingletonFactory(VttCustomRenderingParser));

/***/ }),

/***/ "./src/streaming/utils/baseUrlResolution/BasicSelector.js":
/*!****************************************************************!*\
  !*** ./src/streaming/utils/baseUrlResolution/BasicSelector.js ***!
  \****************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


function BasicSelector(config) {
  config = config || {};
  let instance;
  const blacklistController = config.blacklistController;
  function select(baseUrls) {
    let index = 0;
    let selectedBaseUrl;
    if (baseUrls && baseUrls.some((baseUrl, idx) => {
      index = idx;
      return !blacklistController.contains(baseUrl.serviceLocation);
    })) {
      selectedBaseUrl = baseUrls[index];
    }
    return selectedBaseUrl;
  }
  instance = {
    select: select
  };
  return instance;
}
BasicSelector.__dashjs_factory_name = 'BasicSelector';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(BasicSelector));

/***/ }),

/***/ "./src/streaming/utils/baseUrlResolution/ContentSteeringSelector.js":
/*!**************************************************************************!*\
  !*** ./src/streaming/utils/baseUrlResolution/ContentSteeringSelector.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _dash_controllers_ContentSteeringController_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../dash/controllers/ContentSteeringController.js */ "./src/dash/controllers/ContentSteeringController.js");
/* harmony import */ var _core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../core/EventBus.js */ "./src/core/EventBus.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */




function ContentSteeringSelector() {
  const context = this.context;
  const eventBus = (0,_core_EventBus_js__WEBPACK_IMPORTED_MODULE_2__["default"])(context).getInstance();
  let instance,
    contentSteeringController,
    blacklistController,
    blacklistResetTimeout = [];
  function setup() {
    contentSteeringController = (0,_dash_controllers_ContentSteeringController_js__WEBPACK_IMPORTED_MODULE_1__["default"])(context).getInstance();
  }
  function setConfig(config) {
    if (config.blacklistController) {
      blacklistController = config.blacklistController;
    }
    if (config.contentSteeringController) {
      contentSteeringController = config.contentSteeringController;
    }
    eventBus.on(config.addBlacklistEventName, _onAddBlackList, instance);
  }
  function selectBaseUrlIndex(data) {
    let steeringIndex = NaN;

    // In case we dont have a selected idx yet we consider the defaultServiceLocation
    if (isNaN(data.selectedIdx)) {
      const steeringDataFromMpd = contentSteeringController.getSteeringDataFromManifest();
      if (steeringDataFromMpd && steeringDataFromMpd.defaultServiceLocationArray.length > 0) {
        steeringIndex = _findexIndexOfServiceLocation(steeringDataFromMpd.defaultServiceLocationArray, data.baseUrls);
      }
    }

    // Search in the response data of the steering server
    const currentSteeringResponseData = contentSteeringController.getCurrentSteeringResponseData();
    if (data.baseUrls && data.baseUrls.length && currentSteeringResponseData && currentSteeringResponseData.pathwayPriority && currentSteeringResponseData.pathwayPriority.length) {
      steeringIndex = _findexIndexOfServiceLocation(currentSteeringResponseData.pathwayPriority, data.baseUrls);
    }
    return steeringIndex;
  }
  function reset() {
    blacklistResetTimeout.forEach(timer => clearTimeout(timer));
    blacklistResetTimeout = [];
  }
  function _findexIndexOfServiceLocation() {
    let pathwayPriority = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    let baseUrls = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
    let i = 0;
    let steeringIndex = NaN;
    while (i < pathwayPriority.length) {
      const curr = pathwayPriority[i];
      const idx = baseUrls.findIndex(elem => {
        return elem.serviceLocation && elem.serviceLocation === curr;
      });
      if (idx !== -1 && !blacklistController.contains(baseUrls[idx].serviceLocation)) {
        steeringIndex = idx;
        break;
      }
      i += 1;
    }
    return steeringIndex;
  }
  function _onAddBlackList(e) {
    const currentSteeringResponseData = contentSteeringController.getCurrentSteeringResponseData();
    if (!currentSteeringResponseData) {
      return;
    }
    const entry = e.entry;
    const timer = setTimeout(() => {
      blacklistController.remove(entry);
      blacklistResetTimeout.splice(blacklistResetTimeout.indexOf(timer, 1));
    }, currentSteeringResponseData.ttl * 1000);
    blacklistResetTimeout.push(timer);
  }
  instance = {
    selectBaseUrlIndex,
    setConfig,
    reset
  };
  setup();
  return instance;
}
ContentSteeringSelector.__dashjs_factory_name = 'ContentSteeringSelector';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(ContentSteeringSelector));

/***/ }),

/***/ "./src/streaming/utils/baseUrlResolution/DVBSelector.js":
/*!**************************************************************!*\
  !*** ./src/streaming/utils/baseUrlResolution/DVBSelector.js ***!
  \**************************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

function DVBSelector(config) {
  config = config || {};
  let instance;
  const blacklistController = config.blacklistController;
  function getNonBlacklistedBaseUrls(urls) {
    let removedPriorities = [];
    const samePrioritiesFilter = function (el) {
      if (removedPriorities.length) {
        if (el.dvbPriority && removedPriorities.indexOf(el.dvbPriority) !== -1) {
          return false;
        }
      }
      return true;
    };
    const serviceLocationFilter = function (baseUrl) {
      if (blacklistController.contains(baseUrl.serviceLocation)) {
        // whenever a BaseURL is removed from the available list of
        // BaseURLs, any other BaseURL with the same @priority
        // value as the BaseURL being removed shall also be removed
        if (baseUrl.dvbPriority) {
          removedPriorities.push(baseUrl.dvbPriority);
        }

        // all URLs in the list which have a @serviceLocation
        // attribute matching an entry in the blacklist shall be
        // removed from the available list of BaseURLs
        return false;
      }
      return true;
    };
    return urls.filter(serviceLocationFilter).filter(samePrioritiesFilter);
  }
  function selectByWeight(availableUrls) {
    const prioritySorter = function (a, b) {
      let diff = a.dvbPriority - b.dvbPriority;
      return isNaN(diff) ? 0 : diff;
    };
    const topPriorityFilter = function (baseUrl, idx, arr) {
      return !idx || arr[0].dvbPriority && baseUrl.dvbPriority && arr[0].dvbPriority === baseUrl.dvbPriority;
    };
    let totalWeight = 0;
    let cumulWeights = [];
    let idx = 0;
    let rn, urls;

    // It shall begin by taking the set of resolved BaseURLs present or inherited at the current
    // position in the MPD, resolved and filtered as described in 10.8.2.1, that have the lowest
    // @priority attribute value.
    urls = availableUrls.sort(prioritySorter).filter(topPriorityFilter);
    if (urls.length) {
      if (urls.length > 1) {
        // If there is more than one BaseURL with this lowest @priority attribute value then the Player
        // shall select one of them at random such that the probability of each BaseURL being chosen
        // is proportional to the value of its @weight attribute. The method described in RFC 2782
        // [26] or picking from a number of weighted entries is suitable for this, but there may be other
        // algorithms which achieve the same effect.

        // add all the weights together, storing the accumulated weight per entry
        urls.forEach(baseUrl => {
          totalWeight += baseUrl.dvbWeight;
          cumulWeights.push(totalWeight);
        });

        // pick a random number between zero and totalWeight
        rn = Math.floor(Math.random() * (totalWeight - 1));

        // select the index for the range rn falls within
        cumulWeights.every((limit, index) => {
          idx = index;
          if (rn < limit) {
            return false;
          }
          return true;
        });
      }
      return urls[idx];
    }
  }
  function select(baseUrls) {
    return baseUrls && selectByWeight(getNonBlacklistedBaseUrls(baseUrls));
  }
  instance = {
    select: select
  };
  return instance;
}
DVBSelector.__dashjs_factory_name = 'DVBSelector';
/* harmony default export */ __webpack_exports__["default"] = (_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_0__["default"].getClassFactory(DVBSelector));

/***/ }),

/***/ "./src/streaming/vo/CommonMediaRequest.js":
/*!************************************************!*\
  !*** ./src/streaming/vo/CommonMediaRequest.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
class CommonMediaRequest {
  /**
   * @param {Object} params
   * @param {string} params.url
   * @param {string} params.method
   * @param {string} [params.responseType]
   * @param {Object<string, string>} [params.headers]
   * @param {RequestCredentials} [params.credentials]
   * @param {RequestMode} [params.mode]
   * @param {number} [params.timeout]
   * @param {Cmcd} [params.cmcd]
   * @param {any} [params.customData]
   */
  constructor(params) {
    this.url = params.url;
    this.method = params.method;
    this.responseType = params.responseType !== undefined ? params.responseType : null;
    this.headers = params.headers !== undefined ? params.headers : {};
    this.credentials = params.credentials !== undefined ? params.credentials : null;
    this.mode = params.mode !== undefined ? params.mode : null;
    this.timeout = params.timeout !== undefined ? params.timeout : 0;
    this.cmcd = params.cmcd !== undefined ? params.cmcd : null;
    this.customData = params.customData !== undefined ? params.customData : null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (CommonMediaRequest);

/***/ }),

/***/ "./src/streaming/vo/CommonMediaResponse.js":
/*!*************************************************!*\
  !*** ./src/streaming/vo/CommonMediaResponse.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
class CommonMediaResponse {
  /**
   * @param {Object} params
   * @param {CommonMediaRequest} params.request
   * @param {string} [params.url]
   * @param {boolean} [params.redirected]
   * @param {number} [params.status]
   * @param {string} [params.statusText]
   * @param {string} [params.type]
   * @param {Object<string, string>} [params.headers]
   * @param {any} [params.data]
   * @param {ResourceTiming} [params.resourceTiming]
   */
  constructor(params) {
    this.request = params.request;
    this.url = params.url !== undefined ? params.url : null;
    this.redirected = params.redirected !== undefined ? params.redirected : false;
    this.status = params.status !== undefined ? params.status : null;
    this.statusText = params.statusText !== undefined ? params.statusText : '';
    this.type = params.type !== undefined ? params.type : '';
    this.headers = params.headers !== undefined ? params.headers : {};
    this.data = params.data !== undefined ? params.data : null;
    this.resourceTiming = params.resourceTiming !== undefined ? params.resourceTiming : null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (CommonMediaResponse);

/***/ }),

/***/ "./src/streaming/vo/DashJSError.js":
/*!*****************************************!*\
  !*** ./src/streaming/vo/DashJSError.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class DashJSError {
  constructor(code, message, data) {
    this.code = code || null;
    this.message = message || null;
    this.data = data || null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DashJSError);

/***/ }),

/***/ "./src/streaming/vo/DataChunk.js":
/*!***************************************!*\
  !*** ./src/streaming/vo/DataChunk.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @class
 * @ignore
 */
class DataChunk {
  //Represents a data structure that keep all the necessary info about a single init/media segment
  constructor() {
    this.streamId = null;
    this.segmentType = null;
    this.index = NaN;
    this.bytes = null;
    this.start = NaN;
    this.end = NaN;
    this.duration = NaN;
    this.representation = null;
    this.endFragment = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DataChunk);

/***/ }),

/***/ "./src/streaming/vo/FragmentRequest.js":
/*!*********************************************!*\
  !*** ./src/streaming/vo/FragmentRequest.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./metrics/HTTPRequest.js */ "./src/streaming/vo/metrics/HTTPRequest.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @class
 * @ignore
 */
class FragmentRequest {
  constructor(url) {
    this.action = FragmentRequest.ACTION_DOWNLOAD;
    this.availabilityEndTime = null;
    this.availabilityStartTime = null;
    this.bandwidth = NaN;
    this.bytesLoaded = NaN;
    this.bytesTotal = NaN;
    this.delayLoadingTime = NaN;
    this.duration = NaN;
    this.endDate = null;
    this.firstByteDate = null;
    this.index = NaN;
    this.mediaStartTime = NaN;
    this.mediaType = null;
    this.range = null;
    this.representation = null;
    this.responseType = 'arraybuffer';
    this.retryAttempts = 0;
    this.serviceLocation = null;
    this.startDate = null;
    this.startTime = NaN;
    this.timescale = NaN;
    this.type = null;
    this.url = url || null;
    this.wallStartTime = null;
  }
  isInitializationRequest() {
    return this.type && this.type === _metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_0__.HTTPRequest.INIT_SEGMENT_TYPE;
  }
  setInfo(info) {
    this.type = info && info.init ? _metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_0__.HTTPRequest.INIT_SEGMENT_TYPE : _metrics_HTTPRequest_js__WEBPACK_IMPORTED_MODULE_0__.HTTPRequest.MEDIA_SEGMENT_TYPE;
    this.url = info && info.url ? info.url : null;
    this.range = info && info.range ? info.range.start + '-' + info.range.end : null;
    this.mediaType = info && info.mediaType ? info.mediaType : null;
    this.representation = info && info.representation ? info.representation : null;
  }
}
FragmentRequest.ACTION_DOWNLOAD = 'download';
FragmentRequest.ACTION_COMPLETE = 'complete';
/* harmony default export */ __webpack_exports__["default"] = (FragmentRequest);

/***/ }),

/***/ "./src/streaming/vo/HeadRequest.js":
/*!*****************************************!*\
  !*** ./src/streaming/vo/HeadRequest.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _FragmentRequest_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./FragmentRequest.js */ "./src/streaming/vo/FragmentRequest.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */

class HeadRequest extends _FragmentRequest_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor(url) {
    super(url);
    this.checkForExistenceOnly = true;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (HeadRequest);

/***/ }),

/***/ "./src/streaming/vo/IsoBox.js":
/*!************************************!*\
  !*** ./src/streaming/vo/IsoBox.js ***!
  \************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class IsoBox {
  constructor(boxData) {
    this.offset = boxData._offset;
    this.type = boxData.type;
    this.size = boxData.size;
    this.boxes = [];
    if (boxData.boxes) {
      for (let i = 0; i < boxData.boxes.length; i++) {
        this.boxes.push(new IsoBox(boxData.boxes[i]));
      }
    }
    this.isComplete = true;
    switch (boxData.type) {
      case 'sidx':
        this.timescale = boxData.timescale;
        this.earliest_presentation_time = boxData.earliest_presentation_time;
        this.first_offset = boxData.first_offset;
        this.references = boxData.references;
        if (boxData.references) {
          this.references = [];
          for (let i = 0; i < boxData.references.length; i++) {
            let reference = {
              reference_type: boxData.references[i].reference_type,
              referenced_size: boxData.references[i].referenced_size,
              subsegment_duration: boxData.references[i].subsegment_duration
            };
            this.references.push(reference);
          }
        }
        break;
      case 'emsg':
        this.id = boxData.id;
        this.version = boxData.version === 1 ? 1 : 0;
        this.value = boxData.value;
        this.timescale = boxData.timescale;
        this.scheme_id_uri = boxData.scheme_id_uri;
        this.presentation_time_delta = boxData.version === 1 ? boxData.presentation_time : boxData.presentation_time_delta;
        this.event_duration = boxData.event_duration;
        this.message_data = boxData.message_data;
        break;
      case 'mdhd':
        this.timescale = boxData.timescale;
        break;
      case 'mfhd':
        this.sequence_number = boxData.sequence_number;
        break;
      case 'subs':
        this.entry_count = boxData.entry_count;
        this.entries = boxData.entries;
        break;
      case 'tfhd':
        this.base_data_offset = boxData.base_data_offset;
        this.sample_description_index = boxData.sample_description_index;
        this.default_sample_duration = boxData.default_sample_duration;
        this.default_sample_size = boxData.default_sample_size;
        this.default_sample_flags = boxData.default_sample_flags;
        this.flags = boxData.flags;
        break;
      case 'tfdt':
        this.version = boxData.version;
        this.baseMediaDecodeTime = boxData.baseMediaDecodeTime;
        this.flags = boxData.flags;
        break;
      case 'trun':
        this.sample_count = boxData.sample_count;
        this.first_sample_flags = boxData.first_sample_flags;
        this.data_offset = boxData.data_offset;
        this.flags = boxData.flags;
        this.samples = boxData.samples;
        if (boxData.samples) {
          this.samples = [];
          for (let i = 0, ln = boxData.samples.length; i < ln; i++) {
            let sample = {
              sample_size: boxData.samples[i].sample_size,
              sample_duration: boxData.samples[i].sample_duration,
              sample_composition_time_offset: boxData.samples[i].sample_composition_time_offset
            };
            this.samples.push(sample);
          }
        }
        break;
      case 'prft':
        this.version = boxData.version;
        this.reference_track_ID = boxData.reference_track_ID;
        this.ntp_timestamp_sec = boxData.ntp_timestamp_sec;
        this.ntp_timestamp_frac = boxData.ntp_timestamp_frac;
        this.media_time = boxData.media_time;
        this.flags = boxData.flags;
        break;
    }
  }
  getChildBox(type) {
    for (let i = 0; i < this.boxes.length; i++) {
      if (this.boxes[i].type === type) {
        return this.boxes[i];
      }
    }
  }
  getChildBoxes(type) {
    let boxes = [];
    for (let i = 0; i < this.boxes.length; i++) {
      if (this.boxes[i].type === type) {
        boxes.push(this.boxes[i]);
      }
    }
    return boxes;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (IsoBox);

/***/ }),

/***/ "./src/streaming/vo/IsoBoxSearchInfo.js":
/*!**********************************************!*\
  !*** ./src/streaming/vo/IsoBoxSearchInfo.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class IsoBoxSearchInfo {
  constructor(_ref) {
    let {
      found,
      sizeOfLastCompletedBox,
      sizeOfLastFoundTargetBox,
      startOffsetOfLastCompletedBox,
      startOffsetOfLastFoundTargetBox,
      typeOfLastCompletedBox,
      typeOfLastTargetBox
    } = _ref;
    this.found = found !== undefined ? found : false;
    this.sizeOfLastCompletedBox = sizeOfLastCompletedBox !== undefined ? sizeOfLastCompletedBox : 0;
    this.sizeOfLastFoundTargetBox = sizeOfLastFoundTargetBox !== undefined ? sizeOfLastFoundTargetBox : 0;
    this.startOffsetOfLastCompletedBox = startOffsetOfLastCompletedBox !== undefined ? startOffsetOfLastCompletedBox : 0;
    this.startOffsetOfLastFoundTargetBox = startOffsetOfLastFoundTargetBox !== undefined ? startOffsetOfLastFoundTargetBox : 0;
    this.typeOfLastCompletedBox = typeOfLastCompletedBox !== undefined ? typeOfLastCompletedBox : null;
    this.typeOfLastTargetBox = typeOfLastTargetBox !== undefined ? typeOfLastTargetBox : null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (IsoBoxSearchInfo);

/***/ }),

/***/ "./src/streaming/vo/MediaInfoSelectionInput.js":
/*!*****************************************************!*\
  !*** ./src/streaming/vo/MediaInfoSelectionInput.js ***!
  \*****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class MediaInfoSelectionInput {
  constructor(data) {
    this.newMediaInfo = data.newMediaInfo;
    this.previouslySelectedRepresentation = data.previouslySelectedRepresentation;
    this.newRepresentation = data.newRepresentation;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (MediaInfoSelectionInput);

/***/ }),

/***/ "./src/streaming/vo/MetricsList.js":
/*!*****************************************!*\
  !*** ./src/streaming/vo/MetricsList.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class MetricsList {
  constructor() {
    this.TcpList = [];
    this.HttpList = [];
    this.RepSwitchList = [];
    this.BufferLevel = [];
    this.BufferState = [];
    this.PlayList = [];
    this.DroppedFrames = [];
    this.SchedulingInfo = [];
    this.DVRInfo = [];
    this.ManifestUpdate = [];
    this.RequestsQueue = null;
    this.DVBErrors = [];
  }
}
/* harmony default export */ __webpack_exports__["default"] = (MetricsList);

/***/ }),

/***/ "./src/streaming/vo/TextRequest.js":
/*!*****************************************!*\
  !*** ./src/streaming/vo/TextRequest.js ***!
  \*****************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../constants/Constants.js */ "./src/streaming/constants/Constants.js");
/* harmony import */ var _FragmentRequest_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./FragmentRequest.js */ "./src/streaming/vo/FragmentRequest.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */


class TextRequest extends _FragmentRequest_js__WEBPACK_IMPORTED_MODULE_1__["default"] {
  constructor(url, type) {
    super();
    this.url = url || null;
    this.type = type || null;
    this.mediaType = _constants_Constants_js__WEBPACK_IMPORTED_MODULE_0__["default"].STREAM;
    this.responseType = ''; //'text' value returns a bad encoding response in Firefox
  }
}
/* harmony default export */ __webpack_exports__["default"] = (TextRequest);

/***/ }),

/***/ "./src/streaming/vo/TextTrackInfo.js":
/*!*******************************************!*\
  !*** ./src/streaming/vo/TextTrackInfo.js ***!
  \*******************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _dash_vo_MediaInfo_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./../../dash/vo/MediaInfo.js */ "./src/dash/vo/MediaInfo.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */



/**
 * @class
 * @ignore
 */
class TextTrackInfo extends _dash_vo_MediaInfo_js__WEBPACK_IMPORTED_MODULE_0__["default"] {
  constructor() {
    super();
    this.captionData = null;
    this.label = null;
    this.defaultTrack = false;
    this.kind = null;
    this.isFragmented = false;
    this.isEmbedded = false;
    this.isTTML = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (TextTrackInfo);

/***/ }),

/***/ "./src/streaming/vo/Thumbnail.js":
/*!***************************************!*\
  !*** ./src/streaming/vo/Thumbnail.js ***!
  \***************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class Thumbnail {
  constructor() {
    this.url = null;
    this.width = null;
    this.height = null;
    this.x = null;
    this.y = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (Thumbnail);

/***/ }),

/***/ "./src/streaming/vo/ThumbnailTrackInfo.js":
/*!************************************************!*\
  !*** ./src/streaming/vo/ThumbnailTrackInfo.js ***!
  \************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class ThumbnailTrackInfo {
  constructor() {
    this.bitrate = 0;
    this.width = 0;
    this.height = 0;
    this.tilesHor = 0;
    this.tilesVert = 0;
    this.widthPerTile = 0;
    this.heightPerTile = 0;
    this.startNumber = 0;
    this.segmentDuration = 0;
    this.timescale = 0;
    this.templateUrl = '';
    this.id = '';
  }
}
/* harmony default export */ __webpack_exports__["default"] = (ThumbnailTrackInfo);

/***/ }),

/***/ "./src/streaming/vo/URIFragmentData.js":
/*!*********************************************!*\
  !*** ./src/streaming/vo/URIFragmentData.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class URIFragmentData {
  constructor() {
    this.t = null;
    this.xywh = null;
    this.track = null;
    this.id = null;
    this.s = null;
    this.r = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (URIFragmentData);

/*
    From Spec http://www.w3.org/TR/media-frags/

    temporal (t)     - This dimension denotes a specific time range in the original media, such as "starting at second 10, continuing until second 20";
    spatial  (xywh)  - this dimension denotes a specific range of pixels in the original media, such as "a rectangle with size (100,100) with its top-left at coordinate (10,10)";
                       Media fragments support also addressing the media along two additional dimensions (in the advanced version defined in Media Fragments 1.0 URI (advanced)):
    track    (track) - this dimension denotes one or more tracks in the original media, such as "the english audio and the video track";
    id       (id)    - this dimension denotes a named temporal fragment within the original media, such as "chapter 2", and can be seen as a convenient way of specifying a temporal fragment.


    ## Note
    Akamai is purposing to add #s=X to the ISO standard.
        - (X) Value would be a start time to seek to at startup instead of starting at 0 or live edge
        - Allows for seeking back before the start time unlike a temporal clipping.
*/

/***/ }),

/***/ "./src/streaming/vo/metrics/BufferLevel.js":
/*!*************************************************!*\
  !*** ./src/streaming/vo/metrics/BufferLevel.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @class
 * @ignore
 */
class BufferLevel {
  /**
   * @description This Object holds reference to the current buffer level and the time it was recorded.
   */
  constructor() {
    /**
     * Real-Time | Time of the measurement of the buffer level.
     * @public
     */
    this.t = null;
    /**
     * Level of the buffer in milliseconds. Indicates the playout duration for which
     * media data of all active media components is available starting from the
     * current playout time.
     * @public
     */
    this.level = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (BufferLevel);

/***/ }),

/***/ "./src/streaming/vo/metrics/BufferState.js":
/*!*************************************************!*\
  !*** ./src/streaming/vo/metrics/BufferState.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../constants/MetricsConstants.js */ "./src/streaming/constants/MetricsConstants.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * @class
 * @ignore
 */
class BufferState {
  /**
   * @description This Object holds reference to the current buffer state of the video element.
   */
  constructor() {
    /**
     * The Buffer Level Target determined by the BufferLevelRule.
     * @public
     */
    this.target = null;
    /**
     * Current buffer state. Will be MetricsConstants.BUFFER_EMPTY or MetricsConstants.BUFFER_LOADED.
     * @public
     */
    this.state = _constants_MetricsConstants_js__WEBPACK_IMPORTED_MODULE_0__["default"].BUFFER_EMPTY;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (BufferState);

/***/ }),

/***/ "./src/streaming/vo/metrics/DVRInfo.js":
/*!*********************************************!*\
  !*** ./src/streaming/vo/metrics/DVRInfo.js ***!
  \*********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @class
 * @ignore
 */
class DVRInfo {
  /**
   * @description This Object holds reference to DVR availability window information.
   */
  constructor() {
    /**
     * The current time of the video element when this was created.
     * @public
     */
    this.time = null;
    /**
     * The current Segment Availability Range as an object with start and end properties.
     * It's delta defined by the timeShiftBufferDepth MPD attribute.
     * @public
     */
    this.range = null;
    /**
     * Reference to the internal ManifestInfo.js VO.
     * @public
     */
    this.manifestInfo = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DVRInfo);

/***/ }),

/***/ "./src/streaming/vo/metrics/DroppedFrames.js":
/*!***************************************************!*\
  !*** ./src/streaming/vo/metrics/DroppedFrames.js ***!
  \***************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class DroppedFrames {
  /**
   * @description This Object holds reference to DroppedFrames count and the time it was recorded.
   */
  constructor() {
    /**
     * Real-Time | Time of the measurement of the dropped frames.
     * @public
     */
    this.time = null;
    /**
     * Number of dropped frames
     * @public
     */
    this.droppedFrames = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (DroppedFrames);

/***/ }),

/***/ "./src/streaming/vo/metrics/HTTPRequest.js":
/*!*************************************************!*\
  !*** ./src/streaming/vo/metrics/HTTPRequest.js ***!
  \*************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HTTPRequest: function() { return /* binding */ HTTPRequest; },
/* harmony export */   HTTPRequestTrace: function() { return /* binding */ HTTPRequestTrace; }
/* harmony export */ });
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc This Object holds reference to the HTTPRequest for manifest, fragment and xlink loading.
 * Members which are not defined in ISO23009-1 Annex D should be prefixed by a _ so that they are ignored
 * by Metrics Reporting code.
 * @ignore
 */
class HTTPRequest {
  /**
   * @class
   */
  constructor() {
    /**
     * Identifier of the TCP connection on which the HTTP request was sent.
     * @public
     */
    this.tcpid = null;
    /**
     * This is an optional parameter and should not be included in HTTP request/response transactions for progressive download.
     * The type of the request:
     * - MPD
     * - XLink expansion
     * - Initialization Fragment
     * - Index Fragment
     * - Media Fragment
     * - Bitstream Switching Fragment
     * - other
     * @public
     */
    this.type = null;
    /**
     * The original URL (before any redirects or failures)
     * @public
     */
    this.url = null;
    /**
     * The actual URL requested, if different from above
     * @public
     */
    this.actualurl = null;
    /**
     * The contents of the byte-range-spec part of the HTTP Range header.
     * @public
     */
    this.range = null;
    /**
     * Real-Time | The real time at which the request was sent.
     * @public
     */
    this.trequest = null;
    /**
     * Real-Time | The real time at which the first byte of the response was received.
     * @public
     */
    this.tresponse = null;
    /**
     * The HTTP response code.
     * @public
     */
    this.responsecode = null;
    /**
     * The duration of the throughput trace intervals (ms), for successful requests only.
     * @public
     */
    this.interval = null;
    /**
     * Throughput traces, for successful requests only.
     * @public
     */
    this.trace = [];
    /**
     * The CMSD static and dynamic values retrieved from CMSD response headers.
     * @public
     */
    this.cmsd = null;

    /**
     * Type of stream ("audio" | "video" etc..)
     * @public
     */
    this._stream = null;
    /**
     * Real-Time | The real time at which the request finished.
     * @public
     */
    this._tfinish = null;
    /**
     * The duration of the media requests, if available, in seconds.
     * @public
     */
    this._mediaduration = null;
    /**
     * all the response headers from request.
     * @public
     */
    this._responseHeaders = null;
    /**
     * The selected service location for the request. string.
     * @public
     */
    this._serviceLocation = null;
    /**
     * The type of the loader that was used. Distinguish between fetch loader and xhr loader
     */
    this._fileLoaderType = null;
    /**
     * The values derived from the ResourceTimingAPI.
     */
    this._resourceTimingValues = null;
  }
}

/**
 * @classdesc This Object holds reference to the progress of the HTTPRequest.
 * @ignore
 */
class HTTPRequestTrace {
  /**
   * @class
   */
  constructor() {
    /**
     * Real-Time | Measurement stream start.
     * @public
     */
    this.s = null;
    /**
     * Measurement stream duration (ms).
     * @public
     */
    this.d = null;
    /**
     * List of integers counting the bytes received in each trace interval within the measurement stream.
     * @public
     */
    this.b = [];
  }
}
HTTPRequest.GET = 'GET';
HTTPRequest.HEAD = 'HEAD';
HTTPRequest.MPD_TYPE = 'MPD';
HTTPRequest.XLINK_EXPANSION_TYPE = 'XLinkExpansion';
HTTPRequest.INIT_SEGMENT_TYPE = 'InitializationSegment';
HTTPRequest.INDEX_SEGMENT_TYPE = 'IndexSegment';
HTTPRequest.MEDIA_SEGMENT_TYPE = 'MediaSegment';
HTTPRequest.BITSTREAM_SWITCHING_SEGMENT_TYPE = 'BitstreamSwitchingSegment';
HTTPRequest.MSS_FRAGMENT_INFO_SEGMENT_TYPE = 'FragmentInfoSegment';
HTTPRequest.DVB_REPORTING_TYPE = 'DVBReporting';
HTTPRequest.LICENSE = 'license';
HTTPRequest.CONTENT_STEERING_TYPE = 'ContentSteering';
HTTPRequest.OTHER_TYPE = 'other';


/***/ }),

/***/ "./src/streaming/vo/metrics/ManifestUpdate.js":
/*!****************************************************!*\
  !*** ./src/streaming/vo/metrics/ManifestUpdate.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ManifestUpdate: function() { return /* binding */ ManifestUpdate; },
/* harmony export */   ManifestUpdateRepresentationInfo: function() { return /* binding */ ManifestUpdateRepresentationInfo; },
/* harmony export */   ManifestUpdateStreamInfo: function() { return /* binding */ ManifestUpdateStreamInfo; }
/* harmony export */ });
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc This Object holds reference to the manifest update information.
 * @ignore
 */
class ManifestUpdate {
  /**
   * @class
   */
  constructor() {
    /**
     * Media Type Video | Audio | FragmentedText
     * @public
     */
    this.mediaType = null;
    /**
     * MPD Type static | dynamic
     * @public
     */
    this.type = null;
    /**
     * When this manifest update was requested
     * @public
     */
    this.requestTime = null;
    /**
     * When this manifest update was received
     * @public
     */
    this.fetchTime = null;
    /**
     * Calculated Availability Start time of the stream.
     * @public
     */
    this.availabilityStartTime = null;
    /**
     * the seek point (liveEdge for dynamic, Stream[0].startTime for static)
     * @public
     */
    this.presentationStartTime = 0;
    /**
     * The calculated difference between the server and client wall clock time
     * @public
     */
    this.clientTimeOffset = 0;
    /**
     * Actual element.currentTime
     * @public
     */
    this.currentTime = null;
    /**
     * Actual element.ranges
     * @public
     */
    this.buffered = null;
    /**
     * Static is fixed value of zero. dynamic should be ((Now-@availabilityStartTime) - elementCurrentTime)
     * @public
     */
    this.latency = 0;
    /**
     * Array holding list of StreamInfo VO Objects
     * @public
     */
    this.streamInfo = [];
    /**
     * Array holding list of ManifestUpdateRepresentationInfo Objects
     * @public
     */
    this.representationInfo = [];
  }
}

/**
 * @classdesc This Object holds reference to the current period's stream information when the manifest was updated.
 * @ignore
 */
class ManifestUpdateStreamInfo {
  /**
   * @class
   */
  constructor() {
    /**
     * Stream@id
     * @public
     */
    this.id = null;
    /**
     * Period Index
     * @public
     */
    this.index = null;
    /**
     * Stream@start
     * @public
     */
    this.start = null;
    /**
     * Stream@duration
     * @public
     */
    this.duration = null;
  }
}

/**
 * @classdesc This Object holds reference to the current representation's info when the manifest was updated.
 * @ignore
 */
class ManifestUpdateRepresentationInfo {
  /**
   * @class
   */
  constructor() {
    /**
     * Track@id
     * @public
     */
    this.id = null;
    /**
     * Representation Index
     * @public
     */
    this.index = null;
    /**
     * Media Type Video | Audio | FragmentedText
     * @public
     */
    this.mediaType = null;
    /**
     * Holds reference to @presentationTimeOffset
     * @public
     */
    this.presentationTimeOffset = null;
    /**
     * Holds reference to @startNumber
     * @public
     */
    this.startNumber = null;
  }
}


/***/ }),

/***/ "./src/streaming/vo/metrics/PlayList.js":
/*!**********************************************!*\
  !*** ./src/streaming/vo/metrics/PlayList.js ***!
  \**********************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlayList: function() { return /* binding */ PlayList; },
/* harmony export */   PlayListTrace: function() { return /* binding */ PlayListTrace; }
/* harmony export */ });
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @classdesc a PlayList from ISO23009-1 Annex D, this Object holds reference to the playback session information
 * @ignore
 */
class PlayList {
  /**
   * @class
   */
  constructor() {
    /**
     * Timestamp of the user action that starts the playback stream...
     * @public
     */
    this.start = null;
    /**
     * Presentation time at which playout was requested by the user...
     * @public
     */
    this.mstart = null;
    /**
     * Type of user action which triggered playout
     * - New playout request (e.g. initial playout or seeking)
     * - Resume from pause
     * - Other user request (e.g. user-requested quality change)
     * - Start of a metrics collection stream (hence earlier entries in the play list not collected)
     * @public
     */
    this.starttype = null;

    /**
     * List of streams of continuous rendering of decoded samples.
     * @public
     */
    this.trace = [];
  }
}

/* Public Static Constants */
PlayList.INITIAL_PLAYOUT_START_REASON = 'initial_playout';
PlayList.SEEK_START_REASON = 'seek';
PlayList.RESUME_FROM_PAUSE_START_REASON = 'resume';
PlayList.METRICS_COLLECTION_START_REASON = 'metrics_collection_start';

/**
 * @classdesc a PlayList.Trace from ISO23009-1 Annex D
 * @ignore
 */
class PlayListTrace {
  /**
   * @class
   */
  constructor() {
    /**
     * The value of the Representation@id of the Representation from which the samples were taken.
     * @type {string}
     * @public
     */
    this.representationid = null;
    /**
     * If not present, this metrics concerns the Representation as a whole.
     * If present, subreplevel indicates the greatest value of any
     * Subrepresentation@level being rendered.
     * @type {number}
     * @public
     */
    this.subreplevel = null;
    /**
     * The time at which the first sample was rendered
     * @type {number}
     * @public
     */
    this.start = null;
    /**
     * The presentation time of the first sample rendered.
     * @type {number}
     * @public
     */
    this.mstart = null;
    /**
     * The duration of the continuously presented samples (which is the same in real time and media time). "Continuously presented" means that the media clock continued to advance at the playout speed throughout the interval. NOTE: the spec does not call out the units, but all other durations etc are in ms, and we use ms too.
     * @type {number}
     * @public
     */
    this.duration = null;
    /**
     * The playback speed relative to normal playback speed (i.e.normal forward playback speed is 1.0).
     * @type {number}
     * @public
     */
    this.playbackspeed = null;
    /**
     * The reason why continuous presentation of this Representation was stopped.
     * representation switch
     * rebuffering
     * user request
     * end of Period
     * end of Stream
     * end of content
     * end of a metrics collection period
     *
     * @type {string}
     * @public
     */
    this.stopreason = null;
  }
}
PlayListTrace.REPRESENTATION_SWITCH_STOP_REASON = 'representation_switch';
PlayListTrace.REBUFFERING_REASON = 'rebuffering';
PlayListTrace.USER_REQUEST_STOP_REASON = 'user_request';
PlayListTrace.END_OF_PERIOD_STOP_REASON = 'end_of_period';
PlayListTrace.END_OF_CONTENT_STOP_REASON = 'end_of_content';
PlayListTrace.METRICS_COLLECTION_STOP_REASON = 'metrics_collection_end';
PlayListTrace.FAILURE_STOP_REASON = 'failure';


/***/ }),

/***/ "./src/streaming/vo/metrics/RepresentationSwitch.js":
/*!**********************************************************!*\
  !*** ./src/streaming/vo/metrics/RepresentationSwitch.js ***!
  \**********************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class RepresentationSwitch {
  /**
   * @description This Object holds reference to the info at quality switch between two representations.
   */
  constructor() {
    /**
     * Time of the switch event.
     * @public
     */
    this.t = null;
    /**
     * The media presentation time of the earliest access unit
     * (out of all media content components) played out from
     * the Representation.
     *
     * @public
     */
    this.mt = null;
    /**
     * Value of Representation@id identifying the switch-to Representation.
     * @public
     */
    this.to = null;
    /**
     * If not present, this metrics concerns the Representation as a whole.
     * If present, lto indicates the value of SubRepresentation@level within
     * Representation identifying the switch-to level of the Representation.
     *
     * @public
     */
    this.lto = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (RepresentationSwitch);

/***/ }),

/***/ "./src/streaming/vo/metrics/RequestsQueue.js":
/*!***************************************************!*\
  !*** ./src/streaming/vo/metrics/RequestsQueue.js ***!
  \***************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class RequestsQueue {
  /**
   * @description This Object holds reference to Fragment Model's request queues
   */
  constructor() {
    /**
     * Array of all of the requests that have begun to load
     * This request may not make it into the executed queue if it is abandon due to ABR rules for example.
     * @public
     */
    this.loadingRequests = [];
    /**
     * Array of the The requests that have completed
     * @public
     */
    this.executedRequests = [];
  }
}
/* harmony default export */ __webpack_exports__["default"] = (RequestsQueue);

/***/ }),

/***/ "./src/streaming/vo/metrics/SchedulingInfo.js":
/*!****************************************************!*\
  !*** ./src/streaming/vo/metrics/SchedulingInfo.js ***!
  \****************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * @class
 * @ignore
 */
class SchedulingInfo {
  /**
   * @description This Object holds reference to the index handling of the current fragment being loaded or executed.
   */
  constructor() {
    /**
     * Type of stream Audio | Video | FragmentedText
     * @public
     */
    this.mediaType = null;
    /**
     * Time of the scheduling event.
     * @public
     */
    this.t = null;

    /**
     * Type of fragment (initialization | media)
     * @public
     */
    this.type = null;
    /**
     * Presentation start time of fragment
     * @public
     */
    this.startTime = null;
    /**
     * Availability start time of fragment
     * @public
     */
    this.availabilityStartTime = null;
    /**
     * Duration of fragment
     * @public
     */
    this.duration = null;
    /**
     * Bandwidth of fragment
     * @public
     */
    this.bandwidth = null;
    /**
     * Range of fragment
     * @public
     */
    this.range = null;

    /**
     * Current state of fragment
     * @public
     */
    this.state = null;
  }
}
/* harmony default export */ __webpack_exports__["default"] = (SchedulingInfo);

/***/ })

/******/ });
/************************************************************************/
/******/ // The module cache
/******/ var __webpack_module_cache__ = {};
/******/ 
/******/ // The require function
/******/ function __webpack_require__(moduleId) {
/******/ 	// Check if module is in cache
/******/ 	var cachedModule = __webpack_module_cache__[moduleId];
/******/ 	if (cachedModule !== undefined) {
/******/ 		return cachedModule.exports;
/******/ 	}
/******/ 	// Create a new module (and put it into the cache)
/******/ 	var module = __webpack_module_cache__[moduleId] = {
/******/ 		// no module.id needed
/******/ 		// no module.loaded needed
/******/ 		exports: {}
/******/ 	};
/******/ 
/******/ 	// Execute the module function
/******/ 	__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 
/******/ 	// Return the exports of the module
/******/ 	return module.exports;
/******/ }
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/amd options */
/******/ !function() {
/******/ 	__webpack_require__.amdO = {};
/******/ }();
/******/ 
/******/ /* webpack/runtime/define property getters */
/******/ !function() {
/******/ 	// define getter functions for harmony exports
/******/ 	__webpack_require__.d = function(exports, definition) {
/******/ 		for(var key in definition) {
/******/ 			if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ }();
/******/ 
/******/ /* webpack/runtime/global */
/******/ !function() {
/******/ 	__webpack_require__.g = (function() {
/******/ 		if (typeof globalThis === 'object') return globalThis;
/******/ 		try {
/******/ 			return this || new Function('return this')();
/******/ 		} catch (e) {
/******/ 			if (typeof window === 'object') return window;
/******/ 		}
/******/ 	})();
/******/ }();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ !function() {
/******/ 	__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ }();
/******/ 
/******/ /* webpack/runtime/make namespace object */
/******/ !function() {
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/ }();
/******/ 
/************************************************************************/
var __webpack_exports__ = {};
/*!**********************************!*\
  !*** ./index_mediaplayerOnly.js ***!
  \**********************************/
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Debug: function() { return /* reexport safe */ _src_core_Debug_js__WEBPACK_IMPORTED_MODULE_2__["default"]; },
/* harmony export */   FactoryMaker: function() { return /* reexport safe */ _src_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"]; },
/* harmony export */   MediaPlayer: function() { return /* reexport safe */ _src_streaming_MediaPlayer_js__WEBPACK_IMPORTED_MODULE_0__["default"]; }
/* harmony export */ });
/* harmony import */ var _src_streaming_MediaPlayer_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./src/streaming/MediaPlayer.js */ "./src/streaming/MediaPlayer.js");
/* harmony import */ var _src_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./src/core/FactoryMaker.js */ "./src/core/FactoryMaker.js");
/* harmony import */ var _src_core_Debug_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./src/core/Debug.js */ "./src/core/Debug.js");
/* harmony import */ var _src_core_Version_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./src/core/Version.js */ "./src/core/Version.js");
/**
 * The copyright in this software is being made available under the BSD License,
 * included below. This software may be subject to other third party and contributor
 * rights, including patent rights, and no such rights are granted under this license.
 *
 * Copyright (c) 2013, Dash Industry Forum.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *  * Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation and/or
 *  other materials provided with the distribution.
 *  * Neither the name of Dash Industry Forum nor the names of its
 *  contributors may be used to endorse or promote products derived from this software
 *  without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY
 *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */






// Shove both of these into the global scope
var context = typeof window !== 'undefined' && window || global;
var index_mediaplayerOnly_dashjs = context.dashjs;
if (!index_mediaplayerOnly_dashjs) {
  index_mediaplayerOnly_dashjs = context.dashjs = {};
}
index_mediaplayerOnly_dashjs.MediaPlayer = _src_streaming_MediaPlayer_js__WEBPACK_IMPORTED_MODULE_0__["default"];
index_mediaplayerOnly_dashjs.FactoryMaker = _src_core_FactoryMaker_js__WEBPACK_IMPORTED_MODULE_1__["default"];
index_mediaplayerOnly_dashjs.Debug = _src_core_Debug_js__WEBPACK_IMPORTED_MODULE_2__["default"];
index_mediaplayerOnly_dashjs.Version = (0,_src_core_Version_js__WEBPACK_IMPORTED_MODULE_3__.getVersionString)();
/* harmony default export */ __webpack_exports__["default"] = (index_mediaplayerOnly_dashjs);

__webpack_exports__ = __webpack_exports__["default"];
var __webpack_exports__Debug = __webpack_exports__.Debug;
var __webpack_exports__FactoryMaker = __webpack_exports__.FactoryMaker;
var __webpack_exports__MediaPlayer = __webpack_exports__.MediaPlayer;
var __webpack_exports__default = __webpack_exports__["default"];
export { __webpack_exports__Debug as Debug, __webpack_exports__FactoryMaker as FactoryMaker, __webpack_exports__MediaPlayer as MediaPlayer, __webpack_exports__default as default };

//# sourceMappingURL=dash.mediaplayer.debug.js.map